cef4delphi: All Units

All Units

Name | Description
uCEFAccessibilityHandler |
uCEFApp |
uCEFApplication |
uCEFApplicationCore |
uCEFApplicationEvents |
uCEFArgCopy |
uCEFAudioHandler |
uCEFAuthCallback |
uCEFBaseRefCounted |
uCEFBaseScopedWrapper |
uCEFBeforeDownloadCallback |
uCEFBinaryValue |
uCEFBitmapBitBuffer |
uCEFBoxLayout |
uCEFBrowser |
uCEFBrowserBitmap |
uCEFBrowserProcessHandler |
uCEFBrowserView |
uCEFBrowserViewComponent |
uCEFBrowserViewDelegate |
uCEFBrowserWindow |
uCEFBufferPanel |
uCEFButton |
uCEFButtonComponent |
uCEFButtonDelegate |
uCEFCallback |
uCEFChromium |
uCEFChromiumCore |
uCEFChromiumEvents |
uCEFChromiumFontOptions |
uCEFChromiumOptions |
uCEFChromiumWindow |
uCEFClient |
uCEFCommandHandler |
uCEFCommandLine |
uCEFCompletionCallback |
uCEFComponentIdList |
uCEFConstants |
uCEFContextMenuHandler |
uCEFContextMenuParams |
uCEFCookieAccessFilter |
uCEFCookieManager |
uCEFCookieVisitor |
uCEFCustomStreamReader |
uCEFDeleteCookiesCallback |
uCEFDevToolsMessageObserver |
uCEFDialogHandler |
uCEFDictionaryValue |
uCEFDisplay |
uCEFDisplayHandler |
uCEFDomDocument |
uCEFDomNode |
uCEFDomVisitor |
uCEFDownloadHandler |
uCEFDownloadImageCallBack |
uCEFDownloadItem |
uCEFDownloadItemCallback |
uCEFDragAndDropMgr |
uCEFDragData |
uCEFDragHandler |
uCEFEndTracingCallback |
uCEFFileDialogCallback |
uCEFFileDialogInfo |
uCEFFillLayout |
uCEFFindHandler |
uCEFFMXBufferPanel |
uCEFFMXChromium |
uCEFFMXWindowParent |
uCEFFMXWorkScheduler |
uCEFFocusHandler |
uCEFFrame |
uCEFFrameHandler |
uCEFImage |
uCEFInterfaces |
uCEFJsDialogCallback |
uCEFJsDialogHandler |
uCEFJson |
uCEFKeyboardHandler |
uCEFLabelButton |
uCEFLabelButtonComponent |
uCEFLayout |
uCEFLazarusCocoa |
uCEFLibFunctions |
uCEFLifeSpanHandler |
uCEFLinkedWinControlBase |
uCEFLinkedWindowParent |
uCEFLinuxConstants |
uCEFLinuxEventPipe |
uCEFLinuxFunctions |
uCEFLinuxTypes |
uCEFListValue |
uCEFLoadHandler |
uCEFMacOSConstants |
uCEFMacOSCustomCocoaTimer |
uCEFMacOSFunctions |
uCEFMacOSInterfaces |
uCEFMediaAccessCallback |
uCEFMediaObserver |
uCEFMediaRoute |
uCEFMediaRouteCreateCallback |
uCEFMediaRouter |
uCEFMediaSink |
uCEFMediaSinkDeviceInfoCallback |
uCEFMediaSource |
uCEFMenuButton |
uCEFMenuButtonComponent |
uCEFMenuButtonDelegate |
uCEFMenuButtonPressedLock |
uCEFMenuModel |
uCEFMenuModelDelegate |
uCEFMiscFunctions |
uCEFNavigationEntry |
uCEFNavigationEntryVisitor |
uCEFOAuth2Helper |
uCEFOLEDragAndDrop |
uCEFOsrBrowserWindow |
uCEFOSRIMEHandler |
uCEFOverlayController |
uCEFPanel |
uCEFPanelComponent |
uCEFPanelDelegate |
uCEFPDFPrintCallback |
uCEFPDFPrintOptions |
uCEFPermissionHandler |
uCEFPermissionPromptCallback |
uCEFPostData |
uCEFPostDataElement |
uCEFPreferenceManager |
uCEFPreferenceRegistrar |
uCEFPrintDialogCallback |
uCEFPrintHandler |
uCEFPrintJobCallback |
uCEFPrintSettings |
uCEFProcessMessage |
uCEFRegistration |
uCEFRenderHandler |
uCEFRenderProcessHandler |
uCEFRequest |
uCEFRequestContext |
uCEFRequestContextHandler |
uCEFRequestHandler |
uCEFResolveCallback |
uCEFResourceBundle |
uCEFResourceBundleHandler |
uCEFResourceHandler |
uCEFResourceReadCallback |
uCEFResourceRequestHandler |
uCEFResourceSkipCallback |
uCEFResponse |
uCEFResponseFilter |
uCEFRunContextMenuCallback |
uCEFRunFileDialogCallback |
uCEFRunQuickMenuCallback |
uCEFSchemeHandlerFactory |
uCEFSchemeRegistrar |
uCEFScrollView |
uCEFScrollViewComponent |
uCEFSelectClientCertificateCallback |
uCEFSentinel |
uCEFServer |
uCEFServerComponent |
uCEFServerEvents |
uCEFServerHandler |
uCEFSetCookieCallback |
uCEFSharedMemoryRegion |
uCEFSharedProcessMessageBuilder |
uCEFSslInfo |
uCEFSSLStatus |
uCEFStreamReader |
uCEFStreamWriter |
uCEFStringList |
uCEFStringMap |
uCEFStringMultimap |
uCEFStringVisitor |
uCEFTask |
uCEFTaskManager |
uCEFTaskRunner |
uCEFTextfield |
uCEFTextfieldComponent |
uCEFTextfieldDelegate |
uCEFThread |
uCEFTimerWorkScheduler |
uCEFTypes |
uCEFUnresponsiveProcessCallback |
uCEFUrlRequest |
uCEFUrlrequestClient |
uCEFUrlRequestClientComponent |
uCEFUrlRequestClientEvents |
uCEFv8Accessor |
uCEFv8ArrayBufferReleaseCallback |
uCEFv8Context |
uCEFv8Exception |
uCEFv8Handler |
uCEFv8Interceptor |
uCEFv8StackFrame |
uCEFv8StackTrace |
uCEFv8Value |
uCEFValue |
uCEFView |
uCEFViewComponent |
uCEFViewDelegate |
uCEFViewsFrameworkEvents |
uCEFWaitableEvent |
uCEFWinControl |
uCEFWindow |
uCEFWindowComponent |
uCEFWindowDelegate |
uCEFWindowInfoWrapper |
uCEFWindowParent |
uCEFWorkScheduler |
uCEFWorkSchedulerQueueThread |
uCEFWorkSchedulerThread |
uCEFWriteHandler |
uCEFX509Certificate |
uCEFX509CertPrincipal |
uCEFXmlReader |
uCEFZipReader |
Generated by PasDoc 0.16.0-snapshot.


cef4delphi: uCEFAccessibilityHandler

Unit uCEFAccessibilityHandler

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCEFAccessibilityHandlerOwn |
Class TCustomAccessibilityHandler |

Types

TOnAccessibilityEvent = procedure(Sender: TObject; const value: ICefValue) of object;

Description

Types

TOnAccessibilityEvent = procedure(Sender: TObject; const value: ICefValue) of object;

This item has no description.


cef4delphi: uCEFAccessibilityHandler: Class TCEFAccessibilityHandlerOwn

Class TCEFAccessibilityHandlerOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFAccessibilityHandler

Declaration

type TCEFAccessibilityHandlerOwn = class(TCefBaseRefCountedOwn, ICefAccessibilityHandler)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCEFAccessibilityHandlerOwn

Overview

Methods

Protected | procedure OnAccessibilityTreeChange(const value: ICefValue); virtual;
Protected | procedure OnAccessibilityLocationChange(const value: ICefValue); virtual;
Public | constructor Create; virtual;

Description

Methods

Protected procedure OnAccessibilityTreeChange(const value: ICefValue); virtual;

This item has no description. Showing description inherited from ICefAccessibilityHandler.OnAccessibilityTreeChange.

Called after renderer process sends accessibility tree changes to the browser process.

Protected procedure OnAccessibilityLocationChange(const value: ICefValue); virtual;

This item has no description. Showing description inherited from ICefAccessibilityHandler.OnAccessibilityLocationChange.

Called after renderer process sends accessibility location changes to the browser process.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFAccessibilityHandler: Class TCustomAccessibilityHandler

Class TCustomAccessibilityHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFAccessibilityHandler

Declaration

type TCustomAccessibilityHandler = class(TCEFAccessibilityHandlerOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCEFAccessibilityHandlerOwn
  • TCustomAccessibilityHandler

Overview

Fields

Protected | FOnTreeChange: TOnAccessibilityEvent;
Protected | FOnLocationChange: TOnAccessibilityEvent;

Methods

Protected | procedure OnAccessibilityTreeChange(const value: ICefValue); override;
Protected | procedure OnAccessibilityLocationChange(const value: ICefValue); override;
Public | constructor Create; override;

Properties

Public | property OnTreeChange : TOnAccessibilityEvent read FOnTreeChange write FOnTreeChange;
Public | property OnLocationChange : TOnAccessibilityEvent read FOnLocationChange write FOnLocationChange;

Description

Fields

Protected FOnTreeChange: TOnAccessibilityEvent;

This item has no description.

Protected FOnLocationChange: TOnAccessibilityEvent;

This item has no description.

Methods

Protected procedure OnAccessibilityTreeChange(const value: ICefValue); override;

This item has no description. Showing description inherited from ICefAccessibilityHandler.OnAccessibilityTreeChange.

Called after renderer process sends accessibility tree changes to the browser process.

Protected procedure OnAccessibilityLocationChange(const value: ICefValue); override;

This item has no description. Showing description inherited from ICefAccessibilityHandler.OnAccessibilityLocationChange.

Called after renderer process sends accessibility location changes to the browser process.

Public constructor Create; override;

This item has no description.

Properties

Public property OnTreeChange : TOnAccessibilityEvent read FOnTreeChange write FOnTreeChange;

This item has no description.

Public property OnLocationChange : TOnAccessibilityEvent read FOnLocationChange write FOnLocationChange;

This item has no description.


cef4delphi: uCEFApp

Unit uCEFApp

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefAppOwn | Implement this interface to provide handler implementations. Methods will be called by the process and/or thread indicated.
Class TCustomCefApp |


cef4delphi: uCEFApp: Class TCefAppOwn

Class TCefAppOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFApp

Declaration

type TCefAppOwn = class(TCefBaseRefCountedOwn, ICefApp)

Description

Implement this interface to provide handler implementations. Methods will be called by the process and/or thread indicated.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_app_capi.h">CEF source file: /include/capi/cef_app_capi.h (cef_app_t))

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefAppOwn

Overview

Methods

Protected | procedure OnBeforeCommandLineProcessing(const processType: ustring; const commandLine: ICefCommandLine); virtual; abstract;
Protected | procedure OnRegisterCustomSchemes(const registrar: TCefSchemeRegistrarRef); virtual; abstract;
Protected | procedure GetResourceBundleHandler(var aHandler : ICefResourceBundleHandler); virtual; abstract;
Protected | procedure GetBrowserProcessHandler(var aHandler : ICefBrowserProcessHandler); virtual; abstract;
Protected | procedure GetRenderProcessHandler(var aHandler : ICefRenderProcessHandler); virtual; abstract;
Protected | procedure RemoveReferences; virtual; abstract;
Public | constructor Create; virtual;

Description

Methods

Protected procedure OnBeforeCommandLineProcessing(const processType: ustring; const commandLine: ICefCommandLine); virtual; abstract;

This item has no description. Showing description inherited from ICefApp.OnBeforeCommandLineProcessing.

Provides an opportunity to view and/or modify command-line arguments before processing by CEF and Chromium. The |process_type| value will be NULL for the browser process. Do not keep a reference to the ICefCommandLine object passed to this function. The TCefSettings.command_line_args_disabled value can be used to start with an NULL command-line object. Any values specified in CefSettings that equate to command-line arguments will be set before this function is called. Be cautious when using this function to modify command-line arguments for non-browser processes as this may result in undefined behavior including crashes.

Protected procedure OnRegisterCustomSchemes(const registrar: TCefSchemeRegistrarRef); virtual; abstract;

This item has no description. Showing description inherited from ICefApp.OnRegisterCustomSchemes.

Provides an opportunity to register custom schemes. Do not keep a reference to the |registrar| object. This function is called on the main thread for each process and the registered schemes should be the same across all processes.

Protected procedure GetResourceBundleHandler(var aHandler : ICefResourceBundleHandler); virtual; abstract;

This item has no description. Showing description inherited from ICefApp.GetResourceBundleHandler.

Return the handler for resource bundle events. If no handler is returned resources will be loaded from pack files. This function is called by the browser and render processes on multiple threads.

Protected procedure GetBrowserProcessHandler(var aHandler : ICefBrowserProcessHandler); virtual; abstract;

This item has no description. Showing description inherited from ICefApp.GetBrowserProcessHandler.

Return the handler for functionality specific to the browser process. This function is called on multiple threads in the browser process.

Protected procedure GetRenderProcessHandler(var aHandler : ICefRenderProcessHandler); virtual; abstract;

This item has no description. Showing description inherited from ICefApp.GetRenderProcessHandler.

Return the handler for functionality specific to the render process. This function is called on the render process main thread.

Protected procedure RemoveReferences; virtual; abstract;

This item has no description. Showing description inherited from ICefApp.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFApp: Class TCustomCefApp

Class TCustomCefApp

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFApp

Declaration

type TCustomCefApp = class(TCefAppOwn)

Description

This item has no description. Showing description inherited from TCefAppOwn.

Implement this interface to provide handler implementations. Methods will be called by the process and/or thread indicated.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_app_capi.h">CEF source file: /include/capi/cef_app_capi.h (cef_app_t))

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefAppOwn
  • TCustomCefApp

Overview

Fields

Protected | FCefApp: TCefApplicationCore;
Protected | FResourceBundleHandler: ICefResourceBundleHandler;
Protected | FBrowserProcessHandler: ICefBrowserProcessHandler;
Protected | FRenderProcessHandler: ICefRenderProcessHandler;

Methods

Protected | procedure OnBeforeCommandLineProcessing(const processType: ustring; const commandLine: ICefCommandLine); override;
Protected | procedure OnRegisterCustomSchemes(const registrar: TCefSchemeRegistrarRef); override;
Protected | procedure GetResourceBundleHandler(var aHandler : ICefResourceBundleHandler); override;
Protected | procedure GetBrowserProcessHandler(var aHandler : ICefBrowserProcessHandler); override;
Protected | procedure GetRenderProcessHandler(var aHandler : ICefRenderProcessHandler); override;
Protected | procedure InitializeVars;
Protected | procedure RemoveReferences; override;
Public | constructor Create(const aCefApp : TCefApplicationCore); reintroduce;
Public | destructor Destroy; override;

Description

Fields

Protected FCefApp: TCefApplicationCore;

This item has no description.

Protected FResourceBundleHandler: ICefResourceBundleHandler;

This item has no description.

Protected FBrowserProcessHandler: ICefBrowserProcessHandler;

This item has no description.

Protected FRenderProcessHandler: ICefRenderProcessHandler;

This item has no description.

Methods

Protected procedure OnBeforeCommandLineProcessing(const processType: ustring; const commandLine: ICefCommandLine); override;

This item has no description. Showing description inherited from ICefApp.OnBeforeCommandLineProcessing.

Provides an opportunity to view and/or modify command-line arguments before processing by CEF and Chromium. The |process_type| value will be NULL for the browser process. Do not keep a reference to the ICefCommandLine object passed to this function. The TCefSettings.command_line_args_disabled value can be used to start with an NULL command-line object. Any values specified in CefSettings that equate to command-line arguments will be set before this function is called. Be cautious when using this function to modify command-line arguments for non-browser processes as this may result in undefined behavior including crashes.

Protected procedure OnRegisterCustomSchemes(const registrar: TCefSchemeRegistrarRef); override;

This item has no description. Showing description inherited from ICefApp.OnRegisterCustomSchemes.

Provides an opportunity to register custom schemes. Do not keep a reference to the |registrar| object. This function is called on the main thread for each process and the registered schemes should be the same across all processes.

Protected procedure GetResourceBundleHandler(var aHandler : ICefResourceBundleHandler); override;

This item has no description. Showing description inherited from ICefApp.GetResourceBundleHandler.

Return the handler for resource bundle events. If no handler is returned resources will be loaded from pack files. This function is called by the browser and render processes on multiple threads.

Protected procedure GetBrowserProcessHandler(var aHandler : ICefBrowserProcessHandler); override;

This item has no description. Showing description inherited from ICefApp.GetBrowserProcessHandler.

Return the handler for functionality specific to the browser process. This function is called on multiple threads in the browser process.

Protected procedure GetRenderProcessHandler(var aHandler : ICefRenderProcessHandler); override;

This item has no description. Showing description inherited from ICefApp.GetRenderProcessHandler.

Return the handler for functionality specific to the render process. This function is called on the render process main thread.

Protected procedure InitializeVars;

This item has no description.

Protected procedure RemoveReferences; override;

This item has no description. Showing description inherited from ICefApp.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create(const aCefApp : TCefApplicationCore); reintroduce;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFApplication

Unit uCEFApplication

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefApplication | Main class used to simplify the CEF initialization and destruction.

Functions and Procedures

function CefCursorToWindowsCursor(aCefCursor : TCefCursorType) : TCursor;
procedure DestroyGlobalCEFApp;

Types

TCEFDirectoryDeleterThread = uCEFApplicationCore.TCEFDirectoryDeleterThread;

Constants

CEF_SUPPORTED_VERSION_MAJOR = uCefApplicationCore.CEF_SUPPORTED_VERSION_MAJOR;
CEF_SUPPORTED_VERSION_MINOR = uCefApplicationCore.CEF_SUPPORTED_VERSION_MINOR;
CEF_SUPPORTED_VERSION_RELEASE = uCefApplicationCore.CEF_SUPPORTED_VERSION_RELEASE;
CEF_SUPPORTED_VERSION_BUILD = uCefApplicationCore.CEF_SUPPORTED_VERSION_BUILD;
CEF_CHROMEELF_VERSION_MAJOR = uCefApplicationCore.CEF_CHROMEELF_VERSION_MAJOR;
CEF_CHROMEELF_VERSION_MINOR = uCefApplicationCore.CEF_CHROMEELF_VERSION_MINOR;
CEF_CHROMEELF_VERSION_RELEASE = uCefApplicationCore.CEF_CHROMEELF_VERSION_RELEASE;
CEF_CHROMEELF_VERSION_BUILD = uCefApplicationCore.CEF_CHROMEELF_VERSION_BUILD;
LIBCEF_DLL = uCefApplicationCore.LIBCEF_DLL;
CHROMEELF_DLL = uCefApplicationCore.CHROMEELF_DLL;

Variables

GlobalCEFApp: TCefApplication = nil;

Description

Functions and Procedures

function CefCursorToWindowsCursor(aCefCursor : TCefCursorType) : TCursor;

This item has no description.

procedure DestroyGlobalCEFApp;

This item has no description.

Types

TCEFDirectoryDeleterThread = uCEFApplicationCore.TCEFDirectoryDeleterThread;

This item has no description.

Constants

CEF_SUPPORTED_VERSION_MAJOR = uCefApplicationCore.CEF_SUPPORTED_VERSION_MAJOR;

This item has no description.

CEF_SUPPORTED_VERSION_MINOR = uCefApplicationCore.CEF_SUPPORTED_VERSION_MINOR;

This item has no description.

CEF_SUPPORTED_VERSION_RELEASE = uCefApplicationCore.CEF_SUPPORTED_VERSION_RELEASE;

This item has no description.

CEF_SUPPORTED_VERSION_BUILD = uCefApplicationCore.CEF_SUPPORTED_VERSION_BUILD;

This item has no description.

CEF_CHROMEELF_VERSION_MAJOR = uCefApplicationCore.CEF_CHROMEELF_VERSION_MAJOR;

This item has no description.

CEF_CHROMEELF_VERSION_MINOR = uCefApplicationCore.CEF_CHROMEELF_VERSION_MINOR;

This item has no description.

CEF_CHROMEELF_VERSION_RELEASE = uCefApplicationCore.CEF_CHROMEELF_VERSION_RELEASE;

This item has no description.

CEF_CHROMEELF_VERSION_BUILD = uCefApplicationCore.CEF_CHROMEELF_VERSION_BUILD;

This item has no description.

LIBCEF_DLL = uCefApplicationCore.LIBCEF_DLL;

This item has no description.

CHROMEELF_DLL = uCefApplicationCore.CHROMEELF_DLL;

This item has no description.

Variables

GlobalCEFApp: TCefApplication = nil;

This item has no description.


cef4delphi: uCEFApplication: Class TCefApplication

Class TCefApplication

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFApplication

Declaration

type TCefApplication = class(TCefApplicationCore)

Description

Main class used to simplify the CEF initialization and destruction.

Hierarchy

  • TInterfacedObject
  • TCefApplicationCore
  • TCefApplication

Overview

Fields

Protected | FDestroyApplicationObject: boolean;
Protected | FDestroyAppWindows: boolean;
Protected | FContextInitializedHandlers: TMethodList;

Methods

Protected | procedure CallContextInitializedHandlers(Data: PtrInt);
Protected | procedure doOnContextInitialized; override;
Protected | procedure BeforeInitSubProcess; override;
Public | constructor Create;
Public | destructor Destroy; override;
Public | procedure UpdateDeviceScaleFactor; override;
Public | Procedure AddContextInitializedHandler(AHandler: TNotifyEvent);
Public | Procedure RemoveContextInitializedHandler(AHandler: TNotifyEvent);

Properties

Public | property DestroyApplicationObject : boolean read FDestroyApplicationObject write FDestroyApplicationObject;
Public | property DestroyAppWindows : boolean read FDestroyAppWindows write FDestroyAppWindows;

Description

Fields

Protected FDestroyApplicationObject: boolean;

This item has no description.

Protected FDestroyAppWindows: boolean;

This item has no description.

Protected FContextInitializedHandlers: TMethodList;

This item has no description.

Methods

Protected procedure CallContextInitializedHandlers(Data: PtrInt);

This item has no description.

Protected procedure doOnContextInitialized; override;

This item has no description.

Protected procedure BeforeInitSubProcess; override;

This item has no description.

Public constructor Create;

This item has no description.

Public destructor Destroy; override;

This item has no description.

Public procedure UpdateDeviceScaleFactor; override;

This item has no description. Showing description inherited from TCefApplicationCore.UpdateDeviceScaleFactor.

Update the DeviceScaleFactor value with the current monitor scale.

Public Procedure AddContextInitializedHandler(AHandler: TNotifyEvent);

This item has no description.

Public Procedure RemoveContextInitializedHandler(AHandler: TNotifyEvent);

This item has no description.

Properties

Public property DestroyApplicationObject : boolean read FDestroyApplicationObject write FDestroyApplicationObject;

This item has no description.

Public property DestroyAppWindows : boolean read FDestroyAppWindows write FDestroyAppWindows;

This item has no description.


cef4delphi: uCEFApplicationCore

Unit uCEFApplicationCore

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefApplicationCore | Parent class of TCefApplication used to simplify the CEF initialization and destruction.
Class TCEFDirectoryDeleterThread |
Class TCEFProxySettings | Class used by the TWVLoader.ProxySettigns property to configure a custom proxy server using the following command line switches: –no-proxy-server, –proxy-auto-detect, –proxy-bypass-list, –proxy-pac-url and –proxy-server.

Functions and Procedures

procedure DestroyGlobalCEFApp;

Constants

CEF_SUPPORTED_VERSION_MAJOR = 139;
CEF_SUPPORTED_VERSION_MINOR = 0;
CEF_SUPPORTED_VERSION_RELEASE = 17;
CEF_SUPPORTED_VERSION_BUILD = 0;
CEF_CHROMEELF_VERSION_MAJOR = CEF_SUPPORTED_VERSION_MAJOR;
CEF_CHROMEELF_VERSION_MINOR = 0;
CEF_CHROMEELF_VERSION_RELEASE = 7258;
CEF_CHROMEELF_VERSION_BUILD = 31;
CEF_API_VERSION_MIN = 13300;
CEF_API_VERSION_LAST = 13900;
CEF_API_VERSION = CEF_API_VERSION_LAST;
CEF_API_VERSION_EXPERIMENTAL = 999999;
CEF_API_HASH_PLATFORM_LINUX = 'fd0b7f8ab5869224972340454690a42e91939488';
CEF_API_HASH_PLATFORM_MAC = '9b3ef316d9a3f554899c36139cfccb17767ca254';
CEF_API_HASH_PLATFORM_WINDOWS = '707508ab72072116ce0500e3d2bdd9f34b2d5cd8';
LIBCEF_DLL = 'libcef.dll';
CHROMEELF_DLL = 'chrome_elf.dll';
LIBCEF_PAK = 'cef.pak';
LIBCEF_LOCALE_DIR = 'locales';
LIBCEF_LOCALE_ENUS = 'en-US.pak';

Variables

GlobalCEFApp: TCefApplicationCore = nil;

Description

Functions and Procedures

procedure DestroyGlobalCEFApp;

This item has no description.

Constants

CEF_SUPPORTED_VERSION_MAJOR = 139;

This item has no description.

CEF_SUPPORTED_VERSION_MINOR = 0;

This item has no description.

CEF_SUPPORTED_VERSION_RELEASE = 17;

This item has no description.

CEF_SUPPORTED_VERSION_BUILD = 0;

This item has no description.

CEF_CHROMEELF_VERSION_MAJOR = CEF_SUPPORTED_VERSION_MAJOR;

This item has no description.

CEF_CHROMEELF_VERSION_MINOR = 0;

This item has no description.

CEF_CHROMEELF_VERSION_RELEASE = 7258;

This item has no description.

CEF_CHROMEELF_VERSION_BUILD = 31;

This item has no description.

CEF_API_VERSION_MIN = 13300;

values defined in cef_api_versions.json

CEF_API_VERSION_LAST = 13900;

This item has no description.

CEF_API_VERSION = CEF_API_VERSION_LAST;

This item has no description.

CEF_API_VERSION_EXPERIMENTAL = 999999;

value defined in /include/cef_api_hash.h

CEF_API_HASH_PLATFORM_LINUX = 'fd0b7f8ab5869224972340454690a42e91939488';

values defined in cef_api_versions.json

CEF_API_HASH_PLATFORM_MAC = '9b3ef316d9a3f554899c36139cfccb17767ca254';

This item has no description.

CEF_API_HASH_PLATFORM_WINDOWS = '707508ab72072116ce0500e3d2bdd9f34b2d5cd8';

This item has no description.

LIBCEF_DLL = 'libcef.dll';

This item has no description.

CHROMEELF_DLL = 'chrome_elf.dll';

This item has no description.

LIBCEF_PAK = 'cef.pak';

for InitLibLocationFromArgs

LIBCEF_LOCALE_DIR = 'locales';

This item has no description.

LIBCEF_LOCALE_ENUS = 'en-US.pak';

This item has no description.

Variables

GlobalCEFApp: TCefApplicationCore = nil;

This item has no description.


cef4delphi: uCEFApplicationCore: Class TCefApplicationCore

Class TCefApplicationCore

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFApplicationCore

Declaration

type TCefApplicationCore = class(TInterfacedObject, IApplicationCoreEvents)

Description

Parent class of TCefApplication used to simplify the CEF initialization and destruction.

Hierarchy

  • TInterfacedObject
  • TCefApplicationCore

Overview

Fields

Protected | FNoSandbox: boolean;
Protected | FBrowserSubprocessPath: ustring;
Protected | FFrameworkDirPath: ustring;
Protected | FMainBundlePath: ustring;
Protected | FMultiThreadedMessageLoop: boolean;
Protected | FExternalMessagePump: boolean;
Protected | FWindowlessRenderingEnabled: boolean;
Protected | FCommandLineArgsDisabled: boolean;
Protected | FCache: ustring;
Protected | FRootCache: ustring;
Protected | FPersistSessionCookies: boolean;
Protected | FUserAgent: ustring;
Protected | FUserAgentProduct: ustring;
Protected | FLocale: ustring;
Protected | FLogFile: ustring;
Protected | FLogSeverity: TCefLogSeverity;
Protected | FLogItems: TCefLogItems;
Protected | FJavaScriptFlags: ustring;
Protected | FResourcesDirPath: ustring;
Protected | FLocalesDirPath: ustring;
Protected | FRemoteDebuggingPort: integer;
Protected | FUncaughtExceptionStackSize: integer;
Protected | FIgnoreCertificateErrors: boolean;
Protected | FBackgroundColor: TCefColor;
Protected | FAcceptLanguageList: ustring;
Protected | FCookieableSchemesList: ustring;
Protected | FCookieableSchemesExcludeDefaults: boolean;
Protected | FChromePolicyId: ustring;
Protected | FChromeAppIconId: integer;
Protected | FDisableSignalHandlers: boolean;
Protected | FSingleProcess: boolean;
Protected | FEnableMediaStream: boolean;
Protected | FEnableSpeechInput: boolean;
Protected | FUseFakeUIForMediaStream: boolean;
Protected | FEnableUsermediaScreenCapturing: boolean;
Protected | FEnableGPU: boolean;
Protected | FEnableFeatures: ustring;
Protected | FDisableFeatures: ustring;
Protected | FEnableBlinkFeatures: ustring;
Protected | FDisableBlinkFeatures: ustring;
Protected | FBlinkSettings: ustring;
Protected | FForceFieldTrials: ustring;
Protected | FForceFieldTrialParams: ustring;
Protected | FSmoothScrolling: TCefState;
Protected | FMuteAudio: boolean;
Protected | FSitePerProcess: boolean;
Protected | FDisableWebSecurity: boolean;
Protected | FDisablePDFExtension: boolean;
Protected | FDisableSiteIsolationTrials: boolean;
Protected | FDisableChromeLoginPrompt: boolean;
Protected | FDisableExtensions: boolean;
Protected | FAutoplayPolicy: TCefAutoplayPolicy;
Protected | FDisableBackgroundNetworking: boolean;
Protected | FMetricsRecordingOnly: boolean;
Protected | FAllowFileAccessFromFiles: boolean;
Protected | FAllowRunningInsecureContent: boolean;
Protected | FEnablePrintPreview: boolean;
Protected | FDefaultEncoding: ustring;
Protected | FDisableJavascript: boolean;
Protected | FDisableJavascriptCloseWindows: boolean;
Protected | FDisableJavascriptAccessClipboard: boolean;
Protected | FDisableJavascriptDomPaste: boolean;
Protected | FAllowUniversalAccessFromFileUrls: boolean;
Protected | FDisableImageLoading: boolean;
Protected | FImageShrinkStandaloneToFit: boolean;
Protected | FDisableTextAreaResize: boolean;
Protected | FDisableTabToLinks: boolean;
Protected | FEnableProfanityFilter: boolean;
Protected | FDisableSpellChecking: boolean;
Protected | FOverrideSpellCheckLang: ustring;
Protected | FTouchEvents: TCefState;
Protected | FDisableReadingFromCanvas: boolean;
Protected | FHyperlinkAuditing: boolean;
Protected | FDisableNewBrowserInfoTimeout: boolean;
Protected | FDevToolsProtocolLogFile: ustring;
Protected | FForcedDeviceScaleFactor: single;
Protected | FDisableZygote: boolean;
Protected | FUseMockKeyChain: boolean;
Protected | FDisableRequestHandlingForTesting: boolean;
Protected | FDisablePopupBlocking: boolean;
Protected | FDisableBackForwardCache: boolean;
Protected | FDisableComponentUpdate: boolean;
Protected | FAllowInsecureLocalhost: boolean;
Protected | FKioskPrinting: boolean;
Protected | FTreatInsecureOriginAsSecure: ustring;
Protected | FNetLogEnabled: boolean;
Protected | FNetLogFile: ustring;
Protected | FNetLogCaptureMode: TCefNetLogCaptureMode;
Protected | FRemoteAllowOrigins: ustring;
Protected | FAutoAcceptCamAndMicCapture: boolean;
Protected | FUIColorMode: TCefUIColorMode;
Protected | FDisableHangMonitor: boolean;
Protected | FHideCrashRestoreBubble: boolean;
Protected | FPostQuantumKyber: TCefState;
Protected | FProxySettings: TCEFProxySettings;
Protected | FWindowsSandboxInfo: pointer;
Protected | FDeleteCache: boolean;
Protected | FDeleteCookies: boolean;
Protected | FCheckCEFFiles: boolean;
Protected | FShowMessageDlg: boolean;
Protected | FMissingBinariesException: boolean;
Protected | FSetCurrentDir: boolean;
Protected | FGlobalContextInitialized: boolean;
Protected | FChromeVersionInfo: TFileVersionInfo;
Protected | FLibLoaded: boolean;
Protected | FLogProcessInfo: boolean;
Protected | FReRaiseExceptions: boolean;
Protected | FDeviceScaleFactor: single;
Protected | FLocalesRequired: ustring;
Protected | FProcessType: TCefProcessType;
Protected | FMustCreateResourceBundleHandler: boolean;
Protected | FMustCreateBrowserProcessHandler: boolean;
Protected | FMustCreateRenderProcessHandler: boolean;
Protected | FMustCreateLoadHandler: boolean;
Protected | FStatus: TCefAplicationStatus;
Protected | FMissingLibFiles: string;
Protected | FMustFreeLibrary: boolean;
Protected | FLastErrorMessage: ustring;
Protected | FLibHandle: TLibHandle;
Protected | FCustomCommandLines: TStringList;
Protected | FCustomCommandLineValues: TStringList;
Protected | FAppSettings: TCefSettings;
Protected | FDisableGPUCache: boolean;
Protected | FComponentIDList: TCEFComponentIdList;
Protected | FOnRegisterCustomSchemes: TOnRegisterCustomSchemesEvent;
Protected | FOnRegisterCustomPreferences: TOnRegisterCustomPreferencesEvent;
Protected | FOnContextInitialized: TOnContextInitializedEvent;
Protected | FOnBeforeChildProcessLaunch: TOnBeforeChildProcessLaunchEvent;
Protected | FOnAlreadyRunningAppRelaunch: TOnAlreadyRunningAppRelaunchEvent;
Protected | FOnScheduleMessagePumpWork: TOnScheduleMessagePumpWorkEvent;
Protected | FOnGetDefaultClient: TOnGetDefaultClientEvent;
Protected | FOnGetDefaultRequestContextHandler: TOnGetDefaultRequestContextHandlerEvent;
Protected | FOnGetLocalizedString: TOnGetLocalizedStringEvent;
Protected | FOnGetDataResource: TOnGetDataResourceEvent;
Protected | FOnGetDataResourceForScale: TOnGetDataResourceForScaleEvent;
Protected | FOnWebKitInitialized: TOnWebKitInitializedEvent;
Protected | FOnBrowserCreated: TOnBrowserCreatedEvent;
Protected | FOnBrowserDestroyed: TOnBrowserDestroyedEvent;
Protected | FOnContextCreated: TOnContextCreatedEvent;
Protected | FOnContextReleased: TOnContextReleasedEvent;
Protected | FOnUncaughtException: TOnUncaughtExceptionEvent;
Protected | FOnFocusedNodeChanged: TOnFocusedNodeChangedEvent;
Protected | FOnProcessMessageReceived: TOnProcessMessageReceivedEvent;
Protected | FOnLoadingStateChange: TOnRenderLoadingStateChange;
Protected | FOnLoadStart: TOnRenderLoadStart;
Protected | FOnLoadEnd: TOnRenderLoadEnd;
Protected | FOnLoadError: TOnRenderLoadError;

Methods

Protected | procedure SetCache(const aValue : ustring);
Protected | procedure SetRootCache(const aValue : ustring);
Protected | procedure SetBrowserSubprocessPath(const aValue : ustring);
Protected | procedure SetFrameworkDirPath(const aValue : ustring);
Protected | procedure SetResourcesDirPath(const aValue : ustring);
Protected | procedure SetLocalesDirPath(const aValue : ustring);
Protected | procedure SetOsmodalLoop(aValue : boolean);
Protected | procedure SetKioskPrinting(aValue : boolean);
Protected | procedure SetLogFile(const aValue : ustring);
Protected | function GetChromeVersion: ustring;
Protected | function GetLibCefVersion: ustring;
Protected | function GetLibCefPath: ustring;
Protected | function GetChromeElfPath: ustring;
Protected | function GetLocalesDirPath: ustring;
Protected | function GetResourcesDirPath: ustring;
Protected | function GetMustCreateResourceBundleHandler: boolean; virtual;
Protected | function GetMustCreateBrowserProcessHandler: boolean; virtual;
Protected | function GetMustCreateRenderProcessHandler: boolean; virtual;
Protected | function GetMustCreateLoadHandler: boolean; virtual;
Protected | function GetGlobalContextInitialized: boolean;
Protected | function GetChildProcessesCount: integer;
Protected | function GetUsedMemory: uint64;
Protected | function GetTotalSystemMemory: uint64;
Protected | function GetAvailableSystemMemory: uint64;
Protected | function GetSystemMemoryLoad: cardinal;
Protected | function GetApiHashPlatform: ustring;
Protected | function GetApiHashCommit: ustring;
Protected | function GetApiVersion: integer;
Protected | function GetExitCode: TCefResultCode;
Protected | function GetBrowserById(aID : integer) : ICefBrowser;
Protected | function GetCookiesDir(const aRootDirectory : string) : string;
Protected | function LoadCEFlibrary: boolean; virtual;
Protected | function Load_cef_api_hash_h: boolean;
Protected | function Load_cef_version_info_h: boolean;
Protected | function Load_cef_id_mappers_h: boolean;
Protected | function Load_cef_app_capi_h: boolean;
Protected | function Load_cef_app_win_h: boolean;
Protected | function Load_cef_browser_capi_h: boolean;
Protected | function Load_cef_command_line_capi_h: boolean;
Protected | function Load_cef_cookie_capi_h: boolean;
Protected | function Load_cef_crash_util_h: boolean;
Protected | function Load_cef_drag_data_capi_h: boolean;
Protected | function Load_cef_dump_without_crashing_internal_h: boolean;
Protected | function Load_cef_file_util_capi_h: boolean;
Protected | function Load_cef_i18n_util_capi_h: boolean;
Protected | function Load_cef_image_capi_h: boolean;
Protected | function Load_cef_menu_model_capi_h: boolean;
Protected | function Load_cef_media_router_capi_h: boolean;
Protected | function Load_cef_origin_whitelist_capi_h: boolean;
Protected | function Load_cef_parser_capi_h: boolean;
Protected | function Load_cef_path_util_capi_h: boolean;
Protected | function Load_cef_preference_capi_h: boolean;
Protected | function Load_cef_print_settings_capi_h: boolean;
Protected | function Load_cef_process_message_capi_h: boolean;
Protected | function Load_cef_process_util_capi_h: boolean;
Protected | function Load_cef_request_capi_h: boolean;
Protected | function Load_cef_request_context_capi_h: boolean;
Protected | function Load_cef_resource_bundle_capi_h: boolean;
Protected | function Load_cef_response_capi_h: boolean;
Protected | function Load_cef_scheme_capi_h: boolean;
Protected | function Load_cef_server_capi_h: boolean;
Protected | function Load_cef_shared_process_message_builder_capi_h: boolean;
Protected | function Load_cef_ssl_info_capi_h: boolean;
Protected | function Load_cef_stream_capi_h: boolean;
Protected | function Load_cef_task_capi_h: boolean;
Protected | function Load_cef_task_manager_capi_h: boolean;
Protected | function Load_cef_thread_capi_h: boolean;
Protected | function Load_cef_trace_capi_h: boolean;
Protected | function Load_cef_urlrequest_capi_h: boolean;
Protected | function Load_cef_v8_capi_h: boolean;
Protected | function Load_cef_values_capi_h: boolean;
Protected | function Load_cef_waitable_event_capi_h: boolean;
Protected | function Load_cef_xml_reader_capi_h: boolean;
Protected | function Load_cef_zip_reader_capi_h: boolean;
Protected | function Load_cef_logging_internal_h: boolean;
Protected | function Load_cef_string_list_h: boolean;
Protected | function Load_cef_string_map_h: boolean;
Protected | function Load_cef_string_multimap_h: boolean;
Protected | function Load_cef_string_types_h: boolean;
Protected | function Load_cef_thread_internal_h: boolean;
Protected | function Load_cef_trace_event_internal_h: boolean;
Protected | function Load_cef_browser_view_capi_h: boolean;
Protected | function Load_cef_display_capi_h: boolean;
Protected | function Load_cef_label_button_capi_h: boolean;
Protected | function Load_cef_menu_button_capi_h: boolean;
Protected | function Load_cef_panel_capi_h: boolean;
Protected | function Load_cef_scroll_view_capi_h: boolean;
Protected | function Load_cef_textfield_capi_h: boolean;
Protected | function Load_cef_window_capi_h: boolean;
Protected | function Load_cef_types_linux_h: boolean;
Protected | function Load_cef_time_h: boolean;
Protected | procedure doOnBeforeCommandLineProcessing(const processType: ustring; const commandLine: ICefCommandLine); virtual;
Protected | procedure doOnRegisterCustomSchemes(const registrar: TCefSchemeRegistrarRef); virtual;
Protected | procedure doOnRegisterCustomPreferences(type_: TCefPreferencesType; registrar: PCefPreferenceRegistrar); virtual;
Protected | procedure doOnContextInitialized; virtual;
Protected | procedure doOnBeforeChildProcessLaunch(const commandLine: ICefCommandLine); virtual;
Protected | procedure doOnAlreadyRunningAppRelaunch(const commandLine: ICefCommandLine; const current_directory: ustring; var aResult: boolean); virtual;
Protected | procedure doOnScheduleMessagePumpWork(const delayMs: Int64); virtual;
Protected | procedure doGetDefaultClient(var aClient : ICefClient); virtual;
Protected | procedure doGetDefaultRequestContextHandler(var aRequestContextHandler : ICefRequestContextHandler); virtual;
Protected | function doGetLocalizedString(stringid: Integer; var stringVal: ustring): Boolean; virtual;
Protected | function doGetDataResource(resourceId: Integer; var data: Pointer; var dataSize: NativeUInt): Boolean; virtual;
Protected | function doGetDataResourceForScale(resourceId: Integer; scaleFactor: TCefScaleFactor; var data: Pointer; var dataSize: NativeUInt): Boolean; virtual;
Protected | procedure doOnWebKitInitialized; virtual;
Protected | procedure doOnBrowserCreated(const browser: ICefBrowser; const extra_info: ICefDictionaryValue); virtual;
Protected | procedure doOnBrowserDestroyed(const browser: ICefBrowser); virtual;
Protected | procedure doOnContextCreated(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context); virtual;
Protected | procedure doOnContextReleased(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context); virtual;
Protected | procedure doOnUncaughtException(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context; const V8Exception: ICefV8Exception; const stackTrace: ICefV8StackTrace); virtual;
Protected | procedure doOnFocusedNodeChanged(const browser: ICefBrowser; const frame: ICefFrame; const node: ICefDomNode); virtual;
Protected | procedure doOnProcessMessageReceived(const browser: ICefBrowser; const frame: ICefFrame; sourceProcess: TCefProcessId; const aMessage: ICefProcessMessage; var aHandled : boolean); virtual;
Protected | procedure doOnLoadingStateChange(const browser: ICefBrowser; isLoading, canGoBack, canGoForward: Boolean); virtual;
Protected | procedure doOnLoadStart(const browser: ICefBrowser; const frame: ICefFrame; transitionType: TCefTransitionType); virtual;
Protected | procedure doOnLoadEnd(const browser: ICefBrowser; const frame: ICefFrame; httpStatusCode: Integer); virtual;
Protected | procedure doOnLoadError(const browser: ICefBrowser; const frame: ICefFrame; errorCode: TCefErrorCode; const errorText, failedUrl: ustring); virtual;
Protected | procedure ShutDown;
Protected | procedure FreeLibcefLibrary;
Protected | function ExecuteProcess(const aApp : ICefApp) : integer;
Protected | procedure InitializeCefMainArgs(var aCefMainArgs : TCefMainArgs);
Protected | procedure InitializeSettings(var aSettings : TCefSettings);
Protected | function InitializeLibrary(const aApp : ICefApp) : boolean;
Protected | procedure RenameAndDeleteDir(const aDirectory : string; aKeepCookies : boolean = False);
Protected | procedure DeleteCacheContents(const aDirectory : string);
Protected | procedure DeleteCookiesDB(const aRootDirectory : string);
Protected | procedure MoveCookiesDB(const aSrcDirectory, aDstDirectory : string);
Protected | function MultiExeProcessing: boolean;
Protected | function SingleExeProcessing: boolean;
Protected | procedure BeforeInitSubProcess; virtual;
Protected | function CheckCEFResources: boolean; virtual;
Protected | function CheckCEFAPIHash: boolean;
Protected | function CheckCEFDLL: boolean; virtual;
Protected | function CheckWindowsVersion: boolean; virtual;
Protected | function CheckOSVersion: boolean; virtual;
Protected | procedure ShowErrorMessageDlg(const aError : string); virtual;
Protected | function ParseProcessType: TCefProcessType;
Protected | procedure AddCustomCommandLineSwitches(var aKeys, aValues : TStringList); virtual;
Protected | procedure AppendSwitch(var aKeys, aValues : TStringList; const aNewKey : ustring; const aNewValue : ustring = '');
Protected | procedure ReplaceSwitch(var aKeys, aValues : TStringList; const aNewKey : ustring; const aNewValue : ustring = '');
Protected | procedure CleanupFeatures(var aKeys, aValues : TStringList; const aEnableKey, aDisableKey : string);
Protected | procedure ClearSchemeHandlerFactories;
Public | constructor Create;
Public | destructor Destroy; override;
Public | procedure AfterConstruction; override;
Public | procedure AddCustomCommandLine(const aCommandLine : string; const aValue : string = '');
Public | function CheckCEFLibrary: boolean;
Public | function StartMainProcess: boolean;
Public | function StartSubProcess: boolean;
Public | procedure DoMessageLoopWork;
Public | procedure RunMessageLoop;
Public | procedure QuitMessageLoop;
Public | procedure UpdateDeviceScaleFactor; virtual;
Public | function ValidComponentID(aComponentID : integer) : boolean;
Public | function NextComponentID: integer;
Public | procedure RemoveComponentID(aComponentID : integer);
Public | function DumpWithoutCrashing(mseconds_between_dumps: int64; const function_name, file_name: ustring; line_number: integer): boolean;
Public | function GetCEFVersionInfo(var aCEFVersionInfo : TCefVersionInfo) : boolean;
Public | function GetChromiumVersionInfo(var aChromiumVersionInfo : TChromiumVersionInfo) : boolean;
Public | function GetIdForPackResourceName(const name : ustring): Integer;
Public | function GetIdForPackStringName(const name : ustring): Integer;
Public | function GetIdForCommandIdName(const name : ustring): Integer;

Properties

Public | property NoSandbox : Boolean read FNoSandbox write FNoSandbox;
Public | property BrowserSubprocessPath : ustring read FBrowserSubprocessPath write SetBrowserSubprocessPath;
Public | property FrameworkDirPath : ustring read FFrameworkDirPath write SetFrameworkDirPath;
Public | property MainBundlePath : ustring read FMainBundlePath write FMainBundlePath;
Public | property MultiThreadedMessageLoop : boolean read FMultiThreadedMessageLoop write FMultiThreadedMessageLoop;
Public | property ExternalMessagePump : boolean read FExternalMessagePump write FExternalMessagePump;
Public | property WindowlessRenderingEnabled : Boolean read FWindowlessRenderingEnabled write FWindowlessRenderingEnabled;
Public | property CommandLineArgsDisabled : Boolean read FCommandLineArgsDisabled write FCommandLineArgsDisabled;
Public | property Cache : ustring read FCache write SetCache;
Public | property RootCache : ustring read FRootCache write SetRootCache;
Public | property PersistSessionCookies : Boolean read FPersistSessionCookies write FPersistSessionCookies;
Public | property UserAgent : ustring read FUserAgent write FUserAgent;
Public | property UserAgentProduct : ustring read FUserAgentProduct write FUserAgentProduct;
Public | property Locale : ustring read FLocale write FLocale;
Public | property LogFile : ustring read FLogFile write SetLogFile;
Public | property LogSeverity : TCefLogSeverity read FLogSeverity write FLogSeverity;
Public | property LogItems : TCefLogItems read FLogItems write FLogItems;
Public | property JavaScriptFlags : ustring read FJavaScriptFlags write FJavaScriptFlags;
Public | property ResourcesDirPath : ustring read GetResourcesDirPath write SetResourcesDirPath;
Public | property LocalesDirPath : ustring read GetLocalesDirPath write SetLocalesDirPath;
Public | property RemoteDebuggingPort : Integer read FRemoteDebuggingPort write FRemoteDebuggingPort;
Public | property UncaughtExceptionStackSize : Integer read FUncaughtExceptionStackSize write FUncaughtExceptionStackSize;
Public | property BackgroundColor : TCefColor read FBackgroundColor write FBackgroundColor;
Public | property AcceptLanguageList : ustring read FAcceptLanguageList write FAcceptLanguageList;
Public | property CookieableSchemesList : ustring read FCookieableSchemesList write FCookieableSchemesList;
Public | property CookieableSchemesExcludeDefaults : boolean read FCookieableSchemesExcludeDefaults write FCookieableSchemesExcludeDefaults;
Public | property ChromePolicyId : ustring read FChromePolicyId write FChromePolicyId;
Public | property ChromeAppIconId : integer read FChromeAppIconId write FChromeAppIconId;
Public | property DisableSignalHandlers : boolean read FDisableSignalHandlers write FDisableSignalHandlers;
Public | property SingleProcess : Boolean read FSingleProcess write FSingleProcess;
Public | property EnableMediaStream : boolean read FEnableMediaStream write FEnableMediaStream;
Public | property EnableSpeechInput : boolean read FEnableSpeechInput write FEnableSpeechInput;
Public | property UseFakeUIForMediaStream : boolean read FUseFakeUIForMediaStream write FUseFakeUIForMediaStream;
Public | property EnableUsermediaScreenCapturing : boolean read FEnableUsermediaScreenCapturing write FEnableUsermediaScreenCapturing;
Public | property EnableGPU : boolean read FEnableGPU write FEnableGPU;
Public | property EnableFeatures : ustring read FEnableFeatures write FEnableFeatures;
Public | property DisableFeatures : ustring read FDisableFeatures write FDisableFeatures;
Public | property EnableBlinkFeatures : ustring read FEnableBlinkFeatures write FEnableBlinkFeatures;
Public | property DisableBlinkFeatures : ustring read FDisableBlinkFeatures write FDisableBlinkFeatures;
Public | property BlinkSettings : ustring read FBlinkSettings write FBlinkSettings;
Public | property ForceFieldTrials : ustring read FForceFieldTrials write FForceFieldTrials;
Public | property ForceFieldTrialParams : ustring read FForceFieldTrialParams write FForceFieldTrialParams;
Public | property SmoothScrolling : TCefState read FSmoothScrolling write FSmoothScrolling;
Public | property MuteAudio : boolean read FMuteAudio write FMuteAudio;
Public | property SitePerProcess : boolean read FSitePerProcess write FSitePerProcess;
Public | property DisableWebSecurity : boolean read FDisableWebSecurity write FDisableWebSecurity;
Public | property DisablePDFExtension : boolean read FDisablePDFExtension write FDisablePDFExtension;
Public | property DisableSiteIsolationTrials : boolean read FDisableSiteIsolationTrials write FDisableSiteIsolationTrials;
Public | property DisableChromeLoginPrompt : boolean read FDisableChromeLoginPrompt write FDisableChromeLoginPrompt;
Public | property DisableExtensions : boolean read FDisableExtensions write FDisableExtensions;
Public | property AutoplayPolicy : TCefAutoplayPolicy read FAutoplayPolicy write FAutoplayPolicy;
Public | property DisableBackgroundNetworking : boolean read FDisableBackgroundNetworking write FDisableBackgroundNetworking;
Public | property MetricsRecordingOnly : boolean read FMetricsRecordingOnly write FMetricsRecordingOnly;
Public | property AllowFileAccessFromFiles : boolean read FAllowFileAccessFromFiles write FAllowFileAccessFromFiles;
Public | property AllowRunningInsecureContent : boolean read FAllowRunningInsecureContent write FAllowRunningInsecureContent;
Public | property EnablePrintPreview : boolean read FEnablePrintPreview write FEnablePrintPreview;
Public | property DefaultEncoding : ustring read FDefaultEncoding write FDefaultEncoding;
Public | property DisableJavascript : boolean read FDisableJavascript write FDisableJavascript;
Public | property DisableJavascriptCloseWindows : boolean read FDisableJavascriptCloseWindows write FDisableJavascriptCloseWindows;
Public | property DisableJavascriptAccessClipboard : boolean read FDisableJavascriptAccessClipboard write FDisableJavascriptAccessClipboard;
Public | property DisableJavascriptDomPaste : boolean read FDisableJavascriptDomPaste write FDisableJavascriptDomPaste;
Public | property AllowUniversalAccessFromFileUrls : boolean read FAllowUniversalAccessFromFileUrls write FAllowUniversalAccessFromFileUrls;
Public | property DisableImageLoading : boolean read FDisableImageLoading write FDisableImageLoading;
Public | property ImageShrinkStandaloneToFit : boolean read FImageShrinkStandaloneToFit write FImageShrinkStandaloneToFit;
Public | property DisableTextAreaResize : boolean read FDisableTextAreaResize write FDisableTextAreaResize;
Public | property DisableTabToLinks : boolean read FDisableTabToLinks write FDisableTabToLinks;
Public | property EnableProfanityFilter : boolean read FEnableProfanityFilter write FEnableProfanityFilter;
Public | property DisableSpellChecking : boolean read FDisableSpellChecking write FDisableSpellChecking;
Public | property OverrideSpellCheckLang : ustring read FOverrideSpellCheckLang write FOverrideSpellCheckLang;
Public | property TouchEvents : TCefState read FTouchEvents write FTouchEvents;
Public | property DisableReadingFromCanvas : boolean read FDisableReadingFromCanvas write FDisableReadingFromCanvas;
Public | property HyperlinkAuditing : boolean read FHyperlinkAuditing write FHyperlinkAuditing;
Public | property DisableNewBrowserInfoTimeout : boolean read FDisableNewBrowserInfoTimeout write FDisableNewBrowserInfoTimeout;
Public | property DevToolsProtocolLogFile : ustring read FDevToolsProtocolLogFile write FDevToolsProtocolLogFile;
Public | property ForcedDeviceScaleFactor : single read FForcedDeviceScaleFactor write FForcedDeviceScaleFactor;
Public | property DisableZygote : boolean read FDisableZygote write FDisableZygote;
Public | property UseMockKeyChain : boolean read FUseMockKeyChain write FUseMockKeyChain;
Public | property DisableRequestHandlingForTesting : boolean read FDisableRequestHandlingForTesting write FDisableRequestHandlingForTesting;
Public | property DisablePopupBlocking : boolean read FDisablePopupBlocking write FDisablePopupBlocking;
Public | property DisableBackForwardCache : boolean read FDisableBackForwardCache write FDisableBackForwardCache;
Public | property DisableComponentUpdate : boolean read FDisableComponentUpdate write FDisableComponentUpdate;
Public | property AllowInsecureLocalhost : boolean read FAllowInsecureLocalhost write FAllowInsecureLocalhost;
Public | property KioskPrinting : boolean read FKioskPrinting write SetKioskPrinting;
Public | property TreatInsecureOriginAsSecure : ustring read FTreatInsecureOriginAsSecure write FTreatInsecureOriginAsSecure;
Public | property NetLogEnabled : boolean read FNetLogEnabled write FNetLogEnabled;
Public | property NetLogFile : ustring read FNetLogFile write FNetLogFile;
Public | property NetLogCaptureMode : TCefNetLogCaptureMode read FNetLogCaptureMode write FNetLogCaptureMode;
Public | property RemoteAllowOrigins : ustring read FRemoteAllowOrigins write FRemoteAllowOrigins;
Public | property AutoAcceptCamAndMicCapture : boolean read FAutoAcceptCamAndMicCapture write FAutoAcceptCamAndMicCapture;
Public | property UIColorMode : TCefUIColorMode read FUIColorMode write FUIColorMode;
Public | property DisableHangMonitor : boolean read FDisableHangMonitor write FDisableHangMonitor;
Public | property HideCrashRestoreBubble : boolean read FHideCrashRestoreBubble write FHideCrashRestoreBubble;
Public | property TLS13HybridizedKyberSupport : TCefState read FPostQuantumKyber write FPostQuantumKyber;
Public | property ProxySettings : TCEFProxySettings read FProxySettings;
Public | property IgnoreCertificateErrors : Boolean read FIgnoreCertificateErrors write FIgnoreCertificateErrors;
Public | property WindowsSandboxInfo : Pointer read FWindowsSandboxInfo write FWindowsSandboxInfo;
Public | property DeleteCache : boolean read FDeleteCache write FDeleteCache;
Public | property DeleteCookies : boolean read FDeleteCookies write FDeleteCookies;
Public | property CheckCEFFiles : boolean read FCheckCEFFiles write FCheckCEFFiles;
Public | property ShowMessageDlg : boolean read FShowMessageDlg write FShowMessageDlg;
Public | property MissingBinariesException : boolean read FMissingBinariesException write FMissingBinariesException;
Public | property SetCurrentDir : boolean read FSetCurrentDir write FSetCurrentDir;
Public | property GlobalContextInitialized : boolean read GetGlobalContextInitialized;
Public | property ChromeMajorVer : uint16 read FChromeVersionInfo.MajorVer;
Public | property ChromeMinorVer : uint16 read FChromeVersionInfo.MinorVer;
Public | property ChromeRelease : uint16 read FChromeVersionInfo.Release;
Public | property ChromeBuild : uint16 read FChromeVersionInfo.Build;
Public | property ChromeVersion : ustring read GetChromeVersion;
Public | property LibCefVersion : ustring read GetLibCefVersion;
Public | property LibCefPath : ustring read GetLibCefPath;
Public | property ChromeElfPath : ustring read GetChromeElfPath;
Public | property LibLoaded : boolean read FLibLoaded;
Public | property LogProcessInfo : boolean read FLogProcessInfo write FLogProcessInfo;
Public | property ReRaiseExceptions : boolean read FReRaiseExceptions write FReRaiseExceptions;
Public | property DeviceScaleFactor : single read FDeviceScaleFactor;
Public | property LocalesRequired : ustring read FLocalesRequired write FLocalesRequired;
Public | property ProcessType : TCefProcessType read FProcessType;
Public | property MustCreateResourceBundleHandler : boolean read GetMustCreateResourceBundleHandler write FMustCreateResourceBundleHandler;
Public | property MustCreateBrowserProcessHandler : boolean read GetMustCreateBrowserProcessHandler write FMustCreateBrowserProcessHandler;
Public | property MustCreateRenderProcessHandler : boolean read GetMustCreateRenderProcessHandler write FMustCreateRenderProcessHandler;
Public | property MustCreateLoadHandler : boolean read GetMustCreateLoadHandler write FMustCreateLoadHandler;
Public | property OsmodalLoop : boolean write SetOsmodalLoop;
Public | property Status : TCefAplicationStatus read FStatus;
Public | property MissingLibFiles : string read FMissingLibFiles;
Public | property MustFreeLibrary : boolean read FMustFreeLibrary write FMustFreeLibrary;
Public | property ChildProcessesCount : integer read GetChildProcessesCount;
Public | property UsedMemory : uint64 read GetUsedMemory;
Public | property TotalSystemMemory : uint64 read GetTotalSystemMemory;
Public | property AvailableSystemMemory : uint64 read GetAvailableSystemMemory;
Public | property SystemMemoryLoad : cardinal read GetSystemMemoryLoad;
Public | property ApiHashPlatform : ustring read GetApiHashPlatform;
Public | property ApiHashCommit : ustring read GetApiHashCommit;
Public | property ApiVersion : integer read GetApiVersion;
Public | property ExitCode : TCefResultCode read GetExitCode;
Public | property BrowserById[id: integer]: ICefBrowser read GetBrowserById;
Public | property LastErrorMessage : ustring read FLastErrorMessage;
Public | property OnRegCustomSchemes : TOnRegisterCustomSchemesEvent read FOnRegisterCustomSchemes write FOnRegisterCustomSchemes;
Public | property OnRegisterCustomPreferences : TOnRegisterCustomPreferencesEvent read FOnRegisterCustomPreferences write FOnRegisterCustomPreferences;
Public | property OnContextInitialized : TOnContextInitializedEvent read FOnContextInitialized write FOnContextInitialized;
Public | property OnBeforeChildProcessLaunch : TOnBeforeChildProcessLaunchEvent read FOnBeforeChildProcessLaunch write FOnBeforeChildProcessLaunch;
Public | property OnAlreadyRunningAppRelaunch : TOnAlreadyRunningAppRelaunchEvent read FOnAlreadyRunningAppRelaunch write FOnAlreadyRunningAppRelaunch;
Public | property OnScheduleMessagePumpWork : TOnScheduleMessagePumpWorkEvent read FOnScheduleMessagePumpWork write FOnScheduleMessagePumpWork;
Public | property OnGetDefaultClient : TOnGetDefaultClientEvent read FOnGetDefaultClient write FOnGetDefaultClient;
Public | property OnGetDefaultRequestContextHandler : TOnGetDefaultRequestContextHandlerEvent read FOnGetDefaultRequestContextHandler write FOnGetDefaultRequestContextHandler;
Public | property OnGetLocalizedString : TOnGetLocalizedStringEvent read FOnGetLocalizedString write FOnGetLocalizedString;
Public | property OnGetDataResource : TOnGetDataResourceEvent read FOnGetDataResource write FOnGetDataResource;
Public | property OnGetDataResourceForScale : TOnGetDataResourceForScaleEvent read FOnGetDataResourceForScale write FOnGetDataResourceForScale;
Public | property OnWebKitInitialized : TOnWebKitInitializedEvent read FOnWebKitInitialized write FOnWebKitInitialized;
Public | property OnBrowserCreated : TOnBrowserCreatedEvent read FOnBrowserCreated write FOnBrowserCreated;
Public | property OnBrowserDestroyed : TOnBrowserDestroyedEvent read FOnBrowserDestroyed write FOnBrowserDestroyed;
Public | property OnContextCreated : TOnContextCreatedEvent read FOnContextCreated write FOnContextCreated;
Public | property OnContextReleased : TOnContextReleasedEvent read FOnContextReleased write FOnContextReleased;
Public | property OnUncaughtException : TOnUncaughtExceptionEvent read FOnUncaughtException write FOnUncaughtException;
Public | property OnFocusedNodeChanged : TOnFocusedNodeChangedEvent read FOnFocusedNodeChanged write FOnFocusedNodeChanged;
Public | property OnProcessMessageReceived : TOnProcessMessageReceivedEvent read FOnProcessMessageReceived write FOnProcessMessageReceived;
Public | property OnLoadingStateChange : TOnRenderLoadingStateChange read FOnLoadingStateChange write FOnLoadingStateChange;
Public | property OnLoadStart : TOnRenderLoadStart read FOnLoadStart write FOnLoadStart;
Public | property OnLoadEnd : TOnRenderLoadEnd read FOnLoadEnd write FOnLoadEnd;
Public | property OnLoadError : TOnRenderLoadError read FOnLoadError write FOnLoadError;

Description

Fields

Protected FNoSandbox: boolean;

Fields used to populate TCefSettings

Protected FBrowserSubprocessPath: ustring;

This item has no description.

Protected FFrameworkDirPath: ustring;

This item has no description.

Protected FMainBundlePath: ustring;

This item has no description.

Protected FMultiThreadedMessageLoop: boolean;

Only used in macOS

Protected FExternalMessagePump: boolean;

This item has no description.

Protected FWindowlessRenderingEnabled: boolean;

This item has no description.

Protected FCommandLineArgsDisabled: boolean;

This item has no description.

Protected FCache: ustring;

This item has no description.

Protected FRootCache: ustring;

This item has no description.

Protected FPersistSessionCookies: boolean;

This item has no description.

Protected FUserAgent: ustring;

This item has no description.

Protected FUserAgentProduct: ustring;

This item has no description.

Protected FLocale: ustring;

This item has no description.

Protected FLogFile: ustring;

This item has no description.

Protected FLogSeverity: TCefLogSeverity;

This item has no description.

Protected FLogItems: TCefLogItems;

This item has no description.

Protected FJavaScriptFlags: ustring;

This item has no description.

Protected FResourcesDirPath: ustring;

This item has no description.

Protected FLocalesDirPath: ustring;

This item has no description.

Protected FRemoteDebuggingPort: integer;

This item has no description.

Protected FUncaughtExceptionStackSize: integer;

This item has no description.

Protected FIgnoreCertificateErrors: boolean;

This item has no description.

Protected FBackgroundColor: TCefColor;

This item has no description.

Protected FAcceptLanguageList: ustring;

This item has no description.

Protected FCookieableSchemesList: ustring;

This item has no description.

Protected FCookieableSchemesExcludeDefaults: boolean;

This item has no description.

Protected FChromePolicyId: ustring;

This item has no description.

Protected FChromeAppIconId: integer;

This item has no description.

Protected FDisableSignalHandlers: boolean;

This item has no description.

Protected FSingleProcess: boolean;

Fields used to set command line switches

Protected FEnableMediaStream: boolean;

This item has no description.

Protected FEnableSpeechInput: boolean;

This item has no description.

Protected FUseFakeUIForMediaStream: boolean;

This item has no description.

Protected FEnableUsermediaScreenCapturing: boolean;

This item has no description.

Protected FEnableGPU: boolean;

This item has no description.

Protected FEnableFeatures: ustring;

This item has no description.

Protected FDisableFeatures: ustring;

This item has no description.

Protected FEnableBlinkFeatures: ustring;

This item has no description.

Protected FDisableBlinkFeatures: ustring;

This item has no description.

Protected FBlinkSettings: ustring;

This item has no description.

Protected FForceFieldTrials: ustring;

This item has no description.

Protected FForceFieldTrialParams: ustring;

This item has no description.

Protected FSmoothScrolling: TCefState;

This item has no description.

Protected FMuteAudio: boolean;

This item has no description.

Protected FSitePerProcess: boolean;

This item has no description.

Protected FDisableWebSecurity: boolean;

This item has no description.

Protected FDisablePDFExtension: boolean;

This item has no description.

Protected FDisableSiteIsolationTrials: boolean;

This item has no description.

Protected FDisableChromeLoginPrompt: boolean;

This item has no description.

Protected FDisableExtensions: boolean;

This item has no description.

Protected FAutoplayPolicy: TCefAutoplayPolicy;

This item has no description.

Protected FDisableBackgroundNetworking: boolean;

This item has no description.

Protected FMetricsRecordingOnly: boolean;

This item has no description.

Protected FAllowFileAccessFromFiles: boolean;

This item has no description.

Protected FAllowRunningInsecureContent: boolean;

This item has no description.

Protected FEnablePrintPreview: boolean;

This item has no description.

Protected FDefaultEncoding: ustring;

This item has no description.

Protected FDisableJavascript: boolean;

This item has no description.

Protected FDisableJavascriptCloseWindows: boolean;

This item has no description.

Protected FDisableJavascriptAccessClipboard: boolean;

This item has no description.

Protected FDisableJavascriptDomPaste: boolean;

This item has no description.

Protected FAllowUniversalAccessFromFileUrls: boolean;

This item has no description.

Protected FDisableImageLoading: boolean;

This item has no description.

Protected FImageShrinkStandaloneToFit: boolean;

This item has no description.

Protected FDisableTextAreaResize: boolean;

This item has no description.

Protected FDisableTabToLinks: boolean;

This item has no description.

Protected FEnableProfanityFilter: boolean;

This item has no description.

Protected FDisableSpellChecking: boolean;

This item has no description.

Protected FOverrideSpellCheckLang: ustring;

This item has no description.

Protected FTouchEvents: TCefState;

This item has no description.

Protected FDisableReadingFromCanvas: boolean;

This item has no description.

Protected FHyperlinkAuditing: boolean;

This item has no description.

Protected FDisableNewBrowserInfoTimeout: boolean;

This item has no description.

Protected FDevToolsProtocolLogFile: ustring;

This item has no description.

Protected FForcedDeviceScaleFactor: single;

This item has no description.

Protected FDisableZygote: boolean;

This item has no description.

Protected FUseMockKeyChain: boolean;

Only used in Linux

Protected FDisableRequestHandlingForTesting: boolean;

Only used in macOS

Protected FDisablePopupBlocking: boolean;

This item has no description.

Protected FDisableBackForwardCache: boolean;

This item has no description.

Protected FDisableComponentUpdate: boolean;

This item has no description.

Protected FAllowInsecureLocalhost: boolean;

This item has no description.

Protected FKioskPrinting: boolean;

This item has no description.

Protected FTreatInsecureOriginAsSecure: ustring;

This item has no description.

Protected FNetLogEnabled: boolean;

This item has no description.

Protected FNetLogFile: ustring;

This item has no description.

Protected FNetLogCaptureMode: TCefNetLogCaptureMode;

This item has no description.

Protected FRemoteAllowOrigins: ustring;

This item has no description.

Protected FAutoAcceptCamAndMicCapture: boolean;

This item has no description.

Protected FUIColorMode: TCefUIColorMode;

This item has no description.

Protected FDisableHangMonitor: boolean;

This item has no description.

Protected FHideCrashRestoreBubble: boolean;

This item has no description.

Protected FPostQuantumKyber: TCefState;

This item has no description.

Protected FProxySettings: TCEFProxySettings;

This item has no description.

Protected FWindowsSandboxInfo: pointer;

Fields used during the CEF initialization

Protected FDeleteCache: boolean;

Fields used by custom properties

Protected FDeleteCookies: boolean;

This item has no description.

Protected FCheckCEFFiles: boolean;

This item has no description.

Protected FShowMessageDlg: boolean;

This item has no description.

Protected FMissingBinariesException: boolean;

This item has no description.

Protected FSetCurrentDir: boolean;

This item has no description.

Protected FGlobalContextInitialized: boolean;

This item has no description.

Protected FChromeVersionInfo: TFileVersionInfo;

This item has no description.

Protected FLibLoaded: boolean;

This item has no description.

Protected FLogProcessInfo: boolean;

This item has no description.

Protected FReRaiseExceptions: boolean;

This item has no description.

Protected FDeviceScaleFactor: single;

This item has no description.

Protected FLocalesRequired: ustring;

This item has no description.

Protected FProcessType: TCefProcessType;

This item has no description.

Protected FMustCreateResourceBundleHandler: boolean;

This item has no description.

Protected FMustCreateBrowserProcessHandler: boolean;

This item has no description.

Protected FMustCreateRenderProcessHandler: boolean;

This item has no description.

Protected FMustCreateLoadHandler: boolean;

This item has no description.

Protected FStatus: TCefAplicationStatus;

This item has no description.

Protected FMissingLibFiles: string;

This item has no description.

Protected FMustFreeLibrary: boolean;

This item has no description.

Protected FLastErrorMessage: ustring;

This item has no description.

Protected FLibHandle: TLibHandle;

Internal fields

Protected FCustomCommandLines: TStringList;

This item has no description.

Protected FCustomCommandLineValues: TStringList;

This item has no description.

Protected FAppSettings: TCefSettings;

This item has no description.

Protected FDisableGPUCache: boolean;

This item has no description.

Protected FComponentIDList: TCEFComponentIdList;

This item has no description.

Protected FOnRegisterCustomSchemes: TOnRegisterCustomSchemesEvent;

ICefApp

Protected FOnRegisterCustomPreferences: TOnRegisterCustomPreferencesEvent;

ICefBrowserProcessHandler

Protected FOnContextInitialized: TOnContextInitializedEvent;

This item has no description.

Protected FOnBeforeChildProcessLaunch: TOnBeforeChildProcessLaunchEvent;

This item has no description.

Protected FOnAlreadyRunningAppRelaunch: TOnAlreadyRunningAppRelaunchEvent;

This item has no description.

Protected FOnScheduleMessagePumpWork: TOnScheduleMessagePumpWorkEvent;

This item has no description.

Protected FOnGetDefaultClient: TOnGetDefaultClientEvent;

This item has no description.

Protected FOnGetDefaultRequestContextHandler: TOnGetDefaultRequestContextHandlerEvent;

This item has no description.

Protected FOnGetLocalizedString: TOnGetLocalizedStringEvent;

ICefResourceBundleHandler

Protected FOnGetDataResource: TOnGetDataResourceEvent;

This item has no description.

Protected FOnGetDataResourceForScale: TOnGetDataResourceForScaleEvent;

This item has no description.

Protected FOnWebKitInitialized: TOnWebKitInitializedEvent;

ICefRenderProcessHandler

Protected FOnBrowserCreated: TOnBrowserCreatedEvent;

This item has no description.

Protected FOnBrowserDestroyed: TOnBrowserDestroyedEvent;

This item has no description.

Protected FOnContextCreated: TOnContextCreatedEvent;

This item has no description.

Protected FOnContextReleased: TOnContextReleasedEvent;

This item has no description.

Protected FOnUncaughtException: TOnUncaughtExceptionEvent;

This item has no description.

Protected FOnFocusedNodeChanged: TOnFocusedNodeChangedEvent;

This item has no description.

Protected FOnProcessMessageReceived: TOnProcessMessageReceivedEvent;

This item has no description.

Protected FOnLoadingStateChange: TOnRenderLoadingStateChange;

ICefLoadHandler

Protected FOnLoadStart: TOnRenderLoadStart;

This item has no description.

Protected FOnLoadEnd: TOnRenderLoadEnd;

This item has no description.

Protected FOnLoadError: TOnRenderLoadError;

This item has no description.

Methods

Protected procedure SetCache(const aValue : ustring);

This item has no description.

Protected procedure SetRootCache(const aValue : ustring);

This item has no description.

Protected procedure SetBrowserSubprocessPath(const aValue : ustring);

This item has no description.

Protected procedure SetFrameworkDirPath(const aValue : ustring);

This item has no description.

Protected procedure SetResourcesDirPath(const aValue : ustring);

This item has no description.

Protected procedure SetLocalesDirPath(const aValue : ustring);

This item has no description.

Protected procedure SetOsmodalLoop(aValue : boolean);

This item has no description.

Protected procedure SetKioskPrinting(aValue : boolean);

This item has no description.

Protected procedure SetLogFile(const aValue : ustring);

This item has no description.

Protected function GetChromeVersion: ustring;

This item has no description.

Protected function GetLibCefVersion: ustring;

This item has no description.

Protected function GetLibCefPath: ustring;

This item has no description.

Protected function GetChromeElfPath: ustring;

This item has no description.

Protected function GetLocalesDirPath: ustring;

This item has no description.

Protected function GetResourcesDirPath: ustring;

This item has no description.

Protected function GetMustCreateResourceBundleHandler: boolean; virtual;

This item has no description.

Protected function GetMustCreateBrowserProcessHandler: boolean; virtual;

This item has no description.

Protected function GetMustCreateRenderProcessHandler: boolean; virtual;

This item has no description.

Protected function GetMustCreateLoadHandler: boolean; virtual;

This item has no description.

Protected function GetGlobalContextInitialized: boolean;

This item has no description.

Protected function GetChildProcessesCount: integer;

This item has no description.

Protected function GetUsedMemory: uint64;

This item has no description.

Protected function GetTotalSystemMemory: uint64;

This item has no description.

Protected function GetAvailableSystemMemory: uint64;

This item has no description.

Protected function GetSystemMemoryLoad: cardinal;

This item has no description.

Protected function GetApiHashPlatform: ustring;

This item has no description.

Protected function GetApiHashCommit: ustring;

This item has no description.

Protected function GetApiVersion: integer;

This item has no description.

Protected function GetExitCode: TCefResultCode;

This item has no description.

Protected function GetBrowserById(aID : integer) : ICefBrowser;

This item has no description.

Protected function GetCookiesDir(const aRootDirectory : string) : string;

This item has no description.

Protected function LoadCEFlibrary: boolean; virtual;

This item has no description.

Protected function Load_cef_api_hash_h: boolean;

This item has no description.

Protected function Load_cef_version_info_h: boolean;

This item has no description.

Protected function Load_cef_id_mappers_h: boolean;

This item has no description.

Protected function Load_cef_app_capi_h: boolean;

This item has no description.

Protected function Load_cef_app_win_h: boolean;

This item has no description.

Protected function Load_cef_browser_capi_h: boolean;

This item has no description.

Protected function Load_cef_command_line_capi_h: boolean;

This item has no description.

Protected function Load_cef_cookie_capi_h: boolean;

This item has no description.

Protected function Load_cef_crash_util_h: boolean;

This item has no description.

Protected function Load_cef_drag_data_capi_h: boolean;

This item has no description.

Protected function Load_cef_dump_without_crashing_internal_h: boolean;

This item has no description.

Protected function Load_cef_file_util_capi_h: boolean;

This item has no description.

Protected function Load_cef_i18n_util_capi_h: boolean;

This item has no description.

Protected function Load_cef_image_capi_h: boolean;

This item has no description.

Protected function Load_cef_menu_model_capi_h: boolean;

This item has no description.

Protected function Load_cef_media_router_capi_h: boolean;

This item has no description.

Protected function Load_cef_origin_whitelist_capi_h: boolean;

This item has no description.

Protected function Load_cef_parser_capi_h: boolean;

This item has no description.

Protected function Load_cef_path_util_capi_h: boolean;

This item has no description.

Protected function Load_cef_preference_capi_h: boolean;

This item has no description.

Protected function Load_cef_print_settings_capi_h: boolean;

This item has no description.

Protected function Load_cef_process_message_capi_h: boolean;

This item has no description.

Protected function Load_cef_process_util_capi_h: boolean;

This item has no description.

Protected function Load_cef_request_capi_h: boolean;

This item has no description.

Protected function Load_cef_request_context_capi_h: boolean;

This item has no description.

Protected function Load_cef_resource_bundle_capi_h: boolean;

This item has no description.

Protected function Load_cef_response_capi_h: boolean;

This item has no description.

Protected function Load_cef_scheme_capi_h: boolean;

This item has no description.

Protected function Load_cef_server_capi_h: boolean;

This item has no description.

Protected function Load_cef_shared_process_message_builder_capi_h: boolean;

This item has no description.

Protected function Load_cef_ssl_info_capi_h: boolean;

This item has no description.

Protected function Load_cef_stream_capi_h: boolean;

This item has no description.

Protected function Load_cef_task_capi_h: boolean;

This item has no description.

Protected function Load_cef_task_manager_capi_h: boolean;

This item has no description.

Protected function Load_cef_thread_capi_h: boolean;

This item has no description.

Protected function Load_cef_trace_capi_h: boolean;

This item has no description.

Protected function Load_cef_urlrequest_capi_h: boolean;

This item has no description.

Protected function Load_cef_v8_capi_h: boolean;

This item has no description.

Protected function Load_cef_values_capi_h: boolean;

This item has no description.

Protected function Load_cef_waitable_event_capi_h: boolean;

This item has no description.

Protected function Load_cef_xml_reader_capi_h: boolean;

This item has no description.

Protected function Load_cef_zip_reader_capi_h: boolean;

This item has no description.

Protected function Load_cef_logging_internal_h: boolean;

This item has no description.

Protected function Load_cef_string_list_h: boolean;

This item has no description.

Protected function Load_cef_string_map_h: boolean;

This item has no description.

Protected function Load_cef_string_multimap_h: boolean;

This item has no description.

Protected function Load_cef_string_types_h: boolean;

This item has no description.

Protected function Load_cef_thread_internal_h: boolean;

This item has no description.

Protected function Load_cef_trace_event_internal_h: boolean;

This item has no description.

Protected function Load_cef_browser_view_capi_h: boolean;

This item has no description.

Protected function Load_cef_display_capi_h: boolean;

This item has no description.

Protected function Load_cef_label_button_capi_h: boolean;

This item has no description.

Protected function Load_cef_menu_button_capi_h: boolean;

This item has no description.

Protected function Load_cef_panel_capi_h: boolean;

This item has no description.

Protected function Load_cef_scroll_view_capi_h: boolean;

This item has no description.

Protected function Load_cef_textfield_capi_h: boolean;

This item has no description.

Protected function Load_cef_window_capi_h: boolean;

This item has no description.

Protected function Load_cef_types_linux_h: boolean;

This item has no description.

Protected function Load_cef_time_h: boolean;

This item has no description.

Protected procedure doOnBeforeCommandLineProcessing(const processType: ustring; const commandLine: ICefCommandLine); virtual;

ICefApp

Protected procedure doOnRegisterCustomSchemes(const registrar: TCefSchemeRegistrarRef); virtual;

This item has no description.

Protected procedure doOnRegisterCustomPreferences(type_: TCefPreferencesType; registrar: PCefPreferenceRegistrar); virtual;

ICefBrowserProcessHandler

Protected procedure doOnContextInitialized; virtual;

This item has no description.

Protected procedure doOnBeforeChildProcessLaunch(const commandLine: ICefCommandLine); virtual;

This item has no description.

Protected procedure doOnAlreadyRunningAppRelaunch(const commandLine: ICefCommandLine; const current_directory: ustring; var aResult: boolean); virtual;

This item has no description.

Protected procedure doOnScheduleMessagePumpWork(const delayMs: Int64); virtual;

This item has no description.

Protected procedure doGetDefaultClient(var aClient : ICefClient); virtual;

This item has no description.

Protected procedure doGetDefaultRequestContextHandler(var aRequestContextHandler : ICefRequestContextHandler); virtual;

This item has no description.

Protected function doGetLocalizedString(stringid: Integer; var stringVal: ustring): Boolean; virtual;

ICefResourceBundleHandler

Protected function doGetDataResource(resourceId: Integer; var data: Pointer; var dataSize: NativeUInt): Boolean; virtual;

This item has no description.

Protected function doGetDataResourceForScale(resourceId: Integer; scaleFactor: TCefScaleFactor; var data: Pointer; var dataSize: NativeUInt): Boolean; virtual;

This item has no description.

Protected procedure doOnWebKitInitialized; virtual;

ICefRenderProcessHandler

Protected procedure doOnBrowserCreated(const browser: ICefBrowser; const extra_info: ICefDictionaryValue); virtual;

This item has no description.

Protected procedure doOnBrowserDestroyed(const browser: ICefBrowser); virtual;

This item has no description.

Protected procedure doOnContextCreated(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context); virtual;

This item has no description.

Protected procedure doOnContextReleased(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context); virtual;

This item has no description.

Protected procedure doOnUncaughtException(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context; const V8Exception: ICefV8Exception; const stackTrace: ICefV8StackTrace); virtual;

This item has no description.

Protected procedure doOnFocusedNodeChanged(const browser: ICefBrowser; const frame: ICefFrame; const node: ICefDomNode); virtual;

This item has no description.

Protected procedure doOnProcessMessageReceived(const browser: ICefBrowser; const frame: ICefFrame; sourceProcess: TCefProcessId; const aMessage: ICefProcessMessage; var aHandled : boolean); virtual;

This item has no description.

Protected procedure doOnLoadingStateChange(const browser: ICefBrowser; isLoading, canGoBack, canGoForward: Boolean); virtual;

ICefLoadHandler

Protected procedure doOnLoadStart(const browser: ICefBrowser; const frame: ICefFrame; transitionType: TCefTransitionType); virtual;

This item has no description.

Protected procedure doOnLoadEnd(const browser: ICefBrowser; const frame: ICefFrame; httpStatusCode: Integer); virtual;

This item has no description.

Protected procedure doOnLoadError(const browser: ICefBrowser; const frame: ICefFrame; errorCode: TCefErrorCode; const errorText, failedUrl: ustring); virtual;

This item has no description.

Protected procedure ShutDown;

This item has no description.

Protected procedure FreeLibcefLibrary;

This item has no description.

Protected function ExecuteProcess(const aApp : ICefApp) : integer;

This item has no description.

Protected procedure InitializeCefMainArgs(var aCefMainArgs : TCefMainArgs);

This item has no description.

Protected procedure InitializeSettings(var aSettings : TCefSettings);

This item has no description.

Protected function InitializeLibrary(const aApp : ICefApp) : boolean;

This item has no description.

Protected procedure RenameAndDeleteDir(const aDirectory : string; aKeepCookies : boolean = False);

This item has no description.

Protected procedure DeleteCacheContents(const aDirectory : string);

This item has no description.

Protected procedure DeleteCookiesDB(const aRootDirectory : string);

This item has no description.

Protected procedure MoveCookiesDB(const aSrcDirectory, aDstDirectory : string);

This item has no description.

Protected function MultiExeProcessing: boolean;

This item has no description.

Protected function SingleExeProcessing: boolean;

This item has no description.

Protected procedure BeforeInitSubProcess; virtual;

This item has no description.

Protected function CheckCEFResources: boolean; virtual;

This item has no description.

Protected function CheckCEFAPIHash: boolean;

This item has no description.

Protected function CheckCEFDLL: boolean; virtual;

This item has no description.

Protected function CheckWindowsVersion: boolean; virtual;

This item has no description.

Protected function CheckOSVersion: boolean; virtual;

This item has no description.

Protected procedure ShowErrorMessageDlg(const aError : string); virtual;

This item has no description.

Protected function ParseProcessType: TCefProcessType;

This item has no description.

Protected procedure AddCustomCommandLineSwitches(var aKeys, aValues : TStringList); virtual;

This item has no description.

Protected procedure AppendSwitch(var aKeys, aValues : TStringList; const aNewKey : ustring; const aNewValue : ustring = '');

This item has no description.

Protected procedure ReplaceSwitch(var aKeys, aValues : TStringList; const aNewKey : ustring; const aNewValue : ustring = '');

This item has no description.

Protected procedure CleanupFeatures(var aKeys, aValues : TStringList; const aEnableKey, aDisableKey : string);

This item has no description.

Protected procedure ClearSchemeHandlerFactories;

This item has no description.

Public constructor Create;

This item has no description.

Public destructor Destroy; override;

This item has no description.

Public procedure AfterConstruction; override;

This item has no description.

Public procedure AddCustomCommandLine(const aCommandLine : string; const aValue : string = '');

Used to add any command line switch that is not available as a TCEFApplicationCore property.

Public function CheckCEFLibrary: boolean;

Used to check the CEF binaries manually.

Public function StartMainProcess: boolean;

Used to initialize CEF in the main browser process. In case CEF is configured to used the same executable for all processes then all processes must call this function. CEF can only be initialized once per process. This is a CEF feature and there's no workaround. This function returns immediately in when called in the main process and it blocks the execution when it's called from a CEF subprocess until that process ends.

Public function StartSubProcess: boolean;

Used to initialize CEF in the subprocesses. This function can only be used when CEF is configured to use a different executable for the subprocesses. This function blocks the execution until the process ends.

Public procedure DoMessageLoopWork;

Perform a single iteration of CEF message loop processing. This function is provided for cases where the CEF message loop must be integrated into an existing application message loop. Use of this function is not recommended for most users; use either the RunMessageLoop function or TCefSettings.multi_threaded_message_loop if possible. When using this function care must be taken to balance performance against excessive CPU usage. It is recommended to enable the TCefSettings.external_message_pump option when using this function so that ICefBrowserProcessHandler.OnScheduleMessagePumpWork callbacks can facilitate the scheduling process. This function should only be called on the main application thread and only if cef_initialize() is called with a TCefSettings.multi_threaded_message_loop value of false (0). This function will not block.

Public procedure RunMessageLoop;

Run the CEF message loop. Use this function instead of an application- provided message loop to get the best balance between performance and CPU usage. This function should only be called on the main application thread and only if cef_initialize() is called with a TCefSettings.multi_threaded_message_loop value of false (0). This function will block until a quit message is received by the system.

Public procedure QuitMessageLoop;

Quit the CEF message loop that was started by calling RunMessageLoop. This function should only be called on the main application thread and only if RunMessageLoop was used.

Public procedure UpdateDeviceScaleFactor; virtual;

Update the DeviceScaleFactor value with the current monitor scale.

Public function ValidComponentID(aComponentID : integer) : boolean;

Returns true if a custom component ID is valid before executing a CEF task.

Public function NextComponentID: integer;

Returns the next component ID and adds this value to the valid ID list.

Public procedure RemoveComponentID(aComponentID : integer);

Removes a component ID from the valid ID list when a component is destroyed.

Public function DumpWithoutCrashing(mseconds_between_dumps: int64; const function_name, file_name: ustring; line_number: integer): boolean;

This function allows for generating of crash dumps with a throttling mechanism, preventing frequent dumps from being generated in a short period of time from the same location. If should only be called after CefInitialize has been successfully called. The |function_name|, |file_name|, and |line_number| parameters specify the origin location of the dump. The |mseconds_between_dumps| is an interval between consecutive dumps in milliseconds from the same location.

For detailed behavior, usage instructions, and considerations, refer to the documentation of DumpWithoutCrashing in base/debug/dump_without_crashing.h.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/base/cef_dump_without_crashing.h">CEF source file: /include/base/cef_dump_without_crashing.h (CefDumpWithoutCrashing))

Returns

Returns true if the dump was successfully generated, false otherwise.

Public function GetCEFVersionInfo(var aCEFVersionInfo : TCefVersionInfo) : boolean;

Returns CEF version information for the libcef library.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/cef_version_info.h">CEF source file: /include/cef_version_info.h (cef_version_info))

Returns

Returns true if successfull.

Public function GetChromiumVersionInfo(var aChromiumVersionInfo : TChromiumVersionInfo) : boolean;

Returns Chromium version information for the libcef library.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/cef_version_info.h">CEF source file: /include/cef_version_info.h (cef_version_info))

Returns

Returns true if successfull.

Public function GetIdForPackResourceName(const name : ustring): Integer;

Returns the numeric ID value for an IDR |name| from cef_pack_resources.h or -1 if |name| is unrecognized by the current CEF/Chromium build. This function provides version-safe mapping of resource IDR names to version-specific numeric ID values. Numeric ID values are likely to change across CEF/Chromium versions but names generally remain the same.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/cef_id_mappers.h">CEF source file: /include/cef_id_mappers.h (cef_id_for_pack_resource_name))

Public function GetIdForPackStringName(const name : ustring): Integer;

Returns the numeric ID value for an IDS |name| from cef_pack_strings.h or -1 if |name| is unrecognized by the current CEF/Chromium build. This function provides version-safe mapping of string IDS names to version-specific numeric ID values. Numeric ID values are likely to change across CEF/Chromium versions but names generally remain the same.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/cef_id_mappers.h">CEF source file: /include/cef_id_mappers.h (cef_id_for_pack_string_name))

Public function GetIdForCommandIdName(const name : ustring): Integer;

Returns the numeric ID value for an IDC |name| from cef_command_ids.h or -1 if |name| is unrecognized by the current CEF/Chromium build. This function provides version-safe mapping of command IDC names to version-specific numeric ID values. Numeric ID values are likely to change across CEF/Chromium versions but names generally remain the same.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/cef_id_mappers.h">CEF source file: /include/cef_id_mappers.h (cef_id_for_command_id_name))

Properties

Public property NoSandbox : Boolean read FNoSandbox write FNoSandbox;

Set to true (1) to disable the sandbox for sub-processes. See cef_sandbox_win.h for requirements to enable the sandbox on Windows. Also configurable using the "no-sandbox" command-line switch.

Public property BrowserSubprocessPath : ustring read FBrowserSubprocessPath write SetBrowserSubprocessPath;

The path to a separate executable that will be launched for sub-processes. If this value is empty on Windows or Linux then the main process executable will be used. If this value is empty on macOS then a helper executable must exist at "Contents/Frameworks/<app> Helper.app/Contents/MacOS/<app> Helper" in the top-level app bundle. See the comments on CefExecuteProcess() for details. If this value is non-empty then it must be an absolute path. Also configurable using the "browser-subprocess-path" command-line switch.

Public property FrameworkDirPath : ustring read FFrameworkDirPath write SetFrameworkDirPath;

The path to the CEF framework directory on macOS. If this value is empty then the framework must exist at "Contents/Frameworks/Chromium Embedded Framework.framework" in the top-level app bundle. If this value is non-empty then it must be an absolute path. Also configurable using the "framework-dir-path" command-line switch.

Public property MainBundlePath : ustring read FMainBundlePath write FMainBundlePath;

The path to the main bundle on macOS. If this value is empty then it defaults to the top-level app bundle. If this value is non-empty then it must be an absolute path. Also configurable using the "main-bundle-path" command-line switch.

Public property MultiThreadedMessageLoop : boolean read FMultiThreadedMessageLoop write FMultiThreadedMessageLoop;

Set to true (1) to have the browser process message loop run in a separate thread. If false (0) then the CefDoMessageLoopWork() function must be called from your application message loop. This option is only supported on Windows and Linux.

Public property ExternalMessagePump : boolean read FExternalMessagePump write FExternalMessagePump;

Set to true (1) to control browser process main (UI) thread message pump scheduling via the ICefBrowserProcessHandler.OnScheduleMessagePumpWork() callback. This option is recommended for use in combination with the CefDoMessageLoopWork() function in cases where the CEF message loop must be integrated into an existing application message loop (see additional comments and warnings on CefDoMessageLoopWork). Enabling this option is not recommended for most users; leave this option disabled and use either the CefRunMessageLoop() function or multi_threaded_message_loop if possible.

Public property WindowlessRenderingEnabled : Boolean read FWindowlessRenderingEnabled write FWindowlessRenderingEnabled;

Set to true (1) to enable windowless (off-screen) rendering support. Do not enable this value if the application does not use windowless rendering as it may reduce rendering performance on some systems.

Public property CommandLineArgsDisabled : Boolean read FCommandLineArgsDisabled write FCommandLineArgsDisabled;

Set to true (1) to disable configuration of browser process features using standard CEF and Chromium command-line arguments. Configuration can still be specified using CEF data structures or via the ICefApp.OnBeforeCommandLineProcessing() method.

Public property Cache : ustring read FCache write SetCache;

The directory where data for the global browser cache will be stored on disk. If this value is non-empty then it must be an absolute path that is either equal to or a child directory of CefSettings.root_cache_path. If this value is empty then browsers will be created in "incognito mode" where in-memory caches are used for storage and no profile-specific data is persisted to disk (installation-specific data will still be persisted in root_cache_path). HTML5 databases such as localStorage will only persist across sessions if a cache path is specified. Can be overridden for individual CefRequestContext instances via the TCefRequestContextSettings.cache_path value. Any child directory value will be ignored and the "default" profile (also a child directory) will be used instead.

Public property RootCache : ustring read FRootCache write SetRootCache;

The root directory for installation-specific data and the parent directory for profile-specific data. All TCefSettings.cache_path and ICefRequestContextSettings.cache_path values must have this parent directory in common. If this value is empty and TCefSettings.cache_path is non-empty then it will default to the TCefSettings.cache_path value. Any non-empty value must be an absolute path. If both values are empty then the default platform-specific directory will be used ("~/.config/cef_user_data" directory on Linux, "~/Library/Application Support/CEF/User Data" directory on MacOS, "AppData\Local\CEF\User Data" directory under the user profile directory on Windows). Use of the default directory is not recommended in production applications (see below).

Multiple application instances writing to the same root_cache_path directory could result in data corruption. A process singleton lock based on the root_cache_path value is therefore used to protect against this. This singleton behavior applies to all CEF-based applications using version 120 or newer. You should customize root_cache_path for your application and implement ICefBrowserProcessHandler.OnAlreadyRunningAppRelaunch, which will then be called on any app relaunch with the same root_cache_path value.

Failure to set the root_cache_path value correctly may result in startup crashes or other unexpected behaviors (for example, the sandbox blocking read/write access to certain files).

Public property PersistSessionCookies : Boolean read FPersistSessionCookies write FPersistSessionCookies;

To persist session cookies (cookies without an expiry date or validity interval) by default when using the global cookie manager set this value to true (1). Session cookies are generally intended to be transient and most Web browsers do not persist them. A |cache_path| value must also be specified to enable this feature. Also configurable using the "persist-session-cookies" command-line switch. Can be overridden for individual CefRequestContext instances via the TCefRequestContextSettings.persist_session_cookies value.

Public property UserAgent : ustring read FUserAgent write FUserAgent;

Value that will be returned as the User-Agent HTTP header. If empty the default User-Agent string will be used. Also configurable using the "user-agent" command-line switch.

Public property UserAgentProduct : ustring read FUserAgentProduct write FUserAgentProduct;

Value that will be inserted as the product portion of the default User-Agent string. If empty the Chromium product version will be used. If |userAgent| is specified this value will be ignored. Also configurable using the "user-agent-product" command-line switch.

Public property Locale : ustring read FLocale write FLocale;

The locale string that will be passed to WebKit. If empty the default locale of "en-US" will be used. This value is ignored on Linux where locale is determined using environment variable parsing with the precedence order: LANGUAGE, LC_ALL, LC_MESSAGES and LANG. Also configurable using the "lang" command-line switch.

Public property LogFile : ustring read FLogFile write SetLogFile;

The directory and file name to use for the debug log. If empty a default log file name and location will be used. On Windows and Linux a "debug.log" file will be written in the main executable directory. On MacOS a "~/Library/Logs/[app name]_debug.log" file will be written where [app name] is the name of the main app executable. Also configurable using the "log-file" command-line switch.

Public property LogSeverity : TCefLogSeverity read FLogSeverity write FLogSeverity;

The log severity. Only messages of this severity level or higher will be logged. When set to DISABLE no messages will be written to the log file, but FATAL messages will still be output to stderr. Also configurable using the "log-severity" command-line switch with a value of "verbose", "info", "warning", "error", "fatal" or "disable".

Public property LogItems : TCefLogItems read FLogItems write FLogItems;

The log items prepended to each log line. If not set the default log items will be used. Also configurable using the "log-items" command-line switch with a value of "none" for no log items, or a comma-delimited list of values "pid", "tid", "timestamp" or "tickcount" for custom log items.

Public property JavaScriptFlags : ustring read FJavaScriptFlags write FJavaScriptFlags;

Custom flags that will be used when initializing the V8 JavaScript engine. The consequences of using custom flags may not be well tested. Also configurable using the "js-flags" command-line switch.

Public property ResourcesDirPath : ustring read GetResourcesDirPath write SetResourcesDirPath;

The fully qualified path for the resources directory. If this value is empty the *.pak files must be located in the module directory on Windows/Linux or the app bundle Resources directory on MacOS. If this value is non-empty then it must be an absolute path. Also configurable using the "resources-dir-path" command-line switch.

Public property LocalesDirPath : ustring read GetLocalesDirPath write SetLocalesDirPath;

The fully qualified path for the locales directory. If this value is empty the locales directory must be located in the module directory. If this value is non-empty then it must be an absolute path. This value is ignored on MacOS where pack files are always loaded from the app bundle Resources directory. Also configurable using the "locales-dir-path" command-line switch.

Public property RemoteDebuggingPort : Integer read FRemoteDebuggingPort write FRemoteDebuggingPort;

Set to a value between 1024 and 65535 to enable remote debugging on the specified port. Also configurable using the "remote-debugging-port" command-line switch. Specifying 0 via the command-line switch will result in the selection of an ephemeral port and the port number will be printed as part of the WebSocket endpoint URL to stderr. If a cache directory path is provided the port will also be written to the <cache-dir>/DevToolsActivePort file. Remote debugging can be accessed by loading the chrome://inspect page in Google Chrome. Port numbers 9222 and 9229 are discoverable by default. Other port numbers may need to be configured via "Discover network targets" on the Devices tab.

Public property UncaughtExceptionStackSize : Integer read FUncaughtExceptionStackSize write FUncaughtExceptionStackSize;

The number of stack trace frames to capture for uncaught exceptions. Specify a positive value to enable the ICefRenderProcessHandler.OnUncaughtException() callback. Specify 0 (default value) and OnUncaughtException() will not be called. Also configurable using the "uncaught-exception-stack-size" command-line switch.

Public property BackgroundColor : TCefColor read FBackgroundColor write FBackgroundColor;

Background color used for the browser before a document is loaded and when no document color is specified. The alpha component must be either fully opaque (0xFF) or fully transparent (0x00). If the alpha component is fully opaque then the RGB components will be used as the background color. If the alpha component is fully transparent for a windowed browser then the default value of opaque white be used. If the alpha component is fully transparent for a windowless (off-screen) browser then transparent painting will be enabled.

Public property AcceptLanguageList : ustring read FAcceptLanguageList write FAcceptLanguageList;

Comma delimited ordered list of language codes without any whitespace that will be used in the "Accept-Language" HTTP request header and "navigator.language" JS attribute. Can be overridden for individual ICefRequestContext instances via the TCefRequestContextSettingsCefRequestContextSettings.accept_language_list value.

Public property CookieableSchemesList : ustring read FCookieableSchemesList write FCookieableSchemesList;

Comma delimited list of schemes supported by the associated ICefCookieManager. If |cookieable_schemes_exclude_defaults| is false (0) the default schemes ("http", "https", "ws" and "wss") will also be supported. Not specifying a |cookieable_schemes_list| value and setting |cookieable_schemes_exclude_defaults| to true (1) will disable all loading and saving of cookies. These settings will only impact the global ICefRequestContext. Individual ICefRequestContext instances can be configured via the TCefRequestContextSettings.cookieable_schemes_list and TCefRequestContextSettings.cookieable_schemes_exclude_defaults values.

Public property CookieableSchemesExcludeDefaults : boolean read FCookieableSchemesExcludeDefaults write FCookieableSchemesExcludeDefaults;

See the CookieableSchemesList property.

Public property ChromePolicyId : ustring read FChromePolicyId write FChromePolicyId;

Specify an ID to enable Chrome policy management via Platform and OS-user policies. On Windows, this is a registry key like "SOFTWARE\\Policies\\Google\\Chrome". On MacOS, this is a bundle ID like "com.google.Chrome". On Linux, this is an absolute directory path like "/etc/opt/chrome/policies". Only supported with Chrome style. See https://support.google.com/chrome/a/answer/9037717 for details.

Chrome Browser Cloud Management integration, when enabled via the "enable-chrome-browser-cloud-management" command-line flag, will also use the specified ID. See https://support.google.com/chrome/a/answer/9116814 for details.

Public property ChromeAppIconId : integer read FChromeAppIconId write FChromeAppIconId;

Specify an ID for an ICON resource that can be loaded from the main executable and used when creating default Chrome windows such as DevTools and Task Manager. If unspecified the default Chromium ICON (IDR_MAINFRAME [101]) will be loaded from libcef.dll. Only supported with Chrome style on Windows.

Public property DisableSignalHandlers : boolean read FDisableSignalHandlers write FDisableSignalHandlers;

Specify whether signal handlers must be disabled on POSIX systems.

Public property SingleProcess : Boolean read FSingleProcess write FSingleProcess;

Runs the renderer and plugins in the same process as the browser.

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –single-process)

Public property EnableMediaStream : boolean read FEnableMediaStream write FEnableMediaStream;

Enable media (WebRTC audio/video) streaming.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/libcef/common/cef_switches.cc">Uses the following command line switch: –enable-media-stream)

Public property EnableSpeechInput : boolean read FEnableSpeechInput write FEnableSpeechInput;

Enable speech input (x-webkit-speech).

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/libcef/common/cef_switches.cc">Uses the following command line switch: –enable-speech-input)

Public property UseFakeUIForMediaStream : boolean read FUseFakeUIForMediaStream write FUseFakeUIForMediaStream;

Bypass the media stream infobar by selecting the default device for media streams (e.g. WebRTC). Works with –use-fake-device-for-media-stream.

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –single-process)

Public property EnableUsermediaScreenCapturing : boolean read FEnableUsermediaScreenCapturing write FEnableUsermediaScreenCapturing;

Enable screen capturing support for MediaStream API.

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –enable-usermedia-screen-capturing)

Public property EnableGPU : boolean read FEnableGPU write FEnableGPU;

Enable GPU hardware acceleration.

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –disable-gpu)

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –disable-gpu-compositing)

Public property EnableFeatures : ustring read FEnableFeatures write FEnableFeatures;

List of feature names to enable.

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –enable-features)

The list of features you can enable is here:

https://chromium.googlesource.com/chromium/src/+/master/chrome/common/chrome_features.cc

https://source.chromium.org/chromium/chromium/src/+/main:content/public/common/content_features.cc

https://source.chromium.org/search?q=base::Feature

Public property DisableFeatures : ustring read FDisableFeatures write FDisableFeatures;

List of feature names to disable.

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –disable-features)

The list of features you can disable is here:

https://chromium.googlesource.com/chromium/src/+/master/chrome/common/chrome_features.cc

https://source.chromium.org/chromium/chromium/src/+/main:content/public/common/content_features.cc

https://source.chromium.org/search?q=base::Feature

Public property EnableBlinkFeatures : ustring read FEnableBlinkFeatures write FEnableBlinkFeatures;

Enable one or more Blink runtime-enabled features.

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –enable-blink-features)

The list of Blink features you can enable is here:

https://cs.chromium.org/chromium/src/third_party/blink/renderer/platform/runtime_enabled_features.json5

Public property DisableBlinkFeatures : ustring read FDisableBlinkFeatures write FDisableBlinkFeatures;

Disable one or more Blink runtime-enabled features.

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –disable-blink-features)

The list of Blink features you can disable is here:

https://cs.chromium.org/chromium/src/third_party/blink/renderer/platform/runtime_enabled_features.json5

Public property BlinkSettings : ustring read FBlinkSettings write FBlinkSettings;

Set blink settings. Format is <name>[=<value],<name>[=<value>],... The names are declared in Settings.json5. For boolean type, use "true", "false", or omit '=<value>' part to set to true. For enum type, use the int value of the enum value. Applied after other command line flags and prefs.

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –blink-settings)

The list of Blink settings you can disable is here:

https://source.chromium.org/chromium/chromium/src/+/master:third_party/blink/renderer/core/frame/settings.json5

Public property ForceFieldTrials : ustring read FForceFieldTrials write FForceFieldTrials;

This option can be used to force field trials when testing changes locally. The argument is a list of name and value pairs, separated by slashes. If a trial name is prefixed with an asterisk, that trial will start activated. For example, the following argument defines two trials, with the second one activated: "GoogleNow/Enable/*MaterialDesignNTP/Default/" This option can also be used by the browser process to send the list of trials to a non-browser process, using the same format. See FieldTrialList::CreateTrialsFromString() in field_trial.h for details.

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –force-fieldtrials)

https://source.chromium.org/chromium/chromium/src/+/master:base/base_switches.cc

Public property ForceFieldTrialParams : ustring read FForceFieldTrialParams write FForceFieldTrialParams;

This option can be used to force parameters of field trials when testing changes locally. The argument is a param list of (key, value) pairs prefixed by an associated (trial, group) pair. You specify the param list for multiple (trial, group) pairs with a comma separator. Example: "Trial1.Group1:k1/v1/k2/v2,Trial2.Group2:k3/v3/k4/v4" Trial names, groups names, parameter names, and value should all be URL escaped for all non-alphanumeric characters.

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –force-fieldtrial-params)

https://source.chromium.org/chromium/chromium/src/+/master:components/variations/variations_switches.cc

Public property SmoothScrolling : TCefState read FSmoothScrolling write FSmoothScrolling;

On platforms that support it, enables smooth scroll animation.

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –enable-smooth-scrolling)

Public property MuteAudio : boolean read FMuteAudio write FMuteAudio;

Mutes audio sent to the audio device so it is not audible during automated testing.

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –mute-audio)

Public property SitePerProcess : boolean read FSitePerProcess write FSitePerProcess;

Enforces a one-site-per-process security policy: Each renderer process, for its whole lifetime, is dedicated to rendering pages for just one site. Thus, pages from different sites are never in the same process. A renderer process's access rights are restricted based on its site.All cross-site navigations force process swaps. <iframe>s are rendered out-of-process whenever the src= is cross-site.

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –site-per-process)

More details here:

https://www.chromium.org/developers/design-documents/site-isolation

https://www.chromium.org/developers/design-documents/process-models

Public property DisableWebSecurity : boolean read FDisableWebSecurity write FDisableWebSecurity;

Don't enforce the same-origin policy.

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –disable-web-security)

Public property DisablePDFExtension : boolean read FDisablePDFExtension write FDisablePDFExtension;

Disable the PDF extension.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/libcef/common/cef_switches.cc">Uses the following command line switch: –disable-pdf-extension)

Public property DisableSiteIsolationTrials : boolean read FDisableSiteIsolationTrials write FDisableSiteIsolationTrials;

Disables site isolation.

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –disable-site-isolation-trials)

Public property DisableChromeLoginPrompt : boolean read FDisableChromeLoginPrompt write FDisableChromeLoginPrompt;

Delegate all login requests to the client GetAuthCredentials callback.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/libcef/common/cef_switches.cc">Uses the following command line switch: –disable-chrome-login-prompt)

Public property DisableExtensions : boolean read FDisableExtensions write FDisableExtensions;

Disable extensions.

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –disable-extensions)

Public property AutoplayPolicy : TCefAutoplayPolicy read FAutoplayPolicy write FAutoplayPolicy;

Autoplay policy.

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –autoplay-policy)

Public property DisableBackgroundNetworking : boolean read FDisableBackgroundNetworking write FDisableBackgroundNetworking;

Disable several subsystems which run network requests in the background.

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –disable-background-networking)

Public property MetricsRecordingOnly : boolean read FMetricsRecordingOnly write FMetricsRecordingOnly;

Enables the recording of metrics reports but disables reporting.

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –metrics-recording-only)

Public property AllowFileAccessFromFiles : boolean read FAllowFileAccessFromFiles write FAllowFileAccessFromFiles;

By default, file:// URIs cannot read other file:// URIs. This is an override for developers who need the old behavior for testing.

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –allow-file-access-from-files)

Public property AllowRunningInsecureContent : boolean read FAllowRunningInsecureContent write FAllowRunningInsecureContent;

By default, an https page cannot run JavaScript, CSS or plugins from http URLs. This provides an override to get the old insecure behavior.

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –allow-running-insecure-content)

Public property EnablePrintPreview : boolean read FEnablePrintPreview write FEnablePrintPreview;

Enable print preview.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/libcef/common/cef_switches.cc">Uses the following command line switch: –enable-print-preview)

Public property DefaultEncoding : ustring read FDefaultEncoding write FDefaultEncoding;

Default encoding.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/libcef/common/cef_switches.cc">Uses the following command line switch: –default-encoding)

Public property DisableJavascript : boolean read FDisableJavascript write FDisableJavascript;

Disable JavaScript.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/libcef/common/cef_switches.cc">Uses the following command line switch: –disable-javascript)

Public property DisableJavascriptCloseWindows : boolean read FDisableJavascriptCloseWindows write FDisableJavascriptCloseWindows;

Disable closing of windows via JavaScript.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/libcef/common/cef_switches.cc">Uses the following command line switch: –disable-javascript-close-windows)

Public property DisableJavascriptAccessClipboard : boolean read FDisableJavascriptAccessClipboard write FDisableJavascriptAccessClipboard;

Disable clipboard access via JavaScript.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/libcef/common/cef_switches.cc">Uses the following command line switch: –disable-javascript-access-clipboard)

Public property DisableJavascriptDomPaste : boolean read FDisableJavascriptDomPaste write FDisableJavascriptDomPaste;

Disable DOM paste via JavaScript execCommand("paste").

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/libcef/common/cef_switches.cc">Uses the following command line switch: –disable-javascript-dom-paste)

Public property AllowUniversalAccessFromFileUrls : boolean read FAllowUniversalAccessFromFileUrls write FAllowUniversalAccessFromFileUrls;

Allow universal access from file URLs.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/libcef/common/cef_switches.cc">Uses the following command line switch: –allow-universal-access-from-files)

Public property DisableImageLoading : boolean read FDisableImageLoading write FDisableImageLoading;

Disable loading of images from the network. A cached image will still be rendered if requested.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/libcef/common/cef_switches.cc">Uses the following command line switch: –disable-image-loading)

Public property ImageShrinkStandaloneToFit : boolean read FImageShrinkStandaloneToFit write FImageShrinkStandaloneToFit;

Shrink stand-alone images to fit.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/libcef/common/cef_switches.cc">Uses the following command line switch: –image-shrink-standalone-to-fit)

Public property DisableTextAreaResize : boolean read FDisableTextAreaResize write FDisableTextAreaResize;

Disable resizing of text areas.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/libcef/common/cef_switches.cc">Uses the following command line switch: –disable-text-area-resize)

Public property DisableTabToLinks : boolean read FDisableTabToLinks write FDisableTabToLinks;

Disable using the tab key to advance focus to links.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/libcef/common/cef_switches.cc">Uses the following command line switch: –disable-tab-to-links)

Public property EnableProfanityFilter : boolean read FEnableProfanityFilter write FEnableProfanityFilter;

Enable the speech input profanity filter.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/libcef/common/cef_switches.cc">Uses the following command line switch: –enable-profanity-filter)

Public property DisableSpellChecking : boolean read FDisableSpellChecking write FDisableSpellChecking;

Disable spell checking.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/libcef/common/cef_switches.cc">Uses the following command line switch: –disable-spell-checking)

Public property OverrideSpellCheckLang : ustring read FOverrideSpellCheckLang write FOverrideSpellCheckLang;

Override the default spellchecking language which comes from locales.pak.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/libcef/common/cef_switches.cc">Uses the following command line switch: –override-spell-check-lang)

Public property TouchEvents : TCefState read FTouchEvents write FTouchEvents;

Enable support for touch event feature detection.

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –touch-events)

Public property DisableReadingFromCanvas : boolean read FDisableReadingFromCanvas write FDisableReadingFromCanvas;

Taints all <canvas> elements, regardless of origin.

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –disable-reading-from-canvas)

Public property HyperlinkAuditing : boolean read FHyperlinkAuditing write FHyperlinkAuditing;

Don't send hyperlink auditing pings.

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –no-pings)

Public property DisableNewBrowserInfoTimeout : boolean read FDisableNewBrowserInfoTimeout write FDisableNewBrowserInfoTimeout;

Disable the timeout for delivering new browser info to the renderer process.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/libcef/common/cef_switches.cc">Uses the following command line switch: –disable-new-browser-info-timeout)

Public property DevToolsProtocolLogFile : ustring read FDevToolsProtocolLogFile write FDevToolsProtocolLogFile;

File used for logging DevTools protocol messages.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/libcef/common/cef_switches.cc">Uses the following command line switch: –devtools-protocol-log-file)

Public property ForcedDeviceScaleFactor : single read FForcedDeviceScaleFactor write FForcedDeviceScaleFactor;

Overrides the device scale factor for the browser UI and the contents.

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –force-device-scale-factor)

Public property DisableZygote : boolean read FDisableZygote write FDisableZygote;

Disables the use of a zygote process for forking child processes. Instead, child processes will be forked and exec'd directly.

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –no-zygote)

Public property UseMockKeyChain : boolean read FUseMockKeyChain write FUseMockKeyChain;

Uses mock keychain for testing purposes, which prevents blocking dialogs from causing timeouts.

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –use-mock-keychain)

Public property DisableRequestHandlingForTesting : boolean read FDisableRequestHandlingForTesting write FDisableRequestHandlingForTesting;

Disable request handling in CEF to faciliate debugging of network-related issues.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/libcef/common/cef_switches.cc">Uses the following command line switch: –disable-request-handling-for-testing)

Public property DisablePopupBlocking : boolean read FDisablePopupBlocking write FDisablePopupBlocking;

Disables pop-up blocking.

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –disable-popup-blocking)

Public property DisableBackForwardCache : boolean read FDisableBackForwardCache write FDisableBackForwardCache;

Disables the BackForwardCache feature.

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –disable-back-forward-cache)

Public property DisableComponentUpdate : boolean read FDisableComponentUpdate write FDisableComponentUpdate;

Disable the component updater. Widevine will not be downloaded or initialized.

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –disable-component-update)

Public property AllowInsecureLocalhost : boolean read FAllowInsecureLocalhost write FAllowInsecureLocalhost;

Enables TLS/SSL errors on localhost to be ignored (no interstitial, no blocking of requests).

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –allow-insecure-localhost)

Public property KioskPrinting : boolean read FKioskPrinting write SetKioskPrinting;

Enable automatically pressing the print button in print preview.

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –kiosk-printing)

Public property TreatInsecureOriginAsSecure : ustring read FTreatInsecureOriginAsSecure write FTreatInsecureOriginAsSecure;

Treat given (insecure) origins as secure origins. Multiple origins can be supplied as a comma-separated list. For the definition of secure contexts, see https://w3c.github.io/webappsec-secure-contexts/ and https://www.w3.org/TR/powerful-features/#is-origin-trustworthy Example: –unsafely-treat-insecure-origin-as-secure=http://a.test,http://b.test

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –unsafely-treat-insecure-origin-as-secure)

Public property NetLogEnabled : boolean read FNetLogEnabled write FNetLogEnabled;

Enables saving net log events to a file.

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –log-net-log)

Public property NetLogFile : ustring read FNetLogFile write FNetLogFile;

File name used to log net events. If a value is given, it used as the path the the file, otherwise the file is named netlog.json and placed in the user data directory.

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –log-net-log)

Public property NetLogCaptureMode : TCefNetLogCaptureMode read FNetLogCaptureMode write FNetLogCaptureMode;

Sets the granularity of events to capture in the network log.

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –net-log-capture-mode)

Public property RemoteAllowOrigins : ustring read FRemoteAllowOrigins write FRemoteAllowOrigins;

Enables web socket connections from the specified origins only. '*' allows any origin.

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –remote-allow-origins)

Public property AutoAcceptCamAndMicCapture : boolean read FAutoAcceptCamAndMicCapture write FAutoAcceptCamAndMicCapture;

Bypasses the dialog prompting the user for permission to capture cameras and microphones. Useful in automatic tests of video-conferencing Web applications. This is nearly identical to kUseFakeUIForMediaStream, with the exception being that this flag does NOT affect screen-capture.

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –auto-accept-camera-and-microphone-capture)

Public property UIColorMode : TCefUIColorMode read FUIColorMode write FUIColorMode;

Forces light or dark mode in UI for platforms that support it.

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switches: –force-dark-mode –force-light-mode)

Public property DisableHangMonitor : boolean read FDisableHangMonitor write FDisableHangMonitor;

Suppresses hang monitor dialogs in renderer processes. This may allow slow unload handlers on a page to prevent the tab from closing, but the Task Manager can be used to terminate the offending process in this case.

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –disable-hang-monitor)

Public property HideCrashRestoreBubble : boolean read FHideCrashRestoreBubble write FHideCrashRestoreBubble;

Does not show the "Restore pages" popup bubble after incorrect shutdown.

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –hide-crash-restore-bubble)

Public property TLS13HybridizedKyberSupport : TCefState read FPostQuantumKyber write FPostQuantumKyber;

This option enables a combination of X25519 and Kyber in TLS 1.3.

Public property ProxySettings : TCEFProxySettings read FProxySettings;

Configure all the browsers to use a proxy server.

If you use the proxy settings in GlobalCEFApp you will not be able to use the proxy properties in TChromiumCore.

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –no-proxy-server)

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –proxy-auto-detect)

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –proxy-bypass-list)

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –proxy-pac-url)

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –proxy-server)

<see href="https://www.chromium.org/developers/design-documents/network-settings/">See the Network Settings article.)

<see href="https://github.com/chromium/chromium/blob/main/net/docs/proxy.md"/">See the Proxy Support article.)

<see href="https://developer.chrome.com/docs/extensions/reference/api/proxy">See the chrome.proxy API article.)

Public property IgnoreCertificateErrors : Boolean read FIgnoreCertificateErrors write FIgnoreCertificateErrors;

Ignores certificate-related errors.

<see href="https://source.chromium.org/chromium/chromium/src/+/main:components/network_session_configurator/common/network_switch_list.h">Uses the following command line switch: –ignore-certificate-errors)

Public property WindowsSandboxInfo : Pointer read FWindowsSandboxInfo write FWindowsSandboxInfo;

Pointer to the sandbox info. Currently unused in Delphi and Lazarus.

Public property DeleteCache : boolean read FDeleteCache write FDeleteCache;

Used to delete all the cache files before CEF is initialized.

Public property DeleteCookies : boolean read FDeleteCookies write FDeleteCookies;

Used to delete all the cookies before CEF is initialized.

Public property CheckCEFFiles : boolean read FCheckCEFFiles write FCheckCEFFiles;

Checks if the CEF binaries are present and the DLL version.

Public property ShowMessageDlg : boolean read FShowMessageDlg write FShowMessageDlg;

Set to true when you need to use a showmessage dialog to show the error messages.

Public property MissingBinariesException : boolean read FMissingBinariesException write FMissingBinariesException;

Raise an exception when the CEF binaries check fails.

Public property SetCurrentDir : boolean read FSetCurrentDir write FSetCurrentDir;

Used to set the current directory when the CEF libraries are loaded. This is required if the application is launched from a different application.

Public property GlobalContextInitialized : boolean read GetGlobalContextInitialized;

Set to True when the global context is initialized and the application can start creating web browsers.

Public property ChromeMajorVer : uint16 read FChromeVersionInfo.MajorVer;

Returns the major version information from Chromium.

Public property ChromeMinorVer : uint16 read FChromeVersionInfo.MinorVer;

Returns the minor version information from Chromium.

Public property ChromeRelease : uint16 read FChromeVersionInfo.Release;

Returns the release version information from Chromium.

Public property ChromeBuild : uint16 read FChromeVersionInfo.Build;

Returns the build version information from Chromium.

Public property ChromeVersion : ustring read GetChromeVersion;

Returns the full version information from Chromium.

Public property LibCefVersion : ustring read GetLibCefVersion;

Complete libcef version information.

Public property LibCefPath : ustring read GetLibCefPath;

Path to libcef.dll or libcef.so

Public property ChromeElfPath : ustring read GetChromeElfPath;

Returns the path to chrome_elf.dll.

Public property LibLoaded : boolean read FLibLoaded;

Set to true when TCEFApplicationCore has loaded the CEF libraries.

Public property LogProcessInfo : boolean read FLogProcessInfo write FLogProcessInfo;

Add a debug log information line when the CEF libraries are loaded.

Public property ReRaiseExceptions : boolean read FReRaiseExceptions write FReRaiseExceptions;

Set to true to raise all exceptions.

Public property DeviceScaleFactor : single read FDeviceScaleFactor;

Returns the device scale factor used in OSR mode.

Public property LocalesRequired : ustring read FLocalesRequired write FLocalesRequired;

List of locale files that will be checked with CheckCEFFiles.

Public property ProcessType : TCefProcessType read FProcessType;

CEF process type currently running.

Public property MustCreateResourceBundleHandler : boolean read GetMustCreateResourceBundleHandler write FMustCreateResourceBundleHandler;

Force the creation of ICefResourceBundleHandler.

Public property MustCreateBrowserProcessHandler : boolean read GetMustCreateBrowserProcessHandler write FMustCreateBrowserProcessHandler;

Force the creation of ICefBrowserProcessHandler.

Public property MustCreateRenderProcessHandler : boolean read GetMustCreateRenderProcessHandler write FMustCreateRenderProcessHandler;

Force the creation of ICefRenderProcessHandler.

Public property MustCreateLoadHandler : boolean read GetMustCreateLoadHandler write FMustCreateLoadHandler;

Force the creation of ICefLoadHandler.

Public property OsmodalLoop : boolean write SetOsmodalLoop;

Set to true (1) before calling Windows APIs like TrackPopupMenu that enter a modal message loop. Set to false (0) after exiting the modal message loop.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_app_win.h">CEF source file: /include/internal/cef_app_win.h (cef_set_osmodal_loop))

Public property Status : TCefAplicationStatus read FStatus;

Returns the TCEFApplicationCore initialization status.

Public property MissingLibFiles : string read FMissingLibFiles;

List of missing CEF library files.

Public property MustFreeLibrary : boolean read FMustFreeLibrary write FMustFreeLibrary;

Set to true to free the library handle when TCEFApplicationCore is destroyed.

Public property ChildProcessesCount : integer read GetChildProcessesCount;

Returns the number of CEF subprocesses running at that moment.

Public property UsedMemory : uint64 read GetUsedMemory;

Total used memory by all CEF processes.

Public property TotalSystemMemory : uint64 read GetTotalSystemMemory;

Total system memory in Windows.

Public property AvailableSystemMemory : uint64 read GetAvailableSystemMemory;

Calculates the available memory in Windows.

Public property SystemMemoryLoad : cardinal read GetSystemMemoryLoad;

Memory load in Windows.

Public property ApiHashPlatform : ustring read GetApiHashPlatform;

Calls cef_api_hash to get the platform hash.

Public property ApiHashCommit : ustring read GetApiHashCommit;

Calls cef_api_hash to get the commit hash.

Public property ApiVersion : integer read GetApiVersion;

Returns the CEF API version that was configured by the first call to cef_api_hash().

Public property ExitCode : TCefResultCode read GetExitCode;

This property can optionally be read on the main application thread after CefInitialize to retrieve the initialization exit code. When CefInitialize returns true (1) the exit code will be 0 (CEF_RESULT_CODE_NORMAL_EXIT). Otherwise, see TCefResultCode for possible exit code values including browser process initialization errors and normal early exit conditions (such as CEF_RESULT_CODE_NORMAL_EXIT_PROCESS_NOTIFIED for process singleton relaunch behavior).

Public property BrowserById[id: integer]: ICefBrowser read GetBrowserById;

Returns the browser (if any) with the specified identifier.

Public property LastErrorMessage : ustring read FLastErrorMessage;

Last error message that is usually shown when CEF finds a problem at initialization.

Public property OnRegCustomSchemes : TOnRegisterCustomSchemesEvent read FOnRegisterCustomSchemes write FOnRegisterCustomSchemes;

Provides an opportunity to register custom schemes. Do not keep a reference to the |registrar| object. This function is called on the main thread for each process and the registered schemes should be the same across all processes.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_app_capi.h">CEF source file: /include/capi/cef_app_capi.h (cef_app_t))

Public property OnRegisterCustomPreferences : TOnRegisterCustomPreferencesEvent read FOnRegisterCustomPreferences write FOnRegisterCustomPreferences;

Provides an opportunity to register custom preferences prior to global and request context initialization.

If |type| is CEF_PREFERENCES_TYPE_GLOBAL the registered preferences can be accessed via ICefPreferenceManager.GetGlobalPreferences after OnContextInitialized is called. Global preferences are registered a single time at application startup. See related TCefSettings.cache_path configuration.

If |type| is CEF_PREFERENCES_TYPE_REQUEST_CONTEXT the preferences can be accessed via the ICefRequestContext after ICefRequestContextHandler.OnRequestContextInitialized is called. Request context preferences are registered each time a new ICefRequestContext is created. It is intended but not required that all request contexts have the same registered preferences. See related TCefRequestContextSettings.cache_path configuration.

Do not keep a reference to the |registrar| object. This function is called on the browser process UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_browser_process_handler_capi.h">CEF source file: /include/capi/cef_browser_process_handler_capi.h (cef_browser_process_handler_t))

Public property OnContextInitialized : TOnContextInitializedEvent read FOnContextInitialized write FOnContextInitialized;

Called on the browser process UI thread immediately after the CEF context has been initialized.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_browser_process_handler_capi.h">CEF source file: /include/capi/cef_browser_process_handler_capi.h (cef_browser_process_handler_t))

Public property OnBeforeChildProcessLaunch : TOnBeforeChildProcessLaunchEvent read FOnBeforeChildProcessLaunch write FOnBeforeChildProcessLaunch;

Called before a child process is launched. Will be called on the browser process UI thread when launching a render process and on the browser process IO thread when launching a GPU process. Provides an opportunity to modify the child process command line. Do not keep a reference to |command_line| outside of this function.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_browser_process_handler_capi.h">CEF source file: /include/capi/cef_browser_process_handler_capi.h (cef_browser_process_handler_t))

Public property OnAlreadyRunningAppRelaunch : TOnAlreadyRunningAppRelaunchEvent read FOnAlreadyRunningAppRelaunch write FOnAlreadyRunningAppRelaunch;

Implement this function to provide app-specific behavior when an already running app is relaunched with the same TCefSettings.root_cache_path value. For example, activate an existing app window or create a new app window. |command_line| will be read-only. Do not keep a reference to |command_line| outside of this function. Return true (1) if the relaunch is handled or false (0) for default relaunch behavior. Default behavior will create a new default styled Chrome window.

To avoid cache corruption only a single app instance is allowed to run for a given TCefSettings.root_cache_path value. On relaunch the app checks a process singleton lock and then forwards the new launch arguments to the already running app process before exiting early. Client apps should therefore check the cef_initialize() return value for early exit before proceeding.

This function will be called on the browser process UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_browser_process_handler_capi.h">CEF source file: /include/capi/cef_browser_process_handler_capi.h (cef_browser_process_handler_t))

Public property OnScheduleMessagePumpWork : TOnScheduleMessagePumpWorkEvent read FOnScheduleMessagePumpWork write FOnScheduleMessagePumpWork;

Called from any thread when work has been scheduled for the browser process main (UI) thread. This callback is used in combination with TCefSettings.external_message_pump and GlobalCEFApp.DoMessageLoopWork in cases where the CEF message loop must be integrated into an existing application message loop (see additional comments and warnings on GlobalCEFApp.DoMessageLoopWork). This callback should schedule a GlobalCEFApp.DoMessageLoopWork call to happen on the main (UI) thread. |delay_ms| is the requested delay in milliseconds. If |delay_ms| is <= 0 then the call should happen reasonably soon. If |delay_ms| is > 0 then the call should be scheduled to happen after the specified delay and any currently pending scheduled call should be cancelled.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_browser_process_handler_capi.h">CEF source file: /include/capi/cef_browser_process_handler_capi.h (cef_browser_process_handler_t))

Public property OnGetDefaultClient : TOnGetDefaultClientEvent read FOnGetDefaultClient write FOnGetDefaultClient;

Return the default client for use with a newly created browser window (TCefBrowser object). If null is returned the TCefBrowser will be unmanaged (no callbacks will be executed for that TCefBrowser) and application shutdown will be blocked until the browser window is closed manually. This function is currently only used with Chrome style when creating new browser windows via Chrome UI.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_browser_process_handler_capi.h">CEF source file: /include/capi/cef_browser_process_handler_capi.h (cef_browser_process_handler_t))

Public property OnGetDefaultRequestContextHandler : TOnGetDefaultRequestContextHandlerEvent read FOnGetDefaultRequestContextHandler write FOnGetDefaultRequestContextHandler;

Return the default handler for use with a new user or incognito profile (TCefRequestContext object). If null is returned the TCefRequestContext will be unmanaged (no callbacks will be executed for that TCefRequestContext). This function is currently only used with Chrome style when creating new browser windows via Chrome UI.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_browser_process_handler_capi.h">CEF source file: /include/capi/cef_browser_process_handler_capi.h (cef_browser_process_handler_t))

Public property OnGetLocalizedString : TOnGetLocalizedStringEvent read FOnGetLocalizedString write FOnGetLocalizedString;

Called to retrieve a localized translation for the specified |string_id|. To provide the translation set |string| to the translation string and return true (1). To use the default translation return false (0). Use the cef_id_for_pack_string_name() function for version-safe mapping of string IDS names from cef_pack_strings.h to version-specific numerical |string_id| values.

This event may be called on multiple threads.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_resource_bundle_handler_capi.h">CEF source file: /include/capi/cef_resource_bundle_handler_capi.h (cef_resource_bundle_handler_t))

Public property OnGetDataResource : TOnGetDataResourceEvent read FOnGetDataResource write FOnGetDataResource;

Called to retrieve data for the specified scale independent |resource_id|. To provide the resource data set |data| and |data_size| to the data pointer and size respectively and return true (1). To use the default resource data return false (0). The resource data will not be copied and must remain resident in memory. Use the cef_id_for_pack_resource_name() function for version-safe mapping of resource IDR names from cef_pack_resources.h to version-specific numerical |resource_id| values.

This event may be called on multiple threads.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_resource_bundle_handler_capi.h">CEF source file: /include/capi/cef_resource_bundle_handler_capi.h (cef_resource_bundle_handler_t))

Public property OnGetDataResourceForScale : TOnGetDataResourceForScaleEvent read FOnGetDataResourceForScale write FOnGetDataResourceForScale;

Called to retrieve data for the specified |resource_id| nearest the scale factor |scale_factor|. To provide the resource data set |data| and |data_size| to the data pointer and size respectively and return true (1). To use the default resource data return false (0). The resource data will not be copied and must remain resident in memory. Use the cef_id_for_pack_resource_name() function for version-safe mapping of resource IDR names from cef_pack_resources.h to version-specific numerical |resource_id| values.

This event may be called on multiple threads.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_resource_bundle_handler_capi.h">CEF source file: /include/capi/cef_resource_bundle_handler_capi.h (cef_resource_bundle_handler_t))

Public property OnWebKitInitialized : TOnWebKitInitializedEvent read FOnWebKitInitialized write FOnWebKitInitialized;

Called after WebKit has been initialized.

This event will be called on the render process main thread (TID_RENDERER)

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_render_process_handler_capi.h">CEF source file: /include/capi/cef_render_process_handler_capi.h (cef_render_process_handler_t))

Public property OnBrowserCreated : TOnBrowserCreatedEvent read FOnBrowserCreated write FOnBrowserCreated;

Called after a browser has been created. When browsing cross-origin a new browser will be created before the old browser with the same identifier is destroyed. |extra_info| is an optional read-only value originating from cef_browser_host_create_browser(), cef_browser_host_create_browser_sync(), ICefLifeSpanHandler.OnBeforePopup or cef_browser_view_create().

This event will be called on the render process main thread (TID_RENDERER)

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_render_process_handler_capi.h">CEF source file: /include/capi/cef_render_process_handler_capi.h (cef_render_process_handler_t))

Public property OnBrowserDestroyed : TOnBrowserDestroyedEvent read FOnBrowserDestroyed write FOnBrowserDestroyed;

Called before a browser is destroyed.

This event will be called on the render process main thread (TID_RENDERER)

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_render_process_handler_capi.h">CEF source file: /include/capi/cef_render_process_handler_capi.h (cef_render_process_handler_t))

Public property OnContextCreated : TOnContextCreatedEvent read FOnContextCreated write FOnContextCreated;

Called immediately after the V8 context for a frame has been created. To retrieve the JavaScript 'window' object use the ICefv8context.GetGlobal function. V8 handles can only be accessed from the thread on which they are created. A task runner for posting tasks on the associated thread can be retrieved via the ICefv8context.GetTaskRunner() function.

This event will be called on the render process main thread (TID_RENDERER)

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_render_process_handler_capi.h">CEF source file: /include/capi/cef_render_process_handler_capi.h (cef_render_process_handler_t))

Public property OnContextReleased : TOnContextReleasedEvent read FOnContextReleased write FOnContextReleased;

Called immediately before the V8 context for a frame is released. No references to the context should be kept after this function is called.

This event will be called on the render process main thread (TID_RENDERER)

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_render_process_handler_capi.h">CEF source file: /include/capi/cef_render_process_handler_capi.h (cef_render_process_handler_t))

Public property OnUncaughtException : TOnUncaughtExceptionEvent read FOnUncaughtException write FOnUncaughtException;

Called for global uncaught exceptions in a frame. Execution of this callback is disabled by default. To enable set TCefSettings.uncaught_exception_stack_size > 0.

This event will be called on the render process main thread (TID_RENDERER)

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_render_process_handler_capi.h">CEF source file: /include/capi/cef_render_process_handler_capi.h (cef_render_process_handler_t))

Public property OnFocusedNodeChanged : TOnFocusedNodeChangedEvent read FOnFocusedNodeChanged write FOnFocusedNodeChanged;

Called when a new node in the the browser gets focus. The |node| value may be NULL if no specific node has gained focus. The node object passed to this function represents a snapshot of the DOM at the time this function is executed. DOM objects are only valid for the scope of this function. Do not keep references to or attempt to access any DOM objects outside the scope of this function.

This event will be called on the render process main thread (TID_RENDERER)

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_render_process_handler_capi.h">CEF source file: /include/capi/cef_render_process_handler_capi.h (cef_render_process_handler_t))

Public property OnProcessMessageReceived : TOnProcessMessageReceivedEvent read FOnProcessMessageReceived write FOnProcessMessageReceived;

Called when a new message is received from a different process. Return true (1) if the message was handled or false (0) otherwise. It is safe to keep a reference to |message| outside of this callback.

This event will be called on the render process main thread (TID_RENDERER)

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_render_process_handler_capi.h">CEF source file: /include/capi/cef_render_process_handler_capi.h (cef_render_process_handler_t))

Public property OnLoadingStateChange : TOnRenderLoadingStateChange read FOnLoadingStateChange write FOnLoadingStateChange;

Called when the loading state has changed. This callback will be executed twice – once when loading is initiated either programmatically or by user action, and once when loading is terminated due to completion, cancellation of failure. It will be called before any calls to OnLoadStart and after all calls to OnLoadError and/or OnLoadEnd.

This event will be called on the render process main thread (TID_RENDERER)

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_load_handler_capi.h">CEF source file: /include/capi/cef_load_handler_capi.h (cef_load_handler_t))

Public property OnLoadStart : TOnRenderLoadStart read FOnLoadStart write FOnLoadStart;

Called after a navigation has been committed and before the browser begins loading contents in the frame. The |frame| value will never be NULL – call the IsMain() function to check if this frame is the main frame. |transition_type| provides information about the source of the navigation and an accurate value is only available in the browser process. Multiple frames may be loading at the same time. Sub-frames may start or continue loading after the main frame load has ended. This function will not be called for same page navigations (fragments, history state, etc.) or for navigations that fail or are canceled before commit. For notification of overall browser load status use OnLoadingStateChange instead.

This event will be called on the render process main thread (TID_RENDERER)

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_load_handler_capi.h">CEF source file: /include/capi/cef_load_handler_capi.h (cef_load_handler_t))

Public property OnLoadEnd : TOnRenderLoadEnd read FOnLoadEnd write FOnLoadEnd;

Called when the browser is done loading a frame. The |frame| value will never be NULL – call the IsMain() function to check if this frame is the main frame. Multiple frames may be loading at the same time. Sub-frames may start or continue loading after the main frame load has ended. This function will not be called for same page navigations (fragments, history state, etc.) or for navigations that fail or are canceled before commit. For notification of overall browser load status use OnLoadingStateChange instead.

This event will be called on the render process main thread (TID_RENDERER)

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_load_handler_capi.h">CEF source file: /include/capi/cef_load_handler_capi.h (cef_load_handler_t))

Public property OnLoadError : TOnRenderLoadError read FOnLoadError write FOnLoadError;

Called when a navigation fails or is canceled. This function may be called by itself if before commit or in combination with OnLoadStart/OnLoadEnd if after commit. |errorCode| is the error code number, |errorText| is the error text and |failedUrl| is the URL that failed to load. See net\base\net_error_list.h for complete descriptions of the error codes.

This event will be called on the render process main thread (TID_RENDERER)

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_load_handler_capi.h">CEF source file: /include/capi/cef_load_handler_capi.h (cef_load_handler_t))


cef4delphi: uCEFApplicationCore: Class TCEFDirectoryDeleterThread

Class TCEFDirectoryDeleterThread

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFApplicationCore

Declaration

type TCEFDirectoryDeleterThread = class(TThread)

Description

This item has no description.

Hierarchy

  • TObject
  • TThread
  • TCEFDirectoryDeleterThread

Overview

Fields

Protected FDirectory: string;

Methods

Protected | procedure Execute; override;
Public | constructor Create(const aDirectory : string);

Description

Fields

Protected FDirectory: string;

This item has no description.

Methods

Protected procedure Execute; override;

This item has no description.

Public constructor Create(const aDirectory : string);

This item has no description.


cef4delphi: uCEFApplicationCore: Class TCEFProxySettings

Class TCEFProxySettings

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFApplicationCore

Declaration

type TCEFProxySettings = class(TObject)

Description

Class used by the TWVLoader.ProxySettigns property to configure a custom proxy server using the following command line switches: –no-proxy-server, –proxy-auto-detect, –proxy-bypass-list, –proxy-pac-url and –proxy-server.

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –no-proxy-server)

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –proxy-auto-detect)

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –proxy-bypass-list)

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –proxy-pac-url)

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –proxy-server)

<see href="https://www.chromium.org/developers/design-documents/network-settings/">See the Network Settings article.)

<see href="https://github.com/chromium/chromium/blob/main/net/docs/proxy.md"/">See the Proxy Support article.)

<see href="https://developer.chrome.com/docs/extensions/reference/api/proxy">See the chrome.proxy API article.)

Hierarchy

  • TObject
  • TCEFProxySettings

Overview

Fields

Protected | FNoProxyServer: boolean;
Protected | FAutoDetect: boolean;
Protected | FByPassList: ustring;
Protected | FPacUrl: ustring;
Protected | FServer: ustring;

Methods

Public constructor Create;

Properties

Public | property NoProxyServer : boolean read FNoProxyServer write FNoProxyServer;
Public | property AutoDetect : boolean read FAutoDetect write FAutoDetect;
Public | property ByPassList : ustring read FByPassList write FByPassList;
Public | property PacUrl : ustring read FPacUrl write FPacUrl;
Public | property Server : ustring read FServer write FServer;

Description

Fields

Protected FNoProxyServer: boolean;

This item has no description.

Protected FAutoDetect: boolean;

This item has no description.

Protected FByPassList: ustring;

This item has no description.

Protected FPacUrl: ustring;

This item has no description.

Protected FServer: ustring;

This item has no description.

Methods

Public constructor Create;

This item has no description.

Properties

Public property NoProxyServer : boolean read FNoProxyServer write FNoProxyServer;

This item has no description.

Public property AutoDetect : boolean read FAutoDetect write FAutoDetect;

This item has no description.

Public property ByPassList : ustring read FByPassList write FByPassList;

This item has no description.

Public property PacUrl : ustring read FPacUrl write FPacUrl;

This item has no description.

Public property Server : ustring read FServer write FServer;

This item has no description.


cef4delphi: uCEFApplicationEvents

Unit uCEFApplicationEvents

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Types

TOnRegisterCustomSchemesEvent = procedure(const registrar: TCefSchemeRegistrarRef) ;
TOnRegisterCustomPreferencesEvent = procedure(type_: TCefPreferencesType; const registrar: TCefPreferenceRegistrarRef) ;
TOnContextInitializedEvent = procedure() ;
TOnBeforeChildProcessLaunchEvent = procedure(const commandLine: ICefCommandLine) ;
TOnAlreadyRunningAppRelaunchEvent = procedure(const commandLine: ICefCommandLine; const current_directory: ustring; var aResult: boolean) ;
TOnScheduleMessagePumpWorkEvent = procedure(const delayMs: Int64) ;
TOnGetDefaultClientEvent = procedure(var aClient : ICefClient) ;
TOnGetDefaultRequestContextHandlerEvent = procedure(var aRequestContextHandler : ICefRequestContextHandler) ;
TOnGetLocalizedStringEvent = procedure(stringId: Integer; out stringVal: ustring; var aResult : Boolean) ;
TOnGetDataResourceEvent = procedure(resourceId: Integer; out data: Pointer; out dataSize: NativeUInt; var aResult : Boolean) ;
TOnGetDataResourceForScaleEvent = procedure(resourceId: Integer; scaleFactor: TCefScaleFactor; out data: Pointer; out dataSize: NativeUInt; var aResult : Boolean) ;
TOnWebKitInitializedEvent = procedure() ;
TOnBrowserCreatedEvent = procedure(const browser: ICefBrowser; const extra_info: ICefDictionaryValue) ;
TOnBrowserDestroyedEvent = procedure(const browser: ICefBrowser) ;
TOnContextCreatedEvent = procedure(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context) ;
TOnContextReleasedEvent = procedure(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context) ;
TOnUncaughtExceptionEvent = procedure(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context; const exception: ICefV8Exception; const stackTrace: ICefV8StackTrace) ;
TOnFocusedNodeChangedEvent = procedure(const browser: ICefBrowser; const frame: ICefFrame; const node: ICefDomNode) ;
TOnProcessMessageReceivedEvent = procedure(const browser: ICefBrowser; const frame: ICefFrame; sourceProcess: TCefProcessId; const message: ICefProcessMessage; var aHandled : boolean) of object ;
TOnRenderLoadingStateChange = procedure(const browser: ICefBrowser; isLoading, canGoBack, canGoForward: Boolean) ;
TOnRenderLoadStart = procedure(const browser: ICefBrowser; const frame: ICefFrame; transitionType: TCefTransitionType) ;
TOnRenderLoadEnd = procedure(const browser: ICefBrowser; const frame: ICefFrame; httpStatusCode: Integer) ;
TOnRenderLoadError = procedure(const browser: ICefBrowser; const frame: ICefFrame; errorCode: TCefErrorCode; const errorText, failedUrl: ustring) ;

Description

Types

TOnRegisterCustomSchemesEvent = procedure(const registrar: TCefSchemeRegistrarRef) ;

ICefApp

TOnRegisterCustomPreferencesEvent = procedure(type_: TCefPreferencesType; const registrar: TCefPreferenceRegistrarRef) ;

ICefBrowserProcessHandler

TOnContextInitializedEvent = procedure() ;

This item has no description.

TOnBeforeChildProcessLaunchEvent = procedure(const commandLine: ICefCommandLine) ;

This item has no description.

TOnAlreadyRunningAppRelaunchEvent = procedure(const commandLine: ICefCommandLine; const current_directory: ustring; var aResult: boolean) ;

This item has no description.

TOnScheduleMessagePumpWorkEvent = procedure(const delayMs: Int64) ;

This item has no description.

TOnGetDefaultClientEvent = procedure(var aClient : ICefClient) ;

This item has no description.

TOnGetDefaultRequestContextHandlerEvent = procedure(var aRequestContextHandler : ICefRequestContextHandler) ;

This item has no description.

TOnGetLocalizedStringEvent = procedure(stringId: Integer; out stringVal: ustring; var aResult : Boolean) ;

ICefResourceBundleHandler

TOnGetDataResourceEvent = procedure(resourceId: Integer; out data: Pointer; out dataSize: NativeUInt; var aResult : Boolean) ;

This item has no description.

TOnGetDataResourceForScaleEvent = procedure(resourceId: Integer; scaleFactor: TCefScaleFactor; out data: Pointer; out dataSize: NativeUInt; var aResult : Boolean) ;

This item has no description.

TOnWebKitInitializedEvent = procedure() ;

ICefRenderProcessHandler

TOnBrowserCreatedEvent = procedure(const browser: ICefBrowser; const extra_info: ICefDictionaryValue) ;

This item has no description.

TOnBrowserDestroyedEvent = procedure(const browser: ICefBrowser) ;

This item has no description.

TOnContextCreatedEvent = procedure(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context) ;

This item has no description.

TOnContextReleasedEvent = procedure(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context) ;

This item has no description.

TOnUncaughtExceptionEvent = procedure(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context; const exception: ICefV8Exception; const stackTrace: ICefV8StackTrace) ;

This item has no description.

TOnFocusedNodeChangedEvent = procedure(const browser: ICefBrowser; const frame: ICefFrame; const node: ICefDomNode) ;

This item has no description.

TOnProcessMessageReceivedEvent = procedure(const browser: ICefBrowser; const frame: ICefFrame; sourceProcess: TCefProcessId; const message: ICefProcessMessage; var aHandled : boolean) of object ;

This item has no description.

TOnRenderLoadingStateChange = procedure(const browser: ICefBrowser; isLoading, canGoBack, canGoForward: Boolean) ;

ICefLoadHandler

TOnRenderLoadStart = procedure(const browser: ICefBrowser; const frame: ICefFrame; transitionType: TCefTransitionType) ;

This item has no description.

TOnRenderLoadEnd = procedure(const browser: ICefBrowser; const frame: ICefFrame; httpStatusCode: Integer) ;

This item has no description.

TOnRenderLoadError = procedure(const browser: ICefBrowser; const frame: ICefFrame; errorCode: TCefErrorCode; const errorText, failedUrl: ustring) ;

This item has no description.


cef4delphi: uCEFArgCopy

Unit uCEFArgCopy

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCEFArgCopy |


cef4delphi: uCEFArgCopy: Class TCEFArgCopy

Class TCEFArgCopy

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFArgCopy

Declaration

type TCEFArgCopy = class(TObject)

Description

This item has no description.

Hierarchy

  • TObject
  • TCEFArgCopy

Overview

Fields

Protected | FArgCCopy: longint;
Protected | FArgVCopy: PPAnsiChar;

Methods

Protected | procedure InitializeFields;
Protected | procedure DestroyFields;
Public | constructor Create;
Public | destructor Destroy; override;
Public | procedure CopyFromArgs(aArgc : longint; aArgv : PPAnsiChar);

Properties

Public | property argc : longint read FArgCCopy;
Public | property argv : PPAnsiChar read FArgVCopy;

Description

Fields

Protected FArgCCopy: longint;

This item has no description.

Protected FArgVCopy: PPAnsiChar;

This item has no description.

Methods

Protected procedure InitializeFields;

This item has no description.

Protected procedure DestroyFields;

This item has no description.

Public constructor Create;

This item has no description.

Public destructor Destroy; override;

This item has no description.

Public procedure CopyFromArgs(aArgc : longint; aArgv : PPAnsiChar);

This item has no description.

Properties

Public property argc : longint read FArgCCopy;

This item has no description.

Public property argv : PPAnsiChar read FArgVCopy;

This item has no description.


cef4delphi: uCEFAudioHandler

Unit uCEFAudioHandler

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefAudioHandlerOwn |
Class TCustomAudioHandler |


cef4delphi: uCEFAudioHandler: Class TCefAudioHandlerOwn

Class TCefAudioHandlerOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFAudioHandler

Declaration

type TCefAudioHandlerOwn = class(TCefBaseRefCountedOwn, ICefAudioHandler)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefAudioHandlerOwn

Overview

Methods

Protected | procedure OnGetAudioParameters(const browser: ICefBrowser; var params: TCefAudioParameters; var aResult: boolean); virtual;
Protected | procedure OnAudioStreamStarted(const browser: ICefBrowser; const params: TCefAudioParameters; channels: integer); virtual;
Protected | procedure OnAudioStreamPacket(const browser: ICefBrowser; const data : PPSingle; frames: integer; pts: int64); virtual;
Protected | procedure OnAudioStreamStopped(const browser: ICefBrowser); virtual;
Protected | procedure OnAudioStreamError(const browser: ICefBrowser; const message_: ustring); virtual;
Protected | procedure RemoveReferences; virtual;
Public | constructor Create; virtual;

Description

Methods

Protected procedure OnGetAudioParameters(const browser: ICefBrowser; var params: TCefAudioParameters; var aResult: boolean); virtual;

This item has no description. Showing description inherited from ICefAudioHandler.OnGetAudioParameters.

Called on the UI thread to allow configuration of audio stream parameters. Return true (1) to proceed with audio stream capture, or false (0) to cancel it. All members of |params| can optionally be configured here, but they are also pre-filled with some sensible defaults.

Protected procedure OnAudioStreamStarted(const browser: ICefBrowser; const params: TCefAudioParameters; channels: integer); virtual;

This item has no description. Showing description inherited from ICefAudioHandler.OnAudioStreamStarted.

Called on a browser audio capture thread when the browser starts streaming audio. OnAudioStreamStopped will always be called after OnAudioStreamStarted; both functions may be called multiple times for the same browser. |params| contains the audio parameters like sample rate and channel layout. |channels| is the number of channels.

Protected procedure OnAudioStreamPacket(const browser: ICefBrowser; const data : PPSingle; frames: integer; pts: int64); virtual;

This item has no description. Showing description inherited from ICefAudioHandler.OnAudioStreamPacket.

Called on the audio stream thread when a PCM packet is received for the stream. |data| is an array representing the raw PCM data as a floating point type, i.e. 4-byte value(s). |frames| is the number of frames in the PCM packet. |pts| is the presentation timestamp (in milliseconds since the Unix Epoch) and represents the time at which the decompressed packet should be presented to the user. Based on |frames| and the |channel_layout| value passed to OnAudioStreamStarted you can calculate the size of the |data| array in bytes.

Protected procedure OnAudioStreamStopped(const browser: ICefBrowser); virtual;

This item has no description. Showing description inherited from ICefAudioHandler.OnAudioStreamStopped.

Called on the UI thread when the stream has stopped. OnAudioSteamStopped will always be called after OnAudioStreamStarted; both functions may be called multiple times for the same stream.

Protected procedure OnAudioStreamError(const browser: ICefBrowser; const message_: ustring); virtual;

This item has no description. Showing description inherited from ICefAudioHandler.OnAudioStreamError.

Called on the UI or audio stream thread when an error occurred. During the stream creation phase this callback will be called on the UI thread while in the capturing phase it will be called on the audio stream thread. The stream will be stopped immediately.

Protected procedure RemoveReferences; virtual;

This item has no description. Showing description inherited from ICefAudioHandler.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFAudioHandler: Class TCustomAudioHandler

Class TCustomAudioHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFAudioHandler

Declaration

type TCustomAudioHandler = class(TCefAudioHandlerOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefAudioHandlerOwn
  • TCustomAudioHandler

Overview

Fields

Protected FEvents: Pointer;

Methods

Protected | procedure OnGetAudioParameters(const browser: ICefBrowser; var params: TCefAudioParameters; var aResult: boolean); override;
Protected | procedure OnAudioStreamStarted(const browser: ICefBrowser; const params: TCefAudioParameters; channels: integer); override;
Protected | procedure OnAudioStreamPacket(const browser: ICefBrowser; const data : PPSingle; frames: integer; pts: int64); override;
Protected | procedure OnAudioStreamStopped(const browser: ICefBrowser); override;
Protected | procedure OnAudioStreamError(const browser: ICefBrowser; const message_: ustring); override;
Protected | procedure RemoveReferences; override;
Public | constructor Create(const events : IChromiumEvents); reintroduce; virtual;
Public | destructor Destroy; override;

Description

Fields

Protected FEvents: Pointer;

This item has no description.

Methods

Protected procedure OnGetAudioParameters(const browser: ICefBrowser; var params: TCefAudioParameters; var aResult: boolean); override;

This item has no description. Showing description inherited from ICefAudioHandler.OnGetAudioParameters.

Called on the UI thread to allow configuration of audio stream parameters. Return true (1) to proceed with audio stream capture, or false (0) to cancel it. All members of |params| can optionally be configured here, but they are also pre-filled with some sensible defaults.

Protected procedure OnAudioStreamStarted(const browser: ICefBrowser; const params: TCefAudioParameters; channels: integer); override;

This item has no description. Showing description inherited from ICefAudioHandler.OnAudioStreamStarted.

Called on a browser audio capture thread when the browser starts streaming audio. OnAudioStreamStopped will always be called after OnAudioStreamStarted; both functions may be called multiple times for the same browser. |params| contains the audio parameters like sample rate and channel layout. |channels| is the number of channels.

Protected procedure OnAudioStreamPacket(const browser: ICefBrowser; const data : PPSingle; frames: integer; pts: int64); override;

This item has no description. Showing description inherited from ICefAudioHandler.OnAudioStreamPacket.

Called on the audio stream thread when a PCM packet is received for the stream. |data| is an array representing the raw PCM data as a floating point type, i.e. 4-byte value(s). |frames| is the number of frames in the PCM packet. |pts| is the presentation timestamp (in milliseconds since the Unix Epoch) and represents the time at which the decompressed packet should be presented to the user. Based on |frames| and the |channel_layout| value passed to OnAudioStreamStarted you can calculate the size of the |data| array in bytes.

Protected procedure OnAudioStreamStopped(const browser: ICefBrowser); override;

This item has no description. Showing description inherited from ICefAudioHandler.OnAudioStreamStopped.

Called on the UI thread when the stream has stopped. OnAudioSteamStopped will always be called after OnAudioStreamStarted; both functions may be called multiple times for the same stream.

Protected procedure OnAudioStreamError(const browser: ICefBrowser; const message_: ustring); override;

This item has no description. Showing description inherited from ICefAudioHandler.OnAudioStreamError.

Called on the UI or audio stream thread when an error occurred. During the stream creation phase this callback will be called on the UI thread while in the capturing phase it will be called on the audio stream thread. The stream will be stopped immediately.

Protected procedure RemoveReferences; override;

This item has no description. Showing description inherited from ICefAudioHandler.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create(const events : IChromiumEvents); reintroduce; virtual;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFAuthCallback

Unit uCEFAuthCallback

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefAuthCallbackRef |


cef4delphi: uCEFAuthCallback: Class TCefAuthCallbackRef

Class TCefAuthCallbackRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFAuthCallback

Declaration

type TCefAuthCallbackRef = class(TCefBaseRefCountedRef, ICefAuthCallback)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefAuthCallbackRef

Overview

Methods

Protected | procedure Cont(const username, password: ustring);
Protected | procedure Cancel;
Public | class function UnWrap(data: Pointer): ICefAuthCallback;

Description

Methods

Protected procedure Cont(const username, password: ustring);

This item has no description. Showing description inherited from ICefAuthCallback.Cont.

Continue the authentication request.

Protected procedure Cancel;

This item has no description. Showing description inherited from ICefAuthCallback.Cancel.

Cancel the authentication request.

Public class function UnWrap(data: Pointer): ICefAuthCallback;

This item has no description.


cef4delphi: uCEFBaseRefCounted

Unit uCEFBaseRefCounted

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TLoggingInterfacedObject |
Class TCefBaseRefCountedOwn |
Class TCefBaseRefCountedRef |


cef4delphi: uCEFBaseRefCounted: Class TLoggingInterfacedObject

Class TLoggingInterfacedObject

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFBaseRefCounted

Declaration

type TLoggingInterfacedObject = class(TInterfacedObject)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TLoggingInterfacedObject

Overview

Methods

Protected | function _AddRef: Integer; reintroduce; stdcall;
Protected | function _Release: Integer; reintroduce; stdcall;
Public | class function NewInstance: TObject; override;

Description

Methods

Protected function _AddRef: Integer; reintroduce; stdcall;

This item has no description.

Protected function _Release: Integer; reintroduce; stdcall;

This item has no description.

Public class function NewInstance: TObject; override;

This item has no description.


cef4delphi: uCEFBaseRefCounted: Class TCefBaseRefCountedOwn

Class TCefBaseRefCountedOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFBaseRefCounted

Declaration

type TCefBaseRefCountedOwn = class(TInterfacedObject, ICefBaseRefCounted)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn

Overview

Fields

Protected FData: Pointer;

Methods

Protected | function HasOneRef: boolean;
Protected | function HasAtLeastOneRef: boolean;
Public | constructor CreateData(size: Cardinal; owned : boolean = False); virtual;
Public | destructor Destroy; override;
Public | function SameAs(aData : Pointer) : boolean; overload;
Public | function SameAs(const aBaseRefCounted : ICefBaseRefCounted) : boolean; overload;
Public | procedure DestroyOtherRefs;
Public | function Wrap: Pointer;

Description

Fields

Protected FData: Pointer;

This item has no description.

Methods

Protected function HasOneRef: boolean;

This item has no description. Showing description inherited from ICefBaseRefCounted.HasOneRef.

Returns true (1) if the current reference count is 1.

Protected function HasAtLeastOneRef: boolean;

This item has no description. Showing description inherited from ICefBaseRefCounted.HasAtLeastOneRef.

Returns true (1) if the current reference count is at least 1.

Public constructor CreateData(size: Cardinal; owned : boolean = False); virtual;

This item has no description.

Public destructor Destroy; override;

This item has no description.

Public function SameAs(aData : Pointer) : boolean; overload;

This item has no description. Showing description inherited from ICefBaseRefCounted.SameAs.

Compares the aData pointer with the FData field if the current instance.

Public function SameAs(const aBaseRefCounted : ICefBaseRefCounted) : boolean; overload;

This item has no description.

Public procedure DestroyOtherRefs;

This item has no description. Showing description inherited from ICefBaseRefCounted.DestroyOtherRefs.

Releases all other instances.

Public function Wrap: Pointer;

This item has no description. Showing description inherited from ICefBaseRefCounted.Wrap.

Called to increment the reference count for the object. Should be called for every new copy of a pointer to a given object.


cef4delphi: uCEFBaseRefCounted: Class TCefBaseRefCountedRef

Class TCefBaseRefCountedRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFBaseRefCounted

Declaration

type TCefBaseRefCountedRef = class(TInterfacedObject, ICefBaseRefCounted)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef

Overview

Fields

Protected FData: Pointer;

Methods

Protected | function HasOneRef: boolean;
Protected | function HasAtLeastOneRef: boolean;
Public | constructor Create(data: Pointer); virtual;
Public | destructor Destroy; override;
Public | function SameAs(aData : Pointer) : boolean; overload;
Public | function SameAs(const aBaseRefCounted : ICefBaseRefCounted) : boolean; overload;
Public | procedure DestroyOtherRefs;
Public | function Wrap: Pointer;
Public | class function UnWrap(data: Pointer): ICefBaseRefCounted;

Description

Fields

Protected FData: Pointer;

This item has no description.

Methods

Protected function HasOneRef: boolean;

This item has no description. Showing description inherited from ICefBaseRefCounted.HasOneRef.

Returns true (1) if the current reference count is 1.

Protected function HasAtLeastOneRef: boolean;

This item has no description. Showing description inherited from ICefBaseRefCounted.HasAtLeastOneRef.

Returns true (1) if the current reference count is at least 1.

Public constructor Create(data: Pointer); virtual;

This item has no description.

Public destructor Destroy; override;

This item has no description.

Public function SameAs(aData : Pointer) : boolean; overload;

This item has no description. Showing description inherited from ICefBaseRefCounted.SameAs.

Compares the aData pointer with the FData field if the current instance.

Public function SameAs(const aBaseRefCounted : ICefBaseRefCounted) : boolean; overload;

This item has no description.

Public procedure DestroyOtherRefs;

This item has no description. Showing description inherited from ICefBaseRefCounted.DestroyOtherRefs.

Releases all other instances.

Public function Wrap: Pointer;

This item has no description. Showing description inherited from ICefBaseRefCounted.Wrap.

Called to increment the reference count for the object. Should be called for every new copy of a pointer to a given object.

Public class function UnWrap(data: Pointer): ICefBaseRefCounted;

This item has no description.


cef4delphi: uCEFBaseScopedWrapper

Unit uCEFBaseScopedWrapper

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCEFBaseScopedWrapperRef |


cef4delphi: uCEFBaseScopedWrapper: Class TCEFBaseScopedWrapperRef

Class TCEFBaseScopedWrapperRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFBaseScopedWrapper

Declaration

type TCEFBaseScopedWrapperRef = class(TObject)

Description

The complete list of compiler versions is here : https://docwiki.embarcadero.com/RADStudio/Athens/en/Compiler_Versions Delphi 5 Delphi 6 Delphi 7 Delphi 8 Delphi 2005 Delphi 2009 Delphi 2010 Delphi XE Delphi XE2 (First FireMonkey and 64bit compiler) Delphi XE3 Delphi XE4 Delphi XE5 Delphi XE6 Delphi XE7 Delphi XE8 Rad Studio 10 - Delphi Seattle Rad Studio 10.1 - Delphi Berlin Rad Studio 10.2 - Delphi Tokyo Rad Studio 10.3 - Delphi Rio Rad Studio 10.4 - Delphi Sydney Rad Studio 11.0 - Delphi Alexandria Rad Studio 12.0 - Delphi Athens Rad Studio 13.0 - Delphi Florence Delphi uses MACOS for the new MacOSX and DARWIN is not defined FPC uses DARWIN for the new MacOSX and MACOS is defined for the classic Macintosh OS (System 7) We define MACOSX to avoid conflicts in both situations OS_POSIX is defined for AIX, ANDROID, ASMJS, CHROMEOS, FREEBSD, IOS, LINUX, MAC, NACL, NETBSD, OPENBSD, QNX and SOLARIS in /include/base/cef_build.h

Hierarchy

  • TObject
  • TCEFBaseScopedWrapperRef

Overview

Fields

Protected FData: Pointer;

Methods

Public | constructor Create(data: Pointer); virtual;
Public | function Wrap: Pointer;

Description

Fields

Protected FData: Pointer;

This item has no description.

Methods

Public constructor Create(data: Pointer); virtual;

This item has no description.

Public function Wrap: Pointer;

This item has no description.


cef4delphi: uCEFBeforeDownloadCallback

Unit uCEFBeforeDownloadCallback

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefBeforeDownloadCallbackRef |


cef4delphi: uCEFBeforeDownloadCallback: Class TCefBeforeDownloadCallbackRef

Class TCefBeforeDownloadCallbackRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFBeforeDownloadCallback

Declaration

type TCefBeforeDownloadCallbackRef = class(TCefBaseRefCountedRef, ICefBeforeDownloadCallback)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefBeforeDownloadCallbackRef

Overview

Methods

Protected | procedure Cont(const downloadPath: ustring; showDialog: Boolean);
Public | class function UnWrap(data: Pointer): ICefBeforeDownloadCallback;

Description

Methods

Protected procedure Cont(const downloadPath: ustring; showDialog: Boolean);

This item has no description. Showing description inherited from ICefBeforeDownloadCallback.Cont.

Call to continue the download. Set |download_path| to the full file path for the download including the file name or leave blank to use the suggested name and the default temp directory. Set |show_dialog| to true (1) if you do wish to show the default "Save As" dialog.

Public class function UnWrap(data: Pointer): ICefBeforeDownloadCallback;

This item has no description.


cef4delphi: uCEFBinaryValue

Unit uCEFBinaryValue

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefBinaryValueRef |
Class TCefBinaryValueOwn |


cef4delphi: uCEFBinaryValue: Class TCefBinaryValueRef

Class TCefBinaryValueRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFBinaryValue

Declaration

type TCefBinaryValueRef = class(TCefBaseRefCountedRef, ICefBinaryValue)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefBinaryValueRef

Overview

Methods

Protected | function IsValid: Boolean;
Protected | function IsOwned: Boolean;
Protected | function IsSame(const that: ICefBinaryValue): Boolean;
Protected | function IsEqual(const that: ICefBinaryValue): Boolean;
Protected | function Copy: ICefBinaryValue;
Protected | function GetRawData: Pointer;
Protected | function GetSize: NativeUInt;
Protected | function GetData(buffer: Pointer; bufferSize, dataOffset: NativeUInt): NativeUInt;
Public | class function UnWrap(data: Pointer): ICefBinaryValue;
Public | class function New(const data: Pointer; dataSize: NativeUInt): ICefBinaryValue;

Description

Methods

Protected function IsValid: Boolean;

This item has no description. Showing description inherited from ICefBinaryValue.IsValid.

Returns true (1) if this object is valid. This object may become invalid if the underlying data is owned by another object (e.g. list or dictionary) and that other object is then modified or destroyed. Do not call any other functions if this function returns false (0).

Protected function IsOwned: Boolean;

This item has no description. Showing description inherited from ICefBinaryValue.IsOwned.

Returns true (1) if this object is currently owned by another object.

Protected function IsSame(const that: ICefBinaryValue): Boolean;

This item has no description. Showing description inherited from ICefBinaryValue.IsSame.

Returns true (1) if this object and |that| object have the same underlying data.

Protected function IsEqual(const that: ICefBinaryValue): Boolean;

This item has no description. Showing description inherited from ICefBinaryValue.IsEqual.

Returns true (1) if this object and |that| object have an equivalent underlying value but are not necessarily the same object.

Protected function Copy: ICefBinaryValue;

This item has no description. Showing description inherited from ICefBinaryValue.Copy.

Returns a copy of this object. The data in this object will also be copied.

Protected function GetRawData: Pointer;

This item has no description. Showing description inherited from ICefBinaryValue.GetRawData.

Returns a pointer to the beginning of the memory block. The returned pointer is valid as long as the ICefBinaryValue is alive.

Protected function GetSize: NativeUInt;

This item has no description. Showing description inherited from ICefBinaryValue.GetSize.

Returns the data size.

Protected function GetData(buffer: Pointer; bufferSize, dataOffset: NativeUInt): NativeUInt;

This item has no description. Showing description inherited from ICefBinaryValue.GetData.

Read up to |buffer_size| number of bytes into |buffer|. Reading begins at the specified byte |data_offset|. Returns the number of bytes read.

Public class function UnWrap(data: Pointer): ICefBinaryValue;

This item has no description.

Public class function New(const data: Pointer; dataSize: NativeUInt): ICefBinaryValue;

This item has no description.


cef4delphi: uCEFBinaryValue: Class TCefBinaryValueOwn

Class TCefBinaryValueOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFBinaryValue

Declaration

type TCefBinaryValueOwn = class(TCefBaseRefCountedOwn, ICefBinaryValue)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefBinaryValueOwn

Overview

Methods

Protected | function IsValid: Boolean;
Protected | function IsOwned: Boolean;
Protected | function IsSame(const that: ICefBinaryValue): Boolean;
Protected | function IsEqual(const that: ICefBinaryValue): Boolean;
Protected | function Copy: ICefBinaryValue;
Protected | function GetRawData: Pointer;
Protected | function GetSize: NativeUInt;
Protected | function GetData(buffer: Pointer; bufferSize, dataOffset: NativeUInt): NativeUInt;
Public | constructor Create;

Description

Methods

Protected function IsValid: Boolean;

This item has no description. Showing description inherited from ICefBinaryValue.IsValid.

Returns true (1) if this object is valid. This object may become invalid if the underlying data is owned by another object (e.g. list or dictionary) and that other object is then modified or destroyed. Do not call any other functions if this function returns false (0).

Protected function IsOwned: Boolean;

This item has no description. Showing description inherited from ICefBinaryValue.IsOwned.

Returns true (1) if this object is currently owned by another object.

Protected function IsSame(const that: ICefBinaryValue): Boolean;

This item has no description. Showing description inherited from ICefBinaryValue.IsSame.

Returns true (1) if this object and |that| object have the same underlying data.

Protected function IsEqual(const that: ICefBinaryValue): Boolean;

This item has no description. Showing description inherited from ICefBinaryValue.IsEqual.

Returns true (1) if this object and |that| object have an equivalent underlying value but are not necessarily the same object.

Protected function Copy: ICefBinaryValue;

This item has no description. Showing description inherited from ICefBinaryValue.Copy.

Returns a copy of this object. The data in this object will also be copied.

Protected function GetRawData: Pointer;

This item has no description. Showing description inherited from ICefBinaryValue.GetRawData.

Returns a pointer to the beginning of the memory block. The returned pointer is valid as long as the ICefBinaryValue is alive.

Protected function GetSize: NativeUInt;

This item has no description. Showing description inherited from ICefBinaryValue.GetSize.

Returns the data size.

Protected function GetData(buffer: Pointer; bufferSize, dataOffset: NativeUInt): NativeUInt;

This item has no description. Showing description inherited from ICefBinaryValue.GetData.

Read up to |buffer_size| number of bytes into |buffer|. Reading begins at the specified byte |data_offset|. Returns the number of bytes read.

Public constructor Create;

This item has no description.


cef4delphi: uCEFBitmapBitBuffer

Unit uCEFBitmapBitBuffer

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCEFBitmapBitBuffer | Class that stores a copy of the raw bitmap buffer sent by CEF in the TChromiumCore.OnPaint event.


cef4delphi: uCEFBitmapBitBuffer: Class TCEFBitmapBitBuffer

Class TCEFBitmapBitBuffer

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFBitmapBitBuffer

Declaration

type TCEFBitmapBitBuffer = class(TObject)

Description

Class that stores a copy of the raw bitmap buffer sent by CEF in the TChromiumCore.OnPaint event.

Hierarchy

  • TObject
  • TCEFBitmapBitBuffer

Overview

Fields

Protected | FBuffer: pointer;
Protected | FImageWidth: integer;
Protected | FImageHeight: integer;
Protected | FBufferWidth: integer;
Protected | FBufferHeight: integer;

Methods

Protected | function GetBufferScanlineSize: integer;
Protected | function GetScanlineSize: integer;
Protected | function GetBufferLength: integer;
Protected | function GetEmpty: boolean;
Protected | function GetScanline(y : integer) : PByte;
Protected | procedure CreateBuffer;
Protected | procedure DestroyBuffer;
Public | constructor Create(aWidth, aHeight : integer);
Public | destructor Destroy; override;
Public | procedure UpdateSize(aWidth, aHeight : integer);

Properties

Public | property Width : integer read FImageWidth;
Public | property Height : integer read FImageHeight;
Public | property BufferLength : integer read GetBufferLength;
Public | property Empty : boolean read GetEmpty;
Public | property Scanline[y: integer]: PByte read GetScanline;
Public | property ScanlineSize : integer read GetScanlineSize;
Public | property BufferScanlineSize : integer read GetBufferScanlineSize;
Public | property BufferBits : pointer read FBuffer;

Description

Fields

Protected FBuffer: pointer;

This item has no description.

Protected FImageWidth: integer;

This item has no description.

Protected FImageHeight: integer;

This item has no description.

Protected FBufferWidth: integer;

This item has no description.

Protected FBufferHeight: integer;

This item has no description.

Methods

Protected function GetBufferScanlineSize: integer;

This item has no description.

Protected function GetScanlineSize: integer;

This item has no description.

Protected function GetBufferLength: integer;

This item has no description.

Protected function GetEmpty: boolean;

This item has no description.

Protected function GetScanline(y : integer) : PByte;

This item has no description.

Protected procedure CreateBuffer;

This item has no description.

Protected procedure DestroyBuffer;

This item has no description.

Public constructor Create(aWidth, aHeight : integer);

This item has no description.

Public destructor Destroy; override;

This item has no description.

Public procedure UpdateSize(aWidth, aHeight : integer);

Updates the image size.

Properties

Public property Width : integer read FImageWidth;

Image width.

Public property Height : integer read FImageHeight;

Image height.

Public property BufferLength : integer read GetBufferLength;

Buffer length.

Public property Empty : boolean read GetEmpty;

Returns true if the buffer is empty.

Public property Scanline[y: integer]: PByte read GetScanline;

Returns a pointer to the first byte in of the Y scnaline.

Public property ScanlineSize : integer read GetScanlineSize;

Returns the scanline size.

Public property BufferScanlineSize : integer read GetBufferScanlineSize;

Returns the real buffer scanline size.

Public property BufferBits : pointer read FBuffer;

Returns a pointer to the buffer that stores the image.


cef4delphi: uCEFBoxLayout

Unit uCEFBoxLayout

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefBoxLayoutRef | A Layout manager that arranges child views vertically or horizontally in a side-by-side fashion with spacing around and between the child views. The child views are always sized according to their preferred size. If the host's bounds provide insufficient space, child views will be clamped. Excess space will not be distributed. Methods must be called on the browser process UI thread unless otherwise indicated.


cef4delphi: uCEFBoxLayout: Class TCefBoxLayoutRef

Class TCefBoxLayoutRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFBoxLayout

Declaration

type TCefBoxLayoutRef = class(TCefLayoutRef, ICefBoxLayout)

Description

A Layout manager that arranges child views vertically or horizontally in a side-by-side fashion with spacing around and between the child views. The child views are always sized according to their preferred size. If the host's bounds provide insufficient space, child views will be clamped. Excess space will not be distributed. Methods must be called on the browser process UI thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_box_layout_capi.h">CEF source file: /include/capi/views/cef_box_layout_capi.h (cef_box_layout_t))

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefLayoutRef
  • TCefBoxLayoutRef

Overview

Methods

Protected | procedure SetFlexForView(const view: ICefView; flex: Integer);
Protected | procedure ClearFlexForView(const view: ICefView);
Public | class function UnWrap(data: Pointer): ICefBoxLayout;

Description

Methods

Protected procedure SetFlexForView(const view: ICefView; flex: Integer);

Set the flex weight for the given |view|. Using the preferred size as the basis, free space along the main axis is distributed to views in the ratio of their flex weights. Similarly, if the views will overflow the parent, space is subtracted in these ratios. A flex of 0 means this view is not resized. Flex values must not be negative.

Protected procedure ClearFlexForView(const view: ICefView);

Clears the flex for the given |view|, causing it to use the default flex specified via TCefBoxLayoutSettings.default_flex.

Public class function UnWrap(data: Pointer): ICefBoxLayout;

Returns a ICefBoxLayout instance using a PCefBoxLayout data pointer.


cef4delphi: uCEFBrowser

Unit uCEFBrowser

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefBrowserRef |
Class TCefBrowserHostRef |


cef4delphi: uCEFBrowser: Class TCefBrowserRef

Class TCefBrowserRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFBrowser

Declaration

type TCefBrowserRef = class(TCefBaseRefCountedRef, ICefBrowser)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefBrowserRef

Overview

Methods

Protected | function IsValid: boolean;
Protected | function GetHost: ICefBrowserHost;
Protected | function CanGoBack: Boolean;
Protected | procedure GoBack;
Protected | function CanGoForward: Boolean;
Protected | procedure GoForward;
Protected | function IsLoading: Boolean;
Protected | procedure Reload;
Protected | procedure ReloadIgnoreCache;
Protected | procedure StopLoad;
Protected | function GetIdentifier: Integer;
Protected | function IsSame(const that: ICefBrowser): Boolean;
Protected | function IsPopup: Boolean;
Protected | function HasDocument: Boolean;
Protected | function GetMainFrame: ICefFrame;
Protected | function GetFocusedFrame: ICefFrame;
Protected | function GetFrameByIdentifier(const identifier: ustring): ICefFrame;
Protected | function GetFrameByName(const name: ustring): ICefFrame;
Protected | function GetFrameCount: NativeUInt;
Protected | function GetFrameIdentifiers(var aFrameIdentifiers : TStrings) : boolean;
Protected | function GetFrameNames(var aFrameNames : TStrings) : boolean;
Public | class function UnWrap(data: Pointer): ICefBrowser;

Description

Methods

Protected function IsValid: boolean;

This item has no description. Showing description inherited from ICefBrowser.IsValid.

True if this object is currently valid. This will return false (0) after ICefLifeSpanHandler.OnBeforeClose is called.

Protected function GetHost: ICefBrowserHost;

This item has no description. Showing description inherited from ICefBrowser.GetHost.

Returns the browser host object. This function can only be called in the browser process.

Protected function CanGoBack: Boolean;

This item has no description. Showing description inherited from ICefBrowser.CanGoBack.

Returns true (1) if the browser can navigate backwards.

Protected procedure GoBack;

This item has no description. Showing description inherited from ICefBrowser.GoBack.

Navigate backwards.

Protected function CanGoForward: Boolean;

This item has no description. Showing description inherited from ICefBrowser.CanGoForward.

Returns true (1) if the browser can navigate forwards.

Protected procedure GoForward;

This item has no description. Showing description inherited from ICefBrowser.GoForward.

Navigate forwards.

Protected function IsLoading: Boolean;

This item has no description. Showing description inherited from ICefBrowser.IsLoading.

Returns true (1) if the browser is currently loading.

Protected procedure Reload;

This item has no description. Showing description inherited from ICefBrowser.Reload.

Reload the current page.

Protected procedure ReloadIgnoreCache;

This item has no description. Showing description inherited from ICefBrowser.ReloadIgnoreCache.

Reload the current page ignoring any cached data.

Protected procedure StopLoad;

This item has no description. Showing description inherited from ICefBrowser.StopLoad.

Stop loading the page.

Protected function GetIdentifier: Integer;

This item has no description. Showing description inherited from ICefBrowser.GetIdentifier.

Returns the globally unique identifier for this browser. This value is also used as the tabId for extension APIs.

Protected function IsSame(const that: ICefBrowser): Boolean;

This item has no description. Showing description inherited from ICefBrowser.IsSame.

Returns true (1) if this object is pointing to the same handle as |that| object.

Protected function IsPopup: Boolean;

This item has no description. Showing description inherited from ICefBrowser.IsPopup.

Returns true (1) if the browser is a popup.

Protected function HasDocument: Boolean;

This item has no description. Showing description inherited from ICefBrowser.HasDocument.

Returns true (1) if a document has been loaded in the browser.

Protected function GetMainFrame: ICefFrame;

This item has no description. Showing description inherited from ICefBrowser.GetMainFrame.

Returns the main (top-level) frame for the browser. In the browser process this will return a valid object until after ICefLifeSpanHandler.OnBeforeClose is called. In the renderer process this will return NULL if the main frame is hosted in a different renderer process (e.g. for cross-origin sub-frames). The main frame object will change during cross-origin navigation or re-navigation after renderer process termination (due to crashes, etc).

Protected function GetFocusedFrame: ICefFrame;

This item has no description. Showing description inherited from ICefBrowser.GetFocusedFrame.

Returns the focused frame for the browser.

Protected function GetFrameByIdentifier(const identifier: ustring): ICefFrame;

This item has no description. Showing description inherited from ICefBrowser.GetFrameByIdentifier.

Returns the frame with the specified identifier, or NULL if not found.

Protected function GetFrameByName(const name: ustring): ICefFrame;

This item has no description. Showing description inherited from ICefBrowser.GetFrameByName.

Returns the frame with the specified name, or NULL if not found.

Protected function GetFrameCount: NativeUInt;

This item has no description. Showing description inherited from ICefBrowser.GetFrameCount.

Returns the number of frames that currently exist.

Protected function GetFrameIdentifiers(var aFrameIdentifiers : TStrings) : boolean;

This item has no description. Showing description inherited from ICefBrowser.GetFrameIdentifiers.

Returns the identifiers of all existing frames.

Protected function GetFrameNames(var aFrameNames : TStrings) : boolean;

This item has no description. Showing description inherited from ICefBrowser.GetFrameNames.

Returns the names of all existing frames.

Public class function UnWrap(data: Pointer): ICefBrowser;

This item has no description.


cef4delphi: uCEFBrowser: Class TCefBrowserHostRef

Class TCefBrowserHostRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFBrowser

Declaration

type TCefBrowserHostRef = class(TCefBaseRefCountedRef, ICefBrowserHost)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefBrowserHostRef

Overview

Methods

Protected | function GetBrowser: ICefBrowser;
Protected | procedure CloseBrowser(forceClose: Boolean);
Protected | function TryCloseBrowser: Boolean;
Protected | function IsReadyToBeClosed: Boolean;
Protected | procedure SetFocus(focus: Boolean);
Protected | function GetWindowHandle: TCefWindowHandle;
Protected | function GetOpenerWindowHandle: TCefWindowHandle;
Protected | function GetOpenerIdentifier: integer;
Protected | function HasView: Boolean;
Protected | function GetClient: ICefClient;
Protected | function GetRequestContext: ICefRequestContext;
Protected | function CanZoom(command: TCefZoomCommand): boolean;
Protected | procedure Zoom(command: TCefZoomCommand);
Protected | function GetDefaultZoomLevel: Double;
Protected | function GetZoomLevel: Double;
Protected | procedure SetZoomLevel(const zoomLevel: Double);
Protected | procedure RunFileDialog(mode: TCefFileDialogMode; const title, defaultFilePath: ustring; const acceptFilters: TStrings; const callback: ICefRunFileDialogCallback);
Protected | procedure RunFileDialogProc(mode: TCefFileDialogMode; const title, defaultFilePath: ustring; const acceptFilters: TStrings; const callback: TCefRunFileDialogCallbackProc);
Protected | procedure StartDownload(const url: ustring);
Protected | procedure DownloadImage(const imageUrl: ustring; isFavicon: Boolean; maxImageSize: Cardinal; bypassCache: Boolean; const callback: ICefDownloadImageCallback);
Protected | procedure DownloadImageProc(const imageUrl: ustring; isFavicon: Boolean; maxImageSize: Cardinal; bypassCache: Boolean; const callback: TOnDownloadImageFinishedProc);
Protected | procedure Print;
Protected | procedure PrintToPdf(const path: ustring; settings: PCefPdfPrintSettings; const callback: ICefPdfPrintCallback);
Protected | procedure PrintToPdfProc(const path: ustring; settings: PCefPdfPrintSettings; const callback: TOnPdfPrintFinishedProc);
Protected | procedure Find(const searchText: ustring; forward_, matchCase, findNext: Boolean);
Protected | procedure StopFinding(clearSelection: Boolean);
Protected | procedure ShowDevTools(const windowInfo: PCefWindowInfo; const client: ICefClient; const settings: PCefBrowserSettings; inspectElementAt: PCefPoint);
Protected | procedure CloseDevTools;
Protected | function HasDevTools: Boolean;
Protected | function SendDevToolsMessage(const message_: ustring): boolean;
Protected | function ExecuteDevToolsMethod(message_id: integer; const method: ustring; const params: ICefDictionaryValue): Integer;
Protected | function AddDevToolsMessageObserver(const observer: ICefDevToolsMessageObserver): ICefRegistration;
Protected | procedure GetNavigationEntries(const visitor: ICefNavigationEntryVisitor; currentOnly: Boolean);
Protected | procedure GetNavigationEntriesProc(const proc: TCefNavigationEntryVisitorProc; currentOnly: Boolean);
Protected | procedure ReplaceMisspelling(const word: ustring);
Protected | procedure AddWordToDictionary(const word: ustring);
Protected | function IsWindowRenderingDisabled: Boolean;
Protected | procedure WasResized;
Protected | procedure NotifyScreenInfoChanged;
Protected | procedure WasHidden(hidden: Boolean);
Protected | procedure Invalidate(type_: TCefPaintElementType);
Protected | procedure SendExternalBeginFrame;
Protected | procedure SendKeyEvent(const event: PCefKeyEvent);
Protected | procedure SendMouseClickEvent(const event: PCefMouseEvent; type_: TCefMouseButtonType; mouseUp: Boolean; clickCount: Integer);
Protected | procedure SendMouseMoveEvent(const event: PCefMouseEvent; mouseLeave: Boolean);
Protected | procedure SendMouseWheelEvent(const event: PCefMouseEvent; deltaX, deltaY: Integer);
Protected | procedure SendTouchEvent(const event: PCefTouchEvent);
Protected | procedure SendCaptureLostEvent;
Protected | procedure NotifyMoveOrResizeStarted;
Protected | function GetWindowlessFrameRate: Integer;
Protected | procedure SetWindowlessFrameRate(frameRate: Integer);
Protected | procedure IMESetComposition(const text: ustring; const underlines : TCefCompositionUnderlineDynArray; const replacement_range, selection_range : PCefRange);
Protected | procedure IMECommitText(const text: ustring; const replacement_range : PCefRange; relative_cursor_pos : integer);
Protected | procedure IMEFinishComposingText(keep_selection : boolean);
Protected | procedure IMECancelComposition;
Protected | procedure DragTargetDragEnter(const dragData: ICefDragData; const event: PCefMouseEvent; allowedOps: TCefDragOperations);
Protected | procedure DragTargetDragOver(const event: PCefMouseEvent; allowedOps: TCefDragOperations);
Protected | procedure DragTargetDragLeave;
Protected | procedure DragTargetDrop(const event: PCefMouseEvent);
Protected | procedure DragSourceEndedAt(x, y: Integer; op: TCefDragOperation);
Protected | procedure DragSourceSystemDragEnded;
Protected | function GetVisibleNavigationEntry: ICefNavigationEntry;
Protected | procedure SetAccessibilityState(accessibilityState: TCefState);
Protected | procedure SetAutoResizeEnabled(enabled: boolean; const min_size, max_size: PCefSize);
Protected | procedure SetAudioMuted(mute: boolean);
Protected | function IsAudioMuted: boolean;
Protected | function IsFullscreen: boolean;
Protected | procedure ExitFullscreen(will_cause_resize: boolean);
Protected | function CanExecuteChromeCommand(command_id: integer): boolean;
Protected | procedure ExecuteChromeCommand(command_id: integer; disposition: TCefWindowOpenDisposition);
Protected | function IsRenderProcessUnresponsive: boolean;
Protected | function GetRuntimeStyle: TCefRuntimeStyle;
Public | class function UnWrap(data: Pointer): ICefBrowserHost;

Description

Methods

Protected function GetBrowser: ICefBrowser;

This item has no description. Showing description inherited from ICefBrowserHost.GetBrowser.

Returns the hosted browser object.

Protected procedure CloseBrowser(forceClose: Boolean);

This item has no description. Showing description inherited from ICefBrowserHost.CloseBrowser.

Request that the browser close. Closing a browser is a multi-stage process that may complete either synchronously or asynchronously, and involves events such as TChromiumCore.OnClose (Alloy style only), TChromiumCore.OnBeforeClose, and a top-level window close handler such as TCEFWindowComponent.OnCanClose (or platform-specific equivalent). In some cases a close request may be delayed or canceled by the user. Using TryCloseBrowser() instead of CloseBrowser() is recommended for most use cases. See TChromiumCore.OnClose documentation for detailed usage and examples.

If |aForceClose| is false (0) then JavaScript unload handlers, if any, may be fired and the close may be delayed or canceled by the user. If |aForceClose| is true (1) then the user will not be prompted and the close will proceed immediately (possibly asynchronously). If browser close is delayed and not canceled the default behavior is to call the top-level window close handler once the browser is ready to be closed. This default behavior can be changed for Alloy style browsers by implementing TChromiumCore.OnClose. IsReadyToBeClosed() can be used to detect mandatory browser close events when customizing close behavior on the browser process UI thread.

Protected function TryCloseBrowser: Boolean;

This item has no description. Showing description inherited from ICefBrowserHost.TryCloseBrowser.

Helper for closing a browser. This is similar in behavior to CLoseBrowser(false) but returns a boolean to reflect the immediate close status. Call this function from a top-level window close handler such as TCEFWindowComponent.OnCanClose (or platform-specific equivalent) to request that the browser close, and return the result to indicate if the window close should proceed. Returns false (0) if the close will be delayed (JavaScript unload handlers triggered but still pending) or true (1) if the close will proceed immediately (possibly asynchronously). See CloseBrowser() documentation for additional usage information. This function must be called on the browser process UI thread.

Protected function IsReadyToBeClosed: Boolean;

This item has no description. Showing description inherited from ICefBrowserHost.IsReadyToBeClosed.

Returns true (1) if the browser is ready to be closed, meaning that the close has already been initiated and that JavaScript unload handlers have already executed or should be ignored. This can be used from a top-level window close handler such as TCEFWindowComponent.OnCanClose (or platform- specific equivalent) to distringuish between potentially cancelable browser close events (like the user clicking the top-level window close button before browser close has started) and mandatory browser close events (like JavaScript `window.close()` or after browser close has started in response to [Try]CloseBrowser()). Not completing the browser close for mandatory close events (when this function returns true (1)) will leave the browser in a partially closed state that interferes with proper functioning. See CloseBrowser() documentation for additional usage information. This function must be called on the browser process UI thread.

Protected procedure SetFocus(focus: Boolean);

This item has no description. Showing description inherited from ICefBrowserHost.SetFocus.

Set whether the browser is focused.

Protected function GetWindowHandle: TCefWindowHandle;

This item has no description. Showing description inherited from ICefBrowserHost.GetWindowHandle.

Retrieve the window handle (if any) for this browser. If this browser is wrapped in a ICefBrowserView this function should be called on the browser process UI thread and it will return the handle for the top-level native window.

Protected function GetOpenerWindowHandle: TCefWindowHandle;

This item has no description. Showing description inherited from ICefBrowserHost.GetOpenerWindowHandle.

Retrieve the window handle (if any) of the browser that opened this browser. Will return NULL for non-popup browsers or if this browser is wrapped in a ICefBrowserView. This function can be used in combination with custom handling of modal windows.

Protected function GetOpenerIdentifier: integer;

This item has no description. Showing description inherited from ICefBrowserHost.GetOpenerIdentifier.

Retrieve the unique identifier of the browser that opened this browser. Will return 0 for non-popup browsers.

Protected function HasView: Boolean;

This item has no description. Showing description inherited from ICefBrowserHost.HasView.

Returns true (1) if this browser is wrapped in a ICefBrowserView.

Protected function GetClient: ICefClient;

This item has no description. Showing description inherited from ICefBrowserHost.GetClient.

Returns the client for this browser.

Protected function GetRequestContext: ICefRequestContext;

This item has no description. Showing description inherited from ICefBrowserHost.GetRequestContext.

Returns the request context for this browser.

Protected function CanZoom(command: TCefZoomCommand): boolean;

This item has no description. Showing description inherited from ICefBrowserHost.CanZoom.

Returns true (1) if this browser can execute the specified zoom command. This function can only be called on the UI thread.

Protected procedure Zoom(command: TCefZoomCommand);

This item has no description. Showing description inherited from ICefBrowserHost.Zoom.

Execute a zoom command in this browser. If called on the UI thread the change will be applied immediately. Otherwise, the change will be applied asynchronously on the UI thread.

Protected function GetDefaultZoomLevel: Double;

This item has no description. Showing description inherited from ICefBrowserHost.GetDefaultZoomLevel.

Get the default zoom level. This value will be 0.0 by default but can be configured. This function can only be called on the UI thread.

Protected function GetZoomLevel: Double;

This item has no description. Showing description inherited from ICefBrowserHost.GetZoomLevel.

Get the current zoom level. This function can only be called on the UI thread.

Protected procedure SetZoomLevel(const zoomLevel: Double);

This item has no description. Showing description inherited from ICefBrowserHost.SetZoomLevel.

Change the zoom level to the specified value. Specify 0.0 to reset the zoom level to the default. If called on the UI thread the change will be applied immediately. Otherwise, the change will be applied asynchronously on the UI thread.

Protected procedure RunFileDialog(mode: TCefFileDialogMode; const title, defaultFilePath: ustring; const acceptFilters: TStrings; const callback: ICefRunFileDialogCallback);

This item has no description. Showing description inherited from ICefBrowserHost.RunFileDialog.

Call to run a file chooser dialog. Only a single file chooser dialog may be pending at any given time. |mode| represents the type of dialog to display. |title| to the title to be used for the dialog and may be NULL to show the default title ("Open" or "Save" depending on the mode). |default_file_path| is the path with optional directory and/or file name component that will be initially selected in the dialog. |accept_filters| are used to restrict the selectable file types and may any combination of (a) valid lower-cased MIME types (e.g. "text/*" or "image/*"), (b) individual file extensions (e.g. ".txt" or ".png"), or (c) combined description and file extension delimited using "|" and ";" (e.g. "Image Types|.png;.gif;.jpg"). |callback| will be executed after the dialog is dismissed or immediately if another dialog is already pending. The dialog will be initiated asynchronously on the UI thread.

Protected procedure RunFileDialogProc(mode: TCefFileDialogMode; const title, defaultFilePath: ustring; const acceptFilters: TStrings; const callback: TCefRunFileDialogCallbackProc);

This item has no description. Showing description inherited from ICefBrowserHost.RunFileDialogProc.

Call to run a file chooser dialog. Only a single file chooser dialog may be pending at any given time. |mode| represents the type of dialog to display. |title| to the title to be used for the dialog and may be NULL to show the default title ("Open" or "Save" depending on the mode). |default_file_path| is the path with optional directory and/or file name component that will be initially selected in the dialog. |accept_filters| are used to restrict the selectable file types and may any combination of (a) valid lower-cased MIME types (e.g. "text/*" or "image/*"), (b) individual file extensions (e.g. ".txt" or ".png"), or (c) combined description and file extension delimited using "|" and ";" (e.g. "Image Types|.png;.gif;.jpg"). |callback| will be executed after the dialog is dismissed or immediately if another dialog is already pending. The dialog will be initiated asynchronously on the UI thread.

Protected procedure StartDownload(const url: ustring);

This item has no description. Showing description inherited from ICefBrowserHost.StartDownload.

Download the file at |url| using ICefDownloadHandler.

Protected procedure DownloadImage(const imageUrl: ustring; isFavicon: Boolean; maxImageSize: Cardinal; bypassCache: Boolean; const callback: ICefDownloadImageCallback);

This item has no description. Showing description inherited from ICefBrowserHost.DownloadImage.

Download |image_url| and execute |callback| on completion with the images received from the renderer. If |is_favicon| is true (1) then cookies are not sent and not accepted during download. Images with density independent pixel (DIP) sizes larger than |max_image_size| are filtered out from the image results. Versions of the image at different scale factors may be downloaded up to the maximum scale factor supported by the system. If there are no image results <= |max_image_size| then the smallest image is resized to |max_image_size| and is the only result. A |max_image_size| of 0 means unlimited. If |bypass_cache| is true (1) then |image_url| is requested from the server even if it is present in the browser cache.

Protected procedure DownloadImageProc(const imageUrl: ustring; isFavicon: Boolean; maxImageSize: Cardinal; bypassCache: Boolean; const callback: TOnDownloadImageFinishedProc);

This item has no description.

Protected procedure Print;

This item has no description. Showing description inherited from ICefBrowserHost.Print.

Print the current browser contents.

Protected procedure PrintToPdf(const path: ustring; settings: PCefPdfPrintSettings; const callback: ICefPdfPrintCallback);

This item has no description. Showing description inherited from ICefBrowserHost.PrintToPdf.

Print the current browser contents to the PDF file specified by |path| and execute |callback| on completion. The caller is responsible for deleting |path| when done. For PDF printing to work on Linux you must implement the ICefPrintHandler.GetPdfPaperSize function.

Protected procedure PrintToPdfProc(const path: ustring; settings: PCefPdfPrintSettings; const callback: TOnPdfPrintFinishedProc);

This item has no description. Showing description inherited from ICefBrowserHost.PrintToPdfProc.

Print the current browser contents to the PDF file specified by |path| and execute |callback| on completion. The caller is responsible for deleting |path| when done. For PDF printing to work on Linux you must implement the ICefPrintHandler.GetPdfPaperSize function.

Protected procedure Find(const searchText: ustring; forward_, matchCase, findNext: Boolean);

This item has no description. Showing description inherited from ICefBrowserHost.Find.

Search for |searchText|. |forward| indicates whether to search forward or backward within the page. |matchCase| indicates whether the search should be case-sensitive. |findNext| indicates whether this is the first request or a follow-up. The search will be restarted if |searchText| or |matchCase| change. The search will be stopped if |searchText| is NULL. The ICefFindHandler instance, if any, returned via ICefClient.GetFindHandler will be called to report find results.

Protected procedure StopFinding(clearSelection: Boolean);

This item has no description. Showing description inherited from ICefBrowserHost.StopFinding.

Cancel all searches that are currently going on.

Protected procedure ShowDevTools(const windowInfo: PCefWindowInfo; const client: ICefClient; const settings: PCefBrowserSettings; inspectElementAt: PCefPoint);

This item has no description. Showing description inherited from ICefBrowserHost.ShowDevTools.

Open developer tools (DevTools) in its own browser. The DevTools browser will remain associated with this browser. If the DevTools browser is already open then it will be focused, in which case the |windowInfo|, |client| and |settings| parameters will be ignored. If |inspectElementAt| is non-NULL then the element at the specified (x,y) location will be inspected. The |windowInfo| parameter will be ignored if this browser is wrapped in a ICefBrowserView.

Protected procedure CloseDevTools;

This item has no description. Showing description inherited from ICefBrowserHost.CloseDevTools.

Explicitly close the associated DevTools browser, if any.

Protected function HasDevTools: Boolean;

This item has no description. Showing description inherited from ICefBrowserHost.HasDevTools.

Returns true (1) if this browser currently has an associated DevTools browser. Must be called on the browser process UI thread.

Protected function SendDevToolsMessage(const message_: ustring): boolean;

This item has no description. Showing description inherited from ICefBrowserHost.SendDevToolsMessage.

Send a function call message over the DevTools protocol. |message| must be a UTF8-encoded JSON dictionary that contains "id" (int), "function" (string) and "params" (dictionary, optional) values. See the DevTools protocol documentation at https://chromedevtools.github.io/devtools- protocol/ for details of supported functions and the expected "params" dictionary contents. |message| will be copied if necessary. This function will return true (1) if called on the UI thread and the message was successfully submitted for validation, otherwise false (0). Validation will be applied asynchronously and any messages that fail due to formatting errors or missing parameters may be discarded without notification. Prefer ExecuteDevToolsMethod if a more structured approach to message formatting is desired.

Every valid function call will result in an asynchronous function result or error message that references the sent message "id". Event messages are received while notifications are enabled (for example, between function calls for "Page.enable" and "Page.disable"). All received messages will be delivered to the observer(s) registered with AddDevToolsMessageObserver. See ICefDevToolsMessageObserver.OnDevToolsMessage documentation for details of received message contents.

Usage of the SendDevToolsMessage, ExecuteDevToolsMethod and AddDevToolsMessageObserver functions does not require an active DevTools front-end or remote-debugging session. Other active DevTools sessions will continue to function independently. However, any modification of global browser state by one session may not be reflected in the UI of other sessions.

Communication with the DevTools front-end (when displayed) can be logged for development purposes by passing the `–devtools-protocol-log- file=<path>` command-line flag.

Protected function ExecuteDevToolsMethod(message_id: integer; const method: ustring; const params: ICefDictionaryValue): Integer;

This item has no description. Showing description inherited from ICefBrowserHost.ExecuteDevToolsMethod.

Execute a function call over the DevTools protocol. This is a more structured version of SendDevToolsMessage. |message_id| is an incremental number that uniquely identifies the message (pass 0 to have the next number assigned automatically based on previous values). |function| is the function name. |params| are the function parameters, which may be NULL. See the DevTools protocol documentation (linked above) for details of supported functions and the expected |params| dictionary contents. This function will return the assigned message ID if called on the UI thread and the message was successfully submitted for validation, otherwise 0. See the SendDevToolsMessage documentation for additional usage information.

Protected function AddDevToolsMessageObserver(const observer: ICefDevToolsMessageObserver): ICefRegistration;

This item has no description. Showing description inherited from ICefBrowserHost.AddDevToolsMessageObserver.

Add an observer for DevTools protocol messages (function results and events). The observer will remain registered until the returned Registration object is destroyed. See the SendDevToolsMessage documentation for additional usage information.

Protected procedure GetNavigationEntries(const visitor: ICefNavigationEntryVisitor; currentOnly: Boolean);

This item has no description. Showing description inherited from ICefBrowserHost.GetNavigationEntries.

Retrieve a snapshot of current navigation entries as values sent to the specified visitor. If |current_only| is true (1) only the current navigation entry will be sent, otherwise all navigation entries will be sent.

Protected procedure GetNavigationEntriesProc(const proc: TCefNavigationEntryVisitorProc; currentOnly: Boolean);

This item has no description. Showing description inherited from ICefBrowserHost.GetNavigationEntriesProc.

Retrieve a snapshot of current navigation entries as values sent to the specified visitor. If |current_only| is true (1) only the current navigation entry will be sent, otherwise all navigation entries will be sent.

Protected procedure ReplaceMisspelling(const word: ustring);

This item has no description. Showing description inherited from ICefBrowserHost.ReplaceMisspelling.

If a misspelled word is currently selected in an editable node calling this function will replace it with the specified |word|.

Protected procedure AddWordToDictionary(const word: ustring);

This item has no description. Showing description inherited from ICefBrowserHost.AddWordToDictionary.

Add the specified |word| to the spelling dictionary.

Protected function IsWindowRenderingDisabled: Boolean;

This item has no description. Showing description inherited from ICefBrowserHost.IsWindowRenderingDisabled.

Returns true (1) if window rendering is disabled.

Protected procedure WasResized;

This item has no description. Showing description inherited from ICefBrowserHost.WasResized.

Notify the browser that the widget has been resized. The browser will first call ICefRenderHandler.GetViewRect to get the new size and then call ICefRenderHandler.OnPaint asynchronously with the updated regions. This function is only used when window rendering is disabled.

Protected procedure NotifyScreenInfoChanged;

This item has no description. Showing description inherited from ICefBrowserHost.NotifyScreenInfoChanged.

Notify the browser that screen information has changed. Updated information will be sent to the renderer process to configure screen size and position values used by CSS and JavaScript (window.deviceScaleFactor, window.screenX/Y, window.outerWidth/Height, etc.). For background see https://bitbucket.org/chromiumembedded/cef/wiki/GeneralUsage.md#markdown- header-coordinate-systems

This function is used with (a) windowless rendering and (b) windowed rendering with external (client-provided) root window.

With windowless rendering the browser will call ICefRenderHandler.GetScreenInfo, ICefRenderHandler.GetRootScreenRect and ICefRenderHandler.GetViewRect. This simulates moving or resizing the root window in the current display, moving the root window from one display to another, or changing the properties of the current display.

With windowed rendering the browser will call ICefDisplayHandler.GetRootWindowScreenRect and use the associated display properties.

Protected procedure WasHidden(hidden: Boolean);

This item has no description. Showing description inherited from ICefBrowserHost.WasHidden.

Notify the browser that it has been hidden or shown. Layouting and ICefRenderHandler.OnPaint notification will stop when the browser is hidden. This function is only used when window rendering is disabled.

Protected procedure Invalidate(type_: TCefPaintElementType);

This item has no description. Showing description inherited from ICefBrowserHost.Invalidate.

Invalidate the view. The browser will call ICefRenderHandler.OnPaint asynchronously. This function is only used when window rendering is disabled.

Protected procedure SendExternalBeginFrame;

This item has no description. Showing description inherited from ICefBrowserHost.SendExternalBeginFrame.

Issue a BeginFrame request to Chromium. Only valid when TCefWindowInfo.external_begin_frame_enabled is set to true (1).

Protected procedure SendKeyEvent(const event: PCefKeyEvent);

This item has no description. Showing description inherited from ICefBrowserHost.SendKeyEvent.

Send a key event to the browser.

Protected procedure SendMouseClickEvent(const event: PCefMouseEvent; type_: TCefMouseButtonType; mouseUp: Boolean; clickCount: Integer);

This item has no description. Showing description inherited from ICefBrowserHost.SendMouseClickEvent.

Send a mouse click event to the browser. The |x| and |y| coordinates are relative to the upper-left corner of the view.

Protected procedure SendMouseMoveEvent(const event: PCefMouseEvent; mouseLeave: Boolean);

This item has no description. Showing description inherited from ICefBrowserHost.SendMouseMoveEvent.

Send a mouse move event to the browser. The |x| and |y| coordinates are relative to the upper-left corner of the view.

Protected procedure SendMouseWheelEvent(const event: PCefMouseEvent; deltaX, deltaY: Integer);

This item has no description. Showing description inherited from ICefBrowserHost.SendMouseWheelEvent.

Send a mouse wheel event to the browser. The |x| and |y| coordinates are relative to the upper-left corner of the view. The |deltaX| and |deltaY| values represent the movement delta in the X and Y directions respectively. In order to scroll inside select popups with window rendering disabled ICefRenderHandler.GetScreenPoint should be implemented properly.

Protected procedure SendTouchEvent(const event: PCefTouchEvent);

This item has no description. Showing description inherited from ICefBrowserHost.SendTouchEvent.

Send a touch event to the browser for a windowless browser.

Protected procedure SendCaptureLostEvent;

This item has no description. Showing description inherited from ICefBrowserHost.SendCaptureLostEvent.

Send a capture lost event to the browser.

Protected procedure NotifyMoveOrResizeStarted;

This item has no description. Showing description inherited from ICefBrowserHost.NotifyMoveOrResizeStarted.

Notify the browser that the window hosting it is about to be moved or resized. This function is only used on Windows and Linux.

Protected function GetWindowlessFrameRate: Integer;

This item has no description. Showing description inherited from ICefBrowserHost.GetWindowlessFrameRate.

Returns the maximum rate in frames per second (fps) that ICefRenderHandler.OnPaint will be called for a windowless browser. The actual fps may be lower if the browser cannot generate frames at the requested rate. The minimum value is 1 and the maximum value is 60 (default 30). This function can only be called on the UI thread.

Protected procedure SetWindowlessFrameRate(frameRate: Integer);

This item has no description. Showing description inherited from ICefBrowserHost.SetWindowlessFrameRate.

Set the maximum rate in frames per second (fps) that ICefRenderHandler.OnPaint will be called for a windowless browser. The actual fps may be lower if the browser cannot generate frames at the requested rate. The minimum value is 1 and the maximum value is 60 (default 30). Can also be set at browser creation via TCefBrowserSettings.windowless_frame_rate.

Protected procedure IMESetComposition(const text: ustring; const underlines : TCefCompositionUnderlineDynArray; const replacement_range, selection_range : PCefRange);

This item has no description. Showing description inherited from ICefBrowserHost.IMESetComposition.

Begins a new composition or updates the existing composition. Blink has a special node (a composition node) that allows the input function to change text without affecting other DOM nodes. |text| is the optional text that will be inserted into the composition node. |underlines| is an optional set of ranges that will be underlined in the resulting text. |replacement_range| is an optional range of the existing text that will be replaced. |selection_range| is an optional range of the resulting text that will be selected after insertion or replacement. The |replacement_range| value is only used on OS X.

This function may be called multiple times as the composition changes. When the client is done making changes the composition should either be canceled or completed. To cancel the composition call ImeCancelComposition. To complete the composition call either ImeCommitText or ImeFinishComposingText. Completion is usually signaled when:

1. The client receives a WM_IME_COMPOSITION message with a GCS_RESULTSTR flag (on Windows), or; 2. The client receives a "commit" signal of GtkIMContext (on Linux), or; 3. insertText of NSTextInput is called (on Mac).

This function is only used when window rendering is disabled.

Protected procedure IMECommitText(const text: ustring; const replacement_range : PCefRange; relative_cursor_pos : integer);

This item has no description. Showing description inherited from ICefBrowserHost.IMECommitText.

Completes the existing composition by optionally inserting the specified |text| into the composition node. |replacement_range| is an optional range of the existing text that will be replaced. |relative_cursor_pos| is where the cursor will be positioned relative to the current cursor position. See comments on ImeSetComposition for usage. The |replacement_range| and |relative_cursor_pos| values are only used on OS X. This function is only used when window rendering is disabled.

Protected procedure IMEFinishComposingText(keep_selection : boolean);

This item has no description. Showing description inherited from ICefBrowserHost.IMEFinishComposingText.

Completes the existing composition by applying the current composition node contents. If |keep_selection| is false (0) the current selection, if any, will be discarded. See comments on ImeSetComposition for usage. This function is only used when window rendering is disabled.

Protected procedure IMECancelComposition;

This item has no description. Showing description inherited from ICefBrowserHost.IMECancelComposition.

Cancels the existing composition and discards the composition node contents without applying them. See comments on ImeSetComposition for usage. This function is only used when window rendering is disabled.

Protected procedure DragTargetDragEnter(const dragData: ICefDragData; const event: PCefMouseEvent; allowedOps: TCefDragOperations);

This item has no description. Showing description inherited from ICefBrowserHost.DragTargetDragEnter.

Call this function when the user drags the mouse into the web view (before calling DragTargetDragOver/DragTargetLeave/DragTargetDrop). |drag_data| should not contain file contents as this type of data is not allowed to be dragged into the web view. File contents can be removed using ICefDragData.ResetFileContents (for example, if |drag_data| comes from ICefRenderHandler.StartDragging). This function is only used when window rendering is disabled.

Protected procedure DragTargetDragOver(const event: PCefMouseEvent; allowedOps: TCefDragOperations);

This item has no description. Showing description inherited from ICefBrowserHost.DragTargetDragOver.

Call this function each time the mouse is moved across the web view during a drag operation (after calling DragTargetDragEnter and before calling DragTargetDragLeave/DragTargetDrop). This function is only used when window rendering is disabled.

Protected procedure DragTargetDragLeave;

This item has no description. Showing description inherited from ICefBrowserHost.DragTargetDragLeave.

Call this function when the user drags the mouse out of the web view (after calling DragTargetDragEnter). This function is only used when window rendering is disabled.

Protected procedure DragTargetDrop(const event: PCefMouseEvent);

This item has no description. Showing description inherited from ICefBrowserHost.DragTargetDrop.

Call this function when the user completes the drag operation by dropping the object onto the web view (after calling DragTargetDragEnter). The object being dropped is |drag_data|, given as an argument to the previous DragTargetDragEnter call. This function is only used when window rendering is disabled.

Protected procedure DragSourceEndedAt(x, y: Integer; op: TCefDragOperation);

This item has no description. Showing description inherited from ICefBrowserHost.DragSourceEndedAt.

Call this function when the drag operation started by a ICefRenderHandler.StartDragging call has ended either in a drop or by being cancelled. |x| and |y| are mouse coordinates relative to the upper- left corner of the view. If the web view is both the drag source and the drag target then all DragTarget* functions should be called before DragSource* mthods. This function is only used when window rendering is disabled.

Protected procedure DragSourceSystemDragEnded;

This item has no description. Showing description inherited from ICefBrowserHost.DragSourceSystemDragEnded.

Call this function when the drag operation started by a ICefRenderHandler.StartDragging call has completed. This function may be called immediately without first calling DragSourceEndedAt to cancel a drag operation. If the web view is both the drag source and the drag target then all DragTarget* functions should be called before DragSource* mthods. This function is only used when window rendering is disabled.

Protected function GetVisibleNavigationEntry: ICefNavigationEntry;

This item has no description. Showing description inherited from ICefBrowserHost.GetVisibleNavigationEntry.

Returns the current visible navigation entry for this browser. This function can only be called on the UI thread.

Protected procedure SetAccessibilityState(accessibilityState: TCefState);

This item has no description. Showing description inherited from ICefBrowserHost.SetAccessibilityState.

Set accessibility state for all frames. |accessibility_state| may be default, enabled or disabled. If |accessibility_state| is STATE_DEFAULT then accessibility will be disabled by default and the state may be further controlled with the "force-renderer-accessibility" and "disable- renderer-accessibility" command-line switches. If |accessibility_state| is STATE_ENABLED then accessibility will be enabled. If |accessibility_state| is STATE_DISABLED then accessibility will be completely disabled.

For windowed browsers accessibility will be enabled in Complete mode (which corresponds to kAccessibilityModeComplete in Chromium). In this mode all platform accessibility objects will be created and managed by Chromium's internal implementation. The client needs only to detect the screen reader and call this function appropriately. For example, on macOS the client can handle the @"AXEnhancedUserStructure" accessibility attribute to detect VoiceOver state changes and on Windows the client can handle WM_GETOBJECT with OBJID_CLIENT to detect accessibility readers.

For windowless browsers accessibility will be enabled in TreeOnly mode (which corresponds to kAccessibilityModeWebContentsOnly in Chromium). In this mode renderer accessibility is enabled, the full tree is computed, and events are passed to CefAccessibiltyHandler, but platform accessibility objects are not created. The client may implement platform accessibility objects using CefAccessibiltyHandler callbacks if desired.

Protected procedure SetAutoResizeEnabled(enabled: boolean; const min_size, max_size: PCefSize);

This item has no description. Showing description inherited from ICefBrowserHost.SetAutoResizeEnabled.

Enable notifications of auto resize via ICefDisplayHandler.OnAutoResize. Notifications are disabled by default. |min_size| and |max_size| define the range of allowed sizes.

Protected procedure SetAudioMuted(mute: boolean);

This item has no description. Showing description inherited from ICefBrowserHost.SetAudioMuted.

Set whether the browser's audio is muted.

Protected function IsAudioMuted: boolean;

This item has no description. Showing description inherited from ICefBrowserHost.IsAudioMuted.

Returns true (1) if the browser's audio is muted. This function can only be called on the UI thread.

Protected function IsFullscreen: boolean;

This item has no description. Showing description inherited from ICefBrowserHost.IsFullscreen.

Returns true (1) if the renderer is currently in browser fullscreen. This differs from window fullscreen in that browser fullscreen is entered using the JavaScript Fullscreen API and modifies CSS attributes such as the ::backdrop pseudo-element and :fullscreen pseudo-structure. This function can only be called on the UI thread.

Protected procedure ExitFullscreen(will_cause_resize: boolean);

This item has no description. Showing description inherited from ICefBrowserHost.ExitFullscreen.

Requests the renderer to exit browser fullscreen. In most cases exiting window fullscreen should also exit browser fullscreen. With Alloy style this function should be called in response to a user action such as clicking the green traffic light button on MacOS (ICefWindowDelegate.OnWindowFullscreenTransition callback) or pressing the "ESC" key (ICefKeyboardHandler.OnPreKeyEvent callback). With Chrome style these standard exit actions are handled internally but new/additional user actions can use this function. Set |will_cause_resize| to true (1) if exiting browser fullscreen will cause a view resize.

Protected function CanExecuteChromeCommand(command_id: integer): boolean;

This item has no description. Showing description inherited from ICefBrowserHost.CanExecuteChromeCommand.

Returns true (1) if a Chrome command is supported and enabled. Use the cef_id_for_command_id_name() function for version-safe mapping of command IDC names from cef_command_ids.h to version-specific numerical |command_id| values. This function can only be called on the UI thread. Only used with Chrome style.

See the IDC_* constants in uCEFConstants.pas for all the |command_id| values.

<see href="https://source.chromium.org/chromium/chromium/src/+/main:chrome/app/chrome_command_ids.h">The command_id values are also available in chrome/app/chrome_command_ids.h)

Protected procedure ExecuteChromeCommand(command_id: integer; disposition: TCefWindowOpenDisposition);

This item has no description. Showing description inherited from ICefBrowserHost.ExecuteChromeCommand.

Returns true (1) if a Chrome command is supported and enabled. Use the cef_id_for_command_id_name() function for version-safe mapping of command IDC names from cef_command_ids.h to version-specific numerical |command_id| values. This function can only be called on the UI thread. Only used with Chrome style.

See the IDC_* constants in uCEFConstants.pas for all the |command_id| values.

<see href="https://source.chromium.org/chromium/chromium/src/+/main:chrome/app/chrome_command_ids.h">The command_id values are also available in chrome/app/chrome_command_ids.h)

Protected function IsRenderProcessUnresponsive: boolean;

This item has no description. Showing description inherited from ICefBrowserHost.IsRenderProcessUnresponsive.

Returns true (1) if the render process associated with this browser is currently unresponsive as indicated by a lack of input event processing for at least 15 seconds. To receive associated state change notifications and optionally handle an unresponsive render process implement ICefRequestHandler.OnRenderProcessUnresponsive.

This function can only be called on the CEF UI thread.

Protected function GetRuntimeStyle: TCefRuntimeStyle;

This item has no description. Showing description inherited from ICefBrowserHost.GetRuntimeStyle.

Returns the runtime style for this browser (ALLOY or CHROME). See TCefRuntimeStyle documentation for details.

This function can only be called on the CEF UI thread.

Public class function UnWrap(data: Pointer): ICefBrowserHost;

This item has no description.


cef4delphi: uCEFBrowserBitmap

Unit uCEFBrowserBitmap

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCEFBrowserBitmap |


cef4delphi: uCEFBrowserBitmap: Class TCEFBrowserBitmap

Class TCEFBrowserBitmap

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFBrowserBitmap

Declaration

type TCEFBrowserBitmap = class(TBitmap)

Description

This item has no description.

Hierarchy

  • TBitmap
  • TCEFBrowserBitmap

Overview

Fields

Protected | FScanlineSize: integer;
Protected | FDeviceScaleFactor: single;
Protected | FSyncObj: THandle;

Methods

Protected | function GetBufferBits: pointer;
Protected | procedure CreateSyncObj;
Protected | procedure DestroySyncObj;
Public | constructor Create; override;
Public | destructor Destroy; override;
Public | function BeginDraw: boolean;
Public | procedure EndDraw;
Public | function UpdateDimensions(aWidth, aHeight : integer) : boolean;
Public | procedure BufferDraw(const aBitmap : TBitmap; const aSrcRect, aDstRect : TRect);

Properties

Public | property ScanlineSize : integer read FScanlineSize;
Public | property BufferBits : pointer read GetBufferBits;
Public | property DeviceScaleFactor : single read FDeviceScaleFactor write FDeviceScaleFactor;

Description

Fields

Protected FScanlineSize: integer;

This item has no description.

Protected FDeviceScaleFactor: single;

This item has no description.

Protected FSyncObj: THandle;

This item has no description.

Methods

Protected function GetBufferBits: pointer;

This item has no description.

Protected procedure CreateSyncObj;

This item has no description.

Protected procedure DestroySyncObj;

This item has no description.

Public constructor Create; override;

This item has no description.

Public destructor Destroy; override;

This item has no description.

Public function BeginDraw: boolean;

This item has no description.

Public procedure EndDraw;

This item has no description.

Public function UpdateDimensions(aWidth, aHeight : integer) : boolean;

This item has no description.

Public procedure BufferDraw(const aBitmap : TBitmap; const aSrcRect, aDstRect : TRect);

This item has no description.

Properties

Public property ScanlineSize : integer read FScanlineSize;

This item has no description.

Public property BufferBits : pointer read GetBufferBits;

This item has no description.

Public property DeviceScaleFactor : single read FDeviceScaleFactor write FDeviceScaleFactor;

This item has no description.


cef4delphi: uCEFBrowserProcessHandler

Unit uCEFBrowserProcessHandler

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefBrowserProcessHandlerOwn |
Class TCefCustomBrowserProcessHandler |


cef4delphi: uCEFBrowserProcessHandler: Class TCefBrowserProcessHandlerOwn

Class TCefBrowserProcessHandlerOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFBrowserProcessHandler

Declaration

type TCefBrowserProcessHandlerOwn = class(TCefBaseRefCountedOwn, ICefBrowserProcessHandler)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefBrowserProcessHandlerOwn

Overview

Methods

Protected | procedure OnRegisterCustomPreferences(type_: TCefPreferencesType; registrar: PCefPreferenceRegistrar); virtual; abstract;
Protected | procedure OnContextInitialized; virtual; abstract;
Protected | procedure OnBeforeChildProcessLaunch(const commandLine: ICefCommandLine); virtual; abstract;
Protected | procedure OnAlreadyRunningAppRelaunch(const commandLine: ICefCommandLine; const current_directory: ustring; var aResult: boolean); virtual; abstract;
Protected | procedure OnScheduleMessagePumpWork(const delayMs: Int64); virtual; abstract;
Protected | procedure GetDefaultClient(var aClient : ICefClient); virtual;
Protected | procedure GetDefaultRequestContextHandler(var aRequestContextHandler : ICefRequestContextHandler); virtual;
Protected | procedure RemoveReferences; virtual; abstract;
Public | constructor Create; virtual;

Description

Methods

Protected procedure OnRegisterCustomPreferences(type_: TCefPreferencesType; registrar: PCefPreferenceRegistrar); virtual; abstract;

This item has no description. Showing description inherited from ICefBrowserProcessHandler.OnRegisterCustomPreferences.

Provides an opportunity to register custom preferences prior to global and request context initialization.

If |type| is CEF_PREFERENCES_TYPE_GLOBAL the registered preferences can be accessed via ICefPreferenceManager.GetGlobalPreferences after OnContextInitialized is called. Global preferences are registered a single time at application startup. See related TCefSettings.cache_path configuration.

If |type| is CEF_PREFERENCES_TYPE_REQUEST_CONTEXT the preferences can be accessed via the ICefRequestContext after ICefRequestContextHandler.OnRequestContextInitialized is called. Request context preferences are registered each time a new ICefRequestContext is created. It is intended but not required that all request contexts have the same registered preferences. See related TCefRequestContextSettings.cache_path configuration.

Do not keep a reference to the |registrar| object. This function is called on the browser process UI thread.

Protected procedure OnContextInitialized; virtual; abstract;

This item has no description. Showing description inherited from ICefBrowserProcessHandler.OnContextInitialized.

Called on the browser process UI thread immediately after the CEF context has been initialized.

Protected procedure OnBeforeChildProcessLaunch(const commandLine: ICefCommandLine); virtual; abstract;

This item has no description. Showing description inherited from ICefBrowserProcessHandler.OnBeforeChildProcessLaunch.

Called before a child process is launched. Will be called on the browser process UI thread when launching a render process and on the browser process IO thread when launching a GPU process. Provides an opportunity to modify the child process command line. Do not keep a reference to |command_line| outside of this function.

Protected procedure OnAlreadyRunningAppRelaunch(const commandLine: ICefCommandLine; const current_directory: ustring; var aResult: boolean); virtual; abstract;

This item has no description. Showing description inherited from ICefBrowserProcessHandler.OnAlreadyRunningAppRelaunch.

Implement this function to provide app-specific behavior when an already running app is relaunched with the same TCefSettings.root_cache_path value. For example, activate an existing app window or create a new app window. |command_line| will be read-only. Do not keep a reference to |command_line| outside of this function. Return true (1) if the relaunch is handled or false (0) for default relaunch behavior. Default behavior will create a new default styled Chrome window.

To avoid cache corruption only a single app instance is allowed to run for a given TCefSettings.root_cache_path value. On relaunch the app checks a process singleton lock and then forwards the new launch arguments to the already running app process before exiting early. Client apps should therefore check the cef_initialize() return value for early exit before proceeding.

This function will be called on the browser process UI thread.

Protected procedure OnScheduleMessagePumpWork(const delayMs: Int64); virtual; abstract;

This item has no description. Showing description inherited from ICefBrowserProcessHandler.OnScheduleMessagePumpWork.

Called from any thread when work has been scheduled for the browser process main (UI) thread. This callback is used in combination with TCefSettings.external_message_pump and GlobalCEFApp.DoMessageLoopWork in cases where the CEF message loop must be integrated into an existing application message loop (see additional comments and warnings on GlobalCEFApp.DoMessageLoopWork). This callback should schedule a GlobalCEFApp.DoMessageLoopWork call to happen on the main (UI) thread. |delay_ms| is the requested delay in milliseconds. If |delay_ms| is <= 0 then the call should happen reasonably soon. If |delay_ms| is > 0 then the call should be scheduled to happen after the specified delay and any currently pending scheduled call should be cancelled.

Protected procedure GetDefaultClient(var aClient : ICefClient); virtual;

This item has no description. Showing description inherited from ICefBrowserProcessHandler.GetDefaultClient.

Return the default client for use with a newly created browser window (TCefBrowser object). If null is returned the TCefBrowser will be unmanaged (no callbacks will be executed for that TCefBrowser) and application shutdown will be blocked until the browser window is closed manually. This function is currently only used with Chrome style when creating new browser windows via Chrome UI.

Protected procedure GetDefaultRequestContextHandler(var aRequestContextHandler : ICefRequestContextHandler); virtual;

This item has no description. Showing description inherited from ICefBrowserProcessHandler.GetDefaultRequestContextHandler.

Return the default handler for use with a new user or incognito profile (TCefRequestContext object). If null is returned the TCefRequestContext will be unmanaged (no callbacks will be executed for that TCefRequestContext). This function is currently only used with Chrome style when creating new browser windows via Chrome UI.

Protected procedure RemoveReferences; virtual; abstract;

This item has no description. Showing description inherited from ICefBrowserProcessHandler.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFBrowserProcessHandler: Class TCefCustomBrowserProcessHandler

Class TCefCustomBrowserProcessHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFBrowserProcessHandler

Declaration

type TCefCustomBrowserProcessHandler = class(TCefBrowserProcessHandlerOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefBrowserProcessHandlerOwn
  • TCefCustomBrowserProcessHandler

Overview

Fields

Protected FCefApp: TCefApplicationCore;

Methods

Protected | procedure OnRegisterCustomPreferences(type_: TCefPreferencesType; registrar: PCefPreferenceRegistrar); override;
Protected | procedure OnContextInitialized; override;
Protected | procedure OnBeforeChildProcessLaunch(const commandLine: ICefCommandLine); override;
Protected | procedure OnAlreadyRunningAppRelaunch(const commandLine: ICefCommandLine; const current_directory: ustring; var aResult: boolean); override;
Protected | procedure OnScheduleMessagePumpWork(const delayMs: Int64); override;
Protected | procedure GetDefaultClient(var aClient : ICefClient); override;
Protected | procedure GetDefaultRequestContextHandler(var aRequestContextHandler : ICefRequestContextHandler); override;
Protected | procedure RemoveReferences; override;
Public | constructor Create(const aCefApp : TCefApplicationCore); reintroduce;
Public | destructor Destroy; override;

Description

Fields

Protected FCefApp: TCefApplicationCore;

This item has no description.

Methods

Protected procedure OnRegisterCustomPreferences(type_: TCefPreferencesType; registrar: PCefPreferenceRegistrar); override;

This item has no description. Showing description inherited from ICefBrowserProcessHandler.OnRegisterCustomPreferences.

Provides an opportunity to register custom preferences prior to global and request context initialization.

If |type| is CEF_PREFERENCES_TYPE_GLOBAL the registered preferences can be accessed via ICefPreferenceManager.GetGlobalPreferences after OnContextInitialized is called. Global preferences are registered a single time at application startup. See related TCefSettings.cache_path configuration.

If |type| is CEF_PREFERENCES_TYPE_REQUEST_CONTEXT the preferences can be accessed via the ICefRequestContext after ICefRequestContextHandler.OnRequestContextInitialized is called. Request context preferences are registered each time a new ICefRequestContext is created. It is intended but not required that all request contexts have the same registered preferences. See related TCefRequestContextSettings.cache_path configuration.

Do not keep a reference to the |registrar| object. This function is called on the browser process UI thread.

Protected procedure OnContextInitialized; override;

This item has no description. Showing description inherited from ICefBrowserProcessHandler.OnContextInitialized.

Called on the browser process UI thread immediately after the CEF context has been initialized.

Protected procedure OnBeforeChildProcessLaunch(const commandLine: ICefCommandLine); override;

This item has no description. Showing description inherited from ICefBrowserProcessHandler.OnBeforeChildProcessLaunch.

Called before a child process is launched. Will be called on the browser process UI thread when launching a render process and on the browser process IO thread when launching a GPU process. Provides an opportunity to modify the child process command line. Do not keep a reference to |command_line| outside of this function.

Protected procedure OnAlreadyRunningAppRelaunch(const commandLine: ICefCommandLine; const current_directory: ustring; var aResult: boolean); override;

This item has no description. Showing description inherited from ICefBrowserProcessHandler.OnAlreadyRunningAppRelaunch.

Implement this function to provide app-specific behavior when an already running app is relaunched with the same TCefSettings.root_cache_path value. For example, activate an existing app window or create a new app window. |command_line| will be read-only. Do not keep a reference to |command_line| outside of this function. Return true (1) if the relaunch is handled or false (0) for default relaunch behavior. Default behavior will create a new default styled Chrome window.

To avoid cache corruption only a single app instance is allowed to run for a given TCefSettings.root_cache_path value. On relaunch the app checks a process singleton lock and then forwards the new launch arguments to the already running app process before exiting early. Client apps should therefore check the cef_initialize() return value for early exit before proceeding.

This function will be called on the browser process UI thread.

Protected procedure OnScheduleMessagePumpWork(const delayMs: Int64); override;

This item has no description. Showing description inherited from ICefBrowserProcessHandler.OnScheduleMessagePumpWork.

Called from any thread when work has been scheduled for the browser process main (UI) thread. This callback is used in combination with TCefSettings.external_message_pump and GlobalCEFApp.DoMessageLoopWork in cases where the CEF message loop must be integrated into an existing application message loop (see additional comments and warnings on GlobalCEFApp.DoMessageLoopWork). This callback should schedule a GlobalCEFApp.DoMessageLoopWork call to happen on the main (UI) thread. |delay_ms| is the requested delay in milliseconds. If |delay_ms| is <= 0 then the call should happen reasonably soon. If |delay_ms| is > 0 then the call should be scheduled to happen after the specified delay and any currently pending scheduled call should be cancelled.

Protected procedure GetDefaultClient(var aClient : ICefClient); override;

This item has no description. Showing description inherited from ICefBrowserProcessHandler.GetDefaultClient.

Return the default client for use with a newly created browser window (TCefBrowser object). If null is returned the TCefBrowser will be unmanaged (no callbacks will be executed for that TCefBrowser) and application shutdown will be blocked until the browser window is closed manually. This function is currently only used with Chrome style when creating new browser windows via Chrome UI.

Protected procedure GetDefaultRequestContextHandler(var aRequestContextHandler : ICefRequestContextHandler); override;

This item has no description. Showing description inherited from ICefBrowserProcessHandler.GetDefaultRequestContextHandler.

Return the default handler for use with a new user or incognito profile (TCefRequestContext object). If null is returned the TCefRequestContext will be unmanaged (no callbacks will be executed for that TCefRequestContext). This function is currently only used with Chrome style when creating new browser windows via Chrome UI.

Protected procedure RemoveReferences; override;

This item has no description. Showing description inherited from ICefBrowserProcessHandler.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create(const aCefApp : TCefApplicationCore); reintroduce;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFBrowserView

Unit uCEFBrowserView

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefBrowserViewRef | A View hosting a ICefBrowser instance. Methods must be called on the browser process UI thread unless otherwise indicated.


cef4delphi: uCEFBrowserView: Class TCefBrowserViewRef

Class TCefBrowserViewRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFBrowserView

Declaration

type TCefBrowserViewRef = class(TCefViewRef, ICefBrowserView)

Description

A View hosting a ICefBrowser instance. Methods must be called on the browser process UI thread unless otherwise indicated.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_browser_view_capi.h">CEF source file: /include/capi/views/cef_browser_view_capi.h (cef_browser_view_t))

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefViewRef
  • TCefBrowserViewRef

Overview

Methods

Protected | function GetBrowser: ICefBrowser;
Protected | function GetChromeToolbar: ICefView;
Protected | procedure SetPreferAccelerators(prefer_accelerators: boolean);
Protected | function GetRuntimeStyle: TCefRuntimeStyle;
Public | class function UnWrap(data: Pointer): ICefBrowserView;
Public | class function CreateBrowserView(const client: ICefClient; const url: ustring; const settings: TCefBrowserSettings; const extra_info: ICefDictionaryValue; const request_context: ICefRequestContext; const delegate: ICefBrowserViewDelegate): ICefBrowserView;
Public | class function GetForBrowser(const browser: ICefBrowser): ICefBrowserView;

Description

Methods

Protected function GetBrowser: ICefBrowser;

Returns the ICefBrowser hosted by this BrowserView. Will return NULL if the browser has not yet been created or has already been destroyed.

Protected function GetChromeToolbar: ICefView;

Returns the Chrome toolbar associated with this BrowserView. Only supported when using Chrome style. The ICefBrowserViewDelegate.GetChromeToolbarType function must return a value other than CEF_CTT_NONE and the toolbar will not be available until after this BrowserView is added to a ICefWindow and ICefViewDelegate.OnWindowChanged() has been called.

Protected procedure SetPreferAccelerators(prefer_accelerators: boolean);

Sets whether normal priority accelerators are first forwarded to the web content (`keydown` event handler) or ICefKeyboardHandler. Normal priority accelerators can be registered via ICefWindow.SetAccelerator (with |high_priority|=false) or internally for standard accelerators supported by Chrome style. If |prefer_accelerators| is true then the matching accelerator will be triggered immediately (calling ICefWindowDelegate.OnAccelerator or ICefCommandHandler.OnChromeCommand respectively) and the event will not be forwarded to the web content or ICefKeyboardHandler first. If |prefer_accelerators| is false then the matching accelerator will only be triggered if the event is not handled by web content (`keydown` event handler that calls `event.preventDefault()`) or by ICefKeyboardHandler. The default value is false.

Protected function GetRuntimeStyle: TCefRuntimeStyle;

Returns the runtime style for this BrowserView (ALLOY or CHROME). See TCefRuntimeStyle documentation for details.

Public class function UnWrap(data: Pointer): ICefBrowserView;

Returns a ICefBrowserView instance using a PCefBrowserView data pointer.

Public class function CreateBrowserView(const client: ICefClient; const url: ustring; const settings: TCefBrowserSettings; const extra_info: ICefDictionaryValue; const request_context: ICefRequestContext; const delegate: ICefBrowserViewDelegate): ICefBrowserView;

Create a new BrowserView. The underlying cef_browser_t will not be created until this view is added to the views hierarchy. The optional |extra_info| parameter provides an opportunity to specify extra information specific to the created browser that will be passed to cef_render_process_handler_t::on_browser_created() in the render process.

Public class function GetForBrowser(const browser: ICefBrowser): ICefBrowserView;

Returns the BrowserView associated with |browser|.


cef4delphi: uCEFBrowserViewComponent

Unit uCEFBrowserViewComponent

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCEFBrowserViewComponent | Component hosting a ICefBrowserView instance.

Functions and Procedures

procedure Register;

Description

Functions and Procedures

procedure Register;

This item has no description.


cef4delphi: uCEFBrowserViewComponent: Class TCEFBrowserViewComponent

Class TCEFBrowserViewComponent

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFBrowserViewComponent

Declaration

type TCEFBrowserViewComponent = class(TCEFViewComponent, ICefBrowserViewDelegateEvents)

Description

Component hosting a ICefBrowserView instance.

Hierarchy

  • TObject
  • TPersistent
  • TComponent
  • TCEFViewComponent
  • TCEFBrowserViewComponent

Overview

Fields

Protected | FBrowserView: ICefBrowserView;
Protected | FBrowserViewDlg: ICefBrowserViewDelegate;
Protected | FOnBrowserCreated: TOnBrowserCreatedEvent;
Protected | FOnBrowserDestroyed: TOnBrowserDestroyedEvent;
Protected | FOnGetDelegateForPopupBrowserView: TOnGetDelegateForPopupBrowserViewEvent;
Protected | FOnPopupBrowserViewCreated: TOnPopupBrowserViewCreatedEvent;
Protected | FOnGetChromeToolbarType: TOnGetChromeToolbarTypeEvent;
Protected | FOnUseFramelessWindowForPictureInPicture: TOnUseFramelessWindowForPictureInPicture;
Protected | FOnGestureCommand: TOnGestureCommandEvent;
Protected | FOnGetBrowserRuntimeStyle: TOnGetBrowserRuntimeStyleEvent;
Protected | FOnAllowMoveForPictureInPicture: TOnAllowMoveForPictureInPictureEvent;

Methods

Protected | procedure DestroyView; override;
Protected | procedure Initialize; override;
Protected | function GetInitialized: boolean; override;
Protected | function GetAsView: ICefView; override;
Protected | function GetAsBrowserView: ICefBrowserView; override;
Protected | function GetBrowser: ICefBrowser;
Protected | function GetChromeToolbar: ICefView;
Protected | function GetRuntimeStyle: TCefRuntimeStyle;
Protected | procedure doOnBrowserCreated(const browser_view: ICefBrowserView; const browser: ICefBrowser);
Protected | procedure doOnBrowserDestroyed(const browser_view: ICefBrowserView; const browser: ICefBrowser);
Protected | procedure doOnGetDelegateForPopupBrowserView(const browser_view: ICefBrowserView; const settings: TCefBrowserSettings; const client: ICefClient; is_devtools: boolean; var aResult : ICefBrowserViewDelegate);
Protected | procedure doOnPopupBrowserViewCreated(const browser_view, popup_browser_view: ICefBrowserView; is_devtools: boolean; var aResult : boolean);
Protected | procedure doOnGetChromeToolbarType(const browser_view: ICefBrowserView; var aChromeToolbarType: TCefChromeToolbarType);
Protected | procedure doOnUseFramelessWindowForPictureInPicture(const browser_view: ICefBrowserView; var aResult: boolean);
Protected | procedure doOnGestureCommand(const browser_view: ICefBrowserView; gesture_command: TCefGestureCommand; var aResult : boolean);
Protected | procedure doOnGetBrowserRuntimeStyle(var aResult : TCefRuntimeStyle);
Protected | procedure doOnAllowMoveForPictureInPicture(const browser_view: ICefBrowserView; var aResult: boolean);
Public | function CreateBrowserView(const client: ICefClient; const url: ustring; const settings: TCefBrowserSettings; const extra_info: ICefDictionaryValue; const request_context: ICefRequestContext): boolean;
Public | function GetForBrowser(const browser: ICefBrowser): boolean;
Public | procedure SetPreferAccelerators(prefer_accelerators: boolean);

Properties

Public | property Browser : ICefBrowser read GetBrowser;
Public | property BrowserView : ICefBrowserView read FBrowserView;
Public | property ChromeToolbar : ICefView read GetChromeToolbar;
Public | property RuntimeStyle : TCefRuntimeStyle read GetRuntimeStyle;
Published | property OnBrowserCreated : TOnBrowserCreatedEvent read FOnBrowserCreated write FOnBrowserCreated;
Published | property OnBrowserDestroyed : TOnBrowserDestroyedEvent read FOnBrowserDestroyed write FOnBrowserDestroyed;
Published | property OnGetDelegateForPopupBrowserView : TOnGetDelegateForPopupBrowserViewEvent read FOnGetDelegateForPopupBrowserView write FOnGetDelegateForPopupBrowserView;
Published | property OnPopupBrowserViewCreated : TOnPopupBrowserViewCreatedEvent read FOnPopupBrowserViewCreated write FOnPopupBrowserViewCreated;
Published | property OnGetChromeToolbarType : TOnGetChromeToolbarTypeEvent read FOnGetChromeToolbarType write FOnGetChromeToolbarType;
Published | property OnUseFramelessWindowForPictureInPicture : TOnUseFramelessWindowForPictureInPicture read FOnUseFramelessWindowForPictureInPicture write FOnUseFramelessWindowForPictureInPicture;
Published | property OnGestureCommand : TOnGestureCommandEvent read FOnGestureCommand write FOnGestureCommand;
Published | property OnGetBrowserRuntimeStyle : TOnGetBrowserRuntimeStyleEvent read FOnGetBrowserRuntimeStyle write FOnGetBrowserRuntimeStyle;
Published | property OnAllowMoveForPictureInPicture : TOnAllowMoveForPictureInPictureEvent read FOnAllowMoveForPictureInPicture write FOnAllowMoveForPictureInPicture;

Description

Fields

Protected FBrowserView: ICefBrowserView;

This item has no description.

Protected FBrowserViewDlg: ICefBrowserViewDelegate;

This item has no description.

Protected FOnBrowserCreated: TOnBrowserCreatedEvent;

ICefBrowserViewDelegateEvents

Protected FOnBrowserDestroyed: TOnBrowserDestroyedEvent;

This item has no description.

Protected FOnGetDelegateForPopupBrowserView: TOnGetDelegateForPopupBrowserViewEvent;

This item has no description.

Protected FOnPopupBrowserViewCreated: TOnPopupBrowserViewCreatedEvent;

This item has no description.

Protected FOnGetChromeToolbarType: TOnGetChromeToolbarTypeEvent;

This item has no description.

Protected FOnUseFramelessWindowForPictureInPicture: TOnUseFramelessWindowForPictureInPicture;

This item has no description.

Protected FOnGestureCommand: TOnGestureCommandEvent;

This item has no description.

Protected FOnGetBrowserRuntimeStyle: TOnGetBrowserRuntimeStyleEvent;

This item has no description.

Protected FOnAllowMoveForPictureInPicture: TOnAllowMoveForPictureInPictureEvent;

This item has no description.

Methods

Protected procedure DestroyView; override;

This item has no description.

Protected procedure Initialize; override;

This item has no description.

Protected function GetInitialized: boolean; override;

This item has no description.

Protected function GetAsView: ICefView; override;

This item has no description.

Protected function GetAsBrowserView: ICefBrowserView; override;

This item has no description.

Protected function GetBrowser: ICefBrowser;

This item has no description.

Protected function GetChromeToolbar: ICefView;

This item has no description.

Protected function GetRuntimeStyle: TCefRuntimeStyle;

This item has no description.

Protected procedure doOnBrowserCreated(const browser_view: ICefBrowserView; const browser: ICefBrowser);

ICefBrowserViewDelegateEvents

Protected procedure doOnBrowserDestroyed(const browser_view: ICefBrowserView; const browser: ICefBrowser);

This item has no description.

Protected procedure doOnGetDelegateForPopupBrowserView(const browser_view: ICefBrowserView; const settings: TCefBrowserSettings; const client: ICefClient; is_devtools: boolean; var aResult : ICefBrowserViewDelegate);

This item has no description.

Protected procedure doOnPopupBrowserViewCreated(const browser_view, popup_browser_view: ICefBrowserView; is_devtools: boolean; var aResult : boolean);

This item has no description.

Protected procedure doOnGetChromeToolbarType(const browser_view: ICefBrowserView; var aChromeToolbarType: TCefChromeToolbarType);

This item has no description.

Protected procedure doOnUseFramelessWindowForPictureInPicture(const browser_view: ICefBrowserView; var aResult: boolean);

This item has no description.

Protected procedure doOnGestureCommand(const browser_view: ICefBrowserView; gesture_command: TCefGestureCommand; var aResult : boolean);

This item has no description.

Protected procedure doOnGetBrowserRuntimeStyle(var aResult : TCefRuntimeStyle);

This item has no description.

Protected procedure doOnAllowMoveForPictureInPicture(const browser_view: ICefBrowserView; var aResult: boolean);

This item has no description.

Public function CreateBrowserView(const client: ICefClient; const url: ustring; const settings: TCefBrowserSettings; const extra_info: ICefDictionaryValue; const request_context: ICefRequestContext): boolean;

Create a new ICefBrowserView. The underlying ICefBrowser will not be created until this view is added to the views hierarchy. The optional |extra_info| parameter provides an opportunity to specify extra information specific to the created browser that will be passed to ICefRenderProcessHandler.OnBrowserCreated in the render process.

Public function GetForBrowser(const browser: ICefBrowser): boolean;

Updates the internal ICefBrowserView with the ICefBrowserView associated with |browser|.

Public procedure SetPreferAccelerators(prefer_accelerators: boolean);

Sets whether normal priority accelerators are first forwarded to the web content (`keydown` event handler) or ICefKeyboardHandler. Normal priority accelerators can be registered via ICefWindow.SetAccelerator (with |high_priority|=false) or internally for standard accelerators supported by Chrome style. If |prefer_accelerators| is true then the matching accelerator will be triggered immediately (calling ICefWindowDelegate.OnAccelerator or ICefCommandHandler.OnChromeCommand respectively) and the event will not be forwarded to the web content or ICefKeyboardHandler first. If |prefer_accelerators| is false then the matching accelerator will only be triggered if the event is not handled by web content (`keydown` event handler that calls `event.preventDefault()`) or by ICefKeyboardHandler. The default value is false.

Properties

Public property Browser : ICefBrowser read GetBrowser;

Returns the ICefBrowser hosted by this BrowserView. Will return NULL if the browser has not yet been created or has already been destroyed.

Public property BrowserView : ICefBrowserView read FBrowserView;

ICefBrowserView assiciated to this component.

Public property ChromeToolbar : ICefView read GetChromeToolbar;

Returns the Chrome toolbar associated with this BrowserView. Only supported when using Chrome style. The ICefBrowserViewDelegate.GetChromeToolbarType function must return a value other than CEF_CTT_NONE and the toolbar will not be available until after this BrowserView is added to a ICefWindow and ICefViewDelegate.OnWindowChanged() has been called.

Public property RuntimeStyle : TCefRuntimeStyle read GetRuntimeStyle;

Returns the runtime style for this BrowserView (ALLOY or CHROME). See TCefRuntimeStyle documentation for details.

Published property OnBrowserCreated : TOnBrowserCreatedEvent read FOnBrowserCreated write FOnBrowserCreated;

Called when |browser| associated with |browser_view| is created. This function will be called after ICefLifeSpanHandler.OnAfterCreated() is called for |browser| and before OnPopupBrowserViewCreated() is called for |browser|'s parent delegate if |browser| is a popup.

Published property OnBrowserDestroyed : TOnBrowserDestroyedEvent read FOnBrowserDestroyed write FOnBrowserDestroyed;

Called when |browser| associated with |browser_view| is destroyed. Release all references to |browser| and do not attempt to execute any functions on |browser| after this callback returns. This function will be called before ICefLifeSpanHandler.OnBeforeClose() is called for |browser|.

Published property OnGetDelegateForPopupBrowserView : TOnGetDelegateForPopupBrowserViewEvent read FOnGetDelegateForPopupBrowserView write FOnGetDelegateForPopupBrowserView;

Called before a new popup BrowserView is created. The popup originated from |browser_view|. |settings| and |client| are the values returned from ICefLifeSpanHandler.OnBeforePopup(). |is_devtools| will be true (1) if the popup will be a DevTools browser. Return the delegate that will be used for the new popup BrowserView.

Published property OnPopupBrowserViewCreated : TOnPopupBrowserViewCreatedEvent read FOnPopupBrowserViewCreated write FOnPopupBrowserViewCreated;

Called after |popup_browser_view| is created. This function will be called after ICefLifeSpanHandler.OnAfterCreated() and OnBrowserCreated() are called for the new popup browser. The popup originated from |browser_view|. |is_devtools| will be true (1) if the popup is a DevTools browser. Optionally add |popup_browser_view| to the views hierarchy yourself and return true (1). Otherwise return false (0) and a default ICefWindow will be created for the popup.

Published property OnGetChromeToolbarType : TOnGetChromeToolbarTypeEvent read FOnGetChromeToolbarType write FOnGetChromeToolbarType;

Returns the Chrome toolbar type that will be available via ICefBrowserView.GetChromeToolbar(). See that function for related documentation.

Published property OnUseFramelessWindowForPictureInPicture : TOnUseFramelessWindowForPictureInPicture read FOnUseFramelessWindowForPictureInPicture write FOnUseFramelessWindowForPictureInPicture;

Return true (1) to create frameless windows for Document picture-in- picture popups. Content in frameless windows should specify draggable regions using "-webkit-app-region: drag" CSS.

Published property OnGestureCommand : TOnGestureCommandEvent read FOnGestureCommand write FOnGestureCommand;

Called when |browser_view| receives a gesture command. Return true (1) to handle (or disable) a |gesture_command| or false (0) to propagate the gesture to the browser for default handling. With Chrome style these commands can also be handled via ICefCommandHandler.OnChromeCommand.

Published property OnGetBrowserRuntimeStyle : TOnGetBrowserRuntimeStyleEvent read FOnGetBrowserRuntimeStyle write FOnGetBrowserRuntimeStyle;

Optionally change the runtime style for this BrowserView. See TCefRuntimeStyle documentation for details.

Published property OnAllowMoveForPictureInPicture : TOnAllowMoveForPictureInPictureEvent read FOnAllowMoveForPictureInPicture write FOnAllowMoveForPictureInPicture;

Return true (1) to allow the use of JavaScript moveTo/By() and resizeTo/By() (without user activation) with Document picture-in-picture popups.


cef4delphi: uCEFBrowserViewDelegate

Unit uCEFBrowserViewDelegate

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefBrowserViewDelegateRef |
Class TCefBrowserViewDelegateOwn | Implement this interface to handle BrowserView events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.
Class TCustomBrowserViewDelegate | This class handles all the ICefBrowserViewDelegate methods which call the ICefBrowserViewDelegateEvents methods. ICefBrowserViewDelegateEvents will be implemented by the control receiving the ICefBrowserViewDelegate events.


cef4delphi: uCEFBrowserViewDelegate: Class TCefBrowserViewDelegateRef

Class TCefBrowserViewDelegateRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFBrowserViewDelegate

Declaration

type TCefBrowserViewDelegateRef = class(TCefViewDelegateRef, ICefBrowserViewDelegate)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefViewDelegateRef
  • TCefBrowserViewDelegateRef

Overview

Methods

Protected | procedure OnBrowserCreated(const browser_view: ICefBrowserView; const browser: ICefBrowser);
Protected | procedure OnBrowserDestroyed(const browser_view: ICefBrowserView; const browser: ICefBrowser);
Protected | procedure OnGetDelegateForPopupBrowserView(const browser_view: ICefBrowserView; const settings: TCefBrowserSettings; const client: ICefClient; is_devtools: boolean; var aResult : ICefBrowserViewDelegate);
Protected | procedure OnPopupBrowserViewCreated(const browser_view, popup_browser_view: ICefBrowserView; is_devtools: boolean; var aResult : boolean);
Protected | procedure OnGetChromeToolbarType(const browser_view: ICefBrowserView; var aResult: TCefChromeToolbarType);
Protected | procedure OnUseFramelessWindowForPictureInPicture(const browser_view: ICefBrowserView; var aResult: boolean);
Protected | procedure OnGestureCommand(const browser_view: ICefBrowserView; gesture_command: TCefGestureCommand; var aResult : boolean);
Protected | procedure OnGetBrowserRuntimeStyle(var aResult : TCefRuntimeStyle);
Protected | procedure OnAllowMoveForPictureInPicture(const browser_view: ICefBrowserView; var aResult: boolean);
Public | class function UnWrap(data: Pointer): ICefBrowserViewDelegate;

Description

Methods

Protected procedure OnBrowserCreated(const browser_view: ICefBrowserView; const browser: ICefBrowser);

This item has no description. Showing description inherited from ICefBrowserViewDelegate.OnBrowserCreated.

Called when |browser| associated with |browser_view| is created. This function will be called after ICefLifeSpanHandler.OnAfterCreated() is called for |browser| and before OnPopupBrowserViewCreated() is called for |browser|'s parent delegate if |browser| is a popup.

Protected procedure OnBrowserDestroyed(const browser_view: ICefBrowserView; const browser: ICefBrowser);

This item has no description. Showing description inherited from ICefBrowserViewDelegate.OnBrowserDestroyed.

Called when |browser| associated with |browser_view| is destroyed. Release all references to |browser| and do not attempt to execute any functions on |browser| after this callback returns. This function will be called before ICefLifeSpanHandler.OnBeforeClose() is called for |browser|.

Protected procedure OnGetDelegateForPopupBrowserView(const browser_view: ICefBrowserView; const settings: TCefBrowserSettings; const client: ICefClient; is_devtools: boolean; var aResult : ICefBrowserViewDelegate);

This item has no description. Showing description inherited from ICefBrowserViewDelegate.OnGetDelegateForPopupBrowserView.

Called before a new popup BrowserView is created. The popup originated from |browser_view|. |settings| and |client| are the values returned from ICefLifeSpanHandler.OnBeforePopup(). |is_devtools| will be true (1) if the popup will be a DevTools browser. Return the delegate that will be used for the new popup BrowserView.

Protected procedure OnPopupBrowserViewCreated(const browser_view, popup_browser_view: ICefBrowserView; is_devtools: boolean; var aResult : boolean);

This item has no description. Showing description inherited from ICefBrowserViewDelegate.OnPopupBrowserViewCreated.

Called after |popup_browser_view| is created. This function will be called after ICefLifeSpanHandler.OnAfterCreated() and OnBrowserCreated() are called for the new popup browser. The popup originated from |browser_view|. |is_devtools| will be true (1) if the popup is a DevTools browser. Optionally add |popup_browser_view| to the views hierarchy yourself and return true (1). Otherwise return false (0) and a default ICefWindow will be created for the popup.

Protected procedure OnGetChromeToolbarType(const browser_view: ICefBrowserView; var aResult: TCefChromeToolbarType);

This item has no description. Showing description inherited from ICefBrowserViewDelegate.OnGetChromeToolbarType.

Returns the Chrome toolbar type that will be available via ICefBrowserView.GetChromeToolbar(). See that function for related documentation.

Protected procedure OnUseFramelessWindowForPictureInPicture(const browser_view: ICefBrowserView; var aResult: boolean);

This item has no description. Showing description inherited from ICefBrowserViewDelegate.OnUseFramelessWindowForPictureInPicture.

Return true (1) to create frameless windows for Document picture-in- picture popups. Content in frameless windows should specify draggable regions using "-webkit-app-region: drag" CSS.

Protected procedure OnGestureCommand(const browser_view: ICefBrowserView; gesture_command: TCefGestureCommand; var aResult : boolean);

This item has no description. Showing description inherited from ICefBrowserViewDelegate.OnGestureCommand.

Called when |browser_view| receives a gesture command. Return true (1) to handle (or disable) a |gesture_command| or false (0) to propagate the gesture to the browser for default handling. With Chrome style these commands can also be handled via ICefCommandHandler.OnChromeCommand.

Protected procedure OnGetBrowserRuntimeStyle(var aResult : TCefRuntimeStyle);

This item has no description. Showing description inherited from ICefBrowserViewDelegate.OnGetBrowserRuntimeStyle.

Optionally change the runtime style for this BrowserView. See TCefRuntimeStyle documentation for details.

Protected procedure OnAllowMoveForPictureInPicture(const browser_view: ICefBrowserView; var aResult: boolean);

This item has no description. Showing description inherited from ICefBrowserViewDelegate.OnAllowMoveForPictureInPicture.

Return true (1) to allow the use of JavaScript moveTo/By() and resizeTo/By() (without user activation) with Document picture-in-picture popups.

Public class function UnWrap(data: Pointer): ICefBrowserViewDelegate;

Returns a ICefBrowserViewDelegate instance using a PCefBrowserViewDelegate data pointer.


cef4delphi: uCEFBrowserViewDelegate: Class TCefBrowserViewDelegateOwn

Class TCefBrowserViewDelegateOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFBrowserViewDelegate

Declaration

type TCefBrowserViewDelegateOwn = class(TCefViewDelegateOwn, ICefBrowserViewDelegate)

Description

Implement this interface to handle BrowserView events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_browser_view_delegate_capi.h">CEF source file: /include/capi/views/cef_browser_view_delegate_capi.h (cef_browser_view_delegate_t))

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefViewDelegateOwn
  • TCefBrowserViewDelegateOwn

Overview

Methods

Protected | procedure OnBrowserCreated(const browser_view: ICefBrowserView; const browser: ICefBrowser); virtual;
Protected | procedure OnBrowserDestroyed(const browser_view: ICefBrowserView; const browser: ICefBrowser); virtual;
Protected | procedure OnGetDelegateForPopupBrowserView(const browser_view: ICefBrowserView; const settings: TCefBrowserSettings; const client: ICefClient; is_devtools: boolean; var aResult : ICefBrowserViewDelegate); virtual;
Protected | procedure OnPopupBrowserViewCreated(const browser_view, popup_browser_view: ICefBrowserView; is_devtools: boolean; var aResult : boolean); virtual;
Protected | procedure OnGetChromeToolbarType(const browser_view: ICefBrowserView; var aResult : TCefChromeToolbarType); virtual;
Protected | procedure OnUseFramelessWindowForPictureInPicture(const browser_view: ICefBrowserView; var aResult: boolean); virtual;
Protected | procedure OnGestureCommand(const browser_view: ICefBrowserView; gesture_command: TCefGestureCommand; var aResult : boolean); virtual;
Protected | procedure OnGetBrowserRuntimeStyle(var aResult : TCefRuntimeStyle); virtual;
Protected | procedure OnAllowMoveForPictureInPicture(const browser_view: ICefBrowserView; var aResult: boolean); virtual;
Protected | procedure InitializeCEFMethods; override;
Public | constructor Create; override;

Description

Methods

Protected procedure OnBrowserCreated(const browser_view: ICefBrowserView; const browser: ICefBrowser); virtual;

Called when |browser| associated with |browser_view| is created. This function will be called after ICefLifeSpanHandler.OnAfterCreated() is called for |browser| and before OnPopupBrowserViewCreated() is called for |browser|'s parent delegate if |browser| is a popup.

Protected procedure OnBrowserDestroyed(const browser_view: ICefBrowserView; const browser: ICefBrowser); virtual;

Called when |browser| associated with |browser_view| is destroyed. Release all references to |browser| and do not attempt to execute any functions on |browser| after this callback returns. This function will be called before ICefLifeSpanHandler.OnBeforeClose() is called for |browser|.

Protected procedure OnGetDelegateForPopupBrowserView(const browser_view: ICefBrowserView; const settings: TCefBrowserSettings; const client: ICefClient; is_devtools: boolean; var aResult : ICefBrowserViewDelegate); virtual;

Called before a new popup BrowserView is created. The popup originated from |browser_view|. |settings| and |client| are the values returned from ICefLifeSpanHandler.OnBeforePopup(). |is_devtools| will be true (1) if the popup will be a DevTools browser. Return the delegate that will be used for the new popup BrowserView.

Protected procedure OnPopupBrowserViewCreated(const browser_view, popup_browser_view: ICefBrowserView; is_devtools: boolean; var aResult : boolean); virtual;

Called after |popup_browser_view| is created. This function will be called after ICefLifeSpanHandler.OnAfterCreated() and OnBrowserCreated() are called for the new popup browser. The popup originated from |browser_view|. |is_devtools| will be true (1) if the popup is a DevTools browser. Optionally add |popup_browser_view| to the views hierarchy yourself and return true (1). Otherwise return false (0) and a default ICefWindow will be created for the popup.

Protected procedure OnGetChromeToolbarType(const browser_view: ICefBrowserView; var aResult : TCefChromeToolbarType); virtual;

Returns the Chrome toolbar type that will be available via ICefBrowserView.GetChromeToolbar(). See that function for related documentation.

Protected procedure OnUseFramelessWindowForPictureInPicture(const browser_view: ICefBrowserView; var aResult: boolean); virtual;

Return true (1) to create frameless windows for Document picture-in- picture popups. Content in frameless windows should specify draggable regions using "-webkit-app-region: drag" CSS.

Protected procedure OnGestureCommand(const browser_view: ICefBrowserView; gesture_command: TCefGestureCommand; var aResult : boolean); virtual;

Called when |browser_view| receives a gesture command. Return true (1) to handle (or disable) a |gesture_command| or false (0) to propagate the gesture to the browser for default handling. With Chrome style these commands can also be handled via ICefCommandHandler.OnChromeCommand.

Protected procedure OnGetBrowserRuntimeStyle(var aResult : TCefRuntimeStyle); virtual;

Optionally change the runtime style for this BrowserView. See TCefRuntimeStyle documentation for details.

Protected procedure OnAllowMoveForPictureInPicture(const browser_view: ICefBrowserView; var aResult: boolean); virtual;

Return true (1) to allow the use of JavaScript moveTo/By() and resizeTo/By() (without user activation) with Document picture-in-picture popups.

Protected procedure InitializeCEFMethods; override;

Links the methods in the internal CEF record data pointer with the methods in this class.

Public constructor Create; override;

This item has no description.


cef4delphi: uCEFBrowserViewDelegate: Class TCustomBrowserViewDelegate

Class TCustomBrowserViewDelegate

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFBrowserViewDelegate

Declaration

type TCustomBrowserViewDelegate = class(TCefBrowserViewDelegateOwn)

Description

This class handles all the ICefBrowserViewDelegate methods which call the ICefBrowserViewDelegateEvents methods. ICefBrowserViewDelegateEvents will be implemented by the control receiving the ICefBrowserViewDelegate events.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefViewDelegateOwn
  • TCefBrowserViewDelegateOwn
  • TCustomBrowserViewDelegate

Overview

Fields

Protected FEvents: Pointer;

Methods

Protected | procedure OnGetPreferredSize(const view: ICefView; var aResult : TCefSize); override;
Protected | procedure OnGetMinimumSize(const view: ICefView; var aResult : TCefSize); override;
Protected | procedure OnGetMaximumSize(const view: ICefView; var aResult : TCefSize); override;
Protected | procedure OnGetHeightForWidth(const view: ICefView; width: Integer; var aResult: Integer); override;
Protected | procedure OnParentViewChanged(const view: ICefView; added: boolean; const parent: ICefView); override;
Protected | procedure OnChildViewChanged(const view: ICefView; added: boolean; const child: ICefView); override;
Protected | procedure OnWindowChanged(const view: ICefView; added: boolean); override;
Protected | procedure OnLayoutChanged(const view: ICefView; new_bounds: TCefRect); override;
Protected | procedure OnFocus(const view: ICefView); override;
Protected | procedure OnBlur(const view: ICefView); override;
Protected | procedure OnThemeChanged(const view: ICefView); override;
Protected | procedure OnBrowserCreated(const browser_view: ICefBrowserView; const browser: ICefBrowser); override;
Protected | procedure OnBrowserDestroyed(const browser_view: ICefBrowserView; const browser: ICefBrowser); override;
Protected | procedure OnGetDelegateForPopupBrowserView(const browser_view: ICefBrowserView; const settings: TCefBrowserSettings; const client: ICefClient; is_devtools: boolean; var aResult : ICefBrowserViewDelegate); override;
Protected | procedure OnPopupBrowserViewCreated(const browser_view, popup_browser_view: ICefBrowserView; is_devtools: boolean; var aResult : boolean); override;
Protected | procedure OnGetChromeToolbarType(const browser_view: ICefBrowserView; var aResult: TCefChromeToolbarType); override;
Protected | procedure OnUseFramelessWindowForPictureInPicture(const browser_view: ICefBrowserView; var aResult: boolean); override;
Protected | procedure OnGestureCommand(const browser_view: ICefBrowserView; gesture_command: TCefGestureCommand; var aResult : boolean); override;
Protected | procedure OnGetBrowserRuntimeStyle(var aResult : TCefRuntimeStyle); override;
Protected | procedure OnAllowMoveForPictureInPicture(const browser_view: ICefBrowserView; var aResult: boolean); override;
Public | constructor Create(const events: ICefBrowserViewDelegateEvents); reintroduce;

Description

Fields

Protected FEvents: Pointer;

This item has no description.

Methods

Protected procedure OnGetPreferredSize(const view: ICefView; var aResult : TCefSize); override;

ICefViewDelegate

Protected procedure OnGetMinimumSize(const view: ICefView; var aResult : TCefSize); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnGetMinimumSize.

Return the minimum size for |view|.

Protected procedure OnGetMaximumSize(const view: ICefView; var aResult : TCefSize); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnGetMaximumSize.

Return the maximum size for |view|.

Protected procedure OnGetHeightForWidth(const view: ICefView; width: Integer; var aResult: Integer); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnGetHeightForWidth.

Return the height necessary to display |view| with the provided |width|. If not specified the result of get_preferred_size().height will be used by default. Override if |view|'s preferred height depends upon the width (for example, with Labels).

Protected procedure OnParentViewChanged(const view: ICefView; added: boolean; const parent: ICefView); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnParentViewChanged.

Called when the parent of |view| has changed. If |view| is being added to |parent| then |added| will be true (1). If |view| is being removed from |parent| then |added| will be false (0). If |view| is being reparented the remove notification will be sent before the add notification. Do not modify the view hierarchy in this callback.

Protected procedure OnChildViewChanged(const view: ICefView; added: boolean; const child: ICefView); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnChildViewChanged.

Called when a child of |view| has changed. If |child| is being added to |view| then |added| will be true (1). If |child| is being removed from |view| then |added| will be false (0). If |child| is being reparented the remove notification will be sent to the old parent before the add notification is sent to the new parent. Do not modify the view hierarchy in this callback.

Protected procedure OnWindowChanged(const view: ICefView; added: boolean); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnWindowChanged.

Called when |view| is added or removed from the ICefWindow.

Protected procedure OnLayoutChanged(const view: ICefView; new_bounds: TCefRect); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnLayoutChanged.

Called when the layout of |view| has changed.

Protected procedure OnFocus(const view: ICefView); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnFocus.

Called when |view| gains focus.

Protected procedure OnBlur(const view: ICefView); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnBlur.

Called when |view| loses focus.

Protected procedure OnThemeChanged(const view: ICefView); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnThemeChanged.

(

Called when the theme for |view| has changed, after the new theme colors have already been applied. Views are notified via the component hierarchy in depth-first reverse order (children before parents).

This will be called in the following cases:

1. When |view|, or a parent of |view|, is added to a Window.
2. When the native/OS or Chrome theme changes for the Window that contains
   |view|. See ICefWindowDelegate.OnThemeColorsChanged documentation.
3. When the client explicitly calls ICefWindow.ThemeChanged on the
   Window that contains |view|.

Optionally use this callback to override the new per-View theme colors by calling ICefView.SetBackgroundColor or the appropriate component- specific function. See ICefWindow.SetThemeColor documentation for how to customize additional Window theme colors.

(

Protected procedure OnBrowserCreated(const browser_view: ICefBrowserView; const browser: ICefBrowser); override;

ICefBrowserViewDelegate

Protected procedure OnBrowserDestroyed(const browser_view: ICefBrowserView; const browser: ICefBrowser); override;

This item has no description. Showing description inherited from TCefBrowserViewDelegateOwn.OnBrowserDestroyed.

Called when |browser| associated with |browser_view| is destroyed. Release all references to |browser| and do not attempt to execute any functions on |browser| after this callback returns. This function will be called before ICefLifeSpanHandler.OnBeforeClose() is called for |browser|.

Protected procedure OnGetDelegateForPopupBrowserView(const browser_view: ICefBrowserView; const settings: TCefBrowserSettings; const client: ICefClient; is_devtools: boolean; var aResult : ICefBrowserViewDelegate); override;

This item has no description. Showing description inherited from TCefBrowserViewDelegateOwn.OnGetDelegateForPopupBrowserView.

Called before a new popup BrowserView is created. The popup originated from |browser_view|. |settings| and |client| are the values returned from ICefLifeSpanHandler.OnBeforePopup(). |is_devtools| will be true (1) if the popup will be a DevTools browser. Return the delegate that will be used for the new popup BrowserView.

Protected procedure OnPopupBrowserViewCreated(const browser_view, popup_browser_view: ICefBrowserView; is_devtools: boolean; var aResult : boolean); override;

This item has no description. Showing description inherited from TCefBrowserViewDelegateOwn.OnPopupBrowserViewCreated.

Called after |popup_browser_view| is created. This function will be called after ICefLifeSpanHandler.OnAfterCreated() and OnBrowserCreated() are called for the new popup browser. The popup originated from |browser_view|. |is_devtools| will be true (1) if the popup is a DevTools browser. Optionally add |popup_browser_view| to the views hierarchy yourself and return true (1). Otherwise return false (0) and a default ICefWindow will be created for the popup.

Protected procedure OnGetChromeToolbarType(const browser_view: ICefBrowserView; var aResult: TCefChromeToolbarType); override;

This item has no description. Showing description inherited from TCefBrowserViewDelegateOwn.OnGetChromeToolbarType.

Returns the Chrome toolbar type that will be available via ICefBrowserView.GetChromeToolbar(). See that function for related documentation.

Protected procedure OnUseFramelessWindowForPictureInPicture(const browser_view: ICefBrowserView; var aResult: boolean); override;

This item has no description. Showing description inherited from TCefBrowserViewDelegateOwn.OnUseFramelessWindowForPictureInPicture.

Return true (1) to create frameless windows for Document picture-in- picture popups. Content in frameless windows should specify draggable regions using "-webkit-app-region: drag" CSS.

Protected procedure OnGestureCommand(const browser_view: ICefBrowserView; gesture_command: TCefGestureCommand; var aResult : boolean); override;

This item has no description. Showing description inherited from TCefBrowserViewDelegateOwn.OnGestureCommand.

Called when |browser_view| receives a gesture command. Return true (1) to handle (or disable) a |gesture_command| or false (0) to propagate the gesture to the browser for default handling. With Chrome style these commands can also be handled via ICefCommandHandler.OnChromeCommand.

Protected procedure OnGetBrowserRuntimeStyle(var aResult : TCefRuntimeStyle); override;

This item has no description. Showing description inherited from TCefBrowserViewDelegateOwn.OnGetBrowserRuntimeStyle.

Optionally change the runtime style for this BrowserView. See TCefRuntimeStyle documentation for details.

Protected procedure OnAllowMoveForPictureInPicture(const browser_view: ICefBrowserView; var aResult: boolean); override;

This item has no description. Showing description inherited from TCefBrowserViewDelegateOwn.OnAllowMoveForPictureInPicture.

Return true (1) to allow the use of JavaScript moveTo/By() and resizeTo/By() (without user activation) with Document picture-in-picture popups.

Public constructor Create(const events: ICefBrowserViewDelegateEvents); reintroduce;

This item has no description.


cef4delphi: uCEFBrowserWindow

Unit uCEFBrowserWindow

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TEmbeddedChromium |
Class TChromiumWrapper |
Class TBrowserWindow |

Functions and Procedures

procedure Register;

Description

Functions and Procedures

procedure Register;

This item has no description.


cef4delphi: uCEFBrowserWindow: Class TEmbeddedChromium

Class TEmbeddedChromium

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFBrowserWindow

Declaration

type TEmbeddedChromium = class(TChromium)

Description

TEmbeddedChromium

1) TEmbeddedChromium keeps track of the browser while it is created. This allows for CloseBrowser to function, even if the Browser object is not yet known. Also calls to "LoadUrl" are cached until the browser object is created.

2) TEmbeddedChromium adds InternalEvents that can be hooked by the component that owns the TEmbeddedChromium. This means the default published events are available to the end user. Published events that should not be available are hidden via THiddenPropertyEditor * Hidden event properties must not be assigned by any end user code. *

Hierarchy

  • TObject
  • TPersistent
  • TComponent
  • TChromiumCore
  • TChromium
  • TEmbeddedChromium

Overview

Methods

Protected | function GetHasBrowser: boolean; reintroduce;
Protected | procedure doOnBeforeClose(const ABrowser: ICefBrowser); override;
Protected | procedure doOnAfterCreated(const ABrowser: ICefBrowser); override;
Protected | procedure doOnGotFocus(const Abrowser: ICefBrowser); override;
Protected | function MustCreateFocusHandler: boolean; override;
Protected | procedure DoCreated(Data: PtrInt);
Protected | procedure DoOnClosed(Data: PtrInt);
Public | constructor Create(AOwner: TComponent); override;
Public | destructor Destroy; override;
Public | function CreateBrowser(const aBrowserParent: TWinControl = nil; const aWindowName: ustring = ''; const aContext: ICefRequestContext = nil; const aExtraInfo: ICefDictionaryValue = nil): boolean; overload; override;
Public | function CreateBrowser(aParentHandle: TCefWindowHandle; aParentRect: TRect; const aWindowName: ustring = ''; const aContext: ICefRequestContext = nil; const aExtraInfo: ICefDictionaryValue = nil; aForceAsPopup : boolean = False): boolean; overload; override;
Public | function CreateBrowser(const aURL: ustring; const aBrowserViewComp: TCEFBrowserViewComponent; const aContext: ICefRequestContext = nil; const aExtraInfo: ICefDictionaryValue = nil): boolean; overload; override;
Public | procedure CloseBrowser(aForceClose: boolean); reintroduce;
Public | procedure LoadURL(const aURL: ustring; const aFrameName: ustring = ''); overload;

Properties

Public | property HasBrowser: Boolean read GetHasBrowser;
Public | property IsClosing : Boolean read GetIsClosing;
Public | property InternalOnBrowserCreated : TNotifyEvent read FInternalOnBrowserCreated write FInternalOnBrowserCreated;
Public | property InternalOnBrowserClosed : TNotifyEvent read FInternalOnBrowserClosed write FInternalOnBrowserClosed;
Public | property InternalOnGotFocus : TOnGotFocus read FInternalOnGotFocus write FInternalOnGotFocus;

Description

Methods

Protected function GetHasBrowser: boolean; reintroduce;

This item has no description.

Protected procedure doOnBeforeClose(const ABrowser: ICefBrowser); override;

This item has no description.

Protected procedure doOnAfterCreated(const ABrowser: ICefBrowser); override;

This item has no description.

Protected procedure doOnGotFocus(const Abrowser: ICefBrowser); override;

This item has no description.

Protected function MustCreateFocusHandler: boolean; override;

This item has no description.

Protected procedure DoCreated(Data: PtrInt);

This item has no description.

Protected procedure DoOnClosed(Data: PtrInt);

This item has no description.

Public constructor Create(AOwner: TComponent); override;

This item has no description.

Public destructor Destroy; override;

This item has no description.

Public function CreateBrowser(const aBrowserParent: TWinControl = nil; const aWindowName: ustring = ''; const aContext: ICefRequestContext = nil; const aExtraInfo: ICefDictionaryValue = nil): boolean; overload; override;

This item has no description. Showing description inherited from TChromium.CreateBrowser.

Used to create the browser after the global request context has been initialized. You need to set all properties and events before calling this function because it will only create the internal handlers needed for those events and the property values will be used in the browser initialization. The browser will be fully initialized when the TChromiumCore.OnAfterCreated event is triggered.

Public function CreateBrowser(aParentHandle: TCefWindowHandle; aParentRect: TRect; const aWindowName: ustring = ''; const aContext: ICefRequestContext = nil; const aExtraInfo: ICefDictionaryValue = nil; aForceAsPopup : boolean = False): boolean; overload; override;

This item has no description. Showing description inherited from TChromiumCore.CreateBrowser.

Used to create the browser after the global request context has been initialized. You need to set all properties and events before calling this function because it will only create the internal handlers needed for those events and the property values will be used in the browser initialization.

The browser will be fully initialized when the TChromiumCore.OnAfterCreated event is triggered.

Public function CreateBrowser(const aURL: ustring; const aBrowserViewComp: TCEFBrowserViewComponent; const aContext: ICefRequestContext = nil; const aExtraInfo: ICefDictionaryValue = nil): boolean; overload; override;

This item has no description. Showing description inherited from TChromiumCore.CreateBrowser.

Used to create the browser after the global request context has been initialized. You need to set all properties and events before calling this function because it will only create the internal handlers needed for those events and the property values will be used in the browser initialization.

The browser will be fully initialized when the TChromiumCore.OnAfterCreated event is triggered.

Public procedure CloseBrowser(aForceClose: boolean); reintroduce;

CloseBrowser will work, even if the browser is still in creation, and Initialized is still false

Public procedure LoadURL(const aURL: ustring; const aFrameName: ustring = ''); overload;

LoadURL will work, even if the browser is still in creation, and Initialized is still false

Properties

Public property HasBrowser: Boolean read GetHasBrowser;

This item has no description.

Public property IsClosing : Boolean read GetIsClosing;

Includes browser in creation

Public property InternalOnBrowserCreated : TNotifyEvent read FInternalOnBrowserCreated write FInternalOnBrowserCreated;

- Events for use by the Owning component ONLY - Events are called in main thread - OnBrowserCreated: the parent event may be called when procedure Initialized is still false. - OnBrowserCreated: may not be called, if the CloseBrowser has already been called

Public property InternalOnBrowserClosed : TNotifyEvent read FInternalOnBrowserClosed write FInternalOnBrowserClosed;

This item has no description.

Public property InternalOnGotFocus : TOnGotFocus read FInternalOnGotFocus write FInternalOnGotFocus;

This item has no description.


cef4delphi: uCEFBrowserWindow: Class TChromiumWrapper

Class TChromiumWrapper

Description
Hierarchy
Nested Types
Fields
Methods
Properties

Unit

uCEFBrowserWindow

Declaration

type TChromiumWrapper = class(TObject)

Description

TChromiumWrapper

Hierarchy

  • TObject
  • TChromiumWrapper

Overview

Nested Types

Protected TWrapperState = (...);

Fields

Protected | FChromium: TEmbeddedChromium;
Protected | FWrapperState: TWrapperState;
Protected | FBrowserWindow: TBrowserWindow;

Methods

Protected | procedure DoOnAfterCreated(Sender: TObject);
Protected | procedure DoOnBeforeClose(Sender: TObject);
Protected | procedure BrowserThread_OnClose(Sender: TObject; const browser: ICefBrowser; var aAction : TCefCloseBrowserAction);
Protected | procedure BrowserThread_OnGotFocus(Sender: TObject; const browser: ICefBrowser);
Protected | procedure MaybeDestroy;
Public | constructor Create(AOwner: TBrowserWindow); reintroduce;
Public | destructor Destroy; override;
Public | function CreateBrowser: boolean;
Public | procedure LoadURL(aURL: ustring);
Public | procedure CloseBrowser(aForceClose: boolean);
Public | function IsClosed: boolean;
Public | procedure WaitForBrowserClosed;

Properties

Published property Chromium: TEmbeddedChromium read FChromium;

Description

Nested Types

Protected TWrapperState = (...);

This item has no description.

Values
  • wsNone
  • wsWaitingForClose
  • wsSentCloseEventAfterWait
  • wsDestroyAfterWait

Fields

Protected FChromium: TEmbeddedChromium;

This item has no description.

Protected FWrapperState: TWrapperState;

This item has no description.

Protected FBrowserWindow: TBrowserWindow;

This item has no description.

Methods

Protected procedure DoOnAfterCreated(Sender: TObject);

This item has no description.

Protected procedure DoOnBeforeClose(Sender: TObject);

This item has no description.

Protected procedure BrowserThread_OnClose(Sender: TObject; const browser: ICefBrowser; var aAction : TCefCloseBrowserAction);

This item has no description.

Protected procedure BrowserThread_OnGotFocus(Sender: TObject; const browser: ICefBrowser);

This item has no description.

Protected procedure MaybeDestroy;

This item has no description.

Public constructor Create(AOwner: TBrowserWindow); reintroduce;

This item has no description.

Public destructor Destroy; override;

This item has no description.

Public function CreateBrowser: boolean;

This item has no description.

Public procedure LoadURL(aURL: ustring);

This item has no description.

Public procedure CloseBrowser(aForceClose: boolean);

This item has no description.

Public function IsClosed: boolean;

This item has no description.

Public procedure WaitForBrowserClosed;

WaitForBrowserClosed calls ProcessMessages. It therefore is possible that the TBrowserWindow will be destroyed when this method returns. It is the callers responsibility to take any necessary precaution.

Properties

Published property Chromium: TEmbeddedChromium read FChromium;

This item has no description.


cef4delphi: uCEFBrowserWindow: Class TBrowserWindow

Class TBrowserWindow

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFBrowserWindow

Declaration

type TBrowserWindow = class(TCEFLinkedWinControlBase)

Description

TBrowserWindow

A simple "drop on the Form" component for an full embedded browser.

The component handles most events required by CEF. The only additions needed to be made by the User in their code are:

* Implement TForm.OnCloseQuery CEF must be able to destroy the browser, before the main form is closed. (That is while the Form still has a Handle, and the event loop is still running) It is adviced to do the same for any other form (other than the main form).

TForm.OnCloseQuery should call (for each TBrowserWindow) TBrowserWindow.CloseBrowser(True); The Form can be allowed to close by setting (checking for all BrowserWindows) CanClose := BrowserWindow.IsClosed;

On Windows and Linux it is also possible to Destroy the TBrowserWindow. This will wait for the browser to close, and after that the form can be closed. - However, this must be done in OnCloseQuery (or before). - Once TForm.Destroy is called, it is to late. By that time the event loop no longer runs.

*** IMPORTANT: (MacOS) *** On MacOs CloseBrowser() must be called, and the *event* must be awaited. Neither destroying the component, nor waiting with App.ProcessMessages will work. On MacOS, CEF will not finish until the OnCloseQuery event returned to the main event loop. (Hence ProcessMessage does not work). The same is true for any action taken in OnClick or other event. CEF always waits for any event to return to the main event loop. See also the BrowserWindowEX example how that affect modal forms.

* Implement TBrowserWindow.OnBrowserClosed If TForm.OnCloseQuery called CloseBrowser, this callback can be used to call Form.Close again (the callback should check if the browser was closed by OnCloseQuery.

* On Windows: handle the WM_ENTERMENULOOP and WM_EXITMENULOOP, as shown in examples

* Optional prevent pop-up windows by implementing Chromium.BeforePopup Chromium.OpenUrlFromTab

Hierarchy

  • TWinControl
  • TCEFWinControl
  • TCEFLinkedWinControlBase
  • TBrowserWindow

Overview

Methods

Protected | function GetChromium: TChromium; override;
Protected | procedure DestroyHandle; override;
Protected | procedure RealizeBounds; override;
Protected | procedure DoEnter; override;
Protected | procedure DoExit; override;
Protected | procedure DoOnCreated;
Protected | procedure DoOnClosed(Data: PtrInt);
Protected | procedure DoOnFocus(Data: PtrInt);
Public | constructor Create(AOwner: TComponent); override;
Public | destructor Destroy; override;
Public | procedure CreateHandle; override;
Public | procedure CloseBrowser(aForceClose: boolean);
Public | procedure WaitForBrowserClosed;
Public | function IsClosed: boolean;
Public | procedure LoadURL(aURL: ustring);

Properties

Published | property Chromium: TEmbeddedChromium read GetEmbeddedChromium;
Published | property OnBrowserCreated : TNotifyEvent read FOnBrowserCreated write FOnBrowserCreated;
Published | property OnBrowserClosed : TNotifyEvent read FOnBrowserClosed write FOnBrowserClosed;

Description

Methods

Protected function GetChromium: TChromium; override;

This item has no description.

Protected procedure DestroyHandle; override;

This item has no description.

Protected procedure RealizeBounds; override;

This item has no description.

Protected procedure DoEnter; override;

This item has no description.

Protected procedure DoExit; override;

This item has no description.

Protected procedure DoOnCreated;

This item has no description.

Protected procedure DoOnClosed(Data: PtrInt);

This item has no description.

Protected procedure DoOnFocus(Data: PtrInt);

This item has no description.

Public constructor Create(AOwner: TComponent); override;

This item has no description.

Public destructor Destroy; override;

This item has no description.

Public procedure CreateHandle; override;

This item has no description. Showing description inherited from TCEFWinControl.CreateHandle.

Exposes the CreateHandle procedure to create the Handle at any time.

Public procedure CloseBrowser(aForceClose: boolean);

This item has no description.

Public procedure WaitForBrowserClosed;

This item has no description.

Public function IsClosed: boolean;

This item has no description.

Public procedure LoadURL(aURL: ustring);

This item has no description.

Properties

Published property Chromium: TEmbeddedChromium read GetEmbeddedChromium;

This item has no description.

Published property OnBrowserCreated : TNotifyEvent read FOnBrowserCreated write FOnBrowserCreated;

This item has no description.

Published property OnBrowserClosed : TNotifyEvent read FOnBrowserClosed write FOnBrowserClosed;

OnBrowserClosed will not be called, if the TBrowserWindow is destroyed/destroying before the browser is closed.


cef4delphi: uCEFBufferPanel

Unit uCEFBufferPanel

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TBufferPanel | TBufferPanel is used by VCL and LCL applications with browsers in OSR mode to draw the browser contents. See the SimpleOSRBrowser demo for more details.

Functions and Procedures

procedure Register;

Types

TOnIMECommitTextEvent = procedure(Sender: TObject; const aText : ustring; const replacement_range : PCefRange; relative_cursor_pos : integer) of object;
TOnIMESetCompositionEvent = procedure(Sender: TObject; const aText : ustring; const underlines : TCefCompositionUnderlineDynArray; const replacement_range, selection_range : TCefRange) of object;
TOnHandledMessageEvent = procedure(Sender: TObject; var aMessage: TMessage; var aHandled : boolean) of object;

Description

Functions and Procedures

procedure Register;

This item has no description.

Types

TOnIMECommitTextEvent = procedure(Sender: TObject; const aText : ustring; const replacement_range : PCefRange; relative_cursor_pos : integer) of object;

This item has no description.

TOnIMESetCompositionEvent = procedure(Sender: TObject; const aText : ustring; const underlines : TCefCompositionUnderlineDynArray; const replacement_range, selection_range : TCefRange) of object;

This item has no description.

TOnHandledMessageEvent = procedure(Sender: TObject; var aMessage: TMessage; var aHandled : boolean) of object;

This item has no description.


cef4delphi: uCEFBufferPanel: Class TBufferPanel

Class TBufferPanel

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFBufferPanel

Declaration

type TBufferPanel = class(TCustomPanel)

Description

TBufferPanel is used by VCL and LCL applications with browsers in OSR mode to draw the browser contents. See the SimpleOSRBrowser demo for more details.

Hierarchy

  • TCustomPanel
  • TBufferPanel

Overview

Fields

Protected | FScanlineSize: integer;
Protected | FTransparent: boolean;
Protected | FOnPaintParentBkg: TNotifyEvent;
Protected | FForcedDeviceScaleFactor: single;
Protected | FDeviceScaleFactor: single;
Protected | FCopyOriginalBuffer: boolean;
Protected | FMustInitBuffer: boolean;
Protected | FBuffer: TBitmap;
Protected | FOrigBuffer: TCEFBitmapBitBuffer;
Protected | FOrigPopupBuffer: TCEFBitmapBitBuffer;
Protected | FOrigPopupScanlineSize: integer;
Protected | FSyncObj: THandle;
Protected | FIMEHandler: TCEFOSRIMEHandler;
Protected | FOnIMECancelComposition: TNotifyEvent;
Protected | FOnIMECommitText: TOnIMECommitTextEvent;
Protected | FOnIMESetComposition: TOnIMESetCompositionEvent;
Protected | FOnCustomTouch: TOnHandledMessageEvent;
Protected | FOnPointerDown: TOnHandledMessageEvent;
Protected | FOnPointerUp: TOnHandledMessageEvent;
Protected | FOnPointerUpdate: TOnHandledMessageEvent;

Methods

Protected | procedure CreateSyncObj;
Protected | procedure DestroySyncObj;
Protected | procedure DestroyBuffer;
Protected | function GetBufferBits: pointer;
Protected | function GetBufferWidth: integer;
Protected | function GetBufferHeight: integer;
Protected | function GetOrigBufferWidth: integer;
Protected | function GetOrigBufferHeight: integer;
Protected | function GetScreenScale: single; virtual;
Protected | function GetRealScreenScale(var aResultScale : single) : boolean; virtual;
Protected | function GetOrigPopupBufferBits: pointer;
Protected | function GetOrigPopupBufferWidth: integer;
Protected | function GetOrigPopupBufferHeight: integer;
Protected | function GetParentFormHandle: TCefWindowHandle;
Protected | function GetParentForm: TCustomForm;
Protected | procedure SetTransparent(aValue : boolean);
Protected | function CopyBuffer: boolean;
Protected | function SaveBufferToFile(const aFilename : string) : boolean;
Protected | procedure Paint; override;
Protected | procedure CreateParams(var Params: TCreateParams); override;
Protected | procedure WndProc(var aMessage: TMessage); override;
Protected | procedure WMCEFInvalidate(var aMessage: TMessage); message CEF_INVALIDATE;
Protected | procedure WMEraseBkgnd(var aMessage : TWMEraseBkgnd); message WM_ERASEBKGND;
Protected | procedure WMTouch(var aMessage: TMessage); message WM_TOUCH;
Protected | procedure WMPointerDown(var aMessage: TMessage); message WM_POINTERDOWN;
Protected | procedure WMPointerUpdate(var aMessage: TMessage); message WM_POINTERUPDATE;
Protected | procedure WMPointerUp(var aMessage: TMessage); message WM_POINTERUP;
Protected | procedure WMIMEStartComp(var aMessage: TMessage);
Protected | procedure WMIMEEndComp(var aMessage: TMessage);
Protected | procedure WMIMESetContext(var aMessage: TMessage);
Protected | procedure WMIMEComposition(var aMessage: TMessage);
Protected | procedure DoOnIMECancelComposition; virtual;
Protected | procedure DoOnIMECommitText(const aText : ustring; const replacement_range : PCefRange; relative_cursor_pos : integer); virtual;
Protected | procedure DoOnIMESetComposition(const aText : ustring; const underlines : TCefCompositionUnderlineDynArray; const replacement_range, selection_range : TCefRange); virtual;
Public | constructor Create(AOwner: TComponent); override;
Public | destructor Destroy; override;
Public | procedure AfterConstruction; override;
Public | function SaveToFile(const aFilename : string) : boolean;
Public | function InvalidatePanel: boolean;
Public | function BeginBufferDraw: boolean;
Public | procedure EndBufferDraw;
Public | procedure BufferDraw(x, y : integer; const aBitmap : TBitmap); overload;
Public | procedure BufferDraw(const aBitmap : TBitmap; const aSrcRect, aDstRect : TRect); overload;
Public | function UpdateBufferDimensions(aWidth, aHeight : integer) : boolean;
Public | function UpdateOrigBufferDimensions(aWidth, aHeight : integer) : boolean;
Public | function UpdateOrigPopupBufferDimensions(aWidth, aHeight : integer) : boolean;
Public | procedure UpdateDeviceScaleFactor;
Public | function BufferIsResized(aUseMutex : boolean = True) : boolean;
Public | procedure CreateIMEHandler;
Public | procedure ChangeCompositionRange(const selection_range : TCefRange; const character_bounds : TCefRectDynArray);
Public | procedure DrawOrigPopupBuffer(const aSrcRect, aDstRect : TRect);

Properties

Public | property ScanlineSize : integer read FScanlineSize;
Public | property BufferWidth : integer read GetBufferWidth;
Public | property BufferHeight : integer read GetBufferHeight;
Public | property BufferBits : pointer read GetBufferBits;
Public | property ScreenScale : single read GetScreenScale;
Public | property ForcedDeviceScaleFactor : single read FForcedDeviceScaleFactor write FForcedDeviceScaleFactor;
Public | property MustInitBuffer : boolean read FMustInitBuffer write FMustInitBuffer;
Public | property Buffer : TBitmap read FBuffer;
Public | property OrigBuffer : TCEFBitmapBitBuffer read FOrigBuffer;
Public | property OrigBufferWidth : integer read GetOrigBufferWidth;
Public | property OrigBufferHeight : integer read GetOrigBufferHeight;
Public | property OrigPopupBuffer : TCEFBitmapBitBuffer read FOrigPopupBuffer;
Public | property OrigPopupBufferWidth : integer read GetOrigPopupBufferWidth;
Public | property OrigPopupBufferHeight : integer read GetOrigPopupBufferHeight;
Public | property OrigPopupBufferBits : pointer read GetOrigPopupBufferBits;
Public | property OrigPopupScanlineSize : integer read FOrigPopupScanlineSize;
Public | property ParentFormHandle : TCefWindowHandle read GetParentFormHandle;
Public | property ParentForm : TCustomForm read GetParentForm;
Public | property DockManager;
Public | property Canvas;
Published | property OnIMECancelComposition : TNotifyEvent read FOnIMECancelComposition write FOnIMECancelComposition;
Published | property OnIMECommitText : TOnIMECommitTextEvent read FOnIMECommitText write FOnIMECommitText;
Published | property OnIMESetComposition : TOnIMESetCompositionEvent read FOnIMESetComposition write FOnIMESetComposition;
Published | property OnCustomTouch : TOnHandledMessageEvent read FOnCustomTouch write FOnCustomTouch;
Published | property OnPointerDown : TOnHandledMessageEvent read FOnPointerDown write FOnPointerDown;
Published | property OnPointerUp : TOnHandledMessageEvent read FOnPointerUp write FOnPointerUp;
Published | property OnPointerUpdate : TOnHandledMessageEvent read FOnPointerUpdate write FOnPointerUpdate;
Published | property OnPaintParentBkg : TNotifyEvent read FOnPaintParentBkg write FOnPaintParentBkg;
Published | property Transparent : boolean read FTransparent write SetTransparent default False;
Published | property CopyOriginalBuffer : boolean read FCopyOriginalBuffer write FCopyOriginalBuffer default False;
Published | property Align;
Published | property Alignment;
Published | property Anchors;
Published | property AutoSize;
Published | property OnUTF8KeyPress;
Published | property BevelInner;
Published | property BevelOuter;
Published | property BevelWidth;
Published | property BiDiMode;
Published | property BorderWidth;
Published | property BorderStyle;
Published | property Caption;
Published | property Color;
Published | property Constraints;
Published | property UseDockManager default True;
Published | property DockSite;
Published | property DoubleBuffered;
Published | property DragCursor;
Published | property DragKind;
Published | property DragMode;
Published | property Enabled;
Published | property FullRepaint;
Published | property Font;
Published | property ParentBiDiMode;
Published | property ParentColor;
Published | property ParentFont;
Published | property ParentShowHint;
Published | property PopupMenu;
Published | property ShowHint;
Published | property TabOrder;
Published | property TabStop;
Published | property Visible;
Published | property OnClick;
Published | property OnConstrainedResize;
Published | property OnContextPopup;
Published | property OnDockDrop;
Published | property OnDockOver;
Published | property OnDblClick;
Published | property OnDragDrop;
Published | property OnDragOver;
Published | property OnEndDock;
Published | property OnEndDrag;
Published | property OnEnter;
Published | property OnExit;
Published | property OnGetSiteInfo;
Published | property OnMouseDown;
Published | property OnMouseMove;
Published | property OnMouseUp;
Published | property OnMouseWheel;
Published | property OnKeyDown;
Published | property OnKeyPress;
Published | property OnKeyUp;
Published | property OnResize;
Published | property OnStartDock;
Published | property OnStartDrag;
Published | property OnUnDock;
Published | property OnMouseEnter;
Published | property OnMouseLeave;

Description

Fields

Protected FScanlineSize: integer;

This item has no description.

Protected FTransparent: boolean;

This item has no description.

Protected FOnPaintParentBkg: TNotifyEvent;

This item has no description.

Protected FForcedDeviceScaleFactor: single;

This item has no description.

Protected FDeviceScaleFactor: single;

This item has no description.

Protected FCopyOriginalBuffer: boolean;

This item has no description.

Protected FMustInitBuffer: boolean;

This item has no description.

Protected FBuffer: TBitmap;

This item has no description.

Protected FOrigBuffer: TCEFBitmapBitBuffer;

This item has no description.

Protected FOrigPopupBuffer: TCEFBitmapBitBuffer;

This item has no description.

Protected FOrigPopupScanlineSize: integer;

This item has no description.

Protected FSyncObj: THandle;

This item has no description.

Protected FIMEHandler: TCEFOSRIMEHandler;

This item has no description.

Protected FOnIMECancelComposition: TNotifyEvent;

This item has no description.

Protected FOnIMECommitText: TOnIMECommitTextEvent;

This item has no description.

Protected FOnIMESetComposition: TOnIMESetCompositionEvent;

This item has no description.

Protected FOnCustomTouch: TOnHandledMessageEvent;

This item has no description.

Protected FOnPointerDown: TOnHandledMessageEvent;

This item has no description.

Protected FOnPointerUp: TOnHandledMessageEvent;

This item has no description.

Protected FOnPointerUpdate: TOnHandledMessageEvent;

This item has no description.

Methods

Protected procedure CreateSyncObj;

This item has no description.

Protected procedure DestroySyncObj;

This item has no description.

Protected procedure DestroyBuffer;

This item has no description.

Protected function GetBufferBits: pointer;

This item has no description.

Protected function GetBufferWidth: integer;

This item has no description.

Protected function GetBufferHeight: integer;

This item has no description.

Protected function GetOrigBufferWidth: integer;

This item has no description.

Protected function GetOrigBufferHeight: integer;

This item has no description.

Protected function GetScreenScale: single; virtual;

This item has no description.

Protected function GetRealScreenScale(var aResultScale : single) : boolean; virtual;

This item has no description.

Protected function GetOrigPopupBufferBits: pointer;

This item has no description.

Protected function GetOrigPopupBufferWidth: integer;

This item has no description.

Protected function GetOrigPopupBufferHeight: integer;

This item has no description.

Protected function GetParentFormHandle: TCefWindowHandle;

This item has no description.

Protected function GetParentForm: TCustomForm;

This item has no description.

Protected procedure SetTransparent(aValue : boolean);

This item has no description.

Protected function CopyBuffer: boolean;

This item has no description.

Protected function SaveBufferToFile(const aFilename : string) : boolean;

This item has no description.

Protected procedure Paint; override;

This item has no description.

Protected procedure CreateParams(var Params: TCreateParams); override;

This item has no description.

Protected procedure WndProc(var aMessage: TMessage); override;

This item has no description.

Protected procedure WMCEFInvalidate(var aMessage: TMessage); message CEF_INVALIDATE;

This item has no description.

Protected procedure WMEraseBkgnd(var aMessage : TWMEraseBkgnd); message WM_ERASEBKGND;

This item has no description.

Protected procedure WMTouch(var aMessage: TMessage); message WM_TOUCH;

This item has no description.

Protected procedure WMPointerDown(var aMessage: TMessage); message WM_POINTERDOWN;

This item has no description.

Protected procedure WMPointerUpdate(var aMessage: TMessage); message WM_POINTERUPDATE;

This item has no description.

Protected procedure WMPointerUp(var aMessage: TMessage); message WM_POINTERUP;

This item has no description.

Protected procedure WMIMEStartComp(var aMessage: TMessage);

This item has no description.

Protected procedure WMIMEEndComp(var aMessage: TMessage);

This item has no description.

Protected procedure WMIMESetContext(var aMessage: TMessage);

This item has no description.

Protected procedure WMIMEComposition(var aMessage: TMessage);

This item has no description.

Protected procedure DoOnIMECancelComposition; virtual;

This item has no description.

Protected procedure DoOnIMECommitText(const aText : ustring; const replacement_range : PCefRange; relative_cursor_pos : integer); virtual;

This item has no description.

Protected procedure DoOnIMESetComposition(const aText : ustring; const underlines : TCefCompositionUnderlineDynArray; const replacement_range, selection_range : TCefRange); virtual;

This item has no description.

Public constructor Create(AOwner: TComponent); override;

This item has no description.

Public destructor Destroy; override;

This item has no description.

Public procedure AfterConstruction; override;

This item has no description.

Public function SaveToFile(const aFilename : string) : boolean;

Save the visible web contents as a bitmap file.

Public function InvalidatePanel: boolean;

Invalidate this panel.

Public function BeginBufferDraw: boolean;

Acquires the synchronization object before drawing into the background bitmap.

Public procedure EndBufferDraw;

Releases the synchronization object after drawing into the background bitmap.

Public procedure BufferDraw(x, y : integer; const aBitmap : TBitmap); overload;

Draws aBitmap into the background bitmap buffer at the specified coordinates.

Parameters
x
x coordinate where the bitmap will be drawn.
y
y coordinate where the bitmap will be drawn.
aBitmap
Bitmap that will be drawn into the background bitmap.
Public procedure BufferDraw(const aBitmap : TBitmap; const aSrcRect, aDstRect : TRect); overload;

Draws a part of aBitmap into the background bitmap buffer at the specified rectangle.

Parameters
aBitmap
Bitmap that will be drawn into the background bitmap.
aSrcRect
Rectangle that defines the area of aBitmap that will be drawn into the background bitmap.
aDstRect
Rectangle that defines the area of the background bitmap where aBitmap will be drawn.
Public function UpdateBufferDimensions(aWidth, aHeight : integer) : boolean;

Update the background bitmap size.

Public function UpdateOrigBufferDimensions(aWidth, aHeight : integer) : boolean;

Update the image size of the original buffer copy.

Public function UpdateOrigPopupBufferDimensions(aWidth, aHeight : integer) : boolean;

Update the popup image size of the original buffer copy.

Public procedure UpdateDeviceScaleFactor;

Update the FDeviceScaleFactor value with the current scale.

Public function BufferIsResized(aUseMutex : boolean = True) : boolean;

Check if the background image buffers have the same dimensions as this panel. Returns true if they have the same size.

Public procedure CreateIMEHandler;

Creates the IME handler.

Public procedure ChangeCompositionRange(const selection_range : TCefRange; const character_bounds : TCefRectDynArray);

Calls ChangeCompositionRange in the IME handler.

Public procedure DrawOrigPopupBuffer(const aSrcRect, aDstRect : TRect);

Copy the contents from the original popup buffer copy to the main buffer copy.

Properties

Public property ScanlineSize : integer read FScanlineSize;

Returns the scanline size.

Public property BufferWidth : integer read GetBufferWidth;

Image width.

Public property BufferHeight : integer read GetBufferHeight;

Image height.

Public property BufferBits : pointer read GetBufferBits;

Returns a pointer to the buffer that stores the image.

Public property ScreenScale : single read GetScreenScale;

Returns the screen scale.

Public property ForcedDeviceScaleFactor : single read FForcedDeviceScaleFactor write FForcedDeviceScaleFactor;

Screen scale value used instead of the real one.

Public property MustInitBuffer : boolean read FMustInitBuffer write FMustInitBuffer;

Clear the background image before copying the original buffer contents.

Public property Buffer : TBitmap read FBuffer;

Background bitmap.

Public property OrigBuffer : TCEFBitmapBitBuffer read FOrigBuffer;

Copy of the raw main bitmap buffer sent by CEF in the TChromiumCore.OnPaint event. OrigBuffer will be transferred to the bitmap buffer before copying the bitmap buffer to the panel.

Public property OrigBufferWidth : integer read GetOrigBufferWidth;

Image width of the raw main bitmap buffer copy.

Public property OrigBufferHeight : integer read GetOrigBufferHeight;

Image height of the raw main bitmap buffer copy.

Public property OrigPopupBuffer : TCEFBitmapBitBuffer read FOrigPopupBuffer;

Copy of the raw popup bitmap buffer sent by CEF in the TChromiumCore.OnPaint event.

Public property OrigPopupBufferWidth : integer read GetOrigPopupBufferWidth;

Image width of the raw popup bitmap buffer copy.

Public property OrigPopupBufferHeight : integer read GetOrigPopupBufferHeight;

Image height of the raw popup bitmap buffer copy.

Public property OrigPopupBufferBits : pointer read GetOrigPopupBufferBits;

Returns a pointer to the raw popup bitmap buffer copye.

Public property OrigPopupScanlineSize : integer read FOrigPopupScanlineSize;

Returns the scanline size of the raw popup bitmap buffer copy.

Public property ParentFormHandle : TCefWindowHandle read GetParentFormHandle;

Returns the handle of the parent form.

Public property ParentForm : TCustomForm read GetParentForm;

Returns the parent form.

Public property DockManager;

This item has no description.

Public property Canvas;

This item has no description.

Published property OnIMECancelComposition : TNotifyEvent read FOnIMECancelComposition write FOnIMECancelComposition;

Event triggered when a WM_IME_ENDCOMPOSITION message is received because the IME ended composition.

<see href="https://learn.microsoft.com/en-us/windows/win32/intl/wm-ime-endcomposition">See the WM_IME_ENDCOMPOSITION article.)

Published property OnIMECommitText : TOnIMECommitTextEvent read FOnIMECommitText write FOnIMECommitText;

Event triggered when a WM_IME_COMPOSITION message is received because the IME changed composition status as a result of a keystroke. This event is triggered after retrieving a composition result of the ongoing composition if it exists.

<see href="https://learn.microsoft.com/en-us/windows/win32/intl/wm-ime-composition">See the WM_IME_COMPOSITION article.)

Published property OnIMESetComposition : TOnIMESetCompositionEvent read FOnIMESetComposition write FOnIMESetComposition;

Event triggered when a WM_IME_COMPOSITION message is received because the IME changed composition status as a result of a keystroke. This event is triggered after retrieving the current composition status of the ongoing composition.

<see href="https://learn.microsoft.com/en-us/windows/win32/intl/wm-ime-composition">See the WM_IME_COMPOSITION article.)

Published property OnCustomTouch : TOnHandledMessageEvent read FOnCustomTouch write FOnCustomTouch;

Event triggered when a WM_TOUCH message is received. It notifies the window when one or more touch points, such as a finger or pen, touches a touch-sensitive digitizer surface.

<see href="https://learn.microsoft.com/en-us/windows/win32/wintouch/wm-touchdown">See the WM_TOUCH article.)

Published property OnPointerDown : TOnHandledMessageEvent read FOnPointerDown write FOnPointerDown;

Event triggered when a WM_POINTERDOWN message is received. Posted when a pointer makes contact over the client area of a window.

<see href="https://learn.microsoft.com/en-us/windows/win32/inputmsg/wm-pointerdown">See the WM_POINTERDOWN article.)

Published property OnPointerUp : TOnHandledMessageEvent read FOnPointerUp write FOnPointerUp;

Event triggered when a WM_POINTERUP message is received. Posted when a pointer that made contact over the client area of a window breaks contact.

<see href="https://learn.microsoft.com/en-us/windows/win32/inputmsg/wm-pointerup">See the WM_POINTERUP article.)

Published property OnPointerUpdate : TOnHandledMessageEvent read FOnPointerUpdate write FOnPointerUpdate;

Event triggered when a WM_POINTERUPDATE message is received. Posted to provide an update on a pointer that made contact over the client area of a window or on a hovering uncaptured pointer over the client area of a window.

<see href="https://learn.microsoft.com/en-us/windows/win32/inputmsg/wm-pointerupdate">See the WM_POINTERUPDATE article.)

Published property OnPaintParentBkg : TNotifyEvent read FOnPaintParentBkg write FOnPaintParentBkg;

Event triggered before the AlphaBlend call that transfer the web contents from the bitmap buffer to the panel when the Transparent property is True.

Published property Transparent : boolean read FTransparent write SetTransparent default False;

Set Transparent to True to use a WS_EX_TRANSPARENT window style in the panel and to call AlphaBlend in order to transfer the web contents from the bitmap buffer to the panel. If this property is False then BitBlt is used to transfer the web contents from the bitmap buffer to the panel.

Published property CopyOriginalBuffer : boolean read FCopyOriginalBuffer write FCopyOriginalBuffer default False;

When CopyOriginalBuffer is True then OrigBuffer will be used internally to copy of the raw main bitmap buffer sent by CEF in the TChromiumCore.OnPaint event. OrigBuffer will be transferred to the bitmap buffer before copying the buffer to the panel. This is necessary in GTK applications in order to avoid handling bitmaps in background threads.

Published property Align;

This item has no description.

Published property Alignment;

This item has no description.

Published property Anchors;

This item has no description.

Published property AutoSize;

This item has no description.

Published property OnUTF8KeyPress;

This item has no description.

Published property BevelInner;

This item has no description.

Published property BevelOuter;

This item has no description.

Published property BevelWidth;

This item has no description.

Published property BiDiMode;

This item has no description.

Published property BorderWidth;

This item has no description.

Published property BorderStyle;

This item has no description.

Published property Caption;

This item has no description.

Published property Color;

This item has no description.

Published property Constraints;

This item has no description.

Published property UseDockManager default True;

This item has no description.

Published property DockSite;

This item has no description.

Published property DoubleBuffered;

This item has no description.

Published property DragCursor;

This item has no description.

Published property DragKind;

This item has no description.

Published property DragMode;

This item has no description.

Published property Enabled;

This item has no description.

Published property FullRepaint;

This item has no description.

Published property Font;

This item has no description.

Published property ParentBiDiMode;

This item has no description.

Published property ParentColor;

This item has no description.

Published property ParentFont;

This item has no description.

Published property ParentShowHint;

This item has no description.

Published property PopupMenu;

This item has no description.

Published property ShowHint;

This item has no description.

Published property TabOrder;

This item has no description.

Published property TabStop;

This item has no description.

Published property Visible;

This item has no description.

Published property OnClick;

This item has no description.

Published property OnConstrainedResize;

This item has no description.

Published property OnContextPopup;

This item has no description.

Published property OnDockDrop;

This item has no description.

Published property OnDockOver;

This item has no description.

Published property OnDblClick;

This item has no description.

Published property OnDragDrop;

This item has no description.

Published property OnDragOver;

This item has no description.

Published property OnEndDock;

This item has no description.

Published property OnEndDrag;

This item has no description.

Published property OnEnter;

This item has no description.

Published property OnExit;

This item has no description.

Published property OnGetSiteInfo;

This item has no description.

Published property OnMouseDown;

This item has no description.

Published property OnMouseMove;

This item has no description.

Published property OnMouseUp;

This item has no description.

Published property OnMouseWheel;

This item has no description.

Published property OnKeyDown;

This item has no description.

Published property OnKeyPress;

This item has no description.

Published property OnKeyUp;

This item has no description.

Published property OnResize;

This item has no description.

Published property OnStartDock;

This item has no description.

Published property OnStartDrag;

This item has no description.

Published property OnUnDock;

This item has no description.

Published property OnMouseEnter;

This item has no description.

Published property OnMouseLeave;

This item has no description.


cef4delphi: uCEFButton

Unit uCEFButton

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefButtonRef | A View representing a button. Depending on the specific type, the button could be implemented by a native control or custom rendered. Methods must be called on the browser process UI thread unless otherwise indicated.


cef4delphi: uCEFButton: Class TCefButtonRef

Class TCefButtonRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFButton

Declaration

type TCefButtonRef = class(TCefViewRef, ICefButton)

Description

A View representing a button. Depending on the specific type, the button could be implemented by a native control or custom rendered. Methods must be called on the browser process UI thread unless otherwise indicated.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_button_capi.h">CEF source file: /include/capi/views/cef_button_capi.h (cef_button_t))

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefViewRef
  • TCefButtonRef

Overview

Methods

Protected | function AsLabelButton: ICefLabelButton;
Protected | procedure SetState(state_: TCefButtonState);
Protected | function GetState: TCefButtonState;
Protected | procedure SetInkDropEnabled(enabled_: boolean);
Protected | procedure SetTooltipText(const tooltip_text: ustring);
Protected | procedure SetAccessibleName(const name: ustring);
Public | class function UnWrap(data: Pointer): ICefButton;

Description

Methods

Protected function AsLabelButton: ICefLabelButton;

Returns this Button as a LabelButton or NULL if this is not a LabelButton.

Protected procedure SetState(state_: TCefButtonState);

Sets the current display state of the Button.

Protected function GetState: TCefButtonState;

Returns the current display state of the Button.

Protected procedure SetInkDropEnabled(enabled_: boolean);

Sets the Button will use an ink drop effect for displaying state changes.

Protected procedure SetTooltipText(const tooltip_text: ustring);

Sets the tooltip text that will be displayed when the user hovers the mouse cursor over the Button.

Protected procedure SetAccessibleName(const name: ustring);

Sets the accessible name that will be exposed to assistive technology (AT).

Public class function UnWrap(data: Pointer): ICefButton;

Returns a ICefButton instance using a PCefButton data pointer.


cef4delphi: uCEFButtonComponent

Unit uCEFButtonComponent

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCEFButtonComponent |


cef4delphi: uCEFButtonComponent: Class TCEFButtonComponent

Class TCEFButtonComponent

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFButtonComponent

Declaration

type TCEFButtonComponent = class(TCEFViewComponent, ICefButtonDelegateEvents)

Description

This item has no description.

Hierarchy

  • TObject
  • TPersistent
  • TComponent
  • TCEFViewComponent
  • TCEFButtonComponent

Overview

Fields

Protected | FButton: ICefButton;
Protected | FOnButtonPressed: TOnButtonPressedEvent;
Protected | FOnButtonStateChanged: TOnButtonStateChangedEvent;

Methods

Protected | procedure DestroyView; override;
Protected | procedure Initialize; override;
Protected | function GetInitialized: boolean; override;
Protected | function GetAsView: ICefView; override;
Protected | function GetState: TCefButtonState;
Protected | function GetAsButton: ICefButton; override;
Protected | function GetAsLabelButton: ICefLabelButton; virtual;
Protected | procedure SetState(state_: TCefButtonState);
Protected | procedure doOnButtonPressed(const button: ICefButton);
Protected | procedure doOnButtonStateChanged(const button: ICefButton);
Public | procedure SetInkDropEnabled(enabled_: boolean);
Public | procedure SetTooltipText(const tooltip_text: ustring);
Public | procedure SetAccessibleName(const name_: ustring);

Properties

Public | property AsLabelButton : ICefLabelButton read GetAsLabelButton;
Public | property State : TCefButtonState read GetState write SetState;
Published | property OnButtonPressed : TOnButtonPressedEvent read FOnButtonPressed write FOnButtonPressed;
Published | property OnButtonStateChanged : TOnButtonStateChangedEvent read FOnButtonStateChanged write FOnButtonStateChanged;

Description

Fields

Protected FButton: ICefButton;

This item has no description.

Protected FOnButtonPressed: TOnButtonPressedEvent;

ICefButtonDelegateEvents

Protected FOnButtonStateChanged: TOnButtonStateChangedEvent;

This item has no description.

Methods

Protected procedure DestroyView; override;

This item has no description.

Protected procedure Initialize; override;

This item has no description.

Protected function GetInitialized: boolean; override;

This item has no description.

Protected function GetAsView: ICefView; override;

This item has no description.

Protected function GetState: TCefButtonState;

This item has no description.

Protected function GetAsButton: ICefButton; override;

This item has no description.

Protected function GetAsLabelButton: ICefLabelButton; virtual;

This item has no description.

Protected procedure SetState(state_: TCefButtonState);

This item has no description.

Protected procedure doOnButtonPressed(const button: ICefButton);

ICefButtonDelegateEvents

Protected procedure doOnButtonStateChanged(const button: ICefButton);

This item has no description.

Public procedure SetInkDropEnabled(enabled_: boolean);

Sets the Button will use an ink drop effect for displaying state changes.

Public procedure SetTooltipText(const tooltip_text: ustring);

Sets the tooltip text that will be displayed when the user hovers the mouse cursor over the Button.

Public procedure SetAccessibleName(const name_: ustring);

Sets the accessible name that will be exposed to assistive technology (AT).

Properties

Public property AsLabelButton : ICefLabelButton read GetAsLabelButton;

Returns this Button as a LabelButton or NULL if this is not a LabelButton.

Public property State : TCefButtonState read GetState write SetState;

Returns the current display state of the Button.

Published property OnButtonPressed : TOnButtonPressedEvent read FOnButtonPressed write FOnButtonPressed;

Called when |button| is pressed.

Published property OnButtonStateChanged : TOnButtonStateChangedEvent read FOnButtonStateChanged write FOnButtonStateChanged;

Called when the state of |button| changes.


cef4delphi: uCEFButtonDelegate

Unit uCEFButtonDelegate

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefButtonDelegateRef |
Class TCefButtonDelegateOwn | Implement this interface to handle Button events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.
Class TCustomButtonDelegate | This class handles all the ICefButtonDelegate methods which call the ICefButtonDelegateEvents methods. ICefButtonDelegateEvents will be implemented by the control receiving the ICefButtonDelegate events.


cef4delphi: uCEFButtonDelegate: Class TCefButtonDelegateRef

Class TCefButtonDelegateRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFButtonDelegate

Declaration

type TCefButtonDelegateRef = class(TCefViewDelegateRef, ICefButtonDelegate)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefViewDelegateRef
  • TCefButtonDelegateRef

Overview

Methods

Protected | procedure OnButtonPressed(const button: ICefButton);
Protected | procedure OnButtonStateChanged(const button: ICefButton);
Public | class function UnWrap(data: Pointer): ICefButtonDelegate;

Description

Methods

Protected procedure OnButtonPressed(const button: ICefButton);

This item has no description. Showing description inherited from ICefButtonDelegate.OnButtonPressed.

Called when |button| is pressed.

Protected procedure OnButtonStateChanged(const button: ICefButton);

This item has no description. Showing description inherited from ICefButtonDelegate.OnButtonStateChanged.

Called when the state of |button| changes.

Public class function UnWrap(data: Pointer): ICefButtonDelegate;

Returns a ICefButtonDelegate instance using a PCefButtonDelegate data pointer.


cef4delphi: uCEFButtonDelegate: Class TCefButtonDelegateOwn

Class TCefButtonDelegateOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFButtonDelegate

Declaration

type TCefButtonDelegateOwn = class(TCefViewDelegateOwn, ICefButtonDelegate)

Description

Implement this interface to handle Button events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_button_delegate_capi.h">CEF source file: /include/capi/views/cef_button_delegate_capi.h (cef_button_delegate_t))

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefViewDelegateOwn
  • TCefButtonDelegateOwn

Overview

Methods

Protected | procedure OnButtonPressed(const button: ICefButton); virtual;
Protected | procedure OnButtonStateChanged(const button: ICefButton); virtual;
Protected | procedure InitializeCEFMethods; override;
Public | constructor Create; override;

Description

Methods

Protected procedure OnButtonPressed(const button: ICefButton); virtual;

Called when |button| is pressed.

Protected procedure OnButtonStateChanged(const button: ICefButton); virtual;

Called when the state of |button| changes.

Protected procedure InitializeCEFMethods; override;

Links the methods in the internal CEF record data pointer with the methods in this class.

Public constructor Create; override;

This item has no description.


cef4delphi: uCEFButtonDelegate: Class TCustomButtonDelegate

Class TCustomButtonDelegate

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFButtonDelegate

Declaration

type TCustomButtonDelegate = class(TCefButtonDelegateOwn)

Description

This class handles all the ICefButtonDelegate methods which call the ICefButtonDelegateEvents methods. ICefButtonDelegateEvents will be implemented by the control receiving the ICefButtonDelegate events.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefViewDelegateOwn
  • TCefButtonDelegateOwn
  • TCustomButtonDelegate

Overview

Fields

Protected FEvents: Pointer;

Methods

Protected | procedure OnGetPreferredSize(const view: ICefView; var aResult : TCefSize); override;
Protected | procedure OnGetMinimumSize(const view: ICefView; var aResult : TCefSize); override;
Protected | procedure OnGetMaximumSize(const view: ICefView; var aResult : TCefSize); override;
Protected | procedure OnGetHeightForWidth(const view: ICefView; width: Integer; var aResult: Integer); override;
Protected | procedure OnParentViewChanged(const view: ICefView; added: boolean; const parent: ICefView); override;
Protected | procedure OnChildViewChanged(const view: ICefView; added: boolean; const child: ICefView); override;
Protected | procedure OnWindowChanged(const view: ICefView; added: boolean); override;
Protected | procedure OnLayoutChanged(const view: ICefView; new_bounds: TCefRect); override;
Protected | procedure OnFocus(const view: ICefView); override;
Protected | procedure OnBlur(const view: ICefView); override;
Protected | procedure OnThemeChanged(const view: ICefView); override;
Protected | procedure OnButtonPressed(const button: ICefButton); override;
Protected | procedure OnButtonStateChanged(const button: ICefButton); override;
Public | constructor Create(const events: ICefButtonDelegateEvents); reintroduce;

Description

Fields

Protected FEvents: Pointer;

This item has no description.

Methods

Protected procedure OnGetPreferredSize(const view: ICefView; var aResult : TCefSize); override;

ICefViewDelegate

Protected procedure OnGetMinimumSize(const view: ICefView; var aResult : TCefSize); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnGetMinimumSize.

Return the minimum size for |view|.

Protected procedure OnGetMaximumSize(const view: ICefView; var aResult : TCefSize); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnGetMaximumSize.

Return the maximum size for |view|.

Protected procedure OnGetHeightForWidth(const view: ICefView; width: Integer; var aResult: Integer); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnGetHeightForWidth.

Return the height necessary to display |view| with the provided |width|. If not specified the result of get_preferred_size().height will be used by default. Override if |view|'s preferred height depends upon the width (for example, with Labels).

Protected procedure OnParentViewChanged(const view: ICefView; added: boolean; const parent: ICefView); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnParentViewChanged.

Called when the parent of |view| has changed. If |view| is being added to |parent| then |added| will be true (1). If |view| is being removed from |parent| then |added| will be false (0). If |view| is being reparented the remove notification will be sent before the add notification. Do not modify the view hierarchy in this callback.

Protected procedure OnChildViewChanged(const view: ICefView; added: boolean; const child: ICefView); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnChildViewChanged.

Called when a child of |view| has changed. If |child| is being added to |view| then |added| will be true (1). If |child| is being removed from |view| then |added| will be false (0). If |child| is being reparented the remove notification will be sent to the old parent before the add notification is sent to the new parent. Do not modify the view hierarchy in this callback.

Protected procedure OnWindowChanged(const view: ICefView; added: boolean); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnWindowChanged.

Called when |view| is added or removed from the ICefWindow.

Protected procedure OnLayoutChanged(const view: ICefView; new_bounds: TCefRect); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnLayoutChanged.

Called when the layout of |view| has changed.

Protected procedure OnFocus(const view: ICefView); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnFocus.

Called when |view| gains focus.

Protected procedure OnBlur(const view: ICefView); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnBlur.

Called when |view| loses focus.

Protected procedure OnThemeChanged(const view: ICefView); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnThemeChanged.

(

Called when the theme for |view| has changed, after the new theme colors have already been applied. Views are notified via the component hierarchy in depth-first reverse order (children before parents).

This will be called in the following cases:

1. When |view|, or a parent of |view|, is added to a Window.
2. When the native/OS or Chrome theme changes for the Window that contains
   |view|. See ICefWindowDelegate.OnThemeColorsChanged documentation.
3. When the client explicitly calls ICefWindow.ThemeChanged on the
   Window that contains |view|.

Optionally use this callback to override the new per-View theme colors by calling ICefView.SetBackgroundColor or the appropriate component- specific function. See ICefWindow.SetThemeColor documentation for how to customize additional Window theme colors.

(

Protected procedure OnButtonPressed(const button: ICefButton); override;

ICefButtonDelegate

Protected procedure OnButtonStateChanged(const button: ICefButton); override;

This item has no description. Showing description inherited from TCefButtonDelegateOwn.OnButtonStateChanged.

Called when the state of |button| changes.

Public constructor Create(const events: ICefButtonDelegateEvents); reintroduce;

Creates an instance of this class liked to an interface that's implemented by a control receiving the events.


cef4delphi: uCEFCallback

Unit uCEFCallback

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefCallbackRef |


cef4delphi: uCEFCallback: Class TCefCallbackRef

Class TCefCallbackRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFCallback

Declaration

type TCefCallbackRef = class(TCefBaseRefCountedRef, ICefCallback)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefCallbackRef

Overview

Methods

Protected | procedure Cont;
Protected | procedure Cancel;
Public | class function UnWrap(data: Pointer): ICefCallback;

Description

Methods

Protected procedure Cont;

This item has no description. Showing description inherited from ICefCallback.Cont.

Continue processing.

Protected procedure Cancel;

This item has no description. Showing description inherited from ICefCallback.Cancel.

Cancel processing.

Public class function UnWrap(data: Pointer): ICefCallback;

This item has no description.


cef4delphi: uCEFChromium

Unit uCEFChromium

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TChromium | VCL and LCL version of TChromiumCore that puts together all browser procedures, functions, properties and events in one place. It has all you need to create, modify and destroy a web browser.

Functions and Procedures

procedure Register;

Description

Functions and Procedures

procedure Register;

This item has no description.


cef4delphi: uCEFChromium: Class TChromium

Class TChromium

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFChromium

Declaration

type TChromium = class(TChromiumCore)

Description

VCL and LCL version of TChromiumCore that puts together all browser procedures, functions, properties and events in one place. It has all you need to create, modify and destroy a web browser.

Hierarchy

  • TObject
  • TPersistent
  • TComponent
  • TChromiumCore
  • TChromium

Overview

Methods

Protected | function GetParentFormHandle: TCefWindowHandle; override;
Protected | function GetParentForm: TCustomForm;
Protected | procedure InitializeDevToolsWindowInfo(aDevTools : TWinControl); virtual;
Public | procedure InitializeDragAndDrop(const aDropTargetCtrl : TWinControl);
Public | procedure ShowDevTools(inspectElementAt: TPoint; const aDevTools : TWinControl = nil);
Public | procedure CloseDevTools(const aDevTools : TWinControl = nil);
Public | procedure MoveFormTo(const x, y: Integer);
Public | procedure MoveFormBy(const x, y: Integer);
Public | procedure ResizeFormWidthTo(const x : Integer);
Public | procedure ResizeFormHeightTo(const y : Integer);
Public | procedure SetFormLeftTo(const x : Integer);
Public | procedure SetFormTopTo(const y : Integer);
Public | function CreateBrowser(const aBrowserParent : TWinControl = nil; const aWindowName : ustring = ''; const aContext : ICefRequestContext = nil; const aExtraInfo : ICefDictionaryValue = nil) : boolean; overload; virtual;
Public | function SaveAsBitmapStream(const aStream : TStream) : boolean;
Public | function TakeSnapshot(var aBitmap : TBitmap) : boolean;

Description

Methods

Protected function GetParentFormHandle: TCefWindowHandle; override;

This item has no description.

Protected function GetParentForm: TCustomForm;

This item has no description.

Protected procedure InitializeDevToolsWindowInfo(aDevTools : TWinControl); virtual;

This item has no description.

Public procedure InitializeDragAndDrop(const aDropTargetCtrl : TWinControl);

Used with browsers in OSR mode to initialize drag and drop in Windows.

Public procedure ShowDevTools(inspectElementAt: TPoint; const aDevTools : TWinControl = nil);

Open developer tools (DevTools) in its own browser. If inspectElementAt has a valid point with coordinates different than low(integer) then the element at the specified location will be inspected. If the DevTools browser is already open then it will be focused.

Public procedure CloseDevTools(const aDevTools : TWinControl = nil);

Close the developer tools.

Public procedure MoveFormTo(const x, y: Integer);

Move the parent form to the x and y coordinates.

Public procedure MoveFormBy(const x, y: Integer);

Move the parent form adding x and y to the coordinates.

Public procedure ResizeFormWidthTo(const x : Integer);

Add x to the parent form width.

Public procedure ResizeFormHeightTo(const y : Integer);

Add y to the parent form height.

Public procedure SetFormLeftTo(const x : Integer);

Set the parent form left property to x.

Public procedure SetFormTopTo(const y : Integer);

Set the parent form top property to y.

Public function CreateBrowser(const aBrowserParent : TWinControl = nil; const aWindowName : ustring = ''; const aContext : ICefRequestContext = nil; const aExtraInfo : ICefDictionaryValue = nil) : boolean; overload; virtual;

Used to create the browser after the global request context has been initialized. You need to set all properties and events before calling this function because it will only create the internal handlers needed for those events and the property values will be used in the browser initialization. The browser will be fully initialized when the TChromiumCore.OnAfterCreated event is triggered.

Public function SaveAsBitmapStream(const aStream : TStream) : boolean;

Copy the DC to a bitmap stream. Only works on Windows with browsers without GPU acceleration. It's recommended to use the "Page.captureScreenshot" DevTools method instead. )

Public function TakeSnapshot(var aBitmap : TBitmap) : boolean;

Copy the DC to a TBitmap. Only works on Windows with browsers without GPU acceleration. It's recommended to use the "Page.captureScreenshot" DevTools method instead.


cef4delphi: uCEFChromiumCore

Unit uCEFChromiumCore

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TChromiumCore | Parent class of TChromium and TFMXChromium that puts together all browser procedures, functions, properties and events in one place. It has all you need to create, modify and destroy a web browser.
Class TBrowserInfo |
Class TBrowserInfoList |


cef4delphi: uCEFChromiumCore: Class TChromiumCore

Class TChromiumCore

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFChromiumCore

Declaration

type TChromiumCore = class(TComponent, IChromiumEvents)

Description

Parent class of TChromium and TFMXChromium that puts together all browser procedures, functions, properties and events in one place. It has all you need to create, modify and destroy a web browser.

Hierarchy

  • TObject
  • TPersistent
  • TComponent
  • TChromiumCore

Overview

Fields

Protected | FCompHandle: HWND;
Protected | FHandler: ICefClient;
Protected | FBrowsersCS: TCriticalSection;
Protected | FBrowsers: TBrowserInfoList;
Protected | FBrowserId: integer;
Protected | FMultiBrowserMode: boolean;
Protected | FReqContextHandler: ICefRequestContextHandler;
Protected | FResourceRequestHandler: ICefResourceRequestHandler;
Protected | FMediaObserver: ICefMediaObserver;
Protected | FMediaObserverReg: ICefRegistration;
Protected | FDevToolsMsgObserver: ICefDevToolsMessageObserver;
Protected | FDevToolsMsgObserverReg: ICefRegistration;
Protected | FSettingObserver: ICefSettingObserver;
Protected | FSettingObserverReg: ICefRegistration;
Protected | FPreferenceInfoList: TPreferenceInfoList;
Protected | FPreferenceInfoCS: TCriticalSection;
Protected | FDefaultUrl: ustring;
Protected | FOptions: TChromiumOptions;
Protected | FFontOptions: TChromiumFontOptions;
Protected | FPDFPrintOptions: TPDFPrintOptions;
Protected | FDefaultEncoding: ustring;
Protected | FProxyType: integer;
Protected | FProxyScheme: TCefProxyScheme;
Protected | FProxyServer: ustring;
Protected | FProxyPort: integer;
Protected | FProxyUsername: ustring;
Protected | FProxyPassword: ustring;
Protected | FProxyScriptURL: ustring;
Protected | FProxyByPassList: ustring;
Protected | FMaxConnectionsPerProxy: integer;
Protected | FUpdatePreferences: boolean;
Protected | FCustomHeaderName: ustring;
Protected | FCustomHeaderValue: ustring;
Protected | FAddCustomHeader: boolean;
Protected | FDoNotTrack: boolean;
Protected | FSendReferrer: boolean;
Protected | FHyperlinkAuditing: boolean;
Protected | FAllowOutdatedPlugins: boolean;
Protected | FAlwaysAuthorizePlugins: boolean;
Protected | FAlwaysOpenPDFExternally: boolean;
Protected | FSpellChecking: boolean;
Protected | FSpellCheckerDicts: ustring;
Protected | FZoomStep: byte;
Protected | FZoomStepCS: TCriticalSection;
Protected | FPrefsFileName: string;
Protected | FIsOSR: boolean;
Protected | FSafeSearch: boolean;
Protected | FOffline: boolean;
Protected | FYouTubeRestrict: integer;
Protected | FPrintingEnabled: boolean;
Protected | FWindowInfo: TCEFWindowInfoWrapper;
Protected | FBrowserSettings: TCefBrowserSettings;
Protected | FDevWindowInfo: TCEFWindowInfoWrapper;
Protected | FDevBrowserSettings: TCefBrowserSettings;
Protected | FDragOperations: TCefDragOperations;
Protected | FDragDropManager: TCEFDragAndDropMgr;
Protected | FDropTargetWnd: HWND;
Protected | FDragAndDropInitialized: boolean;
Protected | FWebRTCIPHandlingPolicy: TCefWebRTCHandlingPolicy;
Protected | FWebRTCMultipleRoutes: TCefState;
Protected | FWebRTCNonProxiedUDP: TCefState;
Protected | FAcceptCookies: TCefCookiePref;
Protected | FBlock3rdPartyCookies: boolean;
Protected | FQuicAllowed: boolean;
Protected | FJavascriptEnabled: boolean;
Protected | FLoadImagesAutomatically: boolean;
Protected | FBatterySaverModeState: TCefBatterySaverModeState;
Protected | FHighEfficiencyModeState: TCefHighEfficiencyModeState;
Protected | FCanFocus: boolean;
Protected | FEnableFocusDelayMs: cardinal;
Protected | FComponentID: integer;
Protected | FDownloadBubble: TCefState;
Protected | FHTTPSUpgrade: TCefState;
Protected | FHSTSPolicyBypassList: ustring;
Protected | FCredentialsService: TCefState;
Protected | FAutofillCreditCard: TCefState;
Protected | FAutofillProfile: TCefState;
Protected | FAutofillSaveData: TCefState;
Protected | FCanMakePayment: TCefState;
Protected | FSearchSuggestEnabled: TCefState;
Protected | FURLDataCollection: TCefState;
Protected | FTryingToCloseBrowser: boolean;
Protected | FStorageNotificationService: TCefState;
Protected | FOldBrowserCompWndPrc: TFNWndProc;
Protected | FOldRenderCompWndPrc: TFNWndProc;
Protected | FBrowserCompStub: Pointer;
Protected | FRenderCompStub: Pointer;
Protected | FBrowserCompHWND: THandle;
Protected | FRenderCompHWND: THandle;
Protected | FOnProcessMessageReceived: TOnProcessMessageReceived;
Protected | FOnLoadStart: TOnLoadStart;
Protected | FOnLoadEnd: TOnLoadEnd;
Protected | FOnLoadError: TOnLoadError;
Protected | FOnLoadingStateChange: TOnLoadingStateChange;
Protected | FOnTakeFocus: TOnTakeFocus;
Protected | FOnSetFocus: TOnSetFocus;
Protected | FOnGotFocus: TOnGotFocus;
Protected | FOnBeforeContextMenu: TOnBeforeContextMenu;
Protected | FOnRunContextMenu: TOnRunContextMenu;
Protected | FOnContextMenuCommand: TOnContextMenuCommand;
Protected | FOnContextMenuDismissed: TOnContextMenuDismissed;
Protected | FOnRunQuickMenu: TOnRunQuickMenuEvent;
Protected | FOnQuickMenuCommand: TOnQuickMenuCommandEvent;
Protected | FOnQuickMenuDismissed: TOnQuickMenuDismissedEvent;
Protected | FOnPreKeyEvent: TOnPreKeyEvent;
Protected | FOnKeyEvent: TOnKeyEvent;
Protected | FOnAddressChange: TOnAddressChange;
Protected | FOnTitleChange: TOnTitleChange;
Protected | FOnFavIconUrlChange: TOnFavIconUrlChange;
Protected | FOnFullScreenModeChange: TOnFullScreenModeChange;
Protected | FOnTooltip: TOnTooltip;
Protected | FOnStatusMessage: TOnStatusMessage;
Protected | FOnConsoleMessage: TOnConsoleMessage;
Protected | FOnAutoResize: TOnAutoResize;
Protected | FOnLoadingProgressChange: TOnLoadingProgressChange;
Protected | FOnCursorChange: TOnCursorChange;
Protected | FOnMediaAccessChange: TOnMediaAccessChange;
Protected | FOnContentsBoundsChange: TOnContentsBoundsChange;
Protected | FOnGetRootWindowScreenRect: TOnGetRootWindowScreenRect;
Protected | FOnCanDownload: TOnCanDownloadEvent;
Protected | FOnBeforeDownload: TOnBeforeDownload;
Protected | FOnDownloadUpdated: TOnDownloadUpdated;
Protected | FOnJsdialog: TOnJsdialog;
Protected | FOnBeforeUnloadDialog: TOnBeforeUnloadDialog;
Protected | FOnResetDialogState: TOnResetDialogState;
Protected | FOnDialogClosed: TOnDialogClosed;
Protected | FOnBeforePopup: TOnBeforePopup;
Protected | FOnBeforePopupAborted: TOnBeforePopupAborted;
Protected | FOnBeforeDevToolsPopup: TOnBeforeDevToolsPopup;
Protected | FOnAfterCreated: TOnAfterCreated;
Protected | FOnBeforeClose: TOnBeforeClose;
Protected | FOnClose: TOnClose;
Protected | FOnBeforeBrowse: TOnBeforeBrowse;
Protected | FOnOpenUrlFromTab: TOnOpenUrlFromTab;
Protected | FOnGetAuthCredentials: TOnGetAuthCredentials;
Protected | FOnCertificateError: TOnCertificateError;
Protected | FOnSelectClientCertificate: TOnSelectClientCertificate;
Protected | FOnRenderViewReady: TOnRenderViewReady;
Protected | FOnRenderProcessUnresponsive: TOnRenderProcessUnresponsive;
Protected | FOnRenderProcessResponsive: TOnRenderProcessResponsive;
Protected | FOnRenderProcessTerminated: TOnRenderProcessTerminated;
Protected | FOnGetResourceRequestHandler_ReqHdlr: TOnGetResourceRequestHandler;
Protected | FOnDocumentAvailableInMainFrame: TOnDocumentAvailableInMainFrame;
Protected | FOnBeforeResourceLoad: TOnBeforeResourceLoad;
Protected | FOnGetResourceHandler: TOnGetResourceHandler;
Protected | FOnResourceRedirect: TOnResourceRedirect;
Protected | FOnResourceResponse: TOnResourceResponse;
Protected | FOnGetResourceResponseFilter: TOnGetResourceResponseFilter;
Protected | FOnResourceLoadComplete: TOnResourceLoadComplete;
Protected | FOnProtocolExecution: TOnProtocolExecution;
Protected | FOnCanSendCookie: TOnCanSendCookie;
Protected | FOnCanSaveCookie: TOnCanSaveCookie;
Protected | FOnFileDialog: TOnFileDialog;
Protected | FOnGetAccessibilityHandler: TOnGetAccessibilityHandler;
Protected | FOnGetRootScreenRect: TOnGetRootScreenRect;
Protected | FOnGetViewRect: TOnGetViewRect;
Protected | FOnGetScreenPoint: TOnGetScreenPoint;
Protected | FOnGetScreenInfo: TOnGetScreenInfo;
Protected | FOnPopupShow: TOnPopupShow;
Protected | FOnPopupSize: TOnPopupSize;
Protected | FOnPaint: TOnPaint;
Protected | FOnAcceleratedPaint: TOnAcceleratedPaint;
Protected | FOnGetTouchHandleSize: TOnGetTouchHandleSize;
Protected | FOnTouchHandleStateChanged: TOnTouchHandleStateChanged;
Protected | FOnStartDragging: TOnStartDragging;
Protected | FOnUpdateDragCursor: TOnUpdateDragCursor;
Protected | FOnScrollOffsetChanged: TOnScrollOffsetChanged;
Protected | FOnIMECompositionRangeChanged: TOnIMECompositionRangeChanged;
Protected | FOnTextSelectionChanged: TOnTextSelectionChanged;
Protected | FOnVirtualKeyboardRequested: TOnVirtualKeyboardRequested;
Protected | FOnDragEnter: TOnDragEnter;
Protected | FOnDraggableRegionsChanged: TOnDraggableRegionsChanged;
Protected | FOnFindResult: TOnFindResult;
Protected | FOnRequestContextInitialized: TOnRequestContextInitialized;
Protected | FOnGetResourceRequestHandler_ReqCtxHdlr: TOnGetResourceRequestHandler;
Protected | FOnSinks: TOnSinksEvent;
Protected | FOnRoutes: TOnRoutesEvent;
Protected | FOnRouteStateChanged: TOnRouteStateChangedEvent;
Protected | FOnRouteMessageReceived: TOnRouteMessageReceivedEvent;
Protected | FOnGetAudioParameters: TOnGetAudioParametersEvent;
Protected | FOnAudioStreamStarted: TOnAudioStreamStartedEvent;
Protected | FOnAudioStreamPacket: TOnAudioStreamPacketEvent;
Protected | FOnAudioStreamStopped: TOnAudioStreamStoppedEvent;
Protected | FOnAudioStreamError: TOnAudioStreamErrorEvent;
Protected | FOnDevToolsMessage: TOnDevToolsMessageEvent;
Protected | FOnDevToolsRawMessage: TOnDevToolsRawMessageEvent;
Protected | FOnDevToolsMethodResult: TOnDevToolsMethodResultEvent;
Protected | FOnDevToolsMethodRawResult: TOnDevToolsMethodRawResultEvent;
Protected | FOnDevToolsEvent: TOnDevToolsEventEvent;
Protected | FOnDevToolsRawEvent: TOnDevToolsEventRawEvent;
Protected | FOnDevToolsAgentAttached: TOnDevToolsAgentAttachedEvent;
Protected | FOnDevToolsAgentDetached: TOnDevToolsAgentDetachedEvent;
Protected | FOnPrintStart: TOnPrintStartEvent;
Protected | FOnPrintSettings: TOnPrintSettingsEvent;
Protected | FOnPrintDialog: TOnPrintDialogEvent;
Protected | FOnPrintJob: TOnPrintJobEvent;
Protected | FOnPrintReset: TOnPrintResetEvent;
Protected | FOnGetPDFPaperSize: TOnGetPDFPaperSizeEvent;
Protected | FOnFrameCreated: TOnFrameCreated;
Protected | FOnFrameDestroyed: TOnFrameDestroyed;
Protected | FOnFrameAttached: TOnFrameAttached;
Protected | FOnFrameDetached: TOnFrameDetached;
Protected | FOnMainFrameChanged: TOnMainFrameChanged;
Protected | FOnChromeCommand: TOnChromeCommandEvent;
Protected | FOnIsChromeAppMenuItemVisible: TOnIsChromeAppMenuItemVisibleEvent;
Protected | FOnIsChromeAppMenuItemEnabled: TOnIsChromeAppMenuItemEnabledEvent;
Protected | FOnIsChromePageActionIconVisible: TOnIsChromePageActionIconVisibleEvent;
Protected | FOnIsChromeToolbarButtonVisible: TOnIsChromeToolbarButtonVisibleEvent;
Protected | FOnRequestMediaAccessPermission: TOnRequestMediaAccessPermissionEvent;
Protected | FOnShowPermissionPrompt: TOnShowPermissionPromptEvent;
Protected | FOnDismissPermissionPrompt: TOnDismissPermissionPromptEvent;
Protected | FOnPreferenceChanged: TOnPreferenceChangedEvent;
Protected | FOnSettingChanged: TOnSettingChangedEvent;
Protected | FOnTextResultAvailable: TOnTextResultAvailableEvent;
Protected | FOnPdfPrintFinished: TOnPdfPrintFinishedEvent;
Protected | FOnPrefsAvailable: TOnPrefsAvailableEvent;
Protected | FOnPrefsUpdated: TNotifyEvent;
Protected | FOnCookiesDeleted: TOnCookiesDeletedEvent;
Protected | FOnResolvedHostAvailable: TOnResolvedIPsAvailableEvent;
Protected | FOnNavigationVisitorResultAvailable: TOnNavigationVisitorResultAvailableEvent;
Protected | FOnDownloadImageFinished: TOnDownloadImageFinishedEvent;
Protected | FOnCookiesFlushed: TNotifyEvent;
Protected | FOnCertificateExceptionsCleared: TNotifyEvent;
Protected | FOnHttpAuthCredentialsCleared: TNotifyEvent;
Protected | FOnAllConnectionsClosed: TNotifyEvent;
Protected | FOnExecuteTaskOnCefThread: TOnExecuteTaskOnCefThread;
Protected | FOnCookiesVisited: TOnCookiesVisited;
Protected | FOnCookieVisitorDestroyed: TOnCookieVisitorDestroyed;
Protected | FOnCookieSet: TOnCookieSet;
Protected | FOnZoomPctAvailable: TOnZoomPctAvailable;
Protected | FOnMediaRouteCreateFinished: TOnMediaRouteCreateFinishedEvent;
Protected | FOnMediaSinkDeviceInfo: TOnMediaSinkDeviceInfoEvent;
Protected | FOnCanFocus: TNotifyEvent;
Protected | FOnBrowserCompMsg: TOnCompMsgEvent;
Protected | FOnRenderCompMsg: TOnCompMsgEvent;

Methods

Protected | function GetIsLoading: boolean;
Protected | function GetMultithreadApp: boolean;
Protected | function GetHasDocument: boolean;
Protected | function GetHasView: boolean;
Protected | function GetHasDevTools: boolean;
Protected | function GetHasClientHandler: boolean;
Protected | function GetHasBrowser: boolean;
Protected | function GetCanGoBack: boolean;
Protected | function GetCanGoForward: boolean;
Protected | function GetDocumentURL: ustring;
Protected | function GetZoomLevel: double;
Protected | function GetZoomPct: double;
Protected | function GetZoomStep: byte;
Protected | function GetDefaultZoomLevel: double;
Protected | function GetCanIncZoom: boolean;
Protected | function GetCanDecZoom: boolean;
Protected | function GetCanResetZoom: boolean;
Protected | function GetIsPopUp: boolean;
Protected | function GetWindowHandle: TCefWindowHandle;
Protected | function GetOpenerWindowHandle: TCefWindowHandle;
Protected | function GetOpenerIdentifier: Integer;
Protected | function GetWindowlessFrameRate: integer;
Protected | function GetFrameIsFocused: boolean;
Protected | function GetInitialized: boolean;
Protected | function GetVisibleNavigationEntry: ICefNavigationEntry;
Protected | function GetRuntimeStyle: TCefRuntimeStyle;
Protected | function GetHasValidMainFrame: boolean;
Protected | function GetFrameCount: NativeUInt;
Protected | function GetRequestContextCache: ustring;
Protected | function GetRequestContextIsGlobal: boolean;
Protected | function GetChromeColorSchemeMode: TCefColorVariant;
Protected | function GetChromeColorSchemeColor: TCefColor;
Protected | function GetChromeColorSchemeVariant: TCefColorVariant;
Protected | function GetAudioMuted: boolean;
Protected | function GetFullscreen: boolean;
Protected | function GetIsRenderProcessUnresponsive: boolean;
Protected | function GetParentFormHandle: TCefWindowHandle; virtual;
Protected | function GetRequestContext: ICefRequestContext;
Protected | function GetMediaRouter: ICefMediaRouter;
Protected | function GetBrowser: ICefBrowser;
Protected | function GetBrowserId: integer;
Protected | function GetBrowserById(aID : integer) : ICefBrowser;
Protected | function GetBrowserCount: integer;
Protected | function GetBrowserIdByIndex(aIndex : integer) : integer;
Protected | function GetComponentID: integer;
Protected | function GetCefWindowInfo: TCefWindowInfo;
Protected | function GetWindowInfoExStyle: DWORD;
Protected | procedure SetDoNotTrack(aValue : boolean);
Protected | procedure SetSendReferrer(aValue : boolean);
Protected | procedure SetHyperlinkAuditing(aValue : boolean);
Protected | procedure SetAllowOutdatedPlugins(aValue : boolean);
Protected | procedure SetAlwaysAuthorizePlugins(aValue : boolean);
Protected | procedure SetAlwaysOpenPDFExternally(aValue : boolean);
Protected | procedure SetSpellChecking(aValue : boolean);
Protected | procedure SetSpellCheckerDicts(const aValue : ustring);
Protected | procedure SetWebRTCIPHandlingPolicy(aValue : TCefWebRTCHandlingPolicy);
Protected | procedure SetWebRTCMultipleRoutes(aValue : TCefState);
Protected | procedure SetWebRTCNonProxiedUDP(aValue : TCefState);
Protected | procedure SetProxyType(aValue : integer);
Protected | procedure SetProxyScheme(aValue : TCefProxyScheme);
Protected | procedure SetProxyServer(const aValue : ustring);
Protected | procedure SetProxyPort(aValue : integer);
Protected | procedure SetProxyUsername(const aValue : ustring);
Protected | procedure SetProxyPassword(const aValue : ustring);
Protected | procedure SetProxyScriptURL(const aValue : ustring);
Protected | procedure SetProxyByPassList(const aValue : ustring);
Protected | procedure SetMaxConnectionsPerProxy(const aValue : integer);
Protected | procedure SetCustomHeaderName(const aValue : ustring);
Protected | procedure SetCustomHeaderValue(const aValue : ustring);
Protected | procedure SetZoomLevel(const aValue : double);
Protected | procedure SetZoomPct(const aValue : double);
Protected | procedure SetZoomStep(aValue : byte);
Protected | procedure SetWindowlessFrameRate(aValue : integer);
Protected | procedure SetAudioMuted(aValue : boolean);
Protected | procedure SetSafeSearch(aValue : boolean);
Protected | procedure SetOffline(aValue : boolean);
Protected | procedure SetYouTubeRestrict(aValue : integer);
Protected | procedure SetPrintingEnabled(aValue : boolean);
Protected | procedure SetAcceptCookies(const aValue : TCefCookiePref);
Protected | procedure SetBlock3rdPartyCookies(const aValue : boolean);
Protected | procedure SetMultiBrowserMode(aValue : boolean);
Protected | procedure SetQuicAllowed(aValue : boolean);
Protected | procedure SetJavascriptEnabled(aValue : boolean);
Protected | procedure SetLoadImagesAutomatically(aValue : boolean);
Protected | procedure SetBatterySaverModeState(aValue : TCefBatterySaverModeState);
Protected | procedure SetHighEfficiencyModeState(aValue : TCefHighEfficiencyModeState);
Protected | procedure SetDefaultUrl(const aValue : ustring);
Protected | procedure SetRuntimeStyle(aValue : TCefRuntimeStyle);
Protected | procedure SetWindowInfoExStyle(aValue : DWORD);
Protected | function CreateBrowserHost(aWindowInfo : PCefWindowInfo; const aURL : ustring; const aSettings : PCefBrowserSettings; const aExtraInfo : ICefDictionaryValue; const aContext : ICefRequestContext): boolean;
Protected | function CreateBrowserHostSync(aWindowInfo : PCefWindowInfo; const aURL : ustring; const aSettings : PCefBrowserSettings; const aExtraInfo : ICefDictionaryValue; const aContext : ICefRequestContext): Boolean;
Protected | procedure DestroyAllBrowsers;
Protected | procedure DestroyClientHandler;
Protected | procedure DestroyReqContextHandler;
Protected | procedure DestroyResourceRequestHandler;
Protected | procedure DestroyMediaObserver;
Protected | procedure DestroyDevToolsMsgObserver;
Protected | procedure DestroySettingObserver;
Protected | procedure DestroyPreferenceObserver;
Protected | procedure DestroyAllHandlersAndObservers;
Protected | procedure CreateResourceRequestHandler; virtual;
Protected | procedure CreateMediaObserver; virtual;
Protected | procedure CreateDevToolsMsgObserver; virtual;
Protected | procedure CreateSettingObserver; virtual;
Protected | procedure CreatePreferenceObserver; virtual;
Protected | procedure CreateRequestContextHandler; virtual;
Protected | procedure CreateOptionsClasses; virtual;
Protected | procedure CreateSyncObjects; virtual;
Protected | procedure CreateBrowserInfoList; virtual;
Protected | procedure CreateWindowWithWndProc; virtual;
Protected | procedure InitializeEvents;
Protected | procedure InitializeSettings(var aSettings : TCefBrowserSettings);
Protected | function UpdateProxyPrefs(const aBrowser: ICefBrowser) : boolean;
Protected | function UpdatePreference(const aBrowser: ICefBrowser; const aName : ustring; aValue : boolean) : boolean; overload;
Protected | function UpdatePreference(const aBrowser: ICefBrowser; const aName : ustring; aValue : integer) : boolean; overload;
Protected | function UpdatePreference(const aBrowser: ICefBrowser; const aName : ustring; const aValue : double) : boolean; overload;
Protected | function UpdatePreference(const aBrowser: ICefBrowser; const aName, aValue : ustring) : boolean; overload;
Protected | function UpdatePreference(const aBrowser: ICefBrowser; const aName : ustring; const aValue : TStringList) : boolean; overload;
Protected | function UpdateStringListPref(const aBrowser: ICefBrowser; const aName, aValue : ustring) : boolean;
Protected | function ExecuteUpdateZoomStepTask(aInc : boolean) : boolean;
Protected | function ExecuteUpdateZoomPctTask(aInc : boolean) : boolean;
Protected | function ExecuteReadZoomTask: boolean;
Protected | function ExecuteSetZoomPctTask(const aValue : double) : boolean;
Protected | function ExecuteSetZoomLevelTask(const aValue : double) : boolean;
Protected | function ExecuteSetZoomStepTask(aValue : byte) : boolean;
Protected | function ExecuteBrowserNavigationTask(aTask : TCefBrowserNavigation) : boolean;
Protected | procedure UpdateHostZoomLevel(const aValue : double);
Protected | procedure UpdateHostZoomPct(const aValue : double);
Protected | procedure DelayedDragging;
Protected | procedure InitializeWindowInfo(aParentHandle : TCefWindowHandle; aParentRect : TRect; const aWindowName : ustring); virtual;
Protected | procedure DefaultInitializeDevToolsWindowInfo(aDevToolsWnd: TCefWindowHandle; const aClientRect: TRect; const aWindowName: ustring);
Protected | function AddBrowser(const aBrowser : ICefBrowser) : boolean;
Protected | function RemoveBrowser(const aBrowser : ICefBrowser) : boolean;
Protected | procedure SetBrowserIsClosing(aID : integer);
Protected | procedure PrefsAvailableMsg(aResultOK : boolean);
Protected | function SendCompMessage(aMsg : cardinal; aWParam : WPARAM = 0; aLParam : LPARAM = 0) : boolean;
Protected | procedure ToMouseEvent(grfKeyState : Longint; pt : TPoint; var aMouseEvent : TCefMouseEvent);
Protected | procedure WndProc(var aMessage: TMessage);
Protected | procedure CreateStub(const aMethod : TWndMethod; var aStub : Pointer);
Protected | procedure FreeAndNilStub(var aStub : pointer);
Protected | function InstallCompWndProc(aWnd: THandle; aStub: Pointer): TFNWndProc;
Protected | procedure RestoreCompWndProc(var aOldWnd: THandle; aNewWnd: THandle; var aProc: TFNWndProc);
Protected | procedure CallOldCompWndProc(aProc: TFNWndProc; aWnd: THandle; var aMessage: TMessage);
Protected | procedure BrowserCompWndProc(var aMessage: TMessage);
Protected | procedure RenderCompWndProc(var aMessage: TMessage);
Protected | procedure RestoreOldCompWndProc;
Protected | function CopyDCToBitmapStream(aSrcDC : HDC; const aSrcRect : TRect; const aStream : TStream) : boolean;
Protected | procedure DragDropManager_OnDragEnter(Sender: TObject; const aDragData : ICefDragData; grfKeyState: Longint; pt: TPoint; var dwEffect: Longint);
Protected | procedure DragDropManager_OnDragOver(Sender: TObject; grfKeyState: Longint; pt: TPoint; var dwEffect: Longint);
Protected | procedure DragDropManager_OnDragLeave(Sender: TObject);
Protected | procedure DragDropManager_OnDrop(Sender: TObject; grfKeyState: Longint; pt: TPoint; var dwEffect: Longint);
Protected | function doOnProcessMessageReceived(const browser: ICefBrowser; const frame: ICefFrame; sourceProcess: TCefProcessId; const aMessage: ICefProcessMessage): Boolean; virtual;
Protected | procedure doOnLoadStart(const browser: ICefBrowser; const frame: ICefFrame; transitionType: TCefTransitionType); virtual;
Protected | procedure doOnLoadEnd(const browser: ICefBrowser; const frame: ICefFrame; httpStatusCode: Integer); virtual;
Protected | procedure doOnLoadError(const browser: ICefBrowser; const frame: ICefFrame; errorCode: TCefErrorCode; const errorText, failedUrl: ustring); virtual;
Protected | procedure doOnLoadingStateChange(const browser: ICefBrowser; isLoading, canGoBack, canGoForward: Boolean); virtual;
Protected | procedure doOnTakeFocus(const browser: ICefBrowser; next: Boolean); virtual;
Protected | function doOnSetFocus(const browser: ICefBrowser; source: TCefFocusSource): Boolean; virtual;
Protected | procedure doOnGotFocus(const browser: ICefBrowser); virtual;
Protected | procedure doOnBeforeContextMenu(const browser: ICefBrowser; const frame: ICefFrame; const params: ICefContextMenuParams; const model: ICefMenuModel); virtual;
Protected | function doRunContextMenu(const browser: ICefBrowser; const frame: ICefFrame; const params: ICefContextMenuParams; const model: ICefMenuModel; const callback: ICefRunContextMenuCallback): Boolean; virtual;
Protected | function doOnContextMenuCommand(const browser: ICefBrowser; const frame: ICefFrame; const params: ICefContextMenuParams; commandId: Integer; eventFlags: TCefEventFlags): Boolean; virtual;
Protected | procedure doOnContextMenuDismissed(const browser: ICefBrowser; const frame: ICefFrame); virtual;
Protected | function doRunQuickMenu(const browser: ICefBrowser; const frame: ICefFrame; location: PCefPoint; size: PCefSize; edit_state_flags: TCefQuickMenuEditStateFlags; const callback: ICefRunQuickMenuCallback): boolean; virtual;
Protected | function doOnQuickMenuCommand(const browser: ICefBrowser; const frame: ICefFrame; command_id: integer; event_flags: TCefEventFlags): boolean; virtual;
Protected | procedure doOnQuickMenuDismissed(const browser: ICefBrowser; const frame: ICefFrame); virtual;
Protected | function doOnPreKeyEvent(const browser: ICefBrowser; const event: PCefKeyEvent; osEvent: TCefEventHandle; out isKeyboardShortcut: Boolean): Boolean; virtual;
Protected | function doOnKeyEvent(const browser: ICefBrowser; const event: PCefKeyEvent; osEvent: TCefEventHandle): Boolean; virtual;
Protected | procedure doOnAddressChange(const browser: ICefBrowser; const frame: ICefFrame; const url: ustring); virtual;
Protected | procedure doOnTitleChange(const browser: ICefBrowser; const title: ustring); virtual;
Protected | procedure doOnFaviconUrlChange(const browser: ICefBrowser; const iconUrls: TStrings); virtual;
Protected | procedure doOnFullScreenModeChange(const browser: ICefBrowser; fullscreen: Boolean); virtual;
Protected | function doOnTooltip(const browser: ICefBrowser; var text: ustring): Boolean; virtual;
Protected | procedure doOnStatusMessage(const browser: ICefBrowser; const value: ustring); virtual;
Protected | function doOnConsoleMessage(const browser: ICefBrowser; level: TCefLogSeverity; const aMessage, source: ustring; line: Integer): Boolean; virtual;
Protected | function doOnAutoResize(const browser: ICefBrowser; const new_size: PCefSize): Boolean; virtual;
Protected | procedure doOnLoadingProgressChange(const browser: ICefBrowser; const progress: double); virtual;
Protected | procedure doOnCursorChange(const browser: ICefBrowser; cursor_: TCefCursorHandle; cursorType: TCefCursorType; const customCursorInfo: PCefCursorInfo; var aResult : boolean); virtual;
Protected | procedure doOnMediaAccessChange(const browser: ICefBrowser; has_video_access, has_audio_access: boolean); virtual;
Protected | function doOnContentsBoundsChange(const browser: ICefBrowser; const new_bounds: PCefRect): Boolean; virtual;
Protected | function doOnGetRootWindowScreenRect(const browser: ICefBrowser; rect_: PCefRect): Boolean; virtual;
Protected | function doOnCanDownload(const browser: ICefBrowser; const url, request_method: ustring): boolean;
Protected | function doOnBeforeDownload(const browser: ICefBrowser; const downloadItem: ICefDownloadItem; const suggestedName: ustring; const callback: ICefBeforeDownloadCallback): boolean; virtual;
Protected | procedure doOnDownloadUpdated(const browser: ICefBrowser; const downloadItem: ICefDownloadItem; const callback: ICefDownloadItemCallback); virtual;
Protected | function doOnJsdialog(const browser: ICefBrowser; const originUrl: ustring; dialogType: TCefJsDialogType; const messageText, defaultPromptText: ustring; const callback: ICefJsDialogCallback; out suppressMessage: Boolean): Boolean; virtual;
Protected | function doOnBeforeUnloadDialog(const browser: ICefBrowser; const messageText: ustring; isReload: Boolean; const callback: ICefJsDialogCallback): Boolean; virtual;
Protected | procedure doOnResetDialogState(const browser: ICefBrowser); virtual;
Protected | procedure doOnDialogClosed(const browser: ICefBrowser); virtual;
Protected | function doOnBeforePopup(const browser: ICefBrowser; const frame: ICefFrame; popup_id: Integer; const targetUrl, targetFrameName: ustring; targetDisposition: TCefWindowOpenDisposition; userGesture: Boolean; const popupFeatures: TCefPopupFeatures; var windowInfo: TCefWindowInfo; var client: ICefClient; var settings: TCefBrowserSettings; var extra_info: ICefDictionaryValue; var noJavascriptAccess: Boolean): Boolean; virtual;
Protected | procedure doOnBeforePopupAborted(const browser: ICefBrowser; popup_id: Integer); virtual;
Protected | procedure doOnBeforeDevToolsPopup(const browser: ICefBrowser; var windowInfo: TCefWindowInfo; var client: ICefClient; var settings: TCefBrowserSettings; var extra_info: ICefDictionaryValue; var use_default_window: boolean); virtual;
Protected | procedure doOnAfterCreated(const browser: ICefBrowser); virtual;
Protected | procedure doOnBeforeClose(const browser: ICefBrowser); virtual;
Protected | function doOnClose(const browser: ICefBrowser): Boolean; virtual;
Protected | function doOnBeforeBrowse(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; user_gesture, isRedirect: Boolean): Boolean; virtual;
Protected | function doOnOpenUrlFromTab(const browser: ICefBrowser; const frame: ICefFrame; const targetUrl: ustring; targetDisposition: TCefWindowOpenDisposition; userGesture: Boolean): Boolean; virtual;
Protected | procedure doGetResourceRequestHandler_ReqHdlr(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; is_navigation, is_download: boolean; const request_initiator: ustring; var disable_default_handling: boolean; var aResourceRequestHandler : ICefResourceRequestHandler); virtual;
Protected | function doOnGetAuthCredentials(const browser: ICefBrowser; const originUrl: ustring; isProxy: Boolean; const host: ustring; port: Integer; const realm, scheme: ustring; const callback: ICefAuthCallback): Boolean; virtual;
Protected | function doOnCertificateError(const browser: ICefBrowser; certError: TCefErrorcode; const requestUrl: ustring; const sslInfo: ICefSslInfo; const callback: ICefCallback): Boolean; virtual;
Protected | function doOnSelectClientCertificate(const browser: ICefBrowser; isProxy: boolean; const host: ustring; port: integer; certificatesCount: NativeUInt; const certificates: TCefX509CertificateArray; const callback: ICefSelectClientCertificateCallback): boolean; virtual;
Protected | procedure doOnRenderViewReady(const browser: ICefBrowser); virtual;
Protected | function doOnRenderProcessUnresponsive(const browser: ICefBrowser; const callback: ICefUnresponsiveProcessCallback): boolean; virtual;
Protected | procedure doOnRenderProcessResponsive(const browser: ICefBrowser); virtual;
Protected | procedure doOnRenderProcessTerminated(const browser: ICefBrowser; status: TCefTerminationStatus; error_code: integer; const error_string: ustring); virtual;
Protected | procedure doOnDocumentAvailableInMainFrame(const browser: ICefBrowser); virtual;
Protected | function doOnBeforeResourceLoad(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const callback: ICefCallback): TCefReturnValue; virtual;
Protected | procedure doOnGetResourceHandler(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; var aResourceHandler : ICefResourceHandler); virtual;
Protected | procedure doOnResourceRedirect(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; var newUrl: ustring); virtual;
Protected | function doOnResourceResponse(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse): Boolean; virtual;
Protected | procedure doOnGetResourceResponseFilter(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; var aResponseFilter: ICefResponseFilter); virtual;
Protected | procedure doOnResourceLoadComplete(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; status: TCefUrlRequestStatus; receivedContentLength: Int64); virtual;
Protected | procedure doOnProtocolExecution(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; var allowOsExecution: Boolean); virtual;
Protected | function doCanSendCookie(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const cookie: PCefCookie): boolean; virtual;
Protected | function doCanSaveCookie(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; const cookie: PCefCookie): boolean; virtual;
Protected | function doOnFileDialog(const browser: ICefBrowser; mode: TCefFileDialogMode; const title, defaultFilePath: ustring; const acceptFilters, accept_extensions, accept_descriptions: TStrings; const callback: ICefFileDialogCallback): Boolean; virtual;
Protected | procedure doOnGetAccessibilityHandler(var aAccessibilityHandler : ICefAccessibilityHandler); virtual;
Protected | function doOnGetRootScreenRect(const browser: ICefBrowser; var rect: TCefRect): Boolean; virtual;
Protected | procedure doOnGetViewRect(const browser: ICefBrowser; var rect: TCefRect); virtual;
Protected | function doOnGetScreenPoint(const browser: ICefBrowser; viewX, viewY: Integer; var screenX, screenY: Integer): Boolean; virtual;
Protected | function doOnGetScreenInfo(const browser: ICefBrowser; var screenInfo: TCefScreenInfo): Boolean; virtual;
Protected | procedure doOnPopupShow(const browser: ICefBrowser; show: Boolean); virtual;
Protected | procedure doOnPopupSize(const browser: ICefBrowser; const rect: PCefRect); virtual;
Protected | procedure doOnPaint(const browser: ICefBrowser; type_: TCefPaintElementType; dirtyRectsCount: NativeUInt; const dirtyRects: PCefRectArray; const buffer: Pointer; width, height: Integer); virtual;
Protected | procedure doOnAcceleratedPaint(const browser: ICefBrowser; type_: TCefPaintElementType; dirtyRectsCount: NativeUInt; const dirtyRects: PCefRectArray; const info: PCefAcceleratedPaintInfo); virtual;
Protected | procedure doGetTouchHandleSize(const browser: ICefBrowser; orientation: TCefHorizontalAlignment; var size: TCefSize); virtual;
Protected | procedure doOnTouchHandleStateChanged(const browser: ICefBrowser; const state: TCefTouchHandleState); virtual;
Protected | function doOnStartDragging(const browser: ICefBrowser; const dragData: ICefDragData; allowedOps: TCefDragOperations; x, y: Integer): Boolean; virtual;
Protected | procedure doOnUpdateDragCursor(const browser: ICefBrowser; operation: TCefDragOperation); virtual;
Protected | procedure doOnScrollOffsetChanged(const browser: ICefBrowser; x, y: Double); virtual;
Protected | procedure doOnIMECompositionRangeChanged(const browser: ICefBrowser; const selected_range: PCefRange; character_boundsCount: NativeUInt; const character_bounds: PCefRect); virtual;
Protected | procedure doOnTextSelectionChanged(const browser: ICefBrowser; const selected_text: ustring; const selected_range: PCefRange); virtual;
Protected | procedure doOnVirtualKeyboardRequested(const browser: ICefBrowser; input_mode: TCefTextInpuMode); virtual;
Protected | function doOnDragEnter(const browser: ICefBrowser; const dragData: ICefDragData; mask: TCefDragOperations): Boolean; virtual;
Protected | procedure doOnDraggableRegionsChanged(const browser: ICefBrowser; const frame: ICefFrame; regionsCount: NativeUInt; const regions: PCefDraggableRegionArray); virtual;
Protected | procedure doOnFindResult(const browser: ICefBrowser; identifier, count: Integer; const selectionRect: PCefRect; activeMatchOrdinal: Integer; finalUpdate: Boolean); virtual;
Protected | procedure doOnRequestContextInitialized(const request_context: ICefRequestContext); virtual;
Protected | procedure doGetResourceRequestHandler_ReqCtxHdlr(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; is_navigation, is_download: boolean; const request_initiator: ustring; var disable_default_handling: boolean; var aResourceRequestHandler : ICefResourceRequestHandler); virtual;
Protected | procedure doOnSinks(const sinks: TCefMediaSinkArray); virtual;
Protected | procedure doOnRoutes(const routes: TCefMediaRouteArray); virtual;
Protected | procedure doOnRouteStateChanged(const route: ICefMediaRoute; state: TCefMediaRouteConnectionState); virtual;
Protected | procedure doOnRouteMessageReceived(const route: ICefMediaRoute; const message_: ustring); virtual;
Protected | procedure doOnGetAudioParameters(const browser: ICefBrowser; var params: TCefAudioParameters; var aResult: boolean); virtual;
Protected | procedure doOnAudioStreamStarted(const browser: ICefBrowser; const params: TCefAudioParameters; channels: integer); virtual;
Protected | procedure doOnAudioStreamPacket(const browser: ICefBrowser; const data : PPSingle; frames: integer; pts: int64); virtual;
Protected | procedure doOnAudioStreamStopped(const browser: ICefBrowser); virtual;
Protected | procedure doOnAudioStreamError(const browser: ICefBrowser; const message_: ustring); virtual;
Protected | procedure doOnDevToolsMessage(const browser: ICefBrowser; const message_: Pointer; message_size: NativeUInt; var aHandled: boolean); virtual;
Protected | procedure doOnDevToolsMethodResult(const browser: ICefBrowser; message_id: integer; success: boolean; const result: Pointer; result_size: NativeUInt); virtual;
Protected | procedure doOnDevToolsEvent(const browser: ICefBrowser; const method: ustring; const params: Pointer; params_size: NativeUInt); virtual;
Protected | procedure doOnDevToolsAgentAttached(const browser: ICefBrowser); virtual;
Protected | procedure doOnDevToolsAgentDetached(const browser: ICefBrowser); virtual;
Protected | procedure doOnPrintStart(const browser: ICefBrowser);
Protected | procedure doOnPrintSettings(const browser: ICefBrowser; const settings: ICefPrintSettings; getDefaults: boolean);
Protected | procedure doOnPrintDialog(const browser: ICefBrowser; hasSelection: boolean; const callback: ICefPrintDialogCallback; var aResult : boolean);
Protected | procedure doOnPrintJob(const browser: ICefBrowser; const documentName, PDFFilePath: ustring; const callback: ICefPrintJobCallback; var aResult : boolean);
Protected | procedure doOnPrintReset(const browser: ICefBrowser);
Protected | procedure doOnGetPDFPaperSize(const browser: ICefBrowser; deviceUnitsPerInch: Integer; var aResult : TCefSize);
Protected | procedure doOnFrameCreated(const browser: ICefBrowser; const frame: ICefFrame);
Protected | procedure doOnFrameDestroyed(const browser: ICefBrowser; const frame: ICefFrame);
Protected | procedure doOnFrameAttached(const browser: ICefBrowser; const frame: ICefFrame; reattached: boolean);
Protected | procedure doOnFrameDetached(const browser: ICefBrowser; const frame: ICefFrame);
Protected | procedure doOnMainFrameChanged(const browser: ICefBrowser; const old_frame, new_frame: ICefFrame);
Protected | function doOnChromeCommand(const browser: ICefBrowser; command_id: integer; disposition: TCefWindowOpenDisposition): boolean;
Protected | function doOnIsChromeAppMenuItemVisible(const browser: ICefBrowser; command_id: integer): boolean;
Protected | function doOnIsChromeAppMenuItemEnabled(const browser: ICefBrowser; command_id: integer): boolean;
Protected | function doOnIsChromePageActionIconVisible(icon_type: TCefChromePageActionIconType): boolean;
Protected | function doOnIsChromeToolbarButtonVisible(button_type: TCefChromeToolbarButtonType): boolean;
Protected | function doOnRequestMediaAccessPermission(const browser: ICefBrowser; const frame: ICefFrame; const requesting_origin: ustring; requested_permissions: cardinal; const callback: ICefMediaAccessCallback): boolean;
Protected | function doOnShowPermissionPrompt(const browser: ICefBrowser; prompt_id: uint64; const requesting_origin: ustring; requested_permissions: cardinal; const callback: ICefPermissionPromptCallback): boolean;
Protected | procedure doOnDismissPermissionPrompt(const browser: ICefBrowser; prompt_id: uint64; result: TCefPermissionRequestResult);
Protected | procedure doOnPreferenceChanged(const name_: ustring);
Protected | procedure doOnSettingChanged(const requesting_url, top_level_url : ustring; content_type: TCefContentSettingTypes);
Protected | procedure GetSettings(var aSettings : TCefBrowserSettings);
Protected | procedure doCookiesDeleted(numDeleted : integer); virtual;
Protected | procedure doPdfPrintFinished(aResultOK : boolean); virtual;
Protected | procedure doTextResultAvailable(const aText : ustring); virtual;
Protected | procedure doUpdatePreferences(const aBrowser: ICefBrowser); virtual;
Protected | procedure doUpdateOwnPreferences; virtual;
Protected | function doSavePreferences: boolean; virtual;
Protected | procedure doResolvedHostAvailable(result: TCefErrorCode; const resolvedIps: TStrings); virtual;
Protected | function doNavigationVisitorResultAvailable(const entry: ICefNavigationEntry; current: Boolean; index, total: Integer) : boolean; virtual;
Protected | procedure doDownloadImageFinished(const imageUrl: ustring; httpStatusCode: Integer; const image: ICefImage); virtual;
Protected | procedure doOnCookiesStoreFlushed; virtual;
Protected | procedure doCertificateExceptionsCleared; virtual;
Protected | procedure doHttpAuthCredentialsCleared; virtual;
Protected | procedure doAllConnectionsClosed; virtual;
Protected | procedure doOnExecuteTaskOnCefThread(aTaskID : cardinal); virtual;
Protected | procedure doOnCookiesVisited(const name_, value, domain, path: ustring; secure, httponly, hasExpires: Boolean; const creation, lastAccess, expires: TDateTime; count, total, aID : Integer; same_site : TCefCookieSameSite; priority : TCefCookiePriority; var aDeleteCookie, aResult : Boolean); virtual;
Protected | procedure doOnCookieVisitorDestroyed(aID : integer); virtual;
Protected | procedure doOnCookieSet(aSuccess : boolean; aID : integer); virtual;
Protected | procedure doUpdateZoomStep(aInc : boolean); virtual;
Protected | procedure doUpdateZoomPct(aInc : boolean); virtual;
Protected | procedure doReadZoom; virtual;
Protected | procedure doSetZoomLevel(const aValue : double); virtual;
Protected | procedure doSetZoomPct(const aValue : double); virtual;
Protected | procedure doSetZoomStep(aValue : byte); virtual;
Protected | procedure doMediaRouteCreateFinished(result: TCefMediaRouterCreateResult; const error: ustring; const route: ICefMediaRoute); virtual;
Protected | procedure doOnMediaSinkDeviceInfo(const ip_address: ustring; port: integer; const model_name: ustring); virtual;
Protected | procedure doBrowserNavigation(aTask : TCefBrowserNavigation); virtual;
Protected | procedure doSetAudioMuted(aValue : boolean); virtual;
Protected | procedure doToggleAudioMuted; virtual;
Protected | procedure doEnableFocus; virtual;
Protected | function doTryCloseBrowser: boolean; virtual;
Protected | procedure doAddPreferenceObserver(const name_ : ustring); virtual;
Protected | function MustCreateAudioHandler: boolean; virtual;
Protected | function MustCreateCommandHandler: boolean; virtual;
Protected | function MustCreateDevToolsMessageObserver: boolean; virtual;
Protected | function MustCreateSettingObserver: boolean; virtual;
Protected | function MustCreateLoadHandler: boolean; virtual;
Protected | function MustCreateFocusHandler: boolean; virtual;
Protected | function MustCreateContextMenuHandler: boolean; virtual;
Protected | function MustCreateDialogHandler: boolean; virtual;
Protected | function MustCreateKeyboardHandler: boolean; virtual;
Protected | function MustCreateDisplayHandler: boolean; virtual;
Protected | function MustCreateDownloadHandler: boolean; virtual;
Protected | function MustCreateJsDialogHandler: boolean; virtual;
Protected | function MustCreateLifeSpanHandler: boolean; virtual;
Protected | function MustCreateRenderHandler: boolean; virtual;
Protected | function MustCreateRequestHandler: boolean; virtual;
Protected | function MustCreateDragHandler: boolean; virtual;
Protected | function MustCreateFindHandler: boolean; virtual;
Protected | function MustCreateResourceRequestHandler: boolean; virtual;
Protected | function MustCreateCookieAccessFilter: boolean; virtual;
Protected | function MustCreateMediaObserver: boolean; virtual;
Protected | function MustCreatePrintHandler: boolean; virtual;
Protected | function MustCreateFrameHandler: boolean; virtual;
Protected | function MustCreatePermissionHandler: boolean; virtual;
Public | constructor Create(AOwner: TComponent); override;
Public | destructor Destroy; override;
Public | procedure AfterConstruction; override;
Public | procedure BeforeDestruction; override;
Public | function CreateClientHandler(aIsOSR : boolean = True) : boolean; overload;
Public | function CreateClientHandler(var aClient : ICefClient; aIsOSR : boolean = True) : boolean; overload;
Public | procedure CloseBrowser(aForceClose : boolean);
Public | procedure CloseAllBrowsers;
Public | function TryCloseBrowser: boolean;
Public | function IsReadyToBeClosed: boolean;
Public | function SelectBrowser(aID : integer) : boolean;
Public | function IndexOfBrowserID(aID : integer) : integer;
Public | function ShareRequestContext(var aContext : ICefRequestContext; const aHandler : ICefRequestContextHandler = nil) : boolean;
Public | procedure InitializeDragAndDrop(const aDropTargetWnd : HWND);
Public | procedure ShutdownDragAndDrop;
Public | function SetNewBrowserParent(aNewParentHwnd : HWND) : boolean;
Public | function CreateBrowser(aParentHandle : TCefWindowHandle; aParentRect : TRect; const aWindowName : ustring = ''; const aContext : ICefRequestContext = nil; const aExtraInfo : ICefDictionaryValue = nil; aForceAsPopup : boolean = False) : boolean; overload; virtual;
Public | function CreateBrowser(const aURL : ustring; const aBrowserViewComp : TCEFBrowserViewComponent; const aContext : ICefRequestContext = nil; const aExtraInfo : ICefDictionaryValue = nil) : boolean; overload; virtual;
Public | procedure LoadURL(const aURL : ustring; const aFrameName : ustring = ''; const aFrameIdentifier : ustring = ''); overload;
Public | procedure LoadURL(const aURL : ustring; const aFrame : ICefFrame); overload;
Public | procedure LoadString(const aHTML : ustring; const aFrameName : ustring = ''; const aFrameIdentifier : ustring = ''); overload;
Public | procedure LoadString(const aHTML : ustring; const aFrame : ICefFrame); overload;
Public | procedure LoadResource(const aStream : TCustomMemoryStream; const aMimeType, aCharset : string; const aFrameName : ustring = ''; const aFrameIdentifier : ustring = ''); overload;
Public | procedure LoadResource(const aStream : TCustomMemoryStream; const aMimeType, aCharset : string; const aFrame : ICefFrame); overload;
Public | procedure LoadRequest(const aRequest: ICefRequest);
Public | procedure GoBack;
Public | procedure GoForward;
Public | procedure Reload;
Public | procedure ReloadIgnoreCache;
Public | procedure StopLoad;
Public | procedure StartDownload(const aURL : ustring);
Public | procedure DownloadImage(const imageUrl: ustring; isFavicon: Boolean; maxImageSize: cardinal; bypassCache: Boolean);
Public | procedure SimulateMouseWheel(aDeltaX, aDeltaY : integer);
Public | procedure SimulateKeyEvent(type_: TSimulatedCefKeyEventType; modifiers: integer = CEF_MOUSETOUCH_EVENT_MODIFIERS_NONE; timestamp: single = 0; const text: ustring = ''; const unmodifiedtext: ustring = ''; const keyIdentifier: ustring = ''; const code: ustring = ''; const key: ustring = ''; windowsVirtualKeyCode: integer = 0; nativeVirtualKeyCode: integer = 0; autoRepeat: boolean = False; isKeypad: boolean = False; isSystemKey: boolean = False; location: TCefKeyLocation = CEF_KEYLOCATION_NONE; commands: TCefEditingCommand = ecNone);
Public | procedure SimulateMouseEvent(type_: TCefSimulatedMouseEventType; x, y: single; modifiers: integer = CEF_MOUSETOUCH_EVENT_MODIFIERS_NONE; timestamp: single = 0; button: TCefSimulatedMouseButton = CEF_SIMULATEDMOUSEBUTTON_NONE; buttons: integer = CEF_PRESSED_MOUSE_BUTTONS_NONE; clickCount: integer = 0; force: single = 0; tangentialPressure: single = 0; tiltX: single = 0; tiltY: single = 0; twist: integer = 0; deltaX: single = 0; deltaY: single = 0; pointerType: TCefSimulatedPointerType = CEF_SIMULATEDPOINTERTYPE_MOUSE);
Public | procedure SimulateTouchEvent(type_: TCefSimulatedTouchEventType; var touchPoints: TCefSimulatedTouchPointArray; modifiers: integer = CEF_MOUSETOUCH_EVENT_MODIFIERS_NONE; timestamp: single = 0);
Public | procedure SimulateEditingCommand(command : TCefEditingCommand);
Public | function ClearCertificateExceptions(aClearImmediately : boolean = True) : boolean;
Public | function ClearHttpAuthCredentials(aClearImmediately : boolean = True) : boolean;
Public | function CloseAllConnections(aCloseImmediately : boolean = True) : boolean;
Public | procedure RetrieveHTML(const aFrameName : ustring = ''; const aFrameIdentifier : ustring = ''); overload;
Public | procedure RetrieveHTML(const aFrame : ICefFrame); overload;
Public | procedure RetrieveText(const aFrameName : ustring = ''; const aFrameIdentifier : ustring = ''); overload;
Public | procedure RetrieveText(const aFrame : ICefFrame); overload;
Public | procedure GetNavigationEntries(currentOnly: Boolean);
Public | function GetFrameNames(var aFrameNames : TStrings) : boolean;
Public | function GetFrameIdentifiers(var aFrameIdentifiers : TStrings) : boolean;
Public | procedure ExecuteJavaScript(const aCode, aScriptURL : ustring; const aFrameName : ustring = ''; const aFrameIdentifier : ustring = ''; aStartLine : integer = 0); overload;
Public | procedure ExecuteJavaScript(const aCode, aScriptURL : ustring; const aFrame : ICefFrame; aStartLine : integer = 0); overload;
Public | procedure UpdatePreferences;
Public | procedure SavePreferences(const aFileName : string);
Public | procedure ResolveHost(const aURL : ustring);
Public | function IsSameBrowser(const aBrowser : ICefBrowser) : boolean;
Public | function ExecuteTaskOnCefThread(aCefThreadId : TCefThreadId; aTaskID : cardinal; aDelayMs : Int64 = 0) : boolean;
Public | procedure SetUserAgentOverride(const aUserAgent : ustring; const aAcceptLanguage : ustring = ''; const aPlatform : ustring = '');
Public | procedure ClearDataForOrigin(const aOrigin : ustring; aStorageTypes : TCefClearDataStorageTypes = cdstAll);
Public | procedure ClearCache;
Public | procedure ToggleAudioMuted;
Public | procedure AddPreferenceObserver(const name_: ustring);
Public | procedure RemovePreferenceObserver(const name_ : ustring);
Public | function DeleteCookies(const url : ustring = ''; const cookieName : ustring = ''; aDeleteImmediately : boolean = False) : boolean;
Public | function VisitAllCookies(aID : integer = 0) : boolean;
Public | function VisitURLCookies(const url : ustring; includeHttpOnly : boolean = False; aID : integer = 0) : boolean;
Public | function SetCookie(const url, name_, value, domain, path: ustring; secure, httponly, hasExpires: Boolean; const creation, lastAccess, expires: TDateTime; same_site : TCefCookieSameSite; priority : TCefCookiePriority; aSetImmediately : boolean = True; aID : integer = 0): Boolean;
Public | function FlushCookieStore(aFlushImmediately : boolean = True) : boolean;
Public | procedure ShowDevTools(const inspectElementAt: TPoint; aWindowInfo: PCefWindowInfo);
Public | procedure CloseDevTools; overload;
Public | procedure CloseDevTools(const aDevToolsWnd : TCefWindowHandle); overload;
Public | function SendDevToolsMessage(const message_: ustring): boolean;
Public | function ExecuteDevToolsMethod(message_id: integer; const method: ustring; const params: ICefDictionaryValue): Integer;
Public | function AddDevToolsMessageObserver(const observer: ICefDevToolsMessageObserver): ICefRegistration;
Public | function AddSettingObserver(const observer: ICefSettingObserver): ICefRegistration;
Public | procedure Find(const aSearchText : ustring; aForward, aMatchCase, aFindNext : Boolean);
Public | procedure StopFinding(aClearSelection : Boolean);
Public | procedure Print;
Public | procedure PrintToPDF(const aFilePath : ustring);
Public | procedure ClipboardCopy;
Public | procedure ClipboardPaste;
Public | procedure ClipboardPasteAndMatchStyle;
Public | procedure ClipboardCut;
Public | procedure ClipboardUndo;
Public | procedure ClipboardRedo;
Public | procedure ClipboardDel;
Public | procedure SelectAll;
Public | procedure IncZoomStep;
Public | procedure DecZoomStep;
Public | procedure IncZoomPct;
Public | procedure DecZoomPct;
Public | procedure ResetZoomStep;
Public | procedure ResetZoomLevel;
Public | procedure ResetZoomPct;
Public | procedure ReadZoom;
Public | procedure IncZoomCommand;
Public | procedure DecZoomCommand;
Public | procedure ResetZoomCommand;
Public | procedure WasResized;
Public | procedure WasHidden(hidden: Boolean);
Public | procedure NotifyScreenInfoChanged;
Public | procedure NotifyMoveOrResizeStarted;
Public | procedure Invalidate(type_: TCefPaintElementType = PET_VIEW);
Public | procedure ExitFullscreen(will_cause_resize: boolean);
Public | function CanExecuteChromeCommand(command_id: integer): boolean;
Public | procedure ExecuteChromeCommand(command_id: integer; disposition: TCefWindowOpenDisposition);
Public | procedure SendExternalBeginFrame;
Public | procedure SendKeyEvent(const event: PCefKeyEvent);
Public | procedure SendMouseClickEvent(const event: PCefMouseEvent; type_: TCefMouseButtonType; mouseUp: Boolean; clickCount: Integer);
Public | procedure SendMouseMoveEvent(const event: PCefMouseEvent; mouseLeave: Boolean);
Public | procedure SendMouseWheelEvent(const event: PCefMouseEvent; deltaX, deltaY: Integer);
Public | procedure SendTouchEvent(const event: PCefTouchEvent);
Public | procedure SendCaptureLostEvent;
Public | procedure SendProcessMessage(targetProcess: TCefProcessId; const ProcMessage: ICefProcessMessage; const aFrameName : ustring = ''; const aFrameIdentifier : ustring = ''); overload;
Public | procedure SendProcessMessage(targetProcess: TCefProcessId; const ProcMessage: ICefProcessMessage; const aFrame : ICefFrame); overload;
Public | function CreateUrlRequest(const request: ICefRequest; const client: ICefUrlrequestClient; const aFrameName : ustring = ''; const aFrameIdentifier : ustring = ''): ICefUrlRequest; overload;
Public | function CreateUrlRequest(const request: ICefRequest; const client: ICefUrlrequestClient; const aFrame : ICefFrame): ICefUrlRequest; overload;
Public | procedure SetFocus(focus: Boolean);
Public | procedure SetAccessibilityState(accessibilityState: TCefState);
Public | procedure DragTargetDragEnter(const dragData: ICefDragData; const event: PCefMouseEvent; allowedOps: TCefDragOperations);
Public | procedure DragTargetDragOver(const event: PCefMouseEvent; allowedOps: TCefDragOperations);
Public | procedure DragTargetDragLeave;
Public | procedure DragTargetDrop(const event: PCefMouseEvent);
Public | procedure DragSourceEndedAt(x, y: Integer; op: TCefDragOperation);
Public | procedure DragSourceSystemDragEnded;
Public | procedure IMESetComposition(const text: ustring; const underlines : TCefCompositionUnderlineDynArray; const replacement_range, selection_range : PCefRange);
Public | procedure IMECommitText(const text: ustring; const replacement_range : PCefRange; relative_cursor_pos : integer);
Public | procedure IMEFinishComposingText(keep_selection : boolean);
Public | procedure IMECancelComposition;
Public | procedure ReplaceMisspelling(const aWord : ustring);
Public | procedure AddWordToDictionary(const aWord : ustring);
Public | function AddObserver(const observer: ICefMediaObserver): ICefRegistration;
Public | function GetSource(const urn: ustring): ICefMediaSource;
Public | procedure NotifyCurrentSinks;
Public | procedure NotifyCurrentRoutes;
Public | procedure CreateRoute(const source: ICefMediaSource; const sink: ICefMediaSink);
Public | procedure GetDeviceInfo(const aMediaSink: ICefMediaSink);
Public | function GetWebsiteSetting(const requesting_url, top_level_url: ustring; content_type: TCefContentSettingTypes): ICefValue;
Public | procedure SetWebsiteSetting(const requesting_url, top_level_url: ustring; content_type: TCefContentSettingTypes; const value: ICefValue);
Public | function GetContentSetting(const requesting_url, top_level_url: ustring; content_type: TCefContentSettingTypes): TCefContentSettingValues;
Public | procedure SetContentSetting(const requesting_url, top_level_url: ustring; content_type: TCefContentSettingTypes; value: TCefContentSettingValues);
Public | procedure SetChromeColorScheme(variant: TCefColorVariant; user_color: TCefColor);

Properties

Protected | property ParentFormHandle : TCefWindowHandle read GetParentFormHandle;
Public | property DefaultUrl : ustring read FDefaultUrl write SetDefaultUrl;
Public | property Options : TChromiumOptions read FOptions write FOptions;
Public | property FontOptions : TChromiumFontOptions read FFontOptions write FFontOptions;
Public | property PDFPrintOptions : TPDFPrintOptions read FPDFPrintOptions write FPDFPrintOptions;
Public | property DefaultEncoding : ustring read FDefaultEncoding write FDefaultEncoding;
Public | property BrowserId : integer read GetBrowserId;
Public | property Browser : ICefBrowser read GetBrowser;
Public | property BrowserById[id: integer]: ICefBrowser read GetBrowserById;
Public | property BrowserCount : integer read GetBrowserCount;
Public | property BrowserIdByIndex[i: integer]: integer read GetBrowserIdByIndex;
Public | property CefClient : ICefClient read FHandler;
Public | property ReqContextHandler : ICefRequestContextHandler read FReqContextHandler;
Public | property ResourceRequestHandler : ICefResourceRequestHandler read FResourceRequestHandler;
Public | property CefWindowInfo : TCefWindowInfo read GetCefWindowInfo;
Public | property VisibleNavigationEntry : ICefNavigationEntry read GetVisibleNavigationEntry;
Public | property RuntimeStyle : TCefRuntimeStyle read GetRuntimeStyle write SetRuntimeStyle;
Public | property RequestContext : ICefRequestContext read GetRequestContext;
Public | property MediaRouter : ICefMediaRouter read GetMediaRouter;
Public | property MediaObserver : ICefMediaObserver read FMediaObserver;
Public | property MediaObserverReg : ICefRegistration read FMediaObserverReg;
Public | property DevToolsMsgObserver : ICefDevToolsMessageObserver read FDevToolsMsgObserver;
Public | property DevToolsMsgObserverReg : ICefRegistration read FDevToolsMsgObserverReg;
Public | property MultithreadApp : boolean read GetMultithreadApp;
Public | property IsLoading : boolean read GetIsLoading;
Public | property HasDocument : boolean read GetHasDocument;
Public | property HasView : boolean read GetHasView;
Public | property HasDevTools : boolean read GetHasDevTools;
Public | property HasClientHandler : boolean read GetHasClientHandler;
Public | property HasBrowser : boolean read GetHasBrowser;
Public | property CanGoBack : boolean read GetCanGoBack;
Public | property CanGoForward : boolean read GetCanGoForward;
Public | property IsPopUp : boolean read GetIsPopUp;
Public | property WindowHandle : TCefWindowHandle read GetWindowHandle;
Public | property OpenerWindowHandle : TCefWindowHandle read GetOpenerWindowHandle;
Public | property OpenerIdentifier : Integer read GetOpenerIdentifier;
Public | property BrowserHandle : THandle read FBrowserCompHWND;
Public | property RenderHandle : THandle read FRenderCompHWND;
Public | property FrameIsFocused : boolean read GetFrameIsFocused;
Public | property Initialized : boolean read GetInitialized;
Public | property RequestContextCache : ustring read GetRequestContextCache;
Public | property RequestContextIsGlobal : boolean read GetRequestContextIsGlobal;
Public | property ChromeColorSchemeMode : TCefColorVariant read GetChromeColorSchemeMode;
Public | property ChromeColorSchemeColor : TCefColor read GetChromeColorSchemeColor;
Public | property ChromeColorSchemeVariant : TCefColorVariant read GetChromeColorSchemeVariant;
Public | property DocumentURL : ustring read GetDocumentURL;
Public | property ZoomLevel : double read GetZoomLevel write SetZoomLevel;
Public | property DefaultZoomLevel : double read GetDefaultZoomLevel;
Public | property CanIncZoom : boolean read GetCanIncZoom;
Public | property CanDecZoom : boolean read GetCanDecZoom;
Public | property CanResetZoom : boolean read GetCanResetZoom;
Public | property ZoomPct : double read GetZoomPct write SetZoomPct;
Public | property ZoomStep : byte read GetZoomStep write SetZoomStep;
Public | property WindowlessFrameRate : integer read GetWindowlessFrameRate write SetWindowlessFrameRate;
Public | property CustomHeaderName : ustring read FCustomHeaderName write SetCustomHeaderName;
Public | property CustomHeaderValue : ustring read FCustomHeaderValue write SetCustomHeaderValue;
Public | property DoNotTrack : boolean read FDoNotTrack write SetDoNotTrack;
Public | property SendReferrer : boolean read FSendReferrer write SetSendReferrer;
Public | property HyperlinkAuditing : boolean read FHyperlinkAuditing write SetHyperlinkAuditing;
Public | property AllowOutdatedPlugins : boolean read FAllowOutdatedPlugins write SetAllowOutdatedPlugins;
Public | property AlwaysAuthorizePlugins : boolean read FAlwaysAuthorizePlugins write SetAlwaysAuthorizePlugins;
Public | property AlwaysOpenPDFExternally : boolean read FAlwaysOpenPDFExternally write SetAlwaysOpenPDFExternally;
Public | property SpellChecking : boolean read FSpellChecking write SetSpellChecking;
Public | property SpellCheckerDicts : ustring read FSpellCheckerDicts write SetSpellCheckerDicts;
Public | property HasValidMainFrame : boolean read GetHasValidMainFrame;
Public | property FrameCount : NativeUInt read GetFrameCount;
Public | property DragOperations : TCefDragOperations read FDragOperations write FDragOperations;
Public | property AudioMuted : boolean read GetAudioMuted write SetAudioMuted;
Public | property Fullscreen : boolean read GetFullscreen;
Public | property IsRenderProcessUnresponsive : boolean read GetIsRenderProcessUnresponsive;
Public | property SafeSearch : boolean read FSafeSearch write SetSafeSearch;
Public | property YouTubeRestrict : integer read FYouTubeRestrict write SetYouTubeRestrict;
Public | property PrintingEnabled : boolean read FPrintingEnabled write SetPrintingEnabled;
Public | property AcceptCookies : TCefCookiePref read FAcceptCookies write SetAcceptCookies;
Public | property Block3rdPartyCookies : boolean read FBlock3rdPartyCookies write SetBlock3rdPartyCookies;
Public | property MultiBrowserMode : boolean read FMultiBrowserMode write SetMultiBrowserMode;
Public | property DefaultWindowInfoExStyle : DWORD read GetWindowInfoExStyle write SetWindowInfoExStyle;
Public | property Offline : boolean read FOffline write SetOffline;
Public | property QuicAllowed : boolean read FQuicAllowed write SetQuicAllowed;
Public | property JavascriptEnabled : boolean read FJavascriptEnabled write SetJavascriptEnabled;
Public | property LoadImagesAutomatically : boolean read FLoadImagesAutomatically write SetLoadImagesAutomatically;
Public | property BatterySaverModeState : TCefBatterySaverModeState read FBatterySaverModeState write SetBatterySaverModeState;
Public | property HighEfficiencyModeState : TCefHighEfficiencyModeState read FHighEfficiencyModeState write SetHighEfficiencyModeState;
Public | property CanFocus : boolean read FCanFocus;
Public | property EnableFocusDelayMs : cardinal read FEnableFocusDelayMs write FEnableFocusDelayMs;
Public | property WebRTCIPHandlingPolicy : TCefWebRTCHandlingPolicy read FWebRTCIPHandlingPolicy write SetWebRTCIPHandlingPolicy;
Public | property WebRTCMultipleRoutes : TCefState read FWebRTCMultipleRoutes write SetWebRTCMultipleRoutes;
Public | property WebRTCNonproxiedUDP : TCefState read FWebRTCNonProxiedUDP write SetWebRTCNonProxiedUDP;
Public | property ProxyType : integer read FProxyType write SetProxyType;
Public | property ProxyScheme : TCefProxyScheme read FProxyScheme write SetProxyScheme;
Public | property ProxyServer : ustring read FProxyServer write SetProxyServer;
Public | property ProxyPort : integer read FProxyPort write SetProxyPort;
Public | property ProxyUsername : ustring read FProxyUsername write SetProxyUsername;
Public | property ProxyPassword : ustring read FProxyPassword write SetProxyPassword;
Public | property ProxyScriptURL : ustring read FProxyScriptURL write SetProxyScriptURL;
Public | property ProxyByPassList : ustring read FProxyByPassList write SetProxyByPassList;
Public | property MaxConnectionsPerProxy : integer read FMaxConnectionsPerProxy write SetMaxConnectionsPerProxy;
Public | property DownloadBubble : TCefState read FDownloadBubble write FDownloadBubble;
Public | property HTTPSUpgrade : TCefState read FHTTPSUpgrade write FHTTPSUpgrade;
Public | property HSTSPolicyBypassList : ustring read FHSTSPolicyBypassList write FHSTSPolicyBypassList;
Public | property CredentialsService : TCefState read FCredentialsService write FCredentialsService;
Public | property AutofillCreditCard : TCefState read FAutofillCreditCard write FAutofillCreditCard;
Public | property AutofillProfile : TCefState read FAutofillProfile write FAutofillProfile;
Public | property AutofillSaveData : TCefState read FAutofillSaveData write FAutofillSaveData;
Public | property CanMakePayment : TCefState read FCanMakePayment write FCanMakePayment;
Public | property SearchSuggestEnabled : TCefState read FSearchSuggestEnabled write FSearchSuggestEnabled;
Public | property URLDataCollection : TCefState read FURLDataCollection write FURLDataCollection;
Public | property StorageNotificationService : TCefState read FStorageNotificationService write FStorageNotificationService;
Published | property OnTextResultAvailable : TOnTextResultAvailableEvent read FOnTextResultAvailable write FOnTextResultAvailable;
Published | property OnPdfPrintFinished : TOnPdfPrintFinishedEvent read FOnPdfPrintFinished write FOnPdfPrintFinished;
Published | property OnPrefsAvailable : TOnPrefsAvailableEvent read FOnPrefsAvailable write FOnPrefsAvailable;
Published | property OnPrefsUpdated : TNotifyEvent read FOnPrefsUpdated write FOnPrefsUpdated;
Published | property OnCookiesDeleted : TOnCookiesDeletedEvent read FOnCookiesDeleted write FOnCookiesDeleted;
Published | property OnResolvedHostAvailable : TOnResolvedIPsAvailableEvent read FOnResolvedHostAvailable write FOnResolvedHostAvailable;
Published | property OnNavigationVisitorResultAvailable : TOnNavigationVisitorResultAvailableEvent read FOnNavigationVisitorResultAvailable write FOnNavigationVisitorResultAvailable;
Published | property OnDownloadImageFinished : TOnDownloadImageFinishedEvent read FOnDownloadImageFinished write FOnDownloadImageFinished;
Published | property OnCookiesFlushed : TNotifyEvent read FOnCookiesFlushed write FOnCookiesFlushed;
Published | property OnCertificateExceptionsCleared : TNotifyEvent read FOnCertificateExceptionsCleared write FOnCertificateExceptionsCleared;
Published | property OnHttpAuthCredentialsCleared : TNotifyEvent read FOnHttpAuthCredentialsCleared write FOnHttpAuthCredentialsCleared;
Published | property OnAllConnectionsClosed : TNotifyEvent read FOnAllConnectionsClosed write FOnAllConnectionsClosed;
Published | property OnExecuteTaskOnCefThread : TOnExecuteTaskOnCefThread read FOnExecuteTaskOnCefThread write FOnExecuteTaskOnCefThread;
Published | property OnCookiesVisited : TOnCookiesVisited read FOnCookiesVisited write FOnCookiesVisited;
Published | property OnCookieVisitorDestroyed : TOnCookieVisitorDestroyed read FOnCookieVisitorDestroyed write FOnCookieVisitorDestroyed;
Published | property OnCookieSet : TOnCookieSet read FOnCookieSet write FOnCookieSet;
Published | property OnZoomPctAvailable : TOnZoomPctAvailable read FOnZoomPctAvailable write FOnZoomPctAvailable;
Published | property OnMediaRouteCreateFinished : TOnMediaRouteCreateFinishedEvent read FOnMediaRouteCreateFinished write FOnMediaRouteCreateFinished;
Published | property OnMediaSinkDeviceInfo : TOnMediaSinkDeviceInfoEvent read FOnMediaSinkDeviceInfo write FOnMediaSinkDeviceInfo;
Published | property OnCanFocus : TNotifyEvent read FOnCanFocus write FOnCanFocus;
Published | property OnBrowserCompMsg : TOnCompMsgEvent read FOnBrowserCompMsg write FOnBrowserCompMsg;
Published | property OnRenderCompMsg : TOnCompMsgEvent read FOnRenderCompMsg write FOnRenderCompMsg;
Published | property OnProcessMessageReceived : TOnProcessMessageReceived read FOnProcessMessageReceived write FOnProcessMessageReceived;
Published | property OnLoadStart : TOnLoadStart read FOnLoadStart write FOnLoadStart;
Published | property OnLoadEnd : TOnLoadEnd read FOnLoadEnd write FOnLoadEnd;
Published | property OnLoadError : TOnLoadError read FOnLoadError write FOnLoadError;
Published | property OnLoadingStateChange : TOnLoadingStateChange read FOnLoadingStateChange write FOnLoadingStateChange;
Published | property OnTakeFocus : TOnTakeFocus read FOnTakeFocus write FOnTakeFocus;
Published | property OnSetFocus : TOnSetFocus read FOnSetFocus write FOnSetFocus;
Published | property OnGotFocus : TOnGotFocus read FOnGotFocus write FOnGotFocus;
Published | property OnBeforeContextMenu : TOnBeforeContextMenu read FOnBeforeContextMenu write FOnBeforeContextMenu;
Published | property OnRunContextMenu : TOnRunContextMenu read FOnRunContextMenu write FOnRunContextMenu;
Published | property OnContextMenuCommand : TOnContextMenuCommand read FOnContextMenuCommand write FOnContextMenuCommand;
Published | property OnContextMenuDismissed : TOnContextMenuDismissed read FOnContextMenuDismissed write FOnContextMenuDismissed;
Published | property OnRunQuickMenu : TOnRunQuickMenuEvent read FOnRunQuickMenu write FOnRunQuickMenu;
Published | property OnQuickMenuCommand : TOnQuickMenuCommandEvent read FOnQuickMenuCommand write FOnQuickMenuCommand;
Published | property OnQuickMenuDismissed : TOnQuickMenuDismissedEvent read FOnQuickMenuDismissed write FOnQuickMenuDismissed;
Published | property OnPreKeyEvent : TOnPreKeyEvent read FOnPreKeyEvent write FOnPreKeyEvent;
Published | property OnKeyEvent : TOnKeyEvent read FOnKeyEvent write FOnKeyEvent;
Published | property OnAddressChange : TOnAddressChange read FOnAddressChange write FOnAddressChange;
Published | property OnTitleChange : TOnTitleChange read FOnTitleChange write FOnTitleChange;
Published | property OnFavIconUrlChange : TOnFavIconUrlChange read FOnFavIconUrlChange write FOnFavIconUrlChange;
Published | property OnFullScreenModeChange : TOnFullScreenModeChange read FOnFullScreenModeChange write FOnFullScreenModeChange;
Published | property OnTooltip : TOnTooltip read FOnTooltip write FOnTooltip;
Published | property OnStatusMessage : TOnStatusMessage read FOnStatusMessage write FOnStatusMessage;
Published | property OnConsoleMessage : TOnConsoleMessage read FOnConsoleMessage write FOnConsoleMessage;
Published | property OnAutoResize : TOnAutoResize read FOnAutoResize write FOnAutoResize;
Published | property OnLoadingProgressChange : TOnLoadingProgressChange read FOnLoadingProgressChange write FOnLoadingProgressChange;
Published | property OnCursorChange : TOnCursorChange read FOnCursorChange write FOnCursorChange;
Published | property OnMediaAccessChange : TOnMediaAccessChange read FOnMediaAccessChange write FOnMediaAccessChange;
Published | property OnContentsBoundsChange : TOnContentsBoundsChange read FOnContentsBoundsChange write FOnContentsBoundsChange;
Published | property OnGetRootWindowScreenRect : TOnGetRootWindowScreenRect read FOnGetRootWindowScreenRect write FOnGetRootWindowScreenRect;
Published | property OnCanDownload : TOnCanDownloadEvent read FOnCanDownload write FOnCanDownload;
Published | property OnBeforeDownload : TOnBeforeDownload read FOnBeforeDownload write FOnBeforeDownload;
Published | property OnDownloadUpdated : TOnDownloadUpdated read FOnDownloadUpdated write FOnDownloadUpdated;
Published | property OnJsdialog : TOnJsdialog read FOnJsdialog write FOnJsdialog;
Published | property OnBeforeUnloadDialog : TOnBeforeUnloadDialog read FOnBeforeUnloadDialog write FOnBeforeUnloadDialog;
Published | property OnResetDialogState : TOnResetDialogState read FOnResetDialogState write FOnResetDialogState;
Published | property OnDialogClosed : TOnDialogClosed read FOnDialogClosed write FOnDialogClosed;
Published | property OnBeforePopup : TOnBeforePopup read FOnBeforePopup write FOnBeforePopup;
Published | property OnBeforePopupAborted : TOnBeforePopupAborted read FOnBeforePopupAborted write FOnBeforePopupAborted;
Published | property OnBeforeDevToolsPopup : TOnBeforeDevToolsPopup read FOnBeforeDevToolsPopup write FOnBeforeDevToolsPopup;
Published | property OnAfterCreated : TOnAfterCreated read FOnAfterCreated write FOnAfterCreated;
Published | property OnBeforeClose : TOnBeforeClose read FOnBeforeClose write FOnBeforeClose;
Published | property OnClose : TOnClose read FOnClose write FOnClose;
Published | property OnBeforeBrowse : TOnBeforeBrowse read FOnBeforeBrowse write FOnBeforeBrowse;
Published | property OnOpenUrlFromTab : TOnOpenUrlFromTab read FOnOpenUrlFromTab write FOnOpenUrlFromTab;
Published | property OnGetAuthCredentials : TOnGetAuthCredentials read FOnGetAuthCredentials write FOnGetAuthCredentials;
Published | property OnCertificateError : TOnCertificateError read FOnCertificateError write FOnCertificateError;
Published | property OnSelectClientCertificate : TOnSelectClientCertificate read FOnSelectClientCertificate write FOnSelectClientCertificate;
Published | property OnRenderViewReady : TOnRenderViewReady read FOnRenderViewReady write FOnRenderViewReady;
Published | property OnRenderProcessUnresponsive : TOnRenderProcessUnresponsive read FOnRenderProcessUnresponsive write FOnRenderProcessUnresponsive;
Published | property OnRenderProcessResponsive : TOnRenderProcessResponsive read FOnRenderProcessResponsive write FOnRenderProcessResponsive;
Published | property OnRenderProcessTerminated : TOnRenderProcessTerminated read FOnRenderProcessTerminated write FOnRenderProcessTerminated;
Published | property OnGetResourceRequestHandler_ReqHdlr : TOnGetResourceRequestHandler read FOnGetResourceRequestHandler_ReqHdlr write FOnGetResourceRequestHandler_ReqHdlr;
Published | property OnDocumentAvailableInMainFrame : TOnDocumentAvailableInMainFrame read FOnDocumentAvailableInMainFrame write FOnDocumentAvailableInMainFrame;
Published | property OnBeforeResourceLoad : TOnBeforeResourceLoad read FOnBeforeResourceLoad write FOnBeforeResourceLoad;
Published | property OnGetResourceHandler : TOnGetResourceHandler read FOnGetResourceHandler write FOnGetResourceHandler;
Published | property OnResourceRedirect : TOnResourceRedirect read FOnResourceRedirect write FOnResourceRedirect;
Published | property OnResourceResponse : TOnResourceResponse read FOnResourceResponse write FOnResourceResponse;
Published | property OnGetResourceResponseFilter : TOnGetResourceResponseFilter read FOnGetResourceResponseFilter write FOnGetResourceResponseFilter;
Published | property OnResourceLoadComplete : TOnResourceLoadComplete read FOnResourceLoadComplete write FOnResourceLoadComplete;
Published | property OnProtocolExecution : TOnProtocolExecution read FOnProtocolExecution write FOnProtocolExecution;
Published | property OnCanSendCookie : TOnCanSendCookie read FOnCanSendCookie write FOnCanSendCookie;
Published | property OnCanSaveCookie : TOnCanSaveCookie read FOnCanSaveCookie write FOnCanSaveCookie;
Published | property OnFileDialog : TOnFileDialog read FOnFileDialog write FOnFileDialog;
Published | property OnGetAccessibilityHandler : TOnGetAccessibilityHandler read FOnGetAccessibilityHandler write FOnGetAccessibilityHandler;
Published | property OnGetRootScreenRect : TOnGetRootScreenRect read FOnGetRootScreenRect write FOnGetRootScreenRect;
Published | property OnGetViewRect : TOnGetViewRect read FOnGetViewRect write FOnGetViewRect;
Published | property OnGetScreenPoint : TOnGetScreenPoint read FOnGetScreenPoint write FOnGetScreenPoint;
Published | property OnGetScreenInfo : TOnGetScreenInfo read FOnGetScreenInfo write FOnGetScreenInfo;
Published | property OnPopupShow : TOnPopupShow read FOnPopupShow write FOnPopupShow;
Published | property OnPopupSize : TOnPopupSize read FOnPopupSize write FOnPopupSize;
Published | property OnPaint : TOnPaint read FOnPaint write FOnPaint;
Published | property OnAcceleratedPaint : TOnAcceleratedPaint read FOnAcceleratedPaint write FOnAcceleratedPaint;
Published | property OnGetTouchHandleSize : TOnGetTouchHandleSize read FOnGetTouchHandleSize write FOnGetTouchHandleSize;
Published | property OnTouchHandleStateChanged : TOnTouchHandleStateChanged read FOnTouchHandleStateChanged write FOnTouchHandleStateChanged;
Published | property OnStartDragging : TOnStartDragging read FOnStartDragging write FOnStartDragging;
Published | property OnUpdateDragCursor : TOnUpdateDragCursor read FOnUpdateDragCursor write FOnUpdateDragCursor;
Published | property OnScrollOffsetChanged : TOnScrollOffsetChanged read FOnScrollOffsetChanged write FOnScrollOffsetChanged;
Published | property OnIMECompositionRangeChanged : TOnIMECompositionRangeChanged read FOnIMECompositionRangeChanged write FOnIMECompositionRangeChanged;
Published | property OnTextSelectionChanged : TOnTextSelectionChanged read FOnTextSelectionChanged write FOnTextSelectionChanged;
Published | property OnVirtualKeyboardRequested : TOnVirtualKeyboardRequested read FOnVirtualKeyboardRequested write FOnVirtualKeyboardRequested;
Published | property OnDragEnter : TOnDragEnter read FOnDragEnter write FOnDragEnter;
Published | property OnDraggableRegionsChanged : TOnDraggableRegionsChanged read FOnDraggableRegionsChanged write FOnDraggableRegionsChanged;
Published | property OnFindResult : TOnFindResult read FOnFindResult write FOnFindResult;
Published | property OnRequestContextInitialized : TOnRequestContextInitialized read FOnRequestContextInitialized write FOnRequestContextInitialized;
Published | property OnGetResourceRequestHandler_ReqCtxHdlr : TOnGetResourceRequestHandler read FOnGetResourceRequestHandler_ReqCtxHdlr write FOnGetResourceRequestHandler_ReqCtxHdlr;
Published | property OnSinks : TOnSinksEvent read FOnSinks write FOnSinks;
Published | property OnRoutes : TOnRoutesEvent read FOnRoutes write FOnRoutes;
Published | property OnRouteStateChanged : TOnRouteStateChangedEvent read FOnRouteStateChanged write FOnRouteStateChanged;
Published | property OnRouteMessageReceived : TOnRouteMessageReceivedEvent read FOnRouteMessageReceived write FOnRouteMessageReceived;
Published | property OnGetAudioParameters : TOnGetAudioParametersEvent read FOnGetAudioParameters write FOnGetAudioParameters;
Published | property OnAudioStreamStarted : TOnAudioStreamStartedEvent read FOnAudioStreamStarted write FOnAudioStreamStarted;
Published | property OnAudioStreamPacket : TOnAudioStreamPacketEvent read FOnAudioStreamPacket write FOnAudioStreamPacket;
Published | property OnAudioStreamStopped : TOnAudioStreamStoppedEvent read FOnAudioStreamStopped write FOnAudioStreamStopped;
Published | property OnAudioStreamError : TOnAudioStreamErrorEvent read FOnAudioStreamError write FOnAudioStreamError;
Published | property OnDevToolsMessage : TOnDevToolsMessageEvent read FOnDevToolsMessage write FOnDevToolsMessage;
Published | property OnDevToolsRawMessage : TOnDevToolsRawMessageEvent read FOnDevToolsRawMessage write FOnDevToolsRawMessage;
Published | property OnDevToolsMethodResult : TOnDevToolsMethodResultEvent read FOnDevToolsMethodResult write FOnDevToolsMethodResult;
Published | property OnDevToolsMethodRawResult : TOnDevToolsMethodRawResultEvent read FOnDevToolsMethodRawResult write FOnDevToolsMethodRawResult;
Published | property OnDevToolsEvent : TOnDevToolsEventEvent read FOnDevToolsEvent write FOnDevToolsEvent;
Published | property OnDevToolsRawEvent : TOnDevToolsEventRawEvent read FOnDevToolsRawEvent write FOnDevToolsRawEvent;
Published | property OnDevToolsAgentAttached : TOnDevToolsAgentAttachedEvent read FOnDevToolsAgentAttached write FOnDevToolsAgentAttached;
Published | property OnDevToolsAgentDetached : TOnDevToolsAgentDetachedEvent read FOnDevToolsAgentDetached write FOnDevToolsAgentDetached;
Published | property OnFrameCreated : TOnFrameCreated read FOnFrameCreated write FOnFrameCreated;
Published | property OnFrameDestroyed : TOnFrameDestroyed read FOnFrameDestroyed write FOnFrameDestroyed;
Published | property OnFrameAttached : TOnFrameAttached read FOnFrameAttached write FOnFrameAttached;
Published | property OnFrameDetached : TOnFrameDetached read FOnFrameDetached write FOnFrameDetached;
Published | property OnMainFrameChanged : TOnMainFrameChanged read FOnMainFrameChanged write FOnMainFrameChanged;
Published | property OnChromeCommand : TOnChromeCommandEvent read FOnChromeCommand write FOnChromeCommand;
Published | property OnIsChromeAppMenuItemVisible : TOnIsChromeAppMenuItemVisibleEvent read FOnIsChromeAppMenuItemVisible write FOnIsChromeAppMenuItemVisible;
Published | property OnIsChromeAppMenuItemEnabled : TOnIsChromeAppMenuItemEnabledEvent read FOnIsChromeAppMenuItemEnabled write FOnIsChromeAppMenuItemEnabled;
Published | property OnIsChromePageActionIconVisible : TOnIsChromePageActionIconVisibleEvent read FOnIsChromePageActionIconVisible write FOnIsChromePageActionIconVisible;
Published | property OnIsChromeToolbarButtonVisible : TOnIsChromeToolbarButtonVisibleEvent read FOnIsChromeToolbarButtonVisible write FOnIsChromeToolbarButtonVisible;
Published | property OnRequestMediaAccessPermission : TOnRequestMediaAccessPermissionEvent read FOnRequestMediaAccessPermission write FOnRequestMediaAccessPermission;
Published | property OnShowPermissionPrompt : TOnShowPermissionPromptEvent read FOnShowPermissionPrompt write FOnShowPermissionPrompt;
Published | property OnDismissPermissionPrompt : TOnDismissPermissionPromptEvent read FOnDismissPermissionPrompt write FOnDismissPermissionPrompt;
Published | property OnPreferenceChanged : TOnPreferenceChangedEvent read FOnPreferenceChanged write FOnPreferenceChanged;
Published | property OnSettingChanged : TOnSettingChangedEvent read FOnSettingChanged write FOnSettingChanged;

Description

Fields

Protected FCompHandle: HWND;

This item has no description.

Protected FHandler: ICefClient;

This item has no description.

Protected FBrowsersCS: TCriticalSection;

This item has no description.

Protected FBrowsers: TBrowserInfoList;

This item has no description.

Protected FBrowserId: integer;

This item has no description.

Protected FMultiBrowserMode: boolean;

This item has no description.

Protected FReqContextHandler: ICefRequestContextHandler;

This item has no description.

Protected FResourceRequestHandler: ICefResourceRequestHandler;

This item has no description.

Protected FMediaObserver: ICefMediaObserver;

This item has no description.

Protected FMediaObserverReg: ICefRegistration;

This item has no description.

Protected FDevToolsMsgObserver: ICefDevToolsMessageObserver;

This item has no description.

Protected FDevToolsMsgObserverReg: ICefRegistration;

This item has no description.

Protected FSettingObserver: ICefSettingObserver;

This item has no description.

Protected FSettingObserverReg: ICefRegistration;

This item has no description.

Protected FPreferenceInfoList: TPreferenceInfoList;

This item has no description.

Protected FPreferenceInfoCS: TCriticalSection;

This item has no description.

Protected FDefaultUrl: ustring;

This item has no description.

Protected FOptions: TChromiumOptions;

This item has no description.

Protected FFontOptions: TChromiumFontOptions;

This item has no description.

Protected FPDFPrintOptions: TPDFPrintOptions;

This item has no description.

Protected FDefaultEncoding: ustring;

This item has no description.

Protected FProxyType: integer;

This item has no description.

Protected FProxyScheme: TCefProxyScheme;

This item has no description.

Protected FProxyServer: ustring;

This item has no description.

Protected FProxyPort: integer;

This item has no description.

Protected FProxyUsername: ustring;

This item has no description.

Protected FProxyPassword: ustring;

This item has no description.

Protected FProxyScriptURL: ustring;

This item has no description.

Protected FProxyByPassList: ustring;

This item has no description.

Protected FMaxConnectionsPerProxy: integer;

This item has no description.

Protected FUpdatePreferences: boolean;

This item has no description.

Protected FCustomHeaderName: ustring;

This item has no description.

Protected FCustomHeaderValue: ustring;

This item has no description.

Protected FAddCustomHeader: boolean;

This item has no description.

Protected FDoNotTrack: boolean;

This item has no description.

Protected FSendReferrer: boolean;

This item has no description.

Protected FHyperlinkAuditing: boolean;

This item has no description.

Protected FAllowOutdatedPlugins: boolean;

This item has no description.

Protected FAlwaysAuthorizePlugins: boolean;

This item has no description.

Protected FAlwaysOpenPDFExternally: boolean;

This item has no description.

Protected FSpellChecking: boolean;

This item has no description.

Protected FSpellCheckerDicts: ustring;

This item has no description.

Protected FZoomStep: byte;

This item has no description.

Protected FZoomStepCS: TCriticalSection;

This item has no description.

Protected FPrefsFileName: string;

This item has no description.

Protected FIsOSR: boolean;

This item has no description.

Protected FSafeSearch: boolean;

This item has no description.

Protected FOffline: boolean;

This item has no description.

Protected FYouTubeRestrict: integer;

This item has no description.

Protected FPrintingEnabled: boolean;

This item has no description.

Protected FWindowInfo: TCEFWindowInfoWrapper;

This item has no description.

Protected FBrowserSettings: TCefBrowserSettings;

This item has no description.

Protected FDevWindowInfo: TCEFWindowInfoWrapper;

This item has no description.

Protected FDevBrowserSettings: TCefBrowserSettings;

This item has no description.

Protected FDragOperations: TCefDragOperations;

This item has no description.

Protected FDragDropManager: TCEFDragAndDropMgr;

This item has no description.

Protected FDropTargetWnd: HWND;

This item has no description.

Protected FDragAndDropInitialized: boolean;

This item has no description.

Protected FWebRTCIPHandlingPolicy: TCefWebRTCHandlingPolicy;

This item has no description.

Protected FWebRTCMultipleRoutes: TCefState;

This item has no description.

Protected FWebRTCNonProxiedUDP: TCefState;

This item has no description.

Protected FAcceptCookies: TCefCookiePref;

This item has no description.

Protected FBlock3rdPartyCookies: boolean;

This item has no description.

Protected FQuicAllowed: boolean;

This item has no description.

Protected FJavascriptEnabled: boolean;

This item has no description.

Protected FLoadImagesAutomatically: boolean;

This item has no description.

Protected FBatterySaverModeState: TCefBatterySaverModeState;

This item has no description.

Protected FHighEfficiencyModeState: TCefHighEfficiencyModeState;

This item has no description.

Protected FCanFocus: boolean;

This item has no description.

Protected FEnableFocusDelayMs: cardinal;

This item has no description.

Protected FComponentID: integer;

This item has no description.

Protected FDownloadBubble: TCefState;

This item has no description.

Protected FHTTPSUpgrade: TCefState;

This item has no description.

Protected FHSTSPolicyBypassList: ustring;

This item has no description.

Protected FCredentialsService: TCefState;

This item has no description.

Protected FAutofillCreditCard: TCefState;

This item has no description.

Protected FAutofillProfile: TCefState;

This item has no description.

Protected FAutofillSaveData: TCefState;

This item has no description.

Protected FCanMakePayment: TCefState;

This item has no description.

Protected FSearchSuggestEnabled: TCefState;

This item has no description.

Protected FURLDataCollection: TCefState;

This item has no description.

Protected FTryingToCloseBrowser: boolean;

This item has no description.

Protected FStorageNotificationService: TCefState;

This item has no description.

Protected FOldBrowserCompWndPrc: TFNWndProc;

This item has no description.

Protected FOldRenderCompWndPrc: TFNWndProc;

This item has no description.

Protected FBrowserCompStub: Pointer;

This item has no description.

Protected FRenderCompStub: Pointer;

This item has no description.

Protected FBrowserCompHWND: THandle;

This item has no description.

Protected FRenderCompHWND: THandle;

This item has no description.

Protected FOnProcessMessageReceived: TOnProcessMessageReceived;

ICefClient

Protected FOnLoadStart: TOnLoadStart;

ICefLoadHandler

Protected FOnLoadEnd: TOnLoadEnd;

This item has no description.

Protected FOnLoadError: TOnLoadError;

This item has no description.

Protected FOnLoadingStateChange: TOnLoadingStateChange;

This item has no description.

Protected FOnTakeFocus: TOnTakeFocus;

ICefFocusHandler

Protected FOnSetFocus: TOnSetFocus;

This item has no description.

Protected FOnGotFocus: TOnGotFocus;

This item has no description.

Protected FOnBeforeContextMenu: TOnBeforeContextMenu;

ICefContextMenuHandler

Protected FOnRunContextMenu: TOnRunContextMenu;

This item has no description.

Protected FOnContextMenuCommand: TOnContextMenuCommand;

This item has no description.

Protected FOnContextMenuDismissed: TOnContextMenuDismissed;

This item has no description.

Protected FOnRunQuickMenu: TOnRunQuickMenuEvent;

This item has no description.

Protected FOnQuickMenuCommand: TOnQuickMenuCommandEvent;

This item has no description.

Protected FOnQuickMenuDismissed: TOnQuickMenuDismissedEvent;

This item has no description.

Protected FOnPreKeyEvent: TOnPreKeyEvent;

ICefKeyboardHandler

Protected FOnKeyEvent: TOnKeyEvent;

This item has no description.

Protected FOnAddressChange: TOnAddressChange;

ICefDisplayHandler

Protected FOnTitleChange: TOnTitleChange;

This item has no description.

Protected FOnFavIconUrlChange: TOnFavIconUrlChange;

This item has no description.

Protected FOnFullScreenModeChange: TOnFullScreenModeChange;

This item has no description.

Protected FOnTooltip: TOnTooltip;

This item has no description.

Protected FOnStatusMessage: TOnStatusMessage;

This item has no description.

Protected FOnConsoleMessage: TOnConsoleMessage;

This item has no description.

Protected FOnAutoResize: TOnAutoResize;

This item has no description.

Protected FOnLoadingProgressChange: TOnLoadingProgressChange;

This item has no description.

Protected FOnCursorChange: TOnCursorChange;

This item has no description.

Protected FOnMediaAccessChange: TOnMediaAccessChange;

This item has no description.

Protected FOnContentsBoundsChange: TOnContentsBoundsChange;

This item has no description.

Protected FOnGetRootWindowScreenRect: TOnGetRootWindowScreenRect;

This item has no description.

Protected FOnCanDownload: TOnCanDownloadEvent;

ICefDownloadHandler

Protected FOnBeforeDownload: TOnBeforeDownload;

This item has no description.

Protected FOnDownloadUpdated: TOnDownloadUpdated;

This item has no description.

Protected FOnJsdialog: TOnJsdialog;

ICefJsDialogHandler

Protected FOnBeforeUnloadDialog: TOnBeforeUnloadDialog;

This item has no description.

Protected FOnResetDialogState: TOnResetDialogState;

This item has no description.

Protected FOnDialogClosed: TOnDialogClosed;

This item has no description.

Protected FOnBeforePopup: TOnBeforePopup;

ICefLifeSpanHandler

Protected FOnBeforePopupAborted: TOnBeforePopupAborted;

This item has no description.

Protected FOnBeforeDevToolsPopup: TOnBeforeDevToolsPopup;

This item has no description.

Protected FOnAfterCreated: TOnAfterCreated;

This item has no description.

Protected FOnBeforeClose: TOnBeforeClose;

This item has no description.

Protected FOnClose: TOnClose;

This item has no description.

Protected FOnBeforeBrowse: TOnBeforeBrowse;

ICefRequestHandler

Protected FOnOpenUrlFromTab: TOnOpenUrlFromTab;

This item has no description.

Protected FOnGetAuthCredentials: TOnGetAuthCredentials;

This item has no description.

Protected FOnCertificateError: TOnCertificateError;

This item has no description.

Protected FOnSelectClientCertificate: TOnSelectClientCertificate;

This item has no description.

Protected FOnRenderViewReady: TOnRenderViewReady;

This item has no description.

Protected FOnRenderProcessUnresponsive: TOnRenderProcessUnresponsive;

This item has no description.

Protected FOnRenderProcessResponsive: TOnRenderProcessResponsive;

This item has no description.

Protected FOnRenderProcessTerminated: TOnRenderProcessTerminated;

This item has no description.

Protected FOnGetResourceRequestHandler_ReqHdlr: TOnGetResourceRequestHandler;

This item has no description.

Protected FOnDocumentAvailableInMainFrame: TOnDocumentAvailableInMainFrame;

This item has no description.

Protected FOnBeforeResourceLoad: TOnBeforeResourceLoad;

ICefResourceRequestHandler

Protected FOnGetResourceHandler: TOnGetResourceHandler;

This item has no description.

Protected FOnResourceRedirect: TOnResourceRedirect;

This item has no description.

Protected FOnResourceResponse: TOnResourceResponse;

This item has no description.

Protected FOnGetResourceResponseFilter: TOnGetResourceResponseFilter;

This item has no description.

Protected FOnResourceLoadComplete: TOnResourceLoadComplete;

This item has no description.

Protected FOnProtocolExecution: TOnProtocolExecution;

This item has no description.

Protected FOnCanSendCookie: TOnCanSendCookie;

ICefCookieAccessFilter

Protected FOnCanSaveCookie: TOnCanSaveCookie;

This item has no description.

Protected FOnFileDialog: TOnFileDialog;

ICefDialogHandler

Protected FOnGetAccessibilityHandler: TOnGetAccessibilityHandler;

ICefRenderHandler

Protected FOnGetRootScreenRect: TOnGetRootScreenRect;

This item has no description.

Protected FOnGetViewRect: TOnGetViewRect;

This item has no description.

Protected FOnGetScreenPoint: TOnGetScreenPoint;

This item has no description.

Protected FOnGetScreenInfo: TOnGetScreenInfo;

This item has no description.

Protected FOnPopupShow: TOnPopupShow;

This item has no description.

Protected FOnPopupSize: TOnPopupSize;

This item has no description.

Protected FOnPaint: TOnPaint;

This item has no description.

Protected FOnAcceleratedPaint: TOnAcceleratedPaint;

This item has no description.

Protected FOnGetTouchHandleSize: TOnGetTouchHandleSize;

This item has no description.

Protected FOnTouchHandleStateChanged: TOnTouchHandleStateChanged;

This item has no description.

Protected FOnStartDragging: TOnStartDragging;

This item has no description.

Protected FOnUpdateDragCursor: TOnUpdateDragCursor;

This item has no description.

Protected FOnScrollOffsetChanged: TOnScrollOffsetChanged;

This item has no description.

Protected FOnIMECompositionRangeChanged: TOnIMECompositionRangeChanged;

This item has no description.

Protected FOnTextSelectionChanged: TOnTextSelectionChanged;

This item has no description.

Protected FOnVirtualKeyboardRequested: TOnVirtualKeyboardRequested;

This item has no description.

Protected FOnDragEnter: TOnDragEnter;

ICefDragHandler

Protected FOnDraggableRegionsChanged: TOnDraggableRegionsChanged;

This item has no description.

Protected FOnFindResult: TOnFindResult;

ICefFindHandler

Protected FOnRequestContextInitialized: TOnRequestContextInitialized;

ICefRequestContextHandler

Protected FOnGetResourceRequestHandler_ReqCtxHdlr: TOnGetResourceRequestHandler;

This item has no description.

Protected FOnSinks: TOnSinksEvent;

ICefMediaObserver

Protected FOnRoutes: TOnRoutesEvent;

This item has no description.

Protected FOnRouteStateChanged: TOnRouteStateChangedEvent;

This item has no description.

Protected FOnRouteMessageReceived: TOnRouteMessageReceivedEvent;

This item has no description.

Protected FOnGetAudioParameters: TOnGetAudioParametersEvent;

ICefAudioHandler

Protected FOnAudioStreamStarted: TOnAudioStreamStartedEvent;

This item has no description.

Protected FOnAudioStreamPacket: TOnAudioStreamPacketEvent;

This item has no description.

Protected FOnAudioStreamStopped: TOnAudioStreamStoppedEvent;

This item has no description.

Protected FOnAudioStreamError: TOnAudioStreamErrorEvent;

This item has no description.

Protected FOnDevToolsMessage: TOnDevToolsMessageEvent;

ICefDevToolsMessageObserver

Protected FOnDevToolsRawMessage: TOnDevToolsRawMessageEvent;

This item has no description.

Protected FOnDevToolsMethodResult: TOnDevToolsMethodResultEvent;

This item has no description.

Protected FOnDevToolsMethodRawResult: TOnDevToolsMethodRawResultEvent;

This item has no description.

Protected FOnDevToolsEvent: TOnDevToolsEventEvent;

This item has no description.

Protected FOnDevToolsRawEvent: TOnDevToolsEventRawEvent;

This item has no description.

Protected FOnDevToolsAgentAttached: TOnDevToolsAgentAttachedEvent;

This item has no description.

Protected FOnDevToolsAgentDetached: TOnDevToolsAgentDetachedEvent;

This item has no description.

Protected FOnPrintStart: TOnPrintStartEvent;

ICefPrintHandler

Protected FOnPrintSettings: TOnPrintSettingsEvent;

This item has no description.

Protected FOnPrintDialog: TOnPrintDialogEvent;

This item has no description.

Protected FOnPrintJob: TOnPrintJobEvent;

This item has no description.

Protected FOnPrintReset: TOnPrintResetEvent;

This item has no description.

Protected FOnGetPDFPaperSize: TOnGetPDFPaperSizeEvent;

This item has no description.

Protected FOnFrameCreated: TOnFrameCreated;

ICefFrameHandler

Protected FOnFrameDestroyed: TOnFrameDestroyed;

This item has no description.

Protected FOnFrameAttached: TOnFrameAttached;

This item has no description.

Protected FOnFrameDetached: TOnFrameDetached;

This item has no description.

Protected FOnMainFrameChanged: TOnMainFrameChanged;

This item has no description.

Protected FOnChromeCommand: TOnChromeCommandEvent;

ICefCommandHandler

Protected FOnIsChromeAppMenuItemVisible: TOnIsChromeAppMenuItemVisibleEvent;

This item has no description.

Protected FOnIsChromeAppMenuItemEnabled: TOnIsChromeAppMenuItemEnabledEvent;

This item has no description.

Protected FOnIsChromePageActionIconVisible: TOnIsChromePageActionIconVisibleEvent;

This item has no description.

Protected FOnIsChromeToolbarButtonVisible: TOnIsChromeToolbarButtonVisibleEvent;

This item has no description.

Protected FOnRequestMediaAccessPermission: TOnRequestMediaAccessPermissionEvent;

ICefPermissionHandler

Protected FOnShowPermissionPrompt: TOnShowPermissionPromptEvent;

This item has no description.

Protected FOnDismissPermissionPrompt: TOnDismissPermissionPromptEvent;

This item has no description.

Protected FOnPreferenceChanged: TOnPreferenceChangedEvent;

ICefPreferenceObserver

Protected FOnSettingChanged: TOnSettingChangedEvent;

ICefSettingObserver

Protected FOnTextResultAvailable: TOnTextResultAvailableEvent;

Custom

Protected FOnPdfPrintFinished: TOnPdfPrintFinishedEvent;

This item has no description.

Protected FOnPrefsAvailable: TOnPrefsAvailableEvent;

This item has no description.

Protected FOnPrefsUpdated: TNotifyEvent;

This item has no description.

Protected FOnCookiesDeleted: TOnCookiesDeletedEvent;

This item has no description.

Protected FOnResolvedHostAvailable: TOnResolvedIPsAvailableEvent;

This item has no description.

Protected FOnNavigationVisitorResultAvailable: TOnNavigationVisitorResultAvailableEvent;

This item has no description.

Protected FOnDownloadImageFinished: TOnDownloadImageFinishedEvent;

This item has no description.

Protected FOnCookiesFlushed: TNotifyEvent;

This item has no description.

Protected FOnCertificateExceptionsCleared: TNotifyEvent;

This item has no description.

Protected FOnHttpAuthCredentialsCleared: TNotifyEvent;

This item has no description.

Protected FOnAllConnectionsClosed: TNotifyEvent;

This item has no description.

Protected FOnExecuteTaskOnCefThread: TOnExecuteTaskOnCefThread;

This item has no description.

Protected FOnCookiesVisited: TOnCookiesVisited;

This item has no description.

Protected FOnCookieVisitorDestroyed: TOnCookieVisitorDestroyed;

This item has no description.

Protected FOnCookieSet: TOnCookieSet;

This item has no description.

Protected FOnZoomPctAvailable: TOnZoomPctAvailable;

This item has no description.

Protected FOnMediaRouteCreateFinished: TOnMediaRouteCreateFinishedEvent;

This item has no description.

Protected FOnMediaSinkDeviceInfo: TOnMediaSinkDeviceInfoEvent;

This item has no description.

Protected FOnCanFocus: TNotifyEvent;

This item has no description.

Protected FOnBrowserCompMsg: TOnCompMsgEvent;

This item has no description.

Protected FOnRenderCompMsg: TOnCompMsgEvent;

This item has no description.

Methods

Protected function GetIsLoading: boolean;

This item has no description.

Protected function GetMultithreadApp: boolean;

This item has no description.

Protected function GetHasDocument: boolean;

This item has no description.

Protected function GetHasView: boolean;

This item has no description.

Protected function GetHasDevTools: boolean;

This item has no description.

Protected function GetHasClientHandler: boolean;

This item has no description.

Protected function GetHasBrowser: boolean;

This item has no description.

Protected function GetCanGoBack: boolean;

This item has no description.

Protected function GetCanGoForward: boolean;

This item has no description.

Protected function GetDocumentURL: ustring;

This item has no description.

Protected function GetZoomLevel: double;

This item has no description.

Protected function GetZoomPct: double;

This item has no description.

Protected function GetZoomStep: byte;

This item has no description.

Protected function GetDefaultZoomLevel: double;

This item has no description.

Protected function GetCanIncZoom: boolean;

This item has no description.

Protected function GetCanDecZoom: boolean;

This item has no description.

Protected function GetCanResetZoom: boolean;

This item has no description.

Protected function GetIsPopUp: boolean;

This item has no description.

Protected function GetWindowHandle: TCefWindowHandle;

This item has no description.

Protected function GetOpenerWindowHandle: TCefWindowHandle;

This item has no description.

Protected function GetOpenerIdentifier: Integer;

This item has no description.

Protected function GetWindowlessFrameRate: integer;

This item has no description.

Protected function GetFrameIsFocused: boolean;

This item has no description.

Protected function GetInitialized: boolean;

This item has no description.

Protected function GetVisibleNavigationEntry: ICefNavigationEntry;

This item has no description.

Protected function GetRuntimeStyle: TCefRuntimeStyle;

This item has no description.

Protected function GetHasValidMainFrame: boolean;

This item has no description.

Protected function GetFrameCount: NativeUInt;

This item has no description.

Protected function GetRequestContextCache: ustring;

This item has no description.

Protected function GetRequestContextIsGlobal: boolean;

This item has no description.

Protected function GetChromeColorSchemeMode: TCefColorVariant;

This item has no description.

Protected function GetChromeColorSchemeColor: TCefColor;

This item has no description.

Protected function GetChromeColorSchemeVariant: TCefColorVariant;

This item has no description.

Protected function GetAudioMuted: boolean;

This item has no description.

Protected function GetFullscreen: boolean;

This item has no description.

Protected function GetIsRenderProcessUnresponsive: boolean;

This item has no description.

Protected function GetParentFormHandle: TCefWindowHandle; virtual;

This item has no description.

Protected function GetRequestContext: ICefRequestContext;

This item has no description.

Protected function GetMediaRouter: ICefMediaRouter;

This item has no description.

Protected function GetBrowser: ICefBrowser;

This item has no description.

Protected function GetBrowserId: integer;

This item has no description.

Protected function GetBrowserById(aID : integer) : ICefBrowser;

This item has no description.

Protected function GetBrowserCount: integer;

This item has no description.

Protected function GetBrowserIdByIndex(aIndex : integer) : integer;

This item has no description.

Protected function GetComponentID: integer;

This item has no description.

Protected function GetCefWindowInfo: TCefWindowInfo;

This item has no description.

Protected function GetWindowInfoExStyle: DWORD;

This item has no description.

Protected procedure SetDoNotTrack(aValue : boolean);

This item has no description.

Protected procedure SetSendReferrer(aValue : boolean);

This item has no description.

Protected procedure SetHyperlinkAuditing(aValue : boolean);

This item has no description.

Protected procedure SetAllowOutdatedPlugins(aValue : boolean);

This item has no description.

Protected procedure SetAlwaysAuthorizePlugins(aValue : boolean);

This item has no description.

Protected procedure SetAlwaysOpenPDFExternally(aValue : boolean);

This item has no description.

Protected procedure SetSpellChecking(aValue : boolean);

This item has no description.

Protected procedure SetSpellCheckerDicts(const aValue : ustring);

This item has no description.

Protected procedure SetWebRTCIPHandlingPolicy(aValue : TCefWebRTCHandlingPolicy);

This item has no description.

Protected procedure SetWebRTCMultipleRoutes(aValue : TCefState);

This item has no description.

Protected procedure SetWebRTCNonProxiedUDP(aValue : TCefState);

This item has no description.

Protected procedure SetProxyType(aValue : integer);

This item has no description.

Protected procedure SetProxyScheme(aValue : TCefProxyScheme);

This item has no description.

Protected procedure SetProxyServer(const aValue : ustring);

This item has no description.

Protected procedure SetProxyPort(aValue : integer);

This item has no description.

Protected procedure SetProxyUsername(const aValue : ustring);

This item has no description.

Protected procedure SetProxyPassword(const aValue : ustring);

This item has no description.

Protected procedure SetProxyScriptURL(const aValue : ustring);

This item has no description.

Protected procedure SetProxyByPassList(const aValue : ustring);

This item has no description.

Protected procedure SetMaxConnectionsPerProxy(const aValue : integer);

This item has no description.

Protected procedure SetCustomHeaderName(const aValue : ustring);

This item has no description.

Protected procedure SetCustomHeaderValue(const aValue : ustring);

This item has no description.

Protected procedure SetZoomLevel(const aValue : double);

This item has no description.

Protected procedure SetZoomPct(const aValue : double);

This item has no description.

Protected procedure SetZoomStep(aValue : byte);

This item has no description.

Protected procedure SetWindowlessFrameRate(aValue : integer);

This item has no description.

Protected procedure SetAudioMuted(aValue : boolean);

This item has no description.

Protected procedure SetSafeSearch(aValue : boolean);

This item has no description.

Protected procedure SetOffline(aValue : boolean);

This item has no description.

Protected procedure SetYouTubeRestrict(aValue : integer);

This item has no description.

Protected procedure SetPrintingEnabled(aValue : boolean);

This item has no description.

Protected procedure SetAcceptCookies(const aValue : TCefCookiePref);

This item has no description.

Protected procedure SetBlock3rdPartyCookies(const aValue : boolean);

This item has no description.

Protected procedure SetMultiBrowserMode(aValue : boolean);

This item has no description.

Protected procedure SetQuicAllowed(aValue : boolean);

This item has no description.

Protected procedure SetJavascriptEnabled(aValue : boolean);

This item has no description.

Protected procedure SetLoadImagesAutomatically(aValue : boolean);

This item has no description.

Protected procedure SetBatterySaverModeState(aValue : TCefBatterySaverModeState);

This item has no description.

Protected procedure SetHighEfficiencyModeState(aValue : TCefHighEfficiencyModeState);

This item has no description.

Protected procedure SetDefaultUrl(const aValue : ustring);

This item has no description.

Protected procedure SetRuntimeStyle(aValue : TCefRuntimeStyle);

This item has no description.

Protected procedure SetWindowInfoExStyle(aValue : DWORD);

This item has no description.

Protected function CreateBrowserHost(aWindowInfo : PCefWindowInfo; const aURL : ustring; const aSettings : PCefBrowserSettings; const aExtraInfo : ICefDictionaryValue; const aContext : ICefRequestContext): boolean;

This item has no description.

Protected function CreateBrowserHostSync(aWindowInfo : PCefWindowInfo; const aURL : ustring; const aSettings : PCefBrowserSettings; const aExtraInfo : ICefDictionaryValue; const aContext : ICefRequestContext): Boolean;

This item has no description.

Protected procedure DestroyAllBrowsers;

This item has no description.

Protected procedure DestroyClientHandler;

This item has no description.

Protected procedure DestroyReqContextHandler;

This item has no description.

Protected procedure DestroyResourceRequestHandler;

This item has no description.

Protected procedure DestroyMediaObserver;

This item has no description.

Protected procedure DestroyDevToolsMsgObserver;

This item has no description.

Protected procedure DestroySettingObserver;

This item has no description.

Protected procedure DestroyPreferenceObserver;

This item has no description.

Protected procedure DestroyAllHandlersAndObservers;

This item has no description.

Protected procedure CreateResourceRequestHandler; virtual;

This item has no description.

Protected procedure CreateMediaObserver; virtual;

This item has no description.

Protected procedure CreateDevToolsMsgObserver; virtual;

This item has no description.

Protected procedure CreateSettingObserver; virtual;

This item has no description.

Protected procedure CreatePreferenceObserver; virtual;

This item has no description.

Protected procedure CreateRequestContextHandler; virtual;

This item has no description.

Protected procedure CreateOptionsClasses; virtual;

This item has no description.

Protected procedure CreateSyncObjects; virtual;

This item has no description.

Protected procedure CreateBrowserInfoList; virtual;

This item has no description.

Protected procedure CreateWindowWithWndProc; virtual;

This item has no description.

Protected procedure InitializeEvents;

This item has no description.

Protected procedure InitializeSettings(var aSettings : TCefBrowserSettings);

This item has no description.

Protected function UpdateProxyPrefs(const aBrowser: ICefBrowser) : boolean;

This item has no description.

Protected function UpdatePreference(const aBrowser: ICefBrowser; const aName : ustring; aValue : boolean) : boolean; overload;

This item has no description.

Protected function UpdatePreference(const aBrowser: ICefBrowser; const aName : ustring; aValue : integer) : boolean; overload;

This item has no description.

Protected function UpdatePreference(const aBrowser: ICefBrowser; const aName : ustring; const aValue : double) : boolean; overload;

This item has no description.

Protected function UpdatePreference(const aBrowser: ICefBrowser; const aName, aValue : ustring) : boolean; overload;

This item has no description.

Protected function UpdatePreference(const aBrowser: ICefBrowser; const aName : ustring; const aValue : TStringList) : boolean; overload;

This item has no description.

Protected function UpdateStringListPref(const aBrowser: ICefBrowser; const aName, aValue : ustring) : boolean;

This item has no description.

Protected function ExecuteUpdateZoomStepTask(aInc : boolean) : boolean;

This item has no description.

Protected function ExecuteUpdateZoomPctTask(aInc : boolean) : boolean;

This item has no description.

Protected function ExecuteReadZoomTask: boolean;

This item has no description.

Protected function ExecuteSetZoomPctTask(const aValue : double) : boolean;

This item has no description.

Protected function ExecuteSetZoomLevelTask(const aValue : double) : boolean;

This item has no description.

Protected function ExecuteSetZoomStepTask(aValue : byte) : boolean;

This item has no description.

Protected function ExecuteBrowserNavigationTask(aTask : TCefBrowserNavigation) : boolean;

This item has no description.

Protected procedure UpdateHostZoomLevel(const aValue : double);

This item has no description.

Protected procedure UpdateHostZoomPct(const aValue : double);

This item has no description.

Protected procedure DelayedDragging;

This item has no description.

Protected procedure InitializeWindowInfo(aParentHandle : TCefWindowHandle; aParentRect : TRect; const aWindowName : ustring); virtual;

This item has no description.

Protected procedure DefaultInitializeDevToolsWindowInfo(aDevToolsWnd: TCefWindowHandle; const aClientRect: TRect; const aWindowName: ustring);

This item has no description.

Protected function AddBrowser(const aBrowser : ICefBrowser) : boolean;

This item has no description.

Protected function RemoveBrowser(const aBrowser : ICefBrowser) : boolean;

This item has no description.

Protected procedure SetBrowserIsClosing(aID : integer);

This item has no description.

Protected procedure PrefsAvailableMsg(aResultOK : boolean);

This item has no description.

Protected function SendCompMessage(aMsg : cardinal; aWParam : WPARAM = 0; aLParam : LPARAM = 0) : boolean;

This item has no description.

Protected procedure ToMouseEvent(grfKeyState : Longint; pt : TPoint; var aMouseEvent : TCefMouseEvent);

This item has no description.

Protected procedure WndProc(var aMessage: TMessage);

This item has no description.

Protected procedure CreateStub(const aMethod : TWndMethod; var aStub : Pointer);

This item has no description.

Protected procedure FreeAndNilStub(var aStub : pointer);

This item has no description.

Protected function InstallCompWndProc(aWnd: THandle; aStub: Pointer): TFNWndProc;

This item has no description.

Protected procedure RestoreCompWndProc(var aOldWnd: THandle; aNewWnd: THandle; var aProc: TFNWndProc);

This item has no description.

Protected procedure CallOldCompWndProc(aProc: TFNWndProc; aWnd: THandle; var aMessage: TMessage);

This item has no description.

Protected procedure BrowserCompWndProc(var aMessage: TMessage);

This item has no description.

Protected procedure RenderCompWndProc(var aMessage: TMessage);

This item has no description.

Protected procedure RestoreOldCompWndProc;

This item has no description.

Protected function CopyDCToBitmapStream(aSrcDC : HDC; const aSrcRect : TRect; const aStream : TStream) : boolean;

This item has no description.

Protected procedure DragDropManager_OnDragEnter(Sender: TObject; const aDragData : ICefDragData; grfKeyState: Longint; pt: TPoint; var dwEffect: Longint);

This item has no description.

Protected procedure DragDropManager_OnDragOver(Sender: TObject; grfKeyState: Longint; pt: TPoint; var dwEffect: Longint);

This item has no description.

Protected procedure DragDropManager_OnDragLeave(Sender: TObject);

This item has no description.

Protected procedure DragDropManager_OnDrop(Sender: TObject; grfKeyState: Longint; pt: TPoint; var dwEffect: Longint);

This item has no description.

Protected function doOnProcessMessageReceived(const browser: ICefBrowser; const frame: ICefFrame; sourceProcess: TCefProcessId; const aMessage: ICefProcessMessage): Boolean; virtual;

ICefClient

Protected procedure doOnLoadStart(const browser: ICefBrowser; const frame: ICefFrame; transitionType: TCefTransitionType); virtual;

ICefLoadHandler

Protected procedure doOnLoadEnd(const browser: ICefBrowser; const frame: ICefFrame; httpStatusCode: Integer); virtual;

This item has no description.

Protected procedure doOnLoadError(const browser: ICefBrowser; const frame: ICefFrame; errorCode: TCefErrorCode; const errorText, failedUrl: ustring); virtual;

This item has no description.

Protected procedure doOnLoadingStateChange(const browser: ICefBrowser; isLoading, canGoBack, canGoForward: Boolean); virtual;

This item has no description. Showing description inherited from IChromiumEvents.doOnLoadingStateChange.

ICefLoadHandler

Protected procedure doOnTakeFocus(const browser: ICefBrowser; next: Boolean); virtual;

ICefFocusHandler

Protected function doOnSetFocus(const browser: ICefBrowser; source: TCefFocusSource): Boolean; virtual;

This item has no description.

Protected procedure doOnGotFocus(const browser: ICefBrowser); virtual;

This item has no description.

Protected procedure doOnBeforeContextMenu(const browser: ICefBrowser; const frame: ICefFrame; const params: ICefContextMenuParams; const model: ICefMenuModel); virtual;

ICefContextMenuHandler

Protected function doRunContextMenu(const browser: ICefBrowser; const frame: ICefFrame; const params: ICefContextMenuParams; const model: ICefMenuModel; const callback: ICefRunContextMenuCallback): Boolean; virtual;

This item has no description.

Protected function doOnContextMenuCommand(const browser: ICefBrowser; const frame: ICefFrame; const params: ICefContextMenuParams; commandId: Integer; eventFlags: TCefEventFlags): Boolean; virtual;

This item has no description.

Protected procedure doOnContextMenuDismissed(const browser: ICefBrowser; const frame: ICefFrame); virtual;

This item has no description.

Protected function doRunQuickMenu(const browser: ICefBrowser; const frame: ICefFrame; location: PCefPoint; size: PCefSize; edit_state_flags: TCefQuickMenuEditStateFlags; const callback: ICefRunQuickMenuCallback): boolean; virtual;

This item has no description.

Protected function doOnQuickMenuCommand(const browser: ICefBrowser; const frame: ICefFrame; command_id: integer; event_flags: TCefEventFlags): boolean; virtual;

This item has no description.

Protected procedure doOnQuickMenuDismissed(const browser: ICefBrowser; const frame: ICefFrame); virtual;

This item has no description.

Protected function doOnPreKeyEvent(const browser: ICefBrowser; const event: PCefKeyEvent; osEvent: TCefEventHandle; out isKeyboardShortcut: Boolean): Boolean; virtual;

ICefKeyboardHandler

Protected function doOnKeyEvent(const browser: ICefBrowser; const event: PCefKeyEvent; osEvent: TCefEventHandle): Boolean; virtual;

This item has no description.

Protected procedure doOnAddressChange(const browser: ICefBrowser; const frame: ICefFrame; const url: ustring); virtual;

ICefDisplayHandler

Protected procedure doOnTitleChange(const browser: ICefBrowser; const title: ustring); virtual;

This item has no description.

Protected procedure doOnFaviconUrlChange(const browser: ICefBrowser; const iconUrls: TStrings); virtual;

This item has no description.

Protected procedure doOnFullScreenModeChange(const browser: ICefBrowser; fullscreen: Boolean); virtual;

This item has no description.

Protected function doOnTooltip(const browser: ICefBrowser; var text: ustring): Boolean; virtual;

This item has no description.

Protected procedure doOnStatusMessage(const browser: ICefBrowser; const value: ustring); virtual;

This item has no description.

Protected function doOnConsoleMessage(const browser: ICefBrowser; level: TCefLogSeverity; const aMessage, source: ustring; line: Integer): Boolean; virtual;

This item has no description.

Protected function doOnAutoResize(const browser: ICefBrowser; const new_size: PCefSize): Boolean; virtual;

This item has no description.

Protected procedure doOnLoadingProgressChange(const browser: ICefBrowser; const progress: double); virtual;

This item has no description.

Protected procedure doOnCursorChange(const browser: ICefBrowser; cursor_: TCefCursorHandle; cursorType: TCefCursorType; const customCursorInfo: PCefCursorInfo; var aResult : boolean); virtual;

This item has no description.

Protected procedure doOnMediaAccessChange(const browser: ICefBrowser; has_video_access, has_audio_access: boolean); virtual;

This item has no description.

Protected function doOnContentsBoundsChange(const browser: ICefBrowser; const new_bounds: PCefRect): Boolean; virtual;

This item has no description.

Protected function doOnGetRootWindowScreenRect(const browser: ICefBrowser; rect_: PCefRect): Boolean; virtual;

This item has no description.

Protected function doOnCanDownload(const browser: ICefBrowser; const url, request_method: ustring): boolean;

ICefDownloadHandler

Protected function doOnBeforeDownload(const browser: ICefBrowser; const downloadItem: ICefDownloadItem; const suggestedName: ustring; const callback: ICefBeforeDownloadCallback): boolean; virtual;

This item has no description.

Protected procedure doOnDownloadUpdated(const browser: ICefBrowser; const downloadItem: ICefDownloadItem; const callback: ICefDownloadItemCallback); virtual;

This item has no description.

Protected function doOnJsdialog(const browser: ICefBrowser; const originUrl: ustring; dialogType: TCefJsDialogType; const messageText, defaultPromptText: ustring; const callback: ICefJsDialogCallback; out suppressMessage: Boolean): Boolean; virtual;

ICefJsDialogHandler

Protected function doOnBeforeUnloadDialog(const browser: ICefBrowser; const messageText: ustring; isReload: Boolean; const callback: ICefJsDialogCallback): Boolean; virtual;

This item has no description.

Protected procedure doOnResetDialogState(const browser: ICefBrowser); virtual;

This item has no description.

Protected procedure doOnDialogClosed(const browser: ICefBrowser); virtual;

This item has no description.

Protected function doOnBeforePopup(const browser: ICefBrowser; const frame: ICefFrame; popup_id: Integer; const targetUrl, targetFrameName: ustring; targetDisposition: TCefWindowOpenDisposition; userGesture: Boolean; const popupFeatures: TCefPopupFeatures; var windowInfo: TCefWindowInfo; var client: ICefClient; var settings: TCefBrowserSettings; var extra_info: ICefDictionaryValue; var noJavascriptAccess: Boolean): Boolean; virtual;

ICefLifeSpanHandler

Protected procedure doOnBeforePopupAborted(const browser: ICefBrowser; popup_id: Integer); virtual;

This item has no description.

Protected procedure doOnBeforeDevToolsPopup(const browser: ICefBrowser; var windowInfo: TCefWindowInfo; var client: ICefClient; var settings: TCefBrowserSettings; var extra_info: ICefDictionaryValue; var use_default_window: boolean); virtual;

This item has no description.

Protected procedure doOnAfterCreated(const browser: ICefBrowser); virtual;

This item has no description.

Protected procedure doOnBeforeClose(const browser: ICefBrowser); virtual;

This item has no description.

Protected function doOnClose(const browser: ICefBrowser): Boolean; virtual;

This item has no description.

Protected function doOnBeforeBrowse(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; user_gesture, isRedirect: Boolean): Boolean; virtual;

ICefRequestHandler

Protected function doOnOpenUrlFromTab(const browser: ICefBrowser; const frame: ICefFrame; const targetUrl: ustring; targetDisposition: TCefWindowOpenDisposition; userGesture: Boolean): Boolean; virtual;

This item has no description.

Protected procedure doGetResourceRequestHandler_ReqHdlr(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; is_navigation, is_download: boolean; const request_initiator: ustring; var disable_default_handling: boolean; var aResourceRequestHandler : ICefResourceRequestHandler); virtual;

This item has no description.

Protected function doOnGetAuthCredentials(const browser: ICefBrowser; const originUrl: ustring; isProxy: Boolean; const host: ustring; port: Integer; const realm, scheme: ustring; const callback: ICefAuthCallback): Boolean; virtual;

This item has no description.

Protected function doOnCertificateError(const browser: ICefBrowser; certError: TCefErrorcode; const requestUrl: ustring; const sslInfo: ICefSslInfo; const callback: ICefCallback): Boolean; virtual;

This item has no description.

Protected function doOnSelectClientCertificate(const browser: ICefBrowser; isProxy: boolean; const host: ustring; port: integer; certificatesCount: NativeUInt; const certificates: TCefX509CertificateArray; const callback: ICefSelectClientCertificateCallback): boolean; virtual;

This item has no description.

Protected procedure doOnRenderViewReady(const browser: ICefBrowser); virtual;

This item has no description.

Protected function doOnRenderProcessUnresponsive(const browser: ICefBrowser; const callback: ICefUnresponsiveProcessCallback): boolean; virtual;

This item has no description.

Protected procedure doOnRenderProcessResponsive(const browser: ICefBrowser); virtual;

This item has no description.

Protected procedure doOnRenderProcessTerminated(const browser: ICefBrowser; status: TCefTerminationStatus; error_code: integer; const error_string: ustring); virtual;

This item has no description.

Protected procedure doOnDocumentAvailableInMainFrame(const browser: ICefBrowser); virtual;

This item has no description.

Protected function doOnBeforeResourceLoad(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const callback: ICefCallback): TCefReturnValue; virtual;

ICefResourceRequestHandler

Protected procedure doOnGetResourceHandler(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; var aResourceHandler : ICefResourceHandler); virtual;

This item has no description.

Protected procedure doOnResourceRedirect(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; var newUrl: ustring); virtual;

This item has no description.

Protected function doOnResourceResponse(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse): Boolean; virtual;

This item has no description.

Protected procedure doOnGetResourceResponseFilter(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; var aResponseFilter: ICefResponseFilter); virtual;

This item has no description.

Protected procedure doOnResourceLoadComplete(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; status: TCefUrlRequestStatus; receivedContentLength: Int64); virtual;

This item has no description.

Protected procedure doOnProtocolExecution(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; var allowOsExecution: Boolean); virtual;

This item has no description.

Protected function doCanSendCookie(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const cookie: PCefCookie): boolean; virtual;

ICefCookieAccessFilter

Protected function doCanSaveCookie(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; const cookie: PCefCookie): boolean; virtual;

This item has no description.

Protected function doOnFileDialog(const browser: ICefBrowser; mode: TCefFileDialogMode; const title, defaultFilePath: ustring; const acceptFilters, accept_extensions, accept_descriptions: TStrings; const callback: ICefFileDialogCallback): Boolean; virtual;

ICefDialogHandler

Protected procedure doOnGetAccessibilityHandler(var aAccessibilityHandler : ICefAccessibilityHandler); virtual;

ICefRenderHandler

Protected function doOnGetRootScreenRect(const browser: ICefBrowser; var rect: TCefRect): Boolean; virtual;

This item has no description.

Protected procedure doOnGetViewRect(const browser: ICefBrowser; var rect: TCefRect); virtual;

This item has no description.

Protected function doOnGetScreenPoint(const browser: ICefBrowser; viewX, viewY: Integer; var screenX, screenY: Integer): Boolean; virtual;

This item has no description.

Protected function doOnGetScreenInfo(const browser: ICefBrowser; var screenInfo: TCefScreenInfo): Boolean; virtual;

This item has no description.

Protected procedure doOnPopupShow(const browser: ICefBrowser; show: Boolean); virtual;

This item has no description.

Protected procedure doOnPopupSize(const browser: ICefBrowser; const rect: PCefRect); virtual;

This item has no description.

Protected procedure doOnPaint(const browser: ICefBrowser; type_: TCefPaintElementType; dirtyRectsCount: NativeUInt; const dirtyRects: PCefRectArray; const buffer: Pointer; width, height: Integer); virtual;

This item has no description.

Protected procedure doOnAcceleratedPaint(const browser: ICefBrowser; type_: TCefPaintElementType; dirtyRectsCount: NativeUInt; const dirtyRects: PCefRectArray; const info: PCefAcceleratedPaintInfo); virtual;

This item has no description.

Protected procedure doGetTouchHandleSize(const browser: ICefBrowser; orientation: TCefHorizontalAlignment; var size: TCefSize); virtual;

This item has no description.

Protected procedure doOnTouchHandleStateChanged(const browser: ICefBrowser; const state: TCefTouchHandleState); virtual;

This item has no description.

Protected function doOnStartDragging(const browser: ICefBrowser; const dragData: ICefDragData; allowedOps: TCefDragOperations; x, y: Integer): Boolean; virtual;

This item has no description.

Protected procedure doOnUpdateDragCursor(const browser: ICefBrowser; operation: TCefDragOperation); virtual;

This item has no description.

Protected procedure doOnScrollOffsetChanged(const browser: ICefBrowser; x, y: Double); virtual;

This item has no description.

Protected procedure doOnIMECompositionRangeChanged(const browser: ICefBrowser; const selected_range: PCefRange; character_boundsCount: NativeUInt; const character_bounds: PCefRect); virtual;

This item has no description.

Protected procedure doOnTextSelectionChanged(const browser: ICefBrowser; const selected_text: ustring; const selected_range: PCefRange); virtual;

This item has no description.

Protected procedure doOnVirtualKeyboardRequested(const browser: ICefBrowser; input_mode: TCefTextInpuMode); virtual;

This item has no description.

Protected function doOnDragEnter(const browser: ICefBrowser; const dragData: ICefDragData; mask: TCefDragOperations): Boolean; virtual;

ICefDragHandler

Protected procedure doOnDraggableRegionsChanged(const browser: ICefBrowser; const frame: ICefFrame; regionsCount: NativeUInt; const regions: PCefDraggableRegionArray); virtual;

This item has no description.

Protected procedure doOnFindResult(const browser: ICefBrowser; identifier, count: Integer; const selectionRect: PCefRect; activeMatchOrdinal: Integer; finalUpdate: Boolean); virtual;

ICefFindHandler

Protected procedure doOnRequestContextInitialized(const request_context: ICefRequestContext); virtual;

ICefRequestContextHandler

Protected procedure doGetResourceRequestHandler_ReqCtxHdlr(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; is_navigation, is_download: boolean; const request_initiator: ustring; var disable_default_handling: boolean; var aResourceRequestHandler : ICefResourceRequestHandler); virtual;

This item has no description.

Protected procedure doOnSinks(const sinks: TCefMediaSinkArray); virtual;

ICefMediaObserver

Protected procedure doOnRoutes(const routes: TCefMediaRouteArray); virtual;

This item has no description.

Protected procedure doOnRouteStateChanged(const route: ICefMediaRoute; state: TCefMediaRouteConnectionState); virtual;

This item has no description.

Protected procedure doOnRouteMessageReceived(const route: ICefMediaRoute; const message_: ustring); virtual;

This item has no description.

Protected procedure doOnGetAudioParameters(const browser: ICefBrowser; var params: TCefAudioParameters; var aResult: boolean); virtual;

ICefAudioHandler

Protected procedure doOnAudioStreamStarted(const browser: ICefBrowser; const params: TCefAudioParameters; channels: integer); virtual;

This item has no description.

Protected procedure doOnAudioStreamPacket(const browser: ICefBrowser; const data : PPSingle; frames: integer; pts: int64); virtual;

This item has no description.

Protected procedure doOnAudioStreamStopped(const browser: ICefBrowser); virtual;

This item has no description.

Protected procedure doOnAudioStreamError(const browser: ICefBrowser; const message_: ustring); virtual;

This item has no description.

Protected procedure doOnDevToolsMessage(const browser: ICefBrowser; const message_: Pointer; message_size: NativeUInt; var aHandled: boolean); virtual;

ICefDevToolsMessageObserver

Protected procedure doOnDevToolsMethodResult(const browser: ICefBrowser; message_id: integer; success: boolean; const result: Pointer; result_size: NativeUInt); virtual;

This item has no description.

Protected procedure doOnDevToolsEvent(const browser: ICefBrowser; const method: ustring; const params: Pointer; params_size: NativeUInt); virtual;

This item has no description.

Protected procedure doOnDevToolsAgentAttached(const browser: ICefBrowser); virtual;

This item has no description.

Protected procedure doOnDevToolsAgentDetached(const browser: ICefBrowser); virtual;

This item has no description.

Protected procedure doOnPrintStart(const browser: ICefBrowser);

ICefPrintHandler

Protected procedure doOnPrintSettings(const browser: ICefBrowser; const settings: ICefPrintSettings; getDefaults: boolean);

This item has no description.

Protected procedure doOnPrintDialog(const browser: ICefBrowser; hasSelection: boolean; const callback: ICefPrintDialogCallback; var aResult : boolean);

This item has no description.

Protected procedure doOnPrintJob(const browser: ICefBrowser; const documentName, PDFFilePath: ustring; const callback: ICefPrintJobCallback; var aResult : boolean);

This item has no description.

Protected procedure doOnPrintReset(const browser: ICefBrowser);

This item has no description.

Protected procedure doOnGetPDFPaperSize(const browser: ICefBrowser; deviceUnitsPerInch: Integer; var aResult : TCefSize);

This item has no description.

Protected procedure doOnFrameCreated(const browser: ICefBrowser; const frame: ICefFrame);

ICefFrameHandler

Protected procedure doOnFrameDestroyed(const browser: ICefBrowser; const frame: ICefFrame);

This item has no description.

Protected procedure doOnFrameAttached(const browser: ICefBrowser; const frame: ICefFrame; reattached: boolean);

This item has no description.

Protected procedure doOnFrameDetached(const browser: ICefBrowser; const frame: ICefFrame);

This item has no description.

Protected procedure doOnMainFrameChanged(const browser: ICefBrowser; const old_frame, new_frame: ICefFrame);

This item has no description.

Protected function doOnChromeCommand(const browser: ICefBrowser; command_id: integer; disposition: TCefWindowOpenDisposition): boolean;

ICefCommandHandler

Protected function doOnIsChromeAppMenuItemVisible(const browser: ICefBrowser; command_id: integer): boolean;

This item has no description.

Protected function doOnIsChromeAppMenuItemEnabled(const browser: ICefBrowser; command_id: integer): boolean;

This item has no description.

Protected function doOnIsChromePageActionIconVisible(icon_type: TCefChromePageActionIconType): boolean;

This item has no description.

Protected function doOnIsChromeToolbarButtonVisible(button_type: TCefChromeToolbarButtonType): boolean;

This item has no description.

Protected function doOnRequestMediaAccessPermission(const browser: ICefBrowser; const frame: ICefFrame; const requesting_origin: ustring; requested_permissions: cardinal; const callback: ICefMediaAccessCallback): boolean;

ICefPermissionHandler

Protected function doOnShowPermissionPrompt(const browser: ICefBrowser; prompt_id: uint64; const requesting_origin: ustring; requested_permissions: cardinal; const callback: ICefPermissionPromptCallback): boolean;

This item has no description.

Protected procedure doOnDismissPermissionPrompt(const browser: ICefBrowser; prompt_id: uint64; result: TCefPermissionRequestResult);

This item has no description.

Protected procedure doOnPreferenceChanged(const name_: ustring);

ICefPreferenceObserver

Protected procedure doOnSettingChanged(const requesting_url, top_level_url : ustring; content_type: TCefContentSettingTypes);

ICefSettingObserver

Protected procedure GetSettings(var aSettings : TCefBrowserSettings);

Custom

Protected procedure doCookiesDeleted(numDeleted : integer); virtual;

This item has no description. Showing description inherited from IChromiumEvents.doCookiesDeleted.

Custom

Protected procedure doPdfPrintFinished(aResultOK : boolean); virtual;

This item has no description.

Protected procedure doTextResultAvailable(const aText : ustring); virtual;

This item has no description.

Protected procedure doUpdatePreferences(const aBrowser: ICefBrowser); virtual;

This item has no description.

Protected procedure doUpdateOwnPreferences; virtual;

This item has no description.

Protected function doSavePreferences: boolean; virtual;

This item has no description.

Protected procedure doResolvedHostAvailable(result: TCefErrorCode; const resolvedIps: TStrings); virtual;

This item has no description.

Protected function doNavigationVisitorResultAvailable(const entry: ICefNavigationEntry; current: Boolean; index, total: Integer) : boolean; virtual;

This item has no description.

Protected procedure doDownloadImageFinished(const imageUrl: ustring; httpStatusCode: Integer; const image: ICefImage); virtual;

This item has no description.

Protected procedure doOnCookiesStoreFlushed; virtual;

This item has no description.

Protected procedure doCertificateExceptionsCleared; virtual;

This item has no description.

Protected procedure doHttpAuthCredentialsCleared; virtual;

This item has no description.

Protected procedure doAllConnectionsClosed; virtual;

This item has no description.

Protected procedure doOnExecuteTaskOnCefThread(aTaskID : cardinal); virtual;

This item has no description.

Protected procedure doOnCookiesVisited(const name_, value, domain, path: ustring; secure, httponly, hasExpires: Boolean; const creation, lastAccess, expires: TDateTime; count, total, aID : Integer; same_site : TCefCookieSameSite; priority : TCefCookiePriority; var aDeleteCookie, aResult : Boolean); virtual;

This item has no description.

Protected procedure doOnCookieVisitorDestroyed(aID : integer); virtual;

This item has no description.

Protected procedure doOnCookieSet(aSuccess : boolean; aID : integer); virtual;

This item has no description.

Protected procedure doUpdateZoomStep(aInc : boolean); virtual;

This item has no description.

Protected procedure doUpdateZoomPct(aInc : boolean); virtual;

This item has no description.

Protected procedure doReadZoom; virtual;

This item has no description.

Protected procedure doSetZoomLevel(const aValue : double); virtual;

This item has no description.

Protected procedure doSetZoomPct(const aValue : double); virtual;

This item has no description.

Protected procedure doSetZoomStep(aValue : byte); virtual;

This item has no description.

Protected procedure doMediaRouteCreateFinished(result: TCefMediaRouterCreateResult; const error: ustring; const route: ICefMediaRoute); virtual;

This item has no description.

Protected procedure doOnMediaSinkDeviceInfo(const ip_address: ustring; port: integer; const model_name: ustring); virtual;

This item has no description.

Protected procedure doBrowserNavigation(aTask : TCefBrowserNavigation); virtual;

This item has no description.

Protected procedure doSetAudioMuted(aValue : boolean); virtual;

This item has no description.

Protected procedure doToggleAudioMuted; virtual;

This item has no description.

Protected procedure doEnableFocus; virtual;

This item has no description.

Protected function doTryCloseBrowser: boolean; virtual;

This item has no description.

Protected procedure doAddPreferenceObserver(const name_ : ustring); virtual;

This item has no description.

Protected function MustCreateAudioHandler: boolean; virtual;

This item has no description.

Protected function MustCreateCommandHandler: boolean; virtual;

This item has no description.

Protected function MustCreateDevToolsMessageObserver: boolean; virtual;

This item has no description.

Protected function MustCreateSettingObserver: boolean; virtual;

This item has no description.

Protected function MustCreateLoadHandler: boolean; virtual;

This item has no description.

Protected function MustCreateFocusHandler: boolean; virtual;

This item has no description.

Protected function MustCreateContextMenuHandler: boolean; virtual;

This item has no description.

Protected function MustCreateDialogHandler: boolean; virtual;

This item has no description.

Protected function MustCreateKeyboardHandler: boolean; virtual;

This item has no description.

Protected function MustCreateDisplayHandler: boolean; virtual;

This item has no description.

Protected function MustCreateDownloadHandler: boolean; virtual;

This item has no description.

Protected function MustCreateJsDialogHandler: boolean; virtual;

This item has no description.

Protected function MustCreateLifeSpanHandler: boolean; virtual;

This item has no description.

Protected function MustCreateRenderHandler: boolean; virtual;

This item has no description.

Protected function MustCreateRequestHandler: boolean; virtual;

This item has no description.

Protected function MustCreateDragHandler: boolean; virtual;

This item has no description.

Protected function MustCreateFindHandler: boolean; virtual;

This item has no description.

Protected function MustCreateResourceRequestHandler: boolean; virtual;

This item has no description.

Protected function MustCreateCookieAccessFilter: boolean; virtual;

This item has no description.

Protected function MustCreateMediaObserver: boolean; virtual;

This item has no description.

Protected function MustCreatePrintHandler: boolean; virtual;

This item has no description.

Protected function MustCreateFrameHandler: boolean; virtual;

This item has no description.

Protected function MustCreatePermissionHandler: boolean; virtual;

This item has no description.

Public constructor Create(AOwner: TComponent); override;

This item has no description.

Public destructor Destroy; override;

This item has no description.

Public procedure AfterConstruction; override;

This item has no description.

Public procedure BeforeDestruction; override;

This item has no description.

Public function CreateClientHandler(aIsOSR : boolean = True) : boolean; overload;

Used to create the client handler which will also create most of the browser handlers needed for the browser.

Public function CreateClientHandler(var aClient : ICefClient; aIsOSR : boolean = True) : boolean; overload;

Used to create the client handler when a browser requests a new browser in a popup window or tab in the TChromiumCore.OnBeforePopup event.

Public procedure CloseBrowser(aForceClose : boolean);

Request that the browser close. Closing a browser is a multi-stage process that may complete either synchronously or asynchronously, and involves events such as TChromiumCore.OnClose (Alloy style only), TChromiumCore.OnBeforeClose, and a top-level window close handler such as TCEFWindowComponent.OnCanClose (or platform-specific equivalent). In some cases a close request may be delayed or canceled by the user. Using TryCloseBrowser() instead of CloseBrowser() is recommended for most use cases. See TChromiumCore.OnClose documentation for detailed usage and examples.

If |aForceClose| is false (0) then JavaScript unload handlers, if any, may be fired and the close may be delayed or canceled by the user. If |aForceClose| is true (1) then the user will not be prompted and the close will proceed immediately (possibly asynchronously). If browser close is delayed and not canceled the default behavior is to call the top-level window close handler once the browser is ready to be closed. This default behavior can be changed for Alloy style browsers by implementing TChromiumCore.OnClose. IsReadyToBeClosed() can be used to detect mandatory browser close events when customizing close behavior on the browser process UI thread.

Public procedure CloseAllBrowsers;

Calls CloseBrowser for all the browsers handled by this TChromiumCore instance.

Public function TryCloseBrowser: boolean;

Helper for closing a browser. This is similar in behavior to CLoseBrowser(false) but returns a boolean to reflect the immediate close status. Call this function from a top-level window close handler such as TCEFWindowComponent.OnCanClose (or platform-specific equivalent) to request that the browser close, and return the result to indicate if the window close should proceed. Returns false (0) if the close will be delayed (JavaScript unload handlers triggered but still pending) or true (1) if the close will proceed immediately (possibly asynchronously). See CloseBrowser() documentation for additional usage information. This function must be called on the browser process UI thread.

Public function IsReadyToBeClosed: boolean;

Returns true (1) if the browser is ready to be closed, meaning that the close has already been initiated and that JavaScript unload handlers have already executed or should be ignored. This can be used from a top-level window close handler such as TCEFWindowComponent.OnCanClose (or platform- specific equivalent) to distringuish between potentially cancelable browser close events (like the user clicking the top-level window close button before browser close has started) and mandatory browser close events (like JavaScript `window.close()` or after browser close has started in response to [Try]CloseBrowser()). Not completing the browser close for mandatory close events (when this function returns true (1)) will leave the browser in a partially closed state that interferes with proper functioning. See CloseBrowser() documentation for additional usage information. This function must be called on the browser process UI thread.

Public function SelectBrowser(aID : integer) : boolean;

Select the browser with the aID identifier when TChromiumCore uses the multi-browser mode.

Public function IndexOfBrowserID(aID : integer) : integer;

Returns the index in the browsers array of the browser with the aID identifier when TChromiumCore uses the multi-browser mode.

Public function ShareRequestContext(var aContext : ICefRequestContext; const aHandler : ICefRequestContextHandler = nil) : boolean;

Creates a new request context in the aContext parameter that shares storage with the request context of the current browser and uses an optional handler.

Public procedure InitializeDragAndDrop(const aDropTargetWnd : HWND);

Used with browsers in OSR mode to initialize drag and drop in Windows.

Public procedure ShutdownDragAndDrop;

Used with browsers in OSR mode to shutdown drag and drop in Windows.

Public function SetNewBrowserParent(aNewParentHwnd : HWND) : boolean;

Used to reparent the browser to a different TCEFWindowParent.

Public function CreateBrowser(aParentHandle : TCefWindowHandle; aParentRect : TRect; const aWindowName : ustring = ''; const aContext : ICefRequestContext = nil; const aExtraInfo : ICefDictionaryValue = nil; aForceAsPopup : boolean = False) : boolean; overload; virtual;

Used to create the browser after the global request context has been initialized. You need to set all properties and events before calling this function because it will only create the internal handlers needed for those events and the property values will be used in the browser initialization.

The browser will be fully initialized when the TChromiumCore.OnAfterCreated event is triggered.

Public function CreateBrowser(const aURL : ustring; const aBrowserViewComp : TCEFBrowserViewComponent; const aContext : ICefRequestContext = nil; const aExtraInfo : ICefDictionaryValue = nil) : boolean; overload; virtual;

Used to create the browser after the global request context has been initialized. You need to set all properties and events before calling this function because it will only create the internal handlers needed for those events and the property values will be used in the browser initialization.

The browser will be fully initialized when the TChromiumCore.OnAfterCreated event is triggered.

Public procedure LoadURL(const aURL : ustring; const aFrameName : ustring = ''; const aFrameIdentifier : ustring = ''); overload;

Used to navigate to a URL in the specified frame or the main frame.

Public procedure LoadURL(const aURL : ustring; const aFrame : ICefFrame); overload;

Used to navigate to a URL in the specified frame or the main frame.

Public procedure LoadString(const aHTML : ustring; const aFrameName : ustring = ''; const aFrameIdentifier : ustring = ''); overload;

Used to load a DATA URI with the HTML string contents in the specified frame or the main frame.

Public procedure LoadString(const aHTML : ustring; const aFrame : ICefFrame); overload;

Used to load a DATA URI with the HTML string contents in the specified frame or the main frame.

Public procedure LoadResource(const aStream : TCustomMemoryStream; const aMimeType, aCharset : string; const aFrameName : ustring = ''; const aFrameIdentifier : ustring = ''); overload;

Used to load a DATA URI with the stream contents in the specified frame or the main frame. The DATA URI will be configured with the mime type and charset specified in the parameters.

Public procedure LoadResource(const aStream : TCustomMemoryStream; const aMimeType, aCharset : string; const aFrame : ICefFrame); overload;

Used to load a DATA URI with the stream contents in the specified frame or the main frame. The DATA URI will be configured with the mime type and charset specified in the parameters.

Public procedure LoadRequest(const aRequest: ICefRequest);

Load the request represented by the aRequest object.

WARNING: This function will fail with bad IPC message reason INVALID_INITIATOR_ORIGIN (213) unless you first navigate to the request origin using some other mechanism (LoadURL, link click, etc).

Public procedure GoBack;

Navigate backwards.

Public procedure GoForward;

Navigate forwards.

Public procedure Reload;

Reload the current page.

Public procedure ReloadIgnoreCache;

Reload the current page ignoring any cached data.

Public procedure StopLoad;

Stop loading the page.

Public procedure StartDownload(const aURL : ustring);

Starts downloading a file in the specified URL.

Public procedure DownloadImage(const imageUrl: ustring; isFavicon: Boolean; maxImageSize: cardinal; bypassCache: Boolean);

Starts downloading an image in the specified URL. Use the TChromiumCore.OnDownloadImageFinished event to receive the image.

Public procedure SimulateMouseWheel(aDeltaX, aDeltaY : integer);

Calls ICefBrowserHost.SendMouseWheelEvent to simulate a simple mouse wheel event. Use TChromiumCore.SendMouseWheelEvent if you need to specify the mouse coordinates or the event flags.

Public procedure SimulateKeyEvent(type_: TSimulatedCefKeyEventType; modifiers: integer = CEF_MOUSETOUCH_EVENT_MODIFIERS_NONE; timestamp: single = 0; const text: ustring = ''; const unmodifiedtext: ustring = ''; const keyIdentifier: ustring = ''; const code: ustring = ''; const key: ustring = ''; windowsVirtualKeyCode: integer = 0; nativeVirtualKeyCode: integer = 0; autoRepeat: boolean = False; isKeypad: boolean = False; isSystemKey: boolean = False; location: TCefKeyLocation = CEF_KEYLOCATION_NONE; commands: TCefEditingCommand = ecNone);

Dispatches a key event to the page using the "Input.dispatchKeyEvent" DevTools method. The browser has to be focused before simulating any key event.

<see href="https://chromedevtools.github.io/devtools-protocol/1-3/Input/#method-dispatchKeyEvent">See the "Input.dispatchKeyEvent" DevTools method.)

Parameters
type_
Type of the key event.
modifiers
Bit field representing pressed modifier keys. Alt=1, Ctrl=2, Meta/Command=4, Shift=8.(default: 0).
timestamp
Time at which the event occurred.
text
Text as generated by processing a virtual key code with a keyboard layout. Not needed for for keyUp and rawKeyDown events.(default: "")
unmodifiedtext
Text that would have been generated by the keyboard if no modifiers were pressed (except for shift). Useful for shortcut (accelerator) key handling.(default: "").
keyIdentifier
Unique key identifier (e.g., 'U+0041').(default: "").
code
Unique DOM defined string value for each physical key (e.g., 'KeyA').(default: "").
key
Unique DOM defined string value describing the meaning of the key in the context of active modifiers, keyboard layout, etc (e.g., 'AltGr').(default: "").
windowsVirtualKeyCode
Windows virtual key code.(default: 0).
nativeVirtualKeyCode
Native virtual key code.(default: 0).
autoRepeat
Whether the event was generated from auto repeat.(default: false).
isKeypad
Whether the event was generated from the keypad.(default: false).
isSystemKey
Whether the event was a system key event.(default: false).
location
Whether the event was from the left or right side of the keyboard. 1=Left, 2=Right.(default: 0).
commands
Editing commands to send with the key event (e.g., 'selectAll') (default: []). These are related to but not equal the command names used in document.execCommand and NSStandardKeyBindingResponding. See https://source.chromium.org/chromium/chromium/src/+/main:third_party/blink/renderer/core/editing/commands/editor_command_names.h for valid command names.
Public procedure SimulateMouseEvent(type_: TCefSimulatedMouseEventType; x, y: single; modifiers: integer = CEF_MOUSETOUCH_EVENT_MODIFIERS_NONE; timestamp: single = 0; button: TCefSimulatedMouseButton = CEF_SIMULATEDMOUSEBUTTON_NONE; buttons: integer = CEF_PRESSED_MOUSE_BUTTONS_NONE; clickCount: integer = 0; force: single = 0; tangentialPressure: single = 0; tiltX: single = 0; tiltY: single = 0; twist: integer = 0; deltaX: single = 0; deltaY: single = 0; pointerType: TCefSimulatedPointerType = CEF_SIMULATEDPOINTERTYPE_MOUSE);

Dispatches a key event to the page using the "Input.dispatchKeyEvent" DevTools method. The browser has to be focused before simulating any key event.

<see href="https://chromedevtools.github.io/devtools-protocol/1-3/Input/#method-dispatchKeyEvent">See the "Input.dispatchKeyEvent" DevTools method.)

Parameters
type_
Type of the mouse event.
x
X coordinate of the event relative to the main frame's viewport in CSS pixels.
y
Y coordinate of the event relative to the main frame's viewport in CSS pixels. 0 refers to the top of the viewport and Y increases as it proceeds towards the bottom of the viewport.
modifiers
Bit field representing pressed modifier keys. Alt=1, Ctrl=2, Meta/Command=4, Shift=8 (default: 0). See the CEF_MOUSETOUCH_EVENT_MODIFIERS_* constants.
timestamp
Time at which the event occurred.
button
Mouse button (default: "none").
buttons
A number indicating which buttons are pressed on the mouse when a mouse event is triggered. Left=1, Right=2, Middle=4, Back=8, Forward=16, None=0.
clickCount
Number of times the mouse button was clicked (default: 0).
force
The normalized pressure, which has a range of [0,1] (default: 0).
tangentialPressure
The normalized tangential pressure, which has a range of [-1,1] (default: 0).
tiltX
The plane angle between the Y-Z plane and the plane containing both the stylus axis and the Y axis, in degrees of the range [-90,90], a positive tiltX is to the right (default: 0).
tiltY
The plane angle between the X-Z plane and the plane containing both the stylus axis and the X axis, in degrees of the range [-90,90], a positive tiltY is towards the user (default: 0).
twist
The clockwise rotation of a pen stylus around its own major axis, in degrees in the range [0,359] (default: 0).
deltaX
X delta in CSS pixels for mouse wheel event (default: 0).
deltaY
Y delta in CSS pixels for mouse wheel event (default: 0).
pointerType
Pointer type (default: "mouse").
Public procedure SimulateTouchEvent(type_: TCefSimulatedTouchEventType; var touchPoints: TCefSimulatedTouchPointArray; modifiers: integer = CEF_MOUSETOUCH_EVENT_MODIFIERS_NONE; timestamp: single = 0);

Dispatches a touch event to the page using the "Input.dispatchTouchEvent" DevTools method. The browser has to be focused before simulating any key event.

<see href="https://chromedevtools.github.io/devtools-protocol/tot/Input/#method-dispatchTouchEvent">See the "Input.dispatchTouchEvent" DevTools method.)

Parameters
type_
Type of touch event.
touchPoints
Array of touch points.
modifiers
Bit field representing pressed modifier keys. Alt=1, Ctrl=2, Meta/Command=4, Shift=8.(default: 0). See the CEF_MOUSETOUCH_EVENT_MODIFIERS_* constants.
timestamp
Time at which the event occurred.
Public procedure SimulateEditingCommand(command : TCefEditingCommand);

Simulate editing commands using the "Input.dispatchKeyEvent" DevTools method.

<see href="https://chromedevtools.github.io/devtools-protocol/1-3/Input/#method-dispatchKeyEvent">See the "Input.dispatchKeyEvent" DevTools method.)

<see href="https://source.chromium.org/chromium/chromium/src/+/master:third_party/blink/renderer/core/editing/commands/editor_command_names.h">See the Chromium sources.)

Public function ClearCertificateExceptions(aClearImmediately : boolean = True) : boolean;

Clears all certificate exceptions that were added as part of handling OnCertificateError. If you call this it is recommended that you also call CloseAllConnections() or you risk not being prompted again for server certificates if you reconnect quickly.

If aClearImmediately is false then OnCertificateExceptionsCleared is triggered when the exceptions are cleared.

Public function ClearHttpAuthCredentials(aClearImmediately : boolean = True) : boolean;

Clears all HTTP authentication credentials that were added as part of handling GetAuthCredentials. If |callback| is non-NULL it will be executed on the UI thread after completion.

If aClearImmediately is false then OnHttpAuthCredentialsCleared is triggered when the credeintials are cleared.

Public function CloseAllConnections(aCloseImmediately : boolean = True) : boolean;

Clears all active and idle connections that Chromium currently has. This is only recommended if you have released all other CEF objects but don't yet want to call cef_shutdown().

Public procedure RetrieveHTML(const aFrameName : ustring = ''; const aFrameIdentifier : ustring = ''); overload;

Retrieve all the HTML content from the specified frame or the main frame. Leave aFrameName empty to get the HTML source from the main frame.

It uses a CefStringVisitor to get the HTML content asynchronously and the result will be received in the TChromiumCore.OnTextResultAvailable event.

Public procedure RetrieveHTML(const aFrame : ICefFrame); overload;

Retrieve all the HTML content from the specified frame or the main frame. Set aFrame to nil to get the HTML source from the main frame.

It uses a CefStringVisitor to get the HTML content asynchronously and the result will be received in the TChromiumCore.OnTextResultAvailable event.

Public procedure RetrieveText(const aFrameName : ustring = ''; const aFrameIdentifier : ustring = ''); overload;

Retrieve all the text content from the specified frame or the main frame. Leave aFrameName empty to get the text from the main frame. It uses a CefStringVisitor to get the text asynchronously and the result will be received in the TChromiumCore.OnTextResultAvailable event.

Public procedure RetrieveText(const aFrame : ICefFrame); overload;

Retrieve all the text content from the specified frame or the main frame. Set aFrame to nil to get the text from the main frame. It uses a CefStringVisitor to get the text asynchronously and the result will be received in the TChromiumCore.OnTextResultAvailable event.

Public procedure GetNavigationEntries(currentOnly: Boolean);

Retrieve a snapshot of current navigation entries asynchronously. The TChromiumCore.OnNavigationVisitorResultAvailable event will be triggered for each navigation entry.

Public function GetFrameNames(var aFrameNames : TStrings) : boolean;

Returns the names of all existing frames.

Public function GetFrameIdentifiers(var aFrameIdentifiers : TStrings) : boolean;

Returns the identifiers of all existing frames.

Public procedure ExecuteJavaScript(const aCode, aScriptURL : ustring; const aFrameName : ustring = ''; const aFrameIdentifier : ustring = ''; aStartLine : integer = 0); overload;

Execute a string of JavaScript code in the specified frame or the main frame.

Parameters
aCode
JavaScript code.
aScriptURL
The URL where the script in question can be found, if any. The renderer may request this URL to show the developer the source of the error.
aFrameName
Name of the frame where the JavaScript code will be executed. This name is generated automatically by Chromium. See ICefBrowser.GetFrameNames.
aFrameIdentifier
Identifier of the frame where the JavaScript code will be executed.
aStartLine
The base line number to use for error reporting.
Public procedure ExecuteJavaScript(const aCode, aScriptURL : ustring; const aFrame : ICefFrame; aStartLine : integer = 0); overload;

Execute a string of JavaScript code in the specified frame or the main frame.

Parameters
aCode
JavaScript code.
aScriptURL
The URL where the script in question can be found, if any. The renderer may request this URL to show the developer the source of the error.
aFrame
Frame where the JavaScript code will be executed.
aStartLine
The base line number to use for error reporting.
Public procedure UpdatePreferences;

Used to update the browser preferences using the TChromiumCore property values asynchronously.

Public procedure SavePreferences(const aFileName : string);

Save the browser preferences as a text file.

Public procedure ResolveHost(const aURL : ustring);

Calls CefRequestContext.ResolveHost to resolve the domain in the URL parameter to a list of IP addresses. The result will be received in the TChromiumCore.OnResolvedHostAvailable event.

Public function IsSameBrowser(const aBrowser : ICefBrowser) : boolean;

Used to check if the browser parameter is the same as the selected browser in TChromiumCore.

Public function ExecuteTaskOnCefThread(aCefThreadId : TCefThreadId; aTaskID : cardinal; aDelayMs : Int64 = 0) : boolean;

Calling ExecuteTaskOnCefThread function will trigger the TChromiumCore.OnExecuteTaskOnCefThread event.

Parameters
aCefThreadId
Indicates the CEF thread on which TChromiumCore.OnExecuteTaskOnCefThread will be executed.
aTaskID
Custom ID used to identify the task that triggered the TChromiumCore.OnExecuteTaskOnCefThread event.
aDelayMs
Optional delay in milliseconds to trigger the TChromiumCore.OnExecuteTaskOnCefThread event.
Public procedure SetUserAgentOverride(const aUserAgent : ustring; const aAcceptLanguage : ustring = ''; const aPlatform : ustring = '');

This procedure calls the Emulation.setUserAgentOverride DevTools method to override the user agent string.

Public procedure ClearDataForOrigin(const aOrigin : ustring; aStorageTypes : TCefClearDataStorageTypes = cdstAll);

This procedure calls the Storage.clearDataForOrigin DevTools method to clear the storage data for a given origin.

Public procedure ClearCache;

This procedure calls the Network.clearBrowserCache DevTools method to clear the cache data.

Public procedure ToggleAudioMuted;

Enable or disable the browser's audio.

Public procedure AddPreferenceObserver(const name_: ustring);

Add an observer for preference changes. |name| is the name of the preference to observe. If |name| is NULL then all preferences will be observed. Observing all preferences has performance consequences and is not recommended outside of testing scenarios. The observer will remain registered until the returned Registration object is destroyed. This function must be called on the browser process UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_preference_capi.h">CEF source file: /include/capi/cef_preference_capi.h (cef_preference_manager_t))

Public procedure RemovePreferenceObserver(const name_ : ustring);

Remove an observer for preference changes.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_preference_capi.h">CEF source file: /include/capi/cef_preference_capi.h (cef_preference_manager_t))

Public function DeleteCookies(const url : ustring = ''; const cookieName : ustring = ''; aDeleteImmediately : boolean = False) : boolean;

Used to delete cookies immediately or asynchronously. If aDeleteImmediately is false TChromiumCore.DeleteCookies triggers the TChromiumCore.OnCookiesDeleted event when the cookies are deleted.

Public function VisitAllCookies(aID : integer = 0) : boolean;

TChromiumCore.VisitAllCookies triggers the TChromiumCore.OnCookiesVisited event for each cookie aID is an optional parameter to identify which VisitAllCookies call has triggered the OnCookiesVisited event.

TChromiumCore.OnCookiesVisited may not be triggered if the cookie store is empty but the TChromium.OnCookieVisitorDestroyed event will always be triggered to signal when the browser when the visit is over.

Public function VisitURLCookies(const url : ustring; includeHttpOnly : boolean = False; aID : integer = 0) : boolean;

TChromiumCore.VisitURLCookies triggers the TChromiumCore.OnCookiesVisited event for each cookie aID is an optional parameter to identify which VisitURLCookies call has triggered the OnCookiesVisited event.

TChromiumCore.OnCookiesVisited may not be triggered if the cookie store is empty but the TChromium.OnCookieVisitorDestroyed event will always be triggered to signal when the browser when the visit is over.

Public function SetCookie(const url, name_, value, domain, path: ustring; secure, httponly, hasExpires: Boolean; const creation, lastAccess, expires: TDateTime; same_site : TCefCookieSameSite; priority : TCefCookiePriority; aSetImmediately : boolean = True; aID : integer = 0): Boolean;

TChromiumCore.SetCookie triggers the TChromiumCore.OnCookieSet event when the cookie has been set aID is an optional parameter to identify which SetCookie call has triggered the OnCookieSet event.

Public function FlushCookieStore(aFlushImmediately : boolean = True) : boolean;

Flush the backing store (if any) to disk.

Parameters
aFlushImmediately
If aFlushImmediately is false the cookies will be flushed on the CEF UI thread and the OnCookiesFlushed event will be triggered.
Returns

Returns false (0) if cookies cannot be accessed.

Public procedure ShowDevTools(const inspectElementAt: TPoint; aWindowInfo: PCefWindowInfo);

Open developer tools (DevTools) in its own browser. If inspectElementAt has a valid point with coordinates different than low(integer) then the element at the specified location will be inspected. If the DevTools browser is already open then it will be focused.

Public procedure CloseDevTools; overload;

close the developer tools.

Public procedure CloseDevTools(const aDevToolsWnd : TCefWindowHandle); overload;

close the developer tools.

Public function SendDevToolsMessage(const message_: ustring): boolean;

Send a function call message over the DevTools protocol. |message_| must be a UTF8-encoded JSON dictionary that contains "id" (int), "function" (string) and "params" (dictionary, optional) values. See the DevTools protocol documentation at https://chromedevtools.github.io/devtools- protocol/ for details of supported functions and the expected "params" dictionary contents. |message_| will be copied if necessary. This function will return true (1) if called on the UI thread and the message was successfully submitted for validation, otherwise false (0). Validation will be applied asynchronously and any messages that fail due to formatting errors or missing parameters may be discarded without notification. Prefer ExecuteDevToolsMethod if a more structured approach to message formatting is desired.

Every valid function call will result in an asynchronous function result or error message that references the sent message "id". Event messages are received while notifications are enabled (for example, between function calls for "Page.enable" and "Page.disable"). All received messages will be delivered to the observer(s) registered with AddDevToolsMessageObserver. See ICefDevToolsMessageObserver.OnDevToolsMessage documentation for details of received message contents.

Usage of the SendDevToolsMessage, ExecuteDevToolsMethod and AddDevToolsMessageObserver functions does not require an active DevTools front-end or remote-debugging session. Other active DevTools sessions will continue to function independently. However, any modification of global browser state by one session may not be reflected in the UI of other sessions.

Communication with the DevTools front-end (when displayed) can be logged for development purposes by passing the `–devtools-protocol-log- file=<path>` command-line flag.

Public function ExecuteDevToolsMethod(message_id: integer; const method: ustring; const params: ICefDictionaryValue): Integer;

Execute a function call over the DevTools protocol. This is a more structured version of SendDevToolsMessage. |message_id| is an incremental number that uniquely identifies the message (pass 0 to have the next number assigned automatically based on previous values). |function| is the function name. |params| are the function parameters, which may be NULL.

See the DevTools protocol documentation (linked above) for details of supported functions and the expected |params| dictionary contents. This function will return the assigned message ID if called on the UI thread and the message was successfully submitted for validation, otherwise 0.

See the SendDevToolsMessage documentation for additional usage information.

Public function AddDevToolsMessageObserver(const observer: ICefDevToolsMessageObserver): ICefRegistration;

Add an observer for DevTools protocol messages (function results and events). The observer will remain registered until the returned Registration object is destroyed. See the SendDevToolsMessage documentation for additional usage information.

Public function AddSettingObserver(const observer: ICefSettingObserver): ICefRegistration;

Add an observer for content and website setting changes. The observer will remain registered until the returned Registration object is destroyed. This function must be called on the browser process UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_request_context_capi.h">CEF source file: /include/capi/cef_request_context_capi.h (cef_request_context_t))

Public procedure Find(const aSearchText : ustring; aForward, aMatchCase, aFindNext : Boolean);

Search for |searchText|. |forward| indicates whether to search forward or backward within the page. |matchCase| indicates whether the search should be case-sensitive. |findNext| indicates whether this is the first request or a follow-up. The search will be restarted if |searchText| or |matchCase| change. The search will be stopped if |searchText| is NULL.

OnFindResult will be triggered to report find results.

Public procedure StopFinding(aClearSelection : Boolean);

Cancel all searches that are currently going on.

Public procedure Print;

Print the current browser contents.

Public procedure PrintToPDF(const aFilePath : ustring);

Print the current browser contents to the PDF file specified by |path| and execute |callback| on completion. The caller is responsible for deleting |path| when done. For PDF printing to work on Linux you must implement the ICefPrintHandler.GetPdfPaperSize function.

The TChromiumCore.OnPdfPrintFinished event will be triggered when the PDF file is created.

Public procedure ClipboardCopy;

Execute copy on the focused frame.

Public procedure ClipboardPaste;

Execute paste on the focused frame.

Public procedure ClipboardPasteAndMatchStyle;

Execute paste and match style on the focused frame.

Public procedure ClipboardCut;

Execute cut on the focused frame.

Public procedure ClipboardUndo;

Execute undo on the focused frame.

Public procedure ClipboardRedo;

Execute redo on the focused frame.

Public procedure ClipboardDel;

Execute delete on the focused frame.

Public procedure SelectAll;

Execute select all on the focused frame.

Public procedure IncZoomStep;

Increase the zoom value. This procedure triggers the TChromium.OnZoomPctAvailable event with the new zoom value.

Public procedure DecZoomStep;

Decrease the zoom value. This procedure triggers the TChromium.OnZoomPctAvailable event with the new zoom value.

Public procedure IncZoomPct;

Increase the zoom value. This procedure triggers the TChromium.OnZoomPctAvailable event with the new zoom value.

Public procedure DecZoomPct;

Decrease the zoom value. This procedure triggers the TChromium.OnZoomPctAvailable event with the new zoom value.

Public procedure ResetZoomStep;

Reset the zoom value. This procedure triggers the TChromium.OnZoomPctAvailable event with the new zoom value.

Public procedure ResetZoomLevel;

Reset the zoom value. This procedure triggers the TChromium.OnZoomPctAvailable event with the new zoom value.

Public procedure ResetZoomPct;

Reset the zoom value. This procedure triggers the TChromium.OnZoomPctAvailable event with the new zoom value.

Public procedure ReadZoom;

Read the zoom value. This procedure triggers the TChromium.OnZoomPctAvailable event with the zoom value.

Public procedure IncZoomCommand;

Execute a zoom IN command in this browser. If called on the CEF UI thread the change will be applied immediately. Otherwise, the change will be applied asynchronously on the CEF UI thread.

Public procedure DecZoomCommand;

Execute a zoom OUT command in this browser. If called on the CEF UI thread the change will be applied immediately. Otherwise, the change will be applied asynchronously on the CEF UI thread.

Public procedure ResetZoomCommand;

Execute a zoom RESET command in this browser. If called on the CEF UI thread the change will be applied immediately. Otherwise, the change will be applied asynchronously on the CEF UI thread.

Public procedure WasResized;

Notify the browser that the widget has been resized. The browser will first call ICefRenderHandler.GetViewRect to get the new size and then call ICefRenderHandler.OnPaint asynchronously with the updated regions. This function is only used when window rendering is disabled.

Public procedure WasHidden(hidden: Boolean);

Notify the browser that it has been hidden or shown. Layouting and ICefRenderHandler.OnPaint notification will stop when the browser is hidden. This function is only used when window rendering is disabled.

Public procedure NotifyScreenInfoChanged;

Notify the browser that screen information has changed. Updated information will be sent to the renderer process to configure screen size and position values used by CSS and JavaScript (window.deviceScaleFactor, window.screenX/Y, window.outerWidth/Height, etc.). For background see https://bitbucket.org/chromiumembedded/cef/wiki/GeneralUsage.md#markdown- header-coordinate-systems

This function is used with (a) windowless rendering and (b) windowed rendering with external (client-provided) root window.

With windowless rendering the browser will trigger TChromiumCore.OnGetScreenInfo, TChromiumCore.OnGetRootScreenRect and TChromiumCore.OnGetViewRect. This simulates moving or resizing the root window in the current display, moving the root window from one display to another, or changing the properties of the current display.

With windowed rendering the browser will trigger TChromiumCore.OnGetRootWindowScreenRect and use the associated display properties.

Public procedure NotifyMoveOrResizeStarted;

Notify the browser that the window hosting it is about to be moved or resized. This function is only used on Windows and Linux.

Public procedure Invalidate(type_: TCefPaintElementType = PET_VIEW);

Invalidate the view. The browser will call ICefRenderHandler.OnPaint asynchronously. This function is only used when window rendering is disabled.

Public procedure ExitFullscreen(will_cause_resize: boolean);

Requests the renderer to exit browser fullscreen. In most cases exiting window fullscreen should also exit browser fullscreen. With Alloy style this function should be called in response to a user action such as clicking the green traffic light button on MacOS (ICefWindowDelegate.OnWindowFullscreenTransition callback) or pressing the "ESC" key (ICefKeyboardHandler.OnPreKeyEvent callback). With Chrome style these standard exit actions are handled internally but new/additional user actions can use this function. Set |will_cause_resize| to true (1) if exiting browser fullscreen will cause a view resize.

Public function CanExecuteChromeCommand(command_id: integer): boolean;

Returns true (1) if a Chrome command is supported and enabled. Use the cef_id_for_command_id_name() function for version-safe mapping of command IDC names from cef_command_ids.h to version-specific numerical |command_id| values. This function can only be called on the UI thread. Only used with Chrome style.

See the IDC_* constants in uCEFConstants.pas for all the |command_id| values.

<see href="https://source.chromium.org/chromium/chromium/src/+/main:chrome/app/chrome_command_ids.h">The command_id values are also available in chrome/app/chrome_command_ids.h)

Public procedure ExecuteChromeCommand(command_id: integer; disposition: TCefWindowOpenDisposition);

Returns true (1) if a Chrome command is supported and enabled. Use the cef_id_for_command_id_name() function for version-safe mapping of command IDC names from cef_command_ids.h to version-specific numerical |command_id| values. This function can only be called on the UI thread. Only used with Chrome style.

See the IDC_* constants in uCEFConstants.pas for all the |command_id| values.

<see href="https://source.chromium.org/chromium/chromium/src/+/main:chrome/app/chrome_command_ids.h">The command_id values are also available in chrome/app/chrome_command_ids.h)

Public procedure SendExternalBeginFrame;

Issue a BeginFrame request to Chromium. Only valid when TCefWindowInfo.external_begin_frame_enabled is set to true (1).

Public procedure SendKeyEvent(const event: PCefKeyEvent);

Send a key event to the browser.

Public procedure SendMouseClickEvent(const event: PCefMouseEvent; type_: TCefMouseButtonType; mouseUp: Boolean; clickCount: Integer);

Send a mouse click event to the browser. The |x| and |y| coordinates are relative to the upper-left corner of the view.

Public procedure SendMouseMoveEvent(const event: PCefMouseEvent; mouseLeave: Boolean);

Send a mouse move event to the browser. The |x| and |y| coordinates are relative to the upper-left corner of the view.

Public procedure SendMouseWheelEvent(const event: PCefMouseEvent; deltaX, deltaY: Integer);

Send a mouse wheel event to the browser. The |x| and |y| coordinates are relative to the upper-left corner of the view. The |deltaX| and |deltaY| values represent the movement delta in the X and Y directions respectively. In order to scroll inside select popups with window rendering disabled ICefRenderHandler.GetScreenPoint should be implemented properly.

Public procedure SendTouchEvent(const event: PCefTouchEvent);

Send a touch event to the browser for a windowless browser.

Public procedure SendCaptureLostEvent;

Send a capture lost event to the browser.

Public procedure SendProcessMessage(targetProcess: TCefProcessId; const ProcMessage: ICefProcessMessage; const aFrameName : ustring = ''; const aFrameIdentifier : ustring = ''); overload;

Send a message to the specified |targetProcess|. Ownership of the message contents will be transferred and the |ProcMessage| reference will be invalidated. Message delivery is not guaranteed in all cases (for example, if the browser is closing, navigating, or if the target process crashes). Send an ACK message back from the target process if confirmation is required.

Public procedure SendProcessMessage(targetProcess: TCefProcessId; const ProcMessage: ICefProcessMessage; const aFrame : ICefFrame); overload;

Send a message to the specified |targetProcess|. Ownership of the message contents will be transferred and the |ProcMessage| reference will be invalidated. Message delivery is not guaranteed in all cases (for example, if the browser is closing, navigating, or if the target process crashes). Send an ACK message back from the target process if confirmation is required.

Public function CreateUrlRequest(const request: ICefRequest; const client: ICefUrlrequestClient; const aFrameName : ustring = ''; const aFrameIdentifier : ustring = ''): ICefUrlRequest; overload;

Create a new URL request that will be treated as originating from this frame and the associated browser. Use TCustomCefUrlrequestClient.Create instead if you do not want the request to have this association, in which case it may be handled differently (see documentation on that function). A request created with this function may only originate from the browser process, and will behave as follows:

- It may be intercepted by the client via CefResourceRequestHandler or
  CefSchemeHandlerFactory.
- POST data may only contain a single element of type PDE_TYPE_FILE or
  PDE_TYPE_BYTES.

The |request| object will be marked as read-only after calling this function.

Public function CreateUrlRequest(const request: ICefRequest; const client: ICefUrlrequestClient; const aFrame : ICefFrame): ICefUrlRequest; overload;

Create a new URL request that will be treated as originating from this frame and the associated browser. Use TCustomCefUrlrequestClient.Create instead if you do not want the request to have this association, in which case it may be handled differently (see documentation on that function). A request created with this function may only originate from the browser process, and will behave as follows:

- It may be intercepted by the client via CefResourceRequestHandler or
  CefSchemeHandlerFactory.
- POST data may only contain a single element of type PDE_TYPE_FILE or
  PDE_TYPE_BYTES.

The |request| object will be marked as read-only after calling this function.

Public procedure SetFocus(focus: Boolean);

Set whether the browser is focused.

Public procedure SetAccessibilityState(accessibilityState: TCefState);

Set accessibility state for all frames. |accessibility_state| may be default, enabled or disabled. If |accessibility_state| is STATE_DEFAULT then accessibility will be disabled by default and the state may be further controlled with the "force-renderer-accessibility" and "disable- renderer-accessibility" command-line switches. If |accessibility_state| is STATE_ENABLED then accessibility will be enabled. If |accessibility_state| is STATE_DISABLED then accessibility will be completely disabled.

For windowed browsers accessibility will be enabled in Complete mode (which corresponds to kAccessibilityModeComplete in Chromium). In this mode all platform accessibility objects will be created and managed by Chromium's internal implementation. The client needs only to detect the screen reader and call this function appropriately. For example, on macOS the client can handle the @"AXEnhancedUserStructure" accessibility attribute to detect VoiceOver state changes and on Windows the client can handle WM_GETOBJECT with OBJID_CLIENT to detect accessibility readers.

For windowless browsers accessibility will be enabled in TreeOnly mode (which corresponds to kAccessibilityModeWebContentsOnly in Chromium). In this mode renderer accessibility is enabled, the full tree is computed, and events are passed to CefAccessibiltyHandler, but platform accessibility objects are not created. The client may implement platform accessibility objects using CefAccessibiltyHandler callbacks if desired.

Public procedure DragTargetDragEnter(const dragData: ICefDragData; const event: PCefMouseEvent; allowedOps: TCefDragOperations);

Call this function when the user drags the mouse into the web view (before calling DragTargetDragOver/DragTargetLeave/DragTargetDrop). |drag_data| should not contain file contents as this type of data is not allowed to be dragged into the web view. File contents can be removed using ICefDragData.ResetFileContents (for example, if |drag_data| comes from ICefRenderHandler.StartDragging). This function is only used when window rendering is disabled.

Public procedure DragTargetDragOver(const event: PCefMouseEvent; allowedOps: TCefDragOperations);

Call this function each time the mouse is moved across the web view during a drag operation (after calling DragTargetDragEnter and before calling DragTargetDragLeave/DragTargetDrop). This function is only used when window rendering is disabled.

Public procedure DragTargetDragLeave;

Call this function when the user drags the mouse out of the web view (after calling DragTargetDragEnter). This function is only used when window rendering is disabled.

Public procedure DragTargetDrop(const event: PCefMouseEvent);

Call this function when the user completes the drag operation by dropping the object onto the web view (after calling DragTargetDragEnter). The object being dropped is |drag_data|, given as an argument to the previous DragTargetDragEnter call. This function is only used when window rendering is disabled.

Public procedure DragSourceEndedAt(x, y: Integer; op: TCefDragOperation);

Call this function when the drag operation started by a ICefRenderHandler.StartDragging call has ended either in a drop or by being cancelled. |x| and |y| are mouse coordinates relative to the upper- left corner of the view. If the web view is both the drag source and the drag target then all DragTarget* functions should be called before DragSource* mthods. This function is only used when window rendering is disabled.

Public procedure DragSourceSystemDragEnded;

Call this function when the drag operation started by a ICefRenderHandler.StartDragging call has completed. This function may be called immediately without first calling DragSourceEndedAt to cancel a drag operation. If the web view is both the drag source and the drag target then all DragTarget* functions should be called before DragSource* mthods. This function is only used when window rendering is disabled.

Public procedure IMESetComposition(const text: ustring; const underlines : TCefCompositionUnderlineDynArray; const replacement_range, selection_range : PCefRange);

Begins a new composition or updates the existing composition. Blink has a special node (a composition node) that allows the input function to change text without affecting other DOM nodes. |text| is the optional text that will be inserted into the composition node. |underlines| is an optional set of ranges that will be underlined in the resulting text.

|replacement_range| is an optional range of the existing text that will be replaced. |selection_range| is an optional range of the resulting text that will be selected after insertion or replacement. The |replacement_range| value is only used on OS X.

This function may be called multiple times as the composition changes. When the client is done making changes the composition should either be canceled or completed. To cancel the composition call ImeCancelComposition. To complete the composition call either ImeCommitText or ImeFinishComposingText. Completion is usually signaled when:

1. The client receives a WM_IME_COMPOSITION message with a GCS_RESULTSTR
   flag (on Windows), or;
2. The client receives a "commit" signal of GtkIMContext (on Linux), or;
3. insertText of NSTextInput is called (on Mac).

This function is only used when window rendering is disabled.

Public procedure IMECommitText(const text: ustring; const replacement_range : PCefRange; relative_cursor_pos : integer);

Completes the existing composition by optionally inserting the specified |text| into the composition node. |replacement_range| is an optional range of the existing text that will be replaced. |relative_cursor_pos| is where the cursor will be positioned relative to the current cursor position. See comments on ImeSetComposition for usage. The |replacement_range| and |relative_cursor_pos| values are only used on OS X. This function is only used when window rendering is disabled.

Public procedure IMEFinishComposingText(keep_selection : boolean);

Completes the existing composition by applying the current composition node contents. If |keep_selection| is false (0) the current selection, if any, will be discarded. See comments on ImeSetComposition for usage. This function is only used when window rendering is disabled.

Public procedure IMECancelComposition;

Cancels the existing composition and discards the composition node contents without applying them. See comments on ImeSetComposition for usage. This function is only used when window rendering is disabled.

Public procedure ReplaceMisspelling(const aWord : ustring);

If a misspelled word is currently selected in an editable node calling this function will replace it with the specified |word|.

Public procedure AddWordToDictionary(const aWord : ustring);

Add the specified |word| to the spelling dictionary.

Public function AddObserver(const observer: ICefMediaObserver): ICefRegistration;

Add an observer for MediaRouter events. The observer will remain registered until the returned Registration object is destroyed.

Public function GetSource(const urn: ustring): ICefMediaSource;

Returns a MediaSource object for the specified media source URN. Supported URN schemes include "cast:" and "dial:", and will be already known by the client application (e.g. "cast:<appId>?clientId=<clientId>").

Public procedure NotifyCurrentSinks;

Trigger an asynchronous call to ICefMediaObserver.OnSinks on all registered observers.

Public procedure NotifyCurrentRoutes;

Trigger an asynchronous call to ICefMediaObserver.OnRoutes on all registered observers.

Public procedure CreateRoute(const source: ICefMediaSource; const sink: ICefMediaSink);

Create a new route between |source| and |sink|. Source and sink must be valid, compatible (as reported by ICefMediaSink.IsCompatibleWith), and a route between them must not already exist. |callback| will be executed on success or failure. If route creation succeeds it will also trigger an asynchronous call to ICefMediaObserver.OnRoutes on all registered observers.

This procedure is asynchronous and the result, ICefMediaRoute and the error message will be available in the TChromium.OnMediaRouteCreateFinished event.

Public procedure GetDeviceInfo(const aMediaSink: ICefMediaSink);

Asynchronously retrieves device info.

This procedure will trigger OnMediaSinkDeviceInfo with the device info.

Public function GetWebsiteSetting(const requesting_url, top_level_url: ustring; content_type: TCefContentSettingTypes): ICefValue;

Returns the current value for |content_type| that applies for the specified URLs. If both URLs are NULL the default value will be returned. Returns nullptr if no value is configured. Must be called on the browser process UI thread.

Public procedure SetWebsiteSetting(const requesting_url, top_level_url: ustring; content_type: TCefContentSettingTypes; const value: ICefValue);

Sets the current value for |content_type| for the specified URLs in the default scope. If both URLs are NULL, and the context is not incognito, the default value will be set. Pass nullptr for |value| to remove the default value for this content type.

WARNING: Incorrect usage of this function may cause instability or security issues in Chromium. Make sure that you first understand the potential impact of any changes to |content_type| by reviewing the related source code in Chromium. For example, if you plan to modify CEF_CONTENT_SETTING_TYPE_POPUPS, first review and understand the usage of ContentSettingsType::POPUPS in Chromium: https://source.chromium.org/search?q=ContentSettingsType::POPUPS

Public function GetContentSetting(const requesting_url, top_level_url: ustring; content_type: TCefContentSettingTypes): TCefContentSettingValues;

Returns the current value for |content_type| that applies for the specified URLs. If both URLs are NULL the default value will be returned. Returns CEF_CONTENT_SETTING_VALUE_DEFAULT if no value is configured. Must be called on the browser process UI thread.

Public procedure SetContentSetting(const requesting_url, top_level_url: ustring; content_type: TCefContentSettingTypes; value: TCefContentSettingValues);

Sets the current value for |content_type| for the specified URLs in the default scope. If both URLs are NULL, and the context is not incognito, the default value will be set. Pass CEF_CONTENT_SETTING_VALUE_DEFAULT for |value| to use the default value for this content type.

WARNING: Incorrect usage of this function may cause instability or security issues in Chromium. Make sure that you first understand the potential impact of any changes to |content_type| by reviewing the related source code in Chromium. For example, if you plan to modify CEF_CONTENT_SETTING_TYPE_POPUPS, first review and understand the usage of ContentSettingsType::POPUPS in Chromium: https://source.chromium.org/search?q=ContentSettingsType::POPUPS

Public procedure SetChromeColorScheme(variant: TCefColorVariant; user_color: TCefColor);

Sets the Chrome color scheme for all browsers that share this request context. |variant| values of SYSTEM, LIGHT and DARK change the underlying color mode (e.g. light vs dark). Other |variant| values determine how |user_color| will be applied in the current color mode. If |user_color| is transparent (0) the default color will be used.

Properties

Protected property ParentFormHandle : TCefWindowHandle read GetParentFormHandle;

This item has no description.

Public property DefaultUrl : ustring read FDefaultUrl write SetDefaultUrl;

First URL loaded by the browser after its creation.

Public property Options : TChromiumOptions read FOptions write FOptions;

Properties used to fill the TCefBrowserSettings record which is used during the browser creation.

Public property FontOptions : TChromiumFontOptions read FFontOptions write FFontOptions;

Font properties used to fill the TCefBrowserSettings record which is used during the browser creation.

Public property PDFPrintOptions : TPDFPrintOptions read FPDFPrintOptions write FPDFPrintOptions;

Properties used to fill the TCefPdfPrintSettings record which is used in the TChromiumCore.PrintToPDF call.

Public property DefaultEncoding : ustring read FDefaultEncoding write FDefaultEncoding;

Default encoding for Web content. If empty "ISO-8859-1" will be used. Also configurable using the "default-encoding" command-line switch. It's used during the browser creation.

Public property BrowserId : integer read GetBrowserId;

Globally unique identifier for the seleted browser.

Public property Browser : ICefBrowser read GetBrowser;

Returns a ICefBrowser instance of the selected browser.

Public property BrowserById[id: integer]: ICefBrowser read GetBrowserById;

Returns a ICefBrowser instance of the browser with the specified id.

Public property BrowserCount : integer read GetBrowserCount;

Returns the number of browsers in the browser array when the multi-browser mode is enabled.

Public property BrowserIdByIndex[i: integer]: integer read GetBrowserIdByIndex;

Returns the identifier of the browser in the specified array position when the multi-browser mode is enabled.

Public property CefClient : ICefClient read FHandler;

Returns the ICefClient instance used by the selected browser.

Public property ReqContextHandler : ICefRequestContextHandler read FReqContextHandler;

Returns the ICefRequestContextHandler instance used in this browser.

Public property ResourceRequestHandler : ICefResourceRequestHandler read FResourceRequestHandler;

Returns the ICefResourceRequestHandler instance used in this browser.

Public property CefWindowInfo : TCefWindowInfo read GetCefWindowInfo;

Returns the TCefWindowInfo record used when the browser was created.

Public property VisibleNavigationEntry : ICefNavigationEntry read GetVisibleNavigationEntry;

Returns the current visible navigation entry for this browser.

This property can only be used on the CEF UI thread.

Public property RuntimeStyle : TCefRuntimeStyle read GetRuntimeStyle write SetRuntimeStyle;

Returns the runtime style for this browser (ALLOY or CHROME). See TCefRuntimeStyle documentation for details.

This property can only be read on the CEF UI thread.

Public property RequestContext : ICefRequestContext read GetRequestContext;

Returns a ICefRequestContext instance used by the selected browser.

Public property MediaRouter : ICefMediaRouter read GetMediaRouter;

Returns a ICefMediaRouter instance used by the selected browser.

Public property MediaObserver : ICefMediaObserver read FMediaObserver;

Returns a ICefMediaObserver instance used by the selected browser.

Public property MediaObserverReg : ICefRegistration read FMediaObserverReg;

Returns the ICefRegistration instance obtained when the default MediaObserver was added.

Public property DevToolsMsgObserver : ICefDevToolsMessageObserver read FDevToolsMsgObserver;

Returns a ICefDevToolsMessageObserver instance used by the selected browser.

Public property DevToolsMsgObserverReg : ICefRegistration read FDevToolsMsgObserverReg;

Returns the ICefRegistration instance obtained when the default DevToolsMessageObserver was added.

Public property MultithreadApp : boolean read GetMultithreadApp;

Returns the value of GlobalCEFApp.MultiThreadedMessageLoop.

Public property IsLoading : boolean read GetIsLoading;

Calls ICefBrowser.IsLoading and returns true if the browser is currently loading.

Public property HasDocument : boolean read GetHasDocument;

Calls ICefBrowser.HasDocument and returns true if a document has been loaded in the browser.

Public property HasView : boolean read GetHasView;

Calls ICefBrowserHost.HasView and returns true if this browser is wrapped in a ICefBrowserView.

Public property HasDevTools : boolean read GetHasDevTools;

Calls ICefBrowserHost.HasDevTools and returns true if this browser currently has an associated DevTools browser.

Public property HasClientHandler : boolean read GetHasClientHandler;

Returns true if ICefClient has a valid value.

Public property HasBrowser : boolean read GetHasBrowser;

Returns true if this component has a valid selected browser.

Public property CanGoBack : boolean read GetCanGoBack;

Calls ICefBrowser.CanGoBack and returns true if the browser can navigate back.

Public property CanGoForward : boolean read GetCanGoForward;

Calls ICefBrowser.CanGoForward and returns true if the browser can navigate forward.

Public property IsPopUp : boolean read GetIsPopUp;

Calls ICefBrowser.IsPopUp and returns true if the window is a popup window.

Public property WindowHandle : TCefWindowHandle read GetWindowHandle;

Calls ICefBrowserHost.GetWindowHandle and returns the window handle for this browser.

Public property OpenerWindowHandle : TCefWindowHandle read GetOpenerWindowHandle;

Calls ICefBrowserHost.GetOpenerWindowHandle and returns the window handle of the browser that opened this browser.

Public property OpenerIdentifier : Integer read GetOpenerIdentifier;

Retrieve the unique identifier of the browser that opened this browser. Will return 0 for non-popup browsers.

Public property BrowserHandle : THandle read FBrowserCompHWND;

Handle of one to the child controls created automatically by CEF to show the web contents.

Public property RenderHandle : THandle read FRenderCompHWND;

Handle of one to the child controls created automatically by CEF to show the web contents.

Public property FrameIsFocused : boolean read GetFrameIsFocused;

Returns true if ICefBrowser.FocusedFrame has a valid value.

Public property Initialized : boolean read GetInitialized;

Returns true when the browser is fully initialized and it's not being closed.

Public property RequestContextCache : ustring read GetRequestContextCache;

Returns the cache value in ICefRequestContext.CachePath.

Public property RequestContextIsGlobal : boolean read GetRequestContextIsGlobal;

Calls ICefRequestContext.IsGlobal to check if the request context is the global context or it's independent.

Public property ChromeColorSchemeMode : TCefColorVariant read GetChromeColorSchemeMode;

Returns the current Chrome color scheme mode (SYSTEM, LIGHT or DARK). Must be called on the browser process UI thread.

Public property ChromeColorSchemeColor : TCefColor read GetChromeColorSchemeColor;

Returns the current Chrome color scheme color, or transparent (0) for the default color. Must be called on the browser process UI thread.

Public property ChromeColorSchemeVariant : TCefColorVariant read GetChromeColorSchemeVariant;

Returns the current Chrome color scheme variant. Must be called on the browser process UI thread.

Public property DocumentURL : ustring read GetDocumentURL;

Returns the URL of the main frame.

Public property ZoomLevel : double read GetZoomLevel write SetZoomLevel;

Returns the current zoom value. This property is based on the CefBrowserHost.ZoomLevel value which can only be read in the CEF UI thread.

Public property DefaultZoomLevel : double read GetDefaultZoomLevel;

Get the default zoom level. This value will be 0.0 by default but can be configured. This function can only be called on the UI thread.

Public property CanIncZoom : boolean read GetCanIncZoom;

Returns true (1) if this browser can execute the zoom IN command. This function can only be called on the CEF UI thread.

Public property CanDecZoom : boolean read GetCanDecZoom;

Returns true (1) if this browser can execute the zoom OUT command. This function can only be called on the CEF UI thread.

Public property CanResetZoom : boolean read GetCanResetZoom;

Returns true (1) if this browser can execute the zoom RESET command. This function can only be called on the CEF UI thread.

Public property ZoomPct : double read GetZoomPct write SetZoomPct;

Returns the current zoom value. This property is based on the CefBrowserHost.ZoomLevel value which can only be read in the CEF UI thread.

Public property ZoomStep : byte read GetZoomStep write SetZoomStep;

Returns the current zoom value. This property is based on the CefBrowserHost.ZoomLevel value which can only be read in the CEF UI thread.

Public property WindowlessFrameRate : integer read GetWindowlessFrameRate write SetWindowlessFrameRate;

Returns the maximum rate in frames per second (fps) that OnPaint will be called for a browser in OSR mode.

Public property CustomHeaderName : ustring read FCustomHeaderName write SetCustomHeaderName;

Custom HTTP header name added to all requests.

Public property CustomHeaderValue : ustring read FCustomHeaderValue write SetCustomHeaderValue;

Custom HTTP header value added to all requests.

Public property DoNotTrack : boolean read FDoNotTrack write SetDoNotTrack;

Set to True if you want to send the DNT header.

Public property SendReferrer : boolean read FSendReferrer write SetSendReferrer;

Set to True if you want to send the referer header.

Public property HyperlinkAuditing : boolean read FHyperlinkAuditing write SetHyperlinkAuditing;

Enable hyperlink auditing.

Public property AllowOutdatedPlugins : boolean read FAllowOutdatedPlugins write SetAllowOutdatedPlugins;

Allow using outdated plugins.

Public property AlwaysAuthorizePlugins : boolean read FAlwaysAuthorizePlugins write SetAlwaysAuthorizePlugins;

Always authorize plugins.

Public property AlwaysOpenPDFExternally : boolean read FAlwaysOpenPDFExternally write SetAlwaysOpenPDFExternally;

Always open PDF files externally.

Public property SpellChecking : boolean read FSpellChecking write SetSpellChecking;

Set to True if you want to enable the spell checker.

Public property SpellCheckerDicts : ustring read FSpellCheckerDicts write SetSpellCheckerDicts;

Comma delimited list of language codes used by the spell checker, for example "es-ES,en-US,fr-FR,de-DE,it-IT".

Public property HasValidMainFrame : boolean read GetHasValidMainFrame;

Returns true if the main frame exists and it's valid.

Public property FrameCount : NativeUInt read GetFrameCount;

Returns the number of frames that currently exist.

Public property DragOperations : TCefDragOperations read FDragOperations write FDragOperations;

Returns the TcefDragOperation value used during drag and drop.

Public property AudioMuted : boolean read GetAudioMuted write SetAudioMuted;

Returns true if the browser's audio is muted.

Public property Fullscreen : boolean read GetFullscreen;

Returns true (1) if the renderer is currently in browser fullscreen. This differs from window fullscreen in that browser fullscreen is entered using the JavaScript Fullscreen API and modifies CSS attributes such as the ::backdrop pseudo-element and :fullscreen pseudo-structure. This property can only be called on the UI thread.

Public property IsRenderProcessUnresponsive : boolean read GetIsRenderProcessUnresponsive;

Returns true (1) if the render process associated with this browser is currently unresponsive as indicated by a lack of input event processing for at least 15 seconds. To receive associated state change notifications and optionally handle an unresponsive render process implement ICefRequestHandler.OnRenderProcessUnresponsive.

This property can only be read on the CEF UI thread.

Public property SafeSearch : boolean read FSafeSearch write SetSafeSearch;

Forces the Google safesearch in the browser preferences.

Public property YouTubeRestrict : integer read FYouTubeRestrict write SetYouTubeRestrict;

Forces the YouTube restrictions in the browser preferences.

Public property PrintingEnabled : boolean read FPrintingEnabled write SetPrintingEnabled;

Enables printing in the browser preferences.

Public property AcceptCookies : TCefCookiePref read FAcceptCookies write SetAcceptCookies;

Sets the cookies policy value in the browser preferences.

Public property Block3rdPartyCookies : boolean read FBlock3rdPartyCookies write SetBlock3rdPartyCookies;

Blocks third party cookies in the browser preferences.

Public property MultiBrowserMode : boolean read FMultiBrowserMode write SetMultiBrowserMode;

Enables the multi-browser mode that allows TChromiumCore to handle several browsers with one component. These browsers are usually the main browser, popup windows and new tabs.

Public property DefaultWindowInfoExStyle : DWORD read GetWindowInfoExStyle write SetWindowInfoExStyle;

Default ExStyle value used to initialize the browser. A value of WS_EX_NOACTIVATE can be used as a workaround for some focus issues in CEF.

Public property Offline : boolean read FOffline write SetOffline;

Uses the Network.emulateNetworkConditions DevTool method to set the browser in offline mode.

Public property QuicAllowed : boolean read FQuicAllowed write SetQuicAllowed;

Enables the Quic protocol in the browser preferences.

Public property JavascriptEnabled : boolean read FJavascriptEnabled write SetJavascriptEnabled;

Enables JavaScript in the browser preferences.

Public property LoadImagesAutomatically : boolean read FLoadImagesAutomatically write SetLoadImagesAutomatically;

Enables automatic image loading in the browser preferences.

Public property BatterySaverModeState : TCefBatterySaverModeState read FBatterySaverModeState write SetBatterySaverModeState;

Battery saver mode state.

Public property HighEfficiencyModeState : TCefHighEfficiencyModeState read FHighEfficiencyModeState write SetHighEfficiencyModeState;

High efficiency mode state.

Public property CanFocus : boolean read FCanFocus;

Indicates whether the browser can receive focus.

Public property EnableFocusDelayMs : cardinal read FEnableFocusDelayMs write FEnableFocusDelayMs;

Delay in milliseconds to enable browser focus.

Public property WebRTCIPHandlingPolicy : TCefWebRTCHandlingPolicy read FWebRTCIPHandlingPolicy write SetWebRTCIPHandlingPolicy;

WebRTC handling policy setting in the browser preferences.

Public property WebRTCMultipleRoutes : TCefState read FWebRTCMultipleRoutes write SetWebRTCMultipleRoutes;

WebRTC multiple routes setting in the browser preferences.

Public property WebRTCNonproxiedUDP : TCefState read FWebRTCNonProxiedUDP write SetWebRTCNonProxiedUDP;

WebRTC nonproxied UDP setting in the browser preferences.

Public property ProxyType : integer read FProxyType write SetProxyType;

Proxy type: CEF_PROXYTYPE_DIRECT, CEF_PROXYTYPE_AUTODETECT, CEF_PROXYTYPE_SYSTEM, CEF_PROXYTYPE_FIXED_SERVERS or CEF_PROXYTYPE_PAC_SCRIPT.

If you use the proxy settings in GlobalCEFApp you will not be able to use the proxy properties in TChromiumCore.

<see href="https://www.chromium.org/developers/design-documents/network-settings/">See the Network Settings article.)

<see href="https://github.com/chromium/chromium/blob/main/net/docs/proxy.md"/">See the Proxy Support article.)

<see href="https://developer.chrome.com/docs/extensions/reference/api/proxy">See the chrome.proxy API article.)

Public property ProxyScheme : TCefProxyScheme read FProxyScheme write SetProxyScheme;

Proxy scheme

If you use the proxy settings in GlobalCEFApp you will not be able to use the proxy properties in TChromiumCore.

<see href="https://www.chromium.org/developers/design-documents/network-settings/">See the Network Settings article.)

<see href="https://github.com/chromium/chromium/blob/main/net/docs/proxy.md"/">See the Proxy Support article.)

<see href="https://developer.chrome.com/docs/extensions/reference/api/proxy">See the chrome.proxy API article.)

Public property ProxyServer : ustring read FProxyServer write SetProxyServer;

Proxy server address

If you use the proxy settings in GlobalCEFApp you will not be able to use the proxy properties in TChromiumCore.

<see href="https://www.chromium.org/developers/design-documents/network-settings/">See the Network Settings article.)

<see href="https://github.com/chromium/chromium/blob/main/net/docs/proxy.md"/">See the Proxy Support article.)

<see href="https://developer.chrome.com/docs/extensions/reference/api/proxy">See the chrome.proxy API article.)

Public property ProxyPort : integer read FProxyPort write SetProxyPort;

Proxy server port

If you use the proxy settings in GlobalCEFApp you will not be able to use the proxy properties in TChromiumCore.

<see href="https://www.chromium.org/developers/design-documents/network-settings/">See the Network Settings article.)

<see href="https://github.com/chromium/chromium/blob/main/net/docs/proxy.md"/">See the Proxy Support article.)

<see href="https://developer.chrome.com/docs/extensions/reference/api/proxy">See the chrome.proxy API article.)

Public property ProxyUsername : ustring read FProxyUsername write SetProxyUsername;

Proxy username

If you use the proxy settings in GlobalCEFApp you will not be able to use the proxy properties in TChromiumCore.

<see href="https://www.chromium.org/developers/design-documents/network-settings/">See the Network Settings article.)

<see href="https://github.com/chromium/chromium/blob/main/net/docs/proxy.md"/">See the Proxy Support article.)

<see href="https://developer.chrome.com/docs/extensions/reference/api/proxy">See the chrome.proxy API article.)

Public property ProxyPassword : ustring read FProxyPassword write SetProxyPassword;

Proxy password

If you use the proxy settings in GlobalCEFApp you will not be able to use the proxy properties in TChromiumCore.

<see href="https://www.chromium.org/developers/design-documents/network-settings/">See the Network Settings article.)

<see href="https://github.com/chromium/chromium/blob/main/net/docs/proxy.md"/">See the Proxy Support article.)

<see href="https://developer.chrome.com/docs/extensions/reference/api/proxy">See the chrome.proxy API article.)

Public property ProxyScriptURL : ustring read FProxyScriptURL write SetProxyScriptURL;

URL of the PAC script file.

If you use the proxy settings in GlobalCEFApp you will not be able to use the proxy properties in TChromiumCore.

<see href="https://www.chromium.org/developers/design-documents/network-settings/">See the Network Settings article.)

<see href="https://github.com/chromium/chromium/blob/main/net/docs/proxy.md"/">See the Proxy Support article.)

<see href="https://developer.chrome.com/docs/extensions/reference/api/proxy">See the chrome.proxy API article.)

Public property ProxyByPassList : ustring read FProxyByPassList write SetProxyByPassList;

This tells chromium to bypass any specified proxy for the given semi-colon-separated list of hosts.

If you use the proxy settings in GlobalCEFApp you will not be able to use the proxy properties in TChromiumCore.

<see href="https://www.chromium.org/developers/design-documents/network-settings/">See the Network Settings article.)

<see href="https://github.com/chromium/chromium/blob/main/net/docs/proxy.md"/">See the Proxy Support article.)

<see href="https://developer.chrome.com/docs/extensions/reference/api/proxy">See the chrome.proxy API article.)

Public property MaxConnectionsPerProxy : integer read FMaxConnectionsPerProxy write SetMaxConnectionsPerProxy;

Sets the maximum connections per proxy value in the browser preferences (experimental).

Public property DownloadBubble : TCefState read FDownloadBubble write FDownloadBubble;

Enable the file download bubble when using Chrome style.

Public property HTTPSUpgrade : TCefState read FHTTPSUpgrade write FHTTPSUpgrade;

Automatically upgrade to HTTPS connections.

Public property HSTSPolicyBypassList : ustring read FHSTSPolicyBypassList write FHSTSPolicyBypassList;

List of comma-delimited single-label hostnames that will skip the check to possibly upgrade from http to https.

Public property CredentialsService : TCefState read FCredentialsService write FCredentialsService;

This service shows a dialog to save the usernames and passwords in Chrome style.

Public property AutofillCreditCard : TCefState read FAutofillCreditCard write FAutofillCreditCard;

Browser preference used to enable the autofill feature for credit card information.

Disabling this property is a suggested workaround for some autofill crashes in Alloy style.

Public property AutofillProfile : TCefState read FAutofillProfile write FAutofillProfile;

Browser preference used to enable the autofill feature for profile information.

Disabling this property is a suggested workaround for some autofill crashes in Alloy style.

Public property AutofillSaveData : TCefState read FAutofillSaveData write FAutofillSaveData;

Browser preference used to enable the autofill feature for saving data.

Disabling this property is a suggested workaround for some autofill crashes in Alloy style.

Public property CanMakePayment : TCefState read FCanMakePayment write FCanMakePayment;

Browser preference used to enable saving information about payments.

Disabling this property is a suggested workaround for some autofill crashes in Alloy style.

Public property SearchSuggestEnabled : TCefState read FSearchSuggestEnabled write FSearchSuggestEnabled;

Browser preference used to enable search suggestions.

Disabling this property is a suggested workaround for some autofill crashes in Alloy style.

Public property URLDataCollection : TCefState read FURLDataCollection write FURLDataCollection;

Browser preference used to enable url keyed anonymized data collection.

Disabling this property is a suggested workaround for some autofill crashes in Alloy style.

Public property StorageNotificationService : TCefState read FStorageNotificationService write FStorageNotificationService;

Used to disable the "Free up space to continue" notification for the current profile.

Published property OnTextResultAvailable : TOnTextResultAvailableEvent read FOnTextResultAvailable write FOnTextResultAvailable;

Triggered after a TChromiumCore.RetrieveHTML or TChromiumCore.RetrieveText call with the HTML or text results.

Published property OnPdfPrintFinished : TOnPdfPrintFinishedEvent read FOnPdfPrintFinished write FOnPdfPrintFinished;

Triggered after a TChromiumCore.PrintToPDF call when the PDF has been created.

Published property OnPrefsAvailable : TOnPrefsAvailableEvent read FOnPrefsAvailable write FOnPrefsAvailable;

Triggered after a TChromiumCore.SavePreferences call when the preferences have been saved.

Published property OnPrefsUpdated : TNotifyEvent read FOnPrefsUpdated write FOnPrefsUpdated;

Triggered when the browser preferences have been updated.

Published property OnCookiesDeleted : TOnCookiesDeletedEvent read FOnCookiesDeleted write FOnCookiesDeleted;

Triggered after a TChromiumCore.DeleteCookies call when the cookies have been deleted.

Published property OnResolvedHostAvailable : TOnResolvedIPsAvailableEvent read FOnResolvedHostAvailable write FOnResolvedHostAvailable;

Triggered after a TChromiumCore.ResolveHost call with the host information.

Published property OnNavigationVisitorResultAvailable : TOnNavigationVisitorResultAvailableEvent read FOnNavigationVisitorResultAvailable write FOnNavigationVisitorResultAvailable;

Triggered after a TChromiumCore.GetNavigationEntries call with a navigation entry.

Published property OnDownloadImageFinished : TOnDownloadImageFinishedEvent read FOnDownloadImageFinished write FOnDownloadImageFinished;

Triggered after a TChromiumCore.DownloadImage call when the download is complete.

Published property OnCookiesFlushed : TNotifyEvent read FOnCookiesFlushed write FOnCookiesFlushed;

Triggered after a TChromiumCore.FlushCookieStore call when the cookies are flushed.

Published property OnCertificateExceptionsCleared : TNotifyEvent read FOnCertificateExceptionsCleared write FOnCertificateExceptionsCleared;

Triggered after a TChromiumCore.ClearCertificateExceptions call when the exceptions are cleared.

Published property OnHttpAuthCredentialsCleared : TNotifyEvent read FOnHttpAuthCredentialsCleared write FOnHttpAuthCredentialsCleared;

Triggered after a TChromiumCore.ClearHttpAuthCredentials call when the credentials are cleared.

Published property OnAllConnectionsClosed : TNotifyEvent read FOnAllConnectionsClosed write FOnAllConnectionsClosed;

Triggered after a TChromiumCore.CloseAllConnections call when the connections are closed.

Published property OnExecuteTaskOnCefThread : TOnExecuteTaskOnCefThread read FOnExecuteTaskOnCefThread write FOnExecuteTaskOnCefThread;

Triggered after a TChromiumCore.ExecuteTaskOnCefThread call in the context of the specified CEF thread.

Published property OnCookiesVisited : TOnCookiesVisited read FOnCookiesVisited write FOnCookiesVisited;

Triggered after a TChromiumCore.VisitAllCookies call with cookie information.

Published property OnCookieVisitorDestroyed : TOnCookieVisitorDestroyed read FOnCookieVisitorDestroyed write FOnCookieVisitorDestroyed;

Triggered after a TChromiumCore.VisitAllCookies call when the IcefCookieVisitor has been destroyed.

Published property OnCookieSet : TOnCookieSet read FOnCookieSet write FOnCookieSet;

Triggered after a TChromiumCore.SetCookie call when the cookie has been set.

Published property OnZoomPctAvailable : TOnZoomPctAvailable read FOnZoomPctAvailable write FOnZoomPctAvailable;

Triggered after a call to any of the procedures to increase, decrease or reset the zoom with the new zoom value.

Published property OnMediaRouteCreateFinished : TOnMediaRouteCreateFinishedEvent read FOnMediaRouteCreateFinished write FOnMediaRouteCreateFinished;

Triggered after a TChromiumCore.CreateRoute call when the route is created.

Published property OnMediaSinkDeviceInfo : TOnMediaSinkDeviceInfoEvent read FOnMediaSinkDeviceInfo write FOnMediaSinkDeviceInfo;

Triggered after a TChromiumCore.GetDeviceInfo call with the device info.

Published property OnCanFocus : TNotifyEvent read FOnCanFocus write FOnCanFocus;

Triggered when the browser is capable of being focused.

Published property OnBrowserCompMsg : TOnCompMsgEvent read FOnBrowserCompMsg write FOnBrowserCompMsg;

Triggered for all messages sent to the child controls created by CEF to show the web contents.

Published property OnRenderCompMsg : TOnCompMsgEvent read FOnRenderCompMsg write FOnRenderCompMsg;

Triggered for all messages sent to the child controls created by CEF to show the web contents.

Published property OnProcessMessageReceived : TOnProcessMessageReceived read FOnProcessMessageReceived write FOnProcessMessageReceived;

Called when a new message is received from a different process. Return true (1) if the message was handled or false (0) otherwise. It is safe to keep a reference to |message| outside of this callback.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_client_capi.h">CEF source file: /include/capi/cef_client_capi.h (cef_client_t))

Published property OnLoadStart : TOnLoadStart read FOnLoadStart write FOnLoadStart;

Called after a navigation has been committed and before the browser begins loading contents in the frame. The |frame| value will never be NULL – call the IsMain() function to check if this frame is the main frame. |transition_type| provides information about the source of the navigation and an accurate value is only available in the browser process. Multiple frames may be loading at the same time. Sub-frames may start or continue loading after the main frame load has ended. This function will not be called for same page navigations (fragments, history state, etc.) or for navigations that fail or are canceled before commit. For notification of overall browser load status use OnLoadingStateChange instead.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_load_handler_capi.h">CEF source file: /include/capi/cef_load_handler_capi.h (cef_load_handler_t))

Published property OnLoadEnd : TOnLoadEnd read FOnLoadEnd write FOnLoadEnd;

Called when the browser is done loading a frame. The |frame| value will never be NULL – call the IsMain() function to check if this frame is the main frame. Multiple frames may be loading at the same time. Sub-frames may start or continue loading after the main frame load has ended. This function will not be called for same page navigations (fragments, history state, etc.) or for navigations that fail or are canceled before commit. For notification of overall browser load status use OnLoadingStateChange instead.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_load_handler_capi.h">CEF source file: /include/capi/cef_load_handler_capi.h (cef_load_handler_t))

Published property OnLoadError : TOnLoadError read FOnLoadError write FOnLoadError;

Called when a navigation fails or is canceled. This function may be called by itself if before commit or in combination with OnLoadStart/OnLoadEnd if after commit. |errorCode| is the error code number, |errorText| is the error text and |failedUrl| is the URL that failed to load. See net\base\net_error_list.h for complete descriptions of the error codes.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_load_handler_capi.h">CEF source file: /include/capi/cef_load_handler_capi.h (cef_load_handler_t))

Published property OnLoadingStateChange : TOnLoadingStateChange read FOnLoadingStateChange write FOnLoadingStateChange;

Called when the loading state has changed. This callback will be executed twice – once when loading is initiated either programmatically or by user action, and once when loading is terminated due to completion, cancellation of failure. It will be called before any calls to OnLoadStart and after all calls to OnLoadError and/or OnLoadEnd.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_load_handler_capi.h">CEF source file: /include/capi/cef_load_handler_capi.h (cef_load_handler_t))

Published property OnTakeFocus : TOnTakeFocus read FOnTakeFocus write FOnTakeFocus;

Called when the browser component is about to loose focus. For instance, if focus was on the last HTML element and the user pressed the TAB key. |next| will be true (1) if the browser is giving focus to the next component and false (0) if the browser is giving focus to the previous component.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_focus_handler_capi.h">CEF source file: /include/capi/cef_focus_handler_capi.h (cef_focus_handler_t))

Published property OnSetFocus : TOnSetFocus read FOnSetFocus write FOnSetFocus;

Called when the browser component is requesting focus. |source| indicates where the focus request is originating from. Return false (0) to allow the focus to be set or true (1) to cancel setting the focus.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_focus_handler_capi.h">CEF source file: /include/capi/cef_focus_handler_capi.h (cef_focus_handler_t))

Published property OnGotFocus : TOnGotFocus read FOnGotFocus write FOnGotFocus;

Called when the browser component has received focus.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_focus_handler_capi.h">CEF source file: /include/capi/cef_focus_handler_capi.h (cef_focus_handler_t))

Published property OnBeforeContextMenu : TOnBeforeContextMenu read FOnBeforeContextMenu write FOnBeforeContextMenu;

Called before a context menu is displayed. |params| provides information about the context menu state. |model| initially contains the default context menu. The |model| can be cleared to show no context menu or modified to show a custom menu. Do not keep references to |params| or |model| outside of this callback.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_context_menu_handler_capi.h">CEF source file: /include/capi/cef_context_menu_handler_capi.h (cef_context_menu_handler_t))

Published property OnRunContextMenu : TOnRunContextMenu read FOnRunContextMenu write FOnRunContextMenu;

Called to allow custom display of the context menu. |params| provides information about the context menu state. |model| contains the context menu model resulting from OnBeforeContextMenu. For custom display return true (1) and execute |callback| either synchronously or asynchronously with the selected command ID. For default display return false (0). Do not keep references to |params| or |model| outside of this callback.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_context_menu_handler_capi.h">CEF source file: /include/capi/cef_context_menu_handler_capi.h (cef_context_menu_handler_t))

Published property OnContextMenuCommand : TOnContextMenuCommand read FOnContextMenuCommand write FOnContextMenuCommand;

Called to execute a command selected from the context menu. Return true (1) if the command was handled or false (0) for the default implementation. See cef_menu_id_t for the command ids that have default implementations. All user-defined command ids should be between MENU_ID_USER_FIRST and MENU_ID_USER_LAST. |params| will have the same values as what was passed to on_before_context_menu(). Do not keep a reference to |params| outside of this callback.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_context_menu_handler_capi.h">CEF source file: /include/capi/cef_context_menu_handler_capi.h (cef_context_menu_handler_t))

Published property OnContextMenuDismissed : TOnContextMenuDismissed read FOnContextMenuDismissed write FOnContextMenuDismissed;

Called when the context menu is dismissed irregardless of whether the menu was canceled or a command was selected.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_context_menu_handler_capi.h">CEF source file: /include/capi/cef_context_menu_handler_capi.h (cef_context_menu_handler_t))

Published property OnRunQuickMenu : TOnRunQuickMenuEvent read FOnRunQuickMenu write FOnRunQuickMenu;

Called to allow custom display of the quick menu for a windowless browser. |location| is the top left corner of the selected region. |size| is the size of the selected region. |edit_state_flags| is a combination of flags that represent the state of the quick menu. Return true (1) if the menu will be handled and execute |callback| either synchronously or asynchronously with the selected command ID. Return false (0) to cancel the menu.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_context_menu_handler_capi.h">CEF source file: /include/capi/cef_context_menu_handler_capi.h (cef_context_menu_handler_t))

Published property OnQuickMenuCommand : TOnQuickMenuCommandEvent read FOnQuickMenuCommand write FOnQuickMenuCommand;

Called to execute a command selected from the quick menu for a windowless browser. Return true (1) if the command was handled or false (0) for the default implementation. See cef_menu_id_t for command IDs that have default implementations.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_context_menu_handler_capi.h">CEF source file: /include/capi/cef_context_menu_handler_capi.h (cef_context_menu_handler_t))

Published property OnQuickMenuDismissed : TOnQuickMenuDismissedEvent read FOnQuickMenuDismissed write FOnQuickMenuDismissed;

Called when the quick menu for a windowless browser is dismissed irregardless of whether the menu was canceled or a command was selected.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_context_menu_handler_capi.h">CEF source file: /include/capi/cef_context_menu_handler_capi.h (cef_context_menu_handler_t))

Published property OnPreKeyEvent : TOnPreKeyEvent read FOnPreKeyEvent write FOnPreKeyEvent;

Called before a keyboard event is sent to the renderer. |event| contains information about the keyboard event. |os_event| is the operating system event message, if any. Return true (1) if the event was handled or false (0) otherwise. If the event will be handled in on_key_event() as a keyboard shortcut set |is_keyboard_shortcut| to true (1) and return false (0).

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_keyboard_handler_capi.h">CEF source file: /include/capi/cef_keyboard_handler_capi.h (cef_keyboard_handler_t))

Published property OnKeyEvent : TOnKeyEvent read FOnKeyEvent write FOnKeyEvent;

Called after the renderer and JavaScript in the page has had a chance to handle the event. |event| contains information about the keyboard event. |os_event| is the operating system event message, if any. Return true (1) if the keyboard event was handled or false (0) otherwise.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_keyboard_handler_capi.h">CEF source file: /include/capi/cef_keyboard_handler_capi.h (cef_keyboard_handler_t))

Published property OnAddressChange : TOnAddressChange read FOnAddressChange write FOnAddressChange;

Called when a frame's address has changed.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_display_handler_capi.h">CEF source file: /include/capi/cef_display_handler_capi.h (cef_display_handler_t))

Published property OnTitleChange : TOnTitleChange read FOnTitleChange write FOnTitleChange;

Called when the page title changes.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_display_handler_capi.h">CEF source file: /include/capi/cef_display_handler_capi.h (cef_display_handler_t))

Published property OnFavIconUrlChange : TOnFavIconUrlChange read FOnFavIconUrlChange write FOnFavIconUrlChange;

Called when the page icon changes.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_display_handler_capi.h">CEF source file: /include/capi/cef_display_handler_capi.h (cef_display_handler_t))

Published property OnFullScreenModeChange : TOnFullScreenModeChange read FOnFullScreenModeChange write FOnFullScreenModeChange;

Called when web content in the page has toggled fullscreen mode. If |fullscreen| is true (1) the content will automatically be sized to fill the browser content area. If |fullscreen| is false (0) the content will automatically return to its original size and position. With Alloy style the client is responsible for triggering the fullscreen transition (for example, by calling ICefWindow.SetFullscreen when using Views). With Chrome style the fullscreen transition will be triggered automatically. The ICefWindowDelegate.OnWindowFullscreenTransition function will be called during the fullscreen transition for notification purposes.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_display_handler_capi.h">CEF source file: /include/capi/cef_display_handler_capi.h (cef_display_handler_t))

Published property OnTooltip : TOnTooltip read FOnTooltip write FOnTooltip;

Called when the browser is about to display a tooltip. |text| contains the text that will be displayed in the tooltip. To handle the display of the tooltip yourself return true (1). Otherwise, you can optionally modify |text| and then return false (0) to allow the browser to display the tooltip. When window rendering is disabled the application is responsible for drawing tooltips and the return value is ignored.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_display_handler_capi.h">CEF source file: /include/capi/cef_display_handler_capi.h (cef_display_handler_t))

Published property OnStatusMessage : TOnStatusMessage read FOnStatusMessage write FOnStatusMessage;

Called when the browser receives a status message. |value| contains the text that will be displayed in the status message.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_display_handler_capi.h">CEF source file: /include/capi/cef_display_handler_capi.h (cef_display_handler_t))

Published property OnConsoleMessage : TOnConsoleMessage read FOnConsoleMessage write FOnConsoleMessage;

Called to display a console message. Return true (1) to stop the message from being output to the console.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_display_handler_capi.h">CEF source file: /include/capi/cef_display_handler_capi.h (cef_display_handler_t))

Published property OnAutoResize : TOnAutoResize read FOnAutoResize write FOnAutoResize;

Called when auto-resize is enabled via cef_browser_host_t::SetAutoResizeEnabled and the contents have auto- resized. |new_size| will be the desired size in DIP coordinates. Return true (1) if the resize was handled or false (0) for default handling.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_display_handler_capi.h">CEF source file: /include/capi/cef_display_handler_capi.h (cef_display_handler_t))

Published property OnLoadingProgressChange : TOnLoadingProgressChange read FOnLoadingProgressChange write FOnLoadingProgressChange;

Called when the overall page loading progress has changed. |progress| ranges from 0.0 to 1.0.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_display_handler_capi.h">CEF source file: /include/capi/cef_display_handler_capi.h (cef_display_handler_t))

Published property OnCursorChange : TOnCursorChange read FOnCursorChange write FOnCursorChange;

Called when the browser's cursor has changed. If |type| is CT_CUSTOM then |custom_cursor_info| will be populated with the custom cursor information. Return true (1) if the cursor change was handled or false (0) for default handling.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_display_handler_capi.h">CEF source file: /include/capi/cef_display_handler_capi.h (cef_display_handler_t))

Published property OnMediaAccessChange : TOnMediaAccessChange read FOnMediaAccessChange write FOnMediaAccessChange;

Called when the browser's access to an audio and/or video source has changed.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_display_handler_capi.h">CEF source file: /include/capi/cef_display_handler_capi.h (cef_display_handler_t))

Published property OnContentsBoundsChange : TOnContentsBoundsChange read FOnContentsBoundsChange write FOnContentsBoundsChange;

Called when JavaScript is requesting new bounds via window.moveTo/By() or window.resizeTo/By(). |new_bounds| are in DIP screen coordinates.

With Views-hosted browsers |new_bounds| are the desired bounds for the containing cef_window_t and may be passed directly to ICefWindow.SetBounds. With external (client-provided) parent on macOS and Windows |new_bounds| are the desired frame bounds for the containing root window. With other non-Views browsers |new_bounds| are the desired bounds for the browser content only unless the client implements either ICefDisplayHandler.GetRootWindowScreenRect for windowed browsers or ICefRenderHandler.GetWindowScreenRect for windowless browsers. Clients may expand browser content bounds to window bounds using OS-specific or ICefDisplay functions.

Return true (1) if this function was handled or false (0) for default handling. Default move/resize behavior is only provided with Views-hosted Chrome style browsers.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_display_handler_capi.h">CEF source file: /include/capi/cef_display_handler_capi.h (cef_display_handler_t))

Published property OnGetRootWindowScreenRect : TOnGetRootWindowScreenRect read FOnGetRootWindowScreenRect write FOnGetRootWindowScreenRect;

Called to retrieve the external (client-provided) root window rectangle in screen DIP coordinates. Only called for windowed browsers on Windows and Linux. Return true (1) if the rectangle was provided. Return false (0) to use the root window bounds on Windows or the browser content bounds on Linux. For additional usage details see ICefBrowserHost.NotifyScreenInfoChanged.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_display_handler_capi.h">CEF source file: /include/capi/cef_display_handler_capi.h (cef_display_handler_t))

Published property OnCanDownload : TOnCanDownloadEvent read FOnCanDownload write FOnCanDownload;

Called before a download begins in response to a user-initiated action (e.g. alt + link click or link click that returns a `Content-Disposition: attachment` response from the server). |url| is the target download URL and |request_function| is the target function (GET, POST, etc). Return true (1) to proceed with the download or false (0) to cancel the download.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_download_handler_capi.h">CEF source file: /include/capi/cef_download_handler_capi.h (cef_download_handler_t))

Published property OnBeforeDownload : TOnBeforeDownload read FOnBeforeDownload write FOnBeforeDownload;

Called before a download begins. |suggested_name| is the suggested name for the download file. Set aResult to true (1) and execute |callback| either asynchronously or in this function to continue or cancel the download. Set aResult to false (0) to proceed with default handling (cancel with Alloy style, download shelf with Chrome style). Do not keep a reference to |download_item| outside of this function.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_download_handler_capi.h">CEF source file: /include/capi/cef_download_handler_capi.h (cef_download_handler_t))

Published property OnDownloadUpdated : TOnDownloadUpdated read FOnDownloadUpdated write FOnDownloadUpdated;

Called when a download's status or progress information has been updated. This may be called multiple times before and after OnBeforeDownload. Execute |callback| either asynchronously or in this function to cancel the download if desired. Do not keep a reference to |download_item| outside of this function.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_download_handler_capi.h">CEF source file: /include/capi/cef_download_handler_capi.h (cef_download_handler_t))

Published property OnJsdialog : TOnJsdialog read FOnJsdialog write FOnJsdialog;

Called to run a JavaScript dialog. If |origin_url| is non-NULL it can be passed to the CefFormatUrlForSecurityDisplay function to retrieve a secure and user-friendly display string. The |default_prompt_text| value will be specified for prompt dialogs only. Set |suppress_message| to true (1) and return false (0) to suppress the message (suppressing messages is preferable to immediately executing the callback as this is used to detect presumably malicious behavior like spamming alert messages in onbeforeunload). Set |suppress_message| to false (0) and return false (0) to use the default implementation (the default implementation will show one modal dialog at a time and suppress any additional dialog requests until the displayed dialog is dismissed). Return true (1) if the application will use a custom dialog or if the callback has been executed immediately. Custom dialogs may be either modal or modeless. If a custom dialog is used the application must execute |callback| once the custom dialog is dismissed.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_jsdialog_handler_capi.h">CEF source file: /include/capi/cef_jsdialog_handler_capi.h (cef_jsdialog_handler_t))

Published property OnBeforeUnloadDialog : TOnBeforeUnloadDialog read FOnBeforeUnloadDialog write FOnBeforeUnloadDialog;

Called to run a dialog asking the user if they want to leave a page. Return false (0) to use the default dialog implementation. Return true (1) if the application will use a custom dialog or if the callback has been executed immediately. Custom dialogs may be either modal or modeless. If a custom dialog is used the application must execute |callback| once the custom dialog is dismissed.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_jsdialog_handler_capi.h">CEF source file: /include/capi/cef_jsdialog_handler_capi.h (cef_jsdialog_handler_t))

Published property OnResetDialogState : TOnResetDialogState read FOnResetDialogState write FOnResetDialogState;

Called to cancel any pending dialogs and reset any saved dialog state. Will be called due to events like page navigation irregardless of whether any dialogs are currently pending.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_jsdialog_handler_capi.h">CEF source file: /include/capi/cef_jsdialog_handler_capi.h (cef_jsdialog_handler_t))

Published property OnDialogClosed : TOnDialogClosed read FOnDialogClosed write FOnDialogClosed;

Called when the dialog is closed.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_jsdialog_handler_capi.h">CEF source file: /include/capi/cef_jsdialog_handler_capi.h (cef_jsdialog_handler_t))

Published property OnBeforePopup : TOnBeforePopup read FOnBeforePopup write FOnBeforePopup;

Called on the UI thread before a new popup browser is created. The |browser| and |frame| values represent the source of the popup request (opener browser and frame). The |popup_id| value uniquely identifies the popup in the context of the opener browser. The |target_url| and |target_frame_name| values indicate where the popup browser should navigate and may be NULL if not specified with the request. The |target_disposition| value indicates where the user intended to open the popup (e.g. current tab, new tab, etc). The |user_gesture| value will be true (1) if the popup was opened via explicit user gesture (e.g. clicking a link) or false (0) if the popup opened automatically (e.g. via the DomContentLoaded event). The |popupFeatures| structure contains additional information about the requested popup window. To allow creation of the popup browser optionally modify |windowInfo|, |client|, |settings| and |no_javascript_access| and return false (0). To cancel creation of the popup browser return true (1). The |client| and |settings| values will default to the source browser's values. If the |no_javascript_access| value is set to false (0) the new browser will not be scriptable and may not be hosted in the same renderer process as the source browser. Any modifications to |windowInfo| will be ignored if the parent browser is wrapped in a ICefBrowserView. The |extra_info| parameter provides an opportunity to specify extra information specific to the created popup browser that will be passed to GlobalCEFApp.OnBrowserCreated in the render process.

If popup browser creation succeeds then OnAfterCreated will be called for the new popup browser. If popup browser creation fails, and if the opener browser has not yet been destroyed, then OnBeforePopupAborted will be called for the opener browser. See OnBeforePopupAborted documentation for additional details.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_life_span_handler_capi.h">CEF source file: /include/capi/cef_life_span_handler_capi.h (cef_life_span_handler_t))

Published property OnBeforePopupAborted : TOnBeforePopupAborted read FOnBeforePopupAborted write FOnBeforePopupAborted;

Called on the CEF UI thread if a new popup browser is aborted. This only occurs if the popup is allowed in OnBeforePopup and creation fails before OnAfterCreated is called for the new popup browser. The |browser| value is the source of the popup request (opener browser). The |popup_id| value uniquely identifies the popup in the context of the opener browser, and is the same value that was passed to OnBeforePopup.

Any client state associated with pending popups should be cleared in OnBeforePopupAborted, OnAfterCreated of the popup browser, or OnBeforeClose of the opener browser. OnBeforeClose of the opener browser may be called before this function in cases where the opener is closing during popup creation, in which case ICefBrowser.IsValid will return false (0) in this function.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_life_span_handler_capi.h">CEF source file: /include/capi/cef_life_span_handler_capi.h (cef_life_span_handler_t))

Published property OnBeforeDevToolsPopup : TOnBeforeDevToolsPopup read FOnBeforeDevToolsPopup write FOnBeforeDevToolsPopup;

Called on the CEF UI thread before a new DevTools popup browser is created. The |browser| value represents the source of the popup request. Optionally modify |windowInfo|, |client|, |settings| and |extra_info| values. The |client|, |settings| and |extra_info| values will default to the source browser's values. Any modifications to |windowInfo| will be ignored if the parent browser is Views-hosted (wrapped in a ICefBrowserView).

The |extra_info| parameter provides an opportunity to specify extra information specific to the created popup browser that will be passed to GlobalCEFApp.OnBrowserCreated in the render process. The existing |extra_info| object, if any, will be read-only but may be replaced with a new object.

Views-hosted source browsers will create Views-hosted DevTools popups unless |use_default_window| is set to to true (1). DevTools popups can be blocked by returning true (1) from ICefCommandHandler.OnChromeCommand for IDC_DEV_TOOLS. Only used with Chrome style.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_life_span_handler_capi.h">CEF source file: /include/capi/cef_life_span_handler_capi.h (cef_life_span_handler_t))

Published property OnAfterCreated : TOnAfterCreated read FOnAfterCreated write FOnAfterCreated;

Called after a new browser is created. It is now safe to begin performing actions with |browser|. ICefFrameHandler callbacks related to initial main frame creation will arrive before this callback. See ICefFrameHandler documentation for additional usage information.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_life_span_handler_capi.h">CEF source file: /include/capi/cef_life_span_handler_capi.h (cef_life_span_handler_t))

Published property OnBeforeClose : TOnBeforeClose read FOnBeforeClose write FOnBeforeClose;

Called just before a browser is destroyed. Release all references to the browser object and do not attempt to execute any functions on the browser object (other than IsValid, GetIdentifier or IsSame) after this callback returns. ICefFrameHandler callbacks related to final main frame destruction, and OnBeforePopupAborted callbacks for any pending popups, will arrive after this callback and ICefBrowser.IsValid will return false (0) at that time. Any in-progress network requests associated with |browser| will be aborted when the browser is destroyed, and ICefResourceRequestHandler callbacks related to those requests may still arrive on the IO thread after this callback. See ICefFrameHandler and DoClose() documentation for additional usage information.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_life_span_handler_capi.h">CEF source file: /include/capi/cef_life_span_handler_capi.h (cef_life_span_handler_t))

Published property OnClose : TOnClose read FOnClose write FOnClose;

Called when an Alloy style browser is ready to be closed, meaning that the close has already been initiated and that JavaScript unload handlers have already executed or should be ignored. This may result directly from a call to TChromiumCore.[Try]CloseBrowser() or indirectly if the browser's top-level parent window was created by CEF and the user attempts to close that window (by clicking the 'X', for example). TChromiumCore.OnClose will not be called if the browser's host window/view has already been destroyed (via parent window/view hierarchy tear-down, for example), as it is no longer possible to customize the close behavior at that point.

An application should handle top-level parent window close notifications by calling TChromiumCore.TryCloseBrowser() or TChromiumCore.CloseBrowser(false) instead of allowing the window to close immediately (see the examples below). This gives CEF an opportunity to process JavaScript unload handlers and optionally cancel the close before TChromiumCore.OnClose is called.

When windowed rendering is enabled CEF will create an internal child window/view to host the browser. In that case returning false (0) from TChromiumCore.OnClose will send the standard close notification to the browser's top- level parent window (e.g. WM_CLOSE on Windows, performClose: on OS X, "delete_event" on Linux or TCEFWindowComponent.OnCanClose callback from Views).

When windowed rendering is disabled there is no internal window/view and returning false (0) from TChromiumCore.OnClose will cause the browser object to be destroyed immediately.

If the browser's top-level parent window requires a non-standard close notification then send that notification from TChromiumCore.OnClose and return true (1). You are still required to complete the browser close as soon as possible (either by calling TChromiumCore.[Try]CloseBrowser() or by proceeding with window/view hierarchy tear-down), otherwise the browser will be left in a partially closed state that interferes with proper functioning. Top-level windows created on the browser process UI thread can alternately call TChromiumCore.IsReadyToBeClosed() in the close handler to check close status instead of relying on custom TChromiumCore.OnClose handling. See documentation on that function for additional details.

The TChromiumCore.OnBeforeClose event will be called after TChromiumCore.OnClose (if TChromiumCore.OnClose is called) and immediately before the browser object is destroyed. The application should only exit after TChromiumCore.OnBeforeClose has been called for all existing browsers.

The below examples describe what should happen during window close when the browser is parented to an application-provided top-level window.

Example 1: Using TChromiumCore.TryCloseBrowser(). This is recommended for clients using standard close handling and windows created on the browser process UI thread.

1.  User clicks the window close button which sends a close notification
    to the application's top-level window.
2.  Application's top-level window receives the close notification and
    calls TChromiumCore.TryCloseBrowser() (similar to calling TChromiumCore.CloseBrowser(false)).
    TChromiumCore.TryCloseBrowser() returns false so the client cancels the window
    close.
3.  JavaScript 'onbeforeunload' handler executes and shows the close
    confirmation dialog (which can be overridden via TChromiumCore.OnBeforeUnloadDialog).
4.  User approves the close.
5.  JavaScript 'onunload' handler executes.
6.  Application's TChromiumCore.OnClose handler is called and returns false (0) by
    default.
7.  CEF sends a close notification to the application's top-level window
    (because TChromiumCore.OnClose returned false).
8.  Application's top-level window receives the close notification and
    calls TryCloseBrowser(). TryCloseBrowser() returns true so the client
    allows the window close.
9.  Application's top-level window is destroyed, triggering destruction
    of the child browser window.
10. Application's TChromiumCore.OnBeforeClose handler is called and the browser object
    is destroyed.
11. Application exits by calling TCefApplicationCore.QuitMessageLoop if no other browsers
    exist.

Example 2: Using TChromiumCore.CloseBrowser(false) and implementing the TChromiumCore.OnClose event. This is recommended for clients using non-standard close handling or windows that were not created on the browser process UI thread.

1.  User clicks the window close button which sends a close notification
    to the application's top-level window.
2.  Application's top-level window receives the close notification and:
    A. Calls ICefBrowserHost.CloseBrowser(false).
    B. Cancels the window close.
3.  JavaScript 'onbeforeunload' handler executes and shows the close
    confirmation dialog (which can be overridden via TChromiumCore.OnBeforeUnloadDialog).
4.  User approves the close.
5.  JavaScript 'onunload' handler executes.
6.  Application's TChromiumCore.OnClose handler is called. Application will:
    A. Set a flag to indicate that the next top-level window close attempt
       will be allowed.
    B. Return false.
7.  CEF sends a close notification to the application's top-level window
    (because TChromiumCore.OnClose returned false).
8.  Application's top-level window receives the close notification and
    allows the window to close based on the flag from #6A.
9.  Application's top-level window is destroyed, triggering destruction
    of the child browser window.
10. Application's TChromiumCore.OnBeforeClose handler is called and the browser object
    is destroyed.
11. Application exits by calling TCefApplicationCore.QuitMessageLoop if no other browsers exist.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_life_span_handler_capi.h">CEF source file: /include/capi/cef_life_span_handler_capi.h (cef_life_span_handler_t))

Published property OnBeforeBrowse : TOnBeforeBrowse read FOnBeforeBrowse write FOnBeforeBrowse;

Called on the UI thread before browser navigation. Return true (1) to cancel the navigation or false (0) to allow the navigation to proceed. The |request| object cannot be modified in this callback.

TChromiumCore.OnLoadingStateChange will be called twice in all cases. If the navigation is allowed TChromiumCore.OnLoadStart and TChromiumCore.OnLoadEnd will be called. If the navigation is canceled TChromiumCore.OnLoadError will be called with an |errorCode| value of ERR_ABORTED. The |user_gesture| value will be true (1) if the browser navigated via explicit user gesture (e.g. clicking a link) or false (0) if it navigated automatically (e.g. via the DomContentLoaded event).

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_request_handler_capi.h">CEF source file: /include/capi/cef_request_handler_capi.h (cef_request_handler_t))

Published property OnOpenUrlFromTab : TOnOpenUrlFromTab read FOnOpenUrlFromTab write FOnOpenUrlFromTab;

Called on the UI thread before OnBeforeBrowse in certain limited cases where navigating a new or different browser might be desirable. This includes user-initiated navigation that might open in a special way (e.g. links clicked via middle-click or ctrl + left-click) and certain types of cross-origin navigation initiated from the renderer process (e.g. navigating the top-level frame to/from a file URL). The |browser| and |frame| values represent the source of the navigation. The |target_disposition| value indicates where the user intended to navigate the browser based on standard Chromium behaviors (e.g. current tab, new tab, etc). The |user_gesture| value will be true (1) if the browser navigated via explicit user gesture (e.g. clicking a link) or false (0) if it navigated automatically (e.g. via the DomContentLoaded event). Return true (1) to cancel the navigation or false (0) to allow the navigation to proceed in the source browser's top-level frame.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_request_handler_capi.h">CEF source file: /include/capi/cef_request_handler_capi.h (cef_request_handler_t))

Published property OnGetAuthCredentials : TOnGetAuthCredentials read FOnGetAuthCredentials write FOnGetAuthCredentials;

Called on the IO thread when the browser needs credentials from the user. |origin_url| is the origin making this authentication request. |isProxy| indicates whether the host is a proxy server. |host| contains the hostname and |port| contains the port number. |realm| is the realm of the challenge and may be NULL. |scheme| is the authentication scheme used, such as "basic" or "digest", and will be NULL if the source of the request is an FTP server. Return true (1) to continue the request and call ICefAuthCallback.cont() either in this function or at a later time when the authentication information is available. Return false (0) to cancel the request immediately.

This event will be called on the browser process CEF IO thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_request_handler_capi.h">CEF source file: /include/capi/cef_request_handler_capi.h (cef_request_handler_t))

Published property OnCertificateError : TOnCertificateError read FOnCertificateError write FOnCertificateError;

Called on the UI thread to handle requests for URLs with an invalid SSL certificate. Return true (1) and call ICefCallback functions either in this function or at a later time to continue or cancel the request. Return false (0) to cancel the request immediately. If TCefSettings.ignore_certificate_errors is set all invalid certificates will be accepted without calling this function.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_request_handler_capi.h">CEF source file: /include/capi/cef_request_handler_capi.h (cef_request_handler_t))

Published property OnSelectClientCertificate : TOnSelectClientCertificate read FOnSelectClientCertificate write FOnSelectClientCertificate;

Called on the UI thread when a client certificate is being requested for authentication. Return false (0) to use the default behavior. If the |certificates| list is not NULL the default behavior will be to display a dialog for certificate selection. If the |certificates| list is NULL then the default behavior will be not to show a dialog and it will continue without using any certificate. Return true (1) and call ICefSelectClientCertificateCallback.Select either in this function or at a later time to select a certificate. Do not call Select or call it with NULL to continue without using any certificate. |isProxy| indicates whether the host is an HTTPS proxy or the origin server. |host| and |port| contains the hostname and port of the SSL server. |certificates| is the list of certificates to choose from; this list has already been pruned by Chromium so that it only contains certificates from issuers that the server trusts.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_request_handler_capi.h">CEF source file: /include/capi/cef_request_handler_capi.h (cef_request_handler_t))

Published property OnRenderViewReady : TOnRenderViewReady read FOnRenderViewReady write FOnRenderViewReady;

Called on the browser process UI thread when the render view associated with |browser| is ready to receive/handle IPC messages in the render process.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_request_handler_capi.h">CEF source file: /include/capi/cef_request_handler_capi.h (cef_request_handler_t))

Published property OnRenderProcessUnresponsive : TOnRenderProcessUnresponsive read FOnRenderProcessUnresponsive write FOnRenderProcessUnresponsive;

Called on the browser process UI thread when the render process is unresponsive as indicated by a lack of input event processing for at least 15 seconds. Return false (0) for the default behavior which is to continue waiting with Alloy style or display of the "Page unresponsive" dialog with Chrome style. Return true (1) and don't execute the callback to continue waiting without display of the Chrome style dialog. Return true (1) and call ICefUnresponsiveProcessCallback.Wait either in this function or at a later time to reset the wait timer. In cases where you continue waiting there may be another call to this function if the process remains unresponsive. Return true (1) and call ICefUnresponsiveProcessCallback.Terminate either in this function or at a later time to terminate the unresponsive process, resulting in a call to OnRenderProcessTerminated. OnRenderProcessResponsive will be called if the process becomes responsive after this function is called. This functionality depends on the hang monitor which can be disabled by passing the `–disable-hang-monitor` command-line flag.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_request_handler_capi.h">CEF source file: /include/capi/cef_request_handler_capi.h (cef_request_handler_t))

Published property OnRenderProcessResponsive : TOnRenderProcessResponsive read FOnRenderProcessResponsive write FOnRenderProcessResponsive;

Called on the browser process UI thread when the render process becomes responsive after previously being unresponsive. See documentation on OnRenderProcessUnresponsive.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_request_handler_capi.h">CEF source file: /include/capi/cef_request_handler_capi.h (cef_request_handler_t))

Published property OnRenderProcessTerminated : TOnRenderProcessTerminated read FOnRenderProcessTerminated write FOnRenderProcessTerminated;

Called on the browser process UI thread when the render process terminates unexpectedly. |status| indicates how the process terminated. |error_code| and |error_string| represent the error that would be displayed in Chrome's "Aw, Snap!" view. Possible |error_code| values include TCefResultCode non-normal exit values and platform-specific crash values (for example, a Posix signal or Windows hardware exception).

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_request_handler_capi.h">CEF source file: /include/capi/cef_request_handler_capi.h (cef_request_handler_t))

Published property OnGetResourceRequestHandler_ReqHdlr : TOnGetResourceRequestHandler read FOnGetResourceRequestHandler_ReqHdlr write FOnGetResourceRequestHandler_ReqHdlr;

Called on the browser process IO thread before a resource request is initiated. The |browser| and |frame| values represent the source of the request. |request| represents the request contents and cannot be modified in this callback. |is_navigation| will be true (1) if the resource request is a navigation. |is_download| will be true (1) if the resource request is a download. |request_initiator| is the origin (scheme + domain) of the page that initiated the request. Set |disable_default_handling| to true (1) to disable default handling of the request, in which case it will need to be handled via ICefResourceRequestHandler.GetResourceHandler or it will be canceled. To allow the resource load to proceed with default handling return NULL. To specify a handler for the resource return a ICefResourceRequestHandler object. If this callback returns NULL the same function will be called on the associated ICefRequestContextHandler, if any.

This event will be called on the browser process CEF IO thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_request_handler_capi.h">CEF source file: /include/capi/cef_request_handler_capi.h (cef_request_handler_t))

Published property OnDocumentAvailableInMainFrame : TOnDocumentAvailableInMainFrame read FOnDocumentAvailableInMainFrame write FOnDocumentAvailableInMainFrame;

Called on the browser process UI thread when the window.document object of the main frame has been created.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_request_handler_capi.h">CEF source file: /include/capi/cef_request_handler_capi.h (cef_request_handler_t))

Published property OnBeforeResourceLoad : TOnBeforeResourceLoad read FOnBeforeResourceLoad write FOnBeforeResourceLoad;

Called on the IO thread before a resource request is loaded. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. To redirect or change the resource load optionally modify |request|. Modification of the request URL will be treated as a redirect. Return RV_CONTINUE to continue the request immediately. Return RV_CONTINUE_ASYNC and call ICefCallback functions at a later time to continue or cancel the request asynchronously. Return RV_CANCEL to cancel the request immediately.

This event will be called on the browser process CEF IO thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_resource_request_handler_capi.h">CEF source file: /include/capi/cef_resource_request_handler_capi.h (cef_resource_request_handler_t))

Published property OnGetResourceHandler : TOnGetResourceHandler read FOnGetResourceHandler write FOnGetResourceHandler;

Called on the IO thread before a resource is loaded. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. To allow the resource to load using the default network loader return NULL. To specify a handler for the resource return a ICefResourceHandler object. The |request| object cannot not be modified in this callback.

This event will be called on the browser process CEF IO thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_resource_request_handler_capi.h">CEF source file: /include/capi/cef_resource_request_handler_capi.h (cef_resource_request_handler_t))

Published property OnResourceRedirect : TOnResourceRedirect read FOnResourceRedirect write FOnResourceRedirect;

Called on the IO thread when a resource load is redirected. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. The |request| parameter will contain the old URL and other request-related information. The |response| parameter will contain the response that resulted in the redirect. The |new_url| parameter will contain the new URL and can be changed if desired. The |request| and |response| objects cannot be modified in this callback.

This event will be called on the browser process CEF IO thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_resource_request_handler_capi.h">CEF source file: /include/capi/cef_resource_request_handler_capi.h (cef_resource_request_handler_t))

Published property OnResourceResponse : TOnResourceResponse read FOnResourceResponse write FOnResourceResponse;

Called on the IO thread when a resource response is received. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. To allow the resource load to proceed without modification return false (0). To redirect or retry the resource load optionally modify |request| and return true (1). Modification of the request URL will be treated as a redirect. Requests handled using the default network loader cannot be redirected in this callback. The |response| object cannot be modified in this callback.

WARNING: Redirecting using this function is deprecated. Use OnBeforeResourceLoad or GetResourceHandler to perform redirects.

This event will be called on the browser process CEF IO thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_resource_request_handler_capi.h">CEF source file: /include/capi/cef_resource_request_handler_capi.h (cef_resource_request_handler_t))

Published property OnGetResourceResponseFilter : TOnGetResourceResponseFilter read FOnGetResourceResponseFilter write FOnGetResourceResponseFilter;

Called on the IO thread to optionally filter resource response content. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. |request| and |response| represent the request and response respectively and cannot be modified in this callback.

This event will be called on the browser process CEF IO thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_resource_request_handler_capi.h">CEF source file: /include/capi/cef_resource_request_handler_capi.h (cef_resource_request_handler_t))

Published property OnResourceLoadComplete : TOnResourceLoadComplete read FOnResourceLoadComplete write FOnResourceLoadComplete;

Called on the IO thread when a resource load has completed. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. |request| and |response| represent the request and response respectively and cannot be modified in this callback. |status| indicates the load completion status. |received_content_length| is the number of response bytes actually read. This function will be called for all requests, including requests that are aborted due to CEF shutdown or destruction of the associated browser. In cases where the associated browser is destroyed this callback may arrive after the ICefLifeSpanHandler.OnBeforeClose callback for that browser. The ICefFrame.IsValid function can be used to test for this situation, and care should be taken not to call |browser| or |frame| functions that modify state (like LoadURL, SendProcessMessage, etc.) if the frame is invalid.

This event will be called on the browser process CEF IO thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_resource_request_handler_capi.h">CEF source file: /include/capi/cef_resource_request_handler_capi.h (cef_resource_request_handler_t))

Published property OnProtocolExecution : TOnProtocolExecution read FOnProtocolExecution write FOnProtocolExecution;

Called on the IO thread to handle requests for URLs with an unknown protocol component. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. |request| cannot be modified in this callback. Set |allow_os_execution| to true (1) to attempt execution via the registered OS protocol handler, if any. SECURITY WARNING: YOU SHOULD USE THIS METHOD TO ENFORCE RESTRICTIONS BASED ON SCHEME, HOST OR OTHER URL ANALYSIS BEFORE ALLOWING OS EXECUTION.

This event will be called on the browser process CEF IO thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_resource_request_handler_capi.h">CEF source file: /include/capi/cef_resource_request_handler_capi.h (cef_resource_request_handler_t))

Published property OnCanSendCookie : TOnCanSendCookie read FOnCanSendCookie write FOnCanSendCookie;

Called on the IO thread before a resource request is sent. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest.

|request| cannot be modified in this callback. Return true (1) if the specified cookie can be sent with the request or false (0) otherwise.

This event will be called on the browser process CEF IO thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_resource_request_handler_capi.h">CEF source file: /include/capi/cef_resource_request_handler_capi.h (cef_cookie_access_filter_t))

Published property OnCanSaveCookie : TOnCanSaveCookie read FOnCanSaveCookie write FOnCanSaveCookie;

Called on the IO thread after a resource response is received. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest.

|request| cannot be modified in this callback. Return true (1) if the specified cookie returned with the response can be saved or false (0) otherwise.

This event will be called on the browser process CEF IO thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_resource_request_handler_capi.h">CEF source file: /include/capi/cef_resource_request_handler_capi.h (cef_cookie_access_filter_t))

Published property OnFileDialog : TOnFileDialog read FOnFileDialog write FOnFileDialog;

Called to run a file chooser dialog. |mode| represents the type of dialog to display. |title| to the title to be used for the dialog and may be NULL to show the default title ("Open" or "Save" depending on the mode).

|default_file_path| is the path with optional directory and/or file name component that should be initially selected in the dialog.

|accept_filters| are used to restrict the selectable file types and may be any combination of valid lower-cased MIME types (e.g. "text/*" or "image/*") and individual file extensions (e.g. ".txt" or ".png").

|accept_extensions| provides the semicolon-delimited expansion of MIME types to file extensions (if known, or NULL string otherwise).

|accept_descriptions| provides the descriptions for MIME types (if known, or NULL string otherwise). For example, the "image/*" mime type might have extensions ".png;.jpg;.bmp;..." and description "Image Files".

|accept_filters|, |accept_extensions| and |accept_descriptions| will all be the same size. To display a custom dialog return true (1) and execute |callback| either inline or at a later time. To display the default dialog return false (0). If this function returns false (0) it may be called an additional time for the same dialog (both before and after MIME type expansion).

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_dialog_handler_capi.h">CEF source file: /include/capi/cef_dialog_handler_capi.h (cef_dialog_handler_t))

Published property OnGetAccessibilityHandler : TOnGetAccessibilityHandler read FOnGetAccessibilityHandler write FOnGetAccessibilityHandler;

Return the handler for accessibility notifications. If no handler is provided the default implementation will be used.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_render_handler_capi.h">CEF source file: /include/capi/cef_render_handler_capi.h (cef_render_handler_t))

Published property OnGetRootScreenRect : TOnGetRootScreenRect read FOnGetRootScreenRect write FOnGetRootScreenRect;

Called to retrieve the root window rectangle in screen DIP coordinates. Return true (1) if the rectangle was provided. If this function returns false (0) the rectangle from OnGetViewRect will be used.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_render_handler_capi.h">CEF source file: /include/capi/cef_render_handler_capi.h (cef_render_handler_t))

Published property OnGetViewRect : TOnGetViewRect read FOnGetViewRect write FOnGetViewRect;

Called to retrieve the view rectangle in screen DIP coordinates. This function must always provide a non-NULL rectangle.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_render_handler_capi.h">CEF source file: /include/capi/cef_render_handler_capi.h (cef_render_handler_t))

Published property OnGetScreenPoint : TOnGetScreenPoint read FOnGetScreenPoint write FOnGetScreenPoint;

Called to retrieve the translation from view DIP coordinates to screen coordinates. Windows/Linux should provide screen device (pixel) coordinates and MacOS should provide screen DIP coordinates. Return true (1) if the requested coordinates were provided.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_render_handler_capi.h">CEF source file: /include/capi/cef_render_handler_capi.h (cef_render_handler_t))

Published property OnGetScreenInfo : TOnGetScreenInfo read FOnGetScreenInfo write FOnGetScreenInfo;

Called to allow the client to fill in the TCefScreenInfo object with appropriate values. Return true (1) if the |screen_info| structure has been modified. If the screen info rectangle is left NULL the rectangle from OnGetViewRect will be used. If the rectangle is still NULL or invalid popups may not be drawn correctly.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_render_handler_capi.h">CEF source file: /include/capi/cef_render_handler_capi.h (cef_render_handler_t))

Published property OnPopupShow : TOnPopupShow read FOnPopupShow write FOnPopupShow;

Called when the browser wants to show or hide the popup widget. The popup should be shown if |show| is true (1) and hidden if |show| is false (0).

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_render_handler_capi.h">CEF source file: /include/capi/cef_render_handler_capi.h (cef_render_handler_t))

Published property OnPopupSize : TOnPopupSize read FOnPopupSize write FOnPopupSize;

Called when the browser wants to move or resize the popup widget. |rect| contains the new location and size in view coordinates.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_render_handler_capi.h">CEF source file: /include/capi/cef_render_handler_capi.h (cef_render_handler_t))

Published property OnPaint : TOnPaint read FOnPaint write FOnPaint;

Called when an element should be painted. Pixel values passed to this function are scaled relative to view coordinates based on the value of TCefScreenInfo.device_scale_factor returned from OnGetScreenInfo. |type| indicates whether the element is the view or the popup widget. |buffer| contains the pixel data for the whole image. |dirtyRects| contains the set of rectangles in pixel coordinates that need to be repainted. |buffer| will be |width|*|height|*4 bytes in size and represents a BGRA image with an upper-left origin. This function is only called when TCefWindowInfo.shared_texture_enabled is set to false (0).

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_render_handler_capi.h">CEF source file: /include/capi/cef_render_handler_capi.h (cef_render_handler_t))

Published property OnAcceleratedPaint : TOnAcceleratedPaint read FOnAcceleratedPaint write FOnAcceleratedPaint;

Called when an element has been rendered to the shared texture handle. |type| indicates whether the element is the view or the popup widget. |dirtyRects| contains the set of rectangles in pixel coordinates that need to be repainted. |info| contains the shared handle; on Windows it is a HANDLE to a texture that can be opened with D3D11 OpenSharedResource, on macOS it is an IOSurface pointer that can be opened with Metal or OpenGL, and on Linux it contains several planes, each with an fd to the underlying system native buffer.

The underlying implementation uses a pool to deliver frames. As a result, the handle may differ every frame depending on how many frames are in- progress. The handle's resource cannot be cached and cannot be accessed outside of this callback. It should be reopened each time this callback is executed and the contents should be copied to a texture owned by the client application. The contents of |info| will be released back to the pool after this callback returns.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_render_handler_capi.h">CEF source file: /include/capi/cef_render_handler_capi.h (cef_render_handler_t))

Published property OnGetTouchHandleSize : TOnGetTouchHandleSize read FOnGetTouchHandleSize write FOnGetTouchHandleSize;

Called to retrieve the size of the touch handle for the specified |orientation|.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_render_handler_capi.h">CEF source file: /include/capi/cef_render_handler_capi.h (cef_render_handler_t))

Published property OnTouchHandleStateChanged : TOnTouchHandleStateChanged read FOnTouchHandleStateChanged write FOnTouchHandleStateChanged;

Called when touch handle state is updated. The client is responsible for rendering the touch handles.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_render_handler_capi.h">CEF source file: /include/capi/cef_render_handler_capi.h (cef_render_handler_t))

Published property OnStartDragging : TOnStartDragging read FOnStartDragging write FOnStartDragging;

Called when the user starts dragging content in the web view. Contextual information about the dragged content is supplied by |drag_data|. (|x|, |y|) is the drag start location in screen coordinates. OS APIs that run a system message loop may be used within the StartDragging call.

Return false (0) to abort the drag operation. Don't call any of ICefBrowserHost.DragSource*Ended* functions after returning false (0).

Return true (1) to handle the drag operation. Call ICefBrowserHost.DragSourceEndedAt and DragSourceSystemDragEnded either synchronously or asynchronously to inform the web view that the drag operation has ended.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_render_handler_capi.h">CEF source file: /include/capi/cef_render_handler_capi.h (cef_render_handler_t))

Published property OnUpdateDragCursor : TOnUpdateDragCursor read FOnUpdateDragCursor write FOnUpdateDragCursor;

Called when the web view wants to update the mouse cursor during a drag & drop operation. |operation| describes the allowed operation (none, move, copy, link).

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_render_handler_capi.h">CEF source file: /include/capi/cef_render_handler_capi.h (cef_render_handler_t))

Published property OnScrollOffsetChanged : TOnScrollOffsetChanged read FOnScrollOffsetChanged write FOnScrollOffsetChanged;

Called when the scroll offset has changed.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_render_handler_capi.h">CEF source file: /include/capi/cef_render_handler_capi.h (cef_render_handler_t))

Published property OnIMECompositionRangeChanged : TOnIMECompositionRangeChanged read FOnIMECompositionRangeChanged write FOnIMECompositionRangeChanged;

Called when the IME composition range has changed. |selected_range| is the range of characters that have been selected. |character_bounds| is the bounds of each character in view coordinates.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_render_handler_capi.h">CEF source file: /include/capi/cef_render_handler_capi.h (cef_render_handler_t))

Published property OnTextSelectionChanged : TOnTextSelectionChanged read FOnTextSelectionChanged write FOnTextSelectionChanged;

Called when text selection has changed for the specified |browser|. |selected_text| is the currently selected text and |selected_range| is the character range.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_render_handler_capi.h">CEF source file: /include/capi/cef_render_handler_capi.h (cef_render_handler_t))

Published property OnVirtualKeyboardRequested : TOnVirtualKeyboardRequested read FOnVirtualKeyboardRequested write FOnVirtualKeyboardRequested;

Called when an on-screen keyboard should be shown or hidden for the specified |browser|. |input_mode| specifies what kind of keyboard should be opened. If |input_mode| is CEF_TEXT_INPUT_MODE_NONE, any existing keyboard for this browser should be hidden.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_render_handler_capi.h">CEF source file: /include/capi/cef_render_handler_capi.h (cef_render_handler_t))

Published property OnDragEnter : TOnDragEnter read FOnDragEnter write FOnDragEnter;

Called when an external drag event enters the browser window. |dragData| contains the drag event data and |mask| represents the type of drag operation. Return false (0) for default drag handling behavior or true (1) to cancel the drag event.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_drag_handler_capi.h">CEF source file: /include/capi/cef_drag_handler_capi.h (cef_drag_handler_t))

Published property OnDraggableRegionsChanged : TOnDraggableRegionsChanged read FOnDraggableRegionsChanged write FOnDraggableRegionsChanged;

Called whenever draggable regions for the browser window change. These can be specified using the '-webkit-app-region: drag/no-drag' CSS-property. If draggable regions are never defined in a document this function will also never be called. If the last draggable region is removed from a document this function will be called with an NULL vector.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_drag_handler_capi.h">CEF source file: /include/capi/cef_drag_handler_capi.h (cef_drag_handler_t))

Published property OnFindResult : TOnFindResult read FOnFindResult write FOnFindResult;

Called to report find results returned by ICefBrowserHost.find(). |identifer| is a unique incremental identifier for the currently active search, |count| is the number of matches currently identified, |selectionRect| is the location of where the match was found (in window coordinates), |activeMatchOrdinal| is the current position in the search results, and |finalUpdate| is true (1) if this is the last find notification.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_find_handler_capi.h">CEF source file: /include/capi/cef_find_handler_capi.h (cef_find_handler_t))

Published property OnRequestContextInitialized : TOnRequestContextInitialized read FOnRequestContextInitialized write FOnRequestContextInitialized;

Called on the browser process UI thread immediately after the request context has been initialized.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_request_context_handler_capi.h">CEF source file: /include/capi/cef_request_context_handler_capi.h (cef_request_context_handler_t))

Published property OnGetResourceRequestHandler_ReqCtxHdlr : TOnGetResourceRequestHandler read FOnGetResourceRequestHandler_ReqCtxHdlr write FOnGetResourceRequestHandler_ReqCtxHdlr;

Called on the browser process IO thread before a resource request is initiated. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. |request| represents the request contents and cannot be modified in this callback. |is_navigation| will be true (1) if the resource request is a navigation. |is_download| will be true (1) if the resource request is a download. |request_initiator| is the origin (scheme + domain) of the page that initiated the request. Set |disable_default_handling| to true (1) to disable default handling of the request, in which case it will need to be handled via ICefResourceRequestHandler.GetResourceHandler or it will be canceled. To allow the resource load to proceed with default handling return NULL. To specify a handler for the resource return a ICefResourceRequestHandler object. This function will not be called if the client associated with |browser| returns a non-NULL value from ICefRequestHandler.GetResourceRequestHandler for the same request (identified by ICefRequest.GetIdentifier).

This event will be called on the browser process CEF IO thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_request_context_handler_capi.h">CEF source file: /include/capi/cef_request_context_handler_capi.h (cef_request_context_handler_t))

Published property OnSinks : TOnSinksEvent read FOnSinks write FOnSinks;

The list of available media sinks has changed or ICefMediaRouter.NotifyCurrentSinks was called.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_media_router_capi.h">CEF source file: /include/capi/cef_media_router_capi.h (cef_media_observer_t))

Published property OnRoutes : TOnRoutesEvent read FOnRoutes write FOnRoutes;

The list of available media routes has changed or ICefMediaRouter.NotifyCurrentRoutes was called.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_media_router_capi.h">CEF source file: /include/capi/cef_media_router_capi.h (cef_media_observer_t))

Published property OnRouteStateChanged : TOnRouteStateChangedEvent read FOnRouteStateChanged write FOnRouteStateChanged;

The connection state of |route| has changed.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_media_router_capi.h">CEF source file: /include/capi/cef_media_router_capi.h (cef_media_observer_t))

Published property OnRouteMessageReceived : TOnRouteMessageReceivedEvent read FOnRouteMessageReceived write FOnRouteMessageReceived;

A message was recieved over |route|. |message| is only valid for the scope of this callback and should be copied if necessary.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_media_router_capi.h">CEF source file: /include/capi/cef_media_router_capi.h (cef_media_observer_t))

Published property OnGetAudioParameters : TOnGetAudioParametersEvent read FOnGetAudioParameters write FOnGetAudioParameters;

Called on the UI thread to allow configuration of audio stream parameters. Return true (1) to proceed with audio stream capture, or false (0) to cancel it. All members of |params| can optionally be configured here, but they are also pre-filled with some sensible defaults.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_audio_handler_capi.h">CEF source file: /include/capi/cef_audio_handler_capi.h (cef_audio_handler_t))

Published property OnAudioStreamStarted : TOnAudioStreamStartedEvent read FOnAudioStreamStarted write FOnAudioStreamStarted;

Called on a browser audio capture thread when the browser starts streaming audio. OnAudioStreamStopped will always be called after OnAudioStreamStarted; both functions may be called multiple times for the same browser. |params| contains the audio parameters like sample rate and channel layout. |channels| is the number of channels.

This event will be called on a browser audio capture thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_audio_handler_capi.h">CEF source file: /include/capi/cef_audio_handler_capi.h (cef_audio_handler_t))

Published property OnAudioStreamPacket : TOnAudioStreamPacketEvent read FOnAudioStreamPacket write FOnAudioStreamPacket;

Called on the audio stream thread when a PCM packet is received for the stream. |data| is an array representing the raw PCM data as a floating point type, i.e. 4-byte value(s). |frames| is the number of frames in the PCM packet. |pts| is the presentation timestamp (in milliseconds since the Unix Epoch) and represents the time at which the decompressed packet should be presented to the user. Based on |frames| and the |channel_layout| value passed to OnAudioStreamStarted you can calculate the size of the |data| array in bytes.

This event will be called on a browser audio capture thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_audio_handler_capi.h">CEF source file: /include/capi/cef_audio_handler_capi.h (cef_audio_handler_t))

Published property OnAudioStreamStopped : TOnAudioStreamStoppedEvent read FOnAudioStreamStopped write FOnAudioStreamStopped;

Called on the UI thread when the stream has stopped. OnAudioSteamStopped will always be called after OnAudioStreamStarted; both functions may be called multiple times for the same stream.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_audio_handler_capi.h">CEF source file: /include/capi/cef_audio_handler_capi.h (cef_audio_handler_t))

Published property OnAudioStreamError : TOnAudioStreamErrorEvent read FOnAudioStreamError write FOnAudioStreamError;

Called on the UI or audio stream thread when an error occurred. During the stream creation phase this callback will be called on the UI thread while in the capturing phase it will be called on the audio stream thread. The stream will be stopped immediately.

This event will be called on the browser process CEF UI thread or a browser audio capture thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_audio_handler_capi.h">CEF source file: /include/capi/cef_audio_handler_capi.h (cef_audio_handler_t))

Published property OnDevToolsMessage : TOnDevToolsMessageEvent read FOnDevToolsMessage write FOnDevToolsMessage;

Method that will be called on receipt of a DevTools protocol message. |browser| is the originating browser instance. |message| is a UTF8-encoded JSON dictionary representing either a function result or an event.

|message| is only valid for the scope of this callback and should be copied if necessary. Return true (1) if the message was handled or false (0) if the message should be further processed and passed to the OnDevToolsMethodResult or OnDevToolsEvent functions as appropriate.

Method result dictionaries include an "id" (int) value that identifies the orginating function call sent from ICefBrowserHost.SendDevToolsMessage, and optionally either a "result" (dictionary) or "error" (dictionary) value. The "error" dictionary will contain "code" (int) and "message" (string) values. Event dictionaries include a "function" (string) value and optionally a "params" (dictionary) value. See the DevTools protocol documentation at https://chromedevtools.github.io/devtools-protocol/ for details of supported function calls and the expected "result" or "params" dictionary contents. JSON dictionaries can be parsed using the CefParseJSON function if desired, however be aware of performance considerations when parsing large messages (some of which may exceed 1MB in size).

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_devtools_message_observer_capi.h">CEF source file: /include/capi/cef_devtools_message_observer_capi.h (cef_dev_tools_message_observer_t))

Published property OnDevToolsRawMessage : TOnDevToolsRawMessageEvent read FOnDevToolsRawMessage write FOnDevToolsRawMessage;

Method that will be called on receipt of a DevTools protocol message. |browser| is the originating browser instance. |message| is a UTF8-encoded JSON dictionary representing either a function result or an event.

|message| is only valid for the scope of this callback and should be copied if necessary. Return true (1) if the message was handled or false (0) if the message should be further processed and passed to the OnDevToolsMethodResult or OnDevToolsEvent functions as appropriate.

Method result dictionaries include an "id" (int) value that identifies the orginating function call sent from ICefBrowserHost.SendDevToolsMessage, and optionally either a "result" (dictionary) or "error" (dictionary) value. The "error" dictionary will contain "code" (int) and "message" (string) values. Event dictionaries include a "function" (string) value and optionally a "params" (dictionary) value. See the DevTools protocol documentation at https://chromedevtools.github.io/devtools-protocol/ for details of supported function calls and the expected "result" or "params" dictionary contents. JSON dictionaries can be parsed using the CefParseJSON function if desired, however be aware of performance considerations when parsing large messages (some of which may exceed 1MB in size).

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_devtools_message_observer_capi.h">CEF source file: /include/capi/cef_devtools_message_observer_capi.h (cef_dev_tools_message_observer_t))

Published property OnDevToolsMethodResult : TOnDevToolsMethodResultEvent read FOnDevToolsMethodResult write FOnDevToolsMethodResult;

Method that will be called after attempted execution of a DevTools protocol function. |browser| is the originating browser instance.

|message_id| is the "id" value that identifies the originating function call message. If the function succeeded |success| will be true (1) and |result| will be the UTF8-encoded JSON "result" dictionary value (which may be NULL). If the function failed |success| will be false (0) and |result| will be the UTF8-encoded JSON "error" dictionary value. |result| is only valid for the scope of this callback and should be copied if necessary. See the OnDevToolsMessage documentation for additional details on |result| contents.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_devtools_message_observer_capi.h">CEF source file: /include/capi/cef_devtools_message_observer_capi.h (cef_dev_tools_message_observer_t))

Published property OnDevToolsMethodRawResult : TOnDevToolsMethodRawResultEvent read FOnDevToolsMethodRawResult write FOnDevToolsMethodRawResult;

Method that will be called after attempted execution of a DevTools protocol function. |browser| is the originating browser instance.

|message_id| is the "id" value that identifies the originating function call message. If the function succeeded |success| will be true (1) and |result| will be the UTF8-encoded JSON "result" dictionary value (which may be NULL). If the function failed |success| will be false (0) and |result| will be the UTF8-encoded JSON "error" dictionary value. |result| is only valid for the scope of this callback and should be copied if necessary. See the OnDevToolsMessage documentation for additional details on |result| contents.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_devtools_message_observer_capi.h">CEF source file: /include/capi/cef_devtools_message_observer_capi.h (cef_dev_tools_message_observer_t))

Published property OnDevToolsEvent : TOnDevToolsEventEvent read FOnDevToolsEvent write FOnDevToolsEvent;

Method that will be called on receipt of a DevTools protocol event. |browser| is the originating browser instance. |function| is the "function" value. |params| is the UTF8-encoded JSON "params" dictionary value (which may be NULL). |params| is only valid for the scope of this callback and should be copied if necessary. See the OnDevToolsMessage documentation for additional details on |params| contents.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_devtools_message_observer_capi.h">CEF source file: /include/capi/cef_devtools_message_observer_capi.h (cef_dev_tools_message_observer_t))

Published property OnDevToolsRawEvent : TOnDevToolsEventRawEvent read FOnDevToolsRawEvent write FOnDevToolsRawEvent;

Method that will be called on receipt of a DevTools protocol event. |browser| is the originating browser instance. |function| is the "function" value. |params| is the UTF8-encoded JSON "params" dictionary value (which may be NULL). |params| is only valid for the scope of this callback and should be copied if necessary. See the OnDevToolsMessage documentation for additional details on |params| contents.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_devtools_message_observer_capi.h">CEF source file: /include/capi/cef_devtools_message_observer_capi.h (cef_dev_tools_message_observer_t))

Published property OnDevToolsAgentAttached : TOnDevToolsAgentAttachedEvent read FOnDevToolsAgentAttached write FOnDevToolsAgentAttached;

Method that will be called when the DevTools agent has attached. |browser| is the originating browser instance. This will generally occur in response to the first message sent while the agent is detached.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_devtools_message_observer_capi.h">CEF source file: /include/capi/cef_devtools_message_observer_capi.h (cef_dev_tools_message_observer_t))

Published property OnDevToolsAgentDetached : TOnDevToolsAgentDetachedEvent read FOnDevToolsAgentDetached write FOnDevToolsAgentDetached;

Method that will be called when the DevTools agent has detached. |browser| is the originating browser instance. Any function results that were pending before the agent became detached will not be delivered, and any active event subscriptions will be canceled.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_devtools_message_observer_capi.h">CEF source file: /include/capi/cef_devtools_message_observer_capi.h (cef_dev_tools_message_observer_t))

Published property OnFrameCreated : TOnFrameCreated read FOnFrameCreated write FOnFrameCreated;

Called when a new frame is created. This will be the first notification that references |frame|. Any commands that require transport to the associated renderer process (LoadRequest, SendProcessMessage, GetSource, etc.) will be queued. The queued commands will be sent before OnFrameAttached or discarded before OnFrameDestroyed if the frame never attaches.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_frame_handler_capi.h">CEF source file: /include/capi/cef_frame_handler_capi.h (cef_frame_handler_t))

Published property OnFrameDestroyed : TOnFrameDestroyed read FOnFrameDestroyed write FOnFrameDestroyed;

Called when an existing frame is destroyed. This will be the last notification that references |frame| and ICefFrame.IsValid will return false (0) for |frame|. If called during browser destruction and after TChromiumCore.OnBeforeClose then ICefBrowser.IsValid will return false (0) for |browser|. Any queued commands that have not been sent will be discarded before this callback.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_frame_handler_capi.h">CEF source file: /include/capi/cef_frame_handler_capi.h (cef_frame_handler_t))

Published property OnFrameAttached : TOnFrameAttached read FOnFrameAttached write FOnFrameAttached;

Called when a frame can begin routing commands to/from the associated renderer process. |reattached| will be true (1) if the frame was re- attached after exiting the BackForwardCache or after encountering a recoverable connection error. Any queued commands will now have been dispatched. This function will not be called for temporary frames created during cross-origin navigation.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_frame_handler_capi.h">CEF source file: /include/capi/cef_frame_handler_capi.h (cef_frame_handler_t))

Published property OnFrameDetached : TOnFrameDetached read FOnFrameDetached write FOnFrameDetached;

Called when a frame loses its connection to the renderer process. This may occur when a frame is destroyed, enters the BackForwardCache, or encounters a rare connection error. In the case of frame destruction this call will be followed by a (potentially async) call to OnFrameDestroyed. If frame destruction is occuring synchronously then ICefFrame.IsValid will return false (0) for |frame|. If called during browser destruction and after TChromiumCore.OnBeforeClose then ICefBrowser.IsValid will return false (0) for |browser|. If, in the non-destruction case, the same frame later exits the BackForwardCache or recovers from a connection error then there will be a follow-up call to OnFrameAttached. This function will not be called for temporary frames created during cross- origin navigation.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_frame_handler_capi.h">CEF source file: /include/capi/cef_frame_handler_capi.h (cef_frame_handler_t))

Published property OnMainFrameChanged : TOnMainFrameChanged read FOnMainFrameChanged write FOnMainFrameChanged;

Called when the main frame changes due to (a) initial browser creation, (b) final browser destruction, (c) cross-origin navigation or (d) re- navigation after renderer process termination (due to crashes, etc). |old_frame| will be NULL and |new_frame| will be non-NULL when a main frame is assigned to |browser| for the first time. |old_frame| will be non-NULL and |new_frame| will be NULL when a main frame is removed from |browser| for the last time. Both |old_frame| and |new_frame| will be non- NULL for cross-origin navigations or re-navigation after renderer process termination. This function will be called after OnFrameCreated for |new_frame| and/or after OnFrameDestroyed for |old_frame|. If called during browser destruction and after TChromiumCore.OnBeforeClose then ICefBrowser.IsValid will return false (0) for |browser|.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_frame_handler_capi.h">CEF source file: /include/capi/cef_frame_handler_capi.h (cef_frame_handler_t))

Published property OnChromeCommand : TOnChromeCommandEvent read FOnChromeCommand write FOnChromeCommand;

Called to execute a Chrome command triggered via menu selection or keyboard shortcut. Use the cef_id_for_command_id_name() function for version-safe mapping of command IDC names from cef_command_ids.h to version-specific numerical |command_id| values. |disposition| provides information about the intended command target. Return true (1) if the command was handled or false (0) for the default implementation. For context menu commands this will be called after ICefContextMenuHandler.OnContextMenuCommand.

Only used with Chrome style.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_command_handler_capi.h">CEF source file: /include/capi/cef_command_handler_capi.h (cef_command_handler_t))

Published property OnIsChromeAppMenuItemVisible : TOnIsChromeAppMenuItemVisibleEvent read FOnIsChromeAppMenuItemVisible write FOnIsChromeAppMenuItemVisible;

Called to check if a Chrome app menu item should be visible. Use the cef_id_for_command_id_name() function for version-safe mapping of command IDC names from cef_command_ids.h to version-specific numerical |command_id| values. Only called for menu items that would be visible by default.

Only used with Chrome style.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_command_handler_capi.h">CEF source file: /include/capi/cef_command_handler_capi.h (cef_command_handler_t))

Published property OnIsChromeAppMenuItemEnabled : TOnIsChromeAppMenuItemEnabledEvent read FOnIsChromeAppMenuItemEnabled write FOnIsChromeAppMenuItemEnabled;

Called to check if a Chrome app menu item should be enabled. Use the cef_id_for_command_id_name() function for version-safe mapping of command IDC names from cef_command_ids.h to version-specific numerical |command_id| values. Only called for menu items that would be enabled by default.

Only used with Chrome style.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_command_handler_capi.h">CEF source file: /include/capi/cef_command_handler_capi.h (cef_command_handler_t))

Published property OnIsChromePageActionIconVisible : TOnIsChromePageActionIconVisibleEvent read FOnIsChromePageActionIconVisible write FOnIsChromePageActionIconVisible;

Called during browser creation to check if a Chrome page action icon should be visible. Only called for icons that would be visible by default.

Only used with Chrome style.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_command_handler_capi.h">CEF source file: /include/capi/cef_command_handler_capi.h (cef_command_handler_t))

Published property OnIsChromeToolbarButtonVisible : TOnIsChromeToolbarButtonVisibleEvent read FOnIsChromeToolbarButtonVisible write FOnIsChromeToolbarButtonVisible;

Called during browser creation to check if a Chrome toolbar button should be visible. Only called for buttons that would be visible by default.

Only used with Chrome style.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_command_handler_capi.h">CEF source file: /include/capi/cef_command_handler_capi.h (cef_command_handler_t))

Published property OnRequestMediaAccessPermission : TOnRequestMediaAccessPermissionEvent read FOnRequestMediaAccessPermission write FOnRequestMediaAccessPermission;

Called when a page requests permission to access media.

|requesting_origin| is the URL origin requesting permission.

|requested_permissions| is a combination of values from TCefMediaAccessPermissionTypes that represent the requested permissions.

Return true (1) and call ICefMediaAccessCallback functions either in this function or at a later time to continue or cancel the request.

Return false (0) to proceed with default handling. With Chrome style, default handling will display the permission request UI.

With Alloy style, default handling will deny the request. This function will not be called if the "–enable-media-stream" command-line switch is used to grant all permissions.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_permission_handler_capi.h">CEF source file: /include/capi/cef_permission_handler_capi.h (cef_permission_handler_t))

Published property OnShowPermissionPrompt : TOnShowPermissionPromptEvent read FOnShowPermissionPrompt write FOnShowPermissionPrompt;

Called when a page should show a permission prompt. |prompt_id| uniquely identifies the prompt. |requesting_origin| is the URL origin requesting permission. |requested_permissions| is a combination of values from TCefPermissionRequestTypes that represent the requested permissions.

Return true (1) and call ICefPermissionPromptCallback.Continue either in this function or at a later time to continue or cancel the request.

Return false (0) to proceed with default handling. With Chrome style, default handling will display the permission prompt UI. With Alloy style, default handling is CEF_PERMISSION_RESULT_IGNORE.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_permission_handler_capi.h">CEF source file: /include/capi/cef_permission_handler_capi.h (cef_permission_handler_t))

Published property OnDismissPermissionPrompt : TOnDismissPermissionPromptEvent read FOnDismissPermissionPrompt write FOnDismissPermissionPrompt;

Called when a permission prompt handled via OnShowPermissionPrompt is dismissed. |prompt_id| will match the value that was passed to OnShowPermissionPrompt. |result| will be the value passed to ICefPermissionPromptCallback.Continue or CEF_PERMISSION_RESULT_IGNORE if the dialog was dismissed for other reasons such as navigation, browser closure, etc. This function will not be called if OnShowPermissionPrompt returned false (0) for |prompt_id|.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_permission_handler_capi.h">CEF source file: /include/capi/cef_permission_handler_capi.h (cef_permission_handler_t))

Published property OnPreferenceChanged : TOnPreferenceChangedEvent read FOnPreferenceChanged write FOnPreferenceChanged;

Called when a preference has changed. The new value can be retrieved using ICefRequestContext.GetPreference.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_preference_capi.h">CEF source file: /include/capi/cef_preference_capi.h (cef_preference_observer_t))

Published property OnSettingChanged : TOnSettingChangedEvent read FOnSettingChanged write FOnSettingChanged;

Called when a content or website setting has changed. The new value can be retrieved using ICefRequestContext.GetContentSetting or ICefRequestContext.GetWebsiteSetting.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_preference_capi.h">CEF source file: /include/capi/cef_preference_capi.h (cef_setting_observer_t))


cef4delphi: uCEFChromiumCore: Class TBrowserInfo

Class TBrowserInfo

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFChromiumCore

Declaration

type TBrowserInfo = class(TObject)

Description

This item has no description.

Hierarchy

  • TObject
  • TBrowserInfo

Overview

Fields

Protected | FBrowser: ICefBrowser;
Protected | FIsClosing: boolean;
Protected | FID: integer;

Methods

Protected | function GetIsValid: boolean;
Public | constructor Create(const aBrowser : ICefBrowser); reintroduce;
Public | destructor Destroy; override;

Properties

Public | property Browser : ICefBrowser read FBrowser;
Public | property ID : integer read FID;
Public | property IsClosing : boolean read FIsClosing write FIsClosing;
Public | property IsValid : boolean read GetIsValid;

Description

Fields

Protected FBrowser: ICefBrowser;

This item has no description.

Protected FIsClosing: boolean;

This item has no description.

Protected FID: integer;

This item has no description.

Methods

Protected function GetIsValid: boolean;

This item has no description.

Public constructor Create(const aBrowser : ICefBrowser); reintroduce;

This item has no description.

Public destructor Destroy; override;

This item has no description.

Properties

Public property Browser : ICefBrowser read FBrowser;

This item has no description.

Public property ID : integer read FID;

This item has no description.

Public property IsClosing : boolean read FIsClosing write FIsClosing;

This item has no description.

Public property IsValid : boolean read GetIsValid;

This item has no description.


cef4delphi: uCEFChromiumCore: Class TBrowserInfoList

Class TBrowserInfoList

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFChromiumCore

Declaration

type TBrowserInfoList = class(TList)

Description

This item has no description.

Hierarchy

  • TObject
  • TList
  • TBrowserInfoList

Overview

Methods

Protected | procedure SetBrowserIsClosing(aID : integer; aValue : boolean);
Protected | function GetBrowserIsClosing(aID : integer) : boolean;
Protected | function GetBrowserIsValid(aID : integer) : boolean;
Protected | function GetBrowser(aID : integer) : ICefBrowser;
Protected | function GetFirstBrowser: ICefBrowser;
Protected | function GetFirstID: integer;
Public | destructor Destroy; override;
Public | function AddBrowser(const aBrowser : ICefBrowser) : boolean;
Public | function RemoveBrowser(const aBrowser : ICefBrowser) : boolean;
Public | function SearchBrowser(aID : integer) : integer;
Public | procedure FreeAndClearAllItems;
Public | procedure CloseAllBrowsers;

Properties

Public | property BrowserIsClosing[aID: integer]: boolean read GetBrowserIsClosing write SetBrowserIsClosing;
Public | property BrowserIsValid[aID: integer]: boolean read GetBrowserIsValid;
Public | property Browser[aID: integer]: ICefBrowser read GetBrowser;
Public | property FirstBrowser : ICefBrowser read GetFirstBrowser;
Public | property FirstID : integer read GetFirstID;

Description

Methods

Protected procedure SetBrowserIsClosing(aID : integer; aValue : boolean);

This item has no description.

Protected function GetBrowserIsClosing(aID : integer) : boolean;

This item has no description.

Protected function GetBrowserIsValid(aID : integer) : boolean;

This item has no description.

Protected function GetBrowser(aID : integer) : ICefBrowser;

This item has no description.

Protected function GetFirstBrowser: ICefBrowser;

This item has no description.

Protected function GetFirstID: integer;

This item has no description.

Public destructor Destroy; override;

This item has no description.

Public function AddBrowser(const aBrowser : ICefBrowser) : boolean;

This item has no description.

Public function RemoveBrowser(const aBrowser : ICefBrowser) : boolean;

This item has no description.

Public function SearchBrowser(aID : integer) : integer;

This item has no description.

Public procedure FreeAndClearAllItems;

This item has no description.

Public procedure CloseAllBrowsers;

This item has no description.

Properties

Public property BrowserIsClosing[aID: integer]: boolean read GetBrowserIsClosing write SetBrowserIsClosing;

This item has no description.

Public property BrowserIsValid[aID: integer]: boolean read GetBrowserIsValid;

This item has no description.

Public property Browser[aID: integer]: ICefBrowser read GetBrowser;

This item has no description.

Public property FirstBrowser : ICefBrowser read GetFirstBrowser;

This item has no description.

Public property FirstID : integer read GetFirstID;

This item has no description.


cef4delphi: uCEFChromiumEvents

Unit uCEFChromiumEvents

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Types

TOnProcessMessageReceived = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; sourceProcess: TCefProcessId; const message: ICefProcessMessage; out Result: Boolean) of object;
TOnLoadStart = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; transitionType: TCefTransitionType) of object;
TOnLoadEnd = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; httpStatusCode: Integer) of object;
TOnLoadError = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; errorCode: TCefErrorCode; const errorText, failedUrl: ustring) of object;
TOnLoadingStateChange = procedure(Sender: TObject; const browser: ICefBrowser; isLoading, canGoBack, canGoForward: Boolean) of object;
TOnTakeFocus = procedure(Sender: TObject; const browser: ICefBrowser; next_: Boolean) of object;
TOnSetFocus = procedure(Sender: TObject; const browser: ICefBrowser; source: TCefFocusSource; out Result: Boolean) of object;
TOnGotFocus = procedure(Sender: TObject; const browser: ICefBrowser) of object;
TOnBeforeContextMenu = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; const params: ICefContextMenuParams; const model: ICefMenuModel) of object;
TOnRunContextMenu = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; const params: ICefContextMenuParams; const model: ICefMenuModel; const callback: ICefRunContextMenuCallback; var aResult : Boolean) of object;
TOnContextMenuCommand = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; const params: ICefContextMenuParams; commandId: Integer; eventFlags: TCefEventFlags; out Result: Boolean) of object;
TOnContextMenuDismissed = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame) of object;
TOnRunQuickMenuEvent = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; location: TCefPoint; size: TCefSize; edit_state_flags: TCefQuickMenuEditStateFlags; const callback: ICefRunQuickMenuCallback; var aResult : Boolean) of object;
TOnQuickMenuCommandEvent = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; command_id: integer; event_flags: TCefEventFlags; var aResult: Boolean) of object;
TOnQuickMenuDismissedEvent = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame) of object;
TOnPreKeyEvent = procedure(Sender: TObject; const browser: ICefBrowser; const event: PCefKeyEvent; osEvent: TCefEventHandle; out isKeyboardShortcut: Boolean; out Result: Boolean) of object;
TOnKeyEvent = procedure(Sender: TObject; const browser: ICefBrowser; const event: PCefKeyEvent; osEvent: TCefEventHandle; out Result: Boolean) of object;
TOnAddressChange = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; const url: ustring) of object;
TOnTitleChange = procedure(Sender: TObject; const browser: ICefBrowser; const title: ustring) of object;
TOnFavIconUrlChange = procedure(Sender: TObject; const browser: ICefBrowser; const iconUrls: TStrings) of object;
TOnFullScreenModeChange = procedure(Sender: TObject; const browser: ICefBrowser; fullscreen: Boolean) of object;
TOnTooltip = procedure(Sender: TObject; const browser: ICefBrowser; var text: ustring; out Result: Boolean) of object;
TOnStatusMessage = procedure(Sender: TObject; const browser: ICefBrowser; const value: ustring) of object;
TOnConsoleMessage = procedure(Sender: TObject; const browser: ICefBrowser; level: TCefLogSeverity; const message, source: ustring; line: Integer; out Result: Boolean) of object;
TOnAutoResize = procedure(Sender: TObject; const browser: ICefBrowser; const new_size: PCefSize; out Result: Boolean) of object;
TOnLoadingProgressChange = procedure(Sender: TObject; const browser: ICefBrowser; const progress: double) of object;
TOnCursorChange = procedure(Sender: TObject; const browser: ICefBrowser; cursor_: TCefCursorHandle; cursorType: TCefCursorType; const customCursorInfo: PCefCursorInfo; var aResult : boolean) of Object;
TOnMediaAccessChange = procedure(Sender: TObject; const browser: ICefBrowser; has_video_access, has_audio_access: boolean) of Object;
TOnContentsBoundsChange = procedure(Sender: TObject; const browser: ICefBrowser; const new_bounds: PCefRect; var aResult : boolean) of Object;
TOnGetRootWindowScreenRect = procedure(Sender: TObject; const browser: ICefBrowser; rect_: PCefRect; var aResult : boolean) of Object;
TOnCanDownloadEvent = procedure(Sender: TObject; const browser: ICefBrowser; const url, request_method: ustring; var aResult: boolean) of object;
TOnBeforeDownload = procedure(Sender: TObject; const browser: ICefBrowser; const downloadItem: ICefDownloadItem; const suggestedName: ustring; const callback: ICefBeforeDownloadCallback; var aResult : boolean) of object;
TOnDownloadUpdated = procedure(Sender: TObject; const browser: ICefBrowser; const downloadItem: ICefDownloadItem; const callback: ICefDownloadItemCallback) of object;
TOnJsdialog = procedure(Sender: TObject; const browser: ICefBrowser; const originUrl: ustring; dialogType: TCefJsDialogType; const messageText, defaultPromptText: ustring; const callback: ICefJsDialogCallback; out suppressMessage: Boolean; out Result: Boolean) of object;
TOnBeforeUnloadDialog = procedure(Sender: TObject; const browser: ICefBrowser; const messageText: ustring; isReload: Boolean; const callback: ICefJsDialogCallback; out Result: Boolean) of object;
TOnResetDialogState = procedure(Sender: TObject; const browser: ICefBrowser) of object;
TOnDialogClosed = procedure(Sender: TObject; const browser: ICefBrowser) of object;
TOnBeforePopup = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; popup_id: Integer; const targetUrl, targetFrameName: ustring; targetDisposition: TCefWindowOpenDisposition; userGesture: Boolean; const popupFeatures: TCefPopupFeatures; var windowInfo: TCefWindowInfo; var client: ICefClient; var settings: TCefBrowserSettings; var extra_info: ICefDictionaryValue; var noJavascriptAccess: Boolean; var Result: Boolean) of object;
TOnBeforePopupAborted = procedure(Sender: TObject; const browser: ICefBrowser; popup_id: Integer) of object;
TOnBeforeDevToolsPopup = procedure(Sender: TObject; const browser: ICefBrowser; var windowInfo: TCefWindowInfo; var client: ICefClient; var settings: TCefBrowserSettings; var extra_info: ICefDictionaryValue; var use_default_window: boolean) of object;
TOnAfterCreated = procedure(Sender: TObject; const browser: ICefBrowser) of object;
TOnBeforeClose = procedure(Sender: TObject; const browser: ICefBrowser) of object;
TOnClose = procedure(Sender: TObject; const browser: ICefBrowser; var aAction : TCefCloseBrowserAction) of object;
TOnBeforeBrowse = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; user_gesture, isRedirect: Boolean; out Result: Boolean) of object;
TOnOpenUrlFromTab = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; const targetUrl: ustring; targetDisposition: TCefWindowOpenDisposition; userGesture: Boolean; out Result: Boolean) of object;
TOnGetAuthCredentials = procedure(Sender: TObject; const browser: ICefBrowser; const originUrl: ustring; isProxy: Boolean; const host: ustring; port: Integer; const realm, scheme: ustring; const callback: ICefAuthCallback; out Result: Boolean) of object;
TOnCertificateError = procedure(Sender: TObject; const browser: ICefBrowser; certError: TCefErrorcode; const requestUrl: ustring; const sslInfo: ICefSslInfo; const callback: ICefCallback; out Result: Boolean) of object;
TOnSelectClientCertificate = procedure(Sender: TObject; const browser: ICefBrowser; isProxy: boolean; const host: ustring; port: integer; certificatesCount: NativeUInt; const certificates: TCefX509CertificateArray; const callback: ICefSelectClientCertificateCallback; var aResult : boolean) of object;
TOnRenderViewReady = procedure(Sender: Tobject; const browser: ICefBrowser) of object;
TOnRenderProcessUnresponsive = procedure(Sender: Tobject; const browser: ICefBrowser; const callback: ICefUnresponsiveProcessCallback; var aResult: boolean) of object;
TOnRenderProcessResponsive = procedure(Sender: Tobject; const browser: ICefBrowser) of object;
TOnRenderProcessTerminated = procedure(Sender: TObject; const browser: ICefBrowser; status: TCefTerminationStatus; error_code: integer; const error_string: ustring) of object;
TOnGetResourceRequestHandler = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; is_navigation, is_download: boolean; const request_initiator: ustring; var disable_default_handling: boolean; var aExternalResourceRequestHandler : ICefResourceRequestHandler) of object;
TOnDocumentAvailableInMainFrame = procedure(Sender: Tobject; const browser: ICefBrowser) of object;
TOnBeforeResourceLoad = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const callback: ICefCallback; out Result: TCefReturnValue) of object;
TOnGetResourceHandler = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; var aResourceHandler : ICefResourceHandler) of object;
TOnResourceRedirect = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; var newUrl: ustring) of object;
TOnResourceResponse = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; out Result: Boolean) of Object;
TOnGetResourceResponseFilter = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; out Result: ICefResponseFilter) of object;
TOnResourceLoadComplete = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; status: TCefUrlRequestStatus; receivedContentLength: Int64) of object;
TOnProtocolExecution = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; var allowOsExecution: Boolean) of object;
TOnCanSendCookie = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const cookie: PCefCookie; var aResult: boolean) of object;
TOnCanSaveCookie = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; const cookie: PCefCookie; var aResult : boolean) of object;
TOnFileDialog = procedure(Sender: TObject; const browser: ICefBrowser; mode: TCefFileDialogMode; const title, defaultFilePath: ustring; const acceptFilters, accept_extensions, accept_descriptions: TStrings; const callback: ICefFileDialogCallback; var Result: Boolean) of Object;
TOnGetAccessibilityHandler = procedure(Sender: TObject; var aAccessibilityHandler : ICefAccessibilityHandler) of Object;
TOnGetRootScreenRect = procedure(Sender: TObject; const browser: ICefBrowser; var rect: TCefRect; out Result: Boolean) of Object;
TOnGetViewRect = procedure(Sender: TObject; const browser: ICefBrowser; var rect: TCefRect) of Object;
TOnGetScreenPoint = procedure(Sender: TObject; const browser: ICefBrowser; viewX, viewY: Integer; var screenX, screenY: Integer; out Result: Boolean) of Object;
TOnGetScreenInfo = procedure(Sender: TObject; const browser: ICefBrowser; var screenInfo: TCefScreenInfo; out Result: Boolean) of Object;
TOnPopupShow = procedure(Sender: TObject; const browser: ICefBrowser; show: Boolean) of Object;
TOnPopupSize = procedure(Sender: TObject; const browser: ICefBrowser; const rect: PCefRect) of Object;
TOnPaint = procedure(Sender: TObject; const browser: ICefBrowser; type_: TCefPaintElementType; dirtyRectsCount: NativeUInt; const dirtyRects: PCefRectArray; const buffer: Pointer; width, height: Integer) of Object;
TOnAcceleratedPaint = procedure(Sender: TObject; const browser: ICefBrowser; type_: TCefPaintElementType; dirtyRectsCount: NativeUInt; const dirtyRects: PCefRectArray; const info: PCefAcceleratedPaintInfo) of Object;
TOnGetTouchHandleSize = procedure(Sender: TObject; const browser: ICefBrowser; orientation: TCefHorizontalAlignment; var size: TCefSize) of Object;
TOnTouchHandleStateChanged = procedure(Sender: TObject; const browser: ICefBrowser; const state: TCefTouchHandleState) of Object;
TOnStartDragging = procedure(Sender: TObject; const browser: ICefBrowser; const dragData: ICefDragData; allowedOps: TCefDragOperations; x, y: Integer; out Result: Boolean) of Object;
TOnUpdateDragCursor = procedure(Sender: TObject; const browser: ICefBrowser; operation: TCefDragOperation) of Object;
TOnScrollOffsetChanged = procedure(Sender: TObject; const browser: ICefBrowser; x, y: Double) of Object;
TOnIMECompositionRangeChanged = procedure(Sender: TObject; const browser: ICefBrowser; const selected_range: PCefRange; character_boundsCount: NativeUInt; const character_bounds: PCefRect) of Object;
TOnTextSelectionChanged = procedure(Sender: TObject; const browser: ICefBrowser; const selected_text: ustring; const selected_range: PCefRange) of Object;
TOnVirtualKeyboardRequested = procedure(Sender: TObject; const browser: ICefBrowser; input_mode: TCefTextInpuMode) of Object;
TOnDragEnter = procedure(Sender: TObject; const browser: ICefBrowser; const dragData: ICefDragData; mask: TCefDragOperations; out Result: Boolean) of Object;
TOnDraggableRegionsChanged = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; regionsCount: NativeUInt; const regions: PCefDraggableRegionArray) of Object;
TOnFindResult = procedure(Sender: TObject; const browser: ICefBrowser; identifier, count: Integer; const selectionRect: PCefRect; activeMatchOrdinal: Integer; finalUpdate: Boolean) of Object;
TOnRequestContextInitialized = procedure(Sender: TObject; const request_context: ICefRequestContext) of Object;
TOnSinksEvent = procedure(Sender: TObject; const sinks: TCefMediaSinkArray) of object;
TOnRoutesEvent = procedure(Sender: TObject; const routes: TCefMediaRouteArray) of object;
TOnRouteStateChangedEvent = procedure(Sender: TObject; const route: ICefMediaRoute; state: TCefMediaRouteConnectionState) of object;
TOnRouteMessageReceivedEvent = procedure(Sender: TObject; const route: ICefMediaRoute; const message_: ustring) of object;
TOnGetAudioParametersEvent = procedure(Sender: TObject; const browser: ICefBrowser; var params: TCefAudioParameters; var aResult: boolean) of object;
TOnAudioStreamStartedEvent = procedure(Sender: TObject; const browser: ICefBrowser; const params: TCefAudioParameters; channels: integer) of object;
TOnAudioStreamPacketEvent = procedure(Sender: TObject; const browser: ICefBrowser; const data : PPSingle; frames: integer; pts: int64) of object;
TOnAudioStreamStoppedEvent = procedure(Sender: TObject; const browser: ICefBrowser) of object;
TOnAudioStreamErrorEvent = procedure(Sender: TObject; const browser: ICefBrowser; const message_: ustring) of object;
TOnDevToolsMessageEvent = procedure(Sender: TObject; const browser: ICefBrowser; const message_: ICefValue; var aHandled: boolean) of object;
TOnDevToolsRawMessageEvent = procedure(Sender: TObject; const browser: ICefBrowser; const message_: Pointer; message_size: NativeUInt; var aHandled: boolean) of object;
TOnDevToolsMethodResultEvent = procedure(Sender: TObject; const browser: ICefBrowser; message_id: integer; success: boolean; const result: ICefValue) of object;
TOnDevToolsMethodRawResultEvent = procedure(Sender: TObject; const browser: ICefBrowser; message_id: integer; success: boolean; const result: Pointer; result_size: NativeUInt) of object;
TOnDevToolsEventEvent = procedure(Sender: TObject; const browser: ICefBrowser; const method: ustring; const params: ICefValue) of object;
TOnDevToolsEventRawEvent = procedure(Sender: TObject; const browser: ICefBrowser; const method: ustring; const params: Pointer; params_size: NativeUInt) of object;
TOnDevToolsAgentAttachedEvent = procedure(Sender: TObject; const browser: ICefBrowser) of object;
TOnDevToolsAgentDetachedEvent = procedure(Sender: TObject; const browser: ICefBrowser) of object;
TOnPrintStartEvent = procedure(Sender: TObject; const browser: ICefBrowser) of object;
TOnPrintSettingsEvent = procedure(Sender: TObject; const browser: ICefBrowser; const settings: ICefPrintSettings; getDefaults: boolean) of object;
TOnPrintDialogEvent = procedure(Sender: TObject; const browser: ICefBrowser; hasSelection: boolean; const callback: ICefPrintDialogCallback; var aResult : boolean) of object;
TOnPrintJobEvent = procedure(Sender: TObject; const browser: ICefBrowser; const documentName, PDFFilePath: ustring; const callback: ICefPrintJobCallback; var aResult : boolean) of object;
TOnPrintResetEvent = procedure(Sender: TObject; const browser: ICefBrowser) of object;
TOnGetPDFPaperSizeEvent = procedure(Sender: TObject; const browser: ICefBrowser; deviceUnitsPerInch: Integer; var aResult : TCefSize) of object;
TOnFrameCreated = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame) of object;
TOnFrameDestroyed = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame) of object;
TOnFrameAttached = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; reattached: boolean) of object;
TOnFrameDetached = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame) of object;
TOnMainFrameChanged = procedure(Sender: TObject; const browser: ICefBrowser; const old_frame, new_frame: ICefFrame) of object;
TOnChromeCommandEvent = procedure(Sender: TObject; const browser: ICefBrowser; command_id: integer; disposition: TCefWindowOpenDisposition; var aResult: boolean) of object;
TOnIsChromeAppMenuItemVisibleEvent = procedure(Sender: TObject; const browser: ICefBrowser; command_id: integer; var aResult: boolean) of object;
TOnIsChromeAppMenuItemEnabledEvent = procedure(Sender: TObject; const browser: ICefBrowser; command_id: integer; var aResult: boolean) of object;
TOnIsChromePageActionIconVisibleEvent = procedure(Sender: TObject; icon_type: TCefChromePageActionIconType; var aResult: boolean) of object;
TOnIsChromeToolbarButtonVisibleEvent = procedure(Sender: TObject; button_type: TCefChromeToolbarButtonType; var aResult: boolean) of object;
TOnRequestMediaAccessPermissionEvent = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; const requesting_origin: ustring; requested_permissions: cardinal; const callback: ICefMediaAccessCallback; var aResult: boolean) of object;
TOnShowPermissionPromptEvent = procedure(Sender: TObject; const browser: ICefBrowser; prompt_id: uint64; const requesting_origin: ustring; requested_permissions: cardinal; const callback: ICefPermissionPromptCallback; var aResult: boolean) of object;
TOnDismissPermissionPromptEvent = procedure(Sender: TObject; const browser: ICefBrowser; prompt_id: uint64; result: TCefPermissionRequestResult) of object;
TOnPreferenceChangedEvent = procedure(Sender: TObject; const name_: ustring) of object;
TOnSettingChangedEvent = procedure(Sender: TObject; const requesting_url, top_level_url : ustring; content_type: TCefContentSettingTypes) of object;
TOnTextResultAvailableEvent = procedure(Sender: TObject; const aText : ustring) of object;
TOnPdfPrintFinishedEvent = procedure(Sender: TObject; aResultOK : boolean) of object;
TOnPrefsAvailableEvent = procedure(Sender: TObject; aResultOK : boolean) of object;
TOnCookiesDeletedEvent = procedure(Sender: TObject; numDeleted : integer) of object;
TOnResolvedIPsAvailableEvent = procedure(Sender: TObject; result: TCefErrorCode; const resolvedIps: TStrings) of object;
TOnNavigationVisitorResultAvailableEvent = procedure(Sender: TObject; const entry: ICefNavigationEntry; current: Boolean; index, total: Integer; var aResult : boolean) of object;
TOnDownloadImageFinishedEvent = procedure(Sender: TObject; const imageUrl: ustring; httpStatusCode: Integer; const image: ICefImage) of object;
TOnExecuteTaskOnCefThread = procedure(Sender: TObject; aTaskID : cardinal) of object;
TOnCookiesVisited = procedure(Sender: TObject; const name_, value, domain, path: ustring; secure, httponly, hasExpires: Boolean; const creation, lastAccess, expires: TDateTime; count, total, aID : Integer; same_site : TCefCookieSameSite; priority : TCefCookiePriority; var aDeleteCookie, aResult : Boolean) of object;
TOnCookieVisitorDestroyed = procedure(Sender: TObject; aID : integer) of object;
TOnCookieSet = procedure(Sender: TObject; aSuccess : boolean; aID : integer) of object;
TOnZoomPctAvailable = procedure(Sender: TObject; const aZoomPct : double) of object;
TOnMediaRouteCreateFinishedEvent = procedure(Sender: TObject; result: TCefMediaRouterCreateResult; const error: ustring; const route: ICefMediaRoute) of object;
TOnMediaSinkDeviceInfoEvent = procedure(Sender: TObject; const ip_address: ustring; port: integer; const model_name: ustring) of object;
TOnCompMsgEvent = procedure(Sender: TObject; var aMessage: TMessage; var aHandled: Boolean) of object;

Description

Types

TOnProcessMessageReceived = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; sourceProcess: TCefProcessId; const message: ICefProcessMessage; out Result: Boolean) of object;

ICefClient

TOnLoadStart = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; transitionType: TCefTransitionType) of object;

ICefLoadHandler

TOnLoadEnd = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; httpStatusCode: Integer) of object;

This item has no description.

TOnLoadError = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; errorCode: TCefErrorCode; const errorText, failedUrl: ustring) of object;

This item has no description.

TOnLoadingStateChange = procedure(Sender: TObject; const browser: ICefBrowser; isLoading, canGoBack, canGoForward: Boolean) of object;

This item has no description.

TOnTakeFocus = procedure(Sender: TObject; const browser: ICefBrowser; next_: Boolean) of object;

ICefFocusHandler

TOnSetFocus = procedure(Sender: TObject; const browser: ICefBrowser; source: TCefFocusSource; out Result: Boolean) of object;

This item has no description.

TOnGotFocus = procedure(Sender: TObject; const browser: ICefBrowser) of object;

This item has no description.

TOnBeforeContextMenu = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; const params: ICefContextMenuParams; const model: ICefMenuModel) of object;

ICefContextMenuHandler

TOnRunContextMenu = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; const params: ICefContextMenuParams; const model: ICefMenuModel; const callback: ICefRunContextMenuCallback; var aResult : Boolean) of object;

This item has no description.

TOnContextMenuCommand = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; const params: ICefContextMenuParams; commandId: Integer; eventFlags: TCefEventFlags; out Result: Boolean) of object;

This item has no description.

TOnContextMenuDismissed = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame) of object;

This item has no description.

TOnRunQuickMenuEvent = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; location: TCefPoint; size: TCefSize; edit_state_flags: TCefQuickMenuEditStateFlags; const callback: ICefRunQuickMenuCallback; var aResult : Boolean) of object;

This item has no description.

TOnQuickMenuCommandEvent = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; command_id: integer; event_flags: TCefEventFlags; var aResult: Boolean) of object;

This item has no description.

TOnQuickMenuDismissedEvent = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame) of object;

This item has no description.

TOnPreKeyEvent = procedure(Sender: TObject; const browser: ICefBrowser; const event: PCefKeyEvent; osEvent: TCefEventHandle; out isKeyboardShortcut: Boolean; out Result: Boolean) of object;

ICefKeyboardHandler

TOnKeyEvent = procedure(Sender: TObject; const browser: ICefBrowser; const event: PCefKeyEvent; osEvent: TCefEventHandle; out Result: Boolean) of object;

This item has no description.

TOnAddressChange = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; const url: ustring) of object;

ICefDisplayHandler

TOnTitleChange = procedure(Sender: TObject; const browser: ICefBrowser; const title: ustring) of object;

This item has no description.

TOnFavIconUrlChange = procedure(Sender: TObject; const browser: ICefBrowser; const iconUrls: TStrings) of object;

This item has no description.

TOnFullScreenModeChange = procedure(Sender: TObject; const browser: ICefBrowser; fullscreen: Boolean) of object;

This item has no description.

TOnTooltip = procedure(Sender: TObject; const browser: ICefBrowser; var text: ustring; out Result: Boolean) of object;

This item has no description.

TOnStatusMessage = procedure(Sender: TObject; const browser: ICefBrowser; const value: ustring) of object;

This item has no description.

TOnConsoleMessage = procedure(Sender: TObject; const browser: ICefBrowser; level: TCefLogSeverity; const message, source: ustring; line: Integer; out Result: Boolean) of object;

This item has no description.

TOnAutoResize = procedure(Sender: TObject; const browser: ICefBrowser; const new_size: PCefSize; out Result: Boolean) of object;

This item has no description.

TOnLoadingProgressChange = procedure(Sender: TObject; const browser: ICefBrowser; const progress: double) of object;

This item has no description.

TOnCursorChange = procedure(Sender: TObject; const browser: ICefBrowser; cursor_: TCefCursorHandle; cursorType: TCefCursorType; const customCursorInfo: PCefCursorInfo; var aResult : boolean) of Object;

This item has no description.

TOnMediaAccessChange = procedure(Sender: TObject; const browser: ICefBrowser; has_video_access, has_audio_access: boolean) of Object;

This item has no description.

TOnContentsBoundsChange = procedure(Sender: TObject; const browser: ICefBrowser; const new_bounds: PCefRect; var aResult : boolean) of Object;

This item has no description.

TOnGetRootWindowScreenRect = procedure(Sender: TObject; const browser: ICefBrowser; rect_: PCefRect; var aResult : boolean) of Object;

This item has no description.

TOnCanDownloadEvent = procedure(Sender: TObject; const browser: ICefBrowser; const url, request_method: ustring; var aResult: boolean) of object;

ICefDownloadHandler

TOnBeforeDownload = procedure(Sender: TObject; const browser: ICefBrowser; const downloadItem: ICefDownloadItem; const suggestedName: ustring; const callback: ICefBeforeDownloadCallback; var aResult : boolean) of object;

This item has no description.

TOnDownloadUpdated = procedure(Sender: TObject; const browser: ICefBrowser; const downloadItem: ICefDownloadItem; const callback: ICefDownloadItemCallback) of object;

This item has no description.

TOnJsdialog = procedure(Sender: TObject; const browser: ICefBrowser; const originUrl: ustring; dialogType: TCefJsDialogType; const messageText, defaultPromptText: ustring; const callback: ICefJsDialogCallback; out suppressMessage: Boolean; out Result: Boolean) of object;

ICefJsDialogHandler

TOnBeforeUnloadDialog = procedure(Sender: TObject; const browser: ICefBrowser; const messageText: ustring; isReload: Boolean; const callback: ICefJsDialogCallback; out Result: Boolean) of object;

This item has no description.

TOnResetDialogState = procedure(Sender: TObject; const browser: ICefBrowser) of object;

This item has no description.

TOnDialogClosed = procedure(Sender: TObject; const browser: ICefBrowser) of object;

This item has no description.

TOnBeforePopup = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; popup_id: Integer; const targetUrl, targetFrameName: ustring; targetDisposition: TCefWindowOpenDisposition; userGesture: Boolean; const popupFeatures: TCefPopupFeatures; var windowInfo: TCefWindowInfo; var client: ICefClient; var settings: TCefBrowserSettings; var extra_info: ICefDictionaryValue; var noJavascriptAccess: Boolean; var Result: Boolean) of object;

ICefLifeSpanHandler

TOnBeforePopupAborted = procedure(Sender: TObject; const browser: ICefBrowser; popup_id: Integer) of object;

This item has no description.

TOnBeforeDevToolsPopup = procedure(Sender: TObject; const browser: ICefBrowser; var windowInfo: TCefWindowInfo; var client: ICefClient; var settings: TCefBrowserSettings; var extra_info: ICefDictionaryValue; var use_default_window: boolean) of object;

This item has no description.

TOnAfterCreated = procedure(Sender: TObject; const browser: ICefBrowser) of object;

This item has no description.

TOnBeforeClose = procedure(Sender: TObject; const browser: ICefBrowser) of object;

This item has no description.

TOnClose = procedure(Sender: TObject; const browser: ICefBrowser; var aAction : TCefCloseBrowserAction) of object;

This item has no description.

TOnBeforeBrowse = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; user_gesture, isRedirect: Boolean; out Result: Boolean) of object;

ICefRequestHandler

TOnOpenUrlFromTab = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; const targetUrl: ustring; targetDisposition: TCefWindowOpenDisposition; userGesture: Boolean; out Result: Boolean) of object;

This item has no description.

TOnGetAuthCredentials = procedure(Sender: TObject; const browser: ICefBrowser; const originUrl: ustring; isProxy: Boolean; const host: ustring; port: Integer; const realm, scheme: ustring; const callback: ICefAuthCallback; out Result: Boolean) of object;

This item has no description.

TOnCertificateError = procedure(Sender: TObject; const browser: ICefBrowser; certError: TCefErrorcode; const requestUrl: ustring; const sslInfo: ICefSslInfo; const callback: ICefCallback; out Result: Boolean) of object;

This item has no description.

TOnSelectClientCertificate = procedure(Sender: TObject; const browser: ICefBrowser; isProxy: boolean; const host: ustring; port: integer; certificatesCount: NativeUInt; const certificates: TCefX509CertificateArray; const callback: ICefSelectClientCertificateCallback; var aResult : boolean) of object;

This item has no description.

TOnRenderViewReady = procedure(Sender: Tobject; const browser: ICefBrowser) of object;

This item has no description.

TOnRenderProcessUnresponsive = procedure(Sender: Tobject; const browser: ICefBrowser; const callback: ICefUnresponsiveProcessCallback; var aResult: boolean) of object;

This item has no description.

TOnRenderProcessResponsive = procedure(Sender: Tobject; const browser: ICefBrowser) of object;

This item has no description.

TOnRenderProcessTerminated = procedure(Sender: TObject; const browser: ICefBrowser; status: TCefTerminationStatus; error_code: integer; const error_string: ustring) of object;

This item has no description.

TOnGetResourceRequestHandler = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; is_navigation, is_download: boolean; const request_initiator: ustring; var disable_default_handling: boolean; var aExternalResourceRequestHandler : ICefResourceRequestHandler) of object;

This item has no description.

TOnDocumentAvailableInMainFrame = procedure(Sender: Tobject; const browser: ICefBrowser) of object;

This item has no description.

TOnBeforeResourceLoad = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const callback: ICefCallback; out Result: TCefReturnValue) of object;

ICefResourceRequestHandler

TOnGetResourceHandler = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; var aResourceHandler : ICefResourceHandler) of object;

This item has no description.

TOnResourceRedirect = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; var newUrl: ustring) of object;

This item has no description.

TOnResourceResponse = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; out Result: Boolean) of Object;

This item has no description.

TOnGetResourceResponseFilter = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; out Result: ICefResponseFilter) of object;

This item has no description.

TOnResourceLoadComplete = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; status: TCefUrlRequestStatus; receivedContentLength: Int64) of object;

This item has no description.

TOnProtocolExecution = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; var allowOsExecution: Boolean) of object;

This item has no description.

TOnCanSendCookie = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const cookie: PCefCookie; var aResult: boolean) of object;

ICefCookieAccessFilter

TOnCanSaveCookie = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; const cookie: PCefCookie; var aResult : boolean) of object;

This item has no description.

TOnFileDialog = procedure(Sender: TObject; const browser: ICefBrowser; mode: TCefFileDialogMode; const title, defaultFilePath: ustring; const acceptFilters, accept_extensions, accept_descriptions: TStrings; const callback: ICefFileDialogCallback; var Result: Boolean) of Object;

ICefDialogHandler

TOnGetAccessibilityHandler = procedure(Sender: TObject; var aAccessibilityHandler : ICefAccessibilityHandler) of Object;

ICefRenderHandler

TOnGetRootScreenRect = procedure(Sender: TObject; const browser: ICefBrowser; var rect: TCefRect; out Result: Boolean) of Object;

This item has no description.

TOnGetViewRect = procedure(Sender: TObject; const browser: ICefBrowser; var rect: TCefRect) of Object;

This item has no description.

TOnGetScreenPoint = procedure(Sender: TObject; const browser: ICefBrowser; viewX, viewY: Integer; var screenX, screenY: Integer; out Result: Boolean) of Object;

This item has no description.

TOnGetScreenInfo = procedure(Sender: TObject; const browser: ICefBrowser; var screenInfo: TCefScreenInfo; out Result: Boolean) of Object;

This item has no description.

TOnPopupShow = procedure(Sender: TObject; const browser: ICefBrowser; show: Boolean) of Object;

This item has no description.

TOnPopupSize = procedure(Sender: TObject; const browser: ICefBrowser; const rect: PCefRect) of Object;

This item has no description.

TOnPaint = procedure(Sender: TObject; const browser: ICefBrowser; type_: TCefPaintElementType; dirtyRectsCount: NativeUInt; const dirtyRects: PCefRectArray; const buffer: Pointer; width, height: Integer) of Object;

This item has no description.

TOnAcceleratedPaint = procedure(Sender: TObject; const browser: ICefBrowser; type_: TCefPaintElementType; dirtyRectsCount: NativeUInt; const dirtyRects: PCefRectArray; const info: PCefAcceleratedPaintInfo) of Object;

This item has no description.

TOnGetTouchHandleSize = procedure(Sender: TObject; const browser: ICefBrowser; orientation: TCefHorizontalAlignment; var size: TCefSize) of Object;

This item has no description.

TOnTouchHandleStateChanged = procedure(Sender: TObject; const browser: ICefBrowser; const state: TCefTouchHandleState) of Object;

This item has no description.

TOnStartDragging = procedure(Sender: TObject; const browser: ICefBrowser; const dragData: ICefDragData; allowedOps: TCefDragOperations; x, y: Integer; out Result: Boolean) of Object;

This item has no description.

TOnUpdateDragCursor = procedure(Sender: TObject; const browser: ICefBrowser; operation: TCefDragOperation) of Object;

This item has no description.

TOnScrollOffsetChanged = procedure(Sender: TObject; const browser: ICefBrowser; x, y: Double) of Object;

This item has no description.

TOnIMECompositionRangeChanged = procedure(Sender: TObject; const browser: ICefBrowser; const selected_range: PCefRange; character_boundsCount: NativeUInt; const character_bounds: PCefRect) of Object;

This item has no description.

TOnTextSelectionChanged = procedure(Sender: TObject; const browser: ICefBrowser; const selected_text: ustring; const selected_range: PCefRange) of Object;

This item has no description.

TOnVirtualKeyboardRequested = procedure(Sender: TObject; const browser: ICefBrowser; input_mode: TCefTextInpuMode) of Object;

This item has no description.

TOnDragEnter = procedure(Sender: TObject; const browser: ICefBrowser; const dragData: ICefDragData; mask: TCefDragOperations; out Result: Boolean) of Object;

ICefDragHandler

TOnDraggableRegionsChanged = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; regionsCount: NativeUInt; const regions: PCefDraggableRegionArray) of Object;

This item has no description.

TOnFindResult = procedure(Sender: TObject; const browser: ICefBrowser; identifier, count: Integer; const selectionRect: PCefRect; activeMatchOrdinal: Integer; finalUpdate: Boolean) of Object;

ICefFindHandler

TOnRequestContextInitialized = procedure(Sender: TObject; const request_context: ICefRequestContext) of Object;

ICefRequestContextHandler

TOnSinksEvent = procedure(Sender: TObject; const sinks: TCefMediaSinkArray) of object;

ICefRequestContextHandler uses the same TOnGetResourceRequestHandler event type defined for ICefRequestHandler ICefMediaObserver

TOnRoutesEvent = procedure(Sender: TObject; const routes: TCefMediaRouteArray) of object;

This item has no description.

TOnRouteStateChangedEvent = procedure(Sender: TObject; const route: ICefMediaRoute; state: TCefMediaRouteConnectionState) of object;

This item has no description.

TOnRouteMessageReceivedEvent = procedure(Sender: TObject; const route: ICefMediaRoute; const message_: ustring) of object;

This item has no description.

TOnGetAudioParametersEvent = procedure(Sender: TObject; const browser: ICefBrowser; var params: TCefAudioParameters; var aResult: boolean) of object;

ICefAudioHandler

TOnAudioStreamStartedEvent = procedure(Sender: TObject; const browser: ICefBrowser; const params: TCefAudioParameters; channels: integer) of object;

This item has no description.

TOnAudioStreamPacketEvent = procedure(Sender: TObject; const browser: ICefBrowser; const data : PPSingle; frames: integer; pts: int64) of object;

This item has no description.

TOnAudioStreamStoppedEvent = procedure(Sender: TObject; const browser: ICefBrowser) of object;

This item has no description.

TOnAudioStreamErrorEvent = procedure(Sender: TObject; const browser: ICefBrowser; const message_: ustring) of object;

This item has no description.

TOnDevToolsMessageEvent = procedure(Sender: TObject; const browser: ICefBrowser; const message_: ICefValue; var aHandled: boolean) of object;

ICefDevToolsMessageObserver

TOnDevToolsRawMessageEvent = procedure(Sender: TObject; const browser: ICefBrowser; const message_: Pointer; message_size: NativeUInt; var aHandled: boolean) of object;

This item has no description.

TOnDevToolsMethodResultEvent = procedure(Sender: TObject; const browser: ICefBrowser; message_id: integer; success: boolean; const result: ICefValue) of object;

This item has no description.

TOnDevToolsMethodRawResultEvent = procedure(Sender: TObject; const browser: ICefBrowser; message_id: integer; success: boolean; const result: Pointer; result_size: NativeUInt) of object;

This item has no description.

TOnDevToolsEventEvent = procedure(Sender: TObject; const browser: ICefBrowser; const method: ustring; const params: ICefValue) of object;

This item has no description.

TOnDevToolsEventRawEvent = procedure(Sender: TObject; const browser: ICefBrowser; const method: ustring; const params: Pointer; params_size: NativeUInt) of object;

This item has no description.

TOnDevToolsAgentAttachedEvent = procedure(Sender: TObject; const browser: ICefBrowser) of object;

This item has no description.

TOnDevToolsAgentDetachedEvent = procedure(Sender: TObject; const browser: ICefBrowser) of object;

This item has no description.

TOnPrintStartEvent = procedure(Sender: TObject; const browser: ICefBrowser) of object;

ICefPrintHandler

TOnPrintSettingsEvent = procedure(Sender: TObject; const browser: ICefBrowser; const settings: ICefPrintSettings; getDefaults: boolean) of object;

This item has no description.

TOnPrintDialogEvent = procedure(Sender: TObject; const browser: ICefBrowser; hasSelection: boolean; const callback: ICefPrintDialogCallback; var aResult : boolean) of object;

This item has no description.

TOnPrintJobEvent = procedure(Sender: TObject; const browser: ICefBrowser; const documentName, PDFFilePath: ustring; const callback: ICefPrintJobCallback; var aResult : boolean) of object;

This item has no description.

TOnPrintResetEvent = procedure(Sender: TObject; const browser: ICefBrowser) of object;

This item has no description.

TOnGetPDFPaperSizeEvent = procedure(Sender: TObject; const browser: ICefBrowser; deviceUnitsPerInch: Integer; var aResult : TCefSize) of object;

This item has no description.

TOnFrameCreated = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame) of object;

ICefFrameHandler

TOnFrameDestroyed = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame) of object;

This item has no description.

TOnFrameAttached = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; reattached: boolean) of object;

This item has no description.

TOnFrameDetached = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame) of object;

This item has no description.

TOnMainFrameChanged = procedure(Sender: TObject; const browser: ICefBrowser; const old_frame, new_frame: ICefFrame) of object;

This item has no description.

TOnChromeCommandEvent = procedure(Sender: TObject; const browser: ICefBrowser; command_id: integer; disposition: TCefWindowOpenDisposition; var aResult: boolean) of object;

ICefCommandHandler

TOnIsChromeAppMenuItemVisibleEvent = procedure(Sender: TObject; const browser: ICefBrowser; command_id: integer; var aResult: boolean) of object;

This item has no description.

TOnIsChromeAppMenuItemEnabledEvent = procedure(Sender: TObject; const browser: ICefBrowser; command_id: integer; var aResult: boolean) of object;

This item has no description.

TOnIsChromePageActionIconVisibleEvent = procedure(Sender: TObject; icon_type: TCefChromePageActionIconType; var aResult: boolean) of object;

This item has no description.

TOnIsChromeToolbarButtonVisibleEvent = procedure(Sender: TObject; button_type: TCefChromeToolbarButtonType; var aResult: boolean) of object;

This item has no description.

TOnRequestMediaAccessPermissionEvent = procedure(Sender: TObject; const browser: ICefBrowser; const frame: ICefFrame; const requesting_origin: ustring; requested_permissions: cardinal; const callback: ICefMediaAccessCallback; var aResult: boolean) of object;

ICefPermissionHandler

TOnShowPermissionPromptEvent = procedure(Sender: TObject; const browser: ICefBrowser; prompt_id: uint64; const requesting_origin: ustring; requested_permissions: cardinal; const callback: ICefPermissionPromptCallback; var aResult: boolean) of object;

This item has no description.

TOnDismissPermissionPromptEvent = procedure(Sender: TObject; const browser: ICefBrowser; prompt_id: uint64; result: TCefPermissionRequestResult) of object;

This item has no description.

TOnPreferenceChangedEvent = procedure(Sender: TObject; const name_: ustring) of object;

ICefPreferenceObserver

TOnSettingChangedEvent = procedure(Sender: TObject; const requesting_url, top_level_url : ustring; content_type: TCefContentSettingTypes) of object;

ICefSettingObserver

TOnTextResultAvailableEvent = procedure(Sender: TObject; const aText : ustring) of object;

Custom

TOnPdfPrintFinishedEvent = procedure(Sender: TObject; aResultOK : boolean) of object;

This item has no description.

TOnPrefsAvailableEvent = procedure(Sender: TObject; aResultOK : boolean) of object;

This item has no description.

TOnCookiesDeletedEvent = procedure(Sender: TObject; numDeleted : integer) of object;

This item has no description.

TOnResolvedIPsAvailableEvent = procedure(Sender: TObject; result: TCefErrorCode; const resolvedIps: TStrings) of object;

This item has no description.

TOnNavigationVisitorResultAvailableEvent = procedure(Sender: TObject; const entry: ICefNavigationEntry; current: Boolean; index, total: Integer; var aResult : boolean) of object;

This item has no description.

TOnDownloadImageFinishedEvent = procedure(Sender: TObject; const imageUrl: ustring; httpStatusCode: Integer; const image: ICefImage) of object;

This item has no description.

TOnExecuteTaskOnCefThread = procedure(Sender: TObject; aTaskID : cardinal) of object;

This item has no description.

TOnCookiesVisited = procedure(Sender: TObject; const name_, value, domain, path: ustring; secure, httponly, hasExpires: Boolean; const creation, lastAccess, expires: TDateTime; count, total, aID : Integer; same_site : TCefCookieSameSite; priority : TCefCookiePriority; var aDeleteCookie, aResult : Boolean) of object;

This item has no description.

TOnCookieVisitorDestroyed = procedure(Sender: TObject; aID : integer) of object;

This item has no description.

TOnCookieSet = procedure(Sender: TObject; aSuccess : boolean; aID : integer) of object;

This item has no description.

TOnZoomPctAvailable = procedure(Sender: TObject; const aZoomPct : double) of object;

This item has no description.

TOnMediaRouteCreateFinishedEvent = procedure(Sender: TObject; result: TCefMediaRouterCreateResult; const error: ustring; const route: ICefMediaRoute) of object;

This item has no description.

TOnMediaSinkDeviceInfoEvent = procedure(Sender: TObject; const ip_address: ustring; port: integer; const model_name: ustring) of object;

This item has no description.

TOnCompMsgEvent = procedure(Sender: TObject; var aMessage: TMessage; var aHandled: Boolean) of object;

This item has no description.


cef4delphi: uCEFChromiumFontOptions

Unit uCEFChromiumFontOptions

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TChromiumFontOptions | The TChromiumFontOptions properties are used to fill the TCefBrowserSettings record which is used during the browser creation.


cef4delphi: uCEFChromiumFontOptions: Class TChromiumFontOptions

Class TChromiumFontOptions

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFChromiumFontOptions

Declaration

type TChromiumFontOptions = class(TPersistent)

Description

The TChromiumFontOptions properties are used to fill the TCefBrowserSettings record which is used during the browser creation.

Hierarchy

  • TObject
  • TPersistent
  • TChromiumFontOptions

Overview

Fields

Protected | FStandardFontFamily: ustring;
Protected | FCursiveFontFamily: ustring;
Protected | FSansSerifFontFamily: ustring;
Protected | FMinimumLogicalFontSize: Integer;
Protected | FFantasyFontFamily: ustring;
Protected | FSerifFontFamily: ustring;
Protected | FDefaultFixedFontSize: Integer;
Protected | FDefaultFontSize: Integer;
Protected | FRemoteFontsDisabled: TCefState;
Protected | FFixedFontFamily: ustring;
Protected | FMinimumFontSize: Integer;

Methods

Public constructor Create; virtual;

Properties

Published | property StandardFontFamily : ustring read FStandardFontFamily write FStandardFontFamily;
Published | property FixedFontFamily : ustring read FFixedFontFamily write FFixedFontFamily;
Published | property SerifFontFamily : ustring read FSerifFontFamily write FSerifFontFamily;
Published | property SansSerifFontFamily : ustring read FSansSerifFontFamily write FSansSerifFontFamily;
Published | property CursiveFontFamily : ustring read FCursiveFontFamily write FCursiveFontFamily;
Published | property FantasyFontFamily : ustring read FFantasyFontFamily write FFantasyFontFamily;
Published | property DefaultFontSize : Integer read FDefaultFontSize write FDefaultFontSize default 0;
Published | property DefaultFixedFontSize : Integer read FDefaultFixedFontSize write FDefaultFixedFontSize default 0;
Published | property MinimumFontSize : Integer read FMinimumFontSize write FMinimumFontSize default 0;
Published | property MinimumLogicalFontSize : Integer read FMinimumLogicalFontSize write FMinimumLogicalFontSize default 0;
Published | property RemoteFonts : TCefState read FRemoteFontsDisabled write FRemoteFontsDisabled default STATE_DEFAULT;

Description

Fields

Protected FStandardFontFamily: ustring;

This item has no description.

Protected FCursiveFontFamily: ustring;

This item has no description.

Protected FSansSerifFontFamily: ustring;

This item has no description.

Protected FMinimumLogicalFontSize: Integer;

This item has no description.

Protected FFantasyFontFamily: ustring;

This item has no description.

Protected FSerifFontFamily: ustring;

This item has no description.

Protected FDefaultFixedFontSize: Integer;

This item has no description.

Protected FDefaultFontSize: Integer;

This item has no description.

Protected FRemoteFontsDisabled: TCefState;

This item has no description.

Protected FFixedFontFamily: ustring;

This item has no description.

Protected FMinimumFontSize: Integer;

This item has no description.

Methods

Public constructor Create; virtual;

Constructor of TChromiumFontOptions

Properties

Published property StandardFontFamily : ustring read FStandardFontFamily write FStandardFontFamily;

Standard font family name.

Published property FixedFontFamily : ustring read FFixedFontFamily write FFixedFontFamily;

Fixed font family name.

Published property SerifFontFamily : ustring read FSerifFontFamily write FSerifFontFamily;

Serif font family name.

Published property SansSerifFontFamily : ustring read FSansSerifFontFamily write FSansSerifFontFamily;

SansSerif font family name.

Published property CursiveFontFamily : ustring read FCursiveFontFamily write FCursiveFontFamily;

Cursive font family name.

Published property FantasyFontFamily : ustring read FFantasyFontFamily write FFantasyFontFamily;

Fantasy font family name.

Published property DefaultFontSize : Integer read FDefaultFontSize write FDefaultFontSize default 0;

Default font size.

Published property DefaultFixedFontSize : Integer read FDefaultFixedFontSize write FDefaultFixedFontSize default 0;

Default fixed font size.

Published property MinimumFontSize : Integer read FMinimumFontSize write FMinimumFontSize default 0;

Minimum font size.

Published property MinimumLogicalFontSize : Integer read FMinimumLogicalFontSize write FMinimumLogicalFontSize default 0;

Minimum logical font size.

Published property RemoteFonts : TCefState read FRemoteFontsDisabled write FRemoteFontsDisabled default STATE_DEFAULT;

Controls the loading of fonts from remote sources. Also configurable using the "disable-remote-fonts" command-line switch.


cef4delphi: uCEFChromiumOptions

Unit uCEFChromiumOptions

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TChromiumOptions | The TChromiumOptions properties used to fill the TCefBrowserSettings record which is used during the browser creation.


cef4delphi: uCEFChromiumOptions: Class TChromiumOptions

Class TChromiumOptions

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFChromiumOptions

Declaration

type TChromiumOptions = class(TPersistent)

Description

The TChromiumOptions properties used to fill the TCefBrowserSettings record which is used during the browser creation.

Hierarchy

  • TObject
  • TPersistent
  • TChromiumOptions

Overview

Fields

Protected | FWindowlessFrameRate: Integer;
Protected | FJavascript: TCefState;
Protected | FJavascriptCloseWindows: TCefState;
Protected | FJavascriptAccessClipboard: TCefState;
Protected | FJavascriptDomPaste: TCefState;
Protected | FImageLoading: TCefState;
Protected | FImageShrinkStandaloneToFit: TCefState;
Protected | FTextAreaResize: TCefState;
Protected | FTabToLinks: TCefState;
Protected | FLocalStorage: TCefState;
Protected | FDatabases: TCefState;
Protected | FWebgl: TCefState;
Protected | FBackgroundColor: TCefColor;
Protected | FChromeStatusBubble: TCefState;
Protected | FChromeZoomBubble: TCefState;

Methods

Public constructor Create; virtual;

Properties

Published | property Javascript : TCefState read FJavascript write FJavascript default STATE_DEFAULT;
Published | property JavascriptCloseWindows : TCefState read FJavascriptCloseWindows write FJavascriptCloseWindows default STATE_DEFAULT;
Published | property JavascriptAccessClipboard : TCefState read FJavascriptAccessClipboard write FJavascriptAccessClipboard default STATE_DEFAULT;
Published | property JavascriptDomPaste : TCefState read FJavascriptDomPaste write FJavascriptDomPaste default STATE_DEFAULT;
Published | property ImageLoading : TCefState read FImageLoading write FImageLoading default STATE_DEFAULT;
Published | property ImageShrinkStandaloneToFit : TCefState read FImageShrinkStandaloneToFit write FImageShrinkStandaloneToFit default STATE_DEFAULT;
Published | property TextAreaResize : TCefState read FTextAreaResize write FTextAreaResize default STATE_DEFAULT;
Published | property TabToLinks : TCefState read FTabToLinks write FTabToLinks default STATE_DEFAULT;
Published | property LocalStorage : TCefState read FLocalStorage write FLocalStorage default STATE_DEFAULT;
Published | property Databases : TCefState read FDatabases write FDatabases default STATE_DEFAULT;
Published | property Webgl : TCefState read FWebgl write FWebgl default STATE_DEFAULT;
Published | property BackgroundColor : TCefColor read FBackgroundColor write FBackgroundColor default 0;
Published | property WindowlessFrameRate : Integer read FWindowlessFrameRate write FWindowlessFrameRate default CEF_OSR_FRAMERATE_DEFAULT;
Published | property ChromeStatusBubble : TCefState read FChromeStatusBubble write FChromeStatusBubble default STATE_DEFAULT;
Published | property ChromeZoomBubble : TCefState read FChromeZoomBubble write FChromeZoomBubble default STATE_DEFAULT;

Description

Fields

Protected FWindowlessFrameRate: Integer;

This item has no description.

Protected FJavascript: TCefState;

This item has no description.

Protected FJavascriptCloseWindows: TCefState;

This item has no description.

Protected FJavascriptAccessClipboard: TCefState;

This item has no description.

Protected FJavascriptDomPaste: TCefState;

This item has no description.

Protected FImageLoading: TCefState;

This item has no description.

Protected FImageShrinkStandaloneToFit: TCefState;

This item has no description.

Protected FTextAreaResize: TCefState;

This item has no description.

Protected FTabToLinks: TCefState;

This item has no description.

Protected FLocalStorage: TCefState;

This item has no description.

Protected FDatabases: TCefState;

This item has no description.

Protected FWebgl: TCefState;

This item has no description.

Protected FBackgroundColor: TCefColor;

This item has no description.

Protected FChromeStatusBubble: TCefState;

This item has no description.

Protected FChromeZoomBubble: TCefState;

This item has no description.

Methods

Public constructor Create; virtual;

Constructor of TChromiumOptions

Properties

Published property Javascript : TCefState read FJavascript write FJavascript default STATE_DEFAULT;

Controls whether JavaScript can be executed. Also configurable using the "disable-javascript" command-line switch.

Published property JavascriptCloseWindows : TCefState read FJavascriptCloseWindows write FJavascriptCloseWindows default STATE_DEFAULT;

Controls whether JavaScript can be used to close windows that were not opened via JavaScript. JavaScript can still be used to close windows that were opened via JavaScript or that have no back/forward history. Also configurable using the "disable-javascript-close-windows" command-line switch.

Published property JavascriptAccessClipboard : TCefState read FJavascriptAccessClipboard write FJavascriptAccessClipboard default STATE_DEFAULT;

Controls whether JavaScript can access the clipboard. Also configurable using the "disable-javascript-access-clipboard" command-line switch.

Published property JavascriptDomPaste : TCefState read FJavascriptDomPaste write FJavascriptDomPaste default STATE_DEFAULT;

Controls whether DOM pasting is supported in the editor via execCommand("paste"). The |javascript_access_clipboard| setting must also be enabled. Also configurable using the "disable-javascript-dom-paste" command-line switch.

Published property ImageLoading : TCefState read FImageLoading write FImageLoading default STATE_DEFAULT;

Controls whether image URLs will be loaded from the network. A cached image will still be rendered if requested. Also configurable using the "disable-image-loading" command-line switch.

Published property ImageShrinkStandaloneToFit : TCefState read FImageShrinkStandaloneToFit write FImageShrinkStandaloneToFit default STATE_DEFAULT;

Controls whether standalone images will be shrunk to fit the page. Also configurable using the "image-shrink-standalone-to-fit" command-line switch.

Published property TextAreaResize : TCefState read FTextAreaResize write FTextAreaResize default STATE_DEFAULT;

Controls whether text areas can be resized. Also configurable using the "disable-text-area-resize" command-line switch.

Published property TabToLinks : TCefState read FTabToLinks write FTabToLinks default STATE_DEFAULT;

Controls whether the tab key can advance focus to links. Also configurable using the "disable-tab-to-links" command-line switch.

Published property LocalStorage : TCefState read FLocalStorage write FLocalStorage default STATE_DEFAULT;

Controls whether local storage can be used. Also configurable using the "disable-local-storage" command-line switch.

Published property Databases : TCefState read FDatabases write FDatabases default STATE_DEFAULT;

Controls whether databases can be used. Also configurable using the "disable-databases" command-line switch.

Deprecated since CEF 138

Published property Webgl : TCefState read FWebgl write FWebgl default STATE_DEFAULT;

Controls whether WebGL can be used. Note that WebGL requires hardware support and may not work on all systems even when enabled. Also configurable using the "disable-webgl" command-line switch.

Published property BackgroundColor : TCefColor read FBackgroundColor write FBackgroundColor default 0;

Background color used for the browser before a document is loaded and when no document color is specified. The alpha component must be either fully opaque (0xFF) or fully transparent (0x00). If the alpha component is fully opaque then the RGB components will be used as the background color. If the alpha component is fully transparent for a windowed browser then the TCefSettings.background_color value will be used. If the alpha component is fully transparent for a windowless (off-screen) browser then transparent painting will be enabled.

Published property WindowlessFrameRate : Integer read FWindowlessFrameRate write FWindowlessFrameRate default CEF_OSR_FRAMERATE_DEFAULT;

The maximum rate in frames per second (fps) that ICefRenderHandler.OnPaint will be called for a windowless browser. The actual fps may be lower if the browser cannot generate frames at the requested rate. The minimum value is 1 and the maximum value is 60 (default 30). This value can also be changed dynamically via ICefBrowserHost.SetWindowlessFrameRate.

Use CEF_OSR_SHARED_TEXTURES_FRAMERATE_DEFAULT as default value if the shared textures are enabled.

Use CEF_OSR_FRAMERATE_DEFAULT as default value if the shared textures are disabled.

Published property ChromeStatusBubble : TCefState read FChromeStatusBubble write FChromeStatusBubble default STATE_DEFAULT;

Controls whether the Chrome status bubble will be used. Only supported with Chrome style. For details about the status bubble see https://www.chromium.org/user-experience/status-bubble/

Published property ChromeZoomBubble : TCefState read FChromeZoomBubble write FChromeZoomBubble default STATE_DEFAULT;

Controls whether the Chrome zoom bubble will be shown when zooming. Only supported with Chrome style.


cef4delphi: uCEFChromiumWindow

Unit uCEFChromiumWindow

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name Description
Class TChromiumWindow

This component puts together a TChromium and a TCEFWindowParent to embbed a web browser with only one component.

This component should only be used in extremely simple applications with simple browsers. In other cases it's recomended using a TChromium with a TCEFWindowParent as shown in the SimpleBrowser2 demo.

Functions and Procedures

procedure Register;

Description

Functions and Procedures

procedure Register;

This item has no description.


cef4delphi: uCEFChromiumWindow: Class TChromiumWindow

Class TChromiumWindow

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFChromiumWindow

Declaration

type TChromiumWindow = class(TCEFLinkedWinControlBase)

Description

This component puts together a TChromium and a TCEFWindowParent to embbed a web browser with only one component.

This component should only be used in extremely simple applications with simple browsers. In other cases it's recomended using a TChromium with a TCEFWindowParent as shown in the SimpleBrowser2 demo.

Hierarchy

  • TWinControl
  • TCEFWinControl
  • TCEFLinkedWinControlBase
  • TChromiumWindow

Overview

Fields

Protected | FChromium: TChromium;
Protected | FOnClose: TNotifyEvent;
Protected | FOnBeforeClose: TNotifyEvent;
Protected | FOnAfterCreated: TNotifyEvent;

Methods

Protected | function GetChromium: TChromium; override;
Protected | function GetBrowserInitialized: boolean;
Protected | procedure OnCloseMsg(var aMessage : TMessage); message CEF_DOONCLOSE;
Protected | procedure OnAfterCreatedMsg(var aMessage : TMessage); message CEF_AFTERCREATED;
Protected | procedure WebBrowser_OnClose(Sender: TObject; const browser: ICefBrowser; var aAction : TCefCloseBrowserAction);
Protected | procedure WebBrowser_OnBeforeClose(Sender: TObject; const browser: ICefBrowser);
Protected | procedure WebBrowser_OnAfterCreated(Sender: TObject; const browser: ICefBrowser);
Protected | procedure WebBrowser_OnGotFocus(Sender: TObject; const browser: ICefBrowser);
Protected | procedure BrowserSetFocusMsg(Data: PtrInt);
Protected | procedure BrowserAfterCreated(Data: PtrInt);
Protected | procedure BrowserOnCLose(Data: PtrInt);
Protected | procedure DoEnter; override;
Protected | procedure DoExit; override;
Public | constructor Create(AOwner: TComponent); override;
Public | procedure AfterConstruction; override;
Public | function CreateBrowser: boolean;
Public | procedure CloseBrowser(aForceClose : boolean);
Public | procedure LoadURL(const aURL : ustring);
Public | procedure NotifyMoveOrResizeStarted;

Properties

Public | property ChromiumBrowser : TChromium read GetChromium;
Public | property Initialized : boolean read GetBrowserInitialized;
Published | property OnClose : TNotifyEvent read FOnClose write FOnClose;
Published | property OnBeforeClose : TNotifyEvent read FOnBeforeClose write FOnBeforeClose;
Published | property OnAfterCreated : TNotifyEvent read FOnAfterCreated write FOnAfterCreated;

Description

Fields

Protected FChromium: TChromium;

This item has no description.

Protected FOnClose: TNotifyEvent;

This item has no description.

Protected FOnBeforeClose: TNotifyEvent;

This item has no description.

Protected FOnAfterCreated: TNotifyEvent;

This item has no description.

Methods

Protected function GetChromium: TChromium; override;

This item has no description.

Protected function GetBrowserInitialized: boolean;

This item has no description.

Protected procedure OnCloseMsg(var aMessage : TMessage); message CEF_DOONCLOSE;

This item has no description.

Protected procedure OnAfterCreatedMsg(var aMessage : TMessage); message CEF_AFTERCREATED;

This item has no description.

Protected procedure WebBrowser_OnClose(Sender: TObject; const browser: ICefBrowser; var aAction : TCefCloseBrowserAction);

This item has no description.

Protected procedure WebBrowser_OnBeforeClose(Sender: TObject; const browser: ICefBrowser);

This item has no description.

Protected procedure WebBrowser_OnAfterCreated(Sender: TObject; const browser: ICefBrowser);

This item has no description.

Protected procedure WebBrowser_OnGotFocus(Sender: TObject; const browser: ICefBrowser);

This item has no description.

Protected procedure BrowserSetFocusMsg(Data: PtrInt);

This item has no description.

Protected procedure BrowserAfterCreated(Data: PtrInt);

This item has no description.

Protected procedure BrowserOnCLose(Data: PtrInt);

This item has no description.

Protected procedure DoEnter; override;

This item has no description.

Protected procedure DoExit; override;

This item has no description.

Public constructor Create(AOwner: TComponent); override;

This item has no description.

Public procedure AfterConstruction; override;

This item has no description.

Public function CreateBrowser: boolean;

Used to create the browser after the global request context has been initialized. You need to set all properties and events before calling this function because it will only create the internal handlers needed for those events and the property values will be used in the browser initialization.

The browser will be fully initialized when the TChromiumWindow.OnAfterCreated event is triggered.

Public procedure CloseBrowser(aForceClose : boolean);

Request that the browser close. The JavaScript 'onbeforeunload' event will be fired. If |aForceClose| is false (0) the event handler, if any, will be allowed to prompt the user and the user can optionally cancel the close. If |aForceClose| is true (1) the prompt will not be displayed and the close will proceed. Results in a call to ICefLifeSpanHandler.DoClose() if the event handler allows the close or if |aForceClose| is true (1). See ICefLifeSpanHandler.DoClose() documentation for additional usage information.

Public procedure LoadURL(const aURL : ustring);

Used to navigate to a URL.

Public procedure NotifyMoveOrResizeStarted;

Notify the browser that the window hosting it is about to be moved or resized. This function is only used on Windows and Linux.

Properties

Public property ChromiumBrowser : TChromium read GetChromium;

TChromium instance used by this component.

Public property Initialized : boolean read GetBrowserInitialized;

Returns true when the browser is fully initialized and it's not being closed.

Published property OnClose : TNotifyEvent read FOnClose write FOnClose;

Called when a browser has recieved a request to close. This may result directly from a call to ICefBrowserHost.*CloseBrowser or indirectly if the browser is parented to a top-level window created by CEF and the user attempts to close that window (by clicking the 'X', for example). The OnClose function will be called after the JavaScript 'onunload' event has been fired.

An application should handle top-level owner window close notifications by calling ICefBrowserHost.TryCloseBrowser or ICefBrowserHost.CloseBrowser(false) instead of allowing the window to close immediately (see the examples below). This gives CEF an opportunity to process the 'onbeforeunload' event and optionally cancel the close before OnClose is called.

When windowed rendering is enabled CEF will internally create a window or view to host the browser. In that case returning false (0) from OnClose() will send the standard close notification to the browser's top-level owner window (e.g. WM_CLOSE on Windows, performClose: on OS X, "delete_event" on Linux or ICefWindowDelegate.CanClose callback from Views). If the browser's host window/view has already been destroyed (via view hierarchy tear-down, for example) then OnClose() will not be called for that browser since is no longer possible to cancel the close.

When windowed rendering is disabled returning false (0) from OnClose() will cause the browser object to be destroyed immediately.

If the browser's top-level owner window requires a non-standard close notification then send that notification from OnClose() and return true.

The ICefLifeSpanHandler.OnBeforeClose function will be called after OnClose() (if OnClose() is called) and immediately before the browser object is destroyed. The application should only exit after OnBeforeClose() has been called for all existing browsers.

The below examples describe what should happen during window close when the browser is parented to an application-provided top-level window.

Example 1: Using ICefBrowserHost.TryCloseBrowser(). This is recommended for clients using standard close handling and windows created on the browser process UI thread.

1.  User clicks the window close button which sends a close notification
    to the application's top-level window.
2.  Application's top-level window receives the close notification and
    calls TryCloseBrowser() (which internally calls CloseBrowser(false)).
    TryCloseBrowser() returns false so the client cancels the window
    close.
3.  JavaScript 'onbeforeunload' handler executes and shows the close
    confirmation dialog (which can be overridden via
    ICefJSDialogHandler.OnBeforeUnloadDialog()).
4.  User approves the close.
5.  JavaScript 'onunload' handler executes.
6.  CEF sends a close notification to the application's top-level window
    (because OnClose() returned false by default).
7.  Application's top-level window receives the close notification and
    calls TryCloseBrowser(). TryCloseBrowser() returns true so the client
    allows the window close.
8.  Application's top-level window is destroyed.
9.  Application's OnBeforeClose() handler is called and the browser object is destroyed.
10. Application exits by calling cef_quit_message_loop() if no other browsers exist.

Example 2: Using ICefBrowserHost::CloseBrowser(false) and implementing the OnClose() callback. This is recommended for clients using non-standard close handling or windows that were not created on the browser process UI thread.

1.  User clicks the window close button which sends a close notification
    to the application's top-level window.
2.  Application's top-level window receives the close notification and:
    A. Calls ICefBrowserHost.CloseBrowser(false).
    B. Cancels the window close.
3.  JavaScript 'onbeforeunload' handler executes and shows the close
    confirmation dialog (which can be overridden via
    ICefJSDialogHandler.OnBeforeUnloadDialog()).
4.  User approves the close.
5.  JavaScript 'onunload' handler executes.
6.  Application's OnClose() handler is called. Application will:
    A. Set a flag to indicate that the next close attempt will be allowed.
    B. Return false.
7.  CEF sends an close notification to the application's top-level window.
8.  Application's top-level window receives the close notification and
    allows the window to close based on the flag from #6B.
9.  Application's top-level window is destroyed.
10. Application's OnBeforeClose() handler is called and the browser object is destroyed.
11. Application exits by calling cef_quit_message_loop() if no other browsers exist.

This event will be called on the main application thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_life_span_handler_capi.h">CEF source file: /include/capi/cef_life_span_handler_capi.h (cef_life_span_handler_t))

Published property OnBeforeClose : TNotifyEvent read FOnBeforeClose write FOnBeforeClose;

Called just before a browser is destroyed. Release all references to the browser object and do not attempt to execute any functions on the browser object (other than IsValid, GetIdentifier or IsSame) after this callback returns. ICefFrameHandler callbacks related to final main frame destruction will arrive after this callback and ICefBrowser.IsValid will return false (0) at that time. Any in-progress network requests associated with |browser| will be aborted when the browser is destroyed, and ICefResourceRequestHandler callbacks related to those requests may still arrive on the IO thread after this callback. See ICefFrameHandler and OnClose() documentation for additional usage information.

This event will be called on the browser process CEF UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_life_span_handler_capi.h">CEF source file: /include/capi/cef_life_span_handler_capi.h (cef_life_span_handler_t))

Published property OnAfterCreated : TNotifyEvent read FOnAfterCreated write FOnAfterCreated;

Called after a new browser is created. It is now safe to begin performing actions with |browser|. ICefFrameHandler callbacks related to initial main frame creation will arrive before this callback. See ICefFrameHandler documentation for additional usage information.

This event will be called on the main application thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_life_span_handler_capi.h">CEF source file: /include/capi/cef_life_span_handler_capi.h (cef_life_span_handler_t))


cef4delphi: uCEFClient

Unit uCEFClient

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefClientRef |
Class TCefClientOwn |
Class TCustomClientHandler |


cef4delphi: uCEFClient: Class TCefClientRef

Class TCefClientRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFClient

Declaration

type TCefClientRef = class(TCefBaseRefCountedRef, ICefClient)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefClientRef

Overview

Methods

Protected | procedure GetAudioHandler(var aHandler : ICefAudioHandler); virtual;
Protected | procedure GetCommandHandler(var aHandler : ICefCommandHandler); virtual;
Protected | procedure GetContextMenuHandler(var aHandler : ICefContextMenuHandler); virtual;
Protected | procedure GetDialogHandler(var aHandler : ICefDialogHandler); virtual;
Protected | procedure GetDisplayHandler(var aHandler : ICefDisplayHandler); virtual;
Protected | procedure GetDownloadHandler(var aHandler : ICefDownloadHandler); virtual;
Protected | procedure GetDragHandler(var aHandler : ICefDragHandler); virtual;
Protected | procedure GetFindHandler(var aHandler : ICefFindHandler); virtual;
Protected | procedure GetFocusHandler(var aHandler : ICefFocusHandler); virtual;
Protected | procedure GetFrameHandler(var aHandler : ICefFrameHandler); virtual;
Protected | procedure GetPermissionHandler(var aHandler: ICefPermissionHandler); virtual;
Protected | procedure GetJsdialogHandler(var aHandler : ICefJsdialogHandler); virtual;
Protected | procedure GetKeyboardHandler(var aHandler : ICefKeyboardHandler); virtual;
Protected | procedure GetLifeSpanHandler(var aHandler : ICefLifeSpanHandler); virtual;
Protected | procedure GetLoadHandler(var aHandler : ICefLoadHandler); virtual;
Protected | procedure GetPrintHandler(var aHandler : ICefPrintHandler); virtual;
Protected | procedure GetRenderHandler(var aHandler : ICefRenderHandler); virtual;
Protected | procedure GetRequestHandler(var aHandler : ICefRequestHandler); virtual;
Protected | function OnProcessMessageReceived(const browser: ICefBrowser; const frame: ICefFrame; sourceProcess: TCefProcessId; const message_ : ICefProcessMessage): Boolean; virtual;
Protected | procedure RemoveReferences; virtual;
Public | class function UnWrap(data: Pointer): ICefClient;

Description

Methods

Protected procedure GetAudioHandler(var aHandler : ICefAudioHandler); virtual;

This item has no description. Showing description inherited from ICefClient.GetAudioHandler.

Return the handler for audio rendering events.

Protected procedure GetCommandHandler(var aHandler : ICefCommandHandler); virtual;

This item has no description. Showing description inherited from ICefClient.GetCommandHandler.

Return the handler for commands. If no handler is provided the default implementation will be used.

Protected procedure GetContextMenuHandler(var aHandler : ICefContextMenuHandler); virtual;

This item has no description. Showing description inherited from ICefClient.GetContextMenuHandler.

Return the handler for context menus. If no handler is provided the default implementation will be used.

Protected procedure GetDialogHandler(var aHandler : ICefDialogHandler); virtual;

This item has no description. Showing description inherited from ICefClient.GetDialogHandler.

Return the handler for dialogs. If no handler is provided the default implementation will be used.

Protected procedure GetDisplayHandler(var aHandler : ICefDisplayHandler); virtual;

This item has no description. Showing description inherited from ICefClient.GetDisplayHandler.

Return the handler for browser display state events.

Protected procedure GetDownloadHandler(var aHandler : ICefDownloadHandler); virtual;

This item has no description. Showing description inherited from ICefClient.GetDownloadHandler.

Return the handler for download events. If no handler is returned downloads will not be allowed.

Protected procedure GetDragHandler(var aHandler : ICefDragHandler); virtual;

This item has no description. Showing description inherited from ICefClient.GetDragHandler.

Return the handler for drag events.

Protected procedure GetFindHandler(var aHandler : ICefFindHandler); virtual;

This item has no description. Showing description inherited from ICefClient.GetFindHandler.

Return the handler for find result events.

Protected procedure GetFocusHandler(var aHandler : ICefFocusHandler); virtual;

This item has no description. Showing description inherited from ICefClient.GetFocusHandler.

Return the handler for focus events.

Protected procedure GetFrameHandler(var aHandler : ICefFrameHandler); virtual;

This item has no description. Showing description inherited from ICefClient.GetFrameHandler.

Return the handler for events related to ICefFrame lifespan. This function will be called once during ICefBrowser creation and the result will be cached for performance reasons.

Protected procedure GetPermissionHandler(var aHandler: ICefPermissionHandler); virtual;

This item has no description. Showing description inherited from ICefClient.GetPermissionHandler.

Return the handler for permission requests.

Protected procedure GetJsdialogHandler(var aHandler : ICefJsdialogHandler); virtual;

This item has no description. Showing description inherited from ICefClient.GetJsdialogHandler.

Return the handler for JavaScript dialogs. If no handler is provided the default implementation will be used.

Protected procedure GetKeyboardHandler(var aHandler : ICefKeyboardHandler); virtual;

This item has no description. Showing description inherited from ICefClient.GetKeyboardHandler.

Return the handler for keyboard events.

Protected procedure GetLifeSpanHandler(var aHandler : ICefLifeSpanHandler); virtual;

This item has no description. Showing description inherited from ICefClient.GetLifeSpanHandler.

Return the handler for browser life span events.

Protected procedure GetLoadHandler(var aHandler : ICefLoadHandler); virtual;

This item has no description. Showing description inherited from ICefClient.GetLoadHandler.

Return the handler for browser load status events.

Protected procedure GetPrintHandler(var aHandler : ICefPrintHandler); virtual;

This item has no description. Showing description inherited from ICefClient.GetPrintHandler.

Return the handler for printing on Linux. If a print handler is not provided then printing will not be supported on the Linux platform.

Protected procedure GetRenderHandler(var aHandler : ICefRenderHandler); virtual;

This item has no description. Showing description inherited from ICefClient.GetRenderHandler.

Return the handler for off-screen rendering events.

Protected procedure GetRequestHandler(var aHandler : ICefRequestHandler); virtual;

This item has no description. Showing description inherited from ICefClient.GetRequestHandler.

Return the handler for browser request events.

Protected function OnProcessMessageReceived(const browser: ICefBrowser; const frame: ICefFrame; sourceProcess: TCefProcessId; const message_ : ICefProcessMessage): Boolean; virtual;

This item has no description. Showing description inherited from ICefClient.OnProcessMessageReceived.

Called when a new message is received from a different process. Return true (1) if the message was handled or false (0) otherwise. It is safe to keep a reference to |message| outside of this callback.

Protected procedure RemoveReferences; virtual;

This item has no description. Showing description inherited from ICefClient.RemoveReferences.

Custom procedure to clear all references.

Public class function UnWrap(data: Pointer): ICefClient;

This item has no description.


cef4delphi: uCEFClient: Class TCefClientOwn

Class TCefClientOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFClient

Declaration

type TCefClientOwn = class(TCefBaseRefCountedOwn, ICefClient)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefClientOwn

Overview

Methods

Protected | procedure GetAudioHandler(var aHandler : ICefAudioHandler); virtual;
Protected | procedure GetCommandHandler(var aHandler : ICefCommandHandler); virtual;
Protected | procedure GetContextMenuHandler(var aHandler : ICefContextMenuHandler); virtual;
Protected | procedure GetDialogHandler(var aHandler : ICefDialogHandler); virtual;
Protected | procedure GetDisplayHandler(var aHandler : ICefDisplayHandler); virtual;
Protected | procedure GetDownloadHandler(var aHandler : ICefDownloadHandler); virtual;
Protected | procedure GetDragHandler(var aHandler : ICefDragHandler); virtual;
Protected | procedure GetFindHandler(var aHandler : ICefFindHandler); virtual;
Protected | procedure GetFocusHandler(var aHandler : ICefFocusHandler); virtual;
Protected | procedure GetFrameHandler(var aHandler : ICefFrameHandler); virtual;
Protected | procedure GetPermissionHandler(var aHandler: ICefPermissionHandler); virtual;
Protected | procedure GetJsdialogHandler(var aHandler : ICefJsdialogHandler); virtual;
Protected | procedure GetKeyboardHandler(var aHandler : ICefKeyboardHandler); virtual;
Protected | procedure GetLifeSpanHandler(var aHandler : ICefLifeSpanHandler); virtual;
Protected | procedure GetLoadHandler(var aHandler : ICefLoadHandler); virtual;
Protected | procedure GetPrintHandler(var aHandler : ICefPrintHandler); virtual;
Protected | procedure GetRenderHandler(var aHandler : ICefRenderHandler); virtual;
Protected | procedure GetRequestHandler(var aHandler : ICefRequestHandler); virtual;
Protected | function OnProcessMessageReceived(const browser: ICefBrowser; const frame: ICefFrame; sourceProcess: TCefProcessId; const message_ : ICefProcessMessage): Boolean; virtual;
Protected | procedure RemoveReferences; virtual;
Public | constructor Create; virtual;

Description

Methods

Protected procedure GetAudioHandler(var aHandler : ICefAudioHandler); virtual;

This item has no description. Showing description inherited from ICefClient.GetAudioHandler.

Return the handler for audio rendering events.

Protected procedure GetCommandHandler(var aHandler : ICefCommandHandler); virtual;

This item has no description. Showing description inherited from ICefClient.GetCommandHandler.

Return the handler for commands. If no handler is provided the default implementation will be used.

Protected procedure GetContextMenuHandler(var aHandler : ICefContextMenuHandler); virtual;

This item has no description. Showing description inherited from ICefClient.GetContextMenuHandler.

Return the handler for context menus. If no handler is provided the default implementation will be used.

Protected procedure GetDialogHandler(var aHandler : ICefDialogHandler); virtual;

This item has no description. Showing description inherited from ICefClient.GetDialogHandler.

Return the handler for dialogs. If no handler is provided the default implementation will be used.

Protected procedure GetDisplayHandler(var aHandler : ICefDisplayHandler); virtual;

This item has no description. Showing description inherited from ICefClient.GetDisplayHandler.

Return the handler for browser display state events.

Protected procedure GetDownloadHandler(var aHandler : ICefDownloadHandler); virtual;

This item has no description. Showing description inherited from ICefClient.GetDownloadHandler.

Return the handler for download events. If no handler is returned downloads will not be allowed.

Protected procedure GetDragHandler(var aHandler : ICefDragHandler); virtual;

This item has no description. Showing description inherited from ICefClient.GetDragHandler.

Return the handler for drag events.

Protected procedure GetFindHandler(var aHandler : ICefFindHandler); virtual;

This item has no description. Showing description inherited from ICefClient.GetFindHandler.

Return the handler for find result events.

Protected procedure GetFocusHandler(var aHandler : ICefFocusHandler); virtual;

This item has no description. Showing description inherited from ICefClient.GetFocusHandler.

Return the handler for focus events.

Protected procedure GetFrameHandler(var aHandler : ICefFrameHandler); virtual;

This item has no description. Showing description inherited from ICefClient.GetFrameHandler.

Return the handler for events related to ICefFrame lifespan. This function will be called once during ICefBrowser creation and the result will be cached for performance reasons.

Protected procedure GetPermissionHandler(var aHandler: ICefPermissionHandler); virtual;

This item has no description. Showing description inherited from ICefClient.GetPermissionHandler.

Return the handler for permission requests.

Protected procedure GetJsdialogHandler(var aHandler : ICefJsdialogHandler); virtual;

This item has no description. Showing description inherited from ICefClient.GetJsdialogHandler.

Return the handler for JavaScript dialogs. If no handler is provided the default implementation will be used.

Protected procedure GetKeyboardHandler(var aHandler : ICefKeyboardHandler); virtual;

This item has no description. Showing description inherited from ICefClient.GetKeyboardHandler.

Return the handler for keyboard events.

Protected procedure GetLifeSpanHandler(var aHandler : ICefLifeSpanHandler); virtual;

This item has no description. Showing description inherited from ICefClient.GetLifeSpanHandler.

Return the handler for browser life span events.

Protected procedure GetLoadHandler(var aHandler : ICefLoadHandler); virtual;

This item has no description. Showing description inherited from ICefClient.GetLoadHandler.

Return the handler for browser load status events.

Protected procedure GetPrintHandler(var aHandler : ICefPrintHandler); virtual;

This item has no description. Showing description inherited from ICefClient.GetPrintHandler.

Return the handler for printing on Linux. If a print handler is not provided then printing will not be supported on the Linux platform.

Protected procedure GetRenderHandler(var aHandler : ICefRenderHandler); virtual;

This item has no description. Showing description inherited from ICefClient.GetRenderHandler.

Return the handler for off-screen rendering events.

Protected procedure GetRequestHandler(var aHandler : ICefRequestHandler); virtual;

This item has no description. Showing description inherited from ICefClient.GetRequestHandler.

Return the handler for browser request events.

Protected function OnProcessMessageReceived(const browser: ICefBrowser; const frame: ICefFrame; sourceProcess: TCefProcessId; const message_ : ICefProcessMessage): Boolean; virtual;

This item has no description. Showing description inherited from ICefClient.OnProcessMessageReceived.

Called when a new message is received from a different process. Return true (1) if the message was handled or false (0) otherwise. It is safe to keep a reference to |message| outside of this callback.

Protected procedure RemoveReferences; virtual;

This item has no description. Showing description inherited from ICefClient.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFClient: Class TCustomClientHandler

Class TCustomClientHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFClient

Declaration

type TCustomClientHandler = class(TCefClientOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefClientOwn
  • TCustomClientHandler

Overview

Fields

Protected | FEvents: Pointer;
Protected | FAudioHandler: ICefAudioHandler;
Protected | FCommandHandler: ICefCommandHandler;
Protected | FLoadHandler: ICefLoadHandler;
Protected | FFocusHandler: ICefFocusHandler;
Protected | FContextMenuHandler: ICefContextMenuHandler;
Protected | FDialogHandler: ICefDialogHandler;
Protected | FKeyboardHandler: ICefKeyboardHandler;
Protected | FDisplayHandler: ICefDisplayHandler;
Protected | FDownloadHandler: ICefDownloadHandler;
Protected | FJsDialogHandler: ICefJsDialogHandler;
Protected | FLifeSpanHandler: ICefLifeSpanHandler;
Protected | FRenderHandler: ICefRenderHandler;
Protected | FRequestHandler: ICefRequestHandler;
Protected | FDragHandler: ICefDragHandler;
Protected | FFindHandler: ICefFindHandler;
Protected | FPrintHandler: ICefPrintHandler;
Protected | FFrameHandler: ICefFrameHandler;
Protected | FPermissionHandler: ICefPermissionHandler;

Methods

Protected | procedure GetAudioHandler(var aHandler : ICefAudioHandler); override;
Protected | procedure GetCommandHandler(var aHandler : ICefCommandHandler); override;
Protected | procedure GetContextMenuHandler(var aHandler : ICefContextMenuHandler); override;
Protected | procedure GetDialogHandler(var aHandler : ICefDialogHandler); override;
Protected | procedure GetDisplayHandler(var aHandler : ICefDisplayHandler); override;
Protected | procedure GetDownloadHandler(var aHandler : ICefDownloadHandler); override;
Protected | procedure GetDragHandler(var aHandler : ICefDragHandler); override;
Protected | procedure GetFindHandler(var aHandler : ICefFindHandler); override;
Protected | procedure GetFocusHandler(var aHandler : ICefFocusHandler); override;
Protected | procedure GetFrameHandler(var aHandler : ICefFrameHandler); override;
Protected | procedure GetPermissionHandler(var aHandler: ICefPermissionHandler); override;
Protected | procedure GetJsdialogHandler(var aHandler : ICefJsdialogHandler); override;
Protected | procedure GetKeyboardHandler(var aHandler : ICefKeyboardHandler); override;
Protected | procedure GetLifeSpanHandler(var aHandler : ICefLifeSpanHandler); override;
Protected | procedure GetLoadHandler(var aHandler : ICefLoadHandler); override;
Protected | procedure GetPrintHandler(var aHandler : ICefPrintHandler); override;
Protected | procedure GetRenderHandler(var aHandler : ICefRenderHandler); override;
Protected | procedure GetRequestHandler(var aHandler : ICefRequestHandler); override;
Protected | function OnProcessMessageReceived(const browser: ICefBrowser; const frame: ICefFrame; sourceProcess: TCefProcessId; const message_ : ICefProcessMessage): Boolean; override;
Protected | procedure InitializeVars;
Public | constructor Create(const events: IChromiumEvents; aDevToolsClient : boolean = False); reintroduce; virtual;
Public | procedure BeforeDestruction; override;
Public | procedure RemoveReferences; override;

Description

Fields

Protected FEvents: Pointer;

This item has no description.

Protected FAudioHandler: ICefAudioHandler;

This item has no description.

Protected FCommandHandler: ICefCommandHandler;

This item has no description.

Protected FLoadHandler: ICefLoadHandler;

This item has no description.

Protected FFocusHandler: ICefFocusHandler;

This item has no description.

Protected FContextMenuHandler: ICefContextMenuHandler;

This item has no description.

Protected FDialogHandler: ICefDialogHandler;

This item has no description.

Protected FKeyboardHandler: ICefKeyboardHandler;

This item has no description.

Protected FDisplayHandler: ICefDisplayHandler;

This item has no description.

Protected FDownloadHandler: ICefDownloadHandler;

This item has no description.

Protected FJsDialogHandler: ICefJsDialogHandler;

This item has no description.

Protected FLifeSpanHandler: ICefLifeSpanHandler;

This item has no description.

Protected FRenderHandler: ICefRenderHandler;

This item has no description.

Protected FRequestHandler: ICefRequestHandler;

This item has no description.

Protected FDragHandler: ICefDragHandler;

This item has no description.

Protected FFindHandler: ICefFindHandler;

This item has no description.

Protected FPrintHandler: ICefPrintHandler;

This item has no description.

Protected FFrameHandler: ICefFrameHandler;

This item has no description.

Protected FPermissionHandler: ICefPermissionHandler;

This item has no description.

Methods

Protected procedure GetAudioHandler(var aHandler : ICefAudioHandler); override;

This item has no description. Showing description inherited from ICefClient.GetAudioHandler.

Return the handler for audio rendering events.

Protected procedure GetCommandHandler(var aHandler : ICefCommandHandler); override;

This item has no description. Showing description inherited from ICefClient.GetCommandHandler.

Return the handler for commands. If no handler is provided the default implementation will be used.

Protected procedure GetContextMenuHandler(var aHandler : ICefContextMenuHandler); override;

This item has no description. Showing description inherited from ICefClient.GetContextMenuHandler.

Return the handler for context menus. If no handler is provided the default implementation will be used.

Protected procedure GetDialogHandler(var aHandler : ICefDialogHandler); override;

This item has no description. Showing description inherited from ICefClient.GetDialogHandler.

Return the handler for dialogs. If no handler is provided the default implementation will be used.

Protected procedure GetDisplayHandler(var aHandler : ICefDisplayHandler); override;

This item has no description. Showing description inherited from ICefClient.GetDisplayHandler.

Return the handler for browser display state events.

Protected procedure GetDownloadHandler(var aHandler : ICefDownloadHandler); override;

This item has no description. Showing description inherited from ICefClient.GetDownloadHandler.

Return the handler for download events. If no handler is returned downloads will not be allowed.

Protected procedure GetDragHandler(var aHandler : ICefDragHandler); override;

This item has no description. Showing description inherited from ICefClient.GetDragHandler.

Return the handler for drag events.

Protected procedure GetFindHandler(var aHandler : ICefFindHandler); override;

This item has no description. Showing description inherited from ICefClient.GetFindHandler.

Return the handler for find result events.

Protected procedure GetFocusHandler(var aHandler : ICefFocusHandler); override;

This item has no description. Showing description inherited from ICefClient.GetFocusHandler.

Return the handler for focus events.

Protected procedure GetFrameHandler(var aHandler : ICefFrameHandler); override;

This item has no description. Showing description inherited from ICefClient.GetFrameHandler.

Return the handler for events related to ICefFrame lifespan. This function will be called once during ICefBrowser creation and the result will be cached for performance reasons.

Protected procedure GetPermissionHandler(var aHandler: ICefPermissionHandler); override;

This item has no description. Showing description inherited from ICefClient.GetPermissionHandler.

Return the handler for permission requests.

Protected procedure GetJsdialogHandler(var aHandler : ICefJsdialogHandler); override;

This item has no description. Showing description inherited from ICefClient.GetJsdialogHandler.

Return the handler for JavaScript dialogs. If no handler is provided the default implementation will be used.

Protected procedure GetKeyboardHandler(var aHandler : ICefKeyboardHandler); override;

This item has no description. Showing description inherited from ICefClient.GetKeyboardHandler.

Return the handler for keyboard events.

Protected procedure GetLifeSpanHandler(var aHandler : ICefLifeSpanHandler); override;

This item has no description. Showing description inherited from ICefClient.GetLifeSpanHandler.

Return the handler for browser life span events.

Protected procedure GetLoadHandler(var aHandler : ICefLoadHandler); override;

This item has no description. Showing description inherited from ICefClient.GetLoadHandler.

Return the handler for browser load status events.

Protected procedure GetPrintHandler(var aHandler : ICefPrintHandler); override;

This item has no description. Showing description inherited from ICefClient.GetPrintHandler.

Return the handler for printing on Linux. If a print handler is not provided then printing will not be supported on the Linux platform.

Protected procedure GetRenderHandler(var aHandler : ICefRenderHandler); override;

This item has no description. Showing description inherited from ICefClient.GetRenderHandler.

Return the handler for off-screen rendering events.

Protected procedure GetRequestHandler(var aHandler : ICefRequestHandler); override;

This item has no description. Showing description inherited from ICefClient.GetRequestHandler.

Return the handler for browser request events.

Protected function OnProcessMessageReceived(const browser: ICefBrowser; const frame: ICefFrame; sourceProcess: TCefProcessId; const message_ : ICefProcessMessage): Boolean; override;

This item has no description. Showing description inherited from ICefClient.OnProcessMessageReceived.

Called when a new message is received from a different process. Return true (1) if the message was handled or false (0) otherwise. It is safe to keep a reference to |message| outside of this callback.

Protected procedure InitializeVars;

This item has no description.

Public constructor Create(const events: IChromiumEvents; aDevToolsClient : boolean = False); reintroduce; virtual;

This item has no description.

Public procedure BeforeDestruction; override;

This item has no description.

Public procedure RemoveReferences; override;

This item has no description. Showing description inherited from ICefClient.RemoveReferences.

Custom procedure to clear all references.


cef4delphi: uCEFCommandHandler

Unit uCEFCommandHandler

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefCommandHandlerOwn |
Class TCustomCommandHandler |


cef4delphi: uCEFCommandHandler: Class TCefCommandHandlerOwn

Class TCefCommandHandlerOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFCommandHandler

Declaration

type TCefCommandHandlerOwn = class(TCefBaseRefCountedOwn, ICefCommandHandler)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefCommandHandlerOwn

Overview

Methods

Protected | function OnChromeCommand(const browser: ICefBrowser; command_id: integer; disposition: TCefWindowOpenDisposition): boolean; virtual;
Protected | function OnIsChromeAppMenuItemVisible(const browser: ICefBrowser; command_id: integer): boolean; virtual;
Protected | function OnIsChromeAppMenuItemEnabled(const browser: ICefBrowser; command_id: integer): boolean; virtual;
Protected | function OnIsChromePageActionIconVisible(icon_type: TCefChromePageActionIconType): boolean; virtual;
Protected | function OnIsChromeToolbarButtonVisible(button_type: TCefChromeToolbarButtonType): boolean; virtual;
Protected | procedure RemoveReferences; virtual;
Public | constructor Create; virtual;

Description

Methods

Protected function OnChromeCommand(const browser: ICefBrowser; command_id: integer; disposition: TCefWindowOpenDisposition): boolean; virtual;

This item has no description. Showing description inherited from ICefCommandHandler.OnChromeCommand.

Called to execute a Chrome command triggered via menu selection or keyboard shortcut. Use the cef_id_for_command_id_name() function for version-safe mapping of command IDC names from cef_command_ids.h to version-specific numerical |command_id| values. |disposition| provides information about the intended command target. Return true (1) if the command was handled or false (0) for the default implementation. For context menu commands this will be called after ICefContextMenuHandler.OnContextMenuCommand. Only used with Chrome style.

Protected function OnIsChromeAppMenuItemVisible(const browser: ICefBrowser; command_id: integer): boolean; virtual;

This item has no description. Showing description inherited from ICefCommandHandler.OnIsChromeAppMenuItemVisible.

Called to check if a Chrome app menu item should be visible. Use the cef_id_for_command_id_name() function for version-safe mapping of command IDC names from cef_command_ids.h to version-specific numerical |command_id| values. Only called for menu items that would be visible by default. Only used with Chrome style.

Protected function OnIsChromeAppMenuItemEnabled(const browser: ICefBrowser; command_id: integer): boolean; virtual;

This item has no description. Showing description inherited from ICefCommandHandler.OnIsChromeAppMenuItemEnabled.

Called to check if a Chrome app menu item should be enabled. Use the cef_id_for_command_id_name() function for version-safe mapping of command IDC names from cef_command_ids.h to version-specific numerical |command_id| values. Only called for menu items that would be enabled by default. Only used with Chrome style.

Protected function OnIsChromePageActionIconVisible(icon_type: TCefChromePageActionIconType): boolean; virtual;

This item has no description. Showing description inherited from ICefCommandHandler.OnIsChromePageActionIconVisible.

Called during browser creation to check if a Chrome page action icon should be visible. Only called for icons that would be visible by default. Only used with Chrome style.

Protected function OnIsChromeToolbarButtonVisible(button_type: TCefChromeToolbarButtonType): boolean; virtual;

This item has no description. Showing description inherited from ICefCommandHandler.OnIsChromeToolbarButtonVisible.

Called during browser creation to check if a Chrome toolbar button should be visible. Only called for buttons that would be visible by default. Only used with Chrome style.

Protected procedure RemoveReferences; virtual;

This item has no description. Showing description inherited from ICefCommandHandler.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFCommandHandler: Class TCustomCommandHandler

Class TCustomCommandHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFCommandHandler

Declaration

type TCustomCommandHandler = class(TCefCommandHandlerOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefCommandHandlerOwn
  • TCustomCommandHandler

Overview

Fields

Protected FEvents: Pointer;

Methods

Protected | function OnChromeCommand(const browser: ICefBrowser; command_id: integer; disposition: TCefWindowOpenDisposition): boolean; override;
Protected | function OnIsChromeAppMenuItemVisible(const browser: ICefBrowser; command_id: integer): boolean; override;
Protected | function OnIsChromeAppMenuItemEnabled(const browser: ICefBrowser; command_id: integer): boolean; override;
Protected | function OnIsChromePageActionIconVisible(icon_type: TCefChromePageActionIconType): boolean; override;
Protected | function OnIsChromeToolbarButtonVisible(button_type: TCefChromeToolbarButtonType): boolean; override;
Protected | procedure RemoveReferences; override;
Public | constructor Create(const events : IChromiumEvents); reintroduce; virtual;
Public | destructor Destroy; override;

Description

Fields

Protected FEvents: Pointer;

This item has no description.

Methods

Protected function OnChromeCommand(const browser: ICefBrowser; command_id: integer; disposition: TCefWindowOpenDisposition): boolean; override;

This item has no description. Showing description inherited from ICefCommandHandler.OnChromeCommand.

Called to execute a Chrome command triggered via menu selection or keyboard shortcut. Use the cef_id_for_command_id_name() function for version-safe mapping of command IDC names from cef_command_ids.h to version-specific numerical |command_id| values. |disposition| provides information about the intended command target. Return true (1) if the command was handled or false (0) for the default implementation. For context menu commands this will be called after ICefContextMenuHandler.OnContextMenuCommand. Only used with Chrome style.

Protected function OnIsChromeAppMenuItemVisible(const browser: ICefBrowser; command_id: integer): boolean; override;

This item has no description. Showing description inherited from ICefCommandHandler.OnIsChromeAppMenuItemVisible.

Called to check if a Chrome app menu item should be visible. Use the cef_id_for_command_id_name() function for version-safe mapping of command IDC names from cef_command_ids.h to version-specific numerical |command_id| values. Only called for menu items that would be visible by default. Only used with Chrome style.

Protected function OnIsChromeAppMenuItemEnabled(const browser: ICefBrowser; command_id: integer): boolean; override;

This item has no description. Showing description inherited from ICefCommandHandler.OnIsChromeAppMenuItemEnabled.

Called to check if a Chrome app menu item should be enabled. Use the cef_id_for_command_id_name() function for version-safe mapping of command IDC names from cef_command_ids.h to version-specific numerical |command_id| values. Only called for menu items that would be enabled by default. Only used with Chrome style.

Protected function OnIsChromePageActionIconVisible(icon_type: TCefChromePageActionIconType): boolean; override;

This item has no description. Showing description inherited from ICefCommandHandler.OnIsChromePageActionIconVisible.

Called during browser creation to check if a Chrome page action icon should be visible. Only called for icons that would be visible by default. Only used with Chrome style.

Protected function OnIsChromeToolbarButtonVisible(button_type: TCefChromeToolbarButtonType): boolean; override;

This item has no description. Showing description inherited from ICefCommandHandler.OnIsChromeToolbarButtonVisible.

Called during browser creation to check if a Chrome toolbar button should be visible. Only called for buttons that would be visible by default. Only used with Chrome style.

Protected procedure RemoveReferences; override;

This item has no description. Showing description inherited from ICefCommandHandler.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create(const events : IChromiumEvents); reintroduce; virtual;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFCommandLine

Unit uCEFCommandLine

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefCommandLineRef |


cef4delphi: uCEFCommandLine: Class TCefCommandLineRef

Class TCefCommandLineRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFCommandLine

Declaration

type TCefCommandLineRef = class(TCefBaseRefCountedRef, ICefCommandLine)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefCommandLineRef

Overview

Methods

Protected | function IsValid: Boolean;
Protected | function IsReadOnly: Boolean;
Protected | function Copy: ICefCommandLine;
Protected | procedure InitFromArgv(argc: Integer; const argv: PPAnsiChar);
Protected | procedure InitFromString(const commandLine: ustring);
Protected | procedure Reset;
Protected | function GetCommandLineString: ustring;
Protected | procedure GetArgv(var args: TStrings);
Protected | function GetProgram: ustring;
Protected | procedure SetProgram(const prog: ustring);
Protected | function HasSwitches: Boolean;
Protected | function HasSwitch(const name: ustring): Boolean;
Protected | function GetSwitchValue(const name: ustring): ustring;
Protected | function GetSwitches(var switches: TStrings): boolean; overload;
Protected | function GetSwitches(var SwitchKeys, SwitchValues: TStringList): boolean; overload;
Protected | procedure AppendSwitch(const name: ustring);
Protected | procedure AppendSwitchWithValue(const name, value: ustring);
Protected | function HasArguments: Boolean;
Protected | procedure GetArguments(var arguments: TStrings);
Protected | procedure AppendArgument(const argument: ustring);
Protected | procedure PrependWrapper(const wrapper: ustring);
Public | class function UnWrap(data: Pointer): ICefCommandLine;
Public | class function New: ICefCommandLine;
Public | class function Global: ICefCommandLine;

Description

Methods

Protected function IsValid: Boolean;

This item has no description. Showing description inherited from ICefCommandLine.IsValid.

Returns true (1) if this object is valid. Do not call any other functions if this function returns false (0).

Protected function IsReadOnly: Boolean;

This item has no description. Showing description inherited from ICefCommandLine.IsReadOnly.

Returns true (1) if the values of this object are read-only. Some APIs may expose read-only objects.

Protected function Copy: ICefCommandLine;

This item has no description. Showing description inherited from ICefCommandLine.Copy.

Returns a writable copy of this object.

Protected procedure InitFromArgv(argc: Integer; const argv: PPAnsiChar);

This item has no description. Showing description inherited from ICefCommandLine.InitFromArgv.

Initialize the command line with the specified |argc| and |argv| values. The first argument must be the name of the program. This function is only supported on non-Windows platforms.

Protected procedure InitFromString(const commandLine: ustring);

This item has no description. Showing description inherited from ICefCommandLine.InitFromString.

Initialize the command line with the string returned by calling GetCommandLineW(). This function is only supported on Windows.

Protected procedure Reset;

This item has no description. Showing description inherited from ICefCommandLine.Reset.

Reset the command-line switches and arguments but leave the program component unchanged.

Protected function GetCommandLineString: ustring;

This item has no description. Showing description inherited from ICefCommandLine.GetCommandLineString.

Constructs and returns the represented command line string. Use this function cautiously because quoting behavior is unclear.

Protected procedure GetArgv(var args: TStrings);

This item has no description. Showing description inherited from ICefCommandLine.GetArgv.

Retrieve the original command line string as a vector of strings. The argv array: `{ program, [(–|-|/)switch[=value]]*, [–], [argument]* }`

Protected function GetProgram: ustring;

This item has no description. Showing description inherited from ICefCommandLine.GetProgram.

Get the program part of the command line string (the first item).

Protected procedure SetProgram(const prog: ustring);

This item has no description. Showing description inherited from ICefCommandLine.SetProgram.

Set the program part of the command line string (the first item).

Protected function HasSwitches: Boolean;

This item has no description. Showing description inherited from ICefCommandLine.HasSwitches.

Returns true (1) if the command line has switches.

Protected function HasSwitch(const name: ustring): Boolean;

This item has no description. Showing description inherited from ICefCommandLine.HasSwitch.

Returns true (1) if the command line contains the given switch.

Protected function GetSwitchValue(const name: ustring): ustring;

This item has no description. Showing description inherited from ICefCommandLine.GetSwitchValue.

Returns the value associated with the given switch. If the switch has no value or isn't present this function returns the NULL string.

Protected function GetSwitches(var switches: TStrings): boolean; overload;

This item has no description. Showing description inherited from ICefCommandLine.GetSwitches.

Returns the map of switch names and values. If a switch has no value an NULL string is returned.

Protected function GetSwitches(var SwitchKeys, SwitchValues: TStringList): boolean; overload;

This item has no description. Showing description inherited from ICefCommandLine.GetSwitches.

Returns the map of switch names and values. If a switch has no value an NULL string is returned.

Protected procedure AppendSwitch(const name: ustring);

This item has no description. Showing description inherited from ICefCommandLine.AppendSwitch.

Add a switch to the end of the command line.

Protected procedure AppendSwitchWithValue(const name, value: ustring);

This item has no description. Showing description inherited from ICefCommandLine.AppendSwitchWithValue.

Add a switch with the specified value to the end of the command line. If the switch has no value pass an NULL value string.

Protected function HasArguments: Boolean;

This item has no description. Showing description inherited from ICefCommandLine.HasArguments.

True if there are remaining command line arguments.

Protected procedure GetArguments(var arguments: TStrings);

This item has no description. Showing description inherited from ICefCommandLine.GetArguments.

Get the remaining command line arguments.

Protected procedure AppendArgument(const argument: ustring);

This item has no description. Showing description inherited from ICefCommandLine.AppendArgument.

Add an argument to the end of the command line.

Protected procedure PrependWrapper(const wrapper: ustring);

This item has no description. Showing description inherited from ICefCommandLine.PrependWrapper.

Insert a command before the current command. Common for debuggers, like "valgrind" or "gdb –args".

Public class function UnWrap(data: Pointer): ICefCommandLine;

Returns a ICefCommandLine instance using a PCefCommandLine data pointer.

Public class function New: ICefCommandLine;

Create a new ICefCommandLine instance.

Public class function Global: ICefCommandLine;

Returns the singleton global ICefCommandLine object. The returned object will be read-only.


cef4delphi: uCEFCompletionCallback

Unit uCEFCompletionCallback

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefCompletionCallbackOwn |
Class TCefFastCompletionCallback |
Class TCefEventCompletionCallback |
Class TCefCustomCompletionCallback |


cef4delphi: uCEFCompletionCallback: Class TCefCompletionCallbackOwn

Class TCefCompletionCallbackOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFCompletionCallback

Declaration

type TCefCompletionCallbackOwn = class(TCefBaseRefCountedOwn, ICefCompletionCallback)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefCompletionCallbackOwn

Overview

Methods

Protected | procedure OnComplete; virtual;
Public | constructor Create; virtual;

Description

Methods

Protected procedure OnComplete; virtual;

This item has no description. Showing description inherited from ICefCompletionCallback.OnComplete.

Method that will be called once the task is complete.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFCompletionCallback: Class TCefFastCompletionCallback

Class TCefFastCompletionCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFCompletionCallback

Declaration

type TCefFastCompletionCallback = class(TCefCompletionCallbackOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefCompletionCallbackOwn
  • TCefFastCompletionCallback

Overview

Fields

Protected FProc: TCefCompletionCallbackProc;

Methods

Protected | procedure OnComplete; override;
Public | constructor Create(const proc: TCefCompletionCallbackProc); reintroduce;

Description

Fields

Protected FProc: TCefCompletionCallbackProc;

This item has no description.

Methods

Protected procedure OnComplete; override;

This item has no description. Showing description inherited from ICefCompletionCallback.OnComplete.

Method that will be called once the task is complete.

Public constructor Create(const proc: TCefCompletionCallbackProc); reintroduce;

This item has no description.


cef4delphi: uCEFCompletionCallback: Class TCefEventCompletionCallback

Class TCefEventCompletionCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFCompletionCallback

Declaration

type TCefEventCompletionCallback = class(TCefCompletionCallbackOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefCompletionCallbackOwn
  • TCefEventCompletionCallback

Overview

Fields

Protected FEvent: ICefWaitableEvent;

Methods

Protected | procedure OnComplete; override;
Public | constructor Create(const event : ICefWaitableEvent); reintroduce;
Public | destructor Destroy; override;

Description

Fields

Protected FEvent: ICefWaitableEvent;

This item has no description.

Methods

Protected procedure OnComplete; override;

This item has no description. Showing description inherited from ICefCompletionCallback.OnComplete.

Method that will be called once the task is complete.

Public constructor Create(const event : ICefWaitableEvent); reintroduce;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFCompletionCallback: Class TCefCustomCompletionCallback

Class TCefCustomCompletionCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFCompletionCallback

Declaration

type TCefCustomCompletionCallback = class(TCefCompletionCallbackOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefCompletionCallbackOwn
  • TCefCustomCompletionCallback

Overview

Fields

Protected FEvents: Pointer;

Methods

Public | constructor Create(const aEvents : IChromiumEvents); reintroduce;
Public | destructor Destroy; override;

Description

Fields

Protected FEvents: Pointer;

This item has no description.

Methods

Public constructor Create(const aEvents : IChromiumEvents); reintroduce;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFComponentIdList

Unit uCEFComponentIdList

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCEFComponentIdList | Class used to keep a list of valid custom component IDs for any component that handles a CEF Task event.


cef4delphi: uCEFComponentIdList: Class TCEFComponentIdList

Class TCEFComponentIdList

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFComponentIdList

Declaration

type TCEFComponentIdList = class(TObject)

Description

Class used to keep a list of valid custom component IDs for any component that handles a CEF Task event.

Hierarchy

  • TObject
  • TCEFComponentIdList

Overview

Fields

Protected | FList: TList;
Protected | FIdGen: integer;
Protected | FSyncObj: TCriticalSection;

Methods

Protected | function GetInitialized: boolean;
Protected | function Lock: boolean;
Protected | procedure Unlock;
Public | constructor Create;
Public | destructor Destroy; override;
Public | procedure AfterConstruction; override;
Public | function ValidID(aID : integer) : boolean;
Public | function NextID: integer;
Public | procedure RemoveID(aID : integer);

Properties

Public property Initialized : boolean read GetInitialized;

Description

Fields

Protected FList: TList;

Using a TList for backwards compatibility reasons.

Protected FIdGen: integer;

This item has no description.

Protected FSyncObj: TCriticalSection;

This item has no description.

Methods

Protected function GetInitialized: boolean;

This item has no description.

Protected function Lock: boolean;

This item has no description.

Protected procedure Unlock;

This item has no description.

Public constructor Create;

This item has no description.

Public destructor Destroy; override;

This item has no description.

Public procedure AfterConstruction; override;

This item has no description.

Public function ValidID(aID : integer) : boolean;

Returns true if a custom component ID is valid before executing a CEF task.

Public function NextID: integer;

Returns the next component ID and adds this value to the valid ID list.

Public procedure RemoveID(aID : integer);

Removes a component ID from the valid ID list when a component is destroyed.

Properties

Public property Initialized : boolean read GetInitialized;

Returns true when this class is fully initialized and ready to be used.


cef4delphi: uCEFConstants

Unit uCEFConstants

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Constants

ERR_NONE = 0;
ERR_IO_PENDING = -1;
ERR_FAILED = -2;
ERR_ABORTED = -3;
ERR_INVALID_ARGUMENT = -4;
ERR_INVALID_HANDLE = -5;
ERR_FILE_NOT_FOUND = -6;
ERR_TIMED_OUT = -7;
ERR_FILE_TOO_BIG = -8;
ERR_UNEXPECTED = -9;
ERR_ACCESS_DENIED = -10;
ERR_NOT_IMPLEMENTED = -11;
ERR_INSUFFICIENT_RESOURCES = -12;
ERR_OUT_OF_MEMORY = -13;
ERR_UPLOAD_FILE_CHANGED = -14;
ERR_SOCKET_NOT_CONNECTED = -15;
ERR_FILE_EXISTS = -16;
ERR_FILE_PATH_TOO_LONG = -17;
ERR_FILE_NO_SPACE = -18;
ERR_FILE_VIRUS_INFECTED = -19;
ERR_BLOCKED_BY_CLIENT = -20;
ERR_NETWORK_CHANGED = -21;
ERR_BLOCKED_BY_ADMINISTRATOR = -22;
ERR_SOCKET_IS_CONNECTED = -23;
ERR_UPLOAD_STREAM_REWIND_NOT_SUPPORTED = -25;
ERR_CONTEXT_SHUT_DOWN = -26;
ERR_BLOCKED_BY_RESPONSE = -27;
ERR_CLEARTEXT_NOT_PERMITTED = -29;
ERR_BLOCKED_BY_CSP = -30;
ERR_BLOCKED_BY_ORB = -32;
ERR_NETWORK_ACCESS_REVOKED = -33;
ERR_BLOCKED_BY_FINGERPRINTING_PROTECTION = -34;
ERR_CONNECTION_CLOSED = -100;
ERR_CONNECTION_RESET = -101;
ERR_CONNECTION_REFUSED = -102;
ERR_CONNECTION_ABORTED = -103;
ERR_CONNECTION_FAILED = -104;
ERR_NAME_NOT_RESOLVED = -105;
ERR_INTERNET_DISCONNECTED = -106;
ERR_SSL_PROTOCOL_ERROR = -107;
ERR_ADDRESS_INVALID = -108;
ERR_ADDRESS_UNREACHABLE = -109;
ERR_SSL_CLIENT_AUTH_CERT_NEEDED = -110;
ERR_TUNNEL_CONNECTION_FAILED = -111;
ERR_NO_SSL_VERSIONS_ENABLED = -112;
ERR_SSL_VERSION_OR_CIPHER_MISMATCH = -113;
ERR_SSL_RENEGOTIATION_REQUESTED = -114;
ERR_PROXY_AUTH_UNSUPPORTED = -115;
ERR_BAD_SSL_CLIENT_AUTH_CERT = -117;
ERR_CONNECTION_TIMED_OUT = -118;
ERR_HOST_RESOLVER_QUEUE_TOO_LARGE = -119;
ERR_SOCKS_CONNECTION_FAILED = -120;
ERR_SOCKS_CONNECTION_HOST_UNREACHABLE = -121;
ERR_ALPN_NEGOTIATION_FAILED = -122;
ERR_SSL_NO_RENEGOTIATION = -123;
ERR_WINSOCK_UNEXPECTED_WRITTEN_BYTES = -124;
ERR_SSL_DECOMPRESSION_FAILURE_ALERT = -125;
ERR_SSL_BAD_RECORD_MAC_ALERT = -126;
ERR_PROXY_AUTH_REQUESTED = -127;
ERR_PROXY_CONNECTION_FAILED = -130;
ERR_MANDATORY_PROXY_CONFIGURATION_FAILED = -131;
ERR_PRECONNECT_MAX_SOCKET_LIMIT = -133;
ERR_SSL_CLIENT_AUTH_PRIVATE_KEY_ACCESS_DENIED = -134;
ERR_SSL_CLIENT_AUTH_CERT_NO_PRIVATE_KEY = -135;
ERR_PROXY_CERTIFICATE_INVALID = -136;
ERR_NAME_RESOLUTION_FAILED = -137;
ERR_NETWORK_ACCESS_DENIED = -138;
ERR_TEMPORARILY_THROTTLED = -139;
ERR_HTTPS_PROXY_TUNNEL_RESPONSE_REDIRECT = -140;
ERR_SSL_CLIENT_AUTH_SIGNATURE_FAILED = -141;
ERR_MSG_TOO_BIG = -142;
ERR_WS_PROTOCOL_ERROR = -145;
ERR_ADDRESS_IN_USE = -147;
ERR_SSL_HANDSHAKE_NOT_COMPLETED = -148;
ERR_SSL_BAD_PEER_PUBLIC_KEY = -149;
ERR_SSL_PINNED_KEY_NOT_IN_CERT_CHAIN = -150;
ERR_CLIENT_AUTH_CERT_TYPE_UNSUPPORTED = -151;
ERR_SSL_DECRYPT_ERROR_ALERT = -153;
ERR_WS_THROTTLE_QUEUE_TOO_LARGE = -154;
ERR_SSL_SERVER_CERT_CHANGED = -156;
ERR_SSL_UNRECOGNIZED_NAME_ALERT = -159;
ERR_SOCKET_SET_RECEIVE_BUFFER_SIZE_ERROR = -160;
ERR_SOCKET_SET_SEND_BUFFER_SIZE_ERROR = -161;
ERR_SOCKET_RECEIVE_BUFFER_SIZE_UNCHANGEABLE = -162;
ERR_SOCKET_SEND_BUFFER_SIZE_UNCHANGEABLE = -163;
ERR_SSL_CLIENT_AUTH_CERT_BAD_FORMAT = -164;
ERR_ICANN_NAME_COLLISION = -166;
ERR_SSL_SERVER_CERT_BAD_FORMAT = -167;
ERR_CT_STH_PARSING_FAILED = -168;
ERR_CT_STH_INCOMPLETE = -169;
ERR_UNABLE_TO_REUSE_CONNECTION_FOR_PROXY_AUTH = -170;
ERR_CT_CONSISTENCY_PROOF_PARSING_FAILED = -171;
ERR_SSL_OBSOLETE_CIPHER = -172;
ERR_WS_UPGRADE = -173;
ERR_READ_IF_READY_NOT_IMPLEMENTED = -174;
ERR_NO_BUFFER_SPACE = -176;
ERR_SSL_CLIENT_AUTH_NO_COMMON_ALGORITHMS = -177;
ERR_EARLY_DATA_REJECTED = -178;
ERR_WRONG_VERSION_ON_EARLY_DATA = -179;
ERR_TLS13_DOWNGRADE_DETECTED = -180;
ERR_SSL_KEY_USAGE_INCOMPATIBLE = -181;
ERR_INVALID_ECH_CONFIG_LIST = -182;
ERR_ECH_NOT_NEGOTIATED = -183;
ERR_ECH_FALLBACK_CERTIFICATE_INVALID = -184;
ERR_CERT_COMMON_NAME_INVALID = -200;
ERR_CERT_DATE_INVALID = -201;
ERR_CERT_AUTHORITY_INVALID = -202;
ERR_CERT_CONTAINS_ERRORS = -203;
ERR_CERT_NO_REVOCATION_MECHANISM = -204;
ERR_CERT_UNABLE_TO_CHECK_REVOCATION = -205;
ERR_CERT_REVOKED = -206;
ERR_CERT_INVALID = -207;
ERR_CERT_WEAK_SIGNATURE_ALGORITHM = -208;
ERR_CERT_NON_UNIQUE_NAME = -210;
ERR_CERT_WEAK_KEY = -211;
ERR_CERT_NAME_CONSTRAINT_VIOLATION = -212;
ERR_CERT_VALIDITY_TOO_LONG = -213;
ERR_CERTIFICATE_TRANSPARENCY_REQUIRED = -214;
ERR_CERT_KNOWN_INTERCEPTION_BLOCKED = -217;
ERR_CERT_SELF_SIGNED_LOCAL_NETWORK = -219;
ERR_CERT_END = -220;
ERR_INVALID_URL = -300;
ERR_DISALLOWED_URL_SCHEME = -301;
ERR_UNKNOWN_URL_SCHEME = -302;
ERR_INVALID_REDIRECT = -303;
ERR_TOO_MANY_REDIRECTS = -310;
ERR_UNSAFE_REDIRECT = -311;
ERR_UNSAFE_PORT = -312;
ERR_INVALID_RESPONSE = -320;
ERR_INVALID_CHUNKED_ENCODING = -321;
ERR_METHOD_NOT_SUPPORTED = -322;
ERR_UNEXPECTED_PROXY_AUTH = -323;
ERR_EMPTY_RESPONSE = -324;
ERR_RESPONSE_HEADERS_TOO_BIG = -325;
ERR_PAC_SCRIPT_FAILED = -327;
ERR_REQUEST_RANGE_NOT_SATISFIABLE = -328;
ERR_MALFORMED_IDENTITY = -329;
ERR_CONTENT_DECODING_FAILED = -330;
ERR_NETWORK_IO_SUSPENDED = -331;
ERR_SYN_REPLY_NOT_RECEIVED = -332;
ERR_ENCODING_CONVERSION_FAILED = -333;
ERR_UNRECOGNIZED_FTP_DIRECTORY_LISTING_FORMAT = -334;
ERR_NO_SUPPORTED_PROXIES = -336;
ERR_SPDY_PROTOCOL_ERROR = -337;
ERR_INVALID_AUTH_CREDENTIALS = -338;
ERR_UNSUPPORTED_AUTH_SCHEME = -339;
ERR_ENCODING_DETECTION_FAILED = -340;
ERR_MISSING_AUTH_CREDENTIALS = -341;
ERR_UNEXPECTED_SECURITY_LIBRARY_STATUS = -342;
ERR_MISCONFIGURED_AUTH_ENVIRONMENT = -343;
ERR_UNDOCUMENTED_SECURITY_LIBRARY_STATUS = -344;
ERR_RESPONSE_BODY_TOO_BIG_TO_DRAIN = -345;
ERR_RESPONSE_HEADERS_MULTIPLE_CONTENT_LENGTH = -346;
ERR_INCOMPLETE_SPDY_HEADERS = -347;
ERR_PAC_NOT_IN_DHCP = -348;
ERR_RESPONSE_HEADERS_MULTIPLE_CONTENT_DISPOSITION = -349;
ERR_RESPONSE_HEADERS_MULTIPLE_LOCATION = -350;
ERR_SPDY_SERVER_REFUSED_STREAM = -351;
ERR_SPDY_PING_FAILED = -352;
ERR_CONTENT_LENGTH_MISMATCH = -354;
ERR_INCOMPLETE_CHUNKED_ENCODING = -355;
ERR_QUIC_PROTOCOL_ERROR = -356;
ERR_RESPONSE_HEADERS_TRUNCATED = -357;
ERR_QUIC_HANDSHAKE_FAILED = -358;
ERR_SPDY_INADEQUATE_TRANSPORT_SECURITY = -360;
ERR_SPDY_FLOW_CONTROL_ERROR = -361;
ERR_SPDY_FRAME_SIZE_ERROR = -362;
ERR_SPDY_COMPRESSION_ERROR = -363;
ERR_PROXY_AUTH_REQUESTED_WITH_NO_CONNECTION = -364;
ERR_HTTP_1_1_REQUIRED = -365;
ERR_PROXY_HTTP_1_1_REQUIRED = -366;
ERR_PAC_SCRIPT_TERMINATED = -367;
ERR_PROXY_REQUIRED = -368;
ERR_INVALID_HTTP_RESPONSE = -370;
ERR_CONTENT_DECODING_INIT_FAILED = -371;
ERR_SPDY_RST_STREAM_NO_ERROR_RECEIVED = -372;
ERR_TOO_MANY_RETRIES = -375;
ERR_SPDY_STREAM_CLOSED = -376;
ERR_HTTP_RESPONSE_CODE_FAILURE = -379;
ERR_QUIC_CERT_ROOT_NOT_KNOWN = -380;
ERR_QUIC_GOAWAY_REQUEST_CAN_BE_RETRIED = -381;
ERR_TOO_MANY_ACCEPT_CH_RESTARTS = -382;
ERR_INCONSISTENT_IP_ADDRESS_SPACE = -383;
ERR_CACHED_IP_ADDRESS_SPACE_BLOCKED_BY_PRIVATE_NETWORK_ACCESS_POLICY = -384;
ERR_BLOCKED_BY_PRIVATE_NETWORK_ACCESS_CHECKS = -385;
ERR_ZSTD_WINDOW_SIZE_TOO_BIG = -386;
ERR_DICTIONARY_LOAD_FAILED = -387;
ERR_UNEXPECTED_CONTENT_DICTIONARY_HEADER = -388;
ERR_CACHE_MISS = -400;
ERR_CACHE_READ_FAILURE = -401;
ERR_CACHE_WRITE_FAILURE = -402;
ERR_CACHE_OPERATION_NOT_SUPPORTED = -403;
ERR_CACHE_OPEN_FAILURE = -404;
ERR_CACHE_CREATE_FAILURE = -405;
ERR_CACHE_RACE = -406;
ERR_CACHE_CHECKSUM_READ_FAILURE = -407;
ERR_CACHE_CHECKSUM_MISMATCH = -408;
ERR_CACHE_LOCK_TIMEOUT = -409;
ERR_CACHE_AUTH_FAILURE_AFTER_READ = -410;
ERR_CACHE_ENTRY_NOT_SUITABLE = -411;
ERR_CACHE_DOOM_FAILURE = -412;
ERR_CACHE_OPEN_OR_CREATE_FAILURE = -413;
ERR_INSECURE_RESPONSE = -501;
ERR_NO_PRIVATE_KEY_FOR_CERT = -502;
ERR_ADD_USER_CERT_FAILED = -503;
ERR_INVALID_SIGNED_EXCHANGE = -504;
ERR_INVALID_WEB_BUNDLE = -505;
ERR_TRUST_TOKEN_OPERATION_FAILED = -506;
ERR_TRUST_TOKEN_OPERATION_SUCCESS_WITHOUT_SENDING_REQUEST = -507;
ERR_PKCS12_IMPORT_BAD_PASSWORD = -701;
ERR_PKCS12_IMPORT_FAILED = -702;
ERR_IMPORT_CA_CERT_NOT_CA = -703;
ERR_IMPORT_CERT_ALREADY_EXISTS = -704;
ERR_IMPORT_CA_CERT_FAILED = -705;
ERR_IMPORT_SERVER_CERT_FAILED = -706;
ERR_PKCS12_IMPORT_INVALID_MAC = -707;
ERR_PKCS12_IMPORT_INVALID_FILE = -708;
ERR_PKCS12_IMPORT_UNSUPPORTED = -709;
ERR_KEY_GENERATION_FAILED = -710;
ERR_PRIVATE_KEY_EXPORT_FAILED = -712;
ERR_SELF_SIGNED_CERT_GENERATION_FAILED = -713;
ERR_CERT_DATABASE_CHANGED = -714;
ERR_CERT_VERIFIER_CHANGED = -716;
ERR_DNS_MALFORMED_RESPONSE = -800;
ERR_DNS_SERVER_REQUIRES_TCP = -801;
ERR_DNS_SERVER_FAILED = -802;
ERR_DNS_TIMED_OUT = -803;
ERR_NS_CACHE_MISS = -804;
ERR_DNS_SEARCH_EMPTY = -805;
ERR_DNS_SORT_ERROR = -806;
ERR_DNS_SECURE_RESOLVER_HOSTNAME_RESOLUTION_FAILED = -808;
ERR_DNS_NAME_HTTPS_ONLY = -809;
ERR_DNS_REQUEST_CANCELLED = -810;
ERR_DNS_NO_MATCHING_SUPPORTED_ALPN = -811;
ERR_DNS_SECURE_PROBE_RECORD_INVALID = -814;
ERR_BLOB_INVALID_CONSTRUCTION_ARGUMENTS = -900;
ERR_BLOB_OUT_OF_MEMORY = -901;
ERR_BLOB_FILE_WRITE_FAILED = -902;
ERR_BLOB_SOURCE_DIED_IN_TRANSIT = -903;
ERR_BLOB_DEREFERENCED_WHILE_BUILDING = -904;
ERR_BLOB_REFERENCED_BLOB_BROKEN = -905;
ERR_BLOB_REFERENCED_FILE_UNAVAILABLE = -906;
COMMAND_ID_FIRST_UNBOUNDED = $E000;
IDC_MinimumLabelValue = 4000;
IDC_BACK = 33000;
IDC_FORWARD = 33001;
IDC_RELOAD = 33002;
IDC_HOME = 33003;
IDC_OPEN_CURRENT_URL = 33004;
IDC_STOP = 33006;
IDC_RELOAD_BYPASSING_CACHE = 33007;
IDC_RELOAD_CLEARING_CACHE = 33009;
IDC_NEW_WINDOW = 34000;
IDC_NEW_INCOGNITO_WINDOW = 34001;
IDC_CLOSE_WINDOW = 34012;
IDC_ALWAYS_ON_TOP = 34013;
IDC_NEW_TAB = 34014;
IDC_CLOSE_TAB = 34015;
IDC_SELECT_NEXT_TAB = 34016;
IDC_SELECT_PREVIOUS_TAB = 34017;
IDC_SELECT_TAB_0 = 34018;
IDC_SELECT_TAB_1 = 34019;
IDC_SELECT_TAB_2 = 34020;
IDC_SELECT_TAB_3 = 34021;
IDC_SELECT_TAB_4 = 34022;
IDC_SELECT_TAB_5 = 34023;
IDC_SELECT_TAB_6 = 34024;
IDC_SELECT_TAB_7 = 34025;
IDC_SELECT_LAST_TAB = 34026;
IDC_DUPLICATE_TAB = 34027;
IDC_RESTORE_TAB = 34028;
IDC_SHOW_AS_TAB = 34029;
IDC_FULLSCREEN = 34030;
IDC_EXIT = 34031;
IDC_MOVE_TAB_NEXT = 34032;
IDC_MOVE_TAB_PREVIOUS = 34033;
IDC_SEARCH = 34035;
IDC_WINDOW_MENU = 34045;
IDC_MINIMIZE_WINDOW = 34046;
IDC_MAXIMIZE_WINDOW = 34047;
IDC_ALL_WINDOWS_FRONT = 34048;
IDC_NAME_WINDOW = 34049;
IDC_TOGGLE_MULTITASK_MENU = 34050;
IDC_USE_SYSTEM_TITLE_BAR = 34051;
IDC_RESTORE_WINDOW = 34052;
IDC_OPEN_IN_PWA_WINDOW = 34053;
IDC_MOVE_TAB_TO_NEW_WINDOW = 34054;
IDC_NEW_SPLIT_TAB = 34055;
IDC_COPY_URL = 34060;
IDC_OPEN_IN_CHROME = 34061;
IDC_WEB_APP_SETTINGS = 34062;
IDC_WEB_APP_MENU_APP_INFO = 34063;
IDC_VISIT_DESKTOP_OF_LRU_USER_2 = 34080;
IDC_VISIT_DESKTOP_OF_LRU_USER_3 = 34081;
IDC_VISIT_DESKTOP_OF_LRU_USER_4 = 34082;
IDC_VISIT_DESKTOP_OF_LRU_USER_5 = 34083;
IDC_ADD_NEW_TAB_TO_GROUP = 34100;
IDC_CREATE_NEW_TAB_GROUP = 34101;
IDC_FOCUS_NEXT_TAB_GROUP = 34102;
IDC_FOCUS_PREV_TAB_GROUP = 34103;
IDC_CLOSE_TAB_GROUP = 34104;
IDC_BOOKMARK_THIS_TAB = 35000;
IDC_BOOKMARK_ALL_TABS = 35001;
IDC_VIEW_SOURCE = 35002;
IDC_PRINT = 35003;
IDC_SAVE_PAGE = 35004;
IDC_EMAIL_PAGE_LOCATION = 35006;
IDC_BASIC_PRINT = 35007;
IDC_SAVE_CREDIT_CARD_FOR_PAGE = 35008;
IDC_SHOW_TRANSLATE = 35009;
IDC_MANAGE_PASSWORDS_FOR_PAGE = 35010;
IDC_ROUTE_MEDIA = 35011;
IDC_WINDOW_MUTE_SITE = 35012;
IDC_WINDOW_PIN_TAB = 35013;
IDC_WINDOW_GROUP_TAB = 35014;
IDC_MIGRATE_LOCAL_CREDIT_CARD_FOR_PAGE = 35015;
IDC_SEND_TAB_TO_SELF = 35016;
IDC_FOCUS_THIS_TAB = 35017;
IDC_QRCODE_GENERATOR = 35021;
IDC_WINDOW_CLOSE_TABS_TO_RIGHT = 35022;
IDC_WINDOW_CLOSE_OTHER_TABS = 35023;
IDC_NEW_TAB_TO_RIGHT = 35024;
IDC_SAVE_AUTOFILL_ADDRESS = 35025;
IDC_OFFERS_AND_REWARDS_FOR_PAGE = 35026;
IDC_WEBAUTHN = 35027;
IDC_SHARING_HUB = 35028;
IDC_SHARING_HUB_MENU = 35029;
IDC_FILLED_CARD_INFORMATION = 35030;
IDC_SHARING_HUB_SCREENSHOT = 35031;
IDC_VIRTUAL_CARD_ENROLL = 35032;
IDC_SAVE_IBAN_FOR_PAGE = 35035;
IDC_AUTOFILL_MANDATORY_REAUTH = 35036;
IDC_PROFILE_MENU_IN_APP_MENU = 35039;
IDC_PASSWORDS_AND_AUTOFILL_MENU = 35040;
IDC_SHOW_PASSWORD_MANAGER = 35041;
IDC_SHOW_PAYMENT_METHODS = 35042;
IDC_SHOW_ADDRESSES = 35043;
IDC_ORGANIZE_TABS = 35044;
IDC_DECLUTTER_TABS = 35045;
IDC_SEND_SHARED_TAB_GROUP_FEEDBACK = 35046;
IDC_MUTE_TARGET_SITE = 35050;
IDC_PIN_TARGET_TAB = 35051;
IDC_GROUP_TARGET_TAB = 35052;
IDC_DUPLICATE_TARGET_TAB = 35053;
IDC_CUT = 36000;
IDC_COPY = 36001;
IDC_PASTE = 36003;
IDC_EDIT_MENU = 36004;
IDC_FIND = 37000;
IDC_FIND_NEXT = 37001;
IDC_FIND_PREVIOUS = 37002;
IDC_CLOSE_FIND_OR_STOP = 37003;
IDC_FIND_MENU = 37100;
IDC_FIND_AND_EDIT_MENU = 37200;
IDC_SAVE_AND_SHARE_MENU = 37300;
IDC_CUSTOMIZE_CHROME = 37350;
IDC_CLOSE_PROFILE = 35351;
IDC_MANAGE_GOOGLE_ACCOUNT = 35352;
IDC_SHOW_SYNC_SETTINGS = 35353;
IDC_TURN_ON_SYNC = 35354;
IDC_SHOW_SIGNIN_WHEN_PAUSED = 35355;
IDC_OPEN_GUEST_PROFILE = 35356;
IDC_ADD_NEW_PROFILE = 35357;
IDC_MANAGE_CHROME_PROFILES = 35358;
IDC_ZOOM_MENU = 38000;
IDC_ZOOM_PLUS = 38001;
IDC_ZOOM_NORMAL = 38002;
IDC_ZOOM_MINUS = 38003;
IDC_FOCUS_TOOLBAR = 39000;
IDC_FOCUS_LOCATION = 39001;
IDC_FOCUS_SEARCH = 39002;
IDC_FOCUS_MENU_BAR = 39003;
IDC_FOCUS_NEXT_PANE = 39004;
IDC_FOCUS_PREVIOUS_PANE = 39005;
IDC_FOCUS_BOOKMARKS = 39006;
IDC_FOCUS_INACTIVE_POPUP_FOR_ACCESSIBILITY = 39007;
IDC_FOCUS_WEB_CONTENTS_PANE = 39009;
IDC_OPEN_FILE = 40000;
IDC_CREATE_SHORTCUT = 40002;
IDC_DEVELOPER_MENU = 40003;
IDC_DEV_TOOLS = 40004;
IDC_DEV_TOOLS_CONSOLE = 40005;
IDC_TASK_MANAGER = 40006;
IDC_DEV_TOOLS_DEVICES = 40007;
IDC_FEEDBACK = 40008;
IDC_SHOW_BOOKMARK_BAR = 40009;
IDC_SHOW_HISTORY = 40010;
IDC_SHOW_BOOKMARK_MANAGER = 40011;
IDC_SHOW_DOWNLOADS = 40012;
IDC_CLEAR_BROWSING_DATA = 40013;
IDC_IMPORT_SETTINGS = 40014;
IDC_OPTIONS = 40015;
IDC_EDIT_SEARCH_ENGINES = 40016;
IDC_VIEW_PASSWORDS = 40017;
IDC_ABOUT = 40018;
IDC_HELP_PAGE_VIA_KEYBOARD = 40019;
IDC_HELP_PAGE_VIA_MENU = 40020;
IDC_SHOW_APP_MENU = 40021;
IDC_MANAGE_EXTENSIONS = 40022;
IDC_DEV_TOOLS_INSPECT = 40023;
IDC_UPGRADE_DIALOG = 40024;
IDC_SHOW_HISTORY_CLUSTERS_SIDE_PANEL = 40025;
IDC_PROFILING_ENABLED = 40028;
IDC_BOOKMARKS_MENU = 40029;
IDC_SAVED_TAB_GROUPS_MENU = 40030;
IDC_EXTENSION_ERRORS = 40031;
IDC_SHOW_SETTINGS_CHANGE_FIRST = 40033;
IDC_SHOW_SETTINGS_CHANGE_LAST = 40133;
IDC_SHOW_AVATAR_MENU = 40134;
IDC_EXTENSION_INSTALL_ERROR_FIRST = 40135;
IDC_EXTENSION_INSTALL_ERROR_LAST = 40235;
IDC_TOGGLE_REQUEST_TABLET_SITE = 40236;
IDC_DEV_TOOLS_TOGGLE = 40237;
IDC_RECENT_TABS_MENU = 40239;
IDC_RECENT_TABS_NO_DEVICE_TABS = 40240;
IDC_SHOW_SETTINGS_RESET_BUBBLE = 40241;
IDC_DISTILL_PAGE = 40243;
IDC_HELP_MENU = 40244;
IDC_SHOW_SRT_BUBBLE = 40246;
IDC_ELEVATED_RECOVERY_DIALOG = 40247;
IDC_TAKE_SCREENSHOT = 40248;
IDC_MORE_TOOLS_MENU = 40249;
IDC_TOGGLE_FULLSCREEN_TOOLBAR = 40250;
IDC_CUSTOMIZE_TOUCH_BAR = 40251;
IDC_SHOW_BETA_FORUM = 40252;
IDC_TOGGLE_JAVASCRIPT_APPLE_EVENTS = 40253;
IDC_INSTALL_PWA = 40254;
IDC_SHOW_MANAGEMENT_PAGE = 40255;
IDC_PASTE_AND_GO = 40256;
IDC_SHOW_SAVE_LOCAL_CARD_SIGN_IN_PROMO_IF_APPLICABLE = 40257;
IDC_CLOSE_SIGN_IN_PROMO = 40258;
IDC_SHOW_FULL_URLS = 40259;
IDC_CARET_BROWSING_TOGGLE = 40260;
IDC_CHROME_TIPS = 40263;
IDC_CHROME_WHATS_NEW = 40264;
IDC_PERFORMANCE = 40266;
IDC_EXTENSIONS_SUBMENU = 40267;
IDC_EXTENSIONS_SUBMENU_MANAGE_EXTENSIONS = 40268;
IDC_EXTENSIONS_SUBMENU_VISIT_CHROME_WEB_STORE = 40269;
IDC_READING_LIST_MENU = 40270;
IDC_READING_LIST_MENU_ADD_TAB = 40271;
IDC_READING_LIST_MENU_SHOW_UI = 40272;
IDC_SHOW_READING_MODE_SIDE_PANEL = 40273;
IDC_SHOW_BOOKMARK_SIDE_PANEL = 40274;
IDC_SHOW_CHROME_LABS = 40276;
IDC_RECENT_TABS_LOGIN_FOR_DEVICE_TABS = 40277;
IDC_OPEN_RECENT_TAB = 40278;
IDC_OPEN_SAFETY_HUB = 40279;
IDC_SAFETY_HUB_SHOW_PASSWORD_CHECKUP = 40280;
IDC_SAFETY_HUB_MANAGE_EXTENSIONS = 40281;
IDC_SHOW_GOOGLE_LENS_SHORTCUT = 40282;
IDC_SHOW_CUSTOMIZE_CHROME_SIDE_PANEL = 40283;
IDC_SHOW_CUSTOMIZE_CHROME_TOOLBAR = 40284;
IDC_TASK_MANAGER_APP_MENU = 40285;
IDC_TASK_MANAGER_SHORTCUT = 40286;
IDC_TASK_MANAGER_CONTEXT_MENU = 40287;
IDC_TASK_MANAGER_MAIN_MENU = 40288;
IDC_COMPARE_MENU = 40289;
IDC_SHOW_ALL_COMPARISON_TABLES = 40290;
IDC_ADD_TO_COMPARISON_TABLE_MENU = 40291;
IDC_CREATE_NEW_COMPARISON_TABLE_WITH_TAB = 40292;
IDC_SHOW_HISTORY_SIDE_PANEL = 40293;
IDC_OPEN_GLIC = 40294;
IDC_FIND_EXTENSIONS = 40295;
IDC_SHOW_SEARCH_TOOLS = 40296;
IDC_SPELLCHECK_SUGGESTION_0 = 41000;
IDC_SPELLCHECK_SUGGESTION_1 = 41001;
IDC_SPELLCHECK_SUGGESTION_2 = 41002;
IDC_SPELLCHECK_SUGGESTION_3 = 41003;
IDC_SPELLCHECK_SUGGESTION_4 = 41004;
IDC_SPELLCHECK_MENU = 41005;
IDC_SPELLCHECK_LANGUAGES_FIRST = 41006;
IDC_SPELLCHECK_LANGUAGES_LAST = 41106;
IDC_CHECK_SPELLING_WHILE_TYPING = 41107;
IDC_SPELLPANEL_TOGGLE = 41109;
IDC_SPELLCHECK_ADD_TO_DICTIONARY = 41110;
IDC_SPELLCHECK_MULTI_LINGUAL = 41111;
IDC_WRITING_DIRECTION_MENU = 41120;
IDC_WRITING_DIRECTION_DEFAULT = 41121;
IDC_WRITING_DIRECTION_LTR = 41122;
IDC_WRITING_DIRECTION_RTL = 41123;
IDC_TRANSLATE_ORIGINAL_LANGUAGE_BASE = 42100;
IDC_TRANSLATE_TARGET_LANGUAGE_BASE = 42400;
IDC_VIEW_MENU = 44000;
IDC_FILE_MENU = 44001;
IDC_CHROME_MENU = 44002;
IDC_HIDE_APP = 44003;
IDC_HISTORY_MENU = 46000;
IDC_TAB_MENU = 46001;
IDC_PROFILE_MAIN_MENU = 46100;
IDC_INPUT_METHODS_MENU = 46300;
IDC_CONTENT_CONTEXT_CUSTOM_FIRST = 47000;
IDC_CONTENT_CONTEXT_CUSTOM_LAST = 48000;
IDC_EXTENSIONS_CONTEXT_CUSTOM_FIRST = 49000;
IDC_EXTENSIONS_CONTEXT_CUSTOM_LAST = 50000;
IDC_CONTENT_CONTEXT_OPENLINKNEWTAB = 50100;
IDC_CONTENT_CONTEXT_OPENLINKNEWWINDOW = 50101;
IDC_CONTENT_CONTEXT_OPENLINKOFFTHERECORD = 50102;
IDC_CONTENT_CONTEXT_SAVELINKAS = 50103;
IDC_CONTENT_CONTEXT_COPYLINKLOCATION = 50104;
IDC_CONTENT_CONTEXT_COPYEMAILADDRESS = 50105;
IDC_CONTENT_CONTEXT_OPENLINKWITH = 50106;
IDC_CONTENT_CONTEXT_COPYLINKTEXT = 50107;
IDC_CONTENT_CONTEXT_OPENLINKINPROFILE = 50108;
IDC_CONTENT_CONTEXT_OPENLINKBOOKMARKAPP = 50109;
IDC_CONTENT_CONTEXT_OPENLINKPREVIEW = 50110;
IDC_CONTENT_CONTEXT_OPENLINKSPLITVIEW = 50111;
IDC_CONTENT_CONTEXT_SAVEIMAGEAS = 50120;
IDC_CONTENT_CONTEXT_COPYIMAGELOCATION = 50121;
IDC_CONTENT_CONTEXT_COPYIMAGE = 50122;
IDC_CONTENT_CONTEXT_OPENIMAGENEWTAB = 50123;
IDC_CONTENT_CONTEXT_SEARCHWEBFORIMAGE = 50124;
IDC_CONTENT_CONTEXT_OPEN_ORIGINAL_IMAGE_NEW_TAB = 50125;
IDC_CONTENT_CONTEXT_LOAD_IMAGE = 50126;
IDC_CONTENT_CONTEXT_SEARCHLENSFORIMAGE = 50127;
IDC_CONTENT_CONTEXT_SAVEVIDEOFRAMEAS = 50130;
IDC_CONTENT_CONTEXT_SAVEAVAS = 50131;
IDC_CONTENT_CONTEXT_COPYAVLOCATION = 50132;
IDC_CONTENT_CONTEXT_COPYVIDEOFRAME = 50133;
IDC_CONTENT_CONTEXT_SEARCHLENSFORVIDEOFRAME = 50134;
IDC_CONTENT_CONTEXT_SEARCHWEBFORVIDEOFRAME = 50135;
IDC_CONTENT_CONTEXT_OPENAVNEWTAB = 50136;
IDC_CONTENT_CONTEXT_PICTUREINPICTURE = 50137;
IDC_CONTENT_CONTEXT_LOOP = 50140;
IDC_CONTENT_CONTEXT_CONTROLS = 50141;
IDC_CONTENT_CONTEXT_ROTATECW = 50142;
IDC_CONTENT_CONTEXT_ROTATECCW = 50143;
IDC_CONTENT_CONTEXT_COPY = 50150;
IDC_CONTENT_CONTEXT_CUT = 50151;
IDC_CONTENT_CONTEXT_PASTE = 50152;
IDC_CONTENT_CONTEXT_DELETE = 50153;
IDC_CONTENT_CONTEXT_UNDO = 50154;
IDC_CONTENT_CONTEXT_REDO = 50155;
IDC_CONTENT_CONTEXT_SELECTALL = 50156;
IDC_CONTENT_CONTEXT_PASTE_AND_MATCH_STYLE = 50157;
IDC_CONTENT_CONTEXT_COPYLINKTOTEXT = 50158;
IDC_CONTENT_CONTEXT_RESHARELINKTOTEXT = 50159;
IDC_CONTENT_CONTEXT_REMOVELINKTOTEXT = 50160;
IDC_CONTENT_CONTEXT_TRANSLATE = 50161;
IDC_CONTENT_CONTEXT_INSPECTELEMENT = 50162;
IDC_CONTENT_CONTEXT_VIEWPAGEINFO = 50163;
IDC_CONTENT_CONTEXT_LANGUAGE_SETTINGS = 50164;
IDC_CONTENT_CONTEXT_LOOK_UP = 50165;
IDC_CONTENT_CONTEXT_NO_SPELLING_SUGGESTIONS = 50166;
IDC_CONTENT_CONTEXT_SPELLING_SUGGESTION = 50167;
IDC_CONTENT_CONTEXT_SPELLING_TOGGLE = 50168;
IDC_CONTENT_CONTEXT_OPEN_IN_READING_MODE = 50169;
IDC_CONTENT_CONTEXT_SAVEPLUGINAS = 50170;
IDC_CONTENT_CONTEXT_INSPECTBACKGROUNDPAGE = 50171;
IDC_CONTENT_CONTEXT_RELOAD_PACKAGED_APP = 50172;
IDC_CONTENT_CONTEXT_RESTART_PACKAGED_APP = 50173;
IDC_CONTENT_CONTEXT_LENS_REGION_SEARCH = 50174;
IDC_CONTENT_CONTEXT_WEB_REGION_SEARCH = 50175;
IDC_CONTENT_CONTEXT_GENERATEPASSWORD = 50176;
IDC_CONTENT_CONTEXT_EXIT_FULLSCREEN = 50177;
IDC_CONTENT_CONTEXT_SHOWALLSAVEDPASSWORDS = 50178;
IDC_CONTENT_CONTEXT_PARTIAL_TRANSLATE = 50179;
IDC_CONTENT_CONTEXT_RELOADFRAME = 50180;
IDC_CONTENT_CONTEXT_VIEWFRAMESOURCE = 50181;
IDC_CONTENT_CONTEXT_VIEWFRAMEINFO = 50182;
IDC_CONTENT_CONTEXT_ADD_A_NOTE = 50185;
IDC_CONTENT_CONTEXT_GOTOURL = 50190;
IDC_CONTENT_CONTEXT_SEARCHWEBFOR = 50191;
IDC_CONTENT_CONTEXT_SEARCHWEBFORNEWTAB = 50192;
IDC_CONTENT_CONTEXT_LENS_OVERLAY = 50193;
IDC_CONTENT_CONTEXT_USE_PASSKEY_FROM_ANOTHER_DEVICE = 50194;
IDC_CONTENT_CONTEXT_OPEN_WITH1 = 50200;
IDC_CONTENT_CONTEXT_OPEN_WITH2 = 50201;
IDC_CONTENT_CONTEXT_OPEN_WITH3 = 50202;
IDC_CONTENT_CONTEXT_OPEN_WITH4 = 50203;
IDC_CONTENT_CONTEXT_OPEN_WITH5 = 50204;
IDC_CONTENT_CONTEXT_OPEN_WITH6 = 50205;
IDC_CONTENT_CONTEXT_OPEN_WITH7 = 50206;
IDC_CONTENT_CONTEXT_OPEN_WITH8 = 50207;
IDC_CONTENT_CONTEXT_OPEN_WITH9 = 50208;
IDC_CONTENT_CONTEXT_OPEN_WITH10 = 50209;
IDC_CONTENT_CONTEXT_OPEN_WITH11 = 50210;
IDC_CONTENT_CONTEXT_OPEN_WITH12 = 50211;
IDC_CONTENT_CONTEXT_OPEN_WITH13 = 50212;
IDC_CONTENT_CONTEXT_OPEN_WITH14 = 50213;
IDC_CONTENT_CONTEXT_EMOJI = 50220;
IDC_CONTEXT_COMPOSE = 50230;
IDC_CONTENT_CONTEXT_CLOSE_GLIC = 50231;
IDC_CONTENT_CONTEXT_RELOAD_GLIC = 50232;
IDC_BOOKMARK_BAR_OPEN_ALL = 51000;
IDC_BOOKMARK_BAR_OPEN_ALL_NEW_WINDOW = 51001;
IDC_BOOKMARK_BAR_OPEN_ALL_INCOGNITO = 51002;
IDC_BOOKMARK_BAR_OPEN_INCOGNITO = 51003;
IDC_BOOKMARK_BAR_OPEN_ALL_NEW_TAB_GROUP = 51004;
IDC_BOOKMARK_BAR_RENAME_FOLDER = 51005;
IDC_BOOKMARK_BAR_EDIT = 51006;
IDC_BOOKMARK_BAR_REMOVE = 51007;
IDC_BOOKMARK_BAR_UNDO = 51008;
IDC_BOOKMARK_BAR_REDO = 51009;
IDC_BOOKMARK_BAR_ADD_NEW_BOOKMARK = 51010;
IDC_BOOKMARK_BAR_NEW_FOLDER = 51011;
IDC_BOOKMARK_MANAGER = 51012;
IDC_BOOKMARK_BAR_ALWAYS_SHOW = 51013;
IDC_BOOKMARK_BAR_SHOW_APPS_SHORTCUT = 51014;
IDC_BOOKMARK_BAR_SHOW_READING_LIST = 51015;
IDC_BOOKMARK_BAR_SHOW_MANAGED_BOOKMARKS = 51016;
IDC_BOOKMARK_BAR_TRACK_PRICE_FOR_SHOPPING_BOOKMARK = 51017;
IDC_BOOKMARK_BAR_UNTRACK_PRICE_FOR_SHOPPING_BOOKMARK = 51018;
IDC_BOOKMARK_BAR_ADD_TO_BOOKMARKS_BAR = 51019;
IDC_BOOKMARK_BAR_REMOVE_FROM_BOOKMARKS_BAR = 51020;
IDC_BOOKMARK_BAR_TOGGLE_SHOW_TAB_GROUPS = 51021;
IDC_BOOKMARK_BAR_MOVE = 51022;
IDC_BOOKMARK_BAR_OPEN_SPLIT_VIEW = 51023;
IDC_CONTENT_CONTEXT_SHARING_CLICK_TO_CALL_SINGLE_DEVICE = 51030;
IDC_CONTENT_CONTEXT_SHARING_CLICK_TO_CALL_MULTIPLE_DEVICES = 51031;
IDC_CONTENT_CONTEXT_SHARING_SHARED_CLIPBOARD_SINGLE_DEVICE = 51032;
IDC_CONTENT_CONTEXT_SHARING_SHARED_CLIPBOARD_MULTIPLE_DEVICES = 51033;
IDC_CONTENT_CONTEXT_GENERATE_QR_CODE = 51034;
IDC_CONTENT_CONTEXT_SHARING_SUBMENU = 51035;
IDC_CONTENT_PASTE_FROM_CLIPBOARD = 51037;
IDC_STATUS_TRAY_KEEP_CHROME_RUNNING_IN_BACKGROUND = 51100;
IDC_STATUS_TRAY_KEEP_CHROME_RUNNING_IN_BACKGROUND_SETTING = 51101;
IDC_MEDIA_ROUTER_ABOUT = 51200;
IDC_MEDIA_ROUTER_HELP = 51201;
IDC_MEDIA_ROUTER_LEARN_MORE = 51202;
IDC_MEDIA_ROUTER_ALWAYS_SHOW_TOOLBAR_ACTION = 51204;
IDC_MEDIA_ROUTER_SHOWN_BY_POLICY = 51206;
IDC_MEDIA_ROUTER_SHOW_IN_TOOLBAR = 51207;
IDC_MEDIA_ROUTER_TOGGLE_MEDIA_REMOTING = 51208;
IDC_MEDIA_TOOLBAR_CONTEXT_REPORT_CAST_ISSUE = 51209;
IDC_MEDIA_TOOLBAR_CONTEXT_SHOW_OTHER_SESSIONS = 51210;
IDC_UPDATE_SIDE_PANEL_PIN_STATE = 51211;
IDC_MEDIA_STREAM_DEVICE_STATUS_TRAY = 51300;
IDC_MEDIA_CONTEXT_MEDIA_STREAM_CAPTURE_LIST_FIRST = 51301;
IDC_MEDIA_CONTEXT_MEDIA_STREAM_CAPTURE_LIST_LAST = 51399;
IDC_MEDIA_STREAM_DEVICE_ALWAYS_ALLOW = 51400;
IDC_CONTENT_CONTEXT_PROTOCOL_HANDLER_FIRST = 52000;
IDC_CONTENT_CONTEXT_PROTOCOL_HANDLER_LAST = 52199;
IDC_CONTENT_CONTEXT_PROTOCOL_HANDLER_SETTINGS = 52200;
IDC_OPEN_LINK_IN_PROFILE_FIRST = 52300;
IDC_OPEN_LINK_IN_PROFILE_LAST = 52399;
IDC_CONTENT_CONTEXT_START_SMART_SELECTION_ACTION1 = 52400;
IDC_CONTENT_CONTEXT_START_SMART_SELECTION_ACTION2 = 52401;
IDC_CONTENT_CONTEXT_START_SMART_SELECTION_ACTION3 = 52402;
IDC_CONTENT_CONTEXT_START_SMART_SELECTION_ACTION4 = 52403;
IDC_CONTENT_CONTEXT_START_SMART_SELECTION_ACTION5 = 52404;
IDC_CONTENT_CONTEXT_ACCESSIBILITY_LABELS_TOGGLE = 52410;
IDC_CONTENT_CONTEXT_ACCESSIBILITY_LABELS = 52411;
IDC_CONTENT_CONTEXT_ACCESSIBILITY_LABELS_TOGGLE_ONCE = 52412;
IDC_CONTENT_CONTEXT_QUICK_ANSWERS_INLINE_ANSWER = 52413;
IDC_CONTENT_CONTEXT_QUICK_ANSWERS_INLINE_QUERY = 52414;
IDC_TAB_SEARCH = 52500;
IDC_TAB_SEARCH_CLOSE = 52501;
IDC_DEBUG_TOGGLE_TABLET_MODE = 52510;
IDC_DEBUG_PRINT_VIEW_TREE = 52511;
IDC_DEBUG_PRINT_VIEW_TREE_DETAILS = 52512;
IDC_CONTENT_CONTEXT_AUTOFILL_FEEDBACK = 52990;
IDC_CONTENT_CONTEXT_AUTOFILL_FALLBACK_PLUS_ADDRESS = 52994;
IDC_CONTENT_CONTEXT_AUTOFILL_FALLBACK_PASSWORDS_SELECT_PASSWORD = 52998;
IDC_CONTENT_CONTEXT_AUTOFILL_FALLBACK_PASSWORDS_IMPORT_PASSWORDS = 52999;
IDC_CONTENT_CONTEXT_AUTOFILL_FALLBACK_PASSWORDS_SUGGEST_PASSWORD = 53000;
IDC_CONTENT_CONTEXT_AUTOFILL_FALLBACK_PASSWORDS_USE_PASSKEY_FROM_ANOTHER_DEVICE = 53002;
IDC_LIVE_CAPTION = 53251;
IDC_DEVICE_SYSTEM_TRAY_ICON_FIRST = 53260;
IDC_DEVICE_SYSTEM_TRAY_ICON_LAST = 53299;
IDC_SET_BROWSER_AS_DEFAULT = 53300;
IDC_GLIC_STATUS_ICON_MENU_SHOW = 53310;
IDC_GLIC_STATUS_ICON_MENU_CUSTOMIZE_KEYBOARD_SHORTCUT = 53311;
IDC_GLIC_STATUS_ICON_MENU_REMOVE_ICON = 53312;
IDC_GLIC_STATUS_ICON_MENU_SETTINGS = 53313;
IDC_GLIC_STATUS_ICON_MENU_EXIT = 53314;
IDC_GLIC_STATUS_ICON_MENU_CLOSE = 53315;
IDC_GLIC_TOGGLE_PIN = 53320;
CERT_STATUS_NONE = 0;
CERT_STATUS_COMMON_NAME_INVALID = 1 shl 0;
CERT_STATUS_DATE_INVALID = 1 shl 1;
CERT_STATUS_AUTHORITY_INVALID = 1 shl 2;
CERT_STATUS_NO_REVOCATION_MECHANISM = 1 shl 4;
CERT_STATUS_UNABLE_TO_CHECK_REVOCATION = 1 shl 5;
CERT_STATUS_REVOKED = 1 shl 6;
CERT_STATUS_INVALID = 1 shl 7;
CERT_STATUS_WEAK_SIGNATURE_ALGORITHM = 1 shl 8;
CERT_STATUS_NON_UNIQUE_NAME = 1 shl 10;
CERT_STATUS_WEAK_KEY = 1 shl 11;
CERT_STATUS_PINNED_KEY_MISSING = 1 shl 13;
CERT_STATUS_NAME_CONSTRAINT_VIOLATION = 1 shl 14;
CERT_STATUS_VALIDITY_TOO_LONG = 1 shl 15;
CERT_STATUS_IS_EV = 1 shl 16;
CERT_STATUS_REV_CHECKING_ENABLED = 1 shl 17;
CERT_STATUS_SHA1_SIGNATURE_PRESENT = 1 shl 19;
CERT_STATUS_CT_COMPLIANCE_FAILED = 1 shl 20;
CERT_STATUS_FIRST_ERROR = CERT_STATUS_COMMON_NAME_INVALID;
CERT_STATUS_LAST_ERROR = CERT_STATUS_VALIDITY_TOO_LONG;
V8_PROPERTY_ATTRIBUTE_NONE = 0;
V8_PROPERTY_ATTRIBUTE_READONLY = 1 shl 0;
V8_PROPERTY_ATTRIBUTE_DONTENUM = 1 shl 1;
V8_PROPERTY_ATTRIBUTE_DONTDELETE = 1 shl 2;
TT_LINK = 0;
TT_EXPLICIT = 1;
TT_AUTO_BOOKMARK = 2;
TT_AUTO_SUBFRAME = 3;
TT_MANUAL_SUBFRAME = 4;
TT_GENERATED = 5;
TT_AUTO_TOPLEVEL = 6;
TT_FORM_SUBMIT = 7;
TT_RELOAD = 8;
TT_KEYWORD = 9;
TT_KEYWORD_GENERATED = 10;
TT_NUM_VALUES = TT_KEYWORD_GENERATED + 1;
TT_SOURCE_MASK = $000000FF;
TT_BLOCKED_FLAG = $00800000;
TT_FORWARD_BACK_FLAG = $01000000;
TT_DIRECT_LOAD_FLAG = $02000000;
TT_HOME_PAGE_FLAG = $04000000;
TT_FROM_API_FLAG = $08000000;
TT_CHAIN_START_FLAG = $10000000;
TT_CHAIN_END_FLAG = $20000000;
TT_CLIENT_REDIRECT_FLAG = $40000000;
TT_SERVER_REDIRECT_FLAG = $80000000;
TT_IS_REDIRECT_MASK = $C0000000;
TT_QUALIFIER_MASK = $FFFFFF00;
UR_FLAG_NONE = 0;
UR_FLAG_SKIP_CACHE = 1 shl 0;
UR_FLAG_ONLY_FROM_CACHE = 1 shl 1;
UR_FLAG_DISABLE_CACHE = 1 shl 2;
UR_FLAG_ALLOW_STORED_CREDENTIALS = 1 shl 3;
UR_FLAG_REPORT_UPLOAD_PROGRESS = 1 shl 4;
UR_FLAG_NO_DOWNLOAD_DATA = 1 shl 5;
UR_FLAG_NO_RETRY_ON_5XX = 1 shl 6;
UR_FLAG_STOP_ON_REDIRECT = 1 shl 7;
CEF_SCHEME_OPTION_NONE = 0;
CEF_SCHEME_OPTION_STANDARD = 1 shl 0;
CEF_SCHEME_OPTION_LOCAL = 1 shl 1;
CEF_SCHEME_OPTION_DISPLAY_ISOLATED = 1 shl 2;
CEF_SCHEME_OPTION_SECURE = 1 shl 3;
CEF_SCHEME_OPTION_CORS_ENABLED = 1 shl 4;
CEF_SCHEME_OPTION_CSP_BYPASSING = 1 shl 5;
CEF_SCHEME_OPTION_FETCH_ENABLED = 1 shl 6;
DOM_EVENT_CATEGORY_UNKNOWN = 0;
DOM_EVENT_CATEGORY_UI = 1 shl 0;
DOM_EVENT_CATEGORY_MOUSE = 1 shl 1;
DOM_EVENT_CATEGORY_MUTATION = 1 shl 2;
DOM_EVENT_CATEGORY_KEYBOARD = 1 shl 3;
DOM_EVENT_CATEGORY_TEXT = 1 shl 4;
DOM_EVENT_CATEGORY_COMPOSITION = 1 shl 5;
DOM_EVENT_CATEGORY_DRAG = 1 shl 6;
DOM_EVENT_CATEGORY_CLIPBOARD = 1 shl 7;
DOM_EVENT_CATEGORY_MESSAGE = 1 shl 8;
DOM_EVENT_CATEGORY_WHEEL = 1 shl 9;
DOM_EVENT_CATEGORY_BEFORE_TEXT_INSERTED = 1 shl 10;
DOM_EVENT_CATEGORY_OVERFLOW = 1 shl 11;
DOM_EVENT_CATEGORY_PAGE_TRANSITION = 1 shl 12;
DOM_EVENT_CATEGORY_POPSTATE = 1 shl 13;
DOM_EVENT_CATEGORY_PROGRESS = 1 shl 14;
DOM_EVENT_CATEGORY_XMLHTTPREQUEST_PROGRESS = 1 shl 15;
EVENTFLAG_NONE = 0;
EVENTFLAG_CAPS_LOCK_ON = 1 shl 0;
EVENTFLAG_SHIFT_DOWN = 1 shl 1;
EVENTFLAG_CONTROL_DOWN = 1 shl 2;
EVENTFLAG_ALT_DOWN = 1 shl 3;
EVENTFLAG_LEFT_MOUSE_BUTTON = 1 shl 4;
EVENTFLAG_MIDDLE_MOUSE_BUTTON = 1 shl 5;
EVENTFLAG_RIGHT_MOUSE_BUTTON = 1 shl 6;
EVENTFLAG_COMMAND_DOWN = 1 shl 7;
EVENTFLAG_NUM_LOCK_ON = 1 shl 8;
EVENTFLAG_IS_KEY_PAD = 1 shl 9;
EVENTFLAG_IS_LEFT = 1 shl 10;
EVENTFLAG_IS_RIGHT = 1 shl 11;
EVENTFLAG_ALTGR_DOWN = 1 shl 12;
EVENTFLAG_IS_REPEAT = 1 shl 13;
EVENTFLAG_PRECISION_SCROLLING_DELTA = 1 shl 14;
EVENTFLAG_SCROLL_BY_PAGE = 1 shl 15;
DRAG_OPERATION_NONE = 0;
DRAG_OPERATION_COPY = 1 shl 0;
DRAG_OPERATION_LINK = 1 shl 1;
DRAG_OPERATION_GENERIC = 1 shl 2;
DRAG_OPERATION_PRIVATE = 1 shl 3;
DRAG_OPERATION_MOVE = 1 shl 4;
DRAG_OPERATION_DELETE = 1 shl 5;
DRAG_OPERATION_EVERY = $FFFFFFFF;
FILE_DIALOG_OPEN = $00000000;
FILE_DIALOG_OPEN_MULTIPLE = $00000001;
FILE_DIALOG_OPEN_FOLDER = $00000002;
FILE_DIALOG_SAVE = $00000003;
FILE_DIALOG_NUM_VALUES = FILE_DIALOG_SAVE + 1;
UU_NONE = 0;
UU_NORMAL = 1 shl 0;
UU_SPACES = 1 shl 1;
UU_PATH_SEPARATORS = 1 shl 2;
UU_URL_SPECIAL_CHARS_EXCEPT_PATH_SEPARATORS = 1 shl 3;
UU_REPLACE_PLUS_WITH_SPACE = 1 shl 4;
MENU_ID_BACK = 100;
MENU_ID_FORWARD = 101;
MENU_ID_RELOAD = 102;
MENU_ID_RELOAD_NOCACHE = 103;
MENU_ID_STOPLOAD = 104;
MENU_ID_UNDO = 110;
MENU_ID_REDO = 111;
MENU_ID_CUT = 112;
MENU_ID_COPY = 113;
MENU_ID_PASTE = 114;
MENU_ID_PASTE_MATCH_STYLE = 115;
MENU_ID_DELETE = 116;
MENU_ID_SELECT_ALL = 117;
MENU_ID_FIND = 130;
MENU_ID_PRINT = 131;
MENU_ID_VIEW_SOURCE = 132;
MENU_ID_SPELLCHECK_SUGGESTION_0 = 200;
MENU_ID_SPELLCHECK_SUGGESTION_1 = 201;
MENU_ID_SPELLCHECK_SUGGESTION_2 = 202;
MENU_ID_SPELLCHECK_SUGGESTION_3 = 203;
MENU_ID_SPELLCHECK_SUGGESTION_4 = 204;
MENU_ID_SPELLCHECK_SUGGESTION_LAST = 204;
MENU_ID_NO_SPELLING_SUGGESTIONS = 205;
MENU_ID_ADD_TO_DICTIONARY = 206;
MENU_ID_CUSTOM_FIRST = 220;
MENU_ID_CUSTOM_LAST = 250;
MENU_ID_USER_FIRST = 26500;
MENU_ID_USER_LAST = 28500;
CM_TYPEFLAG_NONE = 0;
CM_TYPEFLAG_PAGE = 1 shl 0;
CM_TYPEFLAG_FRAME = 1 shl 1;
CM_TYPEFLAG_LINK = 1 shl 2;
CM_TYPEFLAG_MEDIA = 1 shl 3;
CM_TYPEFLAG_SELECTION = 1 shl 4;
CM_TYPEFLAG_EDITABLE = 1 shl 5;
CM_MEDIAFLAG_NONE = 0;
CM_MEDIAFLAG_IN_ERROR = 1 shl 0;
CM_MEDIAFLAG_PAUSED = 1 shl 1;
CM_MEDIAFLAG_MUTED = 1 shl 2;
CM_MEDIAFLAG_LOOP = 1 shl 3;
CM_MEDIAFLAG_CAN_SAVE = 1 shl 4;
CM_MEDIAFLAG_HAS_AUDIO = 1 shl 5;
CM_MEDIAFLAG_CAN_TOGGLE_CONTROLS = 1 shl 6;
CM_MEDIAFLAG_CONTROLS = 1 shl 7;
CM_MEDIAFLAG_CAN_PRINT = 1 shl 8;
CM_MEDIAFLAG_CAN_ROTATE = 1 shl 9;
CM_MEDIAFLAG_CAN_PICTURE_IN_PICTURE = 1 shl 10;
CM_MEDIAFLAG_PICTURE_IN_PICTURE = 1 shl 11;
CM_MEDIAFLAG_CAN_LOOP = 1 shl 12;
CM_EDITFLAG_NONE = 0;
CM_EDITFLAG_CAN_UNDO = 1 shl 0;
CM_EDITFLAG_CAN_REDO = 1 shl 1;
CM_EDITFLAG_CAN_CUT = 1 shl 2;
CM_EDITFLAG_CAN_COPY = 1 shl 3;
CM_EDITFLAG_CAN_PASTE = 1 shl 4;
CM_EDITFLAG_CAN_DELETE = 1 shl 5;
CM_EDITFLAG_CAN_SELECT_ALL = 1 shl 6;
CM_EDITFLAG_CAN_TRANSLATE = 1 shl 7;
CM_EDITFLAG_CAN_EDIT_RICHLY = 1 shl 8;
SSL_CONNECTION_VERSION_UNKNOWN = 0;
SSL_CONNECTION_VERSION_SSL2 = 1;
SSL_CONNECTION_VERSION_SSL3 = 2;
SSL_CONNECTION_VERSION_TLS1 = 3;
SSL_CONNECTION_VERSION_TLS1_1 = 4;
SSL_CONNECTION_VERSION_TLS1_2 = 5;
SSL_CONNECTION_VERSION_TLS1_3 = 6;
SSL_CONNECTION_VERSION_QUIC = 7;
SSL_CONNECTION_VERSION_NUM_VALUES = SSL_CONNECTION_VERSION_QUIC + 1;
SSL_CONTENT_NORMAL_CONTENT = 0;
SSL_CONTENT_DISPLAYED_INSECURE_CONTENT = 1 shl 0;
SSL_CONTENT_RAN_INSECURE_CONTENT = 1 shl 1;
JSON_WRITER_DEFAULT = 0;
JSON_WRITER_OMIT_BINARY_VALUES = 1 shl 0;
JSON_WRITER_OMIT_DOUBLE_TYPE_PRESERVATION = 1 shl 1;
JSON_WRITER_PRETTY_PRINT = 1 shl 2;
LOGSEVERITY_DEFAULT = 0;
LOGSEVERITY_VERBOSE = 1;
LOGSEVERITY_DEBUG = LOGSEVERITY_VERBOSE;
LOGSEVERITY_INFO = 2;
LOGSEVERITY_WARNING = 3;
LOGSEVERITY_ERROR = 4;
LOGSEVERITY_FATAL = 5;
LOGSEVERITY_DISABLE = 99;
DUPLEX_MODE_UNKNOWN = -1;
DUPLEX_MODE_SIMPLEX = 0;
DUPLEX_MODE_LONG_EDGE = 1;
DUPLEX_MODE_SHORT_EDGE = 2;
DUPLEX_MODE_NUM_VALUES = DUPLEX_MODE_SHORT_EDGE + 1;
CEF_MRCR_UNKNOWN_ERROR = 0;
CEF_MRCR_OK = 1;
CEF_MRCR_TIMED_OUT = 2;
CEF_MRCR_ROUTE_NOT_FOUND = 3;
CEF_MRCR_SINK_NOT_FOUND = 4;
CEF_MRCR_INVALID_ORIGIN = 5;
CEF_MRCR_OFF_THE_RECORD_MISMATCH_DEPRECATED = 6;
CEF_MRCR_NO_SUPPORTED_PROVIDER = 7;
CEF_MRCR_CANCELLED = 8;
CEF_MRCR_ROUTE_ALREADY_EXISTS = 9;
CEF_MRCR_DESKTOP_PICKER_FAILED = 10;
CEF_MRCR_ROUTE_ALREADY_TERMINATED = 11;
CEF_MRCR_REDUNDANT_REQUEST = 12;
CEF_MRCR_USER_NOT_ALLOWED = 13;
CEF_MRCR_NOTIFICATION_DISABLED = 14;
CEF_MRCR_NUM_VALUES = CEF_MRCR_NOTIFICATION_DISABLED + 1;
CEF_MRCS_UNKNOWN = -1;
CEF_MRCS_CONNECTING = 0;
CEF_MRCS_CONNECTED = 1;
CEF_MRCS_CLOSED = 2;
CEF_MRCS_TERMINATED = 3;
CEF_MRCS_NUM_VALUES = CEF_MRCS_TERMINATED + 1;
CEF_COOKIE_PRIORITY_LOW = -1;
CEF_COOKIE_PRIORITY_MEDIUM = 0;
CEF_COOKIE_PRIORITY_HIGH = 1;
CEF_TFC_UNKNOWN = 0;
CEF_TFC_CUT = 1;
CEF_TFC_COPY = 2;
CEF_TFC_PASTE = 3;
CEF_TFC_SELECT_ALL = 4;
CEF_TFC_SELECT_WORD = 5;
CEF_TFC_UNDO = 6;
CEF_TFC_DELETE = 7;
CEF_TFC_NUM_VALUES = 8;
CEF_CTT_UNKNOWN = 0;
CEF_CTT_NONE = 1;
CEF_CTT_NORMAL = 2;
CEF_CTT_LOCATION = 3;
CEF_CTT_NUM_VALUES = 4;
CEF_DOCKING_MODE_TOP_LEFT = 0;
CEF_DOCKING_MODE_TOP_RIGHT = 1;
CEF_DOCKING_MODE_BOTTOM_LEFT = 2;
CEF_DOCKING_MODE_BOTTOM_RIGHT = 3;
CEF_DOCKING_MODE_CUSTOM = 4;
CEF_DOCKING_MODE_NUM_VALUES = CEF_DOCKING_MODE_CUSTOM + 1;
CEF_SHOW_STATE_NORMAL = 0;
CEF_SHOW_STATE_MINIMIZED = 1;
CEF_SHOW_STATE_MAXIMIZED = 2;
CEF_SHOW_STATE_FULLSCREEN = 3;
CEF_SHOW_STATE_HIDDEN = 4;
CEF_SHOW_STATE_NUM_VALUES = CEF_SHOW_STATE_HIDDEN + 1;
QM_EDITFLAG_NONE = 0;
QM_EDITFLAG_CAN_ELLIPSIS = 1 shl 0;
QM_EDITFLAG_CAN_CUT = 1 shl 1;
QM_EDITFLAG_CAN_COPY = 1 shl 2;
QM_EDITFLAG_CAN_PASTE = 1 shl 3;
CEF_THS_FLAG_NONE = 0;
CEF_THS_FLAG_ENABLED = 1 shl 0;
CEF_THS_FLAG_ORIENTATION = 1 shl 1;
CEF_THS_FLAG_ORIGIN = 1 shl 2;
CEF_THS_FLAG_ALPHA = 1 shl 3;
CEF_MEDIA_PERMISSION_NONE = 0;
CEF_MEDIA_PERMISSION_DEVICE_AUDIO_CAPTURE = 1 shl 0;
CEF_MEDIA_PERMISSION_DEVICE_VIDEO_CAPTURE = 1 shl 1;
CEF_MEDIA_PERMISSION_DESKTOP_AUDIO_CAPTURE = 1 shl 2;
CEF_MEDIA_PERMISSION_DESKTOP_VIDEO_CAPTURE = 1 shl 3;
CEF_PERMISSION_TYPE_NONE = 0;
CEF_PERMISSION_TYPE_AR_SESSION = 1 shl 0;
CEF_PERMISSION_TYPE_CAMERA_PAN_TILT_ZOOM = 1 shl 1;
CEF_PERMISSION_TYPE_CAMERA_STREAM = 1 shl 2;
CEF_PERMISSION_TYPE_CAPTURED_SURFACE_CONTROL = 1 shl 3;
CEF_PERMISSION_TYPE_CLIPBOARD = 1 shl 4;
CEF_PERMISSION_TYPE_TOP_LEVEL_STORAGE_ACCESS = 1 shl 5;
CEF_PERMISSION_TYPE_DISK_QUOTA = 1 shl 6;
CEF_PERMISSION_TYPE_LOCAL_FONTS = 1 shl 7;
CEF_PERMISSION_TYPE_GEOLOCATION = 1 shl 8;
CEF_PERMISSION_TYPE_HAND_TRACKING = 1 shl 9;
CEF_PERMISSION_TYPE_IDENTITY_PROVIDER = 1 shl 10;
CEF_PERMISSION_TYPE_IDLE_DETECTION = 1 shl 11;
CEF_PERMISSION_TYPE_MIC_STREAM = 1 shl 12;
CEF_PERMISSION_TYPE_MIDI_SYSEX = 1 shl 13;
CEF_PERMISSION_TYPE_MULTIPLE_DOWNLOADS = 1 shl 14;
CEF_PERMISSION_TYPE_NOTIFICATIONS = 1 shl 15;
CEF_PERMISSION_TYPE_KEYBOARD_LOCK = 1 shl 16;
CEF_PERMISSION_TYPE_POINTER_LOCK = 1 shl 17;
CEF_PERMISSION_TYPE_PROTECTED_MEDIA_IDENTIFIER = 1 shl 18;
CEF_PERMISSION_TYPE_REGISTER_PROTOCOL_HANDLER = 1 shl 19;
CEF_PERMISSION_TYPE_STORAGE_ACCESS = 1 shl 20;
CEF_PERMISSION_TYPE_VR_SESSION = 1 shl 21;
CEF_PERMISSION_TYPE_WEB_APP_INSTALLATION = 1 shl 22;
CEF_PERMISSION_TYPE_WINDOW_MANAGEMENT = 1 shl 23;
CEF_PERMISSION_TYPE_FILE_SYSTEM_ACCESS = 1 shl 24;
CEF_PERMISSION_TYPE_LOCAL_NETWORK_ACCESS = 1 shl 25;
CEF_API_HASH_PLATFORM = 0;
CEF_API_HASH_UNIVERSAL = 1;
CEF_COMMIT_HASH = 2;
CEF_DOWNLOAD_INTERRUPT_REASON_NONE = 0;
CEF_DOWNLOAD_INTERRUPT_REASON_FILE_FAILED = 1;
CEF_DOWNLOAD_INTERRUPT_REASON_FILE_ACCESS_DENIED = 2;
CEF_DOWNLOAD_INTERRUPT_REASON_FILE_NO_SPACE = 3;
CEF_DOWNLOAD_INTERRUPT_REASON_FILE_NAME_TOO_LONG = 5;
CEF_DOWNLOAD_INTERRUPT_REASON_FILE_TOO_LARGE = 6;
CEF_DOWNLOAD_INTERRUPT_REASON_FILE_VIRUS_INFECTED = 7;
CEF_DOWNLOAD_INTERRUPT_REASON_FILE_TRANSIENT_ERROR = 10;
CEF_DOWNLOAD_INTERRUPT_REASON_FILE_BLOCKED = 11;
CEF_DOWNLOAD_INTERRUPT_REASON_FILE_SECURITY_CHECK_FAILED = 12;
CEF_DOWNLOAD_INTERRUPT_REASON_FILE_TOO_SHORT = 13;
CEF_DOWNLOAD_INTERRUPT_REASON_FILE_HASH_MISMATCH = 14;
CEF_DOWNLOAD_INTERRUPT_REASON_FILE_SAME_AS_SOURCE = 15;
CEF_DOWNLOAD_INTERRUPT_REASON_NETWORK_FAILED = 20;
CEF_DOWNLOAD_INTERRUPT_REASON_NETWORK_TIMEOUT = 21;
CEF_DOWNLOAD_INTERRUPT_REASON_NETWORK_DISCONNECTED = 22;
CEF_DOWNLOAD_INTERRUPT_REASON_NETWORK_SERVER_DOWN = 23;
CEF_DOWNLOAD_INTERRUPT_REASON_NETWORK_INVALID_REQUEST = 24;
CEF_DOWNLOAD_INTERRUPT_REASON_SERVER_FAILED = 30;
CEF_DOWNLOAD_INTERRUPT_REASON_SERVER_NO_RANGE = 31;
CEF_DOWNLOAD_INTERRUPT_REASON_SERVER_BAD_CONTENT = 33;
CEF_DOWNLOAD_INTERRUPT_REASON_SERVER_UNAUTHORIZED = 34;
CEF_DOWNLOAD_INTERRUPT_REASON_SERVER_CERT_PROBLEM = 35;
CEF_DOWNLOAD_INTERRUPT_REASON_SERVER_FORBIDDEN = 36;
CEF_DOWNLOAD_INTERRUPT_REASON_SERVER_UNREACHABLE = 37;
CEF_DOWNLOAD_INTERRUPT_REASON_SERVER_CONTENT_LENGTH_MISMATCH = 38;
CEF_DOWNLOAD_INTERRUPT_REASON_SERVER_CROSS_ORIGIN_REDIRECT = 39;
CEF_DOWNLOAD_INTERRUPT_REASON_USER_CANCELED = 40;
CEF_DOWNLOAD_INTERRUPT_REASON_USER_SHUTDOWN = 41;
CEF_DOWNLOAD_INTERRUPT_REASON_CRASH = 50;
LOG_ITEMS_DEFAULT = 0;
LOG_ITEMS_NONE = 1 shl 0;
LOG_ITEMS_FLAG_PROCESS_ID = 1 shl 1;
LOG_ITEMS_FLAG_THREAD_ID = 1 shl 2;
LOG_ITEMS_FLAG_TIME_STAMP = 1 shl 3;
LOG_ITEMS_FLAG_TICK_COUNT = 1 shl 4;
CEF_RESULT_CODE_NORMAL_EXIT = 0;
CEF_RESULT_CODE_KILLED = 1;
CEF_RESULT_CODE_HUNG = 2;
CEF_RESULT_CODE_KILLED_BAD_MESSAGE = 3;
CEF_RESULT_CODE_GPU_DEAD_ON_ARRIVAL = 4;
CEF_RESULT_CODE_CHROME_FIRST = 5;
CEF_RESULT_CODE_INVALID_CMDLINE_URL = CEF_RESULT_CODE_CHROME_FIRST;
CEF_RESULT_CODE_BAD_PROCESS_TYPE = 6;
CEF_RESULT_CODE_MISSING_DATA = 7;
CEF_RESULT_CODE_SHELL_INTEGRATION_FAILED = 8;
CEF_RESULT_CODE_MACHINE_LEVEL_INSTALL_EXISTS = 9;
CEF_RESULT_CODE_UNINSTALL_CHROME_ALIVE = 10;
CEF_RESULT_CODE_UNINSTALL_USER_CANCEL = 11;
CEF_RESULT_CODE_UNINSTALL_DELETE_PROFILE = 12;
CEF_RESULT_CODE_UNSUPPORTED_PARAM = 13;
CEF_RESULT_CODE_IMPORTER_HUNG = 14;
CEF_RESULT_CODE_RESPAWN_FAILED = 15;
CEF_RESULT_CODE_NORMAL_EXIT_EXP1 = 16;
CEF_RESULT_CODE_NORMAL_EXIT_EXP2 = 17;
CEF_RESULT_CODE_NORMAL_EXIT_EXP3 = 18;
CEF_RESULT_CODE_NORMAL_EXIT_EXP4 = 19;
CEF_RESULT_CODE_NORMAL_EXIT_CANCEL = 20;
CEF_RESULT_CODE_PROFILE_IN_USE = 21;
CEF_RESULT_CODE_PACK_EXTENSION_ERROR = 22;
CEF_RESULT_CODE_UNINSTALL_EXTENSION_ERROR = 23;
CEF_RESULT_CODE_NORMAL_EXIT_PROCESS_NOTIFIED = 24;
CEF_RESULT_CODE_NOTUSED_1 = 25;
CEF_RESULT_CODE_INSTALL_FROM_WEBSTORE_ERROR_2 = 26;
CEF_RESULT_CODE_NOTUSED_2 = 27;
CEF_RESULT_CODE_EULA_REFUSED = 28;
CEF_RESULT_CODE_SXS_MIGRATION_FAILED_NOT_USED = 29;
CEF_RESULT_CODE_ACTION_DISALLOWED_BY_POLICY = 30;
CEF_RESULT_CODE_INVALID_SANDBOX_STATE = 31;
CEF_RESULT_CODE_CLOUD_POLICY_ENROLLMENT_FAILED = 32;
CEF_RESULT_CODE_DOWNGRADE_AND_RELAUNCH = 33;
CEF_RESULT_CODE_GPU_EXIT_ON_CONTEXT_LOST = 34;
CEF_RESULT_CODE_NORMAL_EXIT_UPGRADE_RELAUNCHED = 35;
CEF_RESULT_CODE_NORMAL_EXIT_PACK_EXTENSION_SUCCESS = 36;
CEF_RESULT_CODE_SYSTEM_RESOURCE_EXHAUSTED = 37;
CEF_RESULT_CODE_NORMAL_EXIT_AUTO_DE_ELEVATED = 38;
CEF_RESULT_CODE_TERMINATED_BY_OTHER_PROCESS_ON_COMMIT_FAILURE = 39;
CEF_RESULT_CODE_CHROME_LAST = 40;
CEF_RESULT_CODE_SANDBOX_FATAL_FIRST = 7006;
CEF_RESULT_CODE_SANDBOX_FATAL_INTEGRITY = CEF_RESULT_CODE_SANDBOX_FATAL_FIRST;
CEF_RESULT_CODE_SANDBOX_FATAL_DROPTOKEN = 7007;
CEF_RESULT_CODE_SANDBOX_FATAL_FLUSHANDLES = 7008;
CEF_RESULT_CODE_SANDBOX_FATAL_CACHEDISABLE = 7009;
CEF_RESULT_CODE_SANDBOX_FATAL_CLOSEHANDLES = 7010;
CEF_RESULT_CODE_SANDBOX_FATAL_MITIGATION = 7011;
CEF_RESULT_CODE_SANDBOX_FATAL_MEMORY_EXCEEDED = 7012;
CEF_RESULT_CODE_SANDBOX_FATAL_WARMUP = 7013;
CEF_RESULT_CODE_SANDBOX_FATAL_BROKER_SHUTDOWN_HUNG = 7014;
CEF_RESULT_CODE_SANDBOX_FATAL_LAST = 7015;
CEF_RESULT_CODE_NUM_VALUES = CEF_RESULT_CODE_SANDBOX_FATAL_LAST + 1;
ABOUTBLANK_URI = 'about:blank';
DEVTOOLS_WINDOWNAME = 'DevTools';
CEF_PROXYTYPE_DIRECT = 0;
CEF_PROXYTYPE_AUTODETECT = 1;
CEF_PROXYTYPE_SYSTEM = 2;
CEF_PROXYTYPE_FIXED_SERVERS = 3;
CEF_PROXYTYPE_PAC_SCRIPT = 4;
CEF_LOG_SEVERITY_VERBOSE = -1;
CEF_LOG_SEVERITY_INFO = 0;
CEF_LOG_SEVERITY_WARNING = 1;
CEF_LOG_SEVERITY_ERROR = 2;
CEF_LOG_SEVERITY_FATAL = 3;
CEF_MAX_CONNECTIONS_PER_PROXY_DEFAULT_VALUE = 32;
CEF_MAX_CONNECTIONS_PER_PROXY_MIN_VALUE = 7;
CEF_MAX_CONNECTIONS_PER_PROXY_MAX_VALUE = 99;
CEF_COOKIE_PREF_DEFAULT = 0;
CEF_COOKIE_PREF_ALLOW = 1;
CEF_COOKIE_PREF_BLOCK = 2;
CEF_DEFAULT_ENABLEFOCUSDELAY = 500;
YOUTUBE_RESTRICT_OFF = 0;
YOUTUBE_RESTRICT_MODERATE = 1;
YOUTUBE_RESTRICT_STRICT = 2;
ZOOM_STEP_25 = 0;
ZOOM_STEP_33 = 1;
ZOOM_STEP_50 = 2;
ZOOM_STEP_67 = 3;
ZOOM_STEP_75 = 4;
ZOOM_STEP_90 = 5;
ZOOM_STEP_100 = 6;
ZOOM_STEP_110 = 7;
ZOOM_STEP_125 = 8;
ZOOM_STEP_150 = 9;
ZOOM_STEP_175 = 10;
ZOOM_STEP_200 = 11;
ZOOM_STEP_250 = 12;
ZOOM_STEP_300 = 13;
ZOOM_STEP_400 = 14;
ZOOM_STEP_500 = 15;
ZOOM_STEP_UNK = 16;
ZOOM_STEP_MIN = ZOOM_STEP_25;
ZOOM_STEP_MAX = ZOOM_STEP_500;
ZOOM_STEP_DEF = ZOOM_STEP_100;
ZOOM_PCT_DELTA = 5;
ZoomStepValues : array[ZOOM_STEP_MIN..ZOOM_STEP_MAX] of integer = (25, 33, 50, 67, 75, 90, 100, 110, 125, 150, 175, 200, 250, 300, 400, 500);
CEF_PREFERENCES_SAVED = WM_APP + $A00;
CEF_DOONCLOSE = WM_APP + $A01;
CEF_STARTDRAGGING = WM_APP + $A02;
CEF_AFTERCREATED = WM_APP + $A03;
CEF_PENDINGRESIZE = WM_APP + $A04;
CEF_PUMPHAVEWORK = WM_APP + $A05;
CEF_DESTROY = WM_APP + $A06;
CEF_DOONBEFORECLOSE = WM_APP + $A07;
CEF_PENDINGINVALIDATE = WM_APP + $A08;
CEF_IMERANGECHANGED = WM_APP + $A09;
CEF_SENTINEL_START = WM_APP + $A0A;
CEF_SENTINEL_DOCLOSE = WM_APP + $A0B;
CEF_BEFORECLOSE = WM_APP + $A0C;
CEF_INVALIDATE = WM_APP + $A0D;
CEF_FOCUSENABLED = WM_APP + $A0E;
WM_TOUCH = $0240;
WM_POINTERUPDATE = $0245;
WM_POINTERDOWN = $0246;
WM_POINTERUP = $0247;
CEF_OSR_FRAMERATE_DEFAULT = 30;
CEF_OSR_SHARED_TEXTURES_FRAMERATE_DEFAULT = 60;
CEF_TIMER_MINIMUM = $0000000A;
CEF_TIMER_MAXIMUM = $7FFFFFFF;
CEF_TIMER_MAXDELAY = 1000 div CEF_OSR_FRAMERATE_DEFAULT;
CEF_TIMER_DEPLETEWORK_CYCLES = 10;
CEF_TIMER_DEPLETEWORK_DELAY = 50;
CEF4DELPHI_URL = 'https://github.com/salvadordf/CEF4Delphi';
CRLF = #13 + #10;
CEF_URLS_URL = 'chrome://chrome-urls';
CEF_VERSION_URL = 'chrome://version';
CEF_FLAGS_URL = 'chrome://flags';
CEF_SETTINGS_URL = 'chrome://settings';
CEF_DOWNLOADS_URL = 'chrome://downloads';
CEF_EXTENSIONS_URL = 'chrome://extensions';
CEF_INSPECT_URL = 'chrome://inspect';
CEF_GPU_URL = 'chrome://gpu';
CEF_PREFS_URL = 'chrome://prefs-internals';
CEF_CERTMANAGER_URL = 'chrome://certificate-manager';
CEF_MEMORY_URL = 'chrome://memory-internals';
CEF_IMAGE_FILE_MACHINE_I386 = $014C;
CEF_IMAGE_FILE_MACHINE_AMD64 = $8664;
USER_DEFAULT_SCREEN_DPI = 96;
CEF_MOUSETOUCH_EVENT_MODIFIERS_NONE = 0;
CEF_MOUSETOUCH_EVENT_MODIFIERS_ALT = 1 shl 0;
CEF_MOUSETOUCH_EVENT_MODIFIERS_CTRL = 1 shl 1;
CEF_MOUSETOUCH_EVENT_MODIFIERS_METACMD = 1 shl 2;
CEF_MOUSETOUCH_EVENT_MODIFIERS_SHIFT = 1 shl 3;
CEF_PRESSED_MOUSE_BUTTONS_NONE = 0;
CEF_PRESSED_MOUSE_BUTTONS_LEFT = 1 shl 0;
CEF_PRESSED_MOUSE_BUTTONS_RIGHT = 1 shl 1;
CEF_PRESSED_MOUSE_BUTTONS_MIDDLE = 1 shl 2;
CEF_PRESSED_MOUSE_BUTTONS_BACK = 1 shl 3;
CEF_PRESSED_MOUSE_BUTTONS_FORWARD = 1 shl 4;
CHROMIUM_NONBROWSERSHUTDOWNPRIORITY = $280;
INFINITE = Cardinal($FFFFFFFF);
pidWin32 = 0;
pidWin64 = 0;
pfidWindows = pidWin32 or pidWin64;
pidOSX32 = 0;
pidOSX64 = 0;
pidOSXArm64 = 0;
pfidOSX = pidOSX32 or pidOSX64 or pidOSXArm64;
pidLinux64 = 0;
pfidLinux = pidLinux64;
CEF_ONEDAYINMILLISECONDS = 86400000;

Description

Constants

ERR_NONE = 0;

No error.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_IO_PENDING = -1;

An asynchronous IO operation is not yet complete. This usually does not indicate a fatal error. Typically this error will be generated as a notification to wait for some external notification that the IO operation finally completed.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_FAILED = -2;

A generic failure occurred.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_ABORTED = -3;

An operation was aborted (due to user action).

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_INVALID_ARGUMENT = -4;

An argument to the function is incorrect.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_INVALID_HANDLE = -5;

The handle or file descriptor is invalid.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_FILE_NOT_FOUND = -6;

The file or directory cannot be found.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_TIMED_OUT = -7;

An operation timed out.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_FILE_TOO_BIG = -8;

The file is too large.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_UNEXPECTED = -9;

An unexpected error. This may be caused by a programming mistake or an invalid assumption.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_ACCESS_DENIED = -10;

Permission to access a resource, other than the network, was denied.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_NOT_IMPLEMENTED = -11;

The operation failed because of unimplemented functionality.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_INSUFFICIENT_RESOURCES = -12;

There were not enough resources to complete the operation.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_OUT_OF_MEMORY = -13;

Memory allocation failed.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_UPLOAD_FILE_CHANGED = -14;

The file upload failed because the file's modification time was different from the expectation.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_SOCKET_NOT_CONNECTED = -15;

The socket is not connected.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_FILE_EXISTS = -16;

The file already exists.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_FILE_PATH_TOO_LONG = -17;

The path or file name is too long.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_FILE_NO_SPACE = -18;

Not enough room left on the disk.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_FILE_VIRUS_INFECTED = -19;

The file has a virus.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_BLOCKED_BY_CLIENT = -20;

The client chose to block the request.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_NETWORK_CHANGED = -21;

The network changed.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_BLOCKED_BY_ADMINISTRATOR = -22;

The request was blocked by the URL block list configured by the domain administrator.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_SOCKET_IS_CONNECTED = -23;

The socket is already connected.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_UPLOAD_STREAM_REWIND_NOT_SUPPORTED = -25;

The upload failed because the upload stream needed to be re-read, due to a retry or a redirect, but the upload stream doesn't support that operation.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CONTEXT_SHUT_DOWN = -26;

The request failed because the URLRequestContext is shutting down, or has been shut down.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_BLOCKED_BY_RESPONSE = -27;

The request failed because the response was delivered along with requirements which are not met ('X-Frame-Options' and 'Content-Security-Policy' ancestor checks and 'Cross-Origin-Resource-Policy' for instance).

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CLEARTEXT_NOT_PERMITTED = -29;

The request was blocked by system policy disallowing some or all cleartext requests. Used for NetworkSecurityPolicy on Android.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_BLOCKED_BY_CSP = -30;

The request was blocked by a Content Security Policy

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_BLOCKED_BY_ORB = -32;

The request was blocked by CORB or ORB.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_NETWORK_ACCESS_REVOKED = -33;

The request was blocked because it originated from a frame that has disabled network access.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_BLOCKED_BY_FINGERPRINTING_PROTECTION = -34;

The request was blocked by fingerprinting protections.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CONNECTION_CLOSED = -100;

A connection was closed (corresponding to a TCP FIN).

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CONNECTION_RESET = -101;

A connection was reset (corresponding to a TCP RST).

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CONNECTION_REFUSED = -102;

A connection attempt was refused.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CONNECTION_ABORTED = -103;

A connection timed out as a result of not receiving an ACK for data sent. This can include a FIN packet that did not get ACK'd.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CONNECTION_FAILED = -104;

A connection attempt failed.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_NAME_NOT_RESOLVED = -105;

The host name could not be resolved.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_INTERNET_DISCONNECTED = -106;

The Internet connection has been lost.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_SSL_PROTOCOL_ERROR = -107;

An SSL protocol error occurred.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_ADDRESS_INVALID = -108;

The IP address or port number is invalid (e.g., cannot connect to the IP address 0 or the port 0).

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_ADDRESS_UNREACHABLE = -109;

The IP address is unreachable. This usually means that there is no route to the specified host or network.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_SSL_CLIENT_AUTH_CERT_NEEDED = -110;

The server requested a client certificate for SSL client authentication.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_TUNNEL_CONNECTION_FAILED = -111;

A tunnel connection through the proxy could not be established.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_NO_SSL_VERSIONS_ENABLED = -112;

No SSL protocol versions are enabled.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_SSL_VERSION_OR_CIPHER_MISMATCH = -113;

The client and server don't support a common SSL protocol version or cipher suite.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_SSL_RENEGOTIATION_REQUESTED = -114;

The server requested a renegotiation (rehandshake).

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_PROXY_AUTH_UNSUPPORTED = -115;

The proxy requested authentication (for tunnel establishment) with an unsupported method.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_BAD_SSL_CLIENT_AUTH_CERT = -117;

The SSL handshake failed because of a bad or missing client certificate.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CONNECTION_TIMED_OUT = -118;

A connection attempt timed out.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_HOST_RESOLVER_QUEUE_TOO_LARGE = -119;

There are too many pending DNS resolves, so a request in the queue was aborted.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_SOCKS_CONNECTION_FAILED = -120;

Failed establishing a connection to the SOCKS proxy server for a target host.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_SOCKS_CONNECTION_HOST_UNREACHABLE = -121;

The SOCKS proxy server failed establishing connection to the target host because that host is unreachable.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_ALPN_NEGOTIATION_FAILED = -122;

The request to negotiate an alternate protocol failed.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_SSL_NO_RENEGOTIATION = -123;

The peer sent an SSL no_renegotiation alert message.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_WINSOCK_UNEXPECTED_WRITTEN_BYTES = -124;

Winsock sometimes reports more data written than passed. This is probably due to a broken LSP.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_SSL_DECOMPRESSION_FAILURE_ALERT = -125;

An SSL peer sent us a fatal decompression_failure alert. This typically occurs when a peer selects DEFLATE compression in the mistaken belief that it supports it.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_SSL_BAD_RECORD_MAC_ALERT = -126;

An SSL peer sent us a fatal bad_record_mac alert. This has been observed from servers with buggy DEFLATE support.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_PROXY_AUTH_REQUESTED = -127;

The proxy requested authentication (for tunnel establishment).

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_PROXY_CONNECTION_FAILED = -130;

Could not create a connection to the proxy server. An error occurred either in resolving its name, or in connecting a socket to it. Note that this does NOT include failures during the actual "CONNECT" method of an HTTP proxy.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_MANDATORY_PROXY_CONFIGURATION_FAILED = -131;

A mandatory proxy configuration could not be used. Currently this means that a mandatory PAC script could not be fetched, parsed or executed.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_PRECONNECT_MAX_SOCKET_LIMIT = -133;

We've hit the max socket limit for the socket pool while preconnecting. We don't bother trying to preconnect more sockets.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_SSL_CLIENT_AUTH_PRIVATE_KEY_ACCESS_DENIED = -134;

The permission to use the SSL client certificate's private key was denied.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_SSL_CLIENT_AUTH_CERT_NO_PRIVATE_KEY = -135;

The SSL client certificate has no private key.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_PROXY_CERTIFICATE_INVALID = -136;

The certificate presented by the HTTPS Proxy was invalid.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_NAME_RESOLUTION_FAILED = -137;

An error occurred when trying to do a name resolution (DNS).

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_NETWORK_ACCESS_DENIED = -138;

Permission to access the network was denied. This is used to distinguish errors that were most likely caused by a firewall from other access denied errors. See also ERR_ACCESS_DENIED.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_TEMPORARILY_THROTTLED = -139;

The request throttler module cancelled this request to avoid DDOS.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_HTTPS_PROXY_TUNNEL_RESPONSE_REDIRECT = -140;

A request to create an SSL tunnel connection through the HTTPS proxy received a 302 (temporary redirect) response. The response body might include a description of why the request failed.

TODO(crbug.com/40093955): This is deprecated and should not be used by new code.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_SSL_CLIENT_AUTH_SIGNATURE_FAILED = -141;

We were unable to sign the CertificateVerify data of an SSL client auth handshake with the client certificate's private key.

Possible causes for this include the user implicitly or explicitly denying access to the private key, the private key may not be valid for signing, the key may be relying on a cached handle which is no longer valid, or the CSP won't allow arbitrary data to be signed.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_MSG_TOO_BIG = -142;

The message was too large for the transport. (for example a UDP message which exceeds size threshold).

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_WS_PROTOCOL_ERROR = -145;

Websocket protocol error. Indicates that we are terminating the connection due to a malformed frame or other protocol violation.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_ADDRESS_IN_USE = -147;

Returned when attempting to bind an address that is already in use.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_SSL_HANDSHAKE_NOT_COMPLETED = -148;

An operation failed because the SSL handshake has not completed.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_SSL_BAD_PEER_PUBLIC_KEY = -149;

SSL peer's public key is invalid.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_SSL_PINNED_KEY_NOT_IN_CERT_CHAIN = -150;

The certificate didn't match the built-in public key pins for the host name. The pins are set in net/http/transport_security_state.cc and require that one of a set of public keys exist on the path from the leaf to the root.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CLIENT_AUTH_CERT_TYPE_UNSUPPORTED = -151;

Server request for client certificate did not contain any types we support.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_SSL_DECRYPT_ERROR_ALERT = -153;

An SSL peer sent us a fatal decrypt_error alert. This typically occurs when a peer could not correctly verify a signature (in CertificateVerify or ServerKeyExchange) or validate a Finished message.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_WS_THROTTLE_QUEUE_TOO_LARGE = -154;

There are too many pending WebSocketJob instances, so the new job was not pushed to the queue.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_SSL_SERVER_CERT_CHANGED = -156;

The SSL server certificate changed in a renegotiation.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_SSL_UNRECOGNIZED_NAME_ALERT = -159;

The SSL server sent us a fatal unrecognized_name alert.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_SOCKET_SET_RECEIVE_BUFFER_SIZE_ERROR = -160;

Failed to set the socket's receive buffer size as requested.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_SOCKET_SET_SEND_BUFFER_SIZE_ERROR = -161;

Failed to set the socket's send buffer size as requested.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_SOCKET_RECEIVE_BUFFER_SIZE_UNCHANGEABLE = -162;

Failed to set the socket's receive buffer size as requested, despite success return code from setsockopt.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_SOCKET_SEND_BUFFER_SIZE_UNCHANGEABLE = -163;

Failed to set the socket's send buffer size as requested, despite success return code from setsockopt.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_SSL_CLIENT_AUTH_CERT_BAD_FORMAT = -164;

Failed to import a client certificate from the platform store into the SSL library.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_ICANN_NAME_COLLISION = -166;

Resolving a hostname to an IP address list included the IPv4 address "127.0.53.53". This is a special IP address which ICANN has recommended to indicate there was a name collision, and alert admins to a potential problem.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_SSL_SERVER_CERT_BAD_FORMAT = -167;

The SSL server presented a certificate which could not be decoded. This is not a certificate error code as no X509Certificate object is available. This error is fatal.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CT_STH_PARSING_FAILED = -168;

Certificate Transparency: Received a signed tree head that failed to parse.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CT_STH_INCOMPLETE = -169;

Certificate Transparency: Received a signed tree head whose JSON parsing was OK but was missing some of the fields.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_UNABLE_TO_REUSE_CONNECTION_FOR_PROXY_AUTH = -170;

The attempt to reuse a connection to send proxy auth credentials failed before the AuthController was used to generate credentials. The caller should reuse the controller with a new connection. This error is only used internally by the network stack.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CT_CONSISTENCY_PROOF_PARSING_FAILED = -171;

Certificate Transparency: Failed to parse the received consistency proof.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_SSL_OBSOLETE_CIPHER = -172;

The SSL server required an unsupported cipher suite that has since been removed. This error will temporarily be signaled on a fallback for one or two releases immediately following a cipher suite's removal, after which the fallback will be removed.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_WS_UPGRADE = -173;

When a WebSocket handshake is done successfully and the connection has been upgraded, the URLRequest is cancelled with this error code.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_READ_IF_READY_NOT_IMPLEMENTED = -174;

Socket ReadIfReady support is not implemented. This error should not be user visible, because the normal Read() method is used as a fallback.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_NO_BUFFER_SPACE = -176;

No socket buffer space is available.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_SSL_CLIENT_AUTH_NO_COMMON_ALGORITHMS = -177;

There were no common signature algorithms between our client certificate private key and the server's preferences.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_EARLY_DATA_REJECTED = -178;

TLS 1.3 early data was rejected by the server. This will be received before any data is returned from the socket. The request should be retried with early data disabled.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_WRONG_VERSION_ON_EARLY_DATA = -179;

TLS 1.3 early data was offered, but the server responded with TLS 1.2 or earlier. This is an internal error code to account for a backwards-compatibility issue with early data and TLS 1.2. It will be received before any data is returned from the socket. The request should be retried with early data disabled.

See https://tools.ietf.org/html/rfc8446#appendix-D.3 for details.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_TLS13_DOWNGRADE_DETECTED = -180;

TLS 1.3 was enabled, but a lower version was negotiated and the server returned a value indicating it supported TLS 1.3. This is part of a security check in TLS 1.3, but it may also indicate the user is behind a buggy TLS-terminating proxy which implemented TLS 1.2 incorrectly. (See https://crbug.com/boringssl/226.)

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_SSL_KEY_USAGE_INCOMPATIBLE = -181;

The server's certificate has a keyUsage extension incompatible with the negotiated TLS key exchange method.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_INVALID_ECH_CONFIG_LIST = -182;

The ECHConfigList fetched over DNS cannot be parsed.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_ECH_NOT_NEGOTIATED = -183;

ECH was enabled, but the server was unable to decrypt the encrypted ClientHello.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_ECH_FALLBACK_CERTIFICATE_INVALID = -184;

ECH was enabled, the server was unable to decrypt the encrypted ClientHello, and additionally did not present a certificate valid for the public name.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CERT_COMMON_NAME_INVALID = -200;

The server responded with a certificate whose common name did not match the host name. This could mean:

1. An attacker has redirected our traffic to their server and is presenting a certificate for which they know the private key.

2. The server is misconfigured and responding with the wrong cert.

3. The user is on a wireless network and is being redirected to the network's login page.

4. The OS has used a DNS search suffix and the server doesn't have a certificate for the abbreviated name in the address bar.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CERT_DATE_INVALID = -201;

The server responded with a certificate that, by our clock, appears to either not yet be valid or to have expired. This could mean:

1. An attacker is presenting an old certificate for which they have managed to obtain the private key.

2. The server is misconfigured and is not presenting a valid cert.

3. Our clock is wrong.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CERT_AUTHORITY_INVALID = -202;

The server responded with a certificate that is signed by an authority we don't trust. The could mean:

1. An attacker has substituted the real certificate for a cert that contains their public key and is signed by their cousin.

2. The server operator has a legitimate certificate from a CA we don't know about, but should trust.

3. The server is presenting a self-signed certificate, providing no defense against active attackers (but foiling passive attackers).

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CERT_CONTAINS_ERRORS = -203;

The server responded with a certificate that contains errors. This error is not recoverable.

MSDN describes this error as follows: "The SSL certificate contains errors." NOTE: It's unclear how this differs from ERR_CERT_INVALID. For consistency, use that code instead of this one from now on.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CERT_NO_REVOCATION_MECHANISM = -204;

The certificate has no mechanism for determining if it is revoked. In effect, this certificate cannot be revoked.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CERT_UNABLE_TO_CHECK_REVOCATION = -205;

Revocation information for the security certificate for this site is not available. This could mean:

1. An attacker has compromised the private key in the certificate and is blocking our attempt to find out that the cert was revoked.

2. The certificate is unrevoked, but the revocation server is busy or unavailable.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CERT_REVOKED = -206;

The server responded with a certificate has been revoked. We have the capability to ignore this error, but it is probably not the thing to do.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CERT_INVALID = -207;

The server responded with a certificate that is invalid. This error is not recoverable.

MSDN describes this error as follows: "The SSL certificate is invalid."

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CERT_WEAK_SIGNATURE_ALGORITHM = -208;

The server responded with a certificate that is signed using a weak signature algorithm.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CERT_NON_UNIQUE_NAME = -210;

The host name specified in the certificate is not unique.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CERT_WEAK_KEY = -211;

The server responded with a certificate that contains a weak key (e.g. a too-small RSA key).

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CERT_NAME_CONSTRAINT_VIOLATION = -212;

The certificate claimed DNS names that are in violation of name constraints.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CERT_VALIDITY_TOO_LONG = -213;

The certificate's validity period is too long.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CERTIFICATE_TRANSPARENCY_REQUIRED = -214;

Certificate Transparency was required for this connection, but the server did not provide CT information that complied with the policy.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CERT_KNOWN_INTERCEPTION_BLOCKED = -217;

The certificate is known to be used for interception by an entity other the device owner.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CERT_SELF_SIGNED_LOCAL_NETWORK = -219;

-218 was SSL_OBSOLETE_VERSION which is not longer used. TLS 1.0/1.1 instead cause SSL_VERSION_OR_CIPHER_MISMATCH now. The certificate is self signed and it's being used for either an RFC1918 IP literal URL, or a url ending in .local.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CERT_END = -220;

The value immediately past the last certificate error code.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_INVALID_URL = -300;

The URL is invalid.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_DISALLOWED_URL_SCHEME = -301;

The scheme of the URL is disallowed.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_UNKNOWN_URL_SCHEME = -302;

The scheme of the URL is unknown.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_INVALID_REDIRECT = -303;

Attempting to load an URL resulted in a redirect to an invalid URL.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_TOO_MANY_REDIRECTS = -310;

Attempting to load an URL resulted in too many redirects.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_UNSAFE_REDIRECT = -311;

Attempting to load an URL resulted in an unsafe redirect (e.g., a redirect to file:// is considered unsafe).

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_UNSAFE_PORT = -312;

Attempting to load an URL with an unsafe port number. These are port numbers that correspond to services, which are not robust to spurious input that may be constructed as a result of an allowed web construct (e.g., HTTP looks a lot like SMTP, so form submission to port 25 is denied).

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_INVALID_RESPONSE = -320;

The server's response was invalid.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_INVALID_CHUNKED_ENCODING = -321;

Error in chunked transfer encoding.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_METHOD_NOT_SUPPORTED = -322;

The server did not support the request method.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_UNEXPECTED_PROXY_AUTH = -323;

The response was 407 (Proxy Authentication Required), yet we did not send the request to a proxy.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_EMPTY_RESPONSE = -324;

The server closed the connection without sending any data.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_RESPONSE_HEADERS_TOO_BIG = -325;

The headers section of the response is too large.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_PAC_SCRIPT_FAILED = -327;

The evaluation of the PAC script failed.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_REQUEST_RANGE_NOT_SATISFIABLE = -328;

The response was 416 (Requested range not satisfiable) and the server cannot satisfy the range requested.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_MALFORMED_IDENTITY = -329;

The identity used for authentication is invalid.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CONTENT_DECODING_FAILED = -330;

Content decoding of the response body failed.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_NETWORK_IO_SUSPENDED = -331;

An operation could not be completed because all network IO is suspended.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_SYN_REPLY_NOT_RECEIVED = -332;

FLIP data received without receiving a SYN_REPLY on the stream.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_ENCODING_CONVERSION_FAILED = -333;

Converting the response to target encoding failed.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_UNRECOGNIZED_FTP_DIRECTORY_LISTING_FORMAT = -334;

The server sent an FTP directory listing in a format we do not understand.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_NO_SUPPORTED_PROXIES = -336;

There are no supported proxies in the provided list.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_SPDY_PROTOCOL_ERROR = -337;

There is an HTTP/2 protocol error.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_INVALID_AUTH_CREDENTIALS = -338;

Credentials could not be established during HTTP Authentication.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_UNSUPPORTED_AUTH_SCHEME = -339;

An HTTP Authentication scheme was tried which is not supported on this machine.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_ENCODING_DETECTION_FAILED = -340;

Detecting the encoding of the response failed.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_MISSING_AUTH_CREDENTIALS = -341;

(GSSAPI) No Kerberos credentials were available during HTTP Authentication.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_UNEXPECTED_SECURITY_LIBRARY_STATUS = -342;

An unexpected, but documented, SSPI or GSSAPI status code was returned.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_MISCONFIGURED_AUTH_ENVIRONMENT = -343;

The environment was not set up correctly for authentication. For example, no KDC could be found or the principal is unknown.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_UNDOCUMENTED_SECURITY_LIBRARY_STATUS = -344;

An undocumented SSPI or GSSAPI status code was returned.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_RESPONSE_BODY_TOO_BIG_TO_DRAIN = -345;

The HTTP response was too big to drain.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_RESPONSE_HEADERS_MULTIPLE_CONTENT_LENGTH = -346;

The HTTP response contained multiple distinct Content-Length headers.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_INCOMPLETE_SPDY_HEADERS = -347;

HTTP/2 headers have been received, but not all of them - status or version headers are missing, so we're expecting additional frames to complete them.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_PAC_NOT_IN_DHCP = -348;

No PAC URL configuration could be retrieved from DHCP. This can indicate either a failure to retrieve the DHCP configuration, or that there was no PAC URL configured in DHCP.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_RESPONSE_HEADERS_MULTIPLE_CONTENT_DISPOSITION = -349;

The HTTP response contained multiple Content-Disposition headers.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_RESPONSE_HEADERS_MULTIPLE_LOCATION = -350;

The HTTP response contained multiple Location headers.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_SPDY_SERVER_REFUSED_STREAM = -351;

HTTP/2 server refused the request without processing, and sent either a GOAWAY frame with error code NO_ERROR and Last-Stream-ID lower than the stream id corresponding to the request indicating that this request has not been processed yet, or a RST_STREAM frame with error code REFUSED_STREAM. Client MAY retry (on a different connection). See RFC7540 Section 8.1.4.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_SPDY_PING_FAILED = -352;

HTTP/2 server didn't respond to the PING message.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CONTENT_LENGTH_MISMATCH = -354;

The HTTP response body transferred fewer bytes than were advertised by the Content-Length header when the connection is closed.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_INCOMPLETE_CHUNKED_ENCODING = -355;

The HTTP response body is transferred with Chunked-Encoding, but the terminating zero-length chunk was never sent when the connection is closed.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_QUIC_PROTOCOL_ERROR = -356;

There is a QUIC protocol error.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_RESPONSE_HEADERS_TRUNCATED = -357;

The HTTP headers were truncated by an EOF.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_QUIC_HANDSHAKE_FAILED = -358;

The QUIC crypto handshake failed. This means that the server was unable to read any requests sent, so they may be resent.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_SPDY_INADEQUATE_TRANSPORT_SECURITY = -360;

Transport security is inadequate for the HTTP/2 version.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_SPDY_FLOW_CONTROL_ERROR = -361;

The peer violated HTTP/2 flow control.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_SPDY_FRAME_SIZE_ERROR = -362;

The peer sent an improperly sized HTTP/2 frame.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_SPDY_COMPRESSION_ERROR = -363;

Decoding or encoding of compressed HTTP/2 headers failed.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_PROXY_AUTH_REQUESTED_WITH_NO_CONNECTION = -364;

Proxy Auth Requested without a valid Client Socket Handle.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_HTTP_1_1_REQUIRED = -365;

HTTP_1_1_REQUIRED error code received on HTTP/2 session.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_PROXY_HTTP_1_1_REQUIRED = -366;

HTTP_1_1_REQUIRED error code received on HTTP/2 session to proxy.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_PAC_SCRIPT_TERMINATED = -367;

The PAC script terminated fatally and must be reloaded.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_PROXY_REQUIRED = -368;

Signals that the request requires the IPP proxy.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_INVALID_HTTP_RESPONSE = -370;

The server was expected to return an HTTP/1.x response, but did not. Rather than treat it as HTTP/0.9, this error is returned.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CONTENT_DECODING_INIT_FAILED = -371;

Initializing content decoding failed.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_SPDY_RST_STREAM_NO_ERROR_RECEIVED = -372;

Received HTTP/2 RST_STREAM frame with NO_ERROR error code. This error should be handled internally by HTTP/2 code, and should not make it above the SpdyStream layer.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_TOO_MANY_RETRIES = -375;

An HTTP transaction was retried too many times due for authentication or invalid certificates. This may be due to a bug in the net stack that would otherwise infinite loop, or if the server or proxy continually requests fresh credentials or presents a fresh invalid certificate.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_SPDY_STREAM_CLOSED = -376;

Received an HTTP/2 frame on a closed stream.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_HTTP_RESPONSE_CODE_FAILURE = -379;

The server returned a non-2xx HTTP response code.

Note that this error is only used by certain APIs that interpret the HTTP response itself. URLRequest for instance just passes most non-2xx response back as success.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_QUIC_CERT_ROOT_NOT_KNOWN = -380;

The certificate presented on a QUIC connection does not chain to a known root and the origin connected to is not on a list of domains where unknown roots are allowed.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_QUIC_GOAWAY_REQUEST_CAN_BE_RETRIED = -381;

A GOAWAY frame has been received indicating that the request has not been processed and is therefore safe to retry on a different connection.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_TOO_MANY_ACCEPT_CH_RESTARTS = -382;

The ACCEPT_CH restart has been triggered too many times

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_INCONSISTENT_IP_ADDRESS_SPACE = -383;

The IP address space of the remote endpoint differed from the previous observed value during the same request. Any cache entry for the affected request should be invalidated.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CACHED_IP_ADDRESS_SPACE_BLOCKED_BY_PRIVATE_NETWORK_ACCESS_POLICY = -384;

The IP address space of the cached remote endpoint is blocked by private network access check.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_BLOCKED_BY_PRIVATE_NETWORK_ACCESS_CHECKS = -385;

The connection is blocked by private network access checks.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_ZSTD_WINDOW_SIZE_TOO_BIG = -386;

Content decoding failed due to the zstd window size being too big (over 8MB).

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_DICTIONARY_LOAD_FAILED = -387;

The compression dictionary cannot be loaded.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_UNEXPECTED_CONTENT_DICTIONARY_HEADER = -388;

The header of dictionary compressed stream does not match the expected value.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CACHE_MISS = -400;

The cache does not have the requested entry.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CACHE_READ_FAILURE = -401;

Unable to read from the disk cache.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CACHE_WRITE_FAILURE = -402;

Unable to write to the disk cache.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CACHE_OPERATION_NOT_SUPPORTED = -403;

The operation is not supported for this entry.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CACHE_OPEN_FAILURE = -404;

The disk cache is unable to open this entry.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CACHE_CREATE_FAILURE = -405;

The disk cache is unable to create this entry.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CACHE_RACE = -406;

Multiple transactions are racing to create disk cache entries. This is an internal error returned from the HttpCache to the HttpCacheTransaction that tells the transaction to restart the entry-creation logic because the state of the cache has changed.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CACHE_CHECKSUM_READ_FAILURE = -407;

The cache was unable to read a checksum record on an entry. This can be returned from attempts to read from the cache. It is an internal error, returned by the SimpleCache backend, but not by any URLRequest methods or members.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CACHE_CHECKSUM_MISMATCH = -408;

The cache found an entry with an invalid checksum. This can be returned from attempts to read from the cache. It is an internal error, returned by the SimpleCache backend, but not by any URLRequest methods or members.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CACHE_LOCK_TIMEOUT = -409;

Internal error code for the HTTP cache. The cache lock timeout has fired.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CACHE_AUTH_FAILURE_AFTER_READ = -410;

Received a challenge after the transaction has read some data, and the credentials aren't available. There isn't a way to get them at that point.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CACHE_ENTRY_NOT_SUITABLE = -411;

Internal not-quite error code for the HTTP cache. In-memory hints suggest that the cache entry would not have been usable with the transaction's current configuration (e.g. load flags, mode, etc.)

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CACHE_DOOM_FAILURE = -412;

The disk cache is unable to doom this entry.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CACHE_OPEN_OR_CREATE_FAILURE = -413;

The disk cache is unable to open or create this entry.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_INSECURE_RESPONSE = -501;

The server's response was insecure (e.g. there was a cert error).

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_NO_PRIVATE_KEY_FOR_CERT = -502;

An attempt to import a client certificate failed, as the user's key database lacked a corresponding private key.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_ADD_USER_CERT_FAILED = -503;

An error adding a certificate to the OS certificate database.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_INVALID_SIGNED_EXCHANGE = -504;

An error occurred while handling a signed exchange.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_INVALID_WEB_BUNDLE = -505;

An error occurred while handling a Web Bundle source.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_TRUST_TOKEN_OPERATION_FAILED = -506;

A Trust Tokens protocol operation-executing request failed for one of a number of reasons (precondition failure, internal error, bad response).

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_TRUST_TOKEN_OPERATION_SUCCESS_WITHOUT_SENDING_REQUEST = -507;

When handling a Trust Tokens protocol operation-executing request, the system was able to execute the request's Trust Tokens operation without sending the request to its destination: for instance, the results could have been present in a local cache (for redemption) or the operation could have been diverted to a local provider (for "platform-provided" issuance).

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_PKCS12_IMPORT_BAD_PASSWORD = -701;

PKCS #12 import failed due to incorrect password.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_PKCS12_IMPORT_FAILED = -702;

PKCS #12 import failed due to other error.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_IMPORT_CA_CERT_NOT_CA = -703;

CA import failed - not a CA cert.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_IMPORT_CERT_ALREADY_EXISTS = -704;

Import failed - certificate already exists in database. Note it's a little weird this is an error but reimporting a PKCS12 is ok (no-op). That's how Mozilla does it, though.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_IMPORT_CA_CERT_FAILED = -705;

CA import failed due to some other error.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_IMPORT_SERVER_CERT_FAILED = -706;

Server certificate import failed due to some internal error.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_PKCS12_IMPORT_INVALID_MAC = -707;

PKCS #12 import failed due to invalid MAC.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_PKCS12_IMPORT_INVALID_FILE = -708;

PKCS #12 import failed due to invalid/corrupt file.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_PKCS12_IMPORT_UNSUPPORTED = -709;

PKCS #12 import failed due to unsupported features.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_KEY_GENERATION_FAILED = -710;

Key generation failed.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_PRIVATE_KEY_EXPORT_FAILED = -712;

Failure to export private key.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_SELF_SIGNED_CERT_GENERATION_FAILED = -713;

Self-signed certificate generation failed.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CERT_DATABASE_CHANGED = -714;

The certificate database changed in some way.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_CERT_VERIFIER_CHANGED = -716;

The certificate verifier configuration changed in some way.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_DNS_MALFORMED_RESPONSE = -800;

DNS resolver received a malformed response.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_DNS_SERVER_REQUIRES_TCP = -801;

DNS server requires TCP

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_DNS_SERVER_FAILED = -802;

DNS server failed. This error is returned for all of the following error conditions: 1 - Format error - The name server was unable to interpret the query. 2 - Server failure - The name server was unable to process this query due to a problem with the name server. 4 - Not Implemented - The name server does not support the requested kind of query. 5 - Refused - The name server refuses to perform the specified operation for policy reasons.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_DNS_TIMED_OUT = -803;

DNS transaction timed out.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_NS_CACHE_MISS = -804;

The entry was not found in cache or other local sources, for lookups where only local sources were queried. TODO(ericorth): Consider renaming to DNS_LOCAL_MISS or something like that as the cache is not necessarily queried either.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_DNS_SEARCH_EMPTY = -805;

Suffix search list rules prevent resolution of the given host name.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_DNS_SORT_ERROR = -806;

Failed to sort addresses according to RFC3484.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_DNS_SECURE_RESOLVER_HOSTNAME_RESOLUTION_FAILED = -808;

Failed to resolve the hostname of a DNS-over-HTTPS server.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_DNS_NAME_HTTPS_ONLY = -809;

DNS identified the request as disallowed for insecure connection (http/ws). Error should be handled as if an HTTP redirect was received to redirect to https or wss.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_DNS_REQUEST_CANCELLED = -810;

All DNS requests associated with this job have been cancelled.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_DNS_NO_MATCHING_SUPPORTED_ALPN = -811;

The hostname resolution of HTTPS record was expected to be resolved with alpn values of supported protocols, but did not.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_DNS_SECURE_PROBE_RECORD_INVALID = -814;

When checking whether secure DNS can be used, the response returned for the requested probe record either had no answer or was invalid.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_BLOB_INVALID_CONSTRUCTION_ARGUMENTS = -900;

The following errors are for mapped from a subset of invalid storage::BlobStatus. The construction arguments are invalid. This is considered a bad IPC.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_BLOB_OUT_OF_MEMORY = -901;

We don't have enough memory for the blob.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_BLOB_FILE_WRITE_FAILED = -902;

We couldn't create or write to a file. File system error, like a full disk.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_BLOB_SOURCE_DIED_IN_TRANSIT = -903;

The renderer was destroyed while data was in transit.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_BLOB_DEREFERENCED_WHILE_BUILDING = -904;

The renderer destructed the blob before it was done transferring, and there were no outstanding references (no one is waiting to read) to keep the blob alive.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_BLOB_REFERENCED_BLOB_BROKEN = -905;

A blob that we referenced during construction is broken, or a browser-side builder tries to build a blob with a blob reference that isn't finished constructing.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

ERR_BLOB_REFERENCED_FILE_UNAVAILABLE = -906;

A file that we referenced during construction is not accessible to the renderer trying to create the blob.

TCefErrorCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

COMMAND_ID_FIRST_UNBOUNDED = $E000;

command_id constants declared in cef_command_ids.h and used by some callbacks in ICefCommandHandler cef_command_ids.h is generated in /include/cef_command_ids.h

<see href="https://source.chromium.org/chromium/chromium/src/+/main:chrome/app/chrome_command_ids.h">The command_id values are also available in chrome/app/chrome_command_ids.h)

<see href="https://source.chromium.org/chromium/chromium/src/+/main:ui/base/command_id_constants.h">COMMAND_ID_FIRST_UNBOUNDED is available in ui/base/command_id_constants.h)

IDC_MinimumLabelValue = 4000;

This item has no description.

IDC_BACK = 33000;

This item has no description.

IDC_FORWARD = 33001;

This item has no description.

IDC_RELOAD = 33002;

This item has no description.

IDC_HOME = 33003;

This item has no description.

IDC_OPEN_CURRENT_URL = 33004;

This item has no description.

IDC_STOP = 33006;

This item has no description.

IDC_RELOAD_BYPASSING_CACHE = 33007;

This item has no description.

IDC_RELOAD_CLEARING_CACHE = 33009;

This item has no description.

IDC_NEW_WINDOW = 34000;

This item has no description.

IDC_NEW_INCOGNITO_WINDOW = 34001;

This item has no description.

IDC_CLOSE_WINDOW = 34012;

This item has no description.

IDC_ALWAYS_ON_TOP = 34013;

This item has no description.

IDC_NEW_TAB = 34014;

This item has no description.

IDC_CLOSE_TAB = 34015;

This item has no description.

IDC_SELECT_NEXT_TAB = 34016;

This item has no description.

IDC_SELECT_PREVIOUS_TAB = 34017;

This item has no description.

IDC_SELECT_TAB_0 = 34018;

This item has no description.

IDC_SELECT_TAB_1 = 34019;

This item has no description.

IDC_SELECT_TAB_2 = 34020;

This item has no description.

IDC_SELECT_TAB_3 = 34021;

This item has no description.

IDC_SELECT_TAB_4 = 34022;

This item has no description.

IDC_SELECT_TAB_5 = 34023;

This item has no description.

IDC_SELECT_TAB_6 = 34024;

This item has no description.

IDC_SELECT_TAB_7 = 34025;

This item has no description.

IDC_SELECT_LAST_TAB = 34026;

This item has no description.

IDC_DUPLICATE_TAB = 34027;

This item has no description.

IDC_RESTORE_TAB = 34028;

This item has no description.

IDC_SHOW_AS_TAB = 34029;

This item has no description.

IDC_FULLSCREEN = 34030;

This item has no description.

IDC_EXIT = 34031;

This item has no description.

IDC_MOVE_TAB_NEXT = 34032;

This item has no description.

IDC_MOVE_TAB_PREVIOUS = 34033;

This item has no description.

IDC_SEARCH = 34035;

This item has no description.

IDC_WINDOW_MENU = 34045;

This item has no description.

IDC_MINIMIZE_WINDOW = 34046;

This item has no description.

IDC_MAXIMIZE_WINDOW = 34047;

This item has no description.

IDC_ALL_WINDOWS_FRONT = 34048;

This item has no description.

IDC_NAME_WINDOW = 34049;

This item has no description.

IDC_TOGGLE_MULTITASK_MENU = 34050;

This item has no description.

IDC_USE_SYSTEM_TITLE_BAR = 34051;

This item has no description.

IDC_RESTORE_WINDOW = 34052;

This item has no description.

IDC_OPEN_IN_PWA_WINDOW = 34053;

This item has no description.

IDC_MOVE_TAB_TO_NEW_WINDOW = 34054;

This item has no description.

IDC_NEW_SPLIT_TAB = 34055;

This item has no description.

IDC_COPY_URL = 34060;

This item has no description.

IDC_OPEN_IN_CHROME = 34061;

This item has no description.

IDC_WEB_APP_SETTINGS = 34062;

This item has no description.

IDC_WEB_APP_MENU_APP_INFO = 34063;

This item has no description.

IDC_VISIT_DESKTOP_OF_LRU_USER_2 = 34080;

This item has no description.

IDC_VISIT_DESKTOP_OF_LRU_USER_3 = 34081;

This item has no description.

IDC_VISIT_DESKTOP_OF_LRU_USER_4 = 34082;

This item has no description.

IDC_VISIT_DESKTOP_OF_LRU_USER_5 = 34083;

This item has no description.

IDC_ADD_NEW_TAB_TO_GROUP = 34100;

This item has no description.

IDC_CREATE_NEW_TAB_GROUP = 34101;

This item has no description.

IDC_FOCUS_NEXT_TAB_GROUP = 34102;

This item has no description.

IDC_FOCUS_PREV_TAB_GROUP = 34103;

This item has no description.

IDC_CLOSE_TAB_GROUP = 34104;

This item has no description.

IDC_BOOKMARK_THIS_TAB = 35000;

This item has no description.

IDC_BOOKMARK_ALL_TABS = 35001;

This item has no description.

IDC_VIEW_SOURCE = 35002;

This item has no description.

IDC_PRINT = 35003;

This item has no description.

IDC_SAVE_PAGE = 35004;

This item has no description.

IDC_EMAIL_PAGE_LOCATION = 35006;

This item has no description.

IDC_BASIC_PRINT = 35007;

This item has no description.

IDC_SAVE_CREDIT_CARD_FOR_PAGE = 35008;

This item has no description.

IDC_SHOW_TRANSLATE = 35009;

This item has no description.

IDC_MANAGE_PASSWORDS_FOR_PAGE = 35010;

This item has no description.

IDC_ROUTE_MEDIA = 35011;

This item has no description.

IDC_WINDOW_MUTE_SITE = 35012;

This item has no description.

IDC_WINDOW_PIN_TAB = 35013;

This item has no description.

IDC_WINDOW_GROUP_TAB = 35014;

This item has no description.

IDC_MIGRATE_LOCAL_CREDIT_CARD_FOR_PAGE = 35015;

This item has no description.

IDC_SEND_TAB_TO_SELF = 35016;

This item has no description.

IDC_FOCUS_THIS_TAB = 35017;

This item has no description.

IDC_QRCODE_GENERATOR = 35021;

This item has no description.

IDC_WINDOW_CLOSE_TABS_TO_RIGHT = 35022;

This item has no description.

IDC_WINDOW_CLOSE_OTHER_TABS = 35023;

This item has no description.

IDC_NEW_TAB_TO_RIGHT = 35024;

This item has no description.

IDC_SAVE_AUTOFILL_ADDRESS = 35025;

This item has no description.

IDC_OFFERS_AND_REWARDS_FOR_PAGE = 35026;

This item has no description.

IDC_WEBAUTHN = 35027;

This item has no description.

IDC_SHARING_HUB = 35028;

This item has no description.

IDC_SHARING_HUB_MENU = 35029;

This item has no description.

IDC_FILLED_CARD_INFORMATION = 35030;

This item has no description.

IDC_SHARING_HUB_SCREENSHOT = 35031;

This item has no description.

IDC_VIRTUAL_CARD_ENROLL = 35032;

This item has no description.

IDC_SAVE_IBAN_FOR_PAGE = 35035;

This item has no description.

IDC_AUTOFILL_MANDATORY_REAUTH = 35036;

This item has no description.

IDC_PROFILE_MENU_IN_APP_MENU = 35039;

This item has no description.

IDC_PASSWORDS_AND_AUTOFILL_MENU = 35040;

This item has no description.

IDC_SHOW_PASSWORD_MANAGER = 35041;

This item has no description.

IDC_SHOW_PAYMENT_METHODS = 35042;

This item has no description.

IDC_SHOW_ADDRESSES = 35043;

This item has no description.

IDC_ORGANIZE_TABS = 35044;

This item has no description.

IDC_DECLUTTER_TABS = 35045;

This item has no description.

IDC_SEND_SHARED_TAB_GROUP_FEEDBACK = 35046;

This item has no description.

IDC_MUTE_TARGET_SITE = 35050;

This item has no description.

IDC_PIN_TARGET_TAB = 35051;

This item has no description.

IDC_GROUP_TARGET_TAB = 35052;

This item has no description.

IDC_DUPLICATE_TARGET_TAB = 35053;

This item has no description.

IDC_CUT = 36000;

This item has no description.

IDC_COPY = 36001;

This item has no description.

IDC_PASTE = 36003;

This item has no description.

IDC_EDIT_MENU = 36004;

This item has no description.

IDC_FIND = 37000;

This item has no description.

IDC_FIND_NEXT = 37001;

This item has no description.

IDC_FIND_PREVIOUS = 37002;

This item has no description.

IDC_CLOSE_FIND_OR_STOP = 37003;

This item has no description.

IDC_FIND_MENU = 37100;

This item has no description.

IDC_FIND_AND_EDIT_MENU = 37200;

This item has no description.

IDC_SAVE_AND_SHARE_MENU = 37300;

This item has no description.

IDC_CUSTOMIZE_CHROME = 37350;

This item has no description.

IDC_CLOSE_PROFILE = 35351;

This item has no description.

IDC_MANAGE_GOOGLE_ACCOUNT = 35352;

This item has no description.

IDC_SHOW_SYNC_SETTINGS = 35353;

This item has no description.

IDC_TURN_ON_SYNC = 35354;

This item has no description.

IDC_SHOW_SIGNIN_WHEN_PAUSED = 35355;

This item has no description.

IDC_OPEN_GUEST_PROFILE = 35356;

This item has no description.

IDC_ADD_NEW_PROFILE = 35357;

This item has no description.

IDC_MANAGE_CHROME_PROFILES = 35358;

This item has no description.

IDC_ZOOM_MENU = 38000;

This item has no description.

IDC_ZOOM_PLUS = 38001;

This item has no description.

IDC_ZOOM_NORMAL = 38002;

This item has no description.

IDC_ZOOM_MINUS = 38003;

This item has no description.

IDC_FOCUS_TOOLBAR = 39000;

This item has no description.

IDC_FOCUS_LOCATION = 39001;

This item has no description.

IDC_FOCUS_SEARCH = 39002;

This item has no description.

IDC_FOCUS_MENU_BAR = 39003;

This item has no description.

IDC_FOCUS_NEXT_PANE = 39004;

This item has no description.

IDC_FOCUS_PREVIOUS_PANE = 39005;

This item has no description.

IDC_FOCUS_BOOKMARKS = 39006;

This item has no description.

IDC_FOCUS_INACTIVE_POPUP_FOR_ACCESSIBILITY = 39007;

This item has no description.

IDC_FOCUS_WEB_CONTENTS_PANE = 39009;

This item has no description.

IDC_OPEN_FILE = 40000;

This item has no description.

IDC_CREATE_SHORTCUT = 40002;

This item has no description.

IDC_DEVELOPER_MENU = 40003;

This item has no description.

IDC_DEV_TOOLS = 40004;

This item has no description.

IDC_DEV_TOOLS_CONSOLE = 40005;

This item has no description.

IDC_TASK_MANAGER = 40006;

This item has no description.

IDC_DEV_TOOLS_DEVICES = 40007;

This item has no description.

IDC_FEEDBACK = 40008;

This item has no description.

IDC_SHOW_BOOKMARK_BAR = 40009;

This item has no description.

IDC_SHOW_HISTORY = 40010;

This item has no description.

IDC_SHOW_BOOKMARK_MANAGER = 40011;

This item has no description.

IDC_SHOW_DOWNLOADS = 40012;

This item has no description.

IDC_CLEAR_BROWSING_DATA = 40013;

This item has no description.

IDC_IMPORT_SETTINGS = 40014;

This item has no description.

IDC_OPTIONS = 40015;

This item has no description.

IDC_EDIT_SEARCH_ENGINES = 40016;

This item has no description.

IDC_VIEW_PASSWORDS = 40017;

This item has no description.

IDC_ABOUT = 40018;

This item has no description.

IDC_HELP_PAGE_VIA_KEYBOARD = 40019;

This item has no description.

IDC_HELP_PAGE_VIA_MENU = 40020;

This item has no description.

IDC_SHOW_APP_MENU = 40021;

This item has no description.

IDC_MANAGE_EXTENSIONS = 40022;

This item has no description.

IDC_DEV_TOOLS_INSPECT = 40023;

This item has no description.

IDC_UPGRADE_DIALOG = 40024;

This item has no description.

IDC_SHOW_HISTORY_CLUSTERS_SIDE_PANEL = 40025;

This item has no description.

IDC_PROFILING_ENABLED = 40028;

This item has no description.

IDC_BOOKMARKS_MENU = 40029;

This item has no description.

IDC_SAVED_TAB_GROUPS_MENU = 40030;

This item has no description.

IDC_EXTENSION_ERRORS = 40031;

This item has no description.

IDC_SHOW_SETTINGS_CHANGE_FIRST = 40033;

This item has no description.

IDC_SHOW_SETTINGS_CHANGE_LAST = 40133;

This item has no description.

IDC_SHOW_AVATAR_MENU = 40134;

This item has no description.

IDC_EXTENSION_INSTALL_ERROR_FIRST = 40135;

This item has no description.

IDC_EXTENSION_INSTALL_ERROR_LAST = 40235;

This item has no description.

IDC_TOGGLE_REQUEST_TABLET_SITE = 40236;

This item has no description.

IDC_DEV_TOOLS_TOGGLE = 40237;

This item has no description.

IDC_RECENT_TABS_MENU = 40239;

This item has no description.

IDC_RECENT_TABS_NO_DEVICE_TABS = 40240;

This item has no description.

IDC_SHOW_SETTINGS_RESET_BUBBLE = 40241;

This item has no description.

IDC_DISTILL_PAGE = 40243;

This item has no description.

IDC_HELP_MENU = 40244;

This item has no description.

IDC_SHOW_SRT_BUBBLE = 40246;

This item has no description.

IDC_ELEVATED_RECOVERY_DIALOG = 40247;

This item has no description.

IDC_TAKE_SCREENSHOT = 40248;

This item has no description.

IDC_MORE_TOOLS_MENU = 40249;

This item has no description.

IDC_TOGGLE_FULLSCREEN_TOOLBAR = 40250;

This item has no description.

IDC_CUSTOMIZE_TOUCH_BAR = 40251;

This item has no description.

IDC_SHOW_BETA_FORUM = 40252;

This item has no description.

IDC_TOGGLE_JAVASCRIPT_APPLE_EVENTS = 40253;

This item has no description.

IDC_INSTALL_PWA = 40254;

This item has no description.

IDC_SHOW_MANAGEMENT_PAGE = 40255;

This item has no description.

IDC_PASTE_AND_GO = 40256;

This item has no description.

IDC_SHOW_SAVE_LOCAL_CARD_SIGN_IN_PROMO_IF_APPLICABLE = 40257;

This item has no description.

IDC_CLOSE_SIGN_IN_PROMO = 40258;

This item has no description.

IDC_SHOW_FULL_URLS = 40259;

This item has no description.

IDC_CARET_BROWSING_TOGGLE = 40260;

This item has no description.

IDC_CHROME_TIPS = 40263;

This item has no description.

IDC_CHROME_WHATS_NEW = 40264;

This item has no description.

IDC_PERFORMANCE = 40266;

This item has no description.

IDC_EXTENSIONS_SUBMENU = 40267;

This item has no description.

IDC_EXTENSIONS_SUBMENU_MANAGE_EXTENSIONS = 40268;

This item has no description.

IDC_EXTENSIONS_SUBMENU_VISIT_CHROME_WEB_STORE = 40269;

This item has no description.

IDC_READING_LIST_MENU = 40270;

This item has no description.

IDC_READING_LIST_MENU_ADD_TAB = 40271;

This item has no description.

IDC_READING_LIST_MENU_SHOW_UI = 40272;

This item has no description.

IDC_SHOW_READING_MODE_SIDE_PANEL = 40273;

This item has no description.

IDC_SHOW_BOOKMARK_SIDE_PANEL = 40274;

This item has no description.

IDC_SHOW_CHROME_LABS = 40276;

This item has no description.

IDC_RECENT_TABS_LOGIN_FOR_DEVICE_TABS = 40277;

This item has no description.

IDC_OPEN_RECENT_TAB = 40278;

This item has no description.

IDC_OPEN_SAFETY_HUB = 40279;

This item has no description.

IDC_SAFETY_HUB_SHOW_PASSWORD_CHECKUP = 40280;

This item has no description.

IDC_SAFETY_HUB_MANAGE_EXTENSIONS = 40281;

This item has no description.

IDC_SHOW_GOOGLE_LENS_SHORTCUT = 40282;

This item has no description.

IDC_SHOW_CUSTOMIZE_CHROME_SIDE_PANEL = 40283;

This item has no description.

IDC_SHOW_CUSTOMIZE_CHROME_TOOLBAR = 40284;

This item has no description.

IDC_TASK_MANAGER_APP_MENU = 40285;

This item has no description.

IDC_TASK_MANAGER_SHORTCUT = 40286;

This item has no description.

IDC_TASK_MANAGER_CONTEXT_MENU = 40287;

This item has no description.

IDC_TASK_MANAGER_MAIN_MENU = 40288;

This item has no description.

IDC_COMPARE_MENU = 40289;

This item has no description.

IDC_SHOW_ALL_COMPARISON_TABLES = 40290;

This item has no description.

IDC_ADD_TO_COMPARISON_TABLE_MENU = 40291;

This item has no description.

IDC_CREATE_NEW_COMPARISON_TABLE_WITH_TAB = 40292;

This item has no description.

IDC_SHOW_HISTORY_SIDE_PANEL = 40293;

This item has no description.

IDC_OPEN_GLIC = 40294;

This item has no description.

IDC_FIND_EXTENSIONS = 40295;

This item has no description.

IDC_SHOW_SEARCH_TOOLS = 40296;

This item has no description.

IDC_SPELLCHECK_SUGGESTION_0 = 41000;

This item has no description.

IDC_SPELLCHECK_SUGGESTION_1 = 41001;

This item has no description.

IDC_SPELLCHECK_SUGGESTION_2 = 41002;

This item has no description.

IDC_SPELLCHECK_SUGGESTION_3 = 41003;

This item has no description.

IDC_SPELLCHECK_SUGGESTION_4 = 41004;

This item has no description.

IDC_SPELLCHECK_MENU = 41005;

This item has no description.

IDC_SPELLCHECK_LANGUAGES_FIRST = 41006;

This item has no description.

IDC_SPELLCHECK_LANGUAGES_LAST = 41106;

This item has no description.

IDC_CHECK_SPELLING_WHILE_TYPING = 41107;

This item has no description.

IDC_SPELLPANEL_TOGGLE = 41109;

This item has no description.

IDC_SPELLCHECK_ADD_TO_DICTIONARY = 41110;

This item has no description.

IDC_SPELLCHECK_MULTI_LINGUAL = 41111;

This item has no description.

IDC_WRITING_DIRECTION_MENU = 41120;

This item has no description.

IDC_WRITING_DIRECTION_DEFAULT = 41121;

This item has no description.

IDC_WRITING_DIRECTION_LTR = 41122;

This item has no description.

IDC_WRITING_DIRECTION_RTL = 41123;

This item has no description.

IDC_TRANSLATE_ORIGINAL_LANGUAGE_BASE = 42100;

This item has no description.

IDC_TRANSLATE_TARGET_LANGUAGE_BASE = 42400;

This item has no description.

IDC_VIEW_MENU = 44000;

This item has no description.

IDC_FILE_MENU = 44001;

This item has no description.

IDC_CHROME_MENU = 44002;

This item has no description.

IDC_HIDE_APP = 44003;

This item has no description.

IDC_HISTORY_MENU = 46000;

This item has no description.

IDC_TAB_MENU = 46001;

This item has no description.

IDC_PROFILE_MAIN_MENU = 46100;

This item has no description.

IDC_INPUT_METHODS_MENU = 46300;

This item has no description.

IDC_CONTENT_CONTEXT_CUSTOM_FIRST = 47000;

This item has no description.

IDC_CONTENT_CONTEXT_CUSTOM_LAST = 48000;

This item has no description.

IDC_EXTENSIONS_CONTEXT_CUSTOM_FIRST = 49000;

This item has no description.

IDC_EXTENSIONS_CONTEXT_CUSTOM_LAST = 50000;

This item has no description.

IDC_CONTENT_CONTEXT_OPENLINKNEWTAB = 50100;

This item has no description.

IDC_CONTENT_CONTEXT_OPENLINKNEWWINDOW = 50101;

This item has no description.

IDC_CONTENT_CONTEXT_OPENLINKOFFTHERECORD = 50102;

This item has no description.

IDC_CONTENT_CONTEXT_SAVELINKAS = 50103;

This item has no description.

IDC_CONTENT_CONTEXT_COPYLINKLOCATION = 50104;

This item has no description.

IDC_CONTENT_CONTEXT_COPYEMAILADDRESS = 50105;

This item has no description.

IDC_CONTENT_CONTEXT_OPENLINKWITH = 50106;

This item has no description.

IDC_CONTENT_CONTEXT_COPYLINKTEXT = 50107;

This item has no description.

IDC_CONTENT_CONTEXT_OPENLINKINPROFILE = 50108;

This item has no description.

IDC_CONTENT_CONTEXT_OPENLINKBOOKMARKAPP = 50109;

This item has no description.

IDC_CONTENT_CONTEXT_OPENLINKPREVIEW = 50110;

This item has no description.

IDC_CONTENT_CONTEXT_OPENLINKSPLITVIEW = 50111;

This item has no description.

IDC_CONTENT_CONTEXT_SAVEIMAGEAS = 50120;

This item has no description.

IDC_CONTENT_CONTEXT_COPYIMAGELOCATION = 50121;

This item has no description.

IDC_CONTENT_CONTEXT_COPYIMAGE = 50122;

This item has no description.

IDC_CONTENT_CONTEXT_OPENIMAGENEWTAB = 50123;

This item has no description.

IDC_CONTENT_CONTEXT_SEARCHWEBFORIMAGE = 50124;

This item has no description.

IDC_CONTENT_CONTEXT_OPEN_ORIGINAL_IMAGE_NEW_TAB = 50125;

This item has no description.

IDC_CONTENT_CONTEXT_LOAD_IMAGE = 50126;

This item has no description.

IDC_CONTENT_CONTEXT_SEARCHLENSFORIMAGE = 50127;

This item has no description.

IDC_CONTENT_CONTEXT_SAVEVIDEOFRAMEAS = 50130;

This item has no description.

IDC_CONTENT_CONTEXT_SAVEAVAS = 50131;

This item has no description.

IDC_CONTENT_CONTEXT_COPYAVLOCATION = 50132;

This item has no description.

IDC_CONTENT_CONTEXT_COPYVIDEOFRAME = 50133;

This item has no description.

IDC_CONTENT_CONTEXT_SEARCHLENSFORVIDEOFRAME = 50134;

This item has no description.

IDC_CONTENT_CONTEXT_SEARCHWEBFORVIDEOFRAME = 50135;

This item has no description.

IDC_CONTENT_CONTEXT_OPENAVNEWTAB = 50136;

This item has no description.

IDC_CONTENT_CONTEXT_PICTUREINPICTURE = 50137;

This item has no description.

IDC_CONTENT_CONTEXT_LOOP = 50140;

This item has no description.

IDC_CONTENT_CONTEXT_CONTROLS = 50141;

This item has no description.

IDC_CONTENT_CONTEXT_ROTATECW = 50142;

This item has no description.

IDC_CONTENT_CONTEXT_ROTATECCW = 50143;

This item has no description.

IDC_CONTENT_CONTEXT_COPY = 50150;

This item has no description.

IDC_CONTENT_CONTEXT_CUT = 50151;

This item has no description.

IDC_CONTENT_CONTEXT_PASTE = 50152;

This item has no description.

IDC_CONTENT_CONTEXT_DELETE = 50153;

This item has no description.

IDC_CONTENT_CONTEXT_UNDO = 50154;

This item has no description.

IDC_CONTENT_CONTEXT_REDO = 50155;

This item has no description.

IDC_CONTENT_CONTEXT_SELECTALL = 50156;

This item has no description.

IDC_CONTENT_CONTEXT_PASTE_AND_MATCH_STYLE = 50157;

This item has no description.

IDC_CONTENT_CONTEXT_COPYLINKTOTEXT = 50158;

This item has no description.

IDC_CONTENT_CONTEXT_RESHARELINKTOTEXT = 50159;

This item has no description.

IDC_CONTENT_CONTEXT_REMOVELINKTOTEXT = 50160;

This item has no description.

IDC_CONTENT_CONTEXT_TRANSLATE = 50161;

This item has no description.

IDC_CONTENT_CONTEXT_INSPECTELEMENT = 50162;

This item has no description.

IDC_CONTENT_CONTEXT_VIEWPAGEINFO = 50163;

This item has no description.

IDC_CONTENT_CONTEXT_LANGUAGE_SETTINGS = 50164;

This item has no description.

IDC_CONTENT_CONTEXT_LOOK_UP = 50165;

This item has no description.

IDC_CONTENT_CONTEXT_NO_SPELLING_SUGGESTIONS = 50166;

This item has no description.

IDC_CONTENT_CONTEXT_SPELLING_SUGGESTION = 50167;

This item has no description.

IDC_CONTENT_CONTEXT_SPELLING_TOGGLE = 50168;

This item has no description.

IDC_CONTENT_CONTEXT_OPEN_IN_READING_MODE = 50169;

This item has no description.

IDC_CONTENT_CONTEXT_SAVEPLUGINAS = 50170;

This item has no description.

IDC_CONTENT_CONTEXT_INSPECTBACKGROUNDPAGE = 50171;

This item has no description.

IDC_CONTENT_CONTEXT_RELOAD_PACKAGED_APP = 50172;

This item has no description.

IDC_CONTENT_CONTEXT_RESTART_PACKAGED_APP = 50173;

This item has no description.

IDC_CONTENT_CONTEXT_LENS_REGION_SEARCH = 50174;

This item has no description.

IDC_CONTENT_CONTEXT_WEB_REGION_SEARCH = 50175;

This item has no description.

IDC_CONTENT_CONTEXT_GENERATEPASSWORD = 50176;

This item has no description.

IDC_CONTENT_CONTEXT_EXIT_FULLSCREEN = 50177;

This item has no description.

IDC_CONTENT_CONTEXT_SHOWALLSAVEDPASSWORDS = 50178;

This item has no description.

IDC_CONTENT_CONTEXT_PARTIAL_TRANSLATE = 50179;

This item has no description.

IDC_CONTENT_CONTEXT_RELOADFRAME = 50180;

This item has no description.

IDC_CONTENT_CONTEXT_VIEWFRAMESOURCE = 50181;

This item has no description.

IDC_CONTENT_CONTEXT_VIEWFRAMEINFO = 50182;

This item has no description.

IDC_CONTENT_CONTEXT_ADD_A_NOTE = 50185;

This item has no description.

IDC_CONTENT_CONTEXT_GOTOURL = 50190;

This item has no description.

IDC_CONTENT_CONTEXT_SEARCHWEBFOR = 50191;

This item has no description.

IDC_CONTENT_CONTEXT_SEARCHWEBFORNEWTAB = 50192;

This item has no description.

IDC_CONTENT_CONTEXT_LENS_OVERLAY = 50193;

This item has no description.

IDC_CONTENT_CONTEXT_USE_PASSKEY_FROM_ANOTHER_DEVICE = 50194;

This item has no description.

IDC_CONTENT_CONTEXT_OPEN_WITH1 = 50200;

This item has no description.

IDC_CONTENT_CONTEXT_OPEN_WITH2 = 50201;

This item has no description.

IDC_CONTENT_CONTEXT_OPEN_WITH3 = 50202;

This item has no description.

IDC_CONTENT_CONTEXT_OPEN_WITH4 = 50203;

This item has no description.

IDC_CONTENT_CONTEXT_OPEN_WITH5 = 50204;

This item has no description.

IDC_CONTENT_CONTEXT_OPEN_WITH6 = 50205;

This item has no description.

IDC_CONTENT_CONTEXT_OPEN_WITH7 = 50206;

This item has no description.

IDC_CONTENT_CONTEXT_OPEN_WITH8 = 50207;

This item has no description.

IDC_CONTENT_CONTEXT_OPEN_WITH9 = 50208;

This item has no description.

IDC_CONTENT_CONTEXT_OPEN_WITH10 = 50209;

This item has no description.

IDC_CONTENT_CONTEXT_OPEN_WITH11 = 50210;

This item has no description.

IDC_CONTENT_CONTEXT_OPEN_WITH12 = 50211;

This item has no description.

IDC_CONTENT_CONTEXT_OPEN_WITH13 = 50212;

This item has no description.

IDC_CONTENT_CONTEXT_OPEN_WITH14 = 50213;

This item has no description.

IDC_CONTENT_CONTEXT_EMOJI = 50220;

This item has no description.

IDC_CONTEXT_COMPOSE = 50230;

This item has no description.

IDC_CONTENT_CONTEXT_CLOSE_GLIC = 50231;

This item has no description.

IDC_CONTENT_CONTEXT_RELOAD_GLIC = 50232;

This item has no description.

IDC_BOOKMARK_BAR_OPEN_ALL = 51000;

This item has no description.

IDC_BOOKMARK_BAR_OPEN_ALL_NEW_WINDOW = 51001;

This item has no description.

IDC_BOOKMARK_BAR_OPEN_ALL_INCOGNITO = 51002;

This item has no description.

IDC_BOOKMARK_BAR_OPEN_INCOGNITO = 51003;

This item has no description.

IDC_BOOKMARK_BAR_OPEN_ALL_NEW_TAB_GROUP = 51004;

This item has no description.

IDC_BOOKMARK_BAR_RENAME_FOLDER = 51005;

This item has no description.

IDC_BOOKMARK_BAR_EDIT = 51006;

This item has no description.

IDC_BOOKMARK_BAR_REMOVE = 51007;

This item has no description.

IDC_BOOKMARK_BAR_UNDO = 51008;

This item has no description.

IDC_BOOKMARK_BAR_REDO = 51009;

This item has no description.

IDC_BOOKMARK_BAR_ADD_NEW_BOOKMARK = 51010;

This item has no description.

IDC_BOOKMARK_BAR_NEW_FOLDER = 51011;

This item has no description.

IDC_BOOKMARK_MANAGER = 51012;

This item has no description.

IDC_BOOKMARK_BAR_ALWAYS_SHOW = 51013;

This item has no description.

IDC_BOOKMARK_BAR_SHOW_APPS_SHORTCUT = 51014;

This item has no description.

IDC_BOOKMARK_BAR_SHOW_READING_LIST = 51015;

This item has no description.

IDC_BOOKMARK_BAR_SHOW_MANAGED_BOOKMARKS = 51016;

This item has no description.

IDC_BOOKMARK_BAR_TRACK_PRICE_FOR_SHOPPING_BOOKMARK = 51017;

This item has no description.

IDC_BOOKMARK_BAR_UNTRACK_PRICE_FOR_SHOPPING_BOOKMARK = 51018;

This item has no description.

IDC_BOOKMARK_BAR_ADD_TO_BOOKMARKS_BAR = 51019;

This item has no description.

IDC_BOOKMARK_BAR_REMOVE_FROM_BOOKMARKS_BAR = 51020;

This item has no description.

IDC_BOOKMARK_BAR_TOGGLE_SHOW_TAB_GROUPS = 51021;

This item has no description.

IDC_BOOKMARK_BAR_MOVE = 51022;

This item has no description.

IDC_BOOKMARK_BAR_OPEN_SPLIT_VIEW = 51023;

This item has no description.

IDC_CONTENT_CONTEXT_SHARING_CLICK_TO_CALL_SINGLE_DEVICE = 51030;

This item has no description.

IDC_CONTENT_CONTEXT_SHARING_CLICK_TO_CALL_MULTIPLE_DEVICES = 51031;

This item has no description.

IDC_CONTENT_CONTEXT_SHARING_SHARED_CLIPBOARD_SINGLE_DEVICE = 51032;

This item has no description.

IDC_CONTENT_CONTEXT_SHARING_SHARED_CLIPBOARD_MULTIPLE_DEVICES = 51033;

This item has no description.

IDC_CONTENT_CONTEXT_GENERATE_QR_CODE = 51034;

This item has no description.

IDC_CONTENT_CONTEXT_SHARING_SUBMENU = 51035;

This item has no description.

IDC_CONTENT_PASTE_FROM_CLIPBOARD = 51037;

This item has no description.

IDC_STATUS_TRAY_KEEP_CHROME_RUNNING_IN_BACKGROUND = 51100;

This item has no description.

IDC_STATUS_TRAY_KEEP_CHROME_RUNNING_IN_BACKGROUND_SETTING = 51101;

This item has no description.

IDC_MEDIA_ROUTER_ABOUT = 51200;

This item has no description.

IDC_MEDIA_ROUTER_HELP = 51201;

This item has no description.

IDC_MEDIA_ROUTER_LEARN_MORE = 51202;

This item has no description.

IDC_MEDIA_ROUTER_ALWAYS_SHOW_TOOLBAR_ACTION = 51204;

This item has no description.

IDC_MEDIA_ROUTER_SHOWN_BY_POLICY = 51206;

This item has no description.

IDC_MEDIA_ROUTER_SHOW_IN_TOOLBAR = 51207;

This item has no description.

IDC_MEDIA_ROUTER_TOGGLE_MEDIA_REMOTING = 51208;

This item has no description.

IDC_MEDIA_TOOLBAR_CONTEXT_REPORT_CAST_ISSUE = 51209;

This item has no description.

IDC_MEDIA_TOOLBAR_CONTEXT_SHOW_OTHER_SESSIONS = 51210;

This item has no description.

IDC_UPDATE_SIDE_PANEL_PIN_STATE = 51211;

This item has no description.

IDC_MEDIA_STREAM_DEVICE_STATUS_TRAY = 51300;

This item has no description.

IDC_MEDIA_CONTEXT_MEDIA_STREAM_CAPTURE_LIST_FIRST = 51301;

This item has no description.

IDC_MEDIA_CONTEXT_MEDIA_STREAM_CAPTURE_LIST_LAST = 51399;

This item has no description.

IDC_MEDIA_STREAM_DEVICE_ALWAYS_ALLOW = 51400;

This item has no description.

IDC_CONTENT_CONTEXT_PROTOCOL_HANDLER_FIRST = 52000;

This item has no description.

IDC_CONTENT_CONTEXT_PROTOCOL_HANDLER_LAST = 52199;

This item has no description.

IDC_CONTENT_CONTEXT_PROTOCOL_HANDLER_SETTINGS = 52200;

This item has no description.

IDC_OPEN_LINK_IN_PROFILE_FIRST = 52300;

This item has no description.

IDC_OPEN_LINK_IN_PROFILE_LAST = 52399;

This item has no description.

IDC_CONTENT_CONTEXT_START_SMART_SELECTION_ACTION1 = 52400;

This item has no description.

IDC_CONTENT_CONTEXT_START_SMART_SELECTION_ACTION2 = 52401;

This item has no description.

IDC_CONTENT_CONTEXT_START_SMART_SELECTION_ACTION3 = 52402;

This item has no description.

IDC_CONTENT_CONTEXT_START_SMART_SELECTION_ACTION4 = 52403;

This item has no description.

IDC_CONTENT_CONTEXT_START_SMART_SELECTION_ACTION5 = 52404;

This item has no description.

IDC_CONTENT_CONTEXT_ACCESSIBILITY_LABELS_TOGGLE = 52410;

This item has no description.

IDC_CONTENT_CONTEXT_ACCESSIBILITY_LABELS = 52411;

This item has no description.

IDC_CONTENT_CONTEXT_ACCESSIBILITY_LABELS_TOGGLE_ONCE = 52412;

This item has no description.

IDC_CONTENT_CONTEXT_QUICK_ANSWERS_INLINE_ANSWER = 52413;

This item has no description.

IDC_CONTENT_CONTEXT_QUICK_ANSWERS_INLINE_QUERY = 52414;

This item has no description.

IDC_TAB_SEARCH = 52500;

This item has no description.

IDC_TAB_SEARCH_CLOSE = 52501;

This item has no description.

IDC_DEBUG_TOGGLE_TABLET_MODE = 52510;

This item has no description.

IDC_DEBUG_PRINT_VIEW_TREE = 52511;

This item has no description.

IDC_DEBUG_PRINT_VIEW_TREE_DETAILS = 52512;

This item has no description.

IDC_CONTENT_CONTEXT_AUTOFILL_FEEDBACK = 52990;

This item has no description.

IDC_CONTENT_CONTEXT_AUTOFILL_FALLBACK_PLUS_ADDRESS = 52994;

This item has no description.

IDC_CONTENT_CONTEXT_AUTOFILL_FALLBACK_PASSWORDS_SELECT_PASSWORD = 52998;

This item has no description.

IDC_CONTENT_CONTEXT_AUTOFILL_FALLBACK_PASSWORDS_IMPORT_PASSWORDS = 52999;

This item has no description.

IDC_CONTENT_CONTEXT_AUTOFILL_FALLBACK_PASSWORDS_SUGGEST_PASSWORD = 53000;

This item has no description.

IDC_CONTENT_CONTEXT_AUTOFILL_FALLBACK_PASSWORDS_USE_PASSKEY_FROM_ANOTHER_DEVICE = 53002;

This item has no description.

IDC_LIVE_CAPTION = 53251;

This item has no description.

IDC_DEVICE_SYSTEM_TRAY_ICON_FIRST = 53260;

This item has no description.

IDC_DEVICE_SYSTEM_TRAY_ICON_LAST = 53299;

This item has no description.

IDC_SET_BROWSER_AS_DEFAULT = 53300;

This item has no description.

IDC_GLIC_STATUS_ICON_MENU_SHOW = 53310;

This item has no description.

IDC_GLIC_STATUS_ICON_MENU_CUSTOMIZE_KEYBOARD_SHORTCUT = 53311;

This item has no description.

IDC_GLIC_STATUS_ICON_MENU_REMOVE_ICON = 53312;

This item has no description.

IDC_GLIC_STATUS_ICON_MENU_SETTINGS = 53313;

This item has no description.

IDC_GLIC_STATUS_ICON_MENU_EXIT = 53314;

This item has no description.

IDC_GLIC_STATUS_ICON_MENU_CLOSE = 53315;

This item has no description.

IDC_GLIC_TOGGLE_PIN = 53320;

This item has no description.

CERT_STATUS_NONE = 0;

Supported certificate status code values. See net\cert\cert_status_flags.h for more information. CERT_STATUS_NONE is new in CEF because we use an enum while cert_status_flags.h uses a typedef and static const variables.

TCefCertStatus values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_cert_status_t))

CERT_STATUS_COMMON_NAME_INVALID = 1 shl 0;

This item has no description.

CERT_STATUS_DATE_INVALID = 1 shl 1;

This item has no description.

CERT_STATUS_AUTHORITY_INVALID = 1 shl 2;

This item has no description.

CERT_STATUS_NO_REVOCATION_MECHANISM = 1 shl 4;

This item has no description.

CERT_STATUS_UNABLE_TO_CHECK_REVOCATION = 1 shl 5;

This item has no description.

CERT_STATUS_REVOKED = 1 shl 6;

This item has no description.

CERT_STATUS_INVALID = 1 shl 7;

This item has no description.

CERT_STATUS_WEAK_SIGNATURE_ALGORITHM = 1 shl 8;

This item has no description.

CERT_STATUS_NON_UNIQUE_NAME = 1 shl 10;

This item has no description.

CERT_STATUS_WEAK_KEY = 1 shl 11;

This item has no description.

CERT_STATUS_PINNED_KEY_MISSING = 1 shl 13;

This item has no description.

CERT_STATUS_NAME_CONSTRAINT_VIOLATION = 1 shl 14;

This item has no description.

CERT_STATUS_VALIDITY_TOO_LONG = 1 shl 15;

This item has no description.

CERT_STATUS_IS_EV = 1 shl 16;

This item has no description.

CERT_STATUS_REV_CHECKING_ENABLED = 1 shl 17;

This item has no description.

CERT_STATUS_SHA1_SIGNATURE_PRESENT = 1 shl 19;

This item has no description.

CERT_STATUS_CT_COMPLIANCE_FAILED = 1 shl 20;

This item has no description.

CERT_STATUS_FIRST_ERROR = CERT_STATUS_COMMON_NAME_INVALID;

This item has no description.

CERT_STATUS_LAST_ERROR = CERT_STATUS_VALIDITY_TOO_LONG;

This item has no description.

V8_PROPERTY_ATTRIBUTE_NONE = 0;

Writeable, Enumerable, Configurable

TCefV8PropertyAttributes value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_v8_propertyattribute_t))

V8_PROPERTY_ATTRIBUTE_READONLY = 1 shl 0;

Not writeable

TCefV8PropertyAttributes value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_v8_propertyattribute_t))

V8_PROPERTY_ATTRIBUTE_DONTENUM = 1 shl 1;

Not enumerable

TCefV8PropertyAttributes value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_v8_propertyattribute_t))

V8_PROPERTY_ATTRIBUTE_DONTDELETE = 1 shl 2;

Not configurable

TCefV8PropertyAttributes value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_v8_propertyattribute_t))

TT_LINK = 0;

Source is a link click or the JavaScript window.open function. This is also the default value for requests like sub-resource loads that are not navigations.

TCefTransitionType value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_transition_type_t))

TT_EXPLICIT = 1;

Source is some other "explicit" navigation. This is the default value for navigations where the actual type is unknown. See also TT_DIRECT_LOAD_FLAG.

TCefTransitionType value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_transition_type_t))

TT_AUTO_BOOKMARK = 2;

User got to this page through a suggestion in the UI (for example, via the destinations page). Chrome style only.

TCefTransitionType value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_transition_type_t))

TT_AUTO_SUBFRAME = 3;

Source is a subframe navigation. This is any content that is automatically loaded in a non-toplevel frame. For example, if a page consists of several frames containing ads, those ad URLs will have this transition type. The user may not even realize the content in these pages is a separate frame, so may not care about the URL.

TCefTransitionType value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_transition_type_t))

TT_MANUAL_SUBFRAME = 4;

Source is a subframe navigation explicitly requested by the user that will generate new navigation entries in the back/forward list. These are probably more important than frames that were automatically loaded in the background because the user probably cares about the fact that this link was loaded.

TCefTransitionType value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_transition_type_t))

TT_GENERATED = 5;

User got to this page by typing in the URL bar and selecting an entry that did not look like a URL. For example, a match might have the URL of a Google search result page, but appear like "Search Google for ...". These are not quite the same as EXPLICIT navigations because the user didn't type or see the destination URL. Chrome style only. See also TT_KEYWORD.

TCefTransitionType value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_transition_type_t))

TT_AUTO_TOPLEVEL = 6;

This is a toplevel navigation. This is any content that is automatically loaded in a toplevel frame. For example, opening a tab to show the ASH screen saver, opening the devtools window, opening the NTP after the safe browsing warning, opening web-based dialog boxes are examples of AUTO_TOPLEVEL navigations. Chrome style only.

TCefTransitionType value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_transition_type_t))

TT_FORM_SUBMIT = 7;

Source is a form submission by the user. NOTE: In some situations submitting a form does not result in this transition type. This can happen if the form uses a script to submit the contents.

TCefTransitionType value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_transition_type_t))

TT_RELOAD = 8;

Source is a "reload" of the page via the Reload function or by re-visiting the same URL. NOTE: This is distinct from the concept of whether a particular load uses "reload semantics" (i.e. bypasses cached data).

TCefTransitionType value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_transition_type_t))

TT_KEYWORD = 9;

The url was generated from a replaceable keyword other than the default search provider. If the user types a keyword (which also applies to tab-to-search) in the omnibox this qualifier is applied to the transition type of the generated url. TemplateURLModel then may generate an additional visit with a transition type of TT_KEYWORD_GENERATED against the url 'http://' + keyword. For example, if you do a tab-to-search against wikipedia the generated url has a transition qualifer of TT_KEYWORD, and TemplateURLModel generates a visit for 'wikipedia.org' with a transition type of TT_KEYWORD_GENERATED. Chrome style only.

TCefTransitionType value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_transition_type_t))

TT_KEYWORD_GENERATED = 10;

Corresponds to a visit generated for a keyword. See description of TT_KEYWORD for more details. Chrome style only.

TCefTransitionType value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_transition_type_t))

TT_NUM_VALUES = TT_KEYWORD_GENERATED + 1;

Number of TCefTransitionType values.

TCefTransitionType value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_transition_type_t))

TT_SOURCE_MASK = $000000FF;

General mask defining the bits used for the source values.

TCefTransitionType value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_transition_type_t))

TT_BLOCKED_FLAG = $00800000;

Attempted to visit a URL but was blocked.

TCefTransitionType value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_transition_type_t))

TT_FORWARD_BACK_FLAG = $01000000;

Used the Forward or Back function to navigate among browsing history. Will be ORed to the transition type for the original load.

TCefTransitionType value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_transition_type_t))

TT_DIRECT_LOAD_FLAG = $02000000;

Loaded a URL directly via CreateBrowser, LoadURL or LoadRequest.

TCefTransitionType value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_transition_type_t))

TT_HOME_PAGE_FLAG = $04000000;

User is navigating to the home page. Chrome style only.

TCefTransitionType value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_transition_type_t))

TT_FROM_API_FLAG = $08000000;

The transition originated from an external application; the exact definition of this is embedder dependent. Chrome style only.

TCefTransitionType value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_transition_type_t))

TT_CHAIN_START_FLAG = $10000000;

The beginning of a navigation chain.

TCefTransitionType value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_transition_type_t))

TT_CHAIN_END_FLAG = $20000000;

The last transition in a redirect chain.

TCefTransitionType value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_transition_type_t))

TT_CLIENT_REDIRECT_FLAG = $40000000;

Redirects caused by JavaScript or a meta refresh tag on the page.

TCefTransitionType value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_transition_type_t))

TT_SERVER_REDIRECT_FLAG = $80000000;

Redirects sent from the server by HTTP headers.

TCefTransitionType value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_transition_type_t))

TT_IS_REDIRECT_MASK = $C0000000;

Used to test whether a transition involves a redirect.

TCefTransitionType value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_transition_type_t))

TT_QUALIFIER_MASK = $FFFFFF00;

General mask defining the bits used for the qualifiers.

TCefTransitionType value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_transition_type_t))

UR_FLAG_NONE = 0;

Default behavior.

TCefUrlRequestFlags value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_urlrequest_flags_t))

UR_FLAG_SKIP_CACHE = 1 shl 0;

If set the cache will be skipped when handling the request. Setting this value is equivalent to specifying the "Cache-Control: no-cache" request header. Setting this value in combination with UR_FLAG_ONLY_FROM_CACHE will cause the request to fail.

TCefUrlRequestFlags value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_urlrequest_flags_t))

UR_FLAG_ONLY_FROM_CACHE = 1 shl 1;

If set the request will fail if it cannot be served from the cache (or some equivalent local store). Setting this value is equivalent to specifying the "Cache-Control: only-if-cached" request header. Setting this value in combination with UR_FLAG_SKIP_CACHE or UR_FLAG_DISABLE_CACHE will cause the request to fail.

TCefUrlRequestFlags value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_urlrequest_flags_t))

UR_FLAG_DISABLE_CACHE = 1 shl 2;

If set the cache will not be used at all. Setting this value is equivalent to specifying the "Cache-Control: no-store" request header. Setting this value in combination with UR_FLAG_ONLY_FROM_CACHE will cause the request to fail.

TCefUrlRequestFlags value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_urlrequest_flags_t))

UR_FLAG_ALLOW_STORED_CREDENTIALS = 1 shl 3;

If set user name, password, and cookies may be sent with the request, and cookies may be saved from the response.

TCefUrlRequestFlags value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_urlrequest_flags_t))

UR_FLAG_REPORT_UPLOAD_PROGRESS = 1 shl 4;

If set upload progress events will be generated when a request has a body.

TCefUrlRequestFlags value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_urlrequest_flags_t))

UR_FLAG_NO_DOWNLOAD_DATA = 1 shl 5;

If set the ICefURLRequestClient.OnDownloadData method will not be called.

TCefUrlRequestFlags value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_urlrequest_flags_t))

UR_FLAG_NO_RETRY_ON_5XX = 1 shl 6;

If set 5XX redirect errors will be propagated to the observer instead of automatically re-tried. This currently only applies for requests originated in the browser process.

TCefUrlRequestFlags value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_urlrequest_flags_t))

UR_FLAG_STOP_ON_REDIRECT = 1 shl 7;

If set 3XX responses will cause the fetch to halt immediately rather than continue through the redirect.

TCefUrlRequestFlags value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_urlrequest_flags_t))

CEF_SCHEME_OPTION_NONE = 0;

No options.

TCefSchemeOptions value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_scheme_options_t))

CEF_SCHEME_OPTION_STANDARD = 1 shl 0;

If CEF_SCHEME_OPTION_STANDARD is set the scheme will be treated as a standard scheme. Standard schemes are subject to URL canonicalization and parsing rules as defined in the Common Internet Scheme Syntax RFC 1738 Section 3.1 available at http://www.ietf.org/rfc/rfc1738.txt

In particular, the syntax for standard scheme URLs must be of the form: <pre> [scheme]://[username]:[password]@[host]:[port]/[url-path] </pre> Standard scheme URLs must have a host component that is a fully qualified domain name as defined in Section 3.5 of RFC 1034 [13] and Section 2.1 of RFC 1123. These URLs will be canonicalized to "scheme://host/path" in the simplest case and "scheme://username:password@host:port/path" in the most explicit case. For example, "scheme:host/path" and "scheme:///host/path" will both be canonicalized to "scheme://host/path". The origin of a standard scheme URL is the combination of scheme, host and port (i.e., "scheme://host:port" in the most explicit case).

For non-standard scheme URLs only the "scheme:" component is parsed and canonicalized. The remainder of the URL will be passed to the handler as- is. For example, "scheme:///some%20text" will remain the same. Non-standard scheme URLs cannot be used as a target for form submission.

TCefSchemeOptions value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_scheme_options_t))

CEF_SCHEME_OPTION_LOCAL = 1 shl 1;

If CEF_SCHEME_OPTION_LOCAL is set the scheme will be treated with the same security rules as those applied to "file" URLs. Normal pages cannot link to or access local URLs. Also, by default, local URLs can only perform XMLHttpRequest calls to the same URL (origin + path) that originated the request. To allow XMLHttpRequest calls from a local URL to other URLs with the same origin set the CefSettings.file_access_from_file_urls_allowed value to true (1). To allow XMLHttpRequest calls from a local URL to all origins set the CefSettings.universal_access_from_file_urls_allowed value to true (1).

TCefSchemeOptions value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_scheme_options_t))

CEF_SCHEME_OPTION_DISPLAY_ISOLATED = 1 shl 2;

If CEF_SCHEME_OPTION_DISPLAY_ISOLATED is set the scheme can only be displayed from other content hosted with the same scheme. For example, pages in other origins cannot create iframes or hyperlinks to URLs with the scheme. For schemes that must be accessible from other schemes don't set this, set CEF_SCHEME_OPTION_CORS_ENABLED, and use CORS "Access-Control-Allow-Origin" headers to further restrict access.

TCefSchemeOptions value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_scheme_options_t))

CEF_SCHEME_OPTION_SECURE = 1 shl 3;

If CEF_SCHEME_OPTION_SECURE is set the scheme will be treated with the same security rules as those applied to "https" URLs. For example, loading this scheme from other secure schemes will not trigger mixed content warnings.

TCefSchemeOptions value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_scheme_options_t))

CEF_SCHEME_OPTION_CORS_ENABLED = 1 shl 4;

If CEF_SCHEME_OPTION_CORS_ENABLED is set the scheme can be sent CORS requests. This value should be set in most cases where CEF_SCHEME_OPTION_STANDARD is set.

TCefSchemeOptions value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_scheme_options_t))

CEF_SCHEME_OPTION_CSP_BYPASSING = 1 shl 5;

If CEF_SCHEME_OPTION_CSP_BYPASSING is set the scheme can bypass Content- Security-Policy (CSP) checks. This value should not be set in most cases where CEF_SCHEME_OPTION_STANDARD is set.

TCefSchemeOptions value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_scheme_options_t))

CEF_SCHEME_OPTION_FETCH_ENABLED = 1 shl 6;

If CEF_SCHEME_OPTION_FETCH_ENABLED is set the scheme can perform Fetch API requests.

TCefSchemeOptions value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_scheme_options_t))

DOM_EVENT_CATEGORY_UNKNOWN = 0;

DOM event category flag.

TCefDomEventCategory value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_dom_event_category_t))

DOM_EVENT_CATEGORY_UI = 1 shl 0;

DOM event category flag.

TCefDomEventCategory value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_dom_event_category_t))

DOM_EVENT_CATEGORY_MOUSE = 1 shl 1;

DOM event category flag.

TCefDomEventCategory value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_dom_event_category_t))

DOM_EVENT_CATEGORY_MUTATION = 1 shl 2;

DOM event category flag.

TCefDomEventCategory value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_dom_event_category_t))

DOM_EVENT_CATEGORY_KEYBOARD = 1 shl 3;

DOM event category flag.

TCefDomEventCategory value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_dom_event_category_t))

DOM_EVENT_CATEGORY_TEXT = 1 shl 4;

DOM event category flag.

TCefDomEventCategory value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_dom_event_category_t))

DOM_EVENT_CATEGORY_COMPOSITION = 1 shl 5;

DOM event category flag.

TCefDomEventCategory value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_dom_event_category_t))

DOM_EVENT_CATEGORY_DRAG = 1 shl 6;

DOM event category flag.

TCefDomEventCategory value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_dom_event_category_t))

DOM_EVENT_CATEGORY_CLIPBOARD = 1 shl 7;

DOM event category flag.

TCefDomEventCategory value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_dom_event_category_t))

DOM_EVENT_CATEGORY_MESSAGE = 1 shl 8;

DOM event category flag.

TCefDomEventCategory value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_dom_event_category_t))

DOM_EVENT_CATEGORY_WHEEL = 1 shl 9;

DOM event category flag.

TCefDomEventCategory value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_dom_event_category_t))

DOM_EVENT_CATEGORY_BEFORE_TEXT_INSERTED = 1 shl 10;

DOM event category flag.

TCefDomEventCategory value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_dom_event_category_t))

DOM_EVENT_CATEGORY_OVERFLOW = 1 shl 11;

DOM event category flag.

TCefDomEventCategory value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_dom_event_category_t))

DOM_EVENT_CATEGORY_PAGE_TRANSITION = 1 shl 12;

DOM event category flag.

TCefDomEventCategory value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_dom_event_category_t))

DOM_EVENT_CATEGORY_POPSTATE = 1 shl 13;

DOM event category flag.

TCefDomEventCategory value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_dom_event_category_t))

DOM_EVENT_CATEGORY_PROGRESS = 1 shl 14;

DOM event category flag.

TCefDomEventCategory value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_dom_event_category_t))

DOM_EVENT_CATEGORY_XMLHTTPREQUEST_PROGRESS = 1 shl 15;

DOM event category flag.

TCefDomEventCategory value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_dom_event_category_t))

EVENTFLAG_NONE = 0;

Supported event bit flag.

TCefEventFlags value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_event_flags_t))

EVENTFLAG_CAPS_LOCK_ON = 1 shl 0;

Supported event bit flag.

TCefEventFlags value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_event_flags_t))

EVENTFLAG_SHIFT_DOWN = 1 shl 1;

Supported event bit flag.

TCefEventFlags value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_event_flags_t))

EVENTFLAG_CONTROL_DOWN = 1 shl 2;

Supported event bit flag.

TCefEventFlags value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_event_flags_t))

EVENTFLAG_ALT_DOWN = 1 shl 3;

Supported event bit flag.

TCefEventFlags value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_event_flags_t))

EVENTFLAG_LEFT_MOUSE_BUTTON = 1 shl 4;

Supported event bit flag.

TCefEventFlags value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_event_flags_t))

EVENTFLAG_MIDDLE_MOUSE_BUTTON = 1 shl 5;

Supported event bit flag.

TCefEventFlags value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_event_flags_t))

EVENTFLAG_RIGHT_MOUSE_BUTTON = 1 shl 6;

Supported event bit flag.

TCefEventFlags value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_event_flags_t))

EVENTFLAG_COMMAND_DOWN = 1 shl 7;

Supported event bit flag. Mac OS-X command key.

TCefEventFlags value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_event_flags_t))

EVENTFLAG_NUM_LOCK_ON = 1 shl 8;

Supported event bit flag.

TCefEventFlags value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_event_flags_t))

EVENTFLAG_IS_KEY_PAD = 1 shl 9;

Supported event bit flag.

TCefEventFlags value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_event_flags_t))

EVENTFLAG_IS_LEFT = 1 shl 10;

Supported event bit flag.

TCefEventFlags value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_event_flags_t))

EVENTFLAG_IS_RIGHT = 1 shl 11;

Supported event bit flag.

TCefEventFlags value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_event_flags_t))

EVENTFLAG_ALTGR_DOWN = 1 shl 12;

Supported event bit flag.

TCefEventFlags value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_event_flags_t))

EVENTFLAG_IS_REPEAT = 1 shl 13;

Supported event bit flag.

TCefEventFlags value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_event_flags_t))

EVENTFLAG_PRECISION_SCROLLING_DELTA = 1 shl 14;

Supported event bit flag.

TCefEventFlags value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_event_flags_t))

EVENTFLAG_SCROLL_BY_PAGE = 1 shl 15;

Supported event bit flag.

TCefEventFlags value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_event_flags_t))

DRAG_OPERATION_NONE = 0;

"Verb" of a drag-and-drop operation as negotiated between the source and destination.

TCefDragOperation value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_drag_operations_mask_t))

DRAG_OPERATION_COPY = 1 shl 0;

"Verb" of a drag-and-drop operation as negotiated between the source and destination.

TCefDragOperation value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_drag_operations_mask_t))

DRAG_OPERATION_LINK = 1 shl 1;

"Verb" of a drag-and-drop operation as negotiated between the source and destination.

TCefDragOperation value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_drag_operations_mask_t))

DRAG_OPERATION_GENERIC = 1 shl 2;

"Verb" of a drag-and-drop operation as negotiated between the source and destination.

TCefDragOperation value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_drag_operations_mask_t))

DRAG_OPERATION_PRIVATE = 1 shl 3;

"Verb" of a drag-and-drop operation as negotiated between the source and destination.

TCefDragOperation value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_drag_operations_mask_t))

DRAG_OPERATION_MOVE = 1 shl 4;

"Verb" of a drag-and-drop operation as negotiated between the source and destination.

TCefDragOperation value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_drag_operations_mask_t))

DRAG_OPERATION_DELETE = 1 shl 5;

"Verb" of a drag-and-drop operation as negotiated between the source and destination.

TCefDragOperation value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_drag_operations_mask_t))

DRAG_OPERATION_EVERY = $FFFFFFFF;

"Verb" of a drag-and-drop operation as negotiated between the source and destination.

TCefDragOperation value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_drag_operations_mask_t))

FILE_DIALOG_OPEN = $00000000;

Requires that the file exists before allowing the user to pick it.

TCefFileDialogMode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_file_dialog_mode_t))

FILE_DIALOG_OPEN_MULTIPLE = $00000001;

Like Open, but allows picking multiple files to open.

TCefFileDialogMode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_file_dialog_mode_t))

FILE_DIALOG_OPEN_FOLDER = $00000002;

Like Open, but selects a folder to open.

TCefFileDialogMode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_file_dialog_mode_t))

FILE_DIALOG_SAVE = $00000003;

Allows picking a nonexistent file, and prompts to overwrite if the file already exists.

TCefFileDialogMode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_file_dialog_mode_t))

FILE_DIALOG_NUM_VALUES = FILE_DIALOG_SAVE + 1;

Number of TCefFileDialogMode values

TCefFileDialogMode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_file_dialog_mode_t))

UU_NONE = 0;

Don't unescape anything at all.

TCefUriUnescapeRule values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_uri_unescape_rule_t))

UU_NORMAL = 1 shl 0;

Don't unescape anything special, but all normal unescaping will happen. This is a placeholder and can't be combined with other flags (since it's just the absence of them). All other unescape rules imply "normal" in addition to their special meaning. Things like escaped letters, digits, and most symbols will get unescaped with this mode.

TCefUriUnescapeRule values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_uri_unescape_rule_t))

UU_SPACES = 1 shl 1;

Convert %20 to spaces. In some places where we're showing URLs, we may want this. In places where the URL may be copied and pasted out, then you wouldn't want this since it might not be interpreted in one piece by other applications.

TCefUriUnescapeRule values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_uri_unescape_rule_t))

UU_PATH_SEPARATORS = 1 shl 2;

Unescapes '/' and '\\'. If these characters were unescaped, the resulting URL won't be the same as the source one. Moreover, they are dangerous to unescape in strings that will be used as file paths or names. This value should only be used when slashes don't have special meaning, like data URLs.

TCefUriUnescapeRule values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_uri_unescape_rule_t))

UU_URL_SPECIAL_CHARS_EXCEPT_PATH_SEPARATORS = 1 shl 3;

Unescapes various characters that will change the meaning of URLs, including '%', '+', '&', '#'. Does not unescape path separators. If these characters were unescaped, the resulting URL won't be the same as the source one. This flag is used when generating final output like filenames for URLs where we won't be interpreting as a URL and want to do as much unescaping as possible.

TCefUriUnescapeRule values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_uri_unescape_rule_t))

UU_REPLACE_PLUS_WITH_SPACE = 1 shl 4;

URL queries use "+" for space. This flag controls that replacement.

TCefUriUnescapeRule values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_uri_unescape_rule_t))

MENU_ID_BACK = 100;

Navigation.

TCefMenuId value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_menu_id_t))

MENU_ID_FORWARD = 101;

This item has no description.

MENU_ID_RELOAD = 102;

This item has no description.

MENU_ID_RELOAD_NOCACHE = 103;

This item has no description.

MENU_ID_STOPLOAD = 104;

This item has no description.

MENU_ID_UNDO = 110;

Editing.

TCefMenuId value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_menu_id_t))

MENU_ID_REDO = 111;

This item has no description.

MENU_ID_CUT = 112;

This item has no description.

MENU_ID_COPY = 113;

This item has no description.

MENU_ID_PASTE = 114;

This item has no description.

MENU_ID_PASTE_MATCH_STYLE = 115;

This item has no description.

MENU_ID_DELETE = 116;

This item has no description.

MENU_ID_SELECT_ALL = 117;

This item has no description.

MENU_ID_FIND = 130;

Miscellaneous.

TCefMenuId value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_menu_id_t))

MENU_ID_PRINT = 131;

This item has no description.

MENU_ID_VIEW_SOURCE = 132;

This item has no description.

MENU_ID_SPELLCHECK_SUGGESTION_0 = 200;

Spell checking word correction suggestions.

TCefMenuId value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_menu_id_t))

MENU_ID_SPELLCHECK_SUGGESTION_1 = 201;

This item has no description.

MENU_ID_SPELLCHECK_SUGGESTION_2 = 202;

This item has no description.

MENU_ID_SPELLCHECK_SUGGESTION_3 = 203;

This item has no description.

MENU_ID_SPELLCHECK_SUGGESTION_4 = 204;

This item has no description.

MENU_ID_SPELLCHECK_SUGGESTION_LAST = 204;

This item has no description.

MENU_ID_NO_SPELLING_SUGGESTIONS = 205;

This item has no description.

MENU_ID_ADD_TO_DICTIONARY = 206;

This item has no description.

MENU_ID_CUSTOM_FIRST = 220;

Custom menu items originating from the renderer process.

TCefMenuId value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_menu_id_t))

MENU_ID_CUSTOM_LAST = 250;

This item has no description.

MENU_ID_USER_FIRST = 26500;

All user-defined menu IDs should come between MENU_ID_USER_FIRST and MENU_ID_USER_LAST to avoid overlapping the Chromium and CEF ID ranges defined in the tools/gritsettings/resource_ids file.

TCefMenuId value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_menu_id_t))

MENU_ID_USER_LAST = 28500;

This item has no description.

CM_TYPEFLAG_NONE = 0;

No node is selected.

TCefContextMenuTypeFlags value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_context_menu_type_flags_t))

CM_TYPEFLAG_PAGE = 1 shl 0;

The top page is selected.

TCefContextMenuTypeFlags value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_context_menu_type_flags_t))

CM_TYPEFLAG_FRAME = 1 shl 1;

A subframe page is selected.

TCefContextMenuTypeFlags value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_context_menu_type_flags_t))

CM_TYPEFLAG_LINK = 1 shl 2;

A link is selected.

TCefContextMenuTypeFlags value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_context_menu_type_flags_t))

CM_TYPEFLAG_MEDIA = 1 shl 3;

A media node is selected.

TCefContextMenuTypeFlags value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_context_menu_type_flags_t))

CM_TYPEFLAG_SELECTION = 1 shl 4;

There is a textual or mixed selection that is selected.

TCefContextMenuTypeFlags value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_context_menu_type_flags_t))

CM_TYPEFLAG_EDITABLE = 1 shl 5;

An editable element is selected.

TCefContextMenuTypeFlags value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_context_menu_type_flags_t))

CM_MEDIAFLAG_NONE = 0;

Supported context menu media state bit flags. These constants match their equivalents in Chromium's ContextMenuData::MediaFlags and should not be renumbered.

<TCefContextMenuMediaStateFlags values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_context_menu_media_state_flags_t))

CM_MEDIAFLAG_IN_ERROR = 1 shl 0;

This item has no description.

CM_MEDIAFLAG_PAUSED = 1 shl 1;

This item has no description.

CM_MEDIAFLAG_MUTED = 1 shl 2;

This item has no description.

CM_MEDIAFLAG_LOOP = 1 shl 3;

This item has no description.

CM_MEDIAFLAG_CAN_SAVE = 1 shl 4;

This item has no description.

CM_MEDIAFLAG_HAS_AUDIO = 1 shl 5;

This item has no description.

CM_MEDIAFLAG_CAN_TOGGLE_CONTROLS = 1 shl 6;

This item has no description.

CM_MEDIAFLAG_CONTROLS = 1 shl 7;

This item has no description.

CM_MEDIAFLAG_CAN_PRINT = 1 shl 8;

This item has no description.

CM_MEDIAFLAG_CAN_ROTATE = 1 shl 9;

This item has no description.

CM_MEDIAFLAG_CAN_PICTURE_IN_PICTURE = 1 shl 10;

This item has no description.

CM_MEDIAFLAG_PICTURE_IN_PICTURE = 1 shl 11;

This item has no description.

CM_MEDIAFLAG_CAN_LOOP = 1 shl 12;

This item has no description.

CM_EDITFLAG_NONE = 0;

Supported context menu edit state bit flags. These constants match their equivalents in Chromium's ContextMenuDataEditFlags and should not be renumbered.

TCefContextMenuEditStateFlags values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_context_menu_edit_state_flags_t))

CM_EDITFLAG_CAN_UNDO = 1 shl 0;

This item has no description.

CM_EDITFLAG_CAN_REDO = 1 shl 1;

This item has no description.

CM_EDITFLAG_CAN_CUT = 1 shl 2;

This item has no description.

CM_EDITFLAG_CAN_COPY = 1 shl 3;

This item has no description.

CM_EDITFLAG_CAN_PASTE = 1 shl 4;

This item has no description.

CM_EDITFLAG_CAN_DELETE = 1 shl 5;

This item has no description.

CM_EDITFLAG_CAN_SELECT_ALL = 1 shl 6;

This item has no description.

CM_EDITFLAG_CAN_TRANSLATE = 1 shl 7;

This item has no description.

CM_EDITFLAG_CAN_EDIT_RICHLY = 1 shl 8;

This item has no description.

SSL_CONNECTION_VERSION_UNKNOWN = 0;

Supported SSL version values.

TCefSSLVersion values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_ssl_version_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:net/ssl/ssl_connection_status_flags.h">See net/ssl/ssl_connection_status_flags.h for more information.)

SSL_CONNECTION_VERSION_SSL2 = 1;

This item has no description.

SSL_CONNECTION_VERSION_SSL3 = 2;

This item has no description.

SSL_CONNECTION_VERSION_TLS1 = 3;

This item has no description.

SSL_CONNECTION_VERSION_TLS1_1 = 4;

This item has no description.

SSL_CONNECTION_VERSION_TLS1_2 = 5;

This item has no description.

SSL_CONNECTION_VERSION_TLS1_3 = 6;

This item has no description.

SSL_CONNECTION_VERSION_QUIC = 7;

This item has no description.

SSL_CONNECTION_VERSION_NUM_VALUES = SSL_CONNECTION_VERSION_QUIC + 1;

This item has no description.

SSL_CONTENT_NORMAL_CONTENT = 0;

Supported SSL content status flags. See content/public/common/ssl_status.h for more information.

TCefSSLContentStatus values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_ssl_content_status_t))

SSL_CONTENT_DISPLAYED_INSECURE_CONTENT = 1 shl 0;

This item has no description.

SSL_CONTENT_RAN_INSECURE_CONTENT = 1 shl 1;

This item has no description.

JSON_WRITER_DEFAULT = 0;

Default behavior.

TCefJsonWriterOptions value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_json_writer_options_t))

JSON_WRITER_OMIT_BINARY_VALUES = 1 shl 0;

This option instructs the writer that if a Binary value is encountered, the value (and key if within a dictionary) will be omitted from the output, and success will be returned. Otherwise, if a binary value is encountered, failure will be returned.

TCefJsonWriterOptions value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_json_writer_options_t))

JSON_WRITER_OMIT_DOUBLE_TYPE_PRESERVATION = 1 shl 1;

This option instructs the writer to write doubles that have no fractional part as a normal integer (i.e., without using exponential notation or appending a '.0') as long as the value is within the range of a 64-bit int.

TCefJsonWriterOptions value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_json_writer_options_t))

JSON_WRITER_PRETTY_PRINT = 1 shl 2;

Return a slightly nicer formatted json string (pads with whitespace to help with readability).

TCefJsonWriterOptions value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_json_writer_options_t))

LOGSEVERITY_DEFAULT = 0;

Default logging (currently INFO logging).

TCefLogSeverity value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_log_severity_t))

LOGSEVERITY_VERBOSE = 1;

Verbose logging.

TCefLogSeverity value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_log_severity_t))

LOGSEVERITY_DEBUG = LOGSEVERITY_VERBOSE;

DEBUG logging.

TCefLogSeverity value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_log_severity_t))

LOGSEVERITY_INFO = 2;

INFO logging.

TCefLogSeverity value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_log_severity_t))

LOGSEVERITY_WARNING = 3;

WARNING logging.

TCefLogSeverity value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_log_severity_t))

LOGSEVERITY_ERROR = 4;

ERROR logging.

TCefLogSeverity value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_log_severity_t))

LOGSEVERITY_FATAL = 5;

FATAL logging.

TCefLogSeverity value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_log_severity_t))

LOGSEVERITY_DISABLE = 99;

Disable logging to file for all messages, and to stderr for messages with severity less than FATAL.

TCefLogSeverity value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_log_severity_t))

DUPLEX_MODE_UNKNOWN = -1;

Print job duplex mode values.

TCefDuplexMode values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_duplex_mode_t))

DUPLEX_MODE_SIMPLEX = 0;

This item has no description.

DUPLEX_MODE_LONG_EDGE = 1;

This item has no description.

DUPLEX_MODE_SHORT_EDGE = 2;

This item has no description.

DUPLEX_MODE_NUM_VALUES = DUPLEX_MODE_SHORT_EDGE + 1;

This item has no description.

CEF_MRCR_UNKNOWN_ERROR = 0;

Result codes for ICefMediaRouter.CreateRoute. Should be kept in sync with Chromium's media_router::mojom::RouteRequestResultCode type.

TCefMediaRouterCreateResult values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_media_route_create_result_t))

CEF_MRCR_OK = 1;

This item has no description.

CEF_MRCR_TIMED_OUT = 2;

This item has no description.

CEF_MRCR_ROUTE_NOT_FOUND = 3;

This item has no description.

CEF_MRCR_SINK_NOT_FOUND = 4;

This item has no description.

CEF_MRCR_INVALID_ORIGIN = 5;

This item has no description.

CEF_MRCR_OFF_THE_RECORD_MISMATCH_DEPRECATED = 6;

This item has no description.

CEF_MRCR_NO_SUPPORTED_PROVIDER = 7;

This item has no description.

CEF_MRCR_CANCELLED = 8;

This item has no description.

CEF_MRCR_ROUTE_ALREADY_EXISTS = 9;

This item has no description.

CEF_MRCR_DESKTOP_PICKER_FAILED = 10;

This item has no description.

CEF_MRCR_ROUTE_ALREADY_TERMINATED = 11;

This item has no description.

CEF_MRCR_REDUNDANT_REQUEST = 12;

This item has no description.

CEF_MRCR_USER_NOT_ALLOWED = 13;

This item has no description.

CEF_MRCR_NOTIFICATION_DISABLED = 14;

This item has no description.

CEF_MRCR_NUM_VALUES = CEF_MRCR_NOTIFICATION_DISABLED + 1;

This item has no description.

CEF_MRCS_UNKNOWN = -1;

Connection state for a MediaRoute object. Should be kept in sync with Chromium's blink::mojom::PresentationConnectionState type.

TCefMediaRouteConnectionState values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_media_route_connection_state_t))

CEF_MRCS_CONNECTING = 0;

This item has no description.

CEF_MRCS_CONNECTED = 1;

This item has no description.

CEF_MRCS_CLOSED = 2;

This item has no description.

CEF_MRCS_TERMINATED = 3;

This item has no description.

CEF_MRCS_NUM_VALUES = CEF_MRCS_TERMINATED + 1;

This item has no description.

CEF_COOKIE_PRIORITY_LOW = -1;

Cookie priority values.

TCefCookiePriority values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_cookie_priority_t))

CEF_COOKIE_PRIORITY_MEDIUM = 0;

This item has no description.

CEF_COOKIE_PRIORITY_HIGH = 1;

This item has no description.

CEF_TFC_UNKNOWN = 0;

Represents commands available to TextField. Should be kept in sync with Chromium's views::TextField::MenuCommands type.

TCefTextFieldCommands values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_text_field_commands_t))

CEF_TFC_CUT = 1;

This item has no description.

CEF_TFC_COPY = 2;

This item has no description.

CEF_TFC_PASTE = 3;

This item has no description.

CEF_TFC_SELECT_ALL = 4;

This item has no description.

CEF_TFC_SELECT_WORD = 5;

This item has no description.

CEF_TFC_UNDO = 6;

This item has no description.

CEF_TFC_DELETE = 7;

This item has no description.

CEF_TFC_NUM_VALUES = 8;

This item has no description.

CEF_CTT_UNKNOWN = 0;

Chrome toolbar types.

TCefChromeToolbarType values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_chrome_toolbar_type_t))

CEF_CTT_NONE = 1;

This item has no description.

CEF_CTT_NORMAL = 2;

This item has no description.

CEF_CTT_LOCATION = 3;

This item has no description.

CEF_CTT_NUM_VALUES = 4;

This item has no description.

CEF_DOCKING_MODE_TOP_LEFT = 0;

Docking modes supported by ICefWindow.AddOverlay.

TCefDockingMode values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_docking_mode_t))

CEF_DOCKING_MODE_TOP_RIGHT = 1;

This item has no description.

CEF_DOCKING_MODE_BOTTOM_LEFT = 2;

This item has no description.

CEF_DOCKING_MODE_BOTTOM_RIGHT = 3;

This item has no description.

CEF_DOCKING_MODE_CUSTOM = 4;

This item has no description.

CEF_DOCKING_MODE_NUM_VALUES = CEF_DOCKING_MODE_CUSTOM + 1;

This item has no description.

CEF_SHOW_STATE_NORMAL = 0;

Show the window as normal.

TCefShowState value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_show_state_t))

CEF_SHOW_STATE_MINIMIZED = 1;

Show the window as minimized.

TCefShowState value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_show_state_t))

CEF_SHOW_STATE_MAXIMIZED = 2;

Show the window as maximized.

TCefShowState value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_show_state_t))

CEF_SHOW_STATE_FULLSCREEN = 3;

Show the window as fullscreen.

TCefShowState value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_show_state_t))

CEF_SHOW_STATE_HIDDEN = 4;

Show the window as hidden (no dock thumbnail). Only supported on MacOS..

TCefShowState value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_show_state_t))

CEF_SHOW_STATE_NUM_VALUES = CEF_SHOW_STATE_HIDDEN + 1;

Number of TCefShowState values

TCefShowState value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_show_state_t))

QM_EDITFLAG_NONE = 0;

Supported quick menu state bit flags.

TCefQuickMenuEditStateFlags values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_quick_menu_edit_state_flags_t))

QM_EDITFLAG_CAN_ELLIPSIS = 1 shl 0;

This item has no description.

QM_EDITFLAG_CAN_CUT = 1 shl 1;

This item has no description.

QM_EDITFLAG_CAN_COPY = 1 shl 2;

This item has no description.

QM_EDITFLAG_CAN_PASTE = 1 shl 3;

This item has no description.

CEF_THS_FLAG_NONE = 0;

Values indicating what state of the touch handle is set.

TCefTouchHandleStateFlags values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_touch_handle_state_flags_t))

CEF_THS_FLAG_ENABLED = 1 shl 0;

This item has no description.

CEF_THS_FLAG_ORIENTATION = 1 shl 1;

This item has no description.

CEF_THS_FLAG_ORIGIN = 1 shl 2;

This item has no description.

CEF_THS_FLAG_ALPHA = 1 shl 3;

This item has no description.

CEF_MEDIA_PERMISSION_NONE = 0;

No permission.

TCefMediaAccessPermissionTypes value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_media_access_permission_types_t))

CEF_MEDIA_PERMISSION_DEVICE_AUDIO_CAPTURE = 1 shl 0;

Device audio capture permission.

TCefMediaAccessPermissionTypes value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_media_access_permission_types_t))

CEF_MEDIA_PERMISSION_DEVICE_VIDEO_CAPTURE = 1 shl 1;

Device video capture permission.

TCefMediaAccessPermissionTypes value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_media_access_permission_types_t))

CEF_MEDIA_PERMISSION_DESKTOP_AUDIO_CAPTURE = 1 shl 2;

Desktop audio capture permission.

TCefMediaAccessPermissionTypes value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_media_access_permission_types_t))

CEF_MEDIA_PERMISSION_DESKTOP_VIDEO_CAPTURE = 1 shl 3;

Desktop video capture permission.

TCefMediaAccessPermissionTypes value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_media_access_permission_types_t))

CEF_PERMISSION_TYPE_NONE = 0;

Permission types used with OnShowPermissionPrompt. Some types are platform-specific or only supported with Chrome style. Should be kept in sync with Chromium's permissions::RequestType type.

TCefPermissionRequestTypes values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_permission_request_types_t))

CEF_PERMISSION_TYPE_AR_SESSION = 1 shl 0;

This item has no description.

CEF_PERMISSION_TYPE_CAMERA_PAN_TILT_ZOOM = 1 shl 1;

This item has no description.

CEF_PERMISSION_TYPE_CAMERA_STREAM = 1 shl 2;

This item has no description.

CEF_PERMISSION_TYPE_CAPTURED_SURFACE_CONTROL = 1 shl 3;

This item has no description.

CEF_PERMISSION_TYPE_CLIPBOARD = 1 shl 4;

This item has no description.

CEF_PERMISSION_TYPE_TOP_LEVEL_STORAGE_ACCESS = 1 shl 5;

This item has no description.

CEF_PERMISSION_TYPE_DISK_QUOTA = 1 shl 6;

This item has no description.

CEF_PERMISSION_TYPE_LOCAL_FONTS = 1 shl 7;

This item has no description.

CEF_PERMISSION_TYPE_GEOLOCATION = 1 shl 8;

This item has no description.

CEF_PERMISSION_TYPE_HAND_TRACKING = 1 shl 9;

This item has no description.

CEF_PERMISSION_TYPE_IDENTITY_PROVIDER = 1 shl 10;

This item has no description.

CEF_PERMISSION_TYPE_IDLE_DETECTION = 1 shl 11;

This item has no description.

CEF_PERMISSION_TYPE_MIC_STREAM = 1 shl 12;

This item has no description.

CEF_PERMISSION_TYPE_MIDI_SYSEX = 1 shl 13;

This item has no description.

CEF_PERMISSION_TYPE_MULTIPLE_DOWNLOADS = 1 shl 14;

This item has no description.

CEF_PERMISSION_TYPE_NOTIFICATIONS = 1 shl 15;

This item has no description.

CEF_PERMISSION_TYPE_KEYBOARD_LOCK = 1 shl 16;

This item has no description.

CEF_PERMISSION_TYPE_POINTER_LOCK = 1 shl 17;

This item has no description.

CEF_PERMISSION_TYPE_PROTECTED_MEDIA_IDENTIFIER = 1 shl 18;

This item has no description.

CEF_PERMISSION_TYPE_REGISTER_PROTOCOL_HANDLER = 1 shl 19;

This item has no description.

CEF_PERMISSION_TYPE_STORAGE_ACCESS = 1 shl 20;

This item has no description.

CEF_PERMISSION_TYPE_VR_SESSION = 1 shl 21;

This item has no description.

CEF_PERMISSION_TYPE_WEB_APP_INSTALLATION = 1 shl 22;

This item has no description.

CEF_PERMISSION_TYPE_WINDOW_MANAGEMENT = 1 shl 23;

This item has no description.

CEF_PERMISSION_TYPE_FILE_SYSTEM_ACCESS = 1 shl 24;

This item has no description.

CEF_PERMISSION_TYPE_LOCAL_NETWORK_ACCESS = 1 shl 25;

This item has no description.

CEF_API_HASH_PLATFORM = 0;

Platform API hash.

ucef_api_hash parameter.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/cef_api_hash.h">CEF source file: /include/cef_api_hash.h)

CEF_API_HASH_UNIVERSAL = 1;

Universal API hash. (deprecated, same as CEF_API_HASH_PLATFORM)

ucef_api_hash parameter.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/cef_api_hash.h">CEF source file: /include/cef_api_hash.h)

CEF_COMMIT_HASH = 2;

Commit hash.

ucef_api_hash parameter.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/cef_api_hash.h">CEF source file: /include/cef_api_hash.h)

CEF_DOWNLOAD_INTERRUPT_REASON_NONE = 0;

No interrupt reason.

TCefDownloadInterruptReason value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_download_interrupt_reason_t))

CEF_DOWNLOAD_INTERRUPT_REASON_FILE_FAILED = 1;

Generic file operation failure.

TCefDownloadInterruptReason value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_download_interrupt_reason_t))

CEF_DOWNLOAD_INTERRUPT_REASON_FILE_ACCESS_DENIED = 2;

The file cannot be accessed due to security restrictions.

TCefDownloadInterruptReason value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_download_interrupt_reason_t))

CEF_DOWNLOAD_INTERRUPT_REASON_FILE_NO_SPACE = 3;

There is not enough room on the drive.

TCefDownloadInterruptReason value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_download_interrupt_reason_t))

CEF_DOWNLOAD_INTERRUPT_REASON_FILE_NAME_TOO_LONG = 5;

The directory or file name is too long.

TCefDownloadInterruptReason value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_download_interrupt_reason_t))

CEF_DOWNLOAD_INTERRUPT_REASON_FILE_TOO_LARGE = 6;

The file is too large for the file system to handle.

TCefDownloadInterruptReason value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_download_interrupt_reason_t))

CEF_DOWNLOAD_INTERRUPT_REASON_FILE_VIRUS_INFECTED = 7;

The file contains a virus.

TCefDownloadInterruptReason value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_download_interrupt_reason_t))

CEF_DOWNLOAD_INTERRUPT_REASON_FILE_TRANSIENT_ERROR = 10;

The file was in use. Too many files are opened at once. We have run out of memory.

TCefDownloadInterruptReason value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_download_interrupt_reason_t))

CEF_DOWNLOAD_INTERRUPT_REASON_FILE_BLOCKED = 11;

The file was blocked due to local policy.

TCefDownloadInterruptReason value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_download_interrupt_reason_t))

CEF_DOWNLOAD_INTERRUPT_REASON_FILE_SECURITY_CHECK_FAILED = 12;

An attempt to check the safety of the download failed due to unexpected reasons. See http://crbug.com/153212.

TCefDownloadInterruptReason value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_download_interrupt_reason_t))

CEF_DOWNLOAD_INTERRUPT_REASON_FILE_TOO_SHORT = 13;

An attempt was made to seek past the end of a file in opening a file (as part of resuming a previously interrupted download).

TCefDownloadInterruptReason value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_download_interrupt_reason_t))

CEF_DOWNLOAD_INTERRUPT_REASON_FILE_HASH_MISMATCH = 14;

The partial file didn't match the expected hash.

TCefDownloadInterruptReason value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_download_interrupt_reason_t))

CEF_DOWNLOAD_INTERRUPT_REASON_FILE_SAME_AS_SOURCE = 15;

The source and the target of the download were the same.

TCefDownloadInterruptReason value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_download_interrupt_reason_t))

CEF_DOWNLOAD_INTERRUPT_REASON_NETWORK_FAILED = 20;

Generic network failure.

TCefDownloadInterruptReason value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_download_interrupt_reason_t))

CEF_DOWNLOAD_INTERRUPT_REASON_NETWORK_TIMEOUT = 21;

The network operation timed out.

TCefDownloadInterruptReason value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_download_interrupt_reason_t))

CEF_DOWNLOAD_INTERRUPT_REASON_NETWORK_DISCONNECTED = 22;

The network connection has been lost.

TCefDownloadInterruptReason value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_download_interrupt_reason_t))

CEF_DOWNLOAD_INTERRUPT_REASON_NETWORK_SERVER_DOWN = 23;

The server has gone down.

TCefDownloadInterruptReason value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_download_interrupt_reason_t))

CEF_DOWNLOAD_INTERRUPT_REASON_NETWORK_INVALID_REQUEST = 24;

The network request was invalid. This may be due to the original URL or a redirected URL: - Having an unsupported scheme. - Being an invalid URL. - Being disallowed by policy.

TCefDownloadInterruptReason value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_download_interrupt_reason_t))

CEF_DOWNLOAD_INTERRUPT_REASON_SERVER_FAILED = 30;

The server indicates that the operation has failed (generic).

TCefDownloadInterruptReason value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_download_interrupt_reason_t))

CEF_DOWNLOAD_INTERRUPT_REASON_SERVER_NO_RANGE = 31;

The server does not support range requests. Internal use only: must restart from the beginning.

TCefDownloadInterruptReason value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_download_interrupt_reason_t))

CEF_DOWNLOAD_INTERRUPT_REASON_SERVER_BAD_CONTENT = 33;

The server does not have the requested data.

TCefDownloadInterruptReason value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_download_interrupt_reason_t))

CEF_DOWNLOAD_INTERRUPT_REASON_SERVER_UNAUTHORIZED = 34;

Server didn't authorize access to resource.

TCefDownloadInterruptReason value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_download_interrupt_reason_t))

CEF_DOWNLOAD_INTERRUPT_REASON_SERVER_CERT_PROBLEM = 35;

Server certificate problem.

TCefDownloadInterruptReason value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_download_interrupt_reason_t))

CEF_DOWNLOAD_INTERRUPT_REASON_SERVER_FORBIDDEN = 36;

Server access forbidden.

TCefDownloadInterruptReason value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_download_interrupt_reason_t))

CEF_DOWNLOAD_INTERRUPT_REASON_SERVER_UNREACHABLE = 37;

Unexpected server response. This might indicate that the responding server may not be the intended server.

TCefDownloadInterruptReason value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_download_interrupt_reason_t))

CEF_DOWNLOAD_INTERRUPT_REASON_SERVER_CONTENT_LENGTH_MISMATCH = 38;

The server sent fewer bytes than the content-length header. It may indicate that the connection was closed prematurely, or the Content-Length header was invalid. The download is only interrupted if strong validators are present. Otherwise, it is treated as finished.

TCefDownloadInterruptReason value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_download_interrupt_reason_t))

CEF_DOWNLOAD_INTERRUPT_REASON_SERVER_CROSS_ORIGIN_REDIRECT = 39;

An unexpected cross-origin redirect happened.

TCefDownloadInterruptReason value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_download_interrupt_reason_t))

CEF_DOWNLOAD_INTERRUPT_REASON_USER_CANCELED = 40;

The user canceled the download.

TCefDownloadInterruptReason value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_download_interrupt_reason_t))

CEF_DOWNLOAD_INTERRUPT_REASON_USER_SHUTDOWN = 41;

The user shut down the browser. Internal use only: resume pending downloads if possible.

TCefDownloadInterruptReason value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_download_interrupt_reason_t))

CEF_DOWNLOAD_INTERRUPT_REASON_CRASH = 50;

The browser crashed. Internal use only: resume pending downloads if possible.

TCefDownloadInterruptReason value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_download_interrupt_reason_t))

LOG_ITEMS_DEFAULT = 0;

Prepend the default list of items.

TCefLogItems value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_log_items_t))

LOG_ITEMS_NONE = 1 shl 0;

Prepend no items.

TCefLogItems value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_log_items_t))

LOG_ITEMS_FLAG_PROCESS_ID = 1 shl 1;

Prepend the process ID.

TCefLogItems value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_log_items_t))

LOG_ITEMS_FLAG_THREAD_ID = 1 shl 2;

Prepend the thread ID.

TCefLogItems value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_log_items_t))

LOG_ITEMS_FLAG_TIME_STAMP = 1 shl 3;

Prepend the timestamp.

TCefLogItems value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_log_items_t))

LOG_ITEMS_FLAG_TICK_COUNT = 1 shl 4;

Prepend the tickcount.

TCefLogItems value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_log_items_t))

CEF_RESULT_CODE_NORMAL_EXIT = 0;

Normal exit code.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:content/public/common/result_codes.h">See Chromium's content::ResultCode type.)

CEF_RESULT_CODE_KILLED = 1;

Process was killed by user or system.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:content/public/common/result_codes.h">See Chromium's content::ResultCode type.)

CEF_RESULT_CODE_HUNG = 2;

Process hung.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:content/public/common/result_codes.h">See Chromium's content::ResultCode type.)

CEF_RESULT_CODE_KILLED_BAD_MESSAGE = 3;

A bad message caused the process termination.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:content/public/common/result_codes.h">See Chromium's content::ResultCode type.)

CEF_RESULT_CODE_GPU_DEAD_ON_ARRIVAL = 4;

The GPU process exited because initialization failed.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:content/public/common/result_codes.h">See Chromium's content::ResultCode type.)

CEF_RESULT_CODE_CHROME_FIRST = 5;

First Chrome result code.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:chrome/common/chrome_result_codes.h">See chrome::ResultCode type.)

CEF_RESULT_CODE_INVALID_CMDLINE_URL = CEF_RESULT_CODE_CHROME_FIRST;

An invalid command line url was given.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:chrome/common/chrome_result_codes.h">See chrome::ResultCode type.)

CEF_RESULT_CODE_BAD_PROCESS_TYPE = 6;

The process is of an unknown type.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:chrome/common/chrome_result_codes.h">See chrome::ResultCode type.)

CEF_RESULT_CODE_MISSING_DATA = 7;

A critical chrome file is missing.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:chrome/common/chrome_result_codes.h">See chrome::ResultCode type.)

CEF_RESULT_CODE_SHELL_INTEGRATION_FAILED = 8;

Failed to make Chrome default browser (not used?).

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:chrome/common/chrome_result_codes.h">See chrome::ResultCode type.)

CEF_RESULT_CODE_MACHINE_LEVEL_INSTALL_EXISTS = 9;

Machine level install exists.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:chrome/common/chrome_result_codes.h">See chrome::ResultCode type.)

CEF_RESULT_CODE_UNINSTALL_CHROME_ALIVE = 10;

Uninstall detected another chrome instance.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:chrome/common/chrome_result_codes.h">See chrome::ResultCode type.)

CEF_RESULT_CODE_UNINSTALL_USER_CANCEL = 11;

The user changed their mind.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:chrome/common/chrome_result_codes.h">See chrome::ResultCode type.)

CEF_RESULT_CODE_UNINSTALL_DELETE_PROFILE = 12;

Delete profile as well during uninstall.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:chrome/common/chrome_result_codes.h">See chrome::ResultCode type.)

CEF_RESULT_CODE_UNSUPPORTED_PARAM = 13;

Command line parameter is not supported.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:chrome/common/chrome_result_codes.h">See chrome::ResultCode type.)

CEF_RESULT_CODE_IMPORTER_HUNG = 14;

Browser import hung and was killed.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:chrome/common/chrome_result_codes.h">See chrome::ResultCode type.)

CEF_RESULT_CODE_RESPAWN_FAILED = 15;

Trying to restart the browser we crashed.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:chrome/common/chrome_result_codes.h">See chrome::ResultCode type.)

CEF_RESULT_CODE_NORMAL_EXIT_EXP1 = 16;

Generic code used to communicate some simple outcome back to the process that launched us. This is used for experiments and the actual meaning depends on the experiment.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:chrome/common/chrome_result_codes.h">See chrome::ResultCode type.)

CEF_RESULT_CODE_NORMAL_EXIT_EXP2 = 17;

Generic code used to communicate some simple outcome back to the process that launched us. This is used for experiments and the actual meaning depends on the experiment.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:chrome/common/chrome_result_codes.h">See chrome::ResultCode type.)

CEF_RESULT_CODE_NORMAL_EXIT_EXP3 = 18;

Generic code used to communicate some simple outcome back to the process that launched us. This is used for experiments and the actual meaning depends on the experiment.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:chrome/common/chrome_result_codes.h">See chrome::ResultCode type.)

CEF_RESULT_CODE_NORMAL_EXIT_EXP4 = 19;

Generic code used to communicate some simple outcome back to the process that launched us. This is used for experiments and the actual meaning depends on the experiment.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:chrome/common/chrome_result_codes.h">See chrome::ResultCode type.)

CEF_RESULT_CODE_NORMAL_EXIT_CANCEL = 20;

For experiments this return code means that the user canceled causes the did_run "dr" signal to be reset soi this chrome run does not count as active chrome usage.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:chrome/common/chrome_result_codes.h">See chrome::ResultCode type.)

CEF_RESULT_CODE_PROFILE_IN_USE = 21;

The profile was in use on another host.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:chrome/common/chrome_result_codes.h">See chrome::ResultCode type.)

CEF_RESULT_CODE_PACK_EXTENSION_ERROR = 22;

Failed to pack an extension via the cmd line.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:chrome/common/chrome_result_codes.h">See chrome::ResultCode type.)

CEF_RESULT_CODE_UNINSTALL_EXTENSION_ERROR = 23;

Failed to silently uninstall an extension.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:chrome/common/chrome_result_codes.h">See chrome::ResultCode type.)

CEF_RESULT_CODE_NORMAL_EXIT_PROCESS_NOTIFIED = 24;

The browser process exited early by passing the command line to another running browser.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:chrome/common/chrome_result_codes.h">See chrome::ResultCode type.)

CEF_RESULT_CODE_NOTUSED_1 = 25;

A dummy value we should not use. See crbug.com/152285.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:chrome/common/chrome_result_codes.h">See chrome::ResultCode type.)

CEF_RESULT_CODE_INSTALL_FROM_WEBSTORE_ERROR_2 = 26;

Failed to install an item from the webstore when the kInstallEphemeralAppFromWebstore command line flag was present. As this flag is no longer supported, this return code should never be returned.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:chrome/common/chrome_result_codes.h">See chrome::ResultCode type.)

CEF_RESULT_CODE_NOTUSED_2 = 27;

A dummy value we should not use. See crbug.com/152285.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:chrome/common/chrome_result_codes.h">See chrome::ResultCode type.)

CEF_RESULT_CODE_EULA_REFUSED = 28;

Returned when the user has not yet accepted the EULA.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:chrome/common/chrome_result_codes.h">See chrome::ResultCode type.)

CEF_RESULT_CODE_SXS_MIGRATION_FAILED_NOT_USED = 29;

Failed to migrate user data directory for side-by-side package support (Linux-only).

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:chrome/common/chrome_result_codes.h">See chrome::ResultCode type.)

CEF_RESULT_CODE_ACTION_DISALLOWED_BY_POLICY = 30;

The action is not allowed by a policy.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:chrome/common/chrome_result_codes.h">See chrome::ResultCode type.)

CEF_RESULT_CODE_INVALID_SANDBOX_STATE = 31;

A browser process was sandboxed. This should never happen.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:chrome/common/chrome_result_codes.h">See chrome::ResultCode type.)

CEF_RESULT_CODE_CLOUD_POLICY_ENROLLMENT_FAILED = 32;

Cloud policy enrollment is failed or given up by user.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:chrome/common/chrome_result_codes.h">See chrome::ResultCode type.)

CEF_RESULT_CODE_DOWNGRADE_AND_RELAUNCH = 33;

Chrome was downgraded since the last launch. Perform downgrade processing and relaunch.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:chrome/common/chrome_result_codes.h">See chrome::ResultCode type.)

CEF_RESULT_CODE_GPU_EXIT_ON_CONTEXT_LOST = 34;

The GPU process was terminated due to context lost.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:chrome/common/chrome_result_codes.h">See chrome::ResultCode type.)

CEF_RESULT_CODE_NORMAL_EXIT_UPGRADE_RELAUNCHED = 35;

Chrome detected that there was a new version waiting to launch and renamed the files and launched the new version. This result code is never returned from the main process, but is instead used as a signal for early termination of browser. See `IsNormalResultCode` below.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:chrome/common/chrome_result_codes.h">See chrome::ResultCode type.)

CEF_RESULT_CODE_NORMAL_EXIT_PACK_EXTENSION_SUCCESS = 36;

An early startup command was executed and the browser must exit.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:chrome/common/chrome_result_codes.h">See chrome::ResultCode type.)

CEF_RESULT_CODE_SYSTEM_RESOURCE_EXHAUSTED = 37;

The browser process exited because system resource are exhausted. The system state can't be recovered and will be unstable.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:chrome/common/chrome_result_codes.h">See chrome::ResultCode type.)

CEF_RESULT_CODE_NORMAL_EXIT_AUTO_DE_ELEVATED = 38;

The browser process exited because it was re-launched without elevation.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:chrome/common/chrome_result_codes.h">See chrome::ResultCode type.)

CEF_RESULT_CODE_TERMINATED_BY_OTHER_PROCESS_ON_COMMIT_FAILURE = 39;

Upon encountering a commit failure in a process, PartitionAlloc terminated another process deemed less important.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:chrome/common/chrome_result_codes.h">See chrome::ResultCode type.)

CEF_RESULT_CODE_CHROME_LAST = 40;

Last Chrome result code.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:chrome/common/chrome_result_codes.h">See chrome::ResultCode type.)

CEF_RESULT_CODE_SANDBOX_FATAL_FIRST = 7006;

First Sandbox result code.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:sandbox/win/src/sandbox_types.h">See sandbox::TerminationCodes type.)

CEF_RESULT_CODE_SANDBOX_FATAL_INTEGRITY = CEF_RESULT_CODE_SANDBOX_FATAL_FIRST;

Windows sandbox could not set the integrity level.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:sandbox/win/src/sandbox_types.h">See sandbox::TerminationCodes type.)

CEF_RESULT_CODE_SANDBOX_FATAL_DROPTOKEN = 7007;

Windows sandbox could not lower the token.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:sandbox/win/src/sandbox_types.h">See sandbox::TerminationCodes type.)

CEF_RESULT_CODE_SANDBOX_FATAL_FLUSHANDLES = 7008;

Windows sandbox failed to flush registry handles.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:sandbox/win/src/sandbox_types.h">See sandbox::TerminationCodes type.)

CEF_RESULT_CODE_SANDBOX_FATAL_CACHEDISABLE = 7009;

Windows sandbox failed to forbid HCKU caching.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:sandbox/win/src/sandbox_types.h">See sandbox::TerminationCodes type.)

CEF_RESULT_CODE_SANDBOX_FATAL_CLOSEHANDLES = 7010;

Windows sandbox failed to close pending handles.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:sandbox/win/src/sandbox_types.h">See sandbox::TerminationCodes type.)

CEF_RESULT_CODE_SANDBOX_FATAL_MITIGATION = 7011;

Windows sandbox could not set the mitigation policy.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:sandbox/win/src/sandbox_types.h">See sandbox::TerminationCodes type.)

CEF_RESULT_CODE_SANDBOX_FATAL_MEMORY_EXCEEDED = 7012;

Windows sandbox exceeded the job memory limit.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:sandbox/win/src/sandbox_types.h">See sandbox::TerminationCodes type.)

CEF_RESULT_CODE_SANDBOX_FATAL_WARMUP = 7013;

Windows sandbox failed to warmup.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:sandbox/win/src/sandbox_types.h">See sandbox::TerminationCodes type.)

CEF_RESULT_CODE_SANDBOX_FATAL_BROKER_SHUTDOWN_HUNG = 7014;

Windows sandbox broker terminated in shutdown.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:sandbox/win/src/sandbox_types.h">See sandbox::TerminationCodes type.)

CEF_RESULT_CODE_SANDBOX_FATAL_LAST = 7015;

Last Sandbox result code.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:sandbox/win/src/sandbox_types.h">See sandbox::TerminationCodes type.)

CEF_RESULT_CODE_NUM_VALUES = CEF_RESULT_CODE_SANDBOX_FATAL_LAST + 1;

Last TCefResultCode value.

TCefResultCode value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:sandbox/win/src/sandbox_types.h">See sandbox::TerminationCodes type.)

ABOUTBLANK_URI = 'about:blank';

* ****************************************************** ****************** OTHER CONSTANTS ******************* ****************************************************** *

DEVTOOLS_WINDOWNAME = 'DevTools';

This item has no description.

CEF_PROXYTYPE_DIRECT = 0;

Direct proxy type: Never use a proxy.

CEF_PROXYTYPE_AUTODETECT = 1;

Auto_detect proxy type: Auto detect proxy settings.

CEF_PROXYTYPE_SYSTEM = 2;

System proxy type: Use system proxy settings.

CEF_PROXYTYPE_FIXED_SERVERS = 3;

Fixed_servers proxy type: Use fixed proxy servers.

CEF_PROXYTYPE_PAC_SCRIPT = 4;

Pac_script proxy type: Use a .pac proxy script.

CEF_LOG_SEVERITY_VERBOSE = -1;

Used in the severity parameter in the 'cef_log' function, also known as 'CefLog' in CEF4Delphi. The log severities are used to index into the array of names, see log_severity_names. /base/allocator/partition_allocator/partition_alloc_base/logging.h /base/logging.cc

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/base/cef_logging.h">CEF source file: /include/base/cef_logging.h (LogSeverity))

CEF_LOG_SEVERITY_INFO = 0;

This item has no description.

CEF_LOG_SEVERITY_WARNING = 1;

This item has no description.

CEF_LOG_SEVERITY_ERROR = 2;

This item has no description.

CEF_LOG_SEVERITY_FATAL = 3;

This severity log level causes a crash.

CEF_MAX_CONNECTIONS_PER_PROXY_DEFAULT_VALUE = 32;

This item has no description.

CEF_MAX_CONNECTIONS_PER_PROXY_MIN_VALUE = 7;

This item has no description.

CEF_MAX_CONNECTIONS_PER_PROXY_MAX_VALUE = 99;

This item has no description.

CEF_COOKIE_PREF_DEFAULT = 0;

This item has no description.

CEF_COOKIE_PREF_ALLOW = 1;

This item has no description.

CEF_COOKIE_PREF_BLOCK = 2;

This item has no description.

CEF_DEFAULT_ENABLEFOCUSDELAY = 500;

This item has no description.

YOUTUBE_RESTRICT_OFF = 0;

delay in ms to enable the browser focus <summary> YouTube restrict mode. </summary> <remarks> <para><see href="https://chromium.googlesource.com/chromium/src/+/refs/tags/77.0.3865.90/chrome/common/net/safe_search_util.h">Chromium source file: /chrome/common/net/safe_search_util.h (YouTubeRestrictMode)</see></para> <para><see href="https://www.chromium.org/administrators/policy-list-3#ForceYouTubeRestrict">Chromium policy list: https://www.chromium.org/administrators/policy-list-3#ForceYouTubeRestrict</see></para> </remarks>

YOUTUBE_RESTRICT_MODERATE = 1;

This item has no description.

YOUTUBE_RESTRICT_STRICT = 2;

This item has no description.

ZOOM_STEP_25 = 0;

This item has no description.

ZOOM_STEP_33 = 1;

This item has no description.

ZOOM_STEP_50 = 2;

This item has no description.

ZOOM_STEP_67 = 3;

This item has no description.

ZOOM_STEP_75 = 4;

This item has no description.

ZOOM_STEP_90 = 5;

This item has no description.

ZOOM_STEP_100 = 6;

This item has no description.

ZOOM_STEP_110 = 7;

This item has no description.

ZOOM_STEP_125 = 8;

This item has no description.

ZOOM_STEP_150 = 9;

This item has no description.

ZOOM_STEP_175 = 10;

This item has no description.

ZOOM_STEP_200 = 11;

This item has no description.

ZOOM_STEP_250 = 12;

This item has no description.

ZOOM_STEP_300 = 13;

This item has no description.

ZOOM_STEP_400 = 14;

This item has no description.

ZOOM_STEP_500 = 15;

This item has no description.

ZOOM_STEP_UNK = 16;

This item has no description.

ZOOM_STEP_MIN = ZOOM_STEP_25;

This item has no description.

ZOOM_STEP_MAX = ZOOM_STEP_500;

This item has no description.

ZOOM_STEP_DEF = ZOOM_STEP_100;

This item has no description.

ZOOM_PCT_DELTA = 5;

This item has no description.

ZoomStepValues : array[ZOOM_STEP_MIN..ZOOM_STEP_MAX] of integer = (25, 33, 50, 67, 75, 90, 100, 110, 125, 150, 175, 200, 250, 300, 400, 500);

This item has no description.

CEF_PREFERENCES_SAVED = WM_APP + $A00;

This item has no description.

CEF_DOONCLOSE = WM_APP + $A01;

This item has no description.

CEF_STARTDRAGGING = WM_APP + $A02;

This item has no description.

CEF_AFTERCREATED = WM_APP + $A03;

This item has no description.

CEF_PENDINGRESIZE = WM_APP + $A04;

This item has no description.

CEF_PUMPHAVEWORK = WM_APP + $A05;

This item has no description.

CEF_DESTROY = WM_APP + $A06;

This item has no description.

CEF_DOONBEFORECLOSE = WM_APP + $A07;

This item has no description.

CEF_PENDINGINVALIDATE = WM_APP + $A08;

This item has no description.

CEF_IMERANGECHANGED = WM_APP + $A09;

This item has no description.

CEF_SENTINEL_START = WM_APP + $A0A;

This item has no description.

CEF_SENTINEL_DOCLOSE = WM_APP + $A0B;

This item has no description.

CEF_BEFORECLOSE = WM_APP + $A0C;

This item has no description.

CEF_INVALIDATE = WM_APP + $A0D;

This item has no description.

CEF_FOCUSENABLED = WM_APP + $A0E;

This item has no description.

WM_TOUCH = $0240;

Lazarus and some old Delphi versions don't have these message contants

WM_POINTERUPDATE = $0245;

This item has no description.

WM_POINTERDOWN = $0246;

This item has no description.

WM_POINTERUP = $0247;

This item has no description.

CEF_OSR_FRAMERATE_DEFAULT = 30;

Default values for the Windowsless framerate setting in TChromiumOptions The values are frames per second.

CEF_OSR_SHARED_TEXTURES_FRAMERATE_DEFAULT = 60;

Used when the shared textures are disabled.

CEF_TIMER_MINIMUM = $0000000A;

Used when the shared textures are enabled.

CEF_TIMER_MAXIMUM = $7FFFFFFF;

This item has no description.

CEF_TIMER_MAXDELAY = 1000 div CEF_OSR_FRAMERATE_DEFAULT;

This item has no description.

CEF_TIMER_DEPLETEWORK_CYCLES = 10;

This item has no description.

CEF_TIMER_DEPLETEWORK_DELAY = 50;

This item has no description.

CEF4DELPHI_URL = 'https://github.com/salvadordf/CEF4Delphi';

This item has no description.

CRLF = #13 + #10;

This item has no description.

CEF_URLS_URL = 'chrome://chrome-urls';

This item has no description.

CEF_VERSION_URL = 'chrome://version';

This item has no description.

CEF_FLAGS_URL = 'chrome://flags';

This item has no description.

CEF_SETTINGS_URL = 'chrome://settings';

This item has no description.

CEF_DOWNLOADS_URL = 'chrome://downloads';

This item has no description.

CEF_EXTENSIONS_URL = 'chrome://extensions';

This item has no description.

CEF_INSPECT_URL = 'chrome://inspect';

This item has no description.

CEF_GPU_URL = 'chrome://gpu';

This item has no description.

CEF_PREFS_URL = 'chrome://prefs-internals';

This item has no description.

CEF_CERTMANAGER_URL = 'chrome://certificate-manager';

This item has no description.

CEF_MEMORY_URL = 'chrome://memory-internals';

This item has no description.

CEF_IMAGE_FILE_MACHINE_I386 = $014C;

These contants are declared in the "Windows" unit but some old Delphi versions don't have them. We have to add "CEF_" to be compatible with C++ Builder.

CEF_IMAGE_FILE_MACHINE_AMD64 = $8664;

This item has no description.

USER_DEFAULT_SCREEN_DPI = 96;

This item has no description.

CEF_MOUSETOUCH_EVENT_MODIFIERS_NONE = 0;

Modifier values used in the Input.dispatchTouchEvent and Input.dispatchMouseEvent DevTools methods. Bit field representing pressed modifier keys. Alt=1, Ctrl=2, Meta/Command=4, Shift=8 (default: 0). https://chromedevtools.github.io/devtools-protocol/tot/Input/#method-dispatchTouchEvent

CEF_MOUSETOUCH_EVENT_MODIFIERS_ALT = 1 shl 0;

This item has no description.

CEF_MOUSETOUCH_EVENT_MODIFIERS_CTRL = 1 shl 1;

This item has no description.

CEF_MOUSETOUCH_EVENT_MODIFIERS_METACMD = 1 shl 2;

This item has no description.

CEF_MOUSETOUCH_EVENT_MODIFIERS_SHIFT = 1 shl 3;

This item has no description.

CEF_PRESSED_MOUSE_BUTTONS_NONE = 0;

Modifier values used in the Input.dispatchMouseEvent DevTools method. A number indicating which buttons are pressed on the mouse when a mouse event is triggered. Left=1, Right=2, Middle=4, Back=8, Forward=16, None=0. https://chromedevtools.github.io/devtools-protocol/tot/Input/#method-dispatchMouseEvent

CEF_PRESSED_MOUSE_BUTTONS_LEFT = 1 shl 0;

This item has no description.

CEF_PRESSED_MOUSE_BUTTONS_RIGHT = 1 shl 1;

This item has no description.

CEF_PRESSED_MOUSE_BUTTONS_MIDDLE = 1 shl 2;

This item has no description.

CEF_PRESSED_MOUSE_BUTTONS_BACK = 1 shl 3;

This item has no description.

CEF_PRESSED_MOUSE_BUTTONS_FORWARD = 1 shl 4;

This item has no description.

CHROMIUM_NONBROWSERSHUTDOWNPRIORITY = $280;

This constant is defined by Chromium in chrome/app/main_dll_loader_win.cc It's used with SetProcessShutdownParameters to set a shutdown priority for the subprocesses. $280 is the default value for applications.

INFINITE = Cardinal($FFFFFFFF);

This item has no description.

pidWin32 = 0;

If any of the platform IDs are not defined then we set them as 0 to avoid build errors on older Delphi versions.

pidWin64 = 0;

This item has no description.

pfidWindows = pidWin32 or pidWin64;

This item has no description.

pidOSX32 = 0;

This item has no description.

pidOSX64 = 0;

This item has no description.

pidOSXArm64 = 0;

This item has no description.

pfidOSX = pidOSX32 or pidOSX64 or pidOSXArm64;

This item has no description.

pidLinux64 = 0;

This item has no description.

pfidLinux = pidLinux64;

This item has no description.

CEF_ONEDAYINMILLISECONDS = 86400000;

This value may be used with the mseconds_between_dumps parameter in GlobalCEFApp.DumpWithoutCrashing.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/base/cef_dump_without_crashing.h">CEF source file: /include/base/cef_dump_without_crashing.h (kOneDayInMilliseconds))


cef4delphi: uCEFContextMenuHandler

Unit uCEFContextMenuHandler

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefContextMenuHandlerOwn |
Class TCustomContextMenuHandler |


cef4delphi: uCEFContextMenuHandler: Class TCefContextMenuHandlerOwn

Class TCefContextMenuHandlerOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFContextMenuHandler

Declaration

type TCefContextMenuHandlerOwn = class(TCefBaseRefCountedOwn, ICefContextMenuHandler)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefContextMenuHandlerOwn

Overview

Methods

Protected | procedure OnBeforeContextMenu(const browser: ICefBrowser; const frame: ICefFrame; const params: ICefContextMenuParams; const model: ICefMenuModel); virtual;
Protected | function RunContextMenu(const browser: ICefBrowser; const frame: ICefFrame; const params: ICefContextMenuParams; const model: ICefMenuModel; const callback: ICefRunContextMenuCallback): Boolean; virtual;
Protected | function OnContextMenuCommand(const browser: ICefBrowser; const frame: ICefFrame; const params: ICefContextMenuParams; commandId: Integer; eventFlags: TCefEventFlags): Boolean; virtual;
Protected | procedure OnContextMenuDismissed(const browser: ICefBrowser; const frame: ICefFrame); virtual;
Protected | function RunQuickMenu(const browser: ICefBrowser; const frame: ICefFrame; location: PCefPoint; size: PCefSize; edit_state_flags: TCefQuickMenuEditStateFlags; const callback: ICefRunQuickMenuCallback): boolean; virtual;
Protected | function OnQuickMenuCommand(const browser: ICefBrowser; const frame: ICefFrame; command_id: integer; event_flags: TCefEventFlags): boolean; virtual;
Protected | procedure OnQuickMenuDismissed(const browser: ICefBrowser; const frame: ICefFrame); virtual;
Protected | procedure RemoveReferences; virtual;
Public | constructor Create; virtual;

Description

Methods

Protected procedure OnBeforeContextMenu(const browser: ICefBrowser; const frame: ICefFrame; const params: ICefContextMenuParams; const model: ICefMenuModel); virtual;

This item has no description. Showing description inherited from ICefContextMenuHandler.OnBeforeContextMenu.

Called before a context menu is displayed. |params| provides information about the context menu state. |model| initially contains the default context menu. The |model| can be cleared to show no context menu or modified to show a custom menu. Do not keep references to |params| or |model| outside of this callback.

Protected function RunContextMenu(const browser: ICefBrowser; const frame: ICefFrame; const params: ICefContextMenuParams; const model: ICefMenuModel; const callback: ICefRunContextMenuCallback): Boolean; virtual;

This item has no description. Showing description inherited from ICefContextMenuHandler.RunContextMenu.

Called to allow custom display of the context menu. |params| provides information about the context menu state. |model| contains the context menu model resulting from OnBeforeContextMenu. For custom display return true (1) and execute |callback| either synchronously or asynchronously with the selected command ID. For default display return false (0). Do not keep references to |params| or |model| outside of this callback.

Protected function OnContextMenuCommand(const browser: ICefBrowser; const frame: ICefFrame; const params: ICefContextMenuParams; commandId: Integer; eventFlags: TCefEventFlags): Boolean; virtual;

This item has no description. Showing description inherited from ICefContextMenuHandler.OnContextMenuCommand.

Called to execute a command selected from the context menu. Return true (1) if the command was handled or false (0) for the default implementation. See TCefMenuId for the command ids that have default implementations. All user-defined command ids should be between MENU_ID_USER_FIRST and MENU_ID_USER_LAST. |params| will have the same values as what was passed to on_before_context_menu(). Do not keep a reference to |params| outside of this callback.

Protected procedure OnContextMenuDismissed(const browser: ICefBrowser; const frame: ICefFrame); virtual;

This item has no description. Showing description inherited from ICefContextMenuHandler.OnContextMenuDismissed.

Called when the context menu is dismissed irregardless of whether the menu was canceled or a command was selected.

Protected function RunQuickMenu(const browser: ICefBrowser; const frame: ICefFrame; location: PCefPoint; size: PCefSize; edit_state_flags: TCefQuickMenuEditStateFlags; const callback: ICefRunQuickMenuCallback): boolean; virtual;

This item has no description. Showing description inherited from ICefContextMenuHandler.RunQuickMenu.

Called to allow custom display of the quick menu for a windowless browser. |location| is the top left corner of the selected region. |size| is the size of the selected region. |edit_state_flags| is a combination of flags that represent the state of the quick menu. Return true (1) if the menu will be handled and execute |callback| either synchronously or asynchronously with the selected command ID. Return false (0) to cancel the menu.

Protected function OnQuickMenuCommand(const browser: ICefBrowser; const frame: ICefFrame; command_id: integer; event_flags: TCefEventFlags): boolean; virtual;

This item has no description. Showing description inherited from ICefContextMenuHandler.OnQuickMenuCommand.

Called to execute a command selected from the quick menu for a windowless browser. Return true (1) if the command was handled or false (0) for the default implementation. See TCefMenuId for command IDs that have default implementations.

Protected procedure OnQuickMenuDismissed(const browser: ICefBrowser; const frame: ICefFrame); virtual;

This item has no description. Showing description inherited from ICefContextMenuHandler.OnQuickMenuDismissed.

Called when the quick menu for a windowless browser is dismissed irregardless of whether the menu was canceled or a command was selected.

Protected procedure RemoveReferences; virtual;

This item has no description. Showing description inherited from ICefContextMenuHandler.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFContextMenuHandler: Class TCustomContextMenuHandler

Class TCustomContextMenuHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFContextMenuHandler

Declaration

type TCustomContextMenuHandler = class(TCefContextMenuHandlerOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefContextMenuHandlerOwn
  • TCustomContextMenuHandler

Overview

Fields

Protected FEvents: Pointer;

Methods

Protected | procedure OnBeforeContextMenu(const browser: ICefBrowser; const frame: ICefFrame; const params: ICefContextMenuParams; const model: ICefMenuModel); override;
Protected | function RunContextMenu(const browser: ICefBrowser; const frame: ICefFrame; const params: ICefContextMenuParams; const model: ICefMenuModel; const callback: ICefRunContextMenuCallback): Boolean; override;
Protected | function OnContextMenuCommand(const browser: ICefBrowser; const frame: ICefFrame; const params: ICefContextMenuParams; commandId: Integer; eventFlags: TCefEventFlags): Boolean; override;
Protected | procedure OnContextMenuDismissed(const browser: ICefBrowser; const frame: ICefFrame); override;
Protected | function RunQuickMenu(const browser: ICefBrowser; const frame: ICefFrame; location: PCefPoint; size: PCefSize; edit_state_flags: TCefQuickMenuEditStateFlags; const callback: ICefRunQuickMenuCallback): boolean; override;
Protected | function OnQuickMenuCommand(const browser: ICefBrowser; const frame: ICefFrame; command_id: integer; event_flags: TCefEventFlags): boolean; override;
Protected | procedure OnQuickMenuDismissed(const browser: ICefBrowser; const frame: ICefFrame); override;
Protected | procedure RemoveReferences; override;
Public | constructor Create(const events : IChromiumEvents); reintroduce; virtual;
Public | destructor Destroy; override;

Description

Fields

Protected FEvents: Pointer;

This item has no description.

Methods

Protected procedure OnBeforeContextMenu(const browser: ICefBrowser; const frame: ICefFrame; const params: ICefContextMenuParams; const model: ICefMenuModel); override;

This item has no description. Showing description inherited from ICefContextMenuHandler.OnBeforeContextMenu.

Called before a context menu is displayed. |params| provides information about the context menu state. |model| initially contains the default context menu. The |model| can be cleared to show no context menu or modified to show a custom menu. Do not keep references to |params| or |model| outside of this callback.

Protected function RunContextMenu(const browser: ICefBrowser; const frame: ICefFrame; const params: ICefContextMenuParams; const model: ICefMenuModel; const callback: ICefRunContextMenuCallback): Boolean; override;

This item has no description. Showing description inherited from ICefContextMenuHandler.RunContextMenu.

Called to allow custom display of the context menu. |params| provides information about the context menu state. |model| contains the context menu model resulting from OnBeforeContextMenu. For custom display return true (1) and execute |callback| either synchronously or asynchronously with the selected command ID. For default display return false (0). Do not keep references to |params| or |model| outside of this callback.

Protected function OnContextMenuCommand(const browser: ICefBrowser; const frame: ICefFrame; const params: ICefContextMenuParams; commandId: Integer; eventFlags: TCefEventFlags): Boolean; override;

This item has no description. Showing description inherited from ICefContextMenuHandler.OnContextMenuCommand.

Called to execute a command selected from the context menu. Return true (1) if the command was handled or false (0) for the default implementation. See TCefMenuId for the command ids that have default implementations. All user-defined command ids should be between MENU_ID_USER_FIRST and MENU_ID_USER_LAST. |params| will have the same values as what was passed to on_before_context_menu(). Do not keep a reference to |params| outside of this callback.

Protected procedure OnContextMenuDismissed(const browser: ICefBrowser; const frame: ICefFrame); override;

This item has no description. Showing description inherited from ICefContextMenuHandler.OnContextMenuDismissed.

Called when the context menu is dismissed irregardless of whether the menu was canceled or a command was selected.

Protected function RunQuickMenu(const browser: ICefBrowser; const frame: ICefFrame; location: PCefPoint; size: PCefSize; edit_state_flags: TCefQuickMenuEditStateFlags; const callback: ICefRunQuickMenuCallback): boolean; override;

This item has no description. Showing description inherited from ICefContextMenuHandler.RunQuickMenu.

Called to allow custom display of the quick menu for a windowless browser. |location| is the top left corner of the selected region. |size| is the size of the selected region. |edit_state_flags| is a combination of flags that represent the state of the quick menu. Return true (1) if the menu will be handled and execute |callback| either synchronously or asynchronously with the selected command ID. Return false (0) to cancel the menu.

Protected function OnQuickMenuCommand(const browser: ICefBrowser; const frame: ICefFrame; command_id: integer; event_flags: TCefEventFlags): boolean; override;

This item has no description. Showing description inherited from ICefContextMenuHandler.OnQuickMenuCommand.

Called to execute a command selected from the quick menu for a windowless browser. Return true (1) if the command was handled or false (0) for the default implementation. See TCefMenuId for command IDs that have default implementations.

Protected procedure OnQuickMenuDismissed(const browser: ICefBrowser; const frame: ICefFrame); override;

This item has no description. Showing description inherited from ICefContextMenuHandler.OnQuickMenuDismissed.

Called when the quick menu for a windowless browser is dismissed irregardless of whether the menu was canceled or a command was selected.

Protected procedure RemoveReferences; override;

This item has no description. Showing description inherited from ICefContextMenuHandler.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create(const events : IChromiumEvents); reintroduce; virtual;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFContextMenuParams

Unit uCEFContextMenuParams

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefContextMenuParamsRef |


cef4delphi: uCEFContextMenuParams: Class TCefContextMenuParamsRef

Class TCefContextMenuParamsRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFContextMenuParams

Declaration

type TCefContextMenuParamsRef = class(TCefBaseRefCountedRef, ICefContextMenuParams)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefContextMenuParamsRef

Overview

Methods

Protected | function GetXCoord: Integer;
Protected | function GetYCoord: Integer;
Protected | function GetTypeFlags: TCefContextMenuTypeFlags;
Protected | function GetLinkUrl: ustring;
Protected | function GetUnfilteredLinkUrl: ustring;
Protected | function GetSourceUrl: ustring;
Protected | function HasImageContents: Boolean;
Protected | function GetTitleText: ustring;
Protected | function GetPageUrl: ustring;
Protected | function GetFrameUrl: ustring;
Protected | function GetFrameCharset: ustring;
Protected | function GetMediaType: TCefContextMenuMediaType;
Protected | function GetMediaStateFlags: TCefContextMenuMediaStateFlags;
Protected | function GetSelectionText: ustring;
Protected | function GetMisspelledWord: ustring;
Protected | function GetDictionarySuggestions(const suggestions: TStringList): Boolean;
Protected | function IsEditable: Boolean;
Protected | function IsSpellCheckEnabled: Boolean;
Protected | function GetEditStateFlags: TCefContextMenuEditStateFlags;
Protected | function IsCustomMenu: Boolean;
Public | class function UnWrap(data: Pointer): ICefContextMenuParams;

Description

Methods

Protected function GetXCoord: Integer;

This item has no description. Showing description inherited from ICefContextMenuParams.GetXCoord.

Returns the X coordinate of the mouse where the context menu was invoked. Coords are relative to the associated RenderView's origin.

Protected function GetYCoord: Integer;

This item has no description. Showing description inherited from ICefContextMenuParams.GetYCoord.

Returns the Y coordinate of the mouse where the context menu was invoked. Coords are relative to the associated RenderView's origin.

Protected function GetTypeFlags: TCefContextMenuTypeFlags;

This item has no description. Showing description inherited from ICefContextMenuParams.GetTypeFlags.

Returns flags representing the type of node that the context menu was invoked on.

Protected function GetLinkUrl: ustring;

This item has no description. Showing description inherited from ICefContextMenuParams.GetLinkUrl.

Returns the URL of the link, if any, that encloses the node that the context menu was invoked on.

Protected function GetUnfilteredLinkUrl: ustring;

This item has no description. Showing description inherited from ICefContextMenuParams.GetUnfilteredLinkUrl.

Returns the link URL, if any, to be used ONLY for "copy link address". We don't validate this field in the frontend process.

Protected function GetSourceUrl: ustring;

This item has no description. Showing description inherited from ICefContextMenuParams.GetSourceUrl.

Returns the source URL, if any, for the element that the context menu was invoked on. Example of elements with source URLs are img, audio, and video.

Protected function HasImageContents: Boolean;

This item has no description. Showing description inherited from ICefContextMenuParams.HasImageContents.

Returns true (1) if the context menu was invoked on an image which has non-NULL contents.

Protected function GetTitleText: ustring;

This item has no description. Showing description inherited from ICefContextMenuParams.GetTitleText.

Returns the title text or the alt text if the context menu was invoked on an image.

Protected function GetPageUrl: ustring;

This item has no description. Showing description inherited from ICefContextMenuParams.GetPageUrl.

Returns the URL of the top level page that the context menu was invoked on.

Protected function GetFrameUrl: ustring;

This item has no description. Showing description inherited from ICefContextMenuParams.GetFrameUrl.

Returns the URL of the subframe that the context menu was invoked on.

Protected function GetFrameCharset: ustring;

This item has no description. Showing description inherited from ICefContextMenuParams.GetFrameCharset.

Returns the character encoding of the subframe that the context menu was invoked on.

Protected function GetMediaType: TCefContextMenuMediaType;

This item has no description. Showing description inherited from ICefContextMenuParams.GetMediaType.

Returns the type of context node that the context menu was invoked on.

Protected function GetMediaStateFlags: TCefContextMenuMediaStateFlags;

This item has no description. Showing description inherited from ICefContextMenuParams.GetMediaStateFlags.

Returns flags representing the actions supported by the media element, if any, that the context menu was invoked on.

Protected function GetSelectionText: ustring;

This item has no description. Showing description inherited from ICefContextMenuParams.GetSelectionText.

Returns the text of the selection, if any, that the context menu was invoked on.

Protected function GetMisspelledWord: ustring;

This item has no description. Showing description inherited from ICefContextMenuParams.GetMisspelledWord.

Returns the text of the misspelled word, if any, that the context menu was invoked on.

Protected function GetDictionarySuggestions(const suggestions: TStringList): Boolean;

This item has no description. Showing description inherited from ICefContextMenuParams.GetDictionarySuggestions.

Returns true (1) if suggestions exist, false (0) otherwise. Fills in |suggestions| from the spell check service for the misspelled word if there is one.

Protected function IsEditable: Boolean;

This item has no description. Showing description inherited from ICefContextMenuParams.IsEditable.

Returns true (1) if the context menu was invoked on an editable node.

Protected function IsSpellCheckEnabled: Boolean;

This item has no description. Showing description inherited from ICefContextMenuParams.IsSpellCheckEnabled.

Returns true (1) if the context menu was invoked on an editable node where spell-check is enabled.

Protected function GetEditStateFlags: TCefContextMenuEditStateFlags;

This item has no description. Showing description inherited from ICefContextMenuParams.GetEditStateFlags.

Returns flags representing the actions supported by the editable node, if any, that the context menu was invoked on.

Protected function IsCustomMenu: Boolean;

This item has no description. Showing description inherited from ICefContextMenuParams.IsCustomMenu.

Returns true (1) if the context menu contains items specified by the renderer process.

Public class function UnWrap(data: Pointer): ICefContextMenuParams;

This item has no description.


cef4delphi: uCEFCookieAccessFilter

Unit uCEFCookieAccessFilter

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefCookieAccessFilterRef |
Class TCefCookieAccessFilterOwn |
Class TCustomCookieAccessFilter |


cef4delphi: uCEFCookieAccessFilter: Class TCefCookieAccessFilterRef

Class TCefCookieAccessFilterRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFCookieAccessFilter

Declaration

type TCefCookieAccessFilterRef = class(TCefBaseRefCountedRef, ICefCookieAccessFilter)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefCookieAccessFilterRef

Overview

Methods

Protected | function CanSendCookie(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const cookie: PCefCookie): boolean;
Protected | function CanSaveCookie(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; const cookie: PCefCookie): boolean;
Protected | procedure RemoveReferences;
Public | class function UnWrap(data: Pointer): ICefCookieAccessFilter;

Description

Methods

Protected function CanSendCookie(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const cookie: PCefCookie): boolean;

This item has no description. Showing description inherited from ICefCookieAccessFilter.CanSendCookie.

Called on the IO thread before a resource request is sent. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. |request| cannot be modified in this callback. Return true (1) if the specified cookie can be sent with the request or false (0) otherwise.

Protected function CanSaveCookie(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; const cookie: PCefCookie): boolean;

This item has no description. Showing description inherited from ICefCookieAccessFilter.CanSaveCookie.

Called on the IO thread after a resource response is received. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. |request| cannot be modified in this callback. Return true (1) if the specified cookie returned with the response can be saved or false (0) otherwise.

Protected procedure RemoveReferences;

This item has no description. Showing description inherited from ICefCookieAccessFilter.RemoveReferences.

Custom procedure to clear all references.

Public class function UnWrap(data: Pointer): ICefCookieAccessFilter;

This item has no description.


cef4delphi: uCEFCookieAccessFilter: Class TCefCookieAccessFilterOwn

Class TCefCookieAccessFilterOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFCookieAccessFilter

Declaration

type TCefCookieAccessFilterOwn = class(TCefBaseRefCountedOwn, ICefCookieAccessFilter)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefCookieAccessFilterOwn

Overview

Methods

Protected | function CanSendCookie(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const cookie: PCefCookie): boolean; virtual;
Protected | function CanSaveCookie(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; const cookie: PCefCookie): boolean; virtual;
Protected | procedure RemoveReferences; virtual;
Public | constructor Create; virtual;

Description

Methods

Protected function CanSendCookie(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const cookie: PCefCookie): boolean; virtual;

This item has no description. Showing description inherited from ICefCookieAccessFilter.CanSendCookie.

Called on the IO thread before a resource request is sent. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. |request| cannot be modified in this callback. Return true (1) if the specified cookie can be sent with the request or false (0) otherwise.

Protected function CanSaveCookie(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; const cookie: PCefCookie): boolean; virtual;

This item has no description. Showing description inherited from ICefCookieAccessFilter.CanSaveCookie.

Called on the IO thread after a resource response is received. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. |request| cannot be modified in this callback. Return true (1) if the specified cookie returned with the response can be saved or false (0) otherwise.

Protected procedure RemoveReferences; virtual;

This item has no description. Showing description inherited from ICefCookieAccessFilter.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFCookieAccessFilter: Class TCustomCookieAccessFilter

Class TCustomCookieAccessFilter

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFCookieAccessFilter

Declaration

type TCustomCookieAccessFilter = class(TCefCookieAccessFilterOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefCookieAccessFilterOwn
  • TCustomCookieAccessFilter

Overview

Fields

Protected FEvents: Pointer;

Methods

Protected | function CanSendCookie(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const cookie: PCefCookie): boolean; override;
Protected | function CanSaveCookie(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; const cookie: PCefCookie): boolean; override;
Public | constructor Create(const events : IChromiumEvents); reintroduce;
Public | procedure BeforeDestruction; override;
Public | procedure RemoveReferences; override;

Description

Fields

Protected FEvents: Pointer;

This item has no description.

Methods

Protected function CanSendCookie(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const cookie: PCefCookie): boolean; override;

This item has no description. Showing description inherited from ICefCookieAccessFilter.CanSendCookie.

Called on the IO thread before a resource request is sent. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. |request| cannot be modified in this callback. Return true (1) if the specified cookie can be sent with the request or false (0) otherwise.

Protected function CanSaveCookie(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; const cookie: PCefCookie): boolean; override;

This item has no description. Showing description inherited from ICefCookieAccessFilter.CanSaveCookie.

Called on the IO thread after a resource response is received. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. |request| cannot be modified in this callback. Return true (1) if the specified cookie returned with the response can be saved or false (0) otherwise.

Public constructor Create(const events : IChromiumEvents); reintroduce;

This item has no description.

Public procedure BeforeDestruction; override;

This item has no description.

Public procedure RemoveReferences; override;

This item has no description. Showing description inherited from ICefCookieAccessFilter.RemoveReferences.

Custom procedure to clear all references.


cef4delphi: uCEFCookieManager

Unit uCEFCookieManager

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefCookieManagerRef |
Class TCefFlushStoreCompletionCallback |


cef4delphi: uCEFCookieManager: Class TCefCookieManagerRef

Class TCefCookieManagerRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFCookieManager

Declaration

type TCefCookieManagerRef = class(TCefBaseRefCountedRef, ICefCookieManager)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefCookieManagerRef

Overview

Methods

Protected | function VisitAllCookies(const visitor: ICefCookieVisitor): Boolean;
Protected | function VisitAllCookiesProc(const visitor: TCefCookieVisitorProc): Boolean;
Protected | function VisitUrlCookies(const url: ustring; includeHttpOnly: Boolean; const visitor: ICefCookieVisitor): Boolean;
Protected | function VisitUrlCookiesProc(const url: ustring; includeHttpOnly: Boolean; const visitor: TCefCookieVisitorProc): Boolean;
Protected | function SetCookie(const url, name, value, domain, path: ustring; secure, httponly, hasExpires: Boolean; const creation, lastAccess, expires: TDateTime; same_site : TCefCookieSameSite; priority : TCefCookiePriority; const callback: ICefSetCookieCallback): Boolean;
Protected | function SetCookieProc(const url: ustring; const name, value, domain, path: ustring; secure, httponly, hasExpires: Boolean; const creation, lastAccess, expires: TDateTime; same_site : TCefCookieSameSite; priority : TCefCookiePriority; const callback: TCefSetCookieCallbackProc): Boolean;
Protected | function DeleteCookies(const url, cookieName: ustring; const callback: ICefDeleteCookiesCallback): Boolean;
Protected | function DeleteCookiesProc(const url, cookieName: ustring; const callback: TCefDeleteCookiesCallbackProc): Boolean;
Protected | function FlushStore(const callback: ICefCompletionCallback): Boolean;
Protected | function FlushStoreProc(const proc: TCefCompletionCallbackProc): Boolean;
Public | class function UnWrap(data: Pointer): ICefCookieManager;
Public | class function Global(const callback: ICefCompletionCallback): ICefCookieManager;
Public | class function GlobalProc(const callback: TCefCompletionCallbackProc): ICefCookieManager;

Description

Methods

Protected function VisitAllCookies(const visitor: ICefCookieVisitor): Boolean;

This item has no description. Showing description inherited from ICefCookieManager.VisitAllCookies.

Visit all cookies on the UI thread. The returned cookies are ordered by longest path, then by earliest creation date. Returns false (0) if cookies cannot be accessed.

Protected function VisitAllCookiesProc(const visitor: TCefCookieVisitorProc): Boolean;

This item has no description.

Protected function VisitUrlCookies(const url: ustring; includeHttpOnly: Boolean; const visitor: ICefCookieVisitor): Boolean;

This item has no description. Showing description inherited from ICefCookieManager.VisitUrlCookies.

Visit a subset of cookies on the UI thread. The results are filtered by the given url scheme, host, domain and path. If |includeHttpOnly| is true (1) HTTP-only cookies will also be included in the results. The returned cookies are ordered by longest path, then by earliest creation date. Returns false (0) if cookies cannot be accessed.

Protected function VisitUrlCookiesProc(const url: ustring; includeHttpOnly: Boolean; const visitor: TCefCookieVisitorProc): Boolean;

This item has no description.

Protected function SetCookie(const url, name, value, domain, path: ustring; secure, httponly, hasExpires: Boolean; const creation, lastAccess, expires: TDateTime; same_site : TCefCookieSameSite; priority : TCefCookiePriority; const callback: ICefSetCookieCallback): Boolean;

This item has no description. Showing description inherited from ICefCookieManager.SetCookie.

Sets a cookie given a valid URL and explicit user-provided cookie attributes. This function expects each attribute to be well-formed. It will check for disallowed characters (e.g. the ';' character is disallowed within the cookie value attribute) and fail without setting the cookie if such characters are found. If |callback| is non-NULL it will be executed asnychronously on the UI thread after the cookie has been set. Returns false (0) if an invalid URL is specified or if cookies cannot be accessed.

Protected function SetCookieProc(const url: ustring; const name, value, domain, path: ustring; secure, httponly, hasExpires: Boolean; const creation, lastAccess, expires: TDateTime; same_site : TCefCookieSameSite; priority : TCefCookiePriority; const callback: TCefSetCookieCallbackProc): Boolean;

This item has no description.

Protected function DeleteCookies(const url, cookieName: ustring; const callback: ICefDeleteCookiesCallback): Boolean;

This item has no description. Showing description inherited from ICefCookieManager.DeleteCookies.

Delete all cookies that match the specified parameters. If both |url| and |cookie_name| values are specified all host and domain cookies matching both will be deleted. If only |url| is specified all host cookies (but not domain cookies) irrespective of path will be deleted. If |url| is NULL all cookies for all hosts and domains will be deleted. If |callback| is non- NULL it will be executed asnychronously on the UI thread after the cookies have been deleted. Returns false (0) if a non-NULL invalid URL is specified or if cookies cannot be accessed. Cookies can alternately be deleted using the Visit*Cookies() functions.

Protected function DeleteCookiesProc(const url, cookieName: ustring; const callback: TCefDeleteCookiesCallbackProc): Boolean;

This item has no description.

Protected function FlushStore(const callback: ICefCompletionCallback): Boolean;

This item has no description. Showing description inherited from ICefCookieManager.FlushStore.

Flush the backing store (if any) to disk. If |callback| is non-NULL it will be executed asnychronously on the UI thread after the flush is complete. Returns false (0) if cookies cannot be accessed.

Protected function FlushStoreProc(const proc: TCefCompletionCallbackProc): Boolean;

This item has no description.

Public class function UnWrap(data: Pointer): ICefCookieManager;

This item has no description.

Public class function Global(const callback: ICefCompletionCallback): ICefCookieManager;

This item has no description.

Public class function GlobalProc(const callback: TCefCompletionCallbackProc): ICefCookieManager;

This item has no description.


cef4delphi: uCEFCookieManager: Class TCefFlushStoreCompletionCallback

Class TCefFlushStoreCompletionCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFCookieManager

Declaration

type TCefFlushStoreCompletionCallback = class(TCefCustomCompletionCallback)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefCompletionCallbackOwn
  • TCefCustomCompletionCallback
  • TCefFlushStoreCompletionCallback

Overview

Methods

Protected procedure OnComplete; override;

Description

Methods

Protected procedure OnComplete; override;

This item has no description. Showing description inherited from ICefCompletionCallback.OnComplete.

Method that will be called once the task is complete.


cef4delphi: uCEFCookieVisitor

Unit uCEFCookieVisitor

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefCookieVisitorOwn |
Class TCefFastCookieVisitor |
Class TCefCustomCookieVisitor |


cef4delphi: uCEFCookieVisitor: Class TCefCookieVisitorOwn

Class TCefCookieVisitorOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFCookieVisitor

Declaration

type TCefCookieVisitorOwn = class(TCefBaseRefCountedOwn, ICefCookieVisitor)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefCookieVisitorOwn

Overview

Methods

Protected | function visit(const name, value, domain, path: ustring; secure, httponly, hasExpires: Boolean; const creation, lastAccess, expires: TDateTime; count, total: Integer; same_site : TCefCookieSameSite; priority : TCefCookiePriority; out deleteCookie: Boolean): Boolean; virtual;
Public | constructor Create; virtual;

Description

Methods

Protected function visit(const name, value, domain, path: ustring; secure, httponly, hasExpires: Boolean; const creation, lastAccess, expires: TDateTime; count, total: Integer; same_site : TCefCookieSameSite; priority : TCefCookiePriority; out deleteCookie: Boolean): Boolean; virtual;

This item has no description. Showing description inherited from ICefCookieVisitor.visit.

Method that will be called once for each cookie. |count| is the 0-based index for the current cookie. |total| is the total number of cookies. Set |deleteCookie| to true (1) to delete the cookie currently being visited. Return false (0) to stop visiting cookies. This function may never be called if no cookies are found.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFCookieVisitor: Class TCefFastCookieVisitor

Class TCefFastCookieVisitor

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFCookieVisitor

Declaration

type TCefFastCookieVisitor = class(TCefCookieVisitorOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefCookieVisitorOwn
  • TCefFastCookieVisitor

Overview

Fields

Protected FVisitor: TCefCookieVisitorProc;

Methods

Protected | function visit(const name, value, domain, path: ustring; secure, httponly, hasExpires: Boolean; const creation, lastAccess, expires: TDateTime; count, total: Integer; same_site : TCefCookieSameSite; priority : TCefCookiePriority; out deleteCookie: Boolean): Boolean; override;
Public | constructor Create(const visitor: TCefCookieVisitorProc); reintroduce;

Description

Fields

Protected FVisitor: TCefCookieVisitorProc;

This item has no description.

Methods

Protected function visit(const name, value, domain, path: ustring; secure, httponly, hasExpires: Boolean; const creation, lastAccess, expires: TDateTime; count, total: Integer; same_site : TCefCookieSameSite; priority : TCefCookiePriority; out deleteCookie: Boolean): Boolean; override;

This item has no description. Showing description inherited from ICefCookieVisitor.visit.

Method that will be called once for each cookie. |count| is the 0-based index for the current cookie. |total| is the total number of cookies. Set |deleteCookie| to true (1) to delete the cookie currently being visited. Return false (0) to stop visiting cookies. This function may never be called if no cookies are found.

Public constructor Create(const visitor: TCefCookieVisitorProc); reintroduce;

This item has no description.


cef4delphi: uCEFCookieVisitor: Class TCefCustomCookieVisitor

Class TCefCustomCookieVisitor

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFCookieVisitor

Declaration

type TCefCustomCookieVisitor = class(TCefCookieVisitorOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefCookieVisitorOwn
  • TCefCustomCookieVisitor

Overview

Fields

Protected | FEvents: Pointer;
Protected | FID: integer;

Methods

Protected | function visit(const name, value, domain, path: ustring; secure, httponly, hasExpires: Boolean; const creation, lastAccess, expires: TDateTime; count, total: Integer; same_site : TCefCookieSameSite; priority : TCefCookiePriority; out deleteCookie: Boolean): Boolean; override;
Public | constructor Create(const aEvents : IChromiumEvents; aID : integer); reintroduce;
Public | destructor Destroy; override;

Description

Fields

Protected FEvents: Pointer;

This item has no description.

Protected FID: integer;

This item has no description.

Methods

Protected function visit(const name, value, domain, path: ustring; secure, httponly, hasExpires: Boolean; const creation, lastAccess, expires: TDateTime; count, total: Integer; same_site : TCefCookieSameSite; priority : TCefCookiePriority; out deleteCookie: Boolean): Boolean; override;

This item has no description. Showing description inherited from ICefCookieVisitor.visit.

Method that will be called once for each cookie. |count| is the 0-based index for the current cookie. |total| is the total number of cookies. Set |deleteCookie| to true (1) to delete the cookie currently being visited. Return false (0) to stop visiting cookies. This function may never be called if no cookies are found.

Public constructor Create(const aEvents : IChromiumEvents; aID : integer); reintroduce;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFCustomStreamReader

Unit uCEFCustomStreamReader

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefCustomStreamReader |


cef4delphi: uCEFCustomStreamReader: Class TCefCustomStreamReader

Class TCefCustomStreamReader

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFCustomStreamReader

Declaration

type TCefCustomStreamReader = class(TCefBaseRefCountedOwn, ICefCustomStreamReader)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefCustomStreamReader

Overview

Fields

Protected | FStream: TStream;
Protected | FOwned: Boolean;

Methods

Protected | function Read(ptr: Pointer; size, n: NativeUInt): NativeUInt; virtual;
Protected | function Seek(offset: Int64; whence: Integer): Integer; virtual;
Protected | function Tell: Int64; virtual;
Protected | function Eof: Boolean; virtual;
Protected | function MayBlock: Boolean; virtual;
Public | constructor Create(Stream: TStream; Owned: Boolean); overload; virtual;
Public | constructor Create(const filename: string); overload; virtual;
Public | destructor Destroy; override;

Description

Fields

Protected FStream: TStream;

This item has no description.

Protected FOwned: Boolean;

This item has no description.

Methods

Protected function Read(ptr: Pointer; size, n: NativeUInt): NativeUInt; virtual;

This item has no description. Showing description inherited from ICefCustomStreamReader.Read.

Read raw binary data.

Protected function Seek(offset: Int64; whence: Integer): Integer; virtual;

This item has no description. Showing description inherited from ICefCustomStreamReader.Seek.

Seek to the specified offset position. |whence| may be any one of SEEK_CUR, SEEK_END or SEEK_SET. Return zero on success and non-zero on failure.

Protected function Tell: Int64; virtual;

This item has no description. Showing description inherited from ICefCustomStreamReader.Tell.

Return the current offset position.

Protected function Eof: Boolean; virtual;

This item has no description. Showing description inherited from ICefCustomStreamReader.Eof.

Return non-zero if at end of file.

Protected function MayBlock: Boolean; virtual;

This item has no description. Showing description inherited from ICefCustomStreamReader.MayBlock.

Return true (1) if this handler performs work like accessing the file system which may block. Used as a hint for determining the thread to access the handler from.

Public constructor Create(Stream: TStream; Owned: Boolean); overload; virtual;

This item has no description.

Public constructor Create(const filename: string); overload; virtual;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFDeleteCookiesCallback

Unit uCEFDeleteCookiesCallback

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefDeleteCookiesCallbackOwn |
Class TCefFastDeleteCookiesCallback |
Class TCefCustomDeleteCookiesCallback |


cef4delphi: uCEFDeleteCookiesCallback: Class TCefDeleteCookiesCallbackOwn

Class TCefDeleteCookiesCallbackOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFDeleteCookiesCallback

Declaration

type TCefDeleteCookiesCallbackOwn = class(TCefBaseRefCountedOwn, ICefDeleteCookiesCallback)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefDeleteCookiesCallbackOwn

Overview

Methods

Protected | procedure OnComplete(numDeleted: Integer); virtual; abstract;
Public | constructor Create; virtual;

Description

Methods

Protected procedure OnComplete(numDeleted: Integer); virtual; abstract;

This item has no description. Showing description inherited from ICefDeleteCookiesCallback.OnComplete.

Method that will be called upon completion. |num_deleted| will be the number of cookies that were deleted.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFDeleteCookiesCallback: Class TCefFastDeleteCookiesCallback

Class TCefFastDeleteCookiesCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFDeleteCookiesCallback

Declaration

type TCefFastDeleteCookiesCallback = class(TCefDeleteCookiesCallbackOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefDeleteCookiesCallbackOwn
  • TCefFastDeleteCookiesCallback

Overview

Fields

Protected FCallback: TCefDeleteCookiesCallbackProc;

Methods

Protected | procedure OnComplete(numDeleted: Integer); override;
Public | constructor Create(const callback: TCefDeleteCookiesCallbackProc); reintroduce;
Public | destructor Destroy; override;

Description

Fields

Protected FCallback: TCefDeleteCookiesCallbackProc;

This item has no description.

Methods

Protected procedure OnComplete(numDeleted: Integer); override;

This item has no description. Showing description inherited from ICefDeleteCookiesCallback.OnComplete.

Method that will be called upon completion. |num_deleted| will be the number of cookies that were deleted.

Public constructor Create(const callback: TCefDeleteCookiesCallbackProc); reintroduce;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFDeleteCookiesCallback: Class TCefCustomDeleteCookiesCallback

Class TCefCustomDeleteCookiesCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFDeleteCookiesCallback

Declaration

type TCefCustomDeleteCookiesCallback = class(TCefDeleteCookiesCallbackOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefDeleteCookiesCallbackOwn
  • TCefCustomDeleteCookiesCallback

Overview

Fields

Protected FEvents: Pointer;

Methods

Protected | procedure OnComplete(numDeleted: Integer); override;
Public | constructor Create(const aEvents : IChromiumEvents); reintroduce;
Public | destructor Destroy; override;

Description

Fields

Protected FEvents: Pointer;

This item has no description.

Methods

Protected procedure OnComplete(numDeleted: Integer); override;

This item has no description. Showing description inherited from ICefDeleteCookiesCallback.OnComplete.

Method that will be called upon completion. |num_deleted| will be the number of cookies that were deleted.

Public constructor Create(const aEvents : IChromiumEvents); reintroduce;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFDevToolsMessageObserver

Unit uCEFDevToolsMessageObserver

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCEFDevToolsMessageObserverOwn |
Class TCustomDevToolsMessageObserver |


cef4delphi: uCEFDevToolsMessageObserver: Class TCEFDevToolsMessageObserverOwn

Class TCEFDevToolsMessageObserverOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFDevToolsMessageObserver

Declaration

type TCEFDevToolsMessageObserverOwn = class(TCefBaseRefCountedOwn, ICefDevToolsMessageObserver)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCEFDevToolsMessageObserverOwn

Overview

Methods

Protected | procedure OnDevToolsMessage(const browser: ICefBrowser; const message_: Pointer; message_size: NativeUInt; var aHandled: boolean); virtual;
Protected | procedure OnDevToolsMethodResult(const browser: ICefBrowser; message_id: integer; success: boolean; const result: Pointer; result_size: NativeUInt); virtual;
Protected | procedure OnDevToolsEvent(const browser: ICefBrowser; const method: ustring; const params: Pointer; params_size: NativeUInt); virtual;
Protected | procedure OnDevToolsAgentAttached(const browser: ICefBrowser); virtual;
Protected | procedure OnDevToolsAgentDetached(const browser: ICefBrowser); virtual;
Public | constructor Create; virtual;

Description

Methods

Protected procedure OnDevToolsMessage(const browser: ICefBrowser; const message_: Pointer; message_size: NativeUInt; var aHandled: boolean); virtual;

This item has no description. Showing description inherited from ICefDevToolsMessageObserver.OnDevToolsMessage.

Method that will be called on receipt of a DevTools protocol message. |browser| is the originating browser instance. |message| is a UTF8-encoded JSON dictionary representing either a function result or an event. |message| is only valid for the scope of this callback and should be copied if necessary. Return true (1) if the message was handled or false (0) if the message should be further processed and passed to the OnDevToolsMethodResult or OnDevToolsEvent functions as appropriate.

Method result dictionaries include an "id" (int) value that identifies the orginating function call sent from ICefBrowserHost.SendDevToolsMessage, and optionally either a "result" (dictionary) or "error" (dictionary) value. The "error" dictionary will contain "code" (int) and "message" (string) values. Event dictionaries include a "function" (string) value and optionally a "params" (dictionary) value. See the DevTools protocol documentation at https://chromedevtools.github.io/devtools-protocol/ for details of supported function calls and the expected "result" or "params" dictionary contents. JSON dictionaries can be parsed using the CefParseJSON function if desired, however be aware of performance considerations when parsing large messages (some of which may exceed 1MB in size).

Protected procedure OnDevToolsMethodResult(const browser: ICefBrowser; message_id: integer; success: boolean; const result: Pointer; result_size: NativeUInt); virtual;

This item has no description. Showing description inherited from ICefDevToolsMessageObserver.OnDevToolsMethodResult.

Method that will be called after attempted execution of a DevTools protocol function. |browser| is the originating browser instance. |message_id| is the "id" value that identifies the originating function call message. If the function succeeded |success| will be true (1) and |result| will be the UTF8-encoded JSON "result" dictionary value (which may be NULL). If the function failed |success| will be false (0) and |result| will be the UTF8-encoded JSON "error" dictionary value. |result| is only valid for the scope of this callback and should be copied if necessary. See the OnDevToolsMessage documentation for additional details on |result| contents.

Protected procedure OnDevToolsEvent(const browser: ICefBrowser; const method: ustring; const params: Pointer; params_size: NativeUInt); virtual;

This item has no description. Showing description inherited from ICefDevToolsMessageObserver.OnDevToolsEvent.

Method that will be called on receipt of a DevTools protocol event. |browser| is the originating browser instance. |function| is the "function" value. |params| is the UTF8-encoded JSON "params" dictionary value (which may be NULL). |params| is only valid for the scope of this callback and should be copied if necessary. See the OnDevToolsMessage documentation for additional details on |params| contents.

Protected procedure OnDevToolsAgentAttached(const browser: ICefBrowser); virtual;

This item has no description. Showing description inherited from ICefDevToolsMessageObserver.OnDevToolsAgentAttached.

Method that will be called when the DevTools agent has attached. |browser| is the originating browser instance. This will generally occur in response to the first message sent while the agent is detached.

Protected procedure OnDevToolsAgentDetached(const browser: ICefBrowser); virtual;

This item has no description. Showing description inherited from ICefDevToolsMessageObserver.OnDevToolsAgentDetached.

Method that will be called when the DevTools agent has detached. |browser| is the originating browser instance. Any function results that were pending before the agent became detached will not be delivered, and any active event subscriptions will be canceled.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFDevToolsMessageObserver: Class TCustomDevToolsMessageObserver

Class TCustomDevToolsMessageObserver

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFDevToolsMessageObserver

Declaration

type TCustomDevToolsMessageObserver = class(TCEFDevToolsMessageObserverOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCEFDevToolsMessageObserverOwn
  • TCustomDevToolsMessageObserver

Overview

Fields

Protected FEvents: Pointer;

Methods

Protected | procedure OnDevToolsMessage(const browser: ICefBrowser; const message_: Pointer; message_size: NativeUInt; var aHandled: boolean); override;
Protected | procedure OnDevToolsMethodResult(const browser: ICefBrowser; message_id: integer; success: boolean; const result: Pointer; result_size: NativeUInt); override;
Protected | procedure OnDevToolsEvent(const browser: ICefBrowser; const method: ustring; const params: Pointer; params_size: NativeUInt); override;
Protected | procedure OnDevToolsAgentAttached(const browser: ICefBrowser); override;
Protected | procedure OnDevToolsAgentDetached(const browser: ICefBrowser); override;
Public | constructor Create(const events: IChromiumEvents); reintroduce;
Public | destructor Destroy; override;

Description

Fields

Protected FEvents: Pointer;

This item has no description.

Methods

Protected procedure OnDevToolsMessage(const browser: ICefBrowser; const message_: Pointer; message_size: NativeUInt; var aHandled: boolean); override;

This item has no description. Showing description inherited from ICefDevToolsMessageObserver.OnDevToolsMessage.

Method that will be called on receipt of a DevTools protocol message. |browser| is the originating browser instance. |message| is a UTF8-encoded JSON dictionary representing either a function result or an event. |message| is only valid for the scope of this callback and should be copied if necessary. Return true (1) if the message was handled or false (0) if the message should be further processed and passed to the OnDevToolsMethodResult or OnDevToolsEvent functions as appropriate.

Method result dictionaries include an "id" (int) value that identifies the orginating function call sent from ICefBrowserHost.SendDevToolsMessage, and optionally either a "result" (dictionary) or "error" (dictionary) value. The "error" dictionary will contain "code" (int) and "message" (string) values. Event dictionaries include a "function" (string) value and optionally a "params" (dictionary) value. See the DevTools protocol documentation at https://chromedevtools.github.io/devtools-protocol/ for details of supported function calls and the expected "result" or "params" dictionary contents. JSON dictionaries can be parsed using the CefParseJSON function if desired, however be aware of performance considerations when parsing large messages (some of which may exceed 1MB in size).

Protected procedure OnDevToolsMethodResult(const browser: ICefBrowser; message_id: integer; success: boolean; const result: Pointer; result_size: NativeUInt); override;

This item has no description. Showing description inherited from ICefDevToolsMessageObserver.OnDevToolsMethodResult.

Method that will be called after attempted execution of a DevTools protocol function. |browser| is the originating browser instance. |message_id| is the "id" value that identifies the originating function call message. If the function succeeded |success| will be true (1) and |result| will be the UTF8-encoded JSON "result" dictionary value (which may be NULL). If the function failed |success| will be false (0) and |result| will be the UTF8-encoded JSON "error" dictionary value. |result| is only valid for the scope of this callback and should be copied if necessary. See the OnDevToolsMessage documentation for additional details on |result| contents.

Protected procedure OnDevToolsEvent(const browser: ICefBrowser; const method: ustring; const params: Pointer; params_size: NativeUInt); override;

This item has no description. Showing description inherited from ICefDevToolsMessageObserver.OnDevToolsEvent.

Method that will be called on receipt of a DevTools protocol event. |browser| is the originating browser instance. |function| is the "function" value. |params| is the UTF8-encoded JSON "params" dictionary value (which may be NULL). |params| is only valid for the scope of this callback and should be copied if necessary. See the OnDevToolsMessage documentation for additional details on |params| contents.

Protected procedure OnDevToolsAgentAttached(const browser: ICefBrowser); override;

This item has no description. Showing description inherited from ICefDevToolsMessageObserver.OnDevToolsAgentAttached.

Method that will be called when the DevTools agent has attached. |browser| is the originating browser instance. This will generally occur in response to the first message sent while the agent is detached.

Protected procedure OnDevToolsAgentDetached(const browser: ICefBrowser); override;

This item has no description. Showing description inherited from ICefDevToolsMessageObserver.OnDevToolsAgentDetached.

Method that will be called when the DevTools agent has detached. |browser| is the originating browser instance. Any function results that were pending before the agent became detached will not be delivered, and any active event subscriptions will be canceled.

Public constructor Create(const events: IChromiumEvents); reintroduce;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFDialogHandler

Unit uCEFDialogHandler

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefDialogHandlerOwn |
Class TCustomDialogHandler |


cef4delphi: uCEFDialogHandler: Class TCefDialogHandlerOwn

Class TCefDialogHandlerOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFDialogHandler

Declaration

type TCefDialogHandlerOwn = class(TCefBaseRefCountedOwn, ICefDialogHandler)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefDialogHandlerOwn

Overview

Methods

Protected | function OnFileDialog(const browser: ICefBrowser; mode: TCefFileDialogMode; const title, defaultFilePath: ustring; const acceptFilters, accept_extensions, accept_descriptions: TStrings; const callback: ICefFileDialogCallback): Boolean; virtual;
Protected | procedure RemoveReferences; virtual;
Public | constructor Create; virtual;

Description

Methods

Protected function OnFileDialog(const browser: ICefBrowser; mode: TCefFileDialogMode; const title, defaultFilePath: ustring; const acceptFilters, accept_extensions, accept_descriptions: TStrings; const callback: ICefFileDialogCallback): Boolean; virtual;

This item has no description. Showing description inherited from ICefDialogHandler.OnFileDialog.

Called to run a file chooser dialog. |mode| represents the type of dialog to display. |title| to the title to be used for the dialog and may be NULL to show the default title ("Open" or "Save" depending on the mode).

|default_file_path| is the path with optional directory and/or file name component that should be initially selected in the dialog.

|accept_filters| are used to restrict the selectable file types and may be any combination of valid lower-cased MIME types (e.g. "text/*" or "image/*") and individual file extensions (e.g. ".txt" or ".png").

|accept_extensions| provides the semicolon-delimited expansion of MIME types to file extensions (if known, or NULL string otherwise).

|accept_descriptions| provides the descriptions for MIME types (if known, or NULL string otherwise). For example, the "image/*" mime type might have extensions ".png;.jpg;.bmp;..." and description "Image Files".

|accept_filters|, |accept_extensions| and |accept_descriptions| will all be the same size. To display a custom dialog return true (1) and execute |callback| either inline or at a later time. To display the default dialog return false (0). If this function returns false (0) it may be called an additional time for the same dialog (both before and after MIME type expansion).

Protected procedure RemoveReferences; virtual;

This item has no description. Showing description inherited from ICefDialogHandler.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFDialogHandler: Class TCustomDialogHandler

Class TCustomDialogHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFDialogHandler

Declaration

type TCustomDialogHandler = class(TCefDialogHandlerOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefDialogHandlerOwn
  • TCustomDialogHandler

Overview

Fields

Protected FEvents: Pointer;

Methods

Protected | function OnFileDialog(const browser: ICefBrowser; mode: TCefFileDialogMode; const title: ustring; const defaultFilePath: ustring; const acceptFilters, accept_extensions, accept_descriptions: TStrings; const callback: ICefFileDialogCallback): Boolean; override;
Protected | procedure RemoveReferences; override;
Public | constructor Create(const events : IChromiumEvents); reintroduce; virtual;
Public | destructor Destroy; override;

Description

Fields

Protected FEvents: Pointer;

This item has no description.

Methods

Protected function OnFileDialog(const browser: ICefBrowser; mode: TCefFileDialogMode; const title: ustring; const defaultFilePath: ustring; const acceptFilters, accept_extensions, accept_descriptions: TStrings; const callback: ICefFileDialogCallback): Boolean; override;

This item has no description. Showing description inherited from ICefDialogHandler.OnFileDialog.

Called to run a file chooser dialog. |mode| represents the type of dialog to display. |title| to the title to be used for the dialog and may be NULL to show the default title ("Open" or "Save" depending on the mode).

|default_file_path| is the path with optional directory and/or file name component that should be initially selected in the dialog.

|accept_filters| are used to restrict the selectable file types and may be any combination of valid lower-cased MIME types (e.g. "text/*" or "image/*") and individual file extensions (e.g. ".txt" or ".png").

|accept_extensions| provides the semicolon-delimited expansion of MIME types to file extensions (if known, or NULL string otherwise).

|accept_descriptions| provides the descriptions for MIME types (if known, or NULL string otherwise). For example, the "image/*" mime type might have extensions ".png;.jpg;.bmp;..." and description "Image Files".

|accept_filters|, |accept_extensions| and |accept_descriptions| will all be the same size. To display a custom dialog return true (1) and execute |callback| either inline or at a later time. To display the default dialog return false (0). If this function returns false (0) it may be called an additional time for the same dialog (both before and after MIME type expansion).

Protected procedure RemoveReferences; override;

This item has no description. Showing description inherited from ICefDialogHandler.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create(const events : IChromiumEvents); reintroduce; virtual;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFDictionaryValue

Unit uCEFDictionaryValue

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefDictionaryValueRef |


cef4delphi: uCEFDictionaryValue: Class TCefDictionaryValueRef

Class TCefDictionaryValueRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFDictionaryValue

Declaration

type TCefDictionaryValueRef = class(TCefBaseRefCountedRef, ICefDictionaryValue)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefDictionaryValueRef

Overview

Methods

Protected | function IsValid: Boolean;
Protected | function isOwned: Boolean;
Protected | function IsReadOnly: Boolean;
Protected | function IsSame(const that: ICefDictionaryValue): Boolean;
Protected | function IsEqual(const that: ICefDictionaryValue): Boolean;
Protected | function Copy(excludeEmptyChildren: Boolean): ICefDictionaryValue;
Protected | function GetSize: NativeUInt;
Protected | function Clear: Boolean;
Protected | function HasKey(const key: ustring): Boolean;
Protected | function GetKeys(const keys: TStrings): Boolean;
Protected | function Remove(const key: ustring): Boolean;
Protected | function GetType(const key: ustring): TCefValueType;
Protected | function GetValue(const key: ustring): ICefValue;
Protected | function GetBool(const key: ustring): Boolean;
Protected | function GetInt(const key: ustring): Integer;
Protected | function GetDouble(const key: ustring): Double;
Protected | function GetString(const key: ustring): ustring;
Protected | function GetBinary(const key: ustring): ICefBinaryValue;
Protected | function GetDictionary(const key: ustring): ICefDictionaryValue;
Protected | function GetList(const key: ustring): ICefListValue;
Protected | function SetValue(const key: ustring; const value: ICefValue): Boolean;
Protected | function SetNull(const key: ustring): Boolean;
Protected | function SetBool(const key: ustring; value: Boolean): Boolean;
Protected | function SetInt(const key: ustring; value: Integer): Boolean;
Protected | function SetDouble(const key: ustring; value: Double): Boolean;
Protected | function SetString(const key, value: ustring): Boolean;
Protected | function SetBinary(const key: ustring; const value: ICefBinaryValue): Boolean;
Protected | function SetDictionary(const key: ustring; const value: ICefDictionaryValue): Boolean;
Protected | function SetList(const key: ustring; const value: ICefListValue): Boolean;
Public | class function UnWrap(data: Pointer): ICefDictionaryValue;
Public | class function New: ICefDictionaryValue;

Description

Methods

Protected function IsValid: Boolean;

This item has no description. Showing description inherited from ICefDictionaryValue.IsValid.

Returns true (1) if this object is valid. This object may become invalid if the underlying data is owned by another object (e.g. list or dictionary) and that other object is then modified or destroyed. Do not call any other functions if this function returns false (0).

Protected function isOwned: Boolean;

This item has no description. Showing description inherited from ICefDictionaryValue.isOwned.

Returns true (1) if this object is currently owned by another object.

Protected function IsReadOnly: Boolean;

This item has no description. Showing description inherited from ICefDictionaryValue.IsReadOnly.

Returns true (1) if the values of this object are read-only. Some APIs may expose read-only objects.

Protected function IsSame(const that: ICefDictionaryValue): Boolean;

This item has no description. Showing description inherited from ICefDictionaryValue.IsSame.

Returns true (1) if this object and |that| object have the same underlying data. If true (1) modifications to this object will also affect |that| object and vice-versa.

Protected function IsEqual(const that: ICefDictionaryValue): Boolean;

This item has no description. Showing description inherited from ICefDictionaryValue.IsEqual.

Returns true (1) if this object and |that| object have an equivalent underlying value but are not necessarily the same object.

Protected function Copy(excludeEmptyChildren: Boolean): ICefDictionaryValue;

This item has no description. Showing description inherited from ICefDictionaryValue.Copy.

Returns a writable copy of this object. If |exclude_NULL_children| is true (1) any NULL dictionaries or lists will be excluded from the copy.

Protected function GetSize: NativeUInt;

This item has no description. Showing description inherited from ICefDictionaryValue.GetSize.

Returns the number of values.

Protected function Clear: Boolean;

This item has no description. Showing description inherited from ICefDictionaryValue.Clear.

Removes all values. Returns true (1) on success.

Protected function HasKey(const key: ustring): Boolean;

This item has no description. Showing description inherited from ICefDictionaryValue.HasKey.

Returns true (1) if the current dictionary has a value for the given key.

Protected function GetKeys(const keys: TStrings): Boolean;

This item has no description. Showing description inherited from ICefDictionaryValue.GetKeys.

Reads all keys for this dictionary into the specified vector.

Protected function Remove(const key: ustring): Boolean;

This item has no description. Showing description inherited from ICefDictionaryValue.Remove.

Removes the value at the specified key. Returns true (1) is the value was removed successfully.

Protected function GetType(const key: ustring): TCefValueType;

This item has no description. Showing description inherited from ICefDictionaryValue.GetType.

Returns the value type for the specified key.

Protected function GetValue(const key: ustring): ICefValue;

This item has no description. Showing description inherited from ICefDictionaryValue.GetValue.

Returns the value at the specified key. For simple types the returned value will copy existing data and modifications to the value will not modify this object. For complex types (binary, dictionary and list) the returned value will reference existing data and modifications to the value will modify this object.

Protected function GetBool(const key: ustring): Boolean;

This item has no description. Showing description inherited from ICefDictionaryValue.GetBool.

Returns the value at the specified key as type bool.

Protected function GetInt(const key: ustring): Integer;

This item has no description. Showing description inherited from ICefDictionaryValue.GetInt.

Returns the value at the specified key as type int.

Protected function GetDouble(const key: ustring): Double;

This item has no description. Showing description inherited from ICefDictionaryValue.GetDouble.

Returns the value at the specified key as type double.

Protected function GetString(const key: ustring): ustring;

This item has no description. Showing description inherited from ICefDictionaryValue.GetString.

Returns the value at the specified key as type string.

Protected function GetBinary(const key: ustring): ICefBinaryValue;

This item has no description. Showing description inherited from ICefDictionaryValue.GetBinary.

Returns the value at the specified key as type binary. The returned value will reference existing data.

Protected function GetDictionary(const key: ustring): ICefDictionaryValue;

This item has no description. Showing description inherited from ICefDictionaryValue.GetDictionary.

Returns the value at the specified key as type dictionary. The returned value will reference existing data and modifications to the value will modify this object.

Protected function GetList(const key: ustring): ICefListValue;

This item has no description. Showing description inherited from ICefDictionaryValue.GetList.

Returns the value at the specified key as type list. The returned value will reference existing data and modifications to the value will modify this object.

Protected function SetValue(const key: ustring; const value: ICefValue): Boolean;

This item has no description. Showing description inherited from ICefDictionaryValue.SetValue.

Sets the value at the specified key. Returns true (1) if the value was set successfully. If |value| represents simple data then the underlying data will be copied and modifications to |value| will not modify this object. If |value| represents complex data (binary, dictionary or list) then the underlying data will be referenced and modifications to |value| will modify this object.

Protected function SetNull(const key: ustring): Boolean;

This item has no description. Showing description inherited from ICefDictionaryValue.SetNull.

Sets the value at the specified key as type null. Returns true (1) if the value was set successfully.

Protected function SetBool(const key: ustring; value: Boolean): Boolean;

This item has no description. Showing description inherited from ICefDictionaryValue.SetBool.

Sets the value at the specified key as type bool. Returns true (1) if the value was set successfully.

Protected function SetInt(const key: ustring; value: Integer): Boolean;

This item has no description. Showing description inherited from ICefDictionaryValue.SetInt.

Sets the value at the specified key as type int. Returns true (1) if the value was set successfully.

Protected function SetDouble(const key: ustring; value: Double): Boolean;

This item has no description. Showing description inherited from ICefDictionaryValue.SetDouble.

Sets the value at the specified key as type double. Returns true (1) if the value was set successfully.

Protected function SetString(const key, value: ustring): Boolean;

This item has no description. Showing description inherited from ICefDictionaryValue.SetString.

Sets the value at the specified key as type string. Returns true (1) if the value was set successfully.

Protected function SetBinary(const key: ustring; const value: ICefBinaryValue): Boolean;

This item has no description. Showing description inherited from ICefDictionaryValue.SetBinary.

Sets the value at the specified key as type binary. Returns true (1) if the value was set successfully. If |value| is currently owned by another object then the value will be copied and the |value| reference will not change. Otherwise, ownership will be transferred to this object and the |value| reference will be invalidated.

Protected function SetDictionary(const key: ustring; const value: ICefDictionaryValue): Boolean;

This item has no description. Showing description inherited from ICefDictionaryValue.SetDictionary.

Sets the value at the specified key as type dict. Returns true (1) if the value was set successfully. If |value| is currently owned by another object then the value will be copied and the |value| reference will not change. Otherwise, ownership will be transferred to this object and the |value| reference will be invalidated.

Protected function SetList(const key: ustring; const value: ICefListValue): Boolean;

This item has no description. Showing description inherited from ICefDictionaryValue.SetList.

Sets the value at the specified key as type list. Returns true (1) if the value was set successfully. If |value| is currently owned by another object then the value will be copied and the |value| reference will not change. Otherwise, ownership will be transferred to this object and the |value| reference will be invalidated.

Public class function UnWrap(data: Pointer): ICefDictionaryValue;

This item has no description.

Public class function New: ICefDictionaryValue;

This item has no description.


cef4delphi: uCEFDisplay

Unit uCEFDisplay

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name Description
Class TCefDisplayRef

This interface typically, but not always, corresponds to a physical display connected to the system. A fake Display may exist on a headless system, or a Display may correspond to a remote, virtual display. All size and position values are in density independent pixel (DIP) coordinates unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

For details on coordinate systems and usage see https://bitbucket.org/chromiumembedded/cef/wiki/GeneralUsage#markdown- header-coordinate-systems


cef4delphi: uCEFDisplay: Class TCefDisplayRef

Class TCefDisplayRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFDisplay

Declaration

type TCefDisplayRef = class(TCefBaseRefCountedRef, ICefDisplay)

Description

This interface typically, but not always, corresponds to a physical display connected to the system. A fake Display may exist on a headless system, or a Display may correspond to a remote, virtual display. All size and position values are in density independent pixel (DIP) coordinates unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

For details on coordinate systems and usage see https://bitbucket.org/chromiumembedded/cef/wiki/GeneralUsage#markdown- header-coordinate-systems

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_display_capi.h">CEF source file: /include/capi/views/cef_display_capi.h (cef_display_t))

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefDisplayRef

Overview

Methods

Protected | function GetID: int64;
Protected | function GetDeviceScaleFactor: Single;
Protected | procedure ConvertPointToPixels(var point: TCefPoint);
Protected | procedure ConvertPointFromPixels(var point: TCefPoint);
Protected | function GetBounds: TCefRect;
Protected | function GetWorkArea: TCefRect;
Protected | function GetRotation: Integer;
Public | class function UnWrap(data: Pointer): ICefDisplay;
Public | class function Primary: ICefDisplay;
Public | class function NearestPoint(const point: TCefPoint; input_pixel_coords: boolean): ICefDisplay;
Public | class function MatchingBounds(const bounds: TCefRect; input_pixel_coords: boolean): ICefDisplay;
Public | class function GetCount: NativeUInt;
Public | class function GetAlls(var aDisplayArray : TCefDisplayArray) : boolean;
Public | class function ScreenPointToPixels(const aScreenPoint : TPoint) : TPoint;
Public | class function ScreenPointFromPixels(const aPixelsPoint : TPoint) : TPoint;
Public | class function ScreenRectToPixels(const aScreenRect : TRect) : TRect;
Public | class function ScreenRectFromPixels(const aPixelsRect : TRect) : TRect;

Description

Methods

Protected function GetID: int64;

Returns the unique identifier for this Display.

Protected function GetDeviceScaleFactor: Single;

Returns this Display's device pixel scale factor. This specifies how much the UI should be scaled when the actual output has more pixels than standard displays (which is around 100~120dpi). The potential return values differ by platform. Windowed browsers with 1.0 zoom will have a JavaScript `window.devicePixelRatio` value matching the associated Display's get_device_scale_factor() value.

Protected procedure ConvertPointToPixels(var point: TCefPoint);

Convert |point| from DIP coordinates to pixel coordinates using this Display's device scale factor.

Protected procedure ConvertPointFromPixels(var point: TCefPoint);

Convert |point| from pixel coordinates to DIP coordinates using this Display's device scale factor.

Protected function GetBounds: TCefRect;

Returns this Display's bounds in DIP screen coordinates. This is the full size of the display.

Protected function GetWorkArea: TCefRect;

Returns this Display's work area in DIP screen coordinates. This excludes areas of the display that are occupied with window manager toolbars, etc.

Protected function GetRotation: Integer;

Returns this Display's rotation in degrees.

Public class function UnWrap(data: Pointer): ICefDisplay;

Returns a ICefDisplay instance using a PCefDisplay data pointer.

Public class function Primary: ICefDisplay;

Returns the primary Display.

Public class function NearestPoint(const point: TCefPoint; input_pixel_coords: boolean): ICefDisplay;

Returns the Display nearest |point|. Set |input_pixel_coords| to true (1) if |point| is in pixel screen coordinates instead of DIP screen coordinates.

Public class function MatchingBounds(const bounds: TCefRect; input_pixel_coords: boolean): ICefDisplay;

Returns the Display that most closely intersects |bounds|. Set |input_pixel_coords| to true (1) if |bounds| is in pixel screen coordinates instead of DIP screen coordinates.

Public class function GetCount: NativeUInt;

Returns the total number of Displays. Mirrored displays are excluded; this function is intended to return the number of distinct, usable displays.

Public class function GetAlls(var aDisplayArray : TCefDisplayArray) : boolean;

Returns all Displays. Mirrored displays are excluded; this function is intended to return distinct, usable displays.

Public class function ScreenPointToPixels(const aScreenPoint : TPoint) : TPoint;

Convert |point| from DIP screen coordinates to pixel screen coordinates. This function is only used on Windows.

Public class function ScreenPointFromPixels(const aPixelsPoint : TPoint) : TPoint;

Convert |point| from pixel screen coordinates to DIP screen coordinates. This function is only used on Windows.

Public class function ScreenRectToPixels(const aScreenRect : TRect) : TRect;

Convert |rect| from DIP screen coordinates to pixel screen coordinates. This function is only used on Windows.

Public class function ScreenRectFromPixels(const aPixelsRect : TRect) : TRect;

Convert |rect| from pixel screen coordinates to DIP screen coordinates. This function is only used on Windows.


cef4delphi: uCEFDisplayHandler

Unit uCEFDisplayHandler

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefDisplayHandlerOwn | Event handler related to browser display state. The functions of this interface will be called on the UI thread.
Class TCustomDisplayHandler |


cef4delphi: uCEFDisplayHandler: Class TCefDisplayHandlerOwn

Class TCefDisplayHandlerOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFDisplayHandler

Declaration

type TCefDisplayHandlerOwn = class(TCefBaseRefCountedOwn, ICefDisplayHandler)

Description

Event handler related to browser display state. The functions of this interface will be called on the UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_display_handler_capi.h">CEF source file: /include/capi/cef_display_handler_capi.h (cef_display_handler_t))

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefDisplayHandlerOwn

Overview

Methods

Protected | procedure OnAddressChange(const browser: ICefBrowser; const frame: ICefFrame; const url: ustring); virtual;
Protected | procedure OnTitleChange(const browser: ICefBrowser; const title: ustring); virtual;
Protected | procedure OnFaviconUrlChange(const browser: ICefBrowser; const iconUrls: TStrings); virtual;
Protected | procedure OnFullScreenModeChange(const browser: ICefBrowser; fullscreen: Boolean); virtual;
Protected | function OnTooltip(const browser: ICefBrowser; var text: ustring): Boolean; virtual;
Protected | procedure OnStatusMessage(const browser: ICefBrowser; const value: ustring); virtual;
Protected | function OnConsoleMessage(const browser: ICefBrowser; level: TCefLogSeverity; const message_, source: ustring; line: Integer): Boolean; virtual;
Protected | function OnAutoResize(const browser: ICefBrowser; const new_size: PCefSize): Boolean; virtual;
Protected | procedure OnLoadingProgressChange(const browser: ICefBrowser; const progress: double); virtual;
Protected | procedure OnCursorChange(const browser: ICefBrowser; cursor_: TCefCursorHandle; CursorType: TCefCursorType; const customCursorInfo: PCefCursorInfo; var aResult : boolean); virtual;
Protected | procedure OnMediaAccessChange(const browser: ICefBrowser; has_video_access, has_audio_access: boolean); virtual;
Protected | function OnContentsBoundsChange(const browser: ICefBrowser; const new_bounds: PCefRect): Boolean; virtual;
Protected | function GetRootWindowScreenRect(const browser: ICefBrowser; rect_: PCefRect): Boolean; virtual;
Protected | procedure RemoveReferences; virtual;
Public | constructor Create; virtual;

Description

Methods

Protected procedure OnAddressChange(const browser: ICefBrowser; const frame: ICefFrame; const url: ustring); virtual;

Called when a frame's address has changed.

Protected procedure OnTitleChange(const browser: ICefBrowser; const title: ustring); virtual;

Called when the page title changes.

Protected procedure OnFaviconUrlChange(const browser: ICefBrowser; const iconUrls: TStrings); virtual;

Called when the page icon changes.

Protected procedure OnFullScreenModeChange(const browser: ICefBrowser; fullscreen: Boolean); virtual;

Called when web content in the page has toggled fullscreen mode. If |fullscreen| is true (1) the content will automatically be sized to fill the browser content area. If |fullscreen| is false (0) the content will automatically return to its original size and position. With Alloy style the client is responsible for triggering the fullscreen transition (for example, by calling ICefWindow.SetFullscreen when using Views). With Chrome style the fullscreen transition will be triggered automatically. The ICefWindowDelegate.OnWindowFullscreenTransition function will be called during the fullscreen transition for notification purposes.

Protected function OnTooltip(const browser: ICefBrowser; var text: ustring): Boolean; virtual;

Called when the browser is about to display a tooltip. |text| contains the text that will be displayed in the tooltip. To handle the display of the tooltip yourself return true (1). Otherwise, you can optionally modify |text| and then return false (0) to allow the browser to display the tooltip. When window rendering is disabled the application is responsible for drawing tooltips and the return value is ignored.

Protected procedure OnStatusMessage(const browser: ICefBrowser; const value: ustring); virtual;

Called when the browser receives a status message. |value| contains the text that will be displayed in the status message.

Protected function OnConsoleMessage(const browser: ICefBrowser; level: TCefLogSeverity; const message_, source: ustring; line: Integer): Boolean; virtual;

Called to display a console message. Return true (1) to stop the message from being output to the console.

Protected function OnAutoResize(const browser: ICefBrowser; const new_size: PCefSize): Boolean; virtual;

Called when auto-resize is enabled via ICefBrowserHost.SetAutoResizeEnabled and the contents have auto- resized. |new_size| will be the desired size in DIP coordinates. Return true (1) if the resize was handled or false (0) for default handling.

Protected procedure OnLoadingProgressChange(const browser: ICefBrowser; const progress: double); virtual;

Called when the overall page loading progress has changed. |progress| ranges from 0.0 to 1.0.

Protected procedure OnCursorChange(const browser: ICefBrowser; cursor_: TCefCursorHandle; CursorType: TCefCursorType; const customCursorInfo: PCefCursorInfo; var aResult : boolean); virtual;

Called when the browser's cursor has changed. If |type| is CT_CUSTOM then |custom_cursor_info| will be populated with the custom cursor information. Return true (1) if the cursor change was handled or false (0) for default handling.

Protected procedure OnMediaAccessChange(const browser: ICefBrowser; has_video_access, has_audio_access: boolean); virtual;

Called when the browser's access to an audio and/or video source has changed.

Protected function OnContentsBoundsChange(const browser: ICefBrowser; const new_bounds: PCefRect): Boolean; virtual;

Called when JavaScript is requesting new bounds via window.moveTo/By() or window.resizeTo/By(). |new_bounds| are in DIP screen coordinates.

With Views-hosted browsers |new_bounds| are the desired bounds for the containing ICefWindow and may be passed directly to ICefWindow.SetBounds. With external (client-provided) parent on macOS and Windows |new_bounds| are the desired frame bounds for the containing root window. With other non-Views browsers |new_bounds| are the desired bounds for the browser content only unless the client implements either ICefDisplayHandler.GetRootWindowScreenRect for windowed browsers or ICefRenderHandler.GetWindowScreenRect for windowless browsers. Clients may expand browser content bounds to window bounds using OS-specific or ICefDisplay functions.

Return true (1) if this function was handled or false (0) for default handling. Default move/resize behavior is only provided with Views-hosted Chrome style browsers.

Protected function GetRootWindowScreenRect(const browser: ICefBrowser; rect_: PCefRect): Boolean; virtual;

Called to retrieve the external (client-provided) root window rectangle in screen DIP coordinates. Only called for windowed browsers on Windows and Linux. Return true (1) if the rectangle was provided. Return false (0) to use the root window bounds on Windows or the browser content bounds on Linux. For additional usage details see ICefBrowserHost.NotifyScreenInfoChanged.

Protected procedure RemoveReferences; virtual;

Custom procedure to clear all references.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFDisplayHandler: Class TCustomDisplayHandler

Class TCustomDisplayHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFDisplayHandler

Declaration

type TCustomDisplayHandler = class(TCefDisplayHandlerOwn)

Description

This item has no description. Showing description inherited from TCefDisplayHandlerOwn.

Event handler related to browser display state. The functions of this interface will be called on the UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_display_handler_capi.h">CEF source file: /include/capi/cef_display_handler_capi.h (cef_display_handler_t))

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefDisplayHandlerOwn
  • TCustomDisplayHandler

Overview

Fields

Protected FEvents: Pointer;

Methods

Protected | procedure OnAddressChange(const browser: ICefBrowser; const frame: ICefFrame; const url: ustring); override;
Protected | procedure OnTitleChange(const browser: ICefBrowser; const title: ustring); override;
Protected | procedure OnFaviconUrlChange(const browser: ICefBrowser; const iconUrls: TStrings); override;
Protected | procedure OnFullScreenModeChange(const browser: ICefBrowser; fullscreen: Boolean); override;
Protected | function OnTooltip(const browser: ICefBrowser; var text: ustring): Boolean; override;
Protected | procedure OnStatusMessage(const browser: ICefBrowser; const value: ustring); override;
Protected | function OnConsoleMessage(const browser: ICefBrowser; level: TCefLogSeverity; const message_, source: ustring; line: Integer): Boolean; override;
Protected | function OnAutoResize(const browser: ICefBrowser; const new_size: PCefSize): Boolean; override;
Protected | procedure OnLoadingProgressChange(const browser: ICefBrowser; const progress: double); override;
Protected | procedure OnCursorChange(const browser: ICefBrowser; cursor_: TCefCursorHandle; CursorType: TCefCursorType; const customCursorInfo: PCefCursorInfo; var aResult : boolean); override;
Protected | procedure OnMediaAccessChange(const browser: ICefBrowser; has_video_access, has_audio_access: boolean); override;
Protected | function OnContentsBoundsChange(const browser: ICefBrowser; const new_bounds: PCefRect): Boolean; override;
Protected | function GetRootWindowScreenRect(const browser: ICefBrowser; rect_: PCefRect): Boolean; override;
Protected | procedure RemoveReferences; override;
Public | constructor Create(const events : IChromiumEvents); reintroduce; virtual;
Public | destructor Destroy; override;

Description

Fields

Protected FEvents: Pointer;

This item has no description.

Methods

Protected procedure OnAddressChange(const browser: ICefBrowser; const frame: ICefFrame; const url: ustring); override;

This item has no description. Showing description inherited from TCefDisplayHandlerOwn.OnAddressChange.

Called when a frame's address has changed.

Protected procedure OnTitleChange(const browser: ICefBrowser; const title: ustring); override;

This item has no description. Showing description inherited from TCefDisplayHandlerOwn.OnTitleChange.

Called when the page title changes.

Protected procedure OnFaviconUrlChange(const browser: ICefBrowser; const iconUrls: TStrings); override;

This item has no description. Showing description inherited from TCefDisplayHandlerOwn.OnFaviconUrlChange.

Called when the page icon changes.

Protected procedure OnFullScreenModeChange(const browser: ICefBrowser; fullscreen: Boolean); override;

This item has no description. Showing description inherited from TCefDisplayHandlerOwn.OnFullScreenModeChange.

Called when web content in the page has toggled fullscreen mode. If |fullscreen| is true (1) the content will automatically be sized to fill the browser content area. If |fullscreen| is false (0) the content will automatically return to its original size and position. With Alloy style the client is responsible for triggering the fullscreen transition (for example, by calling ICefWindow.SetFullscreen when using Views). With Chrome style the fullscreen transition will be triggered automatically. The ICefWindowDelegate.OnWindowFullscreenTransition function will be called during the fullscreen transition for notification purposes.

Protected function OnTooltip(const browser: ICefBrowser; var text: ustring): Boolean; override;

This item has no description. Showing description inherited from TCefDisplayHandlerOwn.OnTooltip.

Called when the browser is about to display a tooltip. |text| contains the text that will be displayed in the tooltip. To handle the display of the tooltip yourself return true (1). Otherwise, you can optionally modify |text| and then return false (0) to allow the browser to display the tooltip. When window rendering is disabled the application is responsible for drawing tooltips and the return value is ignored.

Protected procedure OnStatusMessage(const browser: ICefBrowser; const value: ustring); override;

This item has no description. Showing description inherited from TCefDisplayHandlerOwn.OnStatusMessage.

Called when the browser receives a status message. |value| contains the text that will be displayed in the status message.

Protected function OnConsoleMessage(const browser: ICefBrowser; level: TCefLogSeverity; const message_, source: ustring; line: Integer): Boolean; override;

This item has no description. Showing description inherited from TCefDisplayHandlerOwn.OnConsoleMessage.

Called to display a console message. Return true (1) to stop the message from being output to the console.

Protected function OnAutoResize(const browser: ICefBrowser; const new_size: PCefSize): Boolean; override;

This item has no description. Showing description inherited from TCefDisplayHandlerOwn.OnAutoResize.

Called when auto-resize is enabled via ICefBrowserHost.SetAutoResizeEnabled and the contents have auto- resized. |new_size| will be the desired size in DIP coordinates. Return true (1) if the resize was handled or false (0) for default handling.

Protected procedure OnLoadingProgressChange(const browser: ICefBrowser; const progress: double); override;

This item has no description. Showing description inherited from TCefDisplayHandlerOwn.OnLoadingProgressChange.

Called when the overall page loading progress has changed. |progress| ranges from 0.0 to 1.0.

Protected procedure OnCursorChange(const browser: ICefBrowser; cursor_: TCefCursorHandle; CursorType: TCefCursorType; const customCursorInfo: PCefCursorInfo; var aResult : boolean); override;

This item has no description. Showing description inherited from TCefDisplayHandlerOwn.OnCursorChange.

Called when the browser's cursor has changed. If |type| is CT_CUSTOM then |custom_cursor_info| will be populated with the custom cursor information. Return true (1) if the cursor change was handled or false (0) for default handling.

Protected procedure OnMediaAccessChange(const browser: ICefBrowser; has_video_access, has_audio_access: boolean); override;

This item has no description. Showing description inherited from TCefDisplayHandlerOwn.OnMediaAccessChange.

Called when the browser's access to an audio and/or video source has changed.

Protected function OnContentsBoundsChange(const browser: ICefBrowser; const new_bounds: PCefRect): Boolean; override;

This item has no description. Showing description inherited from TCefDisplayHandlerOwn.OnContentsBoundsChange.

Called when JavaScript is requesting new bounds via window.moveTo/By() or window.resizeTo/By(). |new_bounds| are in DIP screen coordinates.

With Views-hosted browsers |new_bounds| are the desired bounds for the containing ICefWindow and may be passed directly to ICefWindow.SetBounds. With external (client-provided) parent on macOS and Windows |new_bounds| are the desired frame bounds for the containing root window. With other non-Views browsers |new_bounds| are the desired bounds for the browser content only unless the client implements either ICefDisplayHandler.GetRootWindowScreenRect for windowed browsers or ICefRenderHandler.GetWindowScreenRect for windowless browsers. Clients may expand browser content bounds to window bounds using OS-specific or ICefDisplay functions.

Return true (1) if this function was handled or false (0) for default handling. Default move/resize behavior is only provided with Views-hosted Chrome style browsers.

Protected function GetRootWindowScreenRect(const browser: ICefBrowser; rect_: PCefRect): Boolean; override;

This item has no description. Showing description inherited from TCefDisplayHandlerOwn.GetRootWindowScreenRect.

Called to retrieve the external (client-provided) root window rectangle in screen DIP coordinates. Only called for windowed browsers on Windows and Linux. Return true (1) if the rectangle was provided. Return false (0) to use the root window bounds on Windows or the browser content bounds on Linux. For additional usage details see ICefBrowserHost.NotifyScreenInfoChanged.

Protected procedure RemoveReferences; override;

This item has no description. Showing description inherited from TCefDisplayHandlerOwn.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create(const events : IChromiumEvents); reintroduce; virtual;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFDomDocument

Unit uCEFDomDocument

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefDomDocumentRef |


cef4delphi: uCEFDomDocument: Class TCefDomDocumentRef

Class TCefDomDocumentRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFDomDocument

Declaration

type TCefDomDocumentRef = class(TCefBaseRefCountedRef, ICefDomDocument)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefDomDocumentRef

Overview

Methods

Protected | function GetType: TCefDomDocumentType;
Protected | function GetDocument: ICefDomNode;
Protected | function GetBody: ICefDomNode;
Protected | function GetHead: ICefDomNode;
Protected | function GetTitle: ustring;
Protected | function GetElementById(const id: ustring): ICefDomNode;
Protected | function GetFocusedNode: ICefDomNode;
Protected | function HasSelection: Boolean;
Protected | function GetSelectionStartOffset: Integer;
Protected | function GetSelectionEndOffset: Integer;
Protected | function GetSelectionAsMarkup: ustring;
Protected | function GetSelectionAsText: ustring;
Protected | function GetBaseUrl: ustring;
Protected | function GetCompleteUrl(const partialURL: ustring): ustring;
Public | class function UnWrap(data: Pointer): ICefDomDocument;

Description

Methods

Protected function GetType: TCefDomDocumentType;

This item has no description. Showing description inherited from ICefDomDocument.GetType.

Returns the document type.

Protected function GetDocument: ICefDomNode;

This item has no description. Showing description inherited from ICefDomDocument.GetDocument.

Returns the root document node.

Protected function GetBody: ICefDomNode;

This item has no description. Showing description inherited from ICefDomDocument.GetBody.

Returns the BODY node of an HTML document.

Protected function GetHead: ICefDomNode;

This item has no description. Showing description inherited from ICefDomDocument.GetHead.

Returns the HEAD node of an HTML document.

Protected function GetTitle: ustring;

This item has no description. Showing description inherited from ICefDomDocument.GetTitle.

Returns the title of an HTML document.

Protected function GetElementById(const id: ustring): ICefDomNode;

This item has no description. Showing description inherited from ICefDomDocument.GetElementById.

Returns the document element with the specified ID value.

Protected function GetFocusedNode: ICefDomNode;

This item has no description. Showing description inherited from ICefDomDocument.GetFocusedNode.

Returns the node that currently has keyboard focus.

Protected function HasSelection: Boolean;

This item has no description. Showing description inherited from ICefDomDocument.HasSelection.

Returns true (1) if a portion of the document is selected.

Protected function GetSelectionStartOffset: Integer;

This item has no description. Showing description inherited from ICefDomDocument.GetSelectionStartOffset.

Returns the selection offset within the start node.

Protected function GetSelectionEndOffset: Integer;

This item has no description. Showing description inherited from ICefDomDocument.GetSelectionEndOffset.

Returns the selection offset within the end node.

Protected function GetSelectionAsMarkup: ustring;

This item has no description. Showing description inherited from ICefDomDocument.GetSelectionAsMarkup.

Returns the contents of this selection as markup.

Protected function GetSelectionAsText: ustring;

This item has no description. Showing description inherited from ICefDomDocument.GetSelectionAsText.

Returns the contents of this selection as text.

Protected function GetBaseUrl: ustring;

This item has no description. Showing description inherited from ICefDomDocument.GetBaseUrl.

Returns the base URL for the document.

Protected function GetCompleteUrl(const partialURL: ustring): ustring;

This item has no description. Showing description inherited from ICefDomDocument.GetCompleteUrl.

Returns a complete URL based on the document base URL and the specified partial URL.

Public class function UnWrap(data: Pointer): ICefDomDocument;

This item has no description.


cef4delphi: uCEFDomNode

Unit uCEFDomNode

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefDomNodeRef |


cef4delphi: uCEFDomNode: Class TCefDomNodeRef

Class TCefDomNodeRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFDomNode

Declaration

type TCefDomNodeRef = class(TCefBaseRefCountedRef, ICefDomNode)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefDomNodeRef

Overview

Methods

Protected | function GetType: TCefDomNodeType;
Protected | function IsText: Boolean;
Protected | function IsElement: Boolean;
Protected | function IsEditable: Boolean;
Protected | function IsFormControlElement: Boolean;
Protected | function GetFormControlElementType: TCefDomFormControlType;
Protected | function IsSame(const that: ICefDomNode): Boolean;
Protected | function GetName: ustring;
Protected | function GetValue: ustring;
Protected | function SetValue(const value: ustring): Boolean;
Protected | function GetAsMarkup: ustring;
Protected | function GetDocument: ICefDomDocument;
Protected | function GetParent: ICefDomNode;
Protected | function GetPreviousSibling: ICefDomNode;
Protected | function GetNextSibling: ICefDomNode;
Protected | function HasChildren: Boolean;
Protected | function GetFirstChild: ICefDomNode;
Protected | function GetLastChild: ICefDomNode;
Protected | function GetElementTagName: ustring;
Protected | function HasElementAttributes: Boolean;
Protected | function HasElementAttribute(const attrName: ustring): Boolean;
Protected | function GetElementAttribute(const attrName: ustring): ustring;
Protected | procedure GetElementAttributes(const attrMap: ICefStringMap); overload;
Protected | procedure GetElementAttributes(var attrList: TStrings); overload;
Protected | function SetElementAttribute(const attrName, value: ustring): Boolean;
Protected | function GetElementInnerText: ustring;
Protected | function GetElementBounds: TCefRect;
Public | class function UnWrap(data: Pointer): ICefDomNode;

Description

Methods

Protected function GetType: TCefDomNodeType;

This item has no description. Showing description inherited from ICefDomNode.GetType.

Returns the type for this node.

Protected function IsText: Boolean;

This item has no description. Showing description inherited from ICefDomNode.IsText.

Returns true (1) if this is a text node.

Protected function IsElement: Boolean;

This item has no description. Showing description inherited from ICefDomNode.IsElement.

Returns true (1) if this is an element node.

Protected function IsEditable: Boolean;

This item has no description. Showing description inherited from ICefDomNode.IsEditable.

Returns true (1) if this is an editable node.

Protected function IsFormControlElement: Boolean;

This item has no description. Showing description inherited from ICefDomNode.IsFormControlElement.

Returns true (1) if this is a form control element node.

Protected function GetFormControlElementType: TCefDomFormControlType;

This item has no description. Showing description inherited from ICefDomNode.GetFormControlElementType.

Returns the type of this form control element node.

Protected function IsSame(const that: ICefDomNode): Boolean;

This item has no description. Showing description inherited from ICefDomNode.IsSame.

Returns true (1) if this object is pointing to the same handle as |that| object.

Protected function GetName: ustring;

This item has no description. Showing description inherited from ICefDomNode.GetName.

Returns the name of this node.

Protected function GetValue: ustring;

This item has no description. Showing description inherited from ICefDomNode.GetValue.

Returns the value of this node.

Protected function SetValue(const value: ustring): Boolean;

This item has no description. Showing description inherited from ICefDomNode.SetValue.

Set the value of this node. Returns true (1) on success.

Protected function GetAsMarkup: ustring;

This item has no description. Showing description inherited from ICefDomNode.GetAsMarkup.

Returns the contents of this node as markup.

Protected function GetDocument: ICefDomDocument;

This item has no description. Showing description inherited from ICefDomNode.GetDocument.

Returns the document associated with this node.

Protected function GetParent: ICefDomNode;

This item has no description. Showing description inherited from ICefDomNode.GetParent.

Returns the parent node.

Protected function GetPreviousSibling: ICefDomNode;

This item has no description. Showing description inherited from ICefDomNode.GetPreviousSibling.

Returns the previous sibling node.

Protected function GetNextSibling: ICefDomNode;

This item has no description. Showing description inherited from ICefDomNode.GetNextSibling.

Returns the next sibling node.

Protected function HasChildren: Boolean;

This item has no description. Showing description inherited from ICefDomNode.HasChildren.

Returns true (1) if this node has child nodes.

Protected function GetFirstChild: ICefDomNode;

This item has no description. Showing description inherited from ICefDomNode.GetFirstChild.

Return the first child node.

Protected function GetLastChild: ICefDomNode;

This item has no description. Showing description inherited from ICefDomNode.GetLastChild.

Returns the last child node.

Protected function GetElementTagName: ustring;

This item has no description. Showing description inherited from ICefDomNode.GetElementTagName.

Returns the tag name of this element.

Protected function HasElementAttributes: Boolean;

This item has no description. Showing description inherited from ICefDomNode.HasElementAttributes.

Returns true (1) if this element has attributes.

Protected function HasElementAttribute(const attrName: ustring): Boolean;

This item has no description. Showing description inherited from ICefDomNode.HasElementAttribute.

Returns true (1) if this element has an attribute named |attrName|.

Protected function GetElementAttribute(const attrName: ustring): ustring;

This item has no description. Showing description inherited from ICefDomNode.GetElementAttribute.

Returns the element attribute named |attrName|.

Protected procedure GetElementAttributes(const attrMap: ICefStringMap); overload;

This item has no description. Showing description inherited from ICefDomNode.GetElementAttributes.

Returns a ICefStringMap of all element attributes.

Protected procedure GetElementAttributes(var attrList: TStrings); overload;

This item has no description. Showing description inherited from ICefDomNode.GetElementAttributes.

Returns a TStrings of all element attributes.

Protected function SetElementAttribute(const attrName, value: ustring): Boolean;

This item has no description. Showing description inherited from ICefDomNode.SetElementAttribute.

Set the value for the element attribute named |attrName|. Returns true (1) on success.

Protected function GetElementInnerText: ustring;

This item has no description. Showing description inherited from ICefDomNode.GetElementInnerText.

Returns the inner text of the element.

Protected function GetElementBounds: TCefRect;

This item has no description. Showing description inherited from ICefDomNode.GetElementBounds.

Returns the bounds of the element in device pixels. Use "window.devicePixelRatio" to convert to/from CSS pixels.

Public class function UnWrap(data: Pointer): ICefDomNode;

This item has no description.


cef4delphi: uCEFDomVisitor

Unit uCEFDomVisitor

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefDomVisitorOwn |
Class TCefFastDomVisitor |
Class TCefFastDomVisitor2 |
Class TCefFastDomVisitor3 |


cef4delphi: uCEFDomVisitor: Class TCefDomVisitorOwn

Class TCefDomVisitorOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFDomVisitor

Declaration

type TCefDomVisitorOwn = class(TCefBaseRefCountedOwn, ICefDomVisitor)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefDomVisitorOwn

Overview

Methods

Protected | procedure visit(const document: ICefDomDocument); virtual;
Public | constructor Create; virtual;

Description

Methods

Protected procedure visit(const document: ICefDomDocument); virtual;

This item has no description. Showing description inherited from ICefDomVisitor.visit.

Method executed for visiting the DOM. The document object passed to this function represents a snapshot of the DOM at the time this function is executed. DOM objects are only valid for the scope of this function. Do not keep references to or attempt to access any DOM objects outside the scope of this function.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFDomVisitor: Class TCefFastDomVisitor

Class TCefFastDomVisitor

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFDomVisitor

Declaration

type TCefFastDomVisitor = class(TCefDomVisitorOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefDomVisitorOwn
  • TCefFastDomVisitor

Overview

Fields

Protected FProc: TCefDomVisitorProc;

Methods

Protected | procedure visit(const document: ICefDomDocument); override;
Public | constructor Create(const proc: TCefDomVisitorProc); reintroduce; virtual;

Description

Fields

Protected FProc: TCefDomVisitorProc;

This item has no description.

Methods

Protected procedure visit(const document: ICefDomDocument); override;

This item has no description. Showing description inherited from ICefDomVisitor.visit.

Method executed for visiting the DOM. The document object passed to this function represents a snapshot of the DOM at the time this function is executed. DOM objects are only valid for the scope of this function. Do not keep references to or attempt to access any DOM objects outside the scope of this function.

Public constructor Create(const proc: TCefDomVisitorProc); reintroduce; virtual;

This item has no description.


cef4delphi: uCEFDomVisitor: Class TCefFastDomVisitor2

Class TCefFastDomVisitor2

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFDomVisitor

Declaration

type TCefFastDomVisitor2 = class(TCefDomVisitorOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefDomVisitorOwn
  • TCefFastDomVisitor2

Overview

Fields

Protected | FProc: TCefDomVisitorProc2;
Protected | FBrowser: ICefBrowser;
Protected | FFrame: ICefFrame;

Methods

Protected | procedure visit(const document: ICefDomDocument); override;
Public | constructor Create(const browser: ICefBrowser; const frame: ICefFrame; const proc: TCefDomVisitorProc2); reintroduce; virtual;
Public | destructor Destroy; override;

Description

Fields

Protected FProc: TCefDomVisitorProc2;

This item has no description.

Protected FBrowser: ICefBrowser;

This item has no description.

Protected FFrame: ICefFrame;

This item has no description.

Methods

Protected procedure visit(const document: ICefDomDocument); override;

This item has no description. Showing description inherited from ICefDomVisitor.visit.

Method executed for visiting the DOM. The document object passed to this function represents a snapshot of the DOM at the time this function is executed. DOM objects are only valid for the scope of this function. Do not keep references to or attempt to access any DOM objects outside the scope of this function.

Public constructor Create(const browser: ICefBrowser; const frame: ICefFrame; const proc: TCefDomVisitorProc2); reintroduce; virtual;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFDomVisitor: Class TCefFastDomVisitor3

Class TCefFastDomVisitor3

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFDomVisitor

Declaration

type TCefFastDomVisitor3 = class(TCefDomVisitorOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefDomVisitorOwn
  • TCefFastDomVisitor3

Overview

Fields

Protected | FProc: TCefDomVisitorProc3;
Protected | FBrowser: ICefBrowser;
Protected | FFrame: ICefFrame;
Protected | FValue: ustring;

Methods

Protected | procedure visit(const document: ICefDomDocument); override;
Public | constructor Create(const browser: ICefBrowser; const frame: ICefFrame; const proc: TCefDomVisitorProc3; const aValue : ustring); reintroduce; virtual;
Public | destructor Destroy; override;

Description

Fields

Protected FProc: TCefDomVisitorProc3;

This item has no description.

Protected FBrowser: ICefBrowser;

This item has no description.

Protected FFrame: ICefFrame;

This item has no description.

Protected FValue: ustring;

This item has no description.

Methods

Protected procedure visit(const document: ICefDomDocument); override;

This item has no description. Showing description inherited from ICefDomVisitor.visit.

Method executed for visiting the DOM. The document object passed to this function represents a snapshot of the DOM at the time this function is executed. DOM objects are only valid for the scope of this function. Do not keep references to or attempt to access any DOM objects outside the scope of this function.

Public constructor Create(const browser: ICefBrowser; const frame: ICefFrame; const proc: TCefDomVisitorProc3; const aValue : ustring); reintroduce; virtual;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFDownloadHandler

Unit uCEFDownloadHandler

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefDownloadHandlerOwn |
Class TCustomDownloadHandler |


cef4delphi: uCEFDownloadHandler: Class TCefDownloadHandlerOwn

Class TCefDownloadHandlerOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFDownloadHandler

Declaration

type TCefDownloadHandlerOwn = class(TCefBaseRefCountedOwn, ICefDownloadHandler)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefDownloadHandlerOwn

Overview

Methods

Protected | function CanDownload(const browser: ICefBrowser; const url, request_method: ustring): boolean; virtual;
Protected | function OnBeforeDownload(const browser: ICefBrowser; const downloadItem: ICefDownloadItem; const suggestedName: ustring; const callback: ICefBeforeDownloadCallback): boolean; virtual;
Protected | procedure OnDownloadUpdated(const browser: ICefBrowser; const downloadItem: ICefDownloadItem; const callback: ICefDownloadItemCallback); virtual;
Protected | procedure RemoveReferences; virtual;
Public | constructor Create; virtual;

Description

Methods

Protected function CanDownload(const browser: ICefBrowser; const url, request_method: ustring): boolean; virtual;

This item has no description. Showing description inherited from ICefDownloadHandler.CanDownload.

Called before a download begins in response to a user-initiated action (e.g. alt + link click or link click that returns a `Content-Disposition: attachment` response from the server). |url| is the target download URL and |request_function| is the target function (GET, POST, etc). Return true (1) to proceed with the download or false (0) to cancel the download.

Protected function OnBeforeDownload(const browser: ICefBrowser; const downloadItem: ICefDownloadItem; const suggestedName: ustring; const callback: ICefBeforeDownloadCallback): boolean; virtual;

This item has no description. Showing description inherited from ICefDownloadHandler.OnBeforeDownload.

Called before a download begins. |suggested_name| is the suggested name for the download file. Return true (1) and execute |callback| either asynchronously or in this function to continue or cancel the download. Return false (0) to proceed with default handling (cancel with Alloy style, download shelf with Chrome style). Do not keep a reference to |download_item| outside of this function.

Protected procedure OnDownloadUpdated(const browser: ICefBrowser; const downloadItem: ICefDownloadItem; const callback: ICefDownloadItemCallback); virtual;

This item has no description. Showing description inherited from ICefDownloadHandler.OnDownloadUpdated.

Called when a download's status or progress information has been updated. This may be called multiple times before and after OnBeforeDownload. Execute |callback| either asynchronously or in this function to cancel the download if desired. Do not keep a reference to |download_item| outside of this function.

Protected procedure RemoveReferences; virtual;

This item has no description. Showing description inherited from ICefDownloadHandler.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFDownloadHandler: Class TCustomDownloadHandler

Class TCustomDownloadHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFDownloadHandler

Declaration

type TCustomDownloadHandler = class(TCefDownloadHandlerOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefDownloadHandlerOwn
  • TCustomDownloadHandler

Overview

Fields

Protected FEvents: Pointer;

Methods

Protected | function CanDownload(const browser: ICefBrowser; const url, request_method: ustring): boolean; override;
Protected | function OnBeforeDownload(const browser: ICefBrowser; const downloadItem: ICefDownloadItem; const suggestedName: ustring; const callback: ICefBeforeDownloadCallback): boolean; override;
Protected | procedure OnDownloadUpdated(const browser: ICefBrowser; const downloadItem: ICefDownloadItem; const callback: ICefDownloadItemCallback); override;
Protected | procedure RemoveReferences; override;
Public | constructor Create(const events : IChromiumEvents); reintroduce; virtual;
Public | destructor Destroy; override;

Description

Fields

Protected FEvents: Pointer;

This item has no description.

Methods

Protected function CanDownload(const browser: ICefBrowser; const url, request_method: ustring): boolean; override;

This item has no description. Showing description inherited from ICefDownloadHandler.CanDownload.

Called before a download begins in response to a user-initiated action (e.g. alt + link click or link click that returns a `Content-Disposition: attachment` response from the server). |url| is the target download URL and |request_function| is the target function (GET, POST, etc). Return true (1) to proceed with the download or false (0) to cancel the download.

Protected function OnBeforeDownload(const browser: ICefBrowser; const downloadItem: ICefDownloadItem; const suggestedName: ustring; const callback: ICefBeforeDownloadCallback): boolean; override;

This item has no description. Showing description inherited from ICefDownloadHandler.OnBeforeDownload.

Called before a download begins. |suggested_name| is the suggested name for the download file. Return true (1) and execute |callback| either asynchronously or in this function to continue or cancel the download. Return false (0) to proceed with default handling (cancel with Alloy style, download shelf with Chrome style). Do not keep a reference to |download_item| outside of this function.

Protected procedure OnDownloadUpdated(const browser: ICefBrowser; const downloadItem: ICefDownloadItem; const callback: ICefDownloadItemCallback); override;

This item has no description. Showing description inherited from ICefDownloadHandler.OnDownloadUpdated.

Called when a download's status or progress information has been updated. This may be called multiple times before and after OnBeforeDownload. Execute |callback| either asynchronously or in this function to cancel the download if desired. Do not keep a reference to |download_item| outside of this function.

Protected procedure RemoveReferences; override;

This item has no description. Showing description inherited from ICefDownloadHandler.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create(const events : IChromiumEvents); reintroduce; virtual;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFDownloadImageCallBack

Unit uCEFDownloadImageCallBack

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefDownloadImageCallbackOwn |
Class TCefFastDownloadImageCallback |
Class TCefCustomDownloadImageCallback |


cef4delphi: uCEFDownloadImageCallBack: Class TCefDownloadImageCallbackOwn

Class TCefDownloadImageCallbackOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFDownloadImageCallBack

Declaration

type TCefDownloadImageCallbackOwn = class(TCefBaseRefCountedOwn, ICefDownloadImageCallback)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefDownloadImageCallbackOwn

Overview

Methods

Protected | procedure OnDownloadImageFinished(const imageUrl: ustring; httpStatusCode: Integer; const image: ICefImage); virtual; abstract;
Public | constructor Create; virtual;

Description

Methods

Protected procedure OnDownloadImageFinished(const imageUrl: ustring; httpStatusCode: Integer; const image: ICefImage); virtual; abstract;

This item has no description. Showing description inherited from ICefDownloadImageCallback.OnDownloadImageFinished.

Method that will be executed when the image download has completed. |image_url| is the URL that was downloaded and |http_status_code| is the resulting HTTP status code. |image| is the resulting image, possibly at multiple scale factors, or NULL if the download failed.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFDownloadImageCallBack: Class TCefFastDownloadImageCallback

Class TCefFastDownloadImageCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFDownloadImageCallBack

Declaration

type TCefFastDownloadImageCallback = class(TCefDownloadImageCallbackOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefDownloadImageCallbackOwn
  • TCefFastDownloadImageCallback

Overview

Fields

Protected FProc: TOnDownloadImageFinishedProc;

Methods

Protected | procedure OnDownloadImageFinished(const imageUrl: ustring; httpStatusCode: Integer; const image: ICefImage); override;
Public | constructor Create(const proc: TOnDownloadImageFinishedProc); reintroduce;

Description

Fields

Protected FProc: TOnDownloadImageFinishedProc;

This item has no description.

Methods

Protected procedure OnDownloadImageFinished(const imageUrl: ustring; httpStatusCode: Integer; const image: ICefImage); override;

This item has no description. Showing description inherited from ICefDownloadImageCallback.OnDownloadImageFinished.

Method that will be executed when the image download has completed. |image_url| is the URL that was downloaded and |http_status_code| is the resulting HTTP status code. |image| is the resulting image, possibly at multiple scale factors, or NULL if the download failed.

Public constructor Create(const proc: TOnDownloadImageFinishedProc); reintroduce;

This item has no description.


cef4delphi: uCEFDownloadImageCallBack: Class TCefCustomDownloadImageCallback

Class TCefCustomDownloadImageCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFDownloadImageCallBack

Declaration

type TCefCustomDownloadImageCallback = class(TCefDownloadImageCallbackOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefDownloadImageCallbackOwn
  • TCefCustomDownloadImageCallback

Overview

Fields

Protected FEvents: Pointer;

Methods

Protected | procedure OnDownloadImageFinished(const imageUrl: ustring; httpStatusCode: Integer; const image: ICefImage); override;
Public | constructor Create(const aEvents : IChromiumEvents); reintroduce;
Public | destructor Destroy; override;

Description

Fields

Protected FEvents: Pointer;

This item has no description.

Methods

Protected procedure OnDownloadImageFinished(const imageUrl: ustring; httpStatusCode: Integer; const image: ICefImage); override;

This item has no description. Showing description inherited from ICefDownloadImageCallback.OnDownloadImageFinished.

Method that will be executed when the image download has completed. |image_url| is the URL that was downloaded and |http_status_code| is the resulting HTTP status code. |image| is the resulting image, possibly at multiple scale factors, or NULL if the download failed.

Public constructor Create(const aEvents : IChromiumEvents); reintroduce;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFDownloadItem

Unit uCEFDownloadItem

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefDownloadItemRef |


cef4delphi: uCEFDownloadItem: Class TCefDownloadItemRef

Class TCefDownloadItemRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFDownloadItem

Declaration

type TCefDownloadItemRef = class(TCefBaseRefCountedRef, ICefDownLoadItem)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefDownloadItemRef

Overview

Methods

Protected | function IsValid: Boolean;
Protected | function IsInProgress: Boolean;
Protected | function IsComplete: Boolean;
Protected | function IsCanceled: Boolean;
Protected | function IsInterrupted: Boolean;
Protected | function GetInterruptReason: TCefDownloadInterruptReason;
Protected | function GetCurrentSpeed: Int64;
Protected | function GetPercentComplete: Integer;
Protected | function GetTotalBytes: Int64;
Protected | function GetReceivedBytes: Int64;
Protected | function GetStartTime: TDateTime;
Protected | function GetEndTime: TDateTime;
Protected | function GetFullPath: ustring;
Protected | function GetId: Cardinal;
Protected | function GetUrl: ustring;
Protected | function GetOriginalUrl: ustring;
Protected | function GetSuggestedFileName: ustring;
Protected | function GetContentDisposition: ustring;
Protected | function GetMimeType: ustring;
Public | class function UnWrap(data: Pointer): ICefDownLoadItem;

Description

Methods

Protected function IsValid: Boolean;

This item has no description. Showing description inherited from ICefDownloadItem.IsValid.

Returns true (1) if this object is valid. Do not call any other functions if this function returns false (0).

Protected function IsInProgress: Boolean;

This item has no description. Showing description inherited from ICefDownloadItem.IsInProgress.

Returns true (1) if the download is in progress.

Protected function IsComplete: Boolean;

This item has no description. Showing description inherited from ICefDownloadItem.IsComplete.

Returns true (1) if the download is complete.

Protected function IsCanceled: Boolean;

This item has no description. Showing description inherited from ICefDownloadItem.IsCanceled.

Returns true (1) if the download has been canceled.

Protected function IsInterrupted: Boolean;

This item has no description. Showing description inherited from ICefDownloadItem.IsInterrupted.

Returns true (1) if the download has been interrupted.

Protected function GetInterruptReason: TCefDownloadInterruptReason;

This item has no description. Showing description inherited from ICefDownloadItem.GetInterruptReason.

Returns the most recent interrupt reason.

Protected function GetCurrentSpeed: Int64;

This item has no description. Showing description inherited from ICefDownloadItem.GetCurrentSpeed.

Returns a simple speed estimate in bytes/s.

Protected function GetPercentComplete: Integer;

This item has no description. Showing description inherited from ICefDownloadItem.GetPercentComplete.

Returns the rough percent complete or -1 if the receive total size is unknown.

Protected function GetTotalBytes: Int64;

This item has no description. Showing description inherited from ICefDownloadItem.GetTotalBytes.

Returns the total number of bytes.

Protected function GetReceivedBytes: Int64;

This item has no description. Showing description inherited from ICefDownloadItem.GetReceivedBytes.

Returns the number of received bytes.

Protected function GetStartTime: TDateTime;

This item has no description. Showing description inherited from ICefDownloadItem.GetStartTime.

Returns the time that the download started.

Protected function GetEndTime: TDateTime;

This item has no description. Showing description inherited from ICefDownloadItem.GetEndTime.

Returns the time that the download ended.

Protected function GetFullPath: ustring;

This item has no description. Showing description inherited from ICefDownloadItem.GetFullPath.

Returns the full path to the downloaded or downloading file.

Protected function GetId: Cardinal;

This item has no description. Showing description inherited from ICefDownloadItem.GetId.

Returns the unique identifier for this download.

Protected function GetUrl: ustring;

This item has no description. Showing description inherited from ICefDownloadItem.GetUrl.

Returns the URL.

Protected function GetOriginalUrl: ustring;

This item has no description. Showing description inherited from ICefDownloadItem.GetOriginalUrl.

Returns the original URL before any redirections.

Protected function GetSuggestedFileName: ustring;

This item has no description. Showing description inherited from ICefDownloadItem.GetSuggestedFileName.

Returns the suggested file name.

Protected function GetContentDisposition: ustring;

This item has no description. Showing description inherited from ICefDownloadItem.GetContentDisposition.

Returns the content disposition.

Protected function GetMimeType: ustring;

This item has no description. Showing description inherited from ICefDownloadItem.GetMimeType.

Returns the mime type.

Public class function UnWrap(data: Pointer): ICefDownLoadItem;

This item has no description.


cef4delphi: uCEFDownloadItemCallback

Unit uCEFDownloadItemCallback

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefDownloadItemCallbackRef |


cef4delphi: uCEFDownloadItemCallback: Class TCefDownloadItemCallbackRef

Class TCefDownloadItemCallbackRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFDownloadItemCallback

Declaration

type TCefDownloadItemCallbackRef = class(TCefBaseRefCountedRef, ICefDownloadItemCallback)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefDownloadItemCallbackRef

Overview

Methods

Protected | procedure Cancel;
Protected | procedure Pause;
Protected | procedure Resume;
Public | class function UnWrap(data: Pointer): ICefDownloadItemCallback;

Description

Methods

Protected procedure Cancel;

This item has no description. Showing description inherited from ICefDownloadItemCallback.Cancel.

Call to cancel the download.

Protected procedure Pause;

This item has no description. Showing description inherited from ICefDownloadItemCallback.Pause.

Call to pause the download.

Protected procedure Resume;

This item has no description. Showing description inherited from ICefDownloadItemCallback.Resume.

Call to resume the download.

Public class function UnWrap(data: Pointer): ICefDownloadItemCallback;

This item has no description.


cef4delphi: uCEFDragAndDropMgr

Unit uCEFDragAndDropMgr

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCEFDragAndDropMgr |

Types

TDragEnterEvent = procedure(Sender: TObject; const aDragData : ICefDragData; grfKeyState: Longint; pt: TPoint; var dwEffect: Longint) of object;
TDragOverEvent = procedure(Sender: TObject; grfKeyState: Longint; pt: TPoint; var dwEffect: Longint) of object;
TDropEvent = procedure(Sender: TObject; grfKeyState: Longint; pt: TPoint; var dwEffect: Longint) of object;

Description

Types

TDragEnterEvent = procedure(Sender: TObject; const aDragData : ICefDragData; grfKeyState: Longint; pt: TPoint; var dwEffect: Longint) of object;

This item has no description.

TDragOverEvent = procedure(Sender: TObject; grfKeyState: Longint; pt: TPoint; var dwEffect: Longint) of object;

This item has no description.

TDropEvent = procedure(Sender: TObject; grfKeyState: Longint; pt: TPoint; var dwEffect: Longint) of object;

This item has no description.


cef4delphi: uCEFDragAndDropMgr: Class TCEFDragAndDropMgr

Class TCEFDragAndDropMgr

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFDragAndDropMgr

Declaration

type TCEFDragAndDropMgr = class(TOLEDragAndDropMgr)

Description

This item has no description.

Hierarchy

  • TObject
  • TOLEDragAndDropMgr
  • TCEFDragAndDropMgr

Overview

Fields

Protected | FCurrentDragData: ICefDragData;
Protected | FOLEEffect: integer;
Protected | FMozURLFormat: cardinal;
Protected | FHTMLFormat: cardinal;
Protected | FFileDescFormat: cardinal;
Protected | FFileContentsFormat: cardinal;
Protected | FOnDragEnter: TDragEnterEvent;
Protected | FOnDragOver: TDragOverEvent;
Protected | FOnDragLeave: TNotifyEvent;
Protected | FOnDrop: TDropEvent;

Methods

Protected | function DragDataToDataObject_Unicode(const aDragData : ICefDragData; var aFormat : TFormatEtc; var aMedium : TStgMedium) : boolean;
Protected | function DragDataToDataObject_Text(const aDragData : ICefDragData; var aFormat : TFormatEtc; var aMedium : TStgMedium) : boolean;
Protected | function DragDataToDataObject_HTML(const aDragData : ICefDragData; var aFormat : TFormatEtc; var aMedium : TStgMedium) : boolean;
Protected | function DragDataToDataObject_URL(const aDragData : ICefDragData; var aFormat : TFormatEtc; var aMedium : TStgMedium) : boolean;
Protected | function DragDataToDataObject_FileDesc(const aDragData : ICefDragData; var aFormat : TFormatEtc; var aMedium : TStgMedium) : boolean;
Protected | function DragDataToDataObject_FileContents(const aDragData : ICefDragData; var aFormat : TFormatEtc; var aMedium : TStgMedium) : boolean;
Protected | procedure DataObjectToDragData(const aDataObject : IDataObject; var aDragData : ICefDragData);
Protected | function DataObjectToDragData_Unicode(var aMedium : TStgMedium; var aDragData : ICefDragData) : boolean;
Protected | function DataObjectToDragData_Text(var aMedium : TStgMedium; var aDragData : ICefDragData) : boolean;
Protected | function DataObjectToDragData_URL(var aMedium : TStgMedium; var aDragData : ICefDragData) : boolean;
Protected | function DataObjectToDragData_HTML(var aMedium : TStgMedium; var aDragData : ICefDragData) : boolean;
Protected | function DataObjectToDragData_FileDrop(var aMedium : TStgMedium; var aDragData : ICefDragData) : boolean;
Protected | function HtmlToCFHtml(var aHTML, aBaseURL : ustring) : AnsiString;
Protected | procedure CFHtmlToHtml(const cf_html : AnsiString; var html, base_url : string);
Protected | function ZeroFiller(aNumber, aLength : integer) : AnsiString;
Protected | function FindStringField(const aString, aFieldName : AnsiString; var aPos : integer) : string;
Public | constructor Create;
Public | destructor Destroy; override;
Public | function StartDragging: TCefDragOperation;
Public | function CloneDragData(const aDragData : ICefDragData; aAllowedOps : TCefDragOperations) : boolean;
Public | function DragEnter(const DataObj: IDataObject; grfKeyState: Longint; pt: TPoint; var dwEffect: Longint): HRESULT; override;
Public | function DragOver(grfKeyState: Longint; pt: TPoint; var dwEffect: Longint): HRESULT; override;
Public | function DragLeave: HRESULT; override;
Public | function Drop(const dataObj: IDataObject; grfKeyState: Longint; pt: TPoint; var dwEffect: Longint): HRESULT; override;

Properties

Public | property OnDragEnter : TDragEnterEvent read FOnDragEnter write FOnDragEnter;
Public | property OnDragOver : TDragOverEvent read FOnDragOver write FOnDragOver;
Public | property OnDragLeave : TNotifyEvent read FOnDragLeave write FOnDragLeave;
Public | property OnDrop : TDropEvent read FOnDrop write FOnDrop;

Description

Fields

Protected FCurrentDragData: ICefDragData;

This item has no description.

Protected FOLEEffect: integer;

This item has no description.

Protected FMozURLFormat: cardinal;

This item has no description.

Protected FHTMLFormat: cardinal;

This item has no description.

Protected FFileDescFormat: cardinal;

This item has no description.

Protected FFileContentsFormat: cardinal;

This item has no description.

Protected FOnDragEnter: TDragEnterEvent;

This item has no description.

Protected FOnDragOver: TDragOverEvent;

This item has no description.

Protected FOnDragLeave: TNotifyEvent;

This item has no description.

Protected FOnDrop: TDropEvent;

This item has no description.

Methods

Protected function DragDataToDataObject_Unicode(const aDragData : ICefDragData; var aFormat : TFormatEtc; var aMedium : TStgMedium) : boolean;

This item has no description.

Protected function DragDataToDataObject_Text(const aDragData : ICefDragData; var aFormat : TFormatEtc; var aMedium : TStgMedium) : boolean;

This item has no description.

Protected function DragDataToDataObject_HTML(const aDragData : ICefDragData; var aFormat : TFormatEtc; var aMedium : TStgMedium) : boolean;

This item has no description.

Protected function DragDataToDataObject_URL(const aDragData : ICefDragData; var aFormat : TFormatEtc; var aMedium : TStgMedium) : boolean;

This item has no description.

Protected function DragDataToDataObject_FileDesc(const aDragData : ICefDragData; var aFormat : TFormatEtc; var aMedium : TStgMedium) : boolean;

This item has no description.

Protected function DragDataToDataObject_FileContents(const aDragData : ICefDragData; var aFormat : TFormatEtc; var aMedium : TStgMedium) : boolean;

This item has no description.

Protected procedure DataObjectToDragData(const aDataObject : IDataObject; var aDragData : ICefDragData);

This item has no description.

Protected function DataObjectToDragData_Unicode(var aMedium : TStgMedium; var aDragData : ICefDragData) : boolean;

This item has no description.

Protected function DataObjectToDragData_Text(var aMedium : TStgMedium; var aDragData : ICefDragData) : boolean;

This item has no description.

Protected function DataObjectToDragData_URL(var aMedium : TStgMedium; var aDragData : ICefDragData) : boolean;

This item has no description.

Protected function DataObjectToDragData_HTML(var aMedium : TStgMedium; var aDragData : ICefDragData) : boolean;

This item has no description.

Protected function DataObjectToDragData_FileDrop(var aMedium : TStgMedium; var aDragData : ICefDragData) : boolean;

This item has no description.

Protected function HtmlToCFHtml(var aHTML, aBaseURL : ustring) : AnsiString;

This item has no description.

Protected procedure CFHtmlToHtml(const cf_html : AnsiString; var html, base_url : string);

This item has no description.

Protected function ZeroFiller(aNumber, aLength : integer) : AnsiString;

This item has no description.

Protected function FindStringField(const aString, aFieldName : AnsiString; var aPos : integer) : string;

This item has no description.

Public constructor Create;

This item has no description.

Public destructor Destroy; override;

This item has no description.

Public function StartDragging: TCefDragOperation;

This item has no description.

Public function CloneDragData(const aDragData : ICefDragData; aAllowedOps : TCefDragOperations) : boolean;

This item has no description.

Public function DragEnter(const DataObj: IDataObject; grfKeyState: Longint; pt: TPoint; var dwEffect: Longint): HRESULT; override;

This item has no description.

Public function DragOver(grfKeyState: Longint; pt: TPoint; var dwEffect: Longint): HRESULT; override;

This item has no description.

Public function DragLeave: HRESULT; override;

This item has no description.

Public function Drop(const dataObj: IDataObject; grfKeyState: Longint; pt: TPoint; var dwEffect: Longint): HRESULT; override;

This item has no description.

Properties

Public property OnDragEnter : TDragEnterEvent read FOnDragEnter write FOnDragEnter;

This item has no description.

Public property OnDragOver : TDragOverEvent read FOnDragOver write FOnDragOver;

This item has no description.

Public property OnDragLeave : TNotifyEvent read FOnDragLeave write FOnDragLeave;

This item has no description.

Public property OnDrop : TDropEvent read FOnDrop write FOnDrop;

This item has no description.


cef4delphi: uCEFDragData

Unit uCEFDragData

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefDragDataRef |


cef4delphi: uCEFDragData: Class TCefDragDataRef

Class TCefDragDataRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFDragData

Declaration

type TCefDragDataRef = class(TCefBaseRefCountedRef, ICefDragData)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefDragDataRef

Overview

Methods

Protected | function Clone: ICefDragData;
Protected | function IsReadOnly: Boolean;
Protected | function IsLink: Boolean;
Protected | function IsFragment: Boolean;
Protected | function IsFile: Boolean;
Protected | function GetLinkUrl: ustring;
Protected | function GetLinkTitle: ustring;
Protected | function GetLinkMetadata: ustring;
Protected | function GetFragmentText: ustring;
Protected | function GetFragmentHtml: ustring;
Protected | function GetFragmentBaseUrl: ustring;
Protected | function GetFileName: ustring;
Protected | function GetFileContents(const writer: ICefStreamWriter): NativeUInt;
Protected | function GetFileNames(var names: TStrings): Integer;
Protected | function GetFilePaths(var paths: TStrings): Integer;
Protected | procedure SetLinkUrl(const url: ustring);
Protected | procedure SetLinkTitle(const title: ustring);
Protected | procedure SetLinkMetadata(const data: ustring);
Protected | procedure SetFragmentText(const text: ustring);
Protected | procedure SetFragmentHtml(const html: ustring);
Protected | procedure SetFragmentBaseUrl(const baseUrl: ustring);
Protected | procedure ResetFileContents;
Protected | procedure AddFile(const path, displayName: ustring);
Protected | procedure ClearFilenames;
Protected | function GetImage: ICefImage;
Protected | function GetImageHotspot: TCefPoint;
Protected | function HasImage: boolean;
Public | class function UnWrap(data: Pointer): ICefDragData;
Public | class function New: ICefDragData;

Description

Methods

Protected function Clone: ICefDragData;

This item has no description. Showing description inherited from ICefDragData.Clone.

Returns a copy of the current object.

Protected function IsReadOnly: Boolean;

This item has no description. Showing description inherited from ICefDragData.IsReadOnly.

Returns true (1) if this object is read-only.

Protected function IsLink: Boolean;

This item has no description. Showing description inherited from ICefDragData.IsLink.

Returns true (1) if the drag data is a link.

Protected function IsFragment: Boolean;

This item has no description. Showing description inherited from ICefDragData.IsFragment.

Returns true (1) if the drag data is a text or html fragment.

Protected function IsFile: Boolean;

This item has no description. Showing description inherited from ICefDragData.IsFile.

Returns true (1) if the drag data is a file.

Protected function GetLinkUrl: ustring;

This item has no description. Showing description inherited from ICefDragData.GetLinkUrl.

Return the link URL that is being dragged.

Protected function GetLinkTitle: ustring;

This item has no description. Showing description inherited from ICefDragData.GetLinkTitle.

Return the title associated with the link being dragged.

Protected function GetLinkMetadata: ustring;

This item has no description. Showing description inherited from ICefDragData.GetLinkMetadata.

Return the metadata, if any, associated with the link being dragged.

Protected function GetFragmentText: ustring;

This item has no description. Showing description inherited from ICefDragData.GetFragmentText.

Return the plain text fragment that is being dragged.

Protected function GetFragmentHtml: ustring;

This item has no description. Showing description inherited from ICefDragData.GetFragmentHtml.

Return the text/html fragment that is being dragged.

Protected function GetFragmentBaseUrl: ustring;

This item has no description. Showing description inherited from ICefDragData.GetFragmentBaseUrl.

Return the base URL that the fragment came from. This value is used for resolving relative URLs and may be NULL.

Protected function GetFileName: ustring;

This item has no description. Showing description inherited from ICefDragData.GetFileName.

Return the name of the file being dragged out of the browser window.

Protected function GetFileContents(const writer: ICefStreamWriter): NativeUInt;

This item has no description. Showing description inherited from ICefDragData.GetFileContents.

Write the contents of the file being dragged out of the web view into |writer|. Returns the number of bytes sent to |writer|. If |writer| is NULL this function will return the size of the file contents in bytes. Call get_file_name() to get a suggested name for the file.

Protected function GetFileNames(var names: TStrings): Integer;

This item has no description. Showing description inherited from ICefDragData.GetFileNames.

Retrieve the list of file names that are being dragged into the browser window.

Protected function GetFilePaths(var paths: TStrings): Integer;

This item has no description. Showing description inherited from ICefDragData.GetFilePaths.

Retrieve the list of file paths that are being dragged into the browser window.

Protected procedure SetLinkUrl(const url: ustring);

This item has no description. Showing description inherited from ICefDragData.SetLinkUrl.

Set the link URL that is being dragged.

Protected procedure SetLinkTitle(const title: ustring);

This item has no description. Showing description inherited from ICefDragData.SetLinkTitle.

Set the title associated with the link being dragged.

Protected procedure SetLinkMetadata(const data: ustring);

This item has no description. Showing description inherited from ICefDragData.SetLinkMetadata.

Set the metadata associated with the link being dragged.

Protected procedure SetFragmentText(const text: ustring);

This item has no description. Showing description inherited from ICefDragData.SetFragmentText.

Set the plain text fragment that is being dragged.

Protected procedure SetFragmentHtml(const html: ustring);

This item has no description. Showing description inherited from ICefDragData.SetFragmentHtml.

Set the text/html fragment that is being dragged.

Protected procedure SetFragmentBaseUrl(const baseUrl: ustring);

This item has no description. Showing description inherited from ICefDragData.SetFragmentBaseUrl.

Set the base URL that the fragment came from.

Protected procedure ResetFileContents;

This item has no description. Showing description inherited from ICefDragData.ResetFileContents.

Reset the file contents. You should do this before calling ICefBrowserHost.DragTargetDragEnter as the web view does not allow us to drag in this kind of data.

Protected procedure AddFile(const path, displayName: ustring);

This item has no description. Showing description inherited from ICefDragData.AddFile.

Add a file that is being dragged into the webview.

Protected procedure ClearFilenames;

This item has no description. Showing description inherited from ICefDragData.ClearFilenames.

Clear list of filenames.

Protected function GetImage: ICefImage;

This item has no description. Showing description inherited from ICefDragData.GetImage.

Get the image representation of drag data. May return NULL if no image representation is available.

Protected function GetImageHotspot: TCefPoint;

This item has no description. Showing description inherited from ICefDragData.GetImageHotspot.

Get the image hotspot (drag start location relative to image dimensions).

Protected function HasImage: boolean;

This item has no description. Showing description inherited from ICefDragData.HasImage.

Returns true (1) if an image representation of drag data is available.

Public class function UnWrap(data: Pointer): ICefDragData;

This item has no description.

Public class function New: ICefDragData;

This item has no description.


cef4delphi: uCEFDragHandler

Unit uCEFDragHandler

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefDragHandlerOwn |
Class TCustomDragHandler |


cef4delphi: uCEFDragHandler: Class TCefDragHandlerOwn

Class TCefDragHandlerOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFDragHandler

Declaration

type TCefDragHandlerOwn = class(TCefBaseRefCountedOwn, ICefDragHandler)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefDragHandlerOwn

Overview

Methods

Protected | function OnDragEnter(const browser: ICefBrowser; const dragData: ICefDragData; mask: TCefDragOperations): Boolean; virtual;
Protected | procedure OnDraggableRegionsChanged(const browser: ICefBrowser; const frame: ICefFrame; regionsCount: NativeUInt; const regions: PCefDraggableRegionArray); virtual;
Protected | procedure RemoveReferences; virtual;
Public | constructor Create; virtual;

Description

Methods

Protected function OnDragEnter(const browser: ICefBrowser; const dragData: ICefDragData; mask: TCefDragOperations): Boolean; virtual;

This item has no description. Showing description inherited from ICefDragHandler.OnDragEnter.

Called when an external drag event enters the browser window. |dragData| contains the drag event data and |mask| represents the type of drag operation. Return false (0) for default drag handling behavior or true (1) to cancel the drag event.

Protected procedure OnDraggableRegionsChanged(const browser: ICefBrowser; const frame: ICefFrame; regionsCount: NativeUInt; const regions: PCefDraggableRegionArray); virtual;

This item has no description. Showing description inherited from ICefDragHandler.OnDraggableRegionsChanged.

Called whenever draggable regions for the browser window change. These can be specified using the '-webkit-app-region: drag/no-drag' CSS-property. If draggable regions are never defined in a document this function will also never be called. If the last draggable region is removed from a document this function will be called with an NULL vector.

Protected procedure RemoveReferences; virtual;

This item has no description. Showing description inherited from ICefDragHandler.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFDragHandler: Class TCustomDragHandler

Class TCustomDragHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFDragHandler

Declaration

type TCustomDragHandler = class(TCefDragHandlerOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefDragHandlerOwn
  • TCustomDragHandler

Overview

Fields

Protected FEvents: Pointer;

Methods

Protected | function OnDragEnter(const browser: ICefBrowser; const dragData: ICefDragData; mask: TCefDragOperations): Boolean; override;
Protected | procedure OnDraggableRegionsChanged(const browser: ICefBrowser; const frame: ICefFrame; regionsCount: NativeUInt; const regions: PCefDraggableRegionArray); override;
Protected | procedure RemoveReferences; override;
Public | constructor Create(const events : IChromiumEvents); reintroduce; virtual;
Public | destructor Destroy; override;

Description

Fields

Protected FEvents: Pointer;

This item has no description.

Methods

Protected function OnDragEnter(const browser: ICefBrowser; const dragData: ICefDragData; mask: TCefDragOperations): Boolean; override;

This item has no description. Showing description inherited from ICefDragHandler.OnDragEnter.

Called when an external drag event enters the browser window. |dragData| contains the drag event data and |mask| represents the type of drag operation. Return false (0) for default drag handling behavior or true (1) to cancel the drag event.

Protected procedure OnDraggableRegionsChanged(const browser: ICefBrowser; const frame: ICefFrame; regionsCount: NativeUInt; const regions: PCefDraggableRegionArray); override;

This item has no description. Showing description inherited from ICefDragHandler.OnDraggableRegionsChanged.

Called whenever draggable regions for the browser window change. These can be specified using the '-webkit-app-region: drag/no-drag' CSS-property. If draggable regions are never defined in a document this function will also never be called. If the last draggable region is removed from a document this function will be called with an NULL vector.

Protected procedure RemoveReferences; override;

This item has no description. Showing description inherited from ICefDragHandler.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create(const events : IChromiumEvents); reintroduce; virtual;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFEndTracingCallback

Unit uCEFEndTracingCallback

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefEndTracingCallbackOwn |
Class TCefFastEndTracingCallback |


cef4delphi: uCEFEndTracingCallback: Class TCefEndTracingCallbackOwn

Class TCefEndTracingCallbackOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFEndTracingCallback

Declaration

type TCefEndTracingCallbackOwn = class(TCefBaseRefCountedOwn, ICefEndTracingCallback)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefEndTracingCallbackOwn

Overview

Methods

Protected | procedure OnEndTracingComplete(const tracingFile: ustring); virtual;
Public | constructor Create; virtual;

Description

Methods

Protected procedure OnEndTracingComplete(const tracingFile: ustring); virtual;

This item has no description. Showing description inherited from ICefEndTracingCallback.OnEndTracingComplete.

Called after all processes have sent their trace data. |tracing_file| is the path at which tracing data was written. The client is responsible for deleting |tracing_file|.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFEndTracingCallback: Class TCefFastEndTracingCallback

Class TCefFastEndTracingCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFEndTracingCallback

Declaration

type TCefFastEndTracingCallback = class(TCefEndTracingCallbackOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefEndTracingCallbackOwn
  • TCefFastEndTracingCallback

Overview

Fields

Protected FCallback: TCefEndTracingCallbackProc;

Methods

Protected | procedure OnEndTracingComplete(const tracingFile: ustring); override;
Public | constructor Create(const callback: TCefEndTracingCallbackProc); reintroduce;

Description

Fields

Protected FCallback: TCefEndTracingCallbackProc;

This item has no description.

Methods

Protected procedure OnEndTracingComplete(const tracingFile: ustring); override;

This item has no description. Showing description inherited from ICefEndTracingCallback.OnEndTracingComplete.

Called after all processes have sent their trace data. |tracing_file| is the path at which tracing data was written. The client is responsible for deleting |tracing_file|.

Public constructor Create(const callback: TCefEndTracingCallbackProc); reintroduce;

This item has no description.


cef4delphi: uCEFFileDialogCallback

Unit uCEFFileDialogCallback

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefFileDialogCallbackRef |


cef4delphi: uCEFFileDialogCallback: Class TCefFileDialogCallbackRef

Class TCefFileDialogCallbackRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFFileDialogCallback

Declaration

type TCefFileDialogCallbackRef = class(TCefBaseRefCountedRef, ICefFileDialogCallback)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefFileDialogCallbackRef

Overview

Methods

Protected | procedure Cont(const filePaths: TStrings);
Protected | procedure Cancel;
Public | class function UnWrap(data: Pointer): ICefFileDialogCallback;

Description

Methods

Protected procedure Cont(const filePaths: TStrings);

This item has no description. Showing description inherited from ICefFileDialogCallback.Cont.

Continue the file selection. |file_paths| should be a single value or a list of values depending on the dialog mode. An NULL |file_paths| value is treated the same as calling cancel().

Protected procedure Cancel;

This item has no description. Showing description inherited from ICefFileDialogCallback.Cancel.

Cancel the file selection.

Public class function UnWrap(data: Pointer): ICefFileDialogCallback;

This item has no description.


cef4delphi: uCEFFileDialogInfo

Unit uCEFFileDialogInfo

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCEFFileDialogInfo |


cef4delphi: uCEFFileDialogInfo: Class TCEFFileDialogInfo

Class TCEFFileDialogInfo

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFFileDialogInfo

Declaration

type TCEFFileDialogInfo = class(TObject)

Description

This item has no description.

Hierarchy

  • TObject
  • TCEFFileDialogInfo

Overview

Fields

Protected | FMode: Cardinal;
Protected | FTitle: ustring;
Protected | FDefaultFilePath: ustring;
Protected | FAcceptFilters: TStrings;
Protected | FAcceptExtensions: TStrings;
Protected | FAcceptDescriptions: TStrings;
Protected | FCallback: ICefFileDialogCallback;
Protected | FDefaultAudioFileDesc: ustring;
Protected | FDefaultVideoFileDesc: ustring;
Protected | FDefaultTextFileDesc: ustring;
Protected | FDefaultImageFileDesc: ustring;
Protected | FDefaultAllFileDesc: ustring;
Protected | FDefaultUnknownFileDesc: ustring;

Methods

Protected | function GetDialogFilter: ustring; virtual;
Protected | function GetDialogType: TCEFDialogType;
Protected | procedure SetAcceptFilters(const aAcceptFilters : TStrings);
Protected | procedure SetAcceptExtensions(const aAcceptExtensions : TStrings);
Protected | procedure SetAcceptDescriptions(const aAcceptDescriptions : TStrings);
Protected | function ConvertExtensions(aExtensions : ustring): ustring;
Protected | function CEFAcceptFilterToDialogFilter(const aAcceptFilter, aExtension, aDescription : ustring) : ustring; virtual;
Protected | function GetDefaultMimeTypeDescription(const aMimeType : ustring) : ustring; virtual;
Public | constructor Create;
Public | destructor Destroy; override;
Public | procedure Clear;

Properties

Public | property Mode : Cardinal read FMode write FMode;
Public | property Title : ustring read FTitle write FTitle;
Public | property DefaultFilePath : ustring read FDefaultFilePath write FDefaultFilePath;
Public | property AcceptFilters : TStrings write SetAcceptFilters;
Public | property AcceptExtensions : TStrings write SetAcceptExtensions;
Public | property AcceptDescriptions : TStrings write SetAcceptDescriptions;
Public | property Callback : ICefFileDialogCallback read FCallback write FCallback;
Public | property DialogFilter : ustring read GetDialogFilter;
Public | property DialogType : TCEFDialogType read GetDialogType;
Public | property DefaultAudioFileDesc : ustring read FDefaultAudioFileDesc write FDefaultAudioFileDesc;
Public | property DefaultVideoFileDesc : ustring read FDefaultVideoFileDesc write FDefaultVideoFileDesc;
Public | property DefaultTextFileDesc : ustring read FDefaultTextFileDesc write FDefaultTextFileDesc;
Public | property DefaultImageFileDesc : ustring read FDefaultImageFileDesc write FDefaultImageFileDesc;
Public | property DefaultAllFileDesc : ustring read FDefaultAllFileDesc write FDefaultAllFileDesc;
Public | property DefaultUnknownFileDesc : ustring read FDefaultUnknownFileDesc write FDefaultUnknownFileDesc;

Description

Fields

Protected FMode: Cardinal;

This item has no description.

Protected FTitle: ustring;

This item has no description.

Protected FDefaultFilePath: ustring;

This item has no description.

Protected FAcceptFilters: TStrings;

This item has no description.

Protected FAcceptExtensions: TStrings;

This item has no description.

Protected FAcceptDescriptions: TStrings;

This item has no description.

Protected FCallback: ICefFileDialogCallback;

This item has no description.

Protected FDefaultAudioFileDesc: ustring;

This item has no description.

Protected FDefaultVideoFileDesc: ustring;

This item has no description.

Protected FDefaultTextFileDesc: ustring;

This item has no description.

Protected FDefaultImageFileDesc: ustring;

This item has no description.

Protected FDefaultAllFileDesc: ustring;

This item has no description.

Protected FDefaultUnknownFileDesc: ustring;

This item has no description.

Methods

Protected function GetDialogFilter: ustring; virtual;

This item has no description.

Protected function GetDialogType: TCEFDialogType;

This item has no description.

Protected procedure SetAcceptFilters(const aAcceptFilters : TStrings);

This item has no description.

Protected procedure SetAcceptExtensions(const aAcceptExtensions : TStrings);

This item has no description.

Protected procedure SetAcceptDescriptions(const aAcceptDescriptions : TStrings);

This item has no description.

Protected function ConvertExtensions(aExtensions : ustring): ustring;

This item has no description.

Protected function CEFAcceptFilterToDialogFilter(const aAcceptFilter, aExtension, aDescription : ustring) : ustring; virtual;

This item has no description.

Protected function GetDefaultMimeTypeDescription(const aMimeType : ustring) : ustring; virtual;

This item has no description.

Public constructor Create;

This item has no description.

Public destructor Destroy; override;

This item has no description.

Public procedure Clear;

This item has no description.

Properties

Public property Mode : Cardinal read FMode write FMode;

This item has no description.

Public property Title : ustring read FTitle write FTitle;

This item has no description.

Public property DefaultFilePath : ustring read FDefaultFilePath write FDefaultFilePath;

This item has no description.

Public property AcceptFilters : TStrings write SetAcceptFilters;

This item has no description.

Public property AcceptExtensions : TStrings write SetAcceptExtensions;

This item has no description.

Public property AcceptDescriptions : TStrings write SetAcceptDescriptions;

This item has no description.

Public property Callback : ICefFileDialogCallback read FCallback write FCallback;

This item has no description.

Public property DialogFilter : ustring read GetDialogFilter;

This item has no description.

Public property DialogType : TCEFDialogType read GetDialogType;

This item has no description.

Public property DefaultAudioFileDesc : ustring read FDefaultAudioFileDesc write FDefaultAudioFileDesc;

This item has no description.

Public property DefaultVideoFileDesc : ustring read FDefaultVideoFileDesc write FDefaultVideoFileDesc;

This item has no description.

Public property DefaultTextFileDesc : ustring read FDefaultTextFileDesc write FDefaultTextFileDesc;

This item has no description.

Public property DefaultImageFileDesc : ustring read FDefaultImageFileDesc write FDefaultImageFileDesc;

This item has no description.

Public property DefaultAllFileDesc : ustring read FDefaultAllFileDesc write FDefaultAllFileDesc;

This item has no description.

Public property DefaultUnknownFileDesc : ustring read FDefaultUnknownFileDesc write FDefaultUnknownFileDesc;

This item has no description.


cef4delphi: uCEFFillLayout

Unit uCEFFillLayout

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefFillLayoutRef | A simple Layout that causes the associated Panel's one child to be sized to match the bounds of its parent. Methods must be called on the browser process UI thread unless otherwise indicated.


cef4delphi: uCEFFillLayout: Class TCefFillLayoutRef

Class TCefFillLayoutRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFFillLayout

Declaration

type TCefFillLayoutRef = class(TCefLayoutRef, ICefFillLayout)

Description

A simple Layout that causes the associated Panel's one child to be sized to match the bounds of its parent. Methods must be called on the browser process UI thread unless otherwise indicated.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_fill_layout_capi.h">CEF source file: /include/capi/views/cef_fill_layout_capi.h (cef_fill_layout_t))

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefLayoutRef
  • TCefFillLayoutRef

Overview

Methods

Public class function UnWrap(data: Pointer): ICefFillLayout;

Description

Methods

Public class function UnWrap(data: Pointer): ICefFillLayout;

Returns a ICefFillLayout instance using a PCefFillLayout data pointer.


cef4delphi: uCEFFindHandler

Unit uCEFFindHandler

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefFindHandlerOwn |
Class TCustomFindHandler |


cef4delphi: uCEFFindHandler: Class TCefFindHandlerOwn

Class TCefFindHandlerOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFFindHandler

Declaration

type TCefFindHandlerOwn = class(TCefBaseRefCountedOwn, ICefFindHandler)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefFindHandlerOwn

Overview

Methods

Protected | procedure OnFindResult(const browser: ICefBrowser; identifier, count: Integer; const selectionRect: PCefRect; activeMatchOrdinal: Integer; finalUpdate: Boolean); virtual; abstract;
Protected | procedure RemoveReferences; virtual;
Public | constructor Create; virtual;

Description

Methods

Protected procedure OnFindResult(const browser: ICefBrowser; identifier, count: Integer; const selectionRect: PCefRect; activeMatchOrdinal: Integer; finalUpdate: Boolean); virtual; abstract;

This item has no description. Showing description inherited from ICefFindHandler.OnFindResult.

Called to report find results returned by ICefBrowserHost.find(). |identifer| is a unique incremental identifier for the currently active search, |count| is the number of matches currently identified, |selectionRect| is the location of where the match was found (in window coordinates), |activeMatchOrdinal| is the current position in the search results, and |finalUpdate| is true (1) if this is the last find notification.

Protected procedure RemoveReferences; virtual;

This item has no description. Showing description inherited from ICefFindHandler.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFFindHandler: Class TCustomFindHandler

Class TCustomFindHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFFindHandler

Declaration

type TCustomFindHandler = class(TCefFindHandlerOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefFindHandlerOwn
  • TCustomFindHandler

Overview

Fields

Protected FEvents: Pointer;

Methods

Protected | procedure OnFindResult(const browser: ICefBrowser; identifier, count: Integer; const selectionRect: PCefRect; activeMatchOrdinal: Integer; finalUpdate: Boolean); override;
Protected | procedure RemoveReferences; override;
Public | constructor Create(const events : IChromiumEvents); reintroduce; virtual;
Public | destructor Destroy; override;

Description

Fields

Protected FEvents: Pointer;

This item has no description.

Methods

Protected procedure OnFindResult(const browser: ICefBrowser; identifier, count: Integer; const selectionRect: PCefRect; activeMatchOrdinal: Integer; finalUpdate: Boolean); override;

This item has no description. Showing description inherited from ICefFindHandler.OnFindResult.

Called to report find results returned by ICefBrowserHost.find(). |identifer| is a unique incremental identifier for the currently active search, |count| is the number of matches currently identified, |selectionRect| is the location of where the match was found (in window coordinates), |activeMatchOrdinal| is the current position in the search results, and |finalUpdate| is true (1) if this is the last find notification.

Protected procedure RemoveReferences; override;

This item has no description. Showing description inherited from ICefFindHandler.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create(const events : IChromiumEvents); reintroduce; virtual;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFFMXBufferPanel

Unit uCEFFMXBufferPanel

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TFMXBufferPanel | TBufferPanel is used by FMX applications with browsers in OSR mode to draw the browser contents. See the FMXExternalPumpBrowser demo for more details.

Types

TDialogKeyEvent = procedure(Sender: TObject; var Key: Word; Shift: TShiftState) of object;

Description

Types

TDialogKeyEvent = procedure(Sender: TObject; var Key: Word; Shift: TShiftState) of object;

This item has no description.


cef4delphi: uCEFFMXBufferPanel: Class TFMXBufferPanel

Class TFMXBufferPanel

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFFMXBufferPanel

Declaration

type TFMXBufferPanel = class(TControl)

Description

TBufferPanel is used by FMX applications with browsers in OSR mode to draw the browser contents. See the FMXExternalPumpBrowser demo for more details.

Hierarchy

  • TControl
  • TFMXBufferPanel

Overview

Fields

Protected | FMutex: THandle;
Protected | FBuffer: TBitmap;
Protected | FScanlineSize: integer;
Protected | FColor: TAlphaColor;
Protected | FHighSpeedDrawing: boolean;
Protected | FOnDialogKey: TDialogKeyEvent;
Protected | FForcedDeviceScaleFactor: single;

Methods

Protected | procedure CreateSyncObj;
Protected | procedure DestroySyncObj;
Protected | procedure DestroyBuffer;
Protected | function GetScreenScale: single; virtual;
Protected | function GetBufferWidth: integer;
Protected | function GetBufferHeight: integer;
Protected | function GetParentForm: TCustomForm;
Protected | function GetParentFormHandle: TCefWindowHandle;
Protected | function GetRealScreenScale(var aResultScale : single) : boolean; virtual;
Protected | function CopyBuffer: boolean;
Protected | function SaveBufferToFile(const aFilename : string) : boolean;
Protected | procedure Paint; override;
Protected | procedure DialogKey(var Key: Word; Shift: TShiftState); override;
Public | constructor Create(AOwner: TComponent); override;
Public | destructor Destroy; override;
Public | procedure AfterConstruction; override;
Public | function SaveToFile(const aFilename : string) : boolean;
Public | procedure InvalidatePanel;
Public | function BeginBufferDraw: boolean;
Public | procedure EndBufferDraw;
Public | procedure BufferDraw(const aBitmap : TBitmap; const aSrcRect, aDstRect : TRectF);
Public | function UpdateBufferDimensions(aWidth, aHeight : integer) : boolean;
Public | function BufferIsResized(aUseMutex : boolean = True) : boolean;
Public | function ScreenToClient(aPoint : TPoint) : TPoint; overload;
Public | function ScreenToClient(aPoint : TPointF) : TPointF; overload;
Public | function ClientToScreen(aPoint : TPoint) : TPoint; overload;
Public | function ClientToScreen(aPoint : TPointF) : TPointF; overload;

Properties

Public | property Buffer : TBitmap read FBuffer;
Public | property ScanlineSize : integer read FScanlineSize;
Public | property BufferWidth : integer read GetBufferWidth;
Public | property BufferHeight : integer read GetBufferHeight;
Public | property ScreenScale : single read GetScreenScale;
Public | property ForcedDeviceScaleFactor : single read FForcedDeviceScaleFactor write FForcedDeviceScaleFactor;
Published | property Align;
Published | property Anchors;
Published | property Visible;
Published | property Enabled;
Published | property TabOrder;
Published | property Color : TAlphaColor read FColor write FColor default claWhite;
Published | property HighSpeedDrawing : boolean read FHighSpeedDrawing write FHighSpeedDrawing default True;
Published | property Hint;
Published | property ShowHint;
Published | property OnEnter;
Published | property OnExit;
Published | property OnResize;
Published | property OnClick;
Published | property OnMouseDown;
Published | property OnMouseMove;
Published | property OnMouseUp;
Published | property OnMouseEnter;
Published | property OnMouseLeave;
Published | property OnMouseWheel;
Published | property OnKeyUp;
Published | property OnKeyDown;
Published | property OnDialogKey : TDialogKeyEvent read FOnDialogKey write FOnDialogKey;

Description

Fields

Protected FMutex: THandle;

This item has no description.

Protected FBuffer: TBitmap;

This item has no description.

Protected FScanlineSize: integer;

This item has no description.

Protected FColor: TAlphaColor;

This item has no description.

Protected FHighSpeedDrawing: boolean;

This item has no description.

Protected FOnDialogKey: TDialogKeyEvent;

This item has no description.

Protected FForcedDeviceScaleFactor: single;

This item has no description.

Methods

Protected procedure CreateSyncObj;

This item has no description.

Protected procedure DestroySyncObj;

This item has no description.

Protected procedure DestroyBuffer;

This item has no description.

Protected function GetScreenScale: single; virtual;

This item has no description.

Protected function GetBufferWidth: integer;

This item has no description.

Protected function GetBufferHeight: integer;

This item has no description.

Protected function GetParentForm: TCustomForm;

This item has no description.

Protected function GetParentFormHandle: TCefWindowHandle;

This item has no description.

Protected function GetRealScreenScale(var aResultScale : single) : boolean; virtual;

This item has no description.

Protected function CopyBuffer: boolean;

This item has no description.

Protected function SaveBufferToFile(const aFilename : string) : boolean;

This item has no description.

Protected procedure Paint; override;

This item has no description.

Protected procedure DialogKey(var Key: Word; Shift: TShiftState); override;

This item has no description.

Public constructor Create(AOwner: TComponent); override;

This item has no description.

Public destructor Destroy; override;

This item has no description.

Public procedure AfterConstruction; override;

This item has no description.

Public function SaveToFile(const aFilename : string) : boolean;

Save the visible web contents as a bitmap file.

Public procedure InvalidatePanel;

Invalidate this panel.

Public function BeginBufferDraw: boolean;

Acquires the synchronization object before drawing into the background bitmap.

Public procedure EndBufferDraw;

Releases the synchronization object after drawing into the background bitmap.

Public procedure BufferDraw(const aBitmap : TBitmap; const aSrcRect, aDstRect : TRectF);

Draws a part of aBitmap into the background bitmap buffer at the specified rectangle.

Parameters
aBitmap
Bitmap that will be drawn into the background bitmap.
aSrcRect
Rectangle that defines the area of aBitmap that will be drawn into the background bitmap.
aDstRect
Rectangle that defines the area of the background bitmap where aBitmap will be drawn.
Public function UpdateBufferDimensions(aWidth, aHeight : integer) : boolean;

Update the background bitmap size.

Public function BufferIsResized(aUseMutex : boolean = True) : boolean;

Check if the background image buffers have the same dimensions as this panel. Returns true if they have the same size.

Public function ScreenToClient(aPoint : TPoint) : TPoint; overload;

Convert a point from the screen coordinate system to the client coordinate system.

Public function ScreenToClient(aPoint : TPointF) : TPointF; overload;

Convert a point from the screen coordinate system to the client coordinate system.

Public function ClientToScreen(aPoint : TPoint) : TPoint; overload;

Convert a point from the client coordinate system to the screen coordinate system.

Public function ClientToScreen(aPoint : TPointF) : TPointF; overload;

Convert a point from the client coordinate system to the screen coordinate system.

Properties

Public property Buffer : TBitmap read FBuffer;

Background bitmap.

Public property ScanlineSize : integer read FScanlineSize;

Returns the scanline size.

Public property BufferWidth : integer read GetBufferWidth;

Image width.

Public property BufferHeight : integer read GetBufferHeight;

Image height.

Public property ScreenScale : single read GetScreenScale;

Returns the screen scale.

Public property ForcedDeviceScaleFactor : single read FForcedDeviceScaleFactor write FForcedDeviceScaleFactor;

Screen scale value used instead of the real one.

Published property Align;

This item has no description.

Published property Anchors;

This item has no description.

Published property Visible;

This item has no description.

Published property Enabled;

This item has no description.

Published property TabOrder;

This item has no description.

Published property Color : TAlphaColor read FColor write FColor default claWhite;

Color used to clear the panel canvas in the Paint method.

Published property HighSpeedDrawing : boolean read FHighSpeedDrawing write FHighSpeedDrawing default True;

Set HighSpeedDrawing to True to draw the buffer to the canvas using a high speed interpolation mode.

Published property Hint;

This item has no description.

Published property ShowHint;

This item has no description.

Published property OnEnter;

This item has no description.

Published property OnExit;

This item has no description.

Published property OnResize;

This item has no description.

Published property OnClick;

This item has no description.

Published property OnMouseDown;

This item has no description.

Published property OnMouseMove;

This item has no description.

Published property OnMouseUp;

This item has no description.

Published property OnMouseEnter;

This item has no description.

Published property OnMouseLeave;

This item has no description.

Published property OnMouseWheel;

This item has no description.

Published property OnKeyUp;

This item has no description.

Published property OnKeyDown;

This item has no description.

Published property OnDialogKey : TDialogKeyEvent read FOnDialogKey write FOnDialogKey;

Event triggered before the DialogKey.


cef4delphi: uCEFFMXChromium

Unit uCEFFMXChromium

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TFMXChromium | FMX version of TChromiumCore that puts together all browser procedures, functions, properties and events in one place. It has all you need to create, modify and destroy a web browser.


cef4delphi: uCEFFMXChromium: Class TFMXChromium

Class TFMXChromium

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFFMXChromium

Declaration

type TFMXChromium = class(TChromiumCore, IChromiumEvents)

Description

FMX version of TChromiumCore that puts together all browser procedures, functions, properties and events in one place. It has all you need to create, modify and destroy a web browser.

Hierarchy

  • TObject
  • TPersistent
  • TComponent
  • TChromiumCore
  • TFMXChromium

Overview

Methods

Protected | function GetParentFormHandle: TCefWindowHandle; override;
Protected | function GetParentForm: TCustomForm;
Protected | function GetScreenScale: Single;
Protected | procedure InitializeDevToolsWindowInfo; virtual;
Public | procedure ShowDevTools(inspectElementAt: TPoint);
Public | procedure CloseDevTools;
Public | procedure MoveFormTo(const x, y: Integer);
Public | procedure MoveFormBy(const x, y: Integer);
Public | procedure ResizeFormWidthTo(const x : Integer);
Public | procedure ResizeFormHeightTo(const y : Integer);
Public | procedure SetFormLeftTo(const x : Integer);
Public | procedure SetFormTopTo(const y : Integer);
Public | function CreateBrowser(const aWindowName : ustring = ''; const aContext : ICefRequestContext = nil; const aExtraInfo : ICefDictionaryValue = nil) : boolean; overload; virtual;
Public | function SaveAsBitmapStream(const aStream : TStream; const aRect : System.Types.TRect) : boolean;
Public | function TakeSnapshot(var aBitmap : TBitmap; const aRect : System.Types.TRect) : boolean;

Properties

Public property ScreenScale : single read GetScreenScale;

Description

Methods

Protected function GetParentFormHandle: TCefWindowHandle; override;

This item has no description.

Protected function GetParentForm: TCustomForm;

This item has no description.

Protected function GetScreenScale: Single;

This item has no description.

Protected procedure InitializeDevToolsWindowInfo; virtual;

This item has no description.

Public procedure ShowDevTools(inspectElementAt: TPoint);

Open developer tools (DevTools) in its own browser. If inspectElementAt has a valid point with coordinates different than low(integer) then the element at the specified location will be inspected. If the DevTools browser is already open then it will be focused.

Public procedure CloseDevTools;

close the developer tools.

Public procedure MoveFormTo(const x, y: Integer);

Move the parent form to the x and y coordinates.

Public procedure MoveFormBy(const x, y: Integer);

Move the parent form adding x and y to the coordinates.

Public procedure ResizeFormWidthTo(const x : Integer);

Add x to the parent form width.

Public procedure ResizeFormHeightTo(const y : Integer);

Add y to the parent form height.

Public procedure SetFormLeftTo(const x : Integer);

Set the parent form left property to x.

Public procedure SetFormTopTo(const y : Integer);

Set the parent form top property to y.

Public function CreateBrowser(const aWindowName : ustring = ''; const aContext : ICefRequestContext = nil; const aExtraInfo : ICefDictionaryValue = nil) : boolean; overload; virtual;

Used to create the browser after the global request context has been initialized. You need to set all properties and events before calling this function because it will only create the internal handlers needed for those events and the property values will be used in the browser initialization. The browser will be fully initialized when the TChromiumCore.OnAfterCreated event is triggered.

Public function SaveAsBitmapStream(const aStream : TStream; const aRect : System.Types.TRect) : boolean;

Copy the DC to a bitmap stream. Only works on Windows with browsers without GPU acceleration. It's recommended to use the "Page.captureScreenshot" DevTools method instead.

Public function TakeSnapshot(var aBitmap : TBitmap; const aRect : System.Types.TRect) : boolean;

Takes a snapshot into a TBitmap using the SaveAsBitmapStream function.

Properties

Public property ScreenScale : single read GetScreenScale;

Returns the screen scale of the monitor where the parent form is located.


cef4delphi: uCEFFMXWindowParent

Unit uCEFFMXWindowParent

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TFMXWindowParent |


cef4delphi: uCEFFMXWindowParent: Class TFMXWindowParent

Class TFMXWindowParent

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFFMXWindowParent

Declaration

type TFMXWindowParent = class(TCommonCustomForm)

Description

This item has no description.

Hierarchy

  • TCommonCustomForm
  • TFMXWindowParent

Overview

Fields

Protected FChromium: TFMXChromium;

Methods

Protected | function GetChildWindowHandle: HWND;
Protected | procedure Notification(AComponent: TComponent; Operation: TOperation); override;
Public | procedure Reparent(const aNewParentHandle : TFmxHandle; aNewWindowStyle: NativeInt = NativeInt(WS_POPUPWINDOW or WS_CHILDWINDOW));
Public | procedure UpdateSize;
Public | procedure SetBounds(ALeft, ATop, AWidth, AHeight: Integer); override;

Properties

Public | property ChildWindowHandle : HWND read GetChildWindowHandle;
Public | property Chromium : TFMXChromium read FChromium write FChromium;
Published | property Visible;
Published | property Height;
Published | property Width;

Description

Fields

Protected FChromium: TFMXChromium;

This item has no description.

Methods

Protected function GetChildWindowHandle: HWND;

This item has no description.

Protected procedure Notification(AComponent: TComponent; Operation: TOperation); override;

This item has no description.

Public procedure Reparent(const aNewParentHandle : TFmxHandle; aNewWindowStyle: NativeInt = NativeInt(WS_POPUPWINDOW or WS_CHILDWINDOW));

Set a new parent for this control.

Public procedure UpdateSize;

Updates the size of the child windows created by the browser.

Public procedure SetBounds(ALeft, ATop, AWidth, AHeight: Integer); override;

This item has no description.

Properties

Public property ChildWindowHandle : HWND read GetChildWindowHandle;

Handle of the first child window created by the browser.

Public property Chromium : TFMXChromium read FChromium write FChromium;

TChromium instance used by this component.

Published property Visible;

This item has no description.

Published property Height;

This item has no description.

Published property Width;

This item has no description.


cef4delphi: uCEFFMXWorkScheduler

Unit uCEFFMXWorkScheduler

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TFMXWorkScheduler | Implementation of an external message pump for FMX. Read the GlobalCEFApp.OnScheduleMessagePumpWork documentation for all the details.

Functions and Procedures

procedure DestroyGlobalFMXWorkScheduler;

Variables

GlobalFMXWorkScheduler: TFMXWorkScheduler = nil;

Description

Functions and Procedures

procedure DestroyGlobalFMXWorkScheduler;

This item has no description.

Variables

GlobalFMXWorkScheduler: TFMXWorkScheduler = nil;

This item has no description.


cef4delphi: uCEFFMXWorkScheduler: Class TFMXWorkScheduler

Class TFMXWorkScheduler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFFMXWorkScheduler

Declaration

type TFMXWorkScheduler = class(TComponent)

Description

Implementation of an external message pump for FMX.

Read the GlobalCEFApp.OnScheduleMessagePumpWork documentation for all the details.

Hierarchy

  • TObject
  • TPersistent
  • TComponent
  • TFMXWorkScheduler

Overview

Fields

Protected | FThread: TCEFWorkSchedulerThread;
Protected | FQueueThread: TCEFWorkSchedulerQueueThread;
Protected | FDepleteWorkCycles: cardinal;
Protected | FDepleteWorkDelay: cardinal;
Protected | FDefaultInterval: integer;
Protected | FStopped: boolean;
Protected | FUseQueueThread: boolean;
Protected | FPriority: TThreadPriority;

Methods

Protected | procedure CreateQueueThread;
Protected | procedure DestroyQueueThread;
Protected | procedure QueueThread_OnPulse(Sender : TObject; aDelay : integer);
Protected | procedure DestroyThread;
Protected | procedure DepleteWork;
Protected | procedure NextPulse(aInterval : integer);
Protected | procedure DoWork;
Protected | procedure DoMessageLoopWork;
Protected | procedure Initialize;
Protected | procedure SetDefaultInterval(aValue : integer);
Protected | procedure SetPriority(aValue : TThreadPriority);
Protected | procedure Thread_OnPulse(Sender : TObject);
Public | constructor Create(AOwner: TComponent); override;
Public | constructor CreateDelayed;
Public | destructor Destroy; override;
Public | procedure ScheduleMessagePumpWork(const delay_ms : int64);
Public | procedure StopScheduler;
Public | procedure ScheduleWork(const delay_ms : int64);
Public | procedure CreateThread;

Properties

Published | property Priority : TThreadPriority read FPriority write SetPriority default tpNormal;
Published | property DefaultInterval : integer read FDefaultInterval write SetDefaultInterval default CEF_TIMER_MAXDELAY;
Published | property DepleteWorkCycles : cardinal read FDepleteWorkCycles write FDepleteWorkCycles default CEF_TIMER_DEPLETEWORK_CYCLES;
Published | property DepleteWorkDelay : cardinal read FDepleteWorkDelay write FDepleteWorkDelay default CEF_TIMER_DEPLETEWORK_DELAY;
Published | property UseQueueThread : boolean read FUseQueueThread write FUseQueueThread default False;

Description

Fields

Protected FThread: TCEFWorkSchedulerThread;

This item has no description.

Protected FQueueThread: TCEFWorkSchedulerQueueThread;

This item has no description.

Protected FDepleteWorkCycles: cardinal;

This item has no description.

Protected FDepleteWorkDelay: cardinal;

This item has no description.

Protected FDefaultInterval: integer;

This item has no description.

Protected FStopped: boolean;

This item has no description.

Protected FUseQueueThread: boolean;

This item has no description.

Protected FPriority: TThreadPriority;

This item has no description.

Methods

Protected procedure CreateQueueThread;

This item has no description.

Protected procedure DestroyQueueThread;

This item has no description.

Protected procedure QueueThread_OnPulse(Sender : TObject; aDelay : integer);

This item has no description.

Protected procedure DestroyThread;

This item has no description.

Protected procedure DepleteWork;

This item has no description.

Protected procedure NextPulse(aInterval : integer);

This item has no description.

Protected procedure DoWork;

This item has no description.

Protected procedure DoMessageLoopWork;

This item has no description.

Protected procedure Initialize;

This item has no description.

Protected procedure SetDefaultInterval(aValue : integer);

This item has no description.

Protected procedure SetPriority(aValue : TThreadPriority);

This item has no description.

Protected procedure Thread_OnPulse(Sender : TObject);

This item has no description.

Public constructor Create(AOwner: TComponent); override;

Full constructor of TFMXWorkScheduler. This constructor also creates the internal threads.

Public constructor CreateDelayed;

Partial constructor of TFMXWorkScheduler. This constructor doesn't create any threads. Call TFMXWorkScheduler.CreateThread when necessary.

Public destructor Destroy; override;

TFMXWorkScheduler destructor.

Public procedure ScheduleMessagePumpWork(const delay_ms : int64);

Called from GlobalCEFApp.OnScheduleMessagePumpWork to schedule a GlobalCEFApp.DoMessageLoopWork call asynchronously to perform a single iteration of CEF message loop processing.

Parameters
delay_ms
Requested delay in milliseconds.
Public procedure StopScheduler;

Stop the scheduler. This function must be called after the destruction of all the forms in the application.

Public procedure ScheduleWork(const delay_ms : int64);

Schedule a GlobalCEFApp.DoMessageLoopWork call synchronously to perform a single iteration of CEF message loop processing.

Public procedure CreateThread;

Creates all the internal threads used by TCEFWorkScheduler.

Properties

Published property Priority : TThreadPriority read FPriority write SetPriority default tpNormal;

Priority of TCEFWorkSchedulerThread in Windows.

Published property DefaultInterval : integer read FDefaultInterval write SetDefaultInterval default CEF_TIMER_MAXDELAY;

Default interval in milliseconds to do the next GlobalCEFApp.DoMessageLoopWork call.

Published property DepleteWorkCycles : cardinal read FDepleteWorkCycles write FDepleteWorkCycles default CEF_TIMER_DEPLETEWORK_CYCLES;

Number of cycles used to deplete the remaining messages in the work loop.

Published property DepleteWorkDelay : cardinal read FDepleteWorkDelay write FDepleteWorkDelay default CEF_TIMER_DEPLETEWORK_DELAY;

Delay in milliseconds between the cycles used to deplete the remaining messages in the work loop.

Published property UseQueueThread : boolean read FUseQueueThread write FUseQueueThread default False;

Use a custom queue thread instead of Windows messages or any other way to schedule the next pump work.


cef4delphi: uCEFFocusHandler

Unit uCEFFocusHandler

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefFocusHandlerOwn |
Class TCustomFocusHandler |


cef4delphi: uCEFFocusHandler: Class TCefFocusHandlerOwn

Class TCefFocusHandlerOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFFocusHandler

Declaration

type TCefFocusHandlerOwn = class(TCefBaseRefCountedOwn, ICefFocusHandler)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefFocusHandlerOwn

Overview

Methods

Protected | procedure OnTakeFocus(const browser: ICefBrowser; next: Boolean); virtual;
Protected | function OnSetFocus(const browser: ICefBrowser; source: TCefFocusSource): Boolean; virtual;
Protected | procedure OnGotFocus(const browser: ICefBrowser); virtual;
Protected | procedure RemoveReferences; virtual;
Public | constructor Create; virtual;

Description

Methods

Protected procedure OnTakeFocus(const browser: ICefBrowser; next: Boolean); virtual;

This item has no description. Showing description inherited from ICefFocusHandler.OnTakeFocus.

Called when the browser component is about to loose focus. For instance, if focus was on the last HTML element and the user pressed the TAB key. |next| will be true (1) if the browser is giving focus to the next component and false (0) if the browser is giving focus to the previous component.

Protected function OnSetFocus(const browser: ICefBrowser; source: TCefFocusSource): Boolean; virtual;

This item has no description. Showing description inherited from ICefFocusHandler.OnSetFocus.

Called when the browser component is requesting focus. |source| indicates where the focus request is originating from. Return false (0) to allow the focus to be set or true (1) to cancel setting the focus.

Protected procedure OnGotFocus(const browser: ICefBrowser); virtual;

This item has no description. Showing description inherited from ICefFocusHandler.OnGotFocus.

Called when the browser component has received focus.

Protected procedure RemoveReferences; virtual;

This item has no description. Showing description inherited from ICefFocusHandler.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFFocusHandler: Class TCustomFocusHandler

Class TCustomFocusHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFFocusHandler

Declaration

type TCustomFocusHandler = class(TCefFocusHandlerOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefFocusHandlerOwn
  • TCustomFocusHandler

Overview

Fields

Protected FEvents: Pointer;

Methods

Protected | procedure OnTakeFocus(const browser: ICefBrowser; next: Boolean); override;
Protected | function OnSetFocus(const browser: ICefBrowser; source: TCefFocusSource): Boolean; override;
Protected | procedure OnGotFocus(const browser: ICefBrowser); override;
Protected | procedure RemoveReferences; override;
Public | constructor Create(const events : IChromiumEvents); reintroduce; virtual;
Public | destructor Destroy; override;

Description

Fields

Protected FEvents: Pointer;

This item has no description.

Methods

Protected procedure OnTakeFocus(const browser: ICefBrowser; next: Boolean); override;

This item has no description. Showing description inherited from ICefFocusHandler.OnTakeFocus.

Called when the browser component is about to loose focus. For instance, if focus was on the last HTML element and the user pressed the TAB key. |next| will be true (1) if the browser is giving focus to the next component and false (0) if the browser is giving focus to the previous component.

Protected function OnSetFocus(const browser: ICefBrowser; source: TCefFocusSource): Boolean; override;

This item has no description. Showing description inherited from ICefFocusHandler.OnSetFocus.

Called when the browser component is requesting focus. |source| indicates where the focus request is originating from. Return false (0) to allow the focus to be set or true (1) to cancel setting the focus.

Protected procedure OnGotFocus(const browser: ICefBrowser); override;

This item has no description. Showing description inherited from ICefFocusHandler.OnGotFocus.

Called when the browser component has received focus.

Protected procedure RemoveReferences; override;

This item has no description. Showing description inherited from ICefFocusHandler.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create(const events : IChromiumEvents); reintroduce; virtual;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFFrame

Unit uCEFFrame

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefFrameRef |


cef4delphi: uCEFFrame: Class TCefFrameRef

Class TCefFrameRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFFrame

Declaration

type TCefFrameRef = class(TCefBaseRefCountedRef, ICefFrame)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefFrameRef

Overview

Methods

Public | function IsValid: Boolean;
Public | procedure Undo;
Public | procedure Redo;
Public | procedure Cut;
Public | procedure Copy;
Public | procedure Paste;
Public | procedure PasteAndMatchStyle;
Public | procedure Del;
Public | procedure SelectAll;
Public | procedure ViewSource;
Public | procedure GetSource(const visitor: ICefStringVisitor);
Public | procedure GetSourceProc(const proc: TCefStringVisitorProc);
Public | procedure GetText(const visitor: ICefStringVisitor);
Public | procedure GetTextProc(const proc: TCefStringVisitorProc);
Public | procedure LoadRequest(const request: ICefRequest);
Public | procedure LoadUrl(const url: ustring);
Public | procedure ExecuteJavaScript(const code, scriptUrl: ustring; startLine: Integer);
Public | function IsMain: Boolean;
Public | function IsFocused: Boolean;
Public | function GetName: ustring;
Public | function GetIdentifier: ustring;
Public | function GetParent: ICefFrame;
Public | function GetUrl: ustring;
Public | function GetBrowser: ICefBrowser;
Public | function GetV8Context: ICefv8Context;
Public | procedure VisitDom(const visitor: ICefDomVisitor);
Public | procedure VisitDomProc(const proc: TCefDomVisitorProc);
Public | function CreateUrlRequest(const request: ICefRequest; const client: ICefUrlrequestClient): ICefUrlRequest;
Public | procedure SendProcessMessage(targetProcess: TCefProcessId; const message_: ICefProcessMessage);
Public | class function UnWrap(data: Pointer): ICefFrame;

Description

Methods

Public function IsValid: Boolean;

This item has no description. Showing description inherited from ICefFrame.IsValid.

True if this object is currently attached to a valid frame.

Public procedure Undo;

This item has no description. Showing description inherited from ICefFrame.Undo.

Execute undo in this frame.

Public procedure Redo;

This item has no description. Showing description inherited from ICefFrame.Redo.

Execute redo in this frame.

Public procedure Cut;

This item has no description. Showing description inherited from ICefFrame.Cut.

Execute cut in this frame.

Public procedure Copy;

This item has no description. Showing description inherited from ICefFrame.Copy.

Execute copy in this frame.

Public procedure Paste;

This item has no description. Showing description inherited from ICefFrame.Paste.

Execute paste in this frame.

Public procedure PasteAndMatchStyle;

This item has no description. Showing description inherited from ICefFrame.PasteAndMatchStyle.

Execute paste and match style in this frame.

Public procedure Del;

This item has no description. Showing description inherited from ICefFrame.Del.

Execute delete in this frame.

Public procedure SelectAll;

This item has no description. Showing description inherited from ICefFrame.SelectAll.

Execute select all in this frame.

Public procedure ViewSource;

This item has no description. Showing description inherited from ICefFrame.ViewSource.

Save this frame's HTML source to a temporary file and open it in the default text viewing application. This function can only be called from the browser process.

Public procedure GetSource(const visitor: ICefStringVisitor);

This item has no description. Showing description inherited from ICefFrame.GetSource.

Retrieve this frame's HTML source as a string sent to the specified visitor.

Public procedure GetSourceProc(const proc: TCefStringVisitorProc);

This item has no description. Showing description inherited from ICefFrame.GetSourceProc.

Retrieve this frame's HTML source as a string sent to the specified visitor.

Public procedure GetText(const visitor: ICefStringVisitor);

This item has no description. Showing description inherited from ICefFrame.GetText.

Retrieve this frame's display text as a string sent to the specified visitor.

Public procedure GetTextProc(const proc: TCefStringVisitorProc);

This item has no description. Showing description inherited from ICefFrame.GetTextProc.

Retrieve this frame's display text as a string sent to the specified visitor.

Public procedure LoadRequest(const request: ICefRequest);

This item has no description. Showing description inherited from ICefFrame.LoadRequest.

Load the request represented by the |request| object.

WARNING: This function will fail with "bad IPC message" reason INVALID_INITIATOR_ORIGIN (213) unless you first navigate to the request origin using some other mechanism (LoadURL, link click, etc).

Public procedure LoadUrl(const url: ustring);

This item has no description. Showing description inherited from ICefFrame.LoadUrl.

Load the specified |url|.

Public procedure ExecuteJavaScript(const code, scriptUrl: ustring; startLine: Integer);

This item has no description. Showing description inherited from ICefFrame.ExecuteJavaScript.

Execute a string of JavaScript code in this frame. The |script_url| parameter is the URL where the script in question can be found, if any. The renderer may request this URL to show the developer the source of the error. The |start_line| parameter is the base line number to use for error reporting.

Public function IsMain: Boolean;

This item has no description. Showing description inherited from ICefFrame.IsMain.

Returns true (1) if this is the main (top-level) frame.

Public function IsFocused: Boolean;

This item has no description. Showing description inherited from ICefFrame.IsFocused.

Returns true (1) if this is the focused frame.

Public function GetName: ustring;

This item has no description. Showing description inherited from ICefFrame.GetName.

Returns the name for this frame. If the frame has an assigned name (for example, set via the iframe "name" attribute) then that value will be returned. Otherwise a unique name will be constructed based on the frame parent hierarchy. The main (top-level) frame will always have an NULL name value.

Public function GetIdentifier: ustring;

This item has no description. Showing description inherited from ICefFrame.GetIdentifier.

Returns the globally unique identifier for this frame or empty if the underlying frame does not yet exist.

Public function GetParent: ICefFrame;

This item has no description. Showing description inherited from ICefFrame.GetParent.

Returns the parent of this frame or NULL if this is the main (top-level) frame.

Public function GetUrl: ustring;

This item has no description. Showing description inherited from ICefFrame.GetUrl.

Returns the URL currently loaded in this frame.

Public function GetBrowser: ICefBrowser;

This item has no description. Showing description inherited from ICefFrame.GetBrowser.

Returns the browser that this frame belongs to.

Public function GetV8Context: ICefv8Context;

This item has no description. Showing description inherited from ICefFrame.GetV8Context.

Get the V8 context associated with the frame. This function can only be called from the render process.

Public procedure VisitDom(const visitor: ICefDomVisitor);

This item has no description. Showing description inherited from ICefFrame.VisitDom.

Visit the DOM document. This function can only be called from the render process.

Public procedure VisitDomProc(const proc: TCefDomVisitorProc);

This item has no description. Showing description inherited from ICefFrame.VisitDomProc.

Visit the DOM document. This function can only be called from the render process.

Public function CreateUrlRequest(const request: ICefRequest; const client: ICefUrlrequestClient): ICefUrlRequest;

This item has no description. Showing description inherited from ICefFrame.CreateUrlRequest.

Create a new URL request that will be treated as originating from this frame and the associated browser. Use TCustomCefUrlrequestClient.Create instead if you do not want the request to have this association, in which case it may be handled differently (see documentation on that function). A request created with this function may only originate from the browser process, and will behave as follows: - It may be intercepted by the client via CefResourceRequestHandler or CefSchemeHandlerFactory. - POST data may only contain a single element of type PDE_TYPE_FILE or PDE_TYPE_BYTES.

The |request| object will be marked as read-only after calling this function.

Public procedure SendProcessMessage(targetProcess: TCefProcessId; const message_: ICefProcessMessage);

This item has no description. Showing description inherited from ICefFrame.SendProcessMessage.

Send a message to the specified |target_process|. Ownership of the message contents will be transferred and the |message| reference will be invalidated. Message delivery is not guaranteed in all cases (for example, if the browser is closing, navigating, or if the target process crashes). Send an ACK message back from the target process if confirmation is required.

Public class function UnWrap(data: Pointer): ICefFrame;

This item has no description.


cef4delphi: uCEFFrameHandler

Unit uCEFFrameHandler

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefFrameHandlerOwn |
Class TCustomFrameHandler |


cef4delphi: uCEFFrameHandler: Class TCefFrameHandlerOwn

Class TCefFrameHandlerOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFFrameHandler

Declaration

type TCefFrameHandlerOwn = class(TCefBaseRefCountedOwn, ICefFrameHandler)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefFrameHandlerOwn

Overview

Methods

Protected | procedure OnFrameCreated(const browser: ICefBrowser; const frame: ICefFrame); virtual;
Protected | procedure OnFrameDestroyed(const browser: ICefBrowser; const frame: ICefFrame); virtual;
Protected | procedure OnFrameAttached(const browser: ICefBrowser; const frame: ICefFrame; reattached: boolean); virtual;
Protected | procedure OnFrameDetached(const browser: ICefBrowser; const frame: ICefFrame); virtual;
Protected | procedure OnMainFrameChanged(const browser: ICefBrowser; const old_frame, new_frame: ICefFrame); virtual;
Protected | procedure RemoveReferences; virtual;
Public | constructor Create; virtual;

Description

Methods

Protected procedure OnFrameCreated(const browser: ICefBrowser; const frame: ICefFrame); virtual;

This item has no description. Showing description inherited from ICefFrameHandler.OnFrameCreated.

Called when a new frame is created. This will be the first notification that references |frame|. Any commands that require transport to the associated renderer process (LoadRequest, SendProcessMessage, GetSource, etc.) will be queued. The queued commands will be sent before OnFrameAttached or discarded before OnFrameDestroyed if the frame never attaches.

Protected procedure OnFrameDestroyed(const browser: ICefBrowser; const frame: ICefFrame); virtual;

This item has no description. Showing description inherited from ICefFrameHandler.OnFrameDestroyed.

Called when an existing frame is destroyed. This will be the last notification that references |frame| and cef_frame_t::is_valid() will return false (0) for |frame|. If called during browser destruction and after cef_life_span_handler_t::on_before_close() then cef_browser_t::is_valid() will return false (0) for |browser|. Any queued commands that have not been sent will be discarded before this callback.

Protected procedure OnFrameAttached(const browser: ICefBrowser; const frame: ICefFrame; reattached: boolean); virtual;

This item has no description. Showing description inherited from ICefFrameHandler.OnFrameAttached.

Called when a frame can begin routing commands to/from the associated renderer process. |reattached| will be true (1) if the frame was re- attached after exiting the BackForwardCache or after encountering a recoverable connection error. Any queued commands will now have been dispatched. This function will not be called for temporary frames created during cross-origin navigation.

Protected procedure OnFrameDetached(const browser: ICefBrowser; const frame: ICefFrame); virtual;

This item has no description. Showing description inherited from ICefFrameHandler.OnFrameDetached.

Called when a frame loses its connection to the renderer process. This may occur when a frame is destroyed, enters the BackForwardCache, or encounters a rare connection error. In the case of frame destruction this call will be followed by a (potentially async) call to OnFrameDestroyed. If frame destruction is occuring synchronously then cef_frame_t::is_valid() will return false (0) for |frame|. If called during browser destruction and after cef_life_span_handler_t::on_before_close() then cef_browser_t::is_valid() will return false (0) for |browser|. If, in the non-destruction case, the same frame later exits the BackForwardCache or recovers from a connection error then there will be a follow-up call to OnFrameAttached. This function will not be called for temporary frames created during cross- origin navigation.

Protected procedure OnMainFrameChanged(const browser: ICefBrowser; const old_frame, new_frame: ICefFrame); virtual;

This item has no description. Showing description inherited from ICefFrameHandler.OnMainFrameChanged.

Called when the main frame changes due to (a) initial browser creation, (b) final browser destruction, (c) cross-origin navigation or (d) re- navigation after renderer process termination (due to crashes, etc). |old_frame| will be NULL and |new_frame| will be non-NULL when a main frame is assigned to |browser| for the first time. |old_frame| will be non-NULL and |new_frame| will be NULL when a main frame is removed from |browser| for the last time. Both |old_frame| and |new_frame| will be non- NULL for cross-origin navigations or re-navigation after renderer process termination. This function will be called after on_frame_created() for |new_frame| and/or after on_frame_destroyed() for |old_frame|. If called during browser destruction and after cef_life_span_handler_t::on_before_close() then cef_browser_t::is_valid() will return false (0) for |browser|.

Protected procedure RemoveReferences; virtual;

This item has no description. Showing description inherited from ICefFrameHandler.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFFrameHandler: Class TCustomFrameHandler

Class TCustomFrameHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFFrameHandler

Declaration

type TCustomFrameHandler = class(TCefFrameHandlerOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefFrameHandlerOwn
  • TCustomFrameHandler

Overview

Fields

Protected FEvents: Pointer;

Methods

Protected | procedure OnFrameCreated(const browser: ICefBrowser; const frame: ICefFrame); override;
Protected | procedure OnFrameDestroyed(const browser: ICefBrowser; const frame: ICefFrame); override;
Protected | procedure OnFrameAttached(const browser: ICefBrowser; const frame: ICefFrame; reattached: boolean); override;
Protected | procedure OnFrameDetached(const browser: ICefBrowser; const frame: ICefFrame); override;
Protected | procedure OnMainFrameChanged(const browser: ICefBrowser; const old_frame, new_frame: ICefFrame); override;
Protected | procedure RemoveReferences; override;
Public | constructor Create(const events : IChromiumEvents); reintroduce; virtual;
Public | destructor Destroy; override;

Description

Fields

Protected FEvents: Pointer;

This item has no description.

Methods

Protected procedure OnFrameCreated(const browser: ICefBrowser; const frame: ICefFrame); override;

This item has no description. Showing description inherited from ICefFrameHandler.OnFrameCreated.

Called when a new frame is created. This will be the first notification that references |frame|. Any commands that require transport to the associated renderer process (LoadRequest, SendProcessMessage, GetSource, etc.) will be queued. The queued commands will be sent before OnFrameAttached or discarded before OnFrameDestroyed if the frame never attaches.

Protected procedure OnFrameDestroyed(const browser: ICefBrowser; const frame: ICefFrame); override;

This item has no description. Showing description inherited from ICefFrameHandler.OnFrameDestroyed.

Called when an existing frame is destroyed. This will be the last notification that references |frame| and cef_frame_t::is_valid() will return false (0) for |frame|. If called during browser destruction and after cef_life_span_handler_t::on_before_close() then cef_browser_t::is_valid() will return false (0) for |browser|. Any queued commands that have not been sent will be discarded before this callback.

Protected procedure OnFrameAttached(const browser: ICefBrowser; const frame: ICefFrame; reattached: boolean); override;

This item has no description. Showing description inherited from ICefFrameHandler.OnFrameAttached.

Called when a frame can begin routing commands to/from the associated renderer process. |reattached| will be true (1) if the frame was re- attached after exiting the BackForwardCache or after encountering a recoverable connection error. Any queued commands will now have been dispatched. This function will not be called for temporary frames created during cross-origin navigation.

Protected procedure OnFrameDetached(const browser: ICefBrowser; const frame: ICefFrame); override;

This item has no description. Showing description inherited from ICefFrameHandler.OnFrameDetached.

Called when a frame loses its connection to the renderer process. This may occur when a frame is destroyed, enters the BackForwardCache, or encounters a rare connection error. In the case of frame destruction this call will be followed by a (potentially async) call to OnFrameDestroyed. If frame destruction is occuring synchronously then cef_frame_t::is_valid() will return false (0) for |frame|. If called during browser destruction and after cef_life_span_handler_t::on_before_close() then cef_browser_t::is_valid() will return false (0) for |browser|. If, in the non-destruction case, the same frame later exits the BackForwardCache or recovers from a connection error then there will be a follow-up call to OnFrameAttached. This function will not be called for temporary frames created during cross- origin navigation.

Protected procedure OnMainFrameChanged(const browser: ICefBrowser; const old_frame, new_frame: ICefFrame); override;

This item has no description. Showing description inherited from ICefFrameHandler.OnMainFrameChanged.

Called when the main frame changes due to (a) initial browser creation, (b) final browser destruction, (c) cross-origin navigation or (d) re- navigation after renderer process termination (due to crashes, etc). |old_frame| will be NULL and |new_frame| will be non-NULL when a main frame is assigned to |browser| for the first time. |old_frame| will be non-NULL and |new_frame| will be NULL when a main frame is removed from |browser| for the last time. Both |old_frame| and |new_frame| will be non- NULL for cross-origin navigations or re-navigation after renderer process termination. This function will be called after on_frame_created() for |new_frame| and/or after on_frame_destroyed() for |old_frame|. If called during browser destruction and after cef_life_span_handler_t::on_before_close() then cef_browser_t::is_valid() will return false (0) for |browser|.

Protected procedure RemoveReferences; override;

This item has no description. Showing description inherited from ICefFrameHandler.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create(const events : IChromiumEvents); reintroduce; virtual;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFImage

Unit uCEFImage

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefImageRef |


cef4delphi: uCEFImage: Class TCefImageRef

Class TCefImageRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFImage

Declaration

type TCefImageRef = class(TCefBaseRefCountedRef, ICefImage)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefImageRef

Overview

Methods

Protected | function IsEmpty: Boolean;
Protected | function IsSame(const that: ICefImage): Boolean;
Protected | function AddBitmap(scaleFactor: Single; pixelWidth, pixelHeight: Integer; colorType: TCefColorType; alphaType: TCefAlphaType; const pixelData: Pointer; pixelDataSize: NativeUInt): Boolean;
Protected | function AddPng(scaleFactor: Single; const pngData: Pointer; pngDataSize: NativeUInt): Boolean;
Protected | function AddJpeg(scaleFactor: Single; const jpegData: Pointer; jpegDataSize: NativeUInt): Boolean;
Protected | function GetWidth: NativeUInt;
Protected | function GetHeight: NativeUInt;
Protected | function HasRepresentation(scaleFactor: Single): Boolean;
Protected | function RemoveRepresentation(scaleFactor: Single): Boolean;
Protected | function GetRepresentationInfo(scaleFactor: Single; var actualScaleFactor: Single; var pixelWidth, pixelHeight: Integer): Boolean;
Protected | function GetAsBitmap(scaleFactor: Single; colorType: TCefColorType; alphaType: TCefAlphaType; var pixelWidth, pixelHeight: Integer): ICefBinaryValue;
Protected | function GetAsPng(scaleFactor: Single; withTransparency: Boolean; var pixelWidth, pixelHeight: Integer): ICefBinaryValue;
Protected | function GetAsJpeg(scaleFactor: Single; quality: Integer; var pixelWidth, pixelHeight: Integer): ICefBinaryValue;
Public | class function UnWrap(data: Pointer): ICefImage;
Public | class function New: ICefImage;

Description

Methods

Protected function IsEmpty: Boolean;

This item has no description. Showing description inherited from ICefImage.IsEmpty.

Returns true (1) if this Image is NULL.

Protected function IsSame(const that: ICefImage): Boolean;

This item has no description. Showing description inherited from ICefImage.IsSame.

Returns true (1) if this Image and |that| Image share the same underlying storage. Will also return true (1) if both images are NULL.

Protected function AddBitmap(scaleFactor: Single; pixelWidth, pixelHeight: Integer; colorType: TCefColorType; alphaType: TCefAlphaType; const pixelData: Pointer; pixelDataSize: NativeUInt): Boolean;

This item has no description. Showing description inherited from ICefImage.AddBitmap.

Add a bitmap image representation for |scale_factor|. Only 32-bit RGBA/BGRA formats are supported. |pixel_width| and |pixel_height| are the bitmap representation size in pixel coordinates. |pixel_data| is the array of pixel data and should be |pixel_width| x |pixel_height| x 4 bytes in size. |color_type| and |alpha_type| values specify the pixel format.

Protected function AddPng(scaleFactor: Single; const pngData: Pointer; pngDataSize: NativeUInt): Boolean;

This item has no description. Showing description inherited from ICefImage.AddPng.

Add a PNG image representation for |scale_factor|. |png_data| is the image data of size |png_data_size|. Any alpha transparency in the PNG data will be maintained.

Protected function AddJpeg(scaleFactor: Single; const jpegData: Pointer; jpegDataSize: NativeUInt): Boolean;

This item has no description. Showing description inherited from ICefImage.AddJpeg.

Create a JPEG image representation for |scale_factor|. |jpeg_data| is the image data of size |jpeg_data_size|. The JPEG format does not support transparency so the alpha byte will be set to 0xFF for all pixels.

Protected function GetWidth: NativeUInt;

This item has no description. Showing description inherited from ICefImage.GetWidth.

Returns the image width in density independent pixel (DIP) units.

Protected function GetHeight: NativeUInt;

This item has no description. Showing description inherited from ICefImage.GetHeight.

Returns the image height in density independent pixel (DIP) units.

Protected function HasRepresentation(scaleFactor: Single): Boolean;

This item has no description. Showing description inherited from ICefImage.HasRepresentation.

Returns true (1) if this image contains a representation for |scale_factor|.

Protected function RemoveRepresentation(scaleFactor: Single): Boolean;

This item has no description. Showing description inherited from ICefImage.RemoveRepresentation.

Removes the representation for |scale_factor|. Returns true (1) on success.

Protected function GetRepresentationInfo(scaleFactor: Single; var actualScaleFactor: Single; var pixelWidth, pixelHeight: Integer): Boolean;

This item has no description. Showing description inherited from ICefImage.GetRepresentationInfo.

Returns information for the representation that most closely matches |scale_factor|. |actual_scale_factor| is the actual scale factor for the representation. |pixel_width| and |pixel_height| are the representation size in pixel coordinates. Returns true (1) on success.

Protected function GetAsBitmap(scaleFactor: Single; colorType: TCefColorType; alphaType: TCefAlphaType; var pixelWidth, pixelHeight: Integer): ICefBinaryValue;

This item has no description. Showing description inherited from ICefImage.GetAsBitmap.

Returns the bitmap representation that most closely matches |scale_factor|. Only 32-bit RGBA/BGRA formats are supported. |color_type| and |alpha_type| values specify the desired output pixel format. |pixel_width| and |pixel_height| are the output representation size in pixel coordinates. Returns a ICefBinaryValue containing the pixel data on success or NULL on failure.

Protected function GetAsPng(scaleFactor: Single; withTransparency: Boolean; var pixelWidth, pixelHeight: Integer): ICefBinaryValue;

This item has no description. Showing description inherited from ICefImage.GetAsPng.

Returns the PNG representation that most closely matches |scale_factor|. If |with_transparency| is true (1) any alpha transparency in the image will be represented in the resulting PNG data. |pixel_width| and |pixel_height| are the output representation size in pixel coordinates. Returns a ICefBinaryValue containing the PNG image data on success or NULL on failure.

Protected function GetAsJpeg(scaleFactor: Single; quality: Integer; var pixelWidth, pixelHeight: Integer): ICefBinaryValue;

This item has no description. Showing description inherited from ICefImage.GetAsJpeg.

Returns the JPEG representation that most closely matches |scale_factor|. |quality| determines the compression level with 0 == lowest and 100 == highest. The JPEG format does not support alpha transparency and the alpha channel, if any, will be discarded. |pixel_width| and |pixel_height| are the output representation size in pixel coordinates. Returns a ICefBinaryValue containing the JPEG image data on success or NULL on failure.

Public class function UnWrap(data: Pointer): ICefImage;

This item has no description.

Public class function New: ICefImage;

This item has no description.


cef4delphi: uCEFInterfaces

Unit uCEFInterfaces

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Record TCefMediaSinkInfo | Custom record with media sink information.
Record TCefMediaRouteInfo | Custom record with media route information.
Record TCefMediaSourceInfo | Custom record with media source information.
Interface ICefStringList | Custom interface used to handle all the CEF functions related to CefStringList.
Interface ICefStringMap | Custom interface used to handle all the CEF functions related to CefStringMap.
Interface ICefStringMultimap | Custom interface used to handle all the CEF functions related to CefStringMultimap.
Interface IApplicationCoreEvents | Custom interface used to handle all the TCefApplicationCore events.
Interface IChromiumEvents | Custom interface used to handle all the TChromiumCore events.
Interface IServerEvents | Custom interface used to handle all the TCEFServerComponent events.
Interface ICEFUrlRequestClientEvents | Custom interface used to handle all the TCEFUrlRequestClientComponent events.
Interface ICefViewDelegateEvents | Custom interface used to handle the ICefViewDelegate events.
Interface ICefTextfieldDelegateEvents | Custom interface used to handle all the ICefTextfieldDelegate events.
Interface ICefBrowserViewDelegateEvents | Custom interface used to handle all the ICefBrowserViewDelegate events.
Interface ICefButtonDelegateEvents | Custom interface used to handle all the ICefButtonDelegate events.
Interface ICefMenuButtonDelegateEvents | Custom interface used to handle all the ICefMenuButtonDelegate events.
Interface ICefPanelDelegateEvents | Custom interface used to handle all the ICefPanelDelegate events.
Interface ICefWindowDelegateEvents | Custom interface used to handle all the ICefWindowDelegate events.
Interface ICefBaseRefCounted | All ref-counted framework interfaces must inherit from this interface.
Interface ICefCustomUserData
Interface ICefRunFileDialogCallback | Callback interface for ICefBrowserHost.RunFileDialog. The functions of this interface will be called on the browser process UI thread.
Interface ICefNavigationEntryVisitor | Callback interface for ICefBrowserHost.GetNavigationEntries. The functions of this interface will be called on the browser process UI thread.
Interface ICefPdfPrintCallback | Callback interface for ICefBrowserHost.PrintToPDF. The functions of this interface will be called on the browser process UI thread.
Interface ICefDownloadImageCallback | Callback interface for ICefBrowserHost.DownloadImage. The functions of this interface will be called on the browser process UI thread.
Interface ICefBrowserHost | Interface used to represent the browser process aspects of a browser. The functions of this interface can only be called in the browser process. They may be called on any thread in that process unless otherwise indicated in the comments.
Interface ICefProcessMessage | Interface representing a message. Can be used on any process and thread.
Interface ICefBrowser | Interface used to represent a browser. When used in the browser process the functions of this interface may be called on any thread unless otherwise indicated in the comments. When used in the render process the functions of this interface may only be called on the main thread.
Interface ICefPostDataElement | Interface used to represent a single element in the request post data. The functions of this interface may be called on any thread.
Interface ICefPostData | Interface used to represent post data for a web request. The functions of this interface may be called on any thread.
Interface ICefRequest | Interface used to represent a web request. The functions of this interface may be called on any thread.
Interface ICefStringVisitor | Implement this interface to receive string values asynchronously.
Interface ICefFrame | Interface used to represent a frame in the browser window. When used in the browser process the functions of this interface may be called on any thread unless otherwise indicated in the comments. When used in the render process the functions of this interface may only be called on the main thread.
Interface ICefFrameHandler

Implement this structure to handle events related to cef_frame_t life span. The order of callbacks is:

(1) During initial cef_browser_host_t creation and navigation of the main frame:

- cef_frame_handler_t::OnFrameCreated => The initial main frame object has
  been created. Any commands will be queued until the frame is attached.
- cef_frame_handler_t::OnMainFrameChanged => The initial main frame object
  has been assigned to the browser.
- cef_life_span_handler_t::OnAfterCreated => The browser is now valid and
  can be used.
- cef_frame_handler_t::OnFrameAttached => The initial main frame object is
  now connected to its peer in the renderer process. Commands can be routed.

(2) During further cef_browser_host_t navigation/loading of the main frame and/or sub-frames:

- cef_frame_handler_t::OnFrameCreated => A new main frame or sub-frame
  object has been created. Any commands will be queued until the frame is
  attached.
- cef_frame_handler_t::OnFrameAttached => A new main frame or sub-frame
  object is now connected to its peer in the renderer process. Commands can
  be routed.
- cef_frame_handler_t::OnFrameDetached => An existing main frame or sub-
  frame object has lost its connection to the renderer process. If multiple
  objects are detached at the same time then notifications will be sent for
  any sub-frame objects before the main frame object. Commands can no longer
  be routed and will be discarded.
- CefFremeHadler::OnFrameDestroyed => An existing main frame or sub-frame
  object has been destroyed.
- cef_frame_handler_t::OnMainFrameChanged => A new main frame object has
  been assigned to the browser. This will only occur with cross-origin
  navigation or re-navigation after renderer process termination (due to
  crashes, etc).

(3) During final cef_browser_host_t destruction of the main frame:

- cef_frame_handler_t::OnFrameDetached => Any sub-frame objects have lost
  their connection to the renderer process. Commands can no longer be routed
  and will be discarded.
- CefFreameHandler::OnFrameDestroyed => Any sub-frame objects have been
  destroyed.
- cef_life_span_handler_t::OnBeforeClose => The browser has been destroyed.
- cef_frame_handler_t::OnFrameDetached => The main frame object have lost
  its connection to the renderer process. Notifications will be sent for any
  sub-frame objects before the main frame object. Commands can no longer be
  routed and will be discarded.
- CefFreameHandler::OnFrameDestroyed => The main frame object has been
  destroyed.
- cef_frame_handler_t::OnMainFrameChanged => The final main frame object has
  been removed from the browser.

Special handling applies for cross-origin loading on creation/navigation of sub-frames, and cross-origin loading on creation of new popup browsers. A temporary frame will first be created in the parent frame's renderer process. This temporary frame will never attach and will be discarded after the real cross-origin frame is created in the new/target renderer process. The client will receive creation callbacks for the temporary frame, followed by cross-origin navigation callbacks (2) for the transition from the temporary frame to the real frame. The temporary frame will not receive or execute commands during this transitional period (any sent commands will be discarded).

When the main frame navigates to a different origin the OnMainFrameChanged callback (2) will be executed with the old and new main frame objects.

Callbacks will not be executed for placeholders that may be created during pre-commit navigation for sub-frames that do not yet exist in the renderer process. Placeholders will have cef_frame_t::get_identifier() == -4.

The functions of this structure will be called on the UI thread unless otherwise indicated.

Interface ICefCustomStreamReader | Interface used to read data from a stream. The functions of this interface may be called on any thread.
Interface ICefStreamReader | Interface used to read data from a stream. The functions of this interface may be called on any thread.
Interface ICefReadHandler | Structure the client can implement to provide a custom stream reader. The functions of this structure may be called on any thread.
Interface ICefWriteHandler | Interface the client can implement to provide a custom stream writer. The functions of this interface may be called on any thread.
Interface ICefStreamWriter | Interface used to write data to a stream. The functions of this interface may be called on any thread.
Interface ICefResponse | Interface used to represent a web response. The functions of this interface may be called on any thread.
Interface ICefDownloadItem | Interface used to represent a download item.
Interface ICefBeforeDownloadCallback | Callback interface used to asynchronously continue a download.
Interface ICefDownloadItemCallback | Callback interface used to asynchronously cancel a download.
Interface ICefDownloadHandler | Interface used to handle file downloads. The functions of this interface will called on the browser process UI thread.
Interface ICefV8Exception | Interface representing a V8 exception. The functions of this interface may be called on any render process thread.
Interface ICefv8ArrayBufferReleaseCallback | Callback interface that is passed to ICefV8value.CreateArrayBuffer.
Interface ICefv8Context | Interface representing a V8 context handle. V8 handles can only be accessed from the thread on which they are created. Valid threads for creating a V8 handle include the render process main thread (TID_RENDERER) and WebWorker threads. A task runner for posting tasks on the associated thread can be retrieved via the ICefV8context.GetTaskRunner() function.
Interface ICefv8Handler | Interface that should be implemented to handle V8 function calls. The functions of this interface will be called on the thread associated with the V8 function.
Interface ICefV8Interceptor | Interface that should be implemented to handle V8 interceptor calls. The functions of this interface will be called on the thread associated with the V8 interceptor. Interceptor's named property handlers (with first argument of type CefString) are called when object is indexed by string. Indexed property handlers (with first argument of type int) are called when object is indexed by integer.
Interface ICefV8Accessor | Interface that should be implemented to handle V8 accessor calls. Accessor identifiers are registered by calling ICefV8value.SetValue(). The functions of this interface will be called on the thread associated with the V8 accessor.
Interface ICefTask | Implement this interface for asynchronous task execution. If the task is posted successfully and if the associated message loop is still running then the execute() function will be called on the target thread. If the task fails to post then the task object may be destroyed on the source thread instead of the target thread. For this reason be cautious when performing work in the task object destructor.
Interface ICefTaskManager | Interface that facilitates managing the browser-related tasks. The functions of this structure may only be called on the UI thread.
Interface ICefTaskRunner Interface that asynchronously executes tasks on the associated thread. It is safe to call the functions of this interface on any thread.

CEF maintains multiple internal threads that are used for handling different types of tasks in different processes. The TCefThreadId definitions in cef_types.h list the common CEF threads. Task runners are also available for other CEF threads as appropriate (for example, V8 WebWorker threads).

Interface ICefThread | A simple thread abstraction that establishes a message loop on a new thread. The consumer uses ICefTaskRunner to execute code on the thread's message loop. The thread is terminated when the ICefThread object is destroyed or stop() is called. All pending tasks queued on the thread's message loop will run to completion before the thread is terminated. cef_thread_create() can be called on any valid CEF thread in either the browser or render process. This interface should only be used for tasks that require a dedicated thread. In most cases you can post tasks to an existing CEF thread instead of creating a new one; see cef_task.h for details.
Interface ICefWaitableEvent | WaitableEvent is a thread synchronization tool that allows one thread to wait for another thread to finish some work. This is equivalent to using a Lock+ConditionVariable to protect a simple boolean value. However, using WaitableEvent in conjunction with a Lock to wait for a more complex state change (e.g., for an item to be added to a queue) is not recommended. In that case consider using a ConditionVariable instead of a WaitableEvent. It is safe to create and/or signal a WaitableEvent from any thread. Blocking on a WaitableEvent by calling the *wait() functions is not allowed on the browser process UI or IO threads.
Interface ICefv8Value | Interface representing a V8 value handle. V8 handles can only be accessed from the thread on which they are created. Valid threads for creating a V8 handle include the render process main thread (TID_RENDERER) and WebWorker threads. A task runner for posting tasks on the associated thread can be retrieved via the ICefv8context.GetTaskRunner() function.
Interface ICefV8StackFrame | Interface representing a V8 stack frame handle. V8 handles can only be accessed from the thread on which they are created. Valid threads for creating a V8 handle include the render process main thread (TID_RENDERER) and WebWorker threads. A task runner for posting tasks on the associated thread can be retrieved via the ICefv8context.GetTaskRunner() function.
Interface ICefV8StackTrace | Interface representing a V8 stack trace handle. V8 handles can only be accessed from the thread on which they are created. Valid threads for creating a V8 handle include the render process main thread (TID_RENDERER) and WebWorker threads. A task runner for posting tasks on the associated thread can be retrieved via the ICefv8context.GetTaskRunner() function.
Interface ICefXmlReader | Interface that supports the reading of XML data via the libxml streaming API. The functions of this interface should only be called on the thread that creates the object.
Interface ICefZipReader | Interface that supports the reading of zip archives via the zlib unzip API. The functions of this interface should only be called on the thread that creates the object.
Interface ICefDomNode | Interface used to represent a DOM node. The functions of this interface should only be called on the render process main thread.
Interface ICefDomDocument | Interface used to represent a DOM document. The functions of this interface should only be called on the render process main thread thread.
Interface ICefDomVisitor | Interface to implement for visiting the DOM. The functions of this interface will be called on the render process main thread.
Interface ICefCookieVisitor | Interface to implement for visiting cookie values. The functions of this interface will always be called on the UI thread.
Interface ICefCommandLine | Interface used to create and/or parse command line arguments. Arguments with "–", "-" and, on Windows, "/" prefixes are considered switches. Switches will always precede any arguments without switch prefixes. Switches can optionally have a value specified using the "=" delimiter (e.g. "-switch=value"). An argument of "–" will terminate switch parsing with all subsequent tokens, regardless of prefix, being interpreted as non-switch arguments. Switch names should be lowercase ASCII and will be converted to such if necessary. Switch values will retain the original case and UTF8 encoding. This interface can be used before cef_initialize() is called.
Interface ICefRegistration | Generic callback interface used for managing the lifespan of a registration.
Interface ICefDevToolsMessageObserver | Callback interface for ICefBrowserHost.AddDevToolsMessageObserver. The functions of this interface will be called on the browser process UI thread.
Interface ICefMediaRouter | Supports discovery of and communication with media devices on the local network via the Cast and DIAL protocols. The functions of this interface may be called on any browser process thread unless otherwise indicated.
Interface ICefMediaObserver | Implemented by the client to observe MediaRouter events and registered via ICefMediaRouter.AddObserver. The functions of this interface will be called on the browser process UI thread.
Interface ICefMediaRoute | Represents the route between a media source and sink. Instances of this object are created via ICefMediaRouter.CreateRoute and retrieved via ICefMediaObserver.OnRoutes. Contains the status and metadata of a routing operation. The functions of this interface may be called on any browser process thread unless otherwise indicated.
Interface ICefMediaRouteCreateCallback | Callback interface for ICefMediaRouter.CreateRoute. The functions of this interface will be called on the browser process UI thread.
Interface ICefMediaSinkDeviceInfoCallback | Callback interface for ICefMediaSink.GetDeviceInfo. The functions of this interface will be called on the browser process UI thread.
Interface ICefMediaSink | Represents a sink to which media can be routed. Instances of this object are retrieved via ICefMediaObserver.OnSinks. The functions of this interface may be called on any browser process thread unless otherwise indicated.
Interface ICefMediaSource | Represents a source from which media can be routed. Instances of this object are retrieved via ICefMediaRouter.GetSource. The functions of this interface may be called on any browser process thread unless otherwise indicated.
Interface ICefResourceBundleHandler | Interface used to implement a custom resource bundle interface. See TCefSettings for additional options related to resource bundle loading. The functions of this interface may be called on multiple threads.
Interface ICefBrowserProcessHandler | Interface used to implement browser process callbacks. The functions of this interface will be called on the browser process main thread unless otherwise indicated.
Interface ICefRenderProcessHandler | Interface used to implement render process callbacks. The functions of this interface will be called on the render process main thread (TID_RENDERER) unless otherwise indicated.
Interface ICefApp | Implement this interface to provide handler implementations. Methods will be called by the process and/or thread indicated.
Interface ICefCompletionCallback | Generic callback interface used for asynchronous completion.
Interface ICefSetCookieCallback | Interface to implement to be notified of asynchronous completion via ICefCookieManager.SetCookie.
Interface ICefDeleteCookiesCallback | Interface to implement to be notified of asynchronous completion via ICefCookieManager.DeleteCookies.
Interface ICefCookieManager | Interface used for managing cookies. The functions of this interface may be called on any thread unless otherwise indicated.
Interface ICefCallback | Generic callback interface used for asynchronous continuation.
Interface ICefResourceSkipCallback | Callback for asynchronous continuation of ICefResourceHandler.skip.
Interface ICefResourceReadCallback | Callback for asynchronous continuation of ICefResourceHandler.read.
Interface ICefResourceHandler | Interface used to implement a custom request handler interface. The functions of this interface will be called on the IO thread unless otherwise indicated.
Interface ICefSchemeHandlerFactory | Interface that creates ICefResourceHandler instances for handling scheme requests. The functions of this interface will always be called on the IO thread.
Interface ICefAuthCallback | Callback interface used for asynchronous continuation of authentication requests.
Interface ICefJsDialogCallback | Callback interface used for asynchronous continuation of JavaScript dialog requests.
Interface ICefContextMenuParams | Provides information about the context menu state. The functions of this interface can only be accessed on browser process the UI thread.
Interface ICefMenuModel | Supports creation and modification of menus. See TCefMenuId for the command ids that have default implementations. All user-defined command ids should be between MENU_ID_USER_FIRST and MENU_ID_USER_LAST. The functions of this interface can only be accessed on the browser process the UI thread.
Interface ICefValue | Interface that wraps other data value types. Complex types (binary, dictionary and list) will be referenced but not owned by this object. Can be used on any process and thread.
Interface ICefBinaryValue | Interface representing a binary value. Can be used on any process and thread.
Interface ICefDictionaryValue | Interface representing a dictionary value. Can be used on any process and thread.
Interface ICefListValue | Interface representing a list value. Can be used on any process and thread.
Interface ICefLifeSpanHandler | Implement this interface to handle events related to browser life span. The functions of this interface will be called on the UI thread unless otherwise indicated.
Interface ICefCommandHandler | Implement this interface to handle events related to commands. The functions of this interface will be called on the UI thread.
Interface ICefLoadHandler | Implement this interface to handle events related to browser load status. The functions of this interface will be called on the browser process UI thread or render process main thread (TID_RENDERER).
Interface ICefResponseFilter | Implement this interface to filter resource response content. The functions of this interface will be called on the browser process IO thread.
Interface ICefRequestHandler | Implement this interface to handle events related to browser requests. The functions of this interface will be called on the thread indicated.
Interface ICefResourceRequestHandler | Implement this interface to handle events related to browser requests. The functions of this interface will be called on the IO thread unless otherwise indicated.
Interface ICefCookieAccessFilter | Implement this interface to filter cookies that may be sent or received from resource requests. The functions of this interface will be called on the IO thread unless otherwise indicated.
Interface ICefDisplayHandler | Implement this interface to handle events related to browser display state. The functions of this interface will be called on the UI thread.
Interface ICefFocusHandler | Implement this interface to handle events related to focus. The functions of this interface will be called on the UI thread.
Interface ICefKeyboardHandler | Implement this interface to handle events related to keyboard input. The functions of this interface will be called on the UI thread.
Interface ICefJsDialogHandler | Implement this interface to handle events related to JavaScript dialogs. The functions of this interface will be called on the UI thread.
Interface ICefAudioHandler | Implement this interface to handle audio events.
Interface ICefRunContextMenuCallback | Callback interface used for continuation of custom context menu display.
Interface ICefRunQuickMenuCallback | Callback interface used for continuation of custom quick menu display.
Interface ICefContextMenuHandler | Implement this interface to handle context menu events. The functions of this interface will be called on the UI thread.
Interface ICefAccessibilityHandler | Implement this interface to receive accessibility notification when accessibility events have been registered. The functions of this interface will be called on the UI thread.
Interface ICefDialogHandler | Implement this interface to handle dialog events. The functions of this interface will be called on the browser process UI thread.
Interface ICefRenderHandler | Implement this interface to handle events when window rendering is disabled. The functions of this interface will be called on the UI thread.
Interface ICefClient | Implement this interface to provide handler implementations.
Interface ICefUrlRequest | Interface used to make a URL request. URL requests are not associated with a browser instance so no ICefClient callbacks will be executed. URL requests can be created on any valid CEF thread in either the browser or render process. Once created the functions of the URL request object must be accessed on the same thread that created it.
Interface ICefUrlrequestClient | Interface that should be implemented by the ICefUrlRequest client. The functions of this interface will be called on the same thread that created the request unless otherwise documented.
Interface ICefEndTracingCallback | Implement this interface to receive notification when tracing has completed. The functions of this interface will be called on the browser process UI thread.
Interface ICefFileDialogCallback | Callback interface for asynchronous continuation of file dialog requests.
Interface ICefUnresponsiveProcessCallback | Callback structure for asynchronous handling of an unresponsive process.
Interface ICefDragData | Interface used to represent drag data. The functions of this interface may be called on any thread.
Interface ICefDragHandler | Implement this interface to handle events related to dragging. The functions of this interface will be called on the UI thread.
Interface ICefFindHandler | Implement this interface to handle events related to find results. The functions of this interface will be called on the UI thread.
Interface ICefRequestContextHandler | Implement this interface to provide handler implementations. The handler instance will not be released until all objects related to the context have been destroyed.
Interface ICefResolveCallback | Callback interface for ICefRequestContext.ResolveHost.
Interface ICefPreferenceObserver | Implemented by the client to observe preference changes and registered via ICefPreferenceManager.AddPreferenceObserver. The functions of this structure will be called on the browser process UI thread.
Interface ICefPreferenceManager | Manage access to preferences. Many built-in preferences are registered by Chromium. Custom preferences can be registered in ICefBrowserProcessHandler.OnRegisterCustomPreferences.
Interface ICefSettingObserver | Implemented by the client to observe content and website setting changes and registered via ICefRequestContext.AddSettingObserver. The functions of this structure will be called on the browser process UI thread.
Interface ICefRequestContext | A request context provides request handling for a set of related browser or URL request objects. A request context can be specified when creating a new browser via the ICefBrowserHost static factory functions or when creating a new URL request via the ICefUrlRequest static factory functions. Browser objects with different request contexts will never be hosted in the same render process. Browser objects with the same request context may or may not be hosted in the same render process depending on the process model. Browser objects created indirectly via the JavaScript window.open function or targeted links will share the same render process and the same request context as the source browser. When running in single-process mode there is only a single render process (the main process) and so all browsers created in single-process mode will share the same request context. This will be the first request context passed into a ICefBrowserHost static factory function and all other request context objects will be ignored.
Interface ICefPrintSettings | Interface representing print settings.
Interface ICefPrintDialogCallback | Callback interface for asynchronous continuation of print dialog requests.
Interface ICefPrintJobCallback | Callback interface for asynchronous continuation of print job requests.
Interface ICefPrintHandler | Implement this interface to handle printing on Linux. Each browser will have only one print job in progress at a time. The functions of this interface will be called on the browser process UI thread.
Interface ICefNavigationEntry | Interface used to represent an entry in navigation history.
Interface ICefX509CertPrincipal | Interface representing the issuer or subject field of an X.509 certificate.
Interface ICefX509Certificate | Interface representing a X.509 certificate.
Interface ICefSslInfo | Interface representing SSL information.
Interface ICefSSLStatus | Interface representing the SSL information for a navigation entry.
Interface ICefSelectClientCertificateCallback | Callback interface used to select a client certificate for authentication.
Interface ICefResourceBundle | Interface used for retrieving resources from the resource bundle (*.pak) files loaded by CEF during startup or via the ICefResourceBundleHandler returned from ICefApp.GetResourceBundleHandler. See TCefSettings for additional options related to resource bundle loading. The functions of this interface may be called on any thread unless otherwise indicated.
Interface ICefImage | Container for a single image represented at different scale factors. All image representations should be the same size in density independent pixel (DIP) units. For example, if the image at scale factor 1.0 is 100x100 pixels then the image at scale factor 2.0 should be 200x200 pixels – both images will display with a DIP size of 100x100 units. The functions of this interface can be called on any browser process thread.
Interface ICefMenuModelDelegate | Implement this interface to handle menu model events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.
Interface ICefServer | Interface representing a server that supports HTTP and WebSocket requests. Server capacity is limited and is intended to handle only a small number of simultaneous connections (e.g. for communicating between applications on localhost). The functions of this interface are safe to call from any thread in the brower process unless otherwise indicated.
Interface ICefServerHandler | Implement this interface to handle HTTP server requests. A new thread will be created for each ICefServer.CreateServer call (the "dedicated server thread"), and the functions of this interface will be called on that thread. It is therefore recommended to use a different ICefServerHandler instance for each ICefServer.CreateServer call to avoid thread safety issues in the ICefServerHandler implementation.
Interface ICefMediaAccessCallback | Callback interface used for asynchronous continuation of media access permission requests.
Interface ICefPermissionPromptCallback | Callback interface used for asynchronous continuation of permission prompts.
Interface ICefPermissionHandler | Implement this interface to handle events related to permission requests. The functions of this interface will be called on the browser process UI thread.
Interface ICefSharedMemoryRegion | Interface that wraps platform-dependent share memory region mapping.
Interface ICefSharedProcessMessageBuilder | Interface that builds a ICefProcessMessage containing a shared memory region. This interface is not thread-safe but may be used exclusively on a different thread from the one which constructed it.
Interface ICefDisplay

This interface typically, but not always, corresponds to a physical display connected to the system. A fake Display may exist on a headless system, or a Display may correspond to a remote, virtual display. All size and position values are in density independent pixel (DIP) coordinates unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

For details on coordinate systems and usage see https://bitbucket.org/chromiumembedded/cef/wiki/GeneralUsage#markdown- header-coordinate-systems

Interface ICefLayout | A Layout handles the sizing of the children of a Panel according to implementation-specific heuristics. Methods must be called on the browser process UI thread unless otherwise indicated.
Interface ICefBoxLayout | A Layout manager that arranges child views vertically or horizontally in a side-by-side fashion with spacing around and between the child views. The child views are always sized according to their preferred size. If the host's bounds provide insufficient space, child views will be clamped. Excess space will not be distributed. Methods must be called on the browser process UI thread unless otherwise indicated.
Interface ICefFillLayout | A simple Layout that causes the associated Panel's one child to be sized to match the bounds of its parent. Methods must be called on the browser process UI thread unless otherwise indicated.
Interface ICefOverlayController | Controller for an overlay that contains a contents View added via ICefWindow.AddOverlayView. Methods exposed by this controller should be called in preference to functions of the same name exposed by the contents View unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.
Interface ICefView | A View is a rectangle within the views View hierarchy. It is the base interface for all Views. All size and position values are in density independent pixels (DIP) unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.
Interface ICefViewDelegate | Implement this interface to handle view events. All size and position values are in density independent pixels (DIP) unless otherwise indicated. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.
Interface ICefTextfield | A Textfield supports editing of text. This control is custom rendered with no platform-specific code. Methods must be called on the browser process UI thread unless otherwise indicated.
Interface ICefTextfieldDelegate | Implement this interface to handle Textfield events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.
Interface ICefScrollView | A ScrollView will show horizontal and/or vertical scrollbars when necessary based on the size of the attached content view. Methods must be called on the browser process UI thread unless otherwise indicated.
Interface ICefPanel | A Panel is a container in the views hierarchy that can contain other Views as children. Methods must be called on the browser process UI thread unless otherwise indicated.
Interface ICefPanelDelegate | Implement this interface to handle Panel events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.
Interface ICefBrowserView | A View hosting a ICefBrowser instance. Methods must be called on the browser process UI thread unless otherwise indicated.
Interface ICefBrowserViewDelegate | Implement this interface to handle BrowserView events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.
Interface ICefButton | A View representing a button. Depending on the specific type, the button could be implemented by a native control or custom rendered. Methods must be called on the browser process UI thread unless otherwise indicated.
Interface ICefButtonDelegate | Implement this interface to handle Button events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.
Interface ICefLabelButton | LabelButton is a button with optional text and/or icon. Methods must be called on the browser process UI thread unless otherwise indicated.
Interface ICefMenuButton | MenuButton is a button with optional text, icon and/or menu marker that shows a menu when clicked with the left mouse button. All size and position values are in density independent pixels (DIP) unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.
Interface ICefMenuButtonPressedLock | MenuButton pressed lock is released when this object is destroyed.
Interface ICefMenuButtonDelegate | Implement this interface to handle MenuButton events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.
Interface ICefWindow | A Window is a top-level Window/widget in the Views hierarchy. By default it will have a non-client area with title bar, icon and buttons that supports moving and resizing. All size and position values are in density independent pixels (DIP) unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.
Interface ICefWindowDelegate | Implement this interface to handle window events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

Types

TCefv8ValueArray = array of ICefv8Value;
TCefX509CertificateArray = array of ICefX509Certificate;
TCefBinaryValueArray = array of ICefBinaryValue;
TCefPostDataElementArray = array of ICefPostDataElement;
TCefMediaRouteArray = array of ICefMediaRoute;
TCefMediaSinkArray = array of ICefMediaSink;
TCefDisplayArray = array of ICefDisplay;
TCefMediaSinkInfoArray = array of TCefMediaSinkInfo;
TCefMediaRouteInfoArray = array of TCefMediaRouteInfo;
TCefMediaSourceInfoArray = array of TCefMediaSourceInfo;
TCefEndTracingCallbackProc = procedure(const tracingFile: ustring);
TCefFastTaskProc = procedure();
TCefv8ArrayBufferReleaseCallbackProc = procedure(buffer : Pointer);
TCefWebPluginIsUnstableProc = procedure(const path: ustring; unstable: Boolean);
TCefV8AccessorGetterProc = function(const name: ustring; const object_: ICefv8Value; var value: ICefv8Value; var exception: ustring): Boolean;
TCefV8AccessorSetterProc = function(const name: ustring; const object_, value: ICefv8Value; var exception: ustring): Boolean;
TCefV8InterceptorGetterByNameProc = function(const name: ustring; const object_: ICefv8Value; var value: ICefv8Value; var exception: ustring): Boolean;
TCefV8InterceptorSetterByNameProc = function(const name: ustring; const object_, value: ICefv8Value; var exception: ustring): Boolean;
TCefV8InterceptorGetterByIndexProc = function(index: integer; const object_: ICefv8Value; var value: ICefv8Value; var exception: ustring): Boolean;
TCefV8InterceptorSetterByIndexProc = function(index: integer; const object_, value: ICefv8Value; var exception: ustring): Boolean;
TOnPdfPrintFinishedProc = procedure(const path: ustring; ok: Boolean);
TCefDomVisitorProc = procedure(const document: ICefDomDocument);
TCefDomVisitorProc2 = procedure(const browser : ICefBrowser; const frame: ICefFrame; const document: ICefDomDocument);
TCefDomVisitorProc3 = procedure(const browser : ICefBrowser; const frame: ICefFrame; const document: ICefDomDocument; const aValue : ustring);
TCefStringVisitorProc = procedure(const str: ustring);
TCefRunFileDialogCallbackProc = procedure(const filePaths: TStrings);
TCefCompletionCallbackProc = procedure();
TCefSetCookieCallbackProc = procedure(success: Boolean);
TCefDeleteCookiesCallbackProc = procedure(numDeleted: Integer);
TCefNavigationEntryVisitorProc = function(const entry: ICefNavigationEntry; current: Boolean; index, total: Integer): Boolean;
TOnDownloadImageFinishedProc = procedure(const imageUrl: ustring; httpStatusCode: Integer; const image: ICefImage);
TCefCookieVisitorProc = function(const name, value, domain, path: ustring; secure, httponly, hasExpires: Boolean; const creation, lastAccess, expires: TDateTime; count, total: Integer; same_site : TCefCookieSameSite; priority : TCefCookiePriority; out deleteCookie: Boolean): Boolean;
TCefMediaRouteCreateCallbackProc = procedure(result: TCefMediaRouterCreateResult; const error: ustring; const route: ICefMediaRoute);
TCefMediaSinkDeviceInfoCallbackProc = procedure(const ip_address: ustring; port: integer; const model_name: ustring);

Description

Types

TCefv8ValueArray = array of ICefv8Value;

This item has no description.

TCefX509CertificateArray = array of ICefX509Certificate;

This item has no description.

TCefBinaryValueArray = array of ICefBinaryValue;

This item has no description.

TCefPostDataElementArray = array of ICefPostDataElement;

This item has no description.

TCefMediaRouteArray = array of ICefMediaRoute;

This item has no description.

TCefMediaSinkArray = array of ICefMediaSink;

This item has no description.

TCefDisplayArray = array of ICefDisplay;

This item has no description.

TCefMediaSinkInfoArray = array of TCefMediaSinkInfo;

This item has no description.

TCefMediaRouteInfoArray = array of TCefMediaRouteInfo;

This item has no description.

TCefMediaSourceInfoArray = array of TCefMediaSourceInfo;

This item has no description.

TCefEndTracingCallbackProc = procedure(const tracingFile: ustring);

* ******************************************* **** Callback procedures and functions **** ******************************************* *

TCefFastTaskProc = procedure();

This item has no description.

TCefv8ArrayBufferReleaseCallbackProc = procedure(buffer : Pointer);

This item has no description.

TCefWebPluginIsUnstableProc = procedure(const path: ustring; unstable: Boolean);

This item has no description.

TCefV8AccessorGetterProc = function(const name: ustring; const object_: ICefv8Value; var value: ICefv8Value; var exception: ustring): Boolean;

This item has no description.

TCefV8AccessorSetterProc = function(const name: ustring; const object_, value: ICefv8Value; var exception: ustring): Boolean;

This item has no description.

TCefV8InterceptorGetterByNameProc = function(const name: ustring; const object_: ICefv8Value; var value: ICefv8Value; var exception: ustring): Boolean;

This item has no description.

TCefV8InterceptorSetterByNameProc = function(const name: ustring; const object_, value: ICefv8Value; var exception: ustring): Boolean;

This item has no description.

TCefV8InterceptorGetterByIndexProc = function(index: integer; const object_: ICefv8Value; var value: ICefv8Value; var exception: ustring): Boolean;

This item has no description.

TCefV8InterceptorSetterByIndexProc = function(index: integer; const object_, value: ICefv8Value; var exception: ustring): Boolean;

This item has no description.

TOnPdfPrintFinishedProc = procedure(const path: ustring; ok: Boolean);

This item has no description.

TCefDomVisitorProc = procedure(const document: ICefDomDocument);

This item has no description.

TCefDomVisitorProc2 = procedure(const browser : ICefBrowser; const frame: ICefFrame; const document: ICefDomDocument);

This item has no description.

TCefDomVisitorProc3 = procedure(const browser : ICefBrowser; const frame: ICefFrame; const document: ICefDomDocument; const aValue : ustring);

This item has no description.

TCefStringVisitorProc = procedure(const str: ustring);

This item has no description.

TCefRunFileDialogCallbackProc = procedure(const filePaths: TStrings);

This item has no description.

TCefCompletionCallbackProc = procedure();

This item has no description.

TCefSetCookieCallbackProc = procedure(success: Boolean);

This item has no description.

TCefDeleteCookiesCallbackProc = procedure(numDeleted: Integer);

This item has no description.

TCefNavigationEntryVisitorProc = function(const entry: ICefNavigationEntry; current: Boolean; index, total: Integer): Boolean;

This item has no description.

TOnDownloadImageFinishedProc = procedure(const imageUrl: ustring; httpStatusCode: Integer; const image: ICefImage);

This item has no description.

TCefCookieVisitorProc = function(const name, value, domain, path: ustring; secure, httponly, hasExpires: Boolean; const creation, lastAccess, expires: TDateTime; count, total: Integer; same_site : TCefCookieSameSite; priority : TCefCookiePriority; out deleteCookie: Boolean): Boolean;

This item has no description.

TCefMediaRouteCreateCallbackProc = procedure(result: TCefMediaRouterCreateResult; const error: ustring; const route: ICefMediaRoute);

This item has no description.

TCefMediaSinkDeviceInfoCallbackProc = procedure(const ip_address: ustring; port: integer; const model_name: ustring);

This item has no description.


cef4delphi: uCEFInterfaces: Record TCefMediaSinkInfo

Record TCefMediaSinkInfo

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type TCefMediaSinkInfo = record

Description

Custom record with media sink information.

Overview

Fields

Public | ID: ustring;
Public | Name: ustring;
Public | IconType: TCefMediaSinkIconType;
Public | SinkType: TCefMediaType;
Public | SinkIntf: ICefMediaSink;

Description

Fields

Public ID: ustring;

This item has no description.

Public Name: ustring;

This item has no description.

Public IconType: TCefMediaSinkIconType;

This item has no description.

Public SinkType: TCefMediaType;

This item has no description.

Public SinkIntf: ICefMediaSink;

This item has no description.


cef4delphi: uCEFInterfaces: Record TCefMediaRouteInfo

Record TCefMediaRouteInfo

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type TCefMediaRouteInfo = record

Description

Custom record with media route information.

Overview

Fields

Public | ID: ustring;
Public | SourceID: ustring;
Public | SinkID: ustring;
Public | RouteIntf: ICefMediaRoute;

Description

Fields

Public ID: ustring;

This item has no description.

Public SourceID: ustring;

This item has no description.

Public SinkID: ustring;

This item has no description.

Public RouteIntf: ICefMediaRoute;

This item has no description.


cef4delphi: uCEFInterfaces: Record TCefMediaSourceInfo

Record TCefMediaSourceInfo

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type TCefMediaSourceInfo = record

Description

Custom record with media source information.

Overview

Fields

Public | ID: ustring;
Public | Valid: boolean;
Public | SourceType: TCefMediaType;
Public | SourceIntf: ICefMediaSource;

Description

Fields

Public ID: ustring;

This item has no description.

Public Valid: boolean;

This item has no description.

Public SourceType: TCefMediaType;

This item has no description.

Public SourceIntf: ICefMediaSource;

This item has no description.


cef4delphi: uCEFInterfaces: Interface ICefStringList

Interface ICefStringList

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefStringList = interface(IInterface)

Description

Custom interface used to handle all the CEF functions related to CefStringList.

Attributes
GUID['{DB24F301-2F64-48D6-A72E-33697748147E}']

Hierarchy

  • IInterface
  • ICefStringList

Overview

Methods

Public | function GetHandle: TCefStringList;
Public | function GetSize: NativeUInt;
Public | function GetValue(Index: NativeUInt): ustring;
Public | procedure Append(const Value: ustring);
Public | procedure Clear;
Public | function Copy: TCefStringList;
Public | procedure CopyToStrings(const aStrings : TStrings);
Public | procedure AddStrings(const aStrings : TStrings);

Properties

Public | property Handle : TCefStringList read GetHandle;
Public | property Size : NativeUInt read GetSize;
Public | property Value[index: NativeUInt]: ustring read GetValue;

Description

Methods

Public function GetHandle: TCefStringList;

This item has no description.

Public function GetSize: NativeUInt;

This item has no description.

Public function GetValue(Index: NativeUInt): ustring;

This item has no description.

Public procedure Append(const Value: ustring);

This item has no description.

Public procedure Clear;

This item has no description.

Public function Copy: TCefStringList;

This item has no description.

Public procedure CopyToStrings(const aStrings : TStrings);

This item has no description.

Public procedure AddStrings(const aStrings : TStrings);

This item has no description.

Properties

Public property Handle : TCefStringList read GetHandle;

This item has no description.

Public property Size : NativeUInt read GetSize;

This item has no description.

Public property Value[index: NativeUInt]: ustring read GetValue;

This item has no description.


cef4delphi: uCEFInterfaces: Interface ICefStringMap

Interface ICefStringMap

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefStringMap = interface(IInterface)

Description

Custom interface used to handle all the CEF functions related to CefStringMap.

Attributes
GUID['{A33EBC01-B23A-4918-86A4-E24A243B342F}']

Hierarchy

  • IInterface
  • ICefStringMap

Overview

Methods

Public | function GetHandle: TCefStringMap;
Public | function GetSize: NativeUInt;
Public | function Find(const Key: ustring): ustring;
Public | function GetKey(Index: NativeUInt): ustring;
Public | function GetValue(Index: NativeUInt): ustring;
Public | function Append(const Key, Value: ustring) : boolean;
Public | procedure Clear;

Properties

Public | property Handle : TCefStringMap read GetHandle;
Public | property Size : NativeUInt read GetSize;
Public | property Key[index: NativeUInt]: ustring read GetKey;
Public | property Value[index: NativeUInt]: ustring read GetValue;

Description

Methods

Public function GetHandle: TCefStringMap;

This item has no description.

Public function GetSize: NativeUInt;

This item has no description.

Public function Find(const Key: ustring): ustring;

This item has no description.

Public function GetKey(Index: NativeUInt): ustring;

This item has no description.

Public function GetValue(Index: NativeUInt): ustring;

This item has no description.

Public function Append(const Key, Value: ustring) : boolean;

This item has no description.

Public procedure Clear;

This item has no description.

Properties

Public property Handle : TCefStringMap read GetHandle;

This item has no description.

Public property Size : NativeUInt read GetSize;

This item has no description.

Public property Key[index: NativeUInt]: ustring read GetKey;

This item has no description.

Public property Value[index: NativeUInt]: ustring read GetValue;

This item has no description.


cef4delphi: uCEFInterfaces: Interface ICefStringMultimap

Interface ICefStringMultimap

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefStringMultimap = interface(IInterface)

Description

Custom interface used to handle all the CEF functions related to CefStringMultimap.

Attributes
GUID['{583ED0C2-A9D6-4034-A7C9-20EC7E47F0C7}']

Hierarchy

  • IInterface
  • ICefStringMultimap

Overview

Methods

Public | function GetHandle: TCefStringMultimap;
Public | function GetSize: NativeUInt;
Public | function FindCount(const Key: ustring): NativeUInt;
Public | function GetEnumerate(const Key: ustring; ValueIndex: NativeUInt): ustring;
Public | function GetKey(Index: NativeUInt): ustring;
Public | function GetValue(Index: NativeUInt): ustring;
Public | function Append(const Key, Value: ustring) : boolean;
Public | procedure Clear;

Properties

Public | property Handle : TCefStringMultimap read GetHandle;
Public | property Size : NativeUInt read GetSize;
Public | property Key[index: NativeUInt]: ustring read GetKey;
Public | property Value[index: NativeUInt]: ustring read GetValue;
Public | property Enumerate[const aKey: ustring; aValueIndex: NativeUInt]: ustring read GetEnumerate;

Description

Methods

Public function GetHandle: TCefStringMultimap;

This item has no description.

Public function GetSize: NativeUInt;

This item has no description.

Public function FindCount(const Key: ustring): NativeUInt;

This item has no description.

Public function GetEnumerate(const Key: ustring; ValueIndex: NativeUInt): ustring;

This item has no description.

Public function GetKey(Index: NativeUInt): ustring;

This item has no description.

Public function GetValue(Index: NativeUInt): ustring;

This item has no description.

Public function Append(const Key, Value: ustring) : boolean;

This item has no description.

Public procedure Clear;

This item has no description.

Properties

Public property Handle : TCefStringMultimap read GetHandle;

This item has no description.

Public property Size : NativeUInt read GetSize;

This item has no description.

Public property Key[index: NativeUInt]: ustring read GetKey;

This item has no description.

Public property Value[index: NativeUInt]: ustring read GetValue;

This item has no description.

Public property Enumerate[const aKey: ustring; aValueIndex: NativeUInt]: ustring read GetEnumerate;

This item has no description.


cef4delphi: uCEFInterfaces: Interface IApplicationCoreEvents

Interface IApplicationCoreEvents

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type IApplicationCoreEvents = interface(IInterface)

Description

Custom interface used to handle all the TCefApplicationCore events.

Attributes
GUID['{55E99E25-A05D-46D5-B3A4-C8C2E71C1F4D}']

Hierarchy

  • IInterface
  • IApplicationCoreEvents

Overview

Methods

Public | procedure doOnBeforeCommandLineProcessing(const processType: ustring; const commandLine: ICefCommandLine);
Public | procedure doOnRegisterCustomSchemes(const registrar: TCefSchemeRegistrarRef);
Public | procedure doOnRegisterCustomPreferences(type_: TCefPreferencesType; registrar: PCefPreferenceRegistrar);
Public | procedure doOnContextInitialized;
Public | procedure doOnBeforeChildProcessLaunch(const commandLine: ICefCommandLine);
Public | procedure doOnAlreadyRunningAppRelaunch(const commandLine: ICefCommandLine; const current_directory: ustring; var aResult: boolean);
Public | procedure doOnScheduleMessagePumpWork(const delayMs: Int64);
Public | procedure doGetDefaultClient(var aClient : ICefClient);
Public | procedure doGetDefaultRequestContextHandler(var aRequestContextHandler : ICefRequestContextHandler);
Public | function doGetLocalizedString(stringid: Integer; var stringVal: ustring): Boolean;
Public | function doGetDataResource(resourceId: Integer; var data: Pointer; var dataSize: NativeUInt): Boolean;
Public | function doGetDataResourceForScale(resourceId: Integer; scaleFactor: TCefScaleFactor; var data: Pointer; var dataSize: NativeUInt): Boolean;
Public | procedure doOnWebKitInitialized;
Public | procedure doOnBrowserCreated(const browser: ICefBrowser; const extra_info: ICefDictionaryValue);
Public | procedure doOnBrowserDestroyed(const browser: ICefBrowser);
Public | procedure doOnContextCreated(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context);
Public | procedure doOnContextReleased(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context);
Public | procedure doOnUncaughtException(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context; const V8Exception: ICefV8Exception; const stackTrace: ICefV8StackTrace);
Public | procedure doOnFocusedNodeChanged(const browser: ICefBrowser; const frame: ICefFrame; const node: ICefDomNode);
Public | procedure doOnProcessMessageReceived(const browser: ICefBrowser; const frame: ICefFrame; sourceProcess: TCefProcessId; const aMessage: ICefProcessMessage; var aHandled : boolean);
Public | procedure doOnLoadingStateChange(const browser: ICefBrowser; isLoading, canGoBack, canGoForward: Boolean);
Public | procedure doOnLoadStart(const browser: ICefBrowser; const frame: ICefFrame; transitionType: TCefTransitionType);
Public | procedure doOnLoadEnd(const browser: ICefBrowser; const frame: ICefFrame; httpStatusCode: Integer);
Public | procedure doOnLoadError(const browser: ICefBrowser; const frame: ICefFrame; errorCode: TCefErrorCode; const errorText, failedUrl: ustring);

Description

Methods

Public procedure doOnBeforeCommandLineProcessing(const processType: ustring; const commandLine: ICefCommandLine);

ICefApp

Public procedure doOnRegisterCustomSchemes(const registrar: TCefSchemeRegistrarRef);

This item has no description.

Public procedure doOnRegisterCustomPreferences(type_: TCefPreferencesType; registrar: PCefPreferenceRegistrar);

ICefBrowserProcessHandler

Public procedure doOnContextInitialized;

This item has no description.

Public procedure doOnBeforeChildProcessLaunch(const commandLine: ICefCommandLine);

This item has no description.

Public procedure doOnAlreadyRunningAppRelaunch(const commandLine: ICefCommandLine; const current_directory: ustring; var aResult: boolean);

This item has no description.

Public procedure doOnScheduleMessagePumpWork(const delayMs: Int64);

This item has no description.

Public procedure doGetDefaultClient(var aClient : ICefClient);

This item has no description.

Public procedure doGetDefaultRequestContextHandler(var aRequestContextHandler : ICefRequestContextHandler);

This item has no description.

Public function doGetLocalizedString(stringid: Integer; var stringVal: ustring): Boolean;

ICefResourceBundleHandler

Public function doGetDataResource(resourceId: Integer; var data: Pointer; var dataSize: NativeUInt): Boolean;

This item has no description.

Public function doGetDataResourceForScale(resourceId: Integer; scaleFactor: TCefScaleFactor; var data: Pointer; var dataSize: NativeUInt): Boolean;

This item has no description.

Public procedure doOnWebKitInitialized;

ICefRenderProcessHandler

Public procedure doOnBrowserCreated(const browser: ICefBrowser; const extra_info: ICefDictionaryValue);

This item has no description.

Public procedure doOnBrowserDestroyed(const browser: ICefBrowser);

This item has no description.

Public procedure doOnContextCreated(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context);

This item has no description.

Public procedure doOnContextReleased(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context);

This item has no description.

Public procedure doOnUncaughtException(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context; const V8Exception: ICefV8Exception; const stackTrace: ICefV8StackTrace);

This item has no description.

Public procedure doOnFocusedNodeChanged(const browser: ICefBrowser; const frame: ICefFrame; const node: ICefDomNode);

This item has no description.

Public procedure doOnProcessMessageReceived(const browser: ICefBrowser; const frame: ICefFrame; sourceProcess: TCefProcessId; const aMessage: ICefProcessMessage; var aHandled : boolean);

This item has no description.

Public procedure doOnLoadingStateChange(const browser: ICefBrowser; isLoading, canGoBack, canGoForward: Boolean);

ICefLoadHandler

Public procedure doOnLoadStart(const browser: ICefBrowser; const frame: ICefFrame; transitionType: TCefTransitionType);

This item has no description.

Public procedure doOnLoadEnd(const browser: ICefBrowser; const frame: ICefFrame; httpStatusCode: Integer);

This item has no description.

Public procedure doOnLoadError(const browser: ICefBrowser; const frame: ICefFrame; errorCode: TCefErrorCode; const errorText, failedUrl: ustring);

This item has no description.


cef4delphi: uCEFInterfaces: Interface IChromiumEvents

Interface IChromiumEvents

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type IChromiumEvents = interface(IInterface)

Description

Custom interface used to handle all the TChromiumCore events.

Attributes
GUID['{0C139DB1-0349-4D7F-8155-76FEA6A0126D}']

Hierarchy

  • IInterface
  • IChromiumEvents

Overview

Methods

Public | procedure GetSettings(var settings: TCefBrowserSettings);
Public | function doOnProcessMessageReceived(const browser: ICefBrowser; const frame: ICefFrame; sourceProcess: TCefProcessId; const message: ICefProcessMessage): Boolean;
Public | procedure doOnLoadingStateChange(const browser: ICefBrowser; isLoading, canGoBack, canGoForward: Boolean);
Public | procedure doOnLoadStart(const browser: ICefBrowser; const frame: ICefFrame; transitionType: TCefTransitionType);
Public | procedure doOnLoadEnd(const browser: ICefBrowser; const frame: ICefFrame; httpStatusCode: Integer);
Public | procedure doOnLoadError(const browser: ICefBrowser; const frame: ICefFrame; errorCode: TCefErrorCode; const errorText, failedUrl: ustring);
Public | procedure doOnTakeFocus(const browser: ICefBrowser; next: Boolean);
Public | function doOnSetFocus(const browser: ICefBrowser; source: TCefFocusSource): Boolean;
Public | procedure doOnGotFocus(const browser: ICefBrowser);
Public | procedure doOnBeforeContextMenu(const browser: ICefBrowser; const frame: ICefFrame; const params: ICefContextMenuParams; const model: ICefMenuModel);
Public | function doRunContextMenu(const browser: ICefBrowser; const frame: ICefFrame; const params: ICefContextMenuParams; const model: ICefMenuModel; const callback: ICefRunContextMenuCallback): Boolean;
Public | function doOnContextMenuCommand(const browser: ICefBrowser; const frame: ICefFrame; const params: ICefContextMenuParams; commandId: Integer; eventFlags: TCefEventFlags): Boolean;
Public | procedure doOnContextMenuDismissed(const browser: ICefBrowser; const frame: ICefFrame);
Public | function doRunQuickMenu(const browser: ICefBrowser; const frame: ICefFrame; location: PCefPoint; size: PCefSize; edit_state_flags: TCefQuickMenuEditStateFlags; const callback: ICefRunQuickMenuCallback): boolean;
Public | function doOnQuickMenuCommand(const browser: ICefBrowser; const frame: ICefFrame; command_id: integer; event_flags: TCefEventFlags): boolean;
Public | procedure doOnQuickMenuDismissed(const browser: ICefBrowser; const frame: ICefFrame);
Public | function doOnPreKeyEvent(const browser: ICefBrowser; const event: PCefKeyEvent; osEvent: TCefEventHandle; out isKeyboardShortcut: Boolean): Boolean;
Public | function doOnKeyEvent(const browser: ICefBrowser; const event: PCefKeyEvent; osEvent: TCefEventHandle): Boolean;
Public | procedure doOnAddressChange(const browser: ICefBrowser; const frame: ICefFrame; const url: ustring);
Public | procedure doOnTitleChange(const browser: ICefBrowser; const title: ustring);
Public | procedure doOnFaviconUrlChange(const browser: ICefBrowser; const iconUrls: TStrings);
Public | procedure doOnFullScreenModeChange(const browser: ICefBrowser; fullscreen: Boolean);
Public | function doOnTooltip(const browser: ICefBrowser; var text: ustring): Boolean;
Public | procedure doOnStatusMessage(const browser: ICefBrowser; const value: ustring);
Public | function doOnConsoleMessage(const browser: ICefBrowser; level: TCefLogSeverity; const message, source: ustring; line: Integer): Boolean;
Public | function doOnAutoResize(const browser: ICefBrowser; const new_size: PCefSize): Boolean;
Public | procedure doOnLoadingProgressChange(const browser: ICefBrowser; const progress: double);
Public | procedure doOnCursorChange(const browser: ICefBrowser; cursor_: TCefCursorHandle; cursorType: TCefCursorType; const customCursorInfo: PCefCursorInfo; var aResult : boolean);
Public | procedure doOnMediaAccessChange(const browser: ICefBrowser; has_video_access, has_audio_access: boolean);
Public | function doOnContentsBoundsChange(const browser: ICefBrowser; const new_bounds: PCefRect): Boolean;
Public | function doOnGetRootWindowScreenRect(const browser: ICefBrowser; rect_: PCefRect): Boolean;
Public | function doOnCanDownload(const browser: ICefBrowser; const url, request_method: ustring): boolean;
Public | function doOnBeforeDownload(const browser: ICefBrowser; const downloadItem: ICefDownloadItem; const suggestedName: ustring; const callback: ICefBeforeDownloadCallback): boolean;
Public | procedure doOnDownloadUpdated(const browser: ICefBrowser; const downloadItem: ICefDownloadItem; const callback: ICefDownloadItemCallback);
Public | function doOnJsdialog(const browser: ICefBrowser; const originUrl: ustring; dialogType: TCefJsDialogType; const messageText, defaultPromptText: ustring; const callback: ICefJsDialogCallback; out suppressMessage: Boolean): Boolean;
Public | function doOnBeforeUnloadDialog(const browser: ICefBrowser; const messageText: ustring; isReload: Boolean; const callback: ICefJsDialogCallback): Boolean;
Public | procedure doOnResetDialogState(const browser: ICefBrowser);
Public | procedure doOnDialogClosed(const browser: ICefBrowser);
Public | function doOnBeforePopup(const browser: ICefBrowser; const frame: ICefFrame; popup_id: Integer; const targetUrl, targetFrameName: ustring; targetDisposition: TCefWindowOpenDisposition; userGesture: Boolean; const popupFeatures: TCefPopupFeatures; var windowInfo: TCefWindowInfo; var client: ICefClient; var settings: TCefBrowserSettings; var extra_info: ICefDictionaryValue; var noJavascriptAccess: Boolean): Boolean;
Public | procedure doOnBeforePopupAborted(const browser: ICefBrowser; popup_id: Integer);
Public | procedure doOnBeforeDevToolsPopup(const browser: ICefBrowser; var windowInfo: TCefWindowInfo; var client: ICefClient; var settings: TCefBrowserSettings; var extra_info: ICefDictionaryValue; var use_default_window: boolean);
Public | procedure doOnAfterCreated(const browser: ICefBrowser);
Public | procedure doOnBeforeClose(const browser: ICefBrowser);
Public | function doOnClose(const browser: ICefBrowser): Boolean;
Public | function doOnBeforeBrowse(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; user_gesture, isRedirect: Boolean): Boolean;
Public | function doOnOpenUrlFromTab(const browser: ICefBrowser; const frame: ICefFrame; const targetUrl: ustring; targetDisposition: TCefWindowOpenDisposition; userGesture: Boolean): Boolean;
Public | procedure doGetResourceRequestHandler_ReqHdlr(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; is_navigation, is_download: boolean; const request_initiator: ustring; var disable_default_handling: boolean; var aResourceRequestHandler : ICefResourceRequestHandler);
Public | function doOnGetAuthCredentials(const browser: ICefBrowser; const originUrl: ustring; isProxy: Boolean; const host: ustring; port: Integer; const realm, scheme: ustring; const callback: ICefAuthCallback): Boolean;
Public | function doOnCertificateError(const browser: ICefBrowser; certError: TCefErrorcode; const requestUrl: ustring; const sslInfo: ICefSslInfo; const callback: ICefCallback): Boolean;
Public | function doOnSelectClientCertificate(const browser: ICefBrowser; isProxy: boolean; const host: ustring; port: integer; certificatesCount: NativeUInt; const certificates: TCefX509CertificateArray; const callback: ICefSelectClientCertificateCallback): boolean;
Public | procedure doOnRenderViewReady(const browser: ICefBrowser);
Public | function doOnRenderProcessUnresponsive(const browser: ICefBrowser; const callback: ICefUnresponsiveProcessCallback): boolean;
Public | procedure doOnRenderProcessResponsive(const browser: ICefBrowser);
Public | procedure doOnRenderProcessTerminated(const browser: ICefBrowser; status: TCefTerminationStatus; error_code: integer; const error_string: ustring);
Public | procedure doOnDocumentAvailableInMainFrame(const browser: ICefBrowser);
Public | function doOnBeforeResourceLoad(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const callback: ICefCallback): TCefReturnValue;
Public | procedure doOnGetResourceHandler(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; var aResourceHandler: ICefResourceHandler);
Public | procedure doOnResourceRedirect(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; var newUrl: ustring);
Public | function doOnResourceResponse(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse): Boolean;
Public | procedure doOnGetResourceResponseFilter(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; var aResponseFilter: ICefResponseFilter);
Public | procedure doOnResourceLoadComplete(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; status: TCefUrlRequestStatus; receivedContentLength: Int64);
Public | procedure doOnProtocolExecution(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; var allowOsExecution: Boolean);
Public | function doCanSendCookie(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const cookie: PCefCookie): boolean;
Public | function doCanSaveCookie(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; const cookie: PCefCookie): boolean;
Public | function doOnFileDialog(const browser: ICefBrowser; mode: TCefFileDialogMode; const title, defaultFilePath: ustring; const acceptFilters, accept_extensions, accept_descriptions: TStrings; const callback: ICefFileDialogCallback): Boolean;
Public | procedure doOnGetAccessibilityHandler(var aAccessibilityHandler : ICefAccessibilityHandler);
Public | function doOnGetRootScreenRect(const browser: ICefBrowser; var rect: TCefRect): Boolean;
Public | procedure doOnGetViewRect(const browser: ICefBrowser; var rect: TCefRect);
Public | function doOnGetScreenPoint(const browser: ICefBrowser; viewX, viewY: Integer; var screenX, screenY: Integer): Boolean;
Public | function doOnGetScreenInfo(const browser: ICefBrowser; var screenInfo: TCefScreenInfo): Boolean;
Public | procedure doOnPopupShow(const browser: ICefBrowser; show: Boolean);
Public | procedure doOnPopupSize(const browser: ICefBrowser; const rect: PCefRect);
Public | procedure doOnPaint(const browser: ICefBrowser; type_: TCefPaintElementType; dirtyRectsCount: NativeUInt; const dirtyRects: PCefRectArray; const buffer: Pointer; width, height: Integer);
Public | procedure doOnAcceleratedPaint(const browser: ICefBrowser; type_: TCefPaintElementType; dirtyRectsCount: NativeUInt; const dirtyRects: PCefRectArray; const info: PCefAcceleratedPaintInfo);
Public | procedure doGetTouchHandleSize(const browser: ICefBrowser; orientation: TCefHorizontalAlignment; var size: TCefSize);
Public | procedure doOnTouchHandleStateChanged(const browser: ICefBrowser; const state: TCefTouchHandleState);
Public | function doOnStartDragging(const browser: ICefBrowser; const dragData: ICefDragData; allowedOps: TCefDragOperations; x, y: Integer): Boolean;
Public | procedure doOnUpdateDragCursor(const browser: ICefBrowser; operation: TCefDragOperation);
Public | procedure doOnScrollOffsetChanged(const browser: ICefBrowser; x, y: Double);
Public | procedure doOnIMECompositionRangeChanged(const browser: ICefBrowser; const selected_range: PCefRange; character_boundsCount: NativeUInt; const character_bounds: PCefRect);
Public | procedure doOnTextSelectionChanged(const browser: ICefBrowser; const selected_text: ustring; const selected_range: PCefRange);
Public | procedure doOnVirtualKeyboardRequested(const browser: ICefBrowser; input_mode: TCefTextInpuMode);
Public | function doOnDragEnter(const browser: ICefBrowser; const dragData: ICefDragData; mask: TCefDragOperations): Boolean;
Public | procedure doOnDraggableRegionsChanged(const browser: ICefBrowser; const frame: ICefFrame; regionsCount: NativeUInt; const regions: PCefDraggableRegionArray);
Public | procedure doOnFindResult(const browser: ICefBrowser; identifier, count: Integer; const selectionRect: PCefRect; activeMatchOrdinal: Integer; finalUpdate: Boolean);
Public | procedure doOnRequestContextInitialized(const request_context: ICefRequestContext);
Public | procedure doGetResourceRequestHandler_ReqCtxHdlr(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; is_navigation, is_download: boolean; const request_initiator: ustring; var disable_default_handling: boolean; var aResourceRequestHandler : ICefResourceRequestHandler);
Public | procedure doOnSinks(const sinks: TCefMediaSinkArray);
Public | procedure doOnRoutes(const routes: TCefMediaRouteArray);
Public | procedure doOnRouteStateChanged(const route: ICefMediaRoute; state: TCefMediaRouteConnectionState);
Public | procedure doOnRouteMessageReceived(const route: ICefMediaRoute; const message_: ustring);
Public | procedure doOnGetAudioParameters(const browser: ICefBrowser; var params: TCefAudioParameters; var aResult: boolean);
Public | procedure doOnAudioStreamStarted(const browser: ICefBrowser; const params: TCefAudioParameters; channels: integer);
Public | procedure doOnAudioStreamPacket(const browser: ICefBrowser; const data : PPSingle; frames: integer; pts: int64);
Public | procedure doOnAudioStreamStopped(const browser: ICefBrowser);
Public | procedure doOnAudioStreamError(const browser: ICefBrowser; const message_: ustring);
Public | procedure doOnDevToolsMessage(const browser: ICefBrowser; const message_: Pointer; message_size: NativeUInt; var aHandled: boolean);
Public | procedure doOnDevToolsMethodResult(const browser: ICefBrowser; message_id: integer; success: boolean; const result: Pointer; result_size: NativeUInt);
Public | procedure doOnDevToolsEvent(const browser: ICefBrowser; const method: ustring; const params: Pointer; params_size: NativeUInt);
Public | procedure doOnDevToolsAgentAttached(const browser: ICefBrowser);
Public | procedure doOnDevToolsAgentDetached(const browser: ICefBrowser);
Public | procedure doOnPrintStart(const browser: ICefBrowser);
Public | procedure doOnPrintSettings(const browser: ICefBrowser; const settings: ICefPrintSettings; getDefaults: boolean);
Public | procedure doOnPrintDialog(const browser: ICefBrowser; hasSelection: boolean; const callback: ICefPrintDialogCallback; var aResult : boolean);
Public | procedure doOnPrintJob(const browser: ICefBrowser; const documentName, PDFFilePath: ustring; const callback: ICefPrintJobCallback; var aResult : boolean);
Public | procedure doOnPrintReset(const browser: ICefBrowser);
Public | procedure doOnGetPDFPaperSize(const browser: ICefBrowser; deviceUnitsPerInch: Integer; var aResult : TCefSize);
Public | procedure doOnFrameCreated(const browser: ICefBrowser; const frame: ICefFrame);
Public | procedure doOnFrameDestroyed(const browser: ICefBrowser; const frame: ICefFrame);
Public | procedure doOnFrameAttached(const browser: ICefBrowser; const frame: ICefFrame; reattached: boolean);
Public | procedure doOnFrameDetached(const browser: ICefBrowser; const frame: ICefFrame);
Public | procedure doOnMainFrameChanged(const browser: ICefBrowser; const old_frame, new_frame: ICefFrame);
Public | function doOnChromeCommand(const browser: ICefBrowser; command_id: integer; disposition: TCefWindowOpenDisposition): boolean;
Public | function doOnIsChromeAppMenuItemVisible(const browser: ICefBrowser; command_id: integer): boolean;
Public | function doOnIsChromeAppMenuItemEnabled(const browser: ICefBrowser; command_id: integer): boolean;
Public | function doOnIsChromePageActionIconVisible(icon_type: TCefChromePageActionIconType): boolean;
Public | function doOnIsChromeToolbarButtonVisible(button_type: TCefChromeToolbarButtonType): boolean;
Public | function doOnRequestMediaAccessPermission(const browser: ICefBrowser; const frame: ICefFrame; const requesting_origin: ustring; requested_permissions: cardinal; const callback: ICefMediaAccessCallback): boolean;
Public | function doOnShowPermissionPrompt(const browser: ICefBrowser; prompt_id: uint64; const requesting_origin: ustring; requested_permissions: cardinal; const callback: ICefPermissionPromptCallback): boolean;
Public | procedure doOnDismissPermissionPrompt(const browser: ICefBrowser; prompt_id: uint64; result: TCefPermissionRequestResult);
Public | procedure doOnPreferenceChanged(const name: ustring);
Public | procedure doOnSettingChanged(const requesting_url, top_level_url : ustring; content_type: TCefContentSettingTypes);
Public | procedure doCookiesDeleted(numDeleted : integer);
Public | procedure doPdfPrintFinished(aResultOK : boolean);
Public | procedure doTextResultAvailable(const aText : ustring);
Public | procedure doUpdatePreferences(const aBrowser: ICefBrowser);
Public | procedure doUpdateOwnPreferences;
Public | function doSavePreferences: boolean;
Public | procedure doResolvedHostAvailable(result: TCefErrorCode; const resolvedIps: TStrings);
Public | function doNavigationVisitorResultAvailable(const entry: ICefNavigationEntry; current: Boolean; index, total: Integer) : boolean;
Public | procedure doDownloadImageFinished(const imageUrl: ustring; httpStatusCode: Integer; const image: ICefImage);
Public | procedure doOnCookiesStoreFlushed;
Public | procedure doCertificateExceptionsCleared;
Public | procedure doHttpAuthCredentialsCleared;
Public | procedure doAllConnectionsClosed;
Public | procedure doOnExecuteTaskOnCefThread(aTaskID : cardinal);
Public | procedure doOnCookiesVisited(const name_, value, domain, path: ustring; secure, httponly, hasExpires: Boolean; const creation, lastAccess, expires: TDateTime; count, total, aID : Integer; same_site : TCefCookieSameSite; priority : TCefCookiePriority; var aDeleteCookie, aResult : Boolean);
Public | procedure doOnCookieVisitorDestroyed(aID : integer);
Public | procedure doOnCookieSet(aSuccess : boolean; aID : integer);
Public | procedure doUpdateZoomStep(aInc : boolean);
Public | procedure doUpdateZoomPct(aInc : boolean);
Public | procedure doSetZoomLevel(const aValue : double);
Public | procedure doSetZoomPct(const aValue : double);
Public | procedure doSetZoomStep(aValue : byte);
Public | procedure doReadZoom;
Public | procedure doMediaRouteCreateFinished(result: TCefMediaRouterCreateResult; const error: ustring; const route: ICefMediaRoute);
Public | procedure doOnMediaSinkDeviceInfo(const ip_address: ustring; port: integer; const model_name: ustring);
Public | procedure doBrowserNavigation(aTask : TCefBrowserNavigation);
Public | procedure doSetAudioMuted(aValue : boolean);
Public | procedure doToggleAudioMuted;
Public | procedure doEnableFocus;
Public | function doTryCloseBrowser: boolean;
Public | procedure doAddPreferenceObserver(const name : ustring);
Public | function MustCreateAudioHandler: boolean;
Public | function MustCreateCommandHandler: boolean;
Public | function MustCreateLoadHandler: boolean;
Public | function MustCreateFocusHandler: boolean;
Public | function MustCreateContextMenuHandler: boolean;
Public | function MustCreateDialogHandler: boolean;
Public | function MustCreateKeyboardHandler: boolean;
Public | function MustCreateDisplayHandler: boolean;
Public | function MustCreateDownloadHandler: boolean;
Public | function MustCreateJsDialogHandler: boolean;
Public | function MustCreateLifeSpanHandler: boolean;
Public | function MustCreateRenderHandler: boolean;
Public | function MustCreateRequestHandler: boolean;
Public | function MustCreateDragHandler: boolean;
Public | function MustCreateFindHandler: boolean;
Public | function MustCreateResourceRequestHandler: boolean;
Public | function MustCreateCookieAccessFilter: boolean;
Public | function MustCreateMediaObserver: boolean;
Public | function MustCreatePrintHandler: boolean;
Public | function MustCreateFrameHandler: boolean;
Public | function MustCreatePermissionHandler: boolean;
Public | function GetComponentID: integer;

Properties

Public property ComponentID : integer read GetComponentID;

Description

Methods

Public procedure GetSettings(var settings: TCefBrowserSettings);

This item has no description.

Public function doOnProcessMessageReceived(const browser: ICefBrowser; const frame: ICefFrame; sourceProcess: TCefProcessId; const message: ICefProcessMessage): Boolean;

ICefClient

Public procedure doOnLoadingStateChange(const browser: ICefBrowser; isLoading, canGoBack, canGoForward: Boolean);

ICefLoadHandler

Public procedure doOnLoadStart(const browser: ICefBrowser; const frame: ICefFrame; transitionType: TCefTransitionType);

This item has no description.

Public procedure doOnLoadEnd(const browser: ICefBrowser; const frame: ICefFrame; httpStatusCode: Integer);

This item has no description.

Public procedure doOnLoadError(const browser: ICefBrowser; const frame: ICefFrame; errorCode: TCefErrorCode; const errorText, failedUrl: ustring);

This item has no description.

Public procedure doOnTakeFocus(const browser: ICefBrowser; next: Boolean);

ICefFocusHandler

Public function doOnSetFocus(const browser: ICefBrowser; source: TCefFocusSource): Boolean;

This item has no description.

Public procedure doOnGotFocus(const browser: ICefBrowser);

This item has no description.

Public procedure doOnBeforeContextMenu(const browser: ICefBrowser; const frame: ICefFrame; const params: ICefContextMenuParams; const model: ICefMenuModel);

ICefContextMenuHandler

Public function doRunContextMenu(const browser: ICefBrowser; const frame: ICefFrame; const params: ICefContextMenuParams; const model: ICefMenuModel; const callback: ICefRunContextMenuCallback): Boolean;

This item has no description.

Public function doOnContextMenuCommand(const browser: ICefBrowser; const frame: ICefFrame; const params: ICefContextMenuParams; commandId: Integer; eventFlags: TCefEventFlags): Boolean;

This item has no description.

Public procedure doOnContextMenuDismissed(const browser: ICefBrowser; const frame: ICefFrame);

This item has no description.

Public function doRunQuickMenu(const browser: ICefBrowser; const frame: ICefFrame; location: PCefPoint; size: PCefSize; edit_state_flags: TCefQuickMenuEditStateFlags; const callback: ICefRunQuickMenuCallback): boolean;

This item has no description.

Public function doOnQuickMenuCommand(const browser: ICefBrowser; const frame: ICefFrame; command_id: integer; event_flags: TCefEventFlags): boolean;

This item has no description.

Public procedure doOnQuickMenuDismissed(const browser: ICefBrowser; const frame: ICefFrame);

This item has no description.

Public function doOnPreKeyEvent(const browser: ICefBrowser; const event: PCefKeyEvent; osEvent: TCefEventHandle; out isKeyboardShortcut: Boolean): Boolean;

ICefKeyboardHandler

Public function doOnKeyEvent(const browser: ICefBrowser; const event: PCefKeyEvent; osEvent: TCefEventHandle): Boolean;

This item has no description.

Public procedure doOnAddressChange(const browser: ICefBrowser; const frame: ICefFrame; const url: ustring);

ICefDisplayHandler

Public procedure doOnTitleChange(const browser: ICefBrowser; const title: ustring);

This item has no description.

Public procedure doOnFaviconUrlChange(const browser: ICefBrowser; const iconUrls: TStrings);

This item has no description.

Public procedure doOnFullScreenModeChange(const browser: ICefBrowser; fullscreen: Boolean);

This item has no description.

Public function doOnTooltip(const browser: ICefBrowser; var text: ustring): Boolean;

This item has no description.

Public procedure doOnStatusMessage(const browser: ICefBrowser; const value: ustring);

This item has no description.

Public function doOnConsoleMessage(const browser: ICefBrowser; level: TCefLogSeverity; const message, source: ustring; line: Integer): Boolean;

This item has no description.

Public function doOnAutoResize(const browser: ICefBrowser; const new_size: PCefSize): Boolean;

This item has no description.

Public procedure doOnLoadingProgressChange(const browser: ICefBrowser; const progress: double);

This item has no description.

Public procedure doOnCursorChange(const browser: ICefBrowser; cursor_: TCefCursorHandle; cursorType: TCefCursorType; const customCursorInfo: PCefCursorInfo; var aResult : boolean);

This item has no description.

Public procedure doOnMediaAccessChange(const browser: ICefBrowser; has_video_access, has_audio_access: boolean);

This item has no description.

Public function doOnContentsBoundsChange(const browser: ICefBrowser; const new_bounds: PCefRect): Boolean;

This item has no description.

Public function doOnGetRootWindowScreenRect(const browser: ICefBrowser; rect_: PCefRect): Boolean;

This item has no description.

Public function doOnCanDownload(const browser: ICefBrowser; const url, request_method: ustring): boolean;

ICefDownloadHandler

Public function doOnBeforeDownload(const browser: ICefBrowser; const downloadItem: ICefDownloadItem; const suggestedName: ustring; const callback: ICefBeforeDownloadCallback): boolean;

This item has no description.

Public procedure doOnDownloadUpdated(const browser: ICefBrowser; const downloadItem: ICefDownloadItem; const callback: ICefDownloadItemCallback);

This item has no description.

Public function doOnJsdialog(const browser: ICefBrowser; const originUrl: ustring; dialogType: TCefJsDialogType; const messageText, defaultPromptText: ustring; const callback: ICefJsDialogCallback; out suppressMessage: Boolean): Boolean;

ICefJsDialogHandler

Public function doOnBeforeUnloadDialog(const browser: ICefBrowser; const messageText: ustring; isReload: Boolean; const callback: ICefJsDialogCallback): Boolean;

This item has no description.

Public procedure doOnResetDialogState(const browser: ICefBrowser);

This item has no description.

Public procedure doOnDialogClosed(const browser: ICefBrowser);

This item has no description.

Public function doOnBeforePopup(const browser: ICefBrowser; const frame: ICefFrame; popup_id: Integer; const targetUrl, targetFrameName: ustring; targetDisposition: TCefWindowOpenDisposition; userGesture: Boolean; const popupFeatures: TCefPopupFeatures; var windowInfo: TCefWindowInfo; var client: ICefClient; var settings: TCefBrowserSettings; var extra_info: ICefDictionaryValue; var noJavascriptAccess: Boolean): Boolean;

ICefLifeSpanHandler

Public procedure doOnBeforePopupAborted(const browser: ICefBrowser; popup_id: Integer);

This item has no description.

Public procedure doOnBeforeDevToolsPopup(const browser: ICefBrowser; var windowInfo: TCefWindowInfo; var client: ICefClient; var settings: TCefBrowserSettings; var extra_info: ICefDictionaryValue; var use_default_window: boolean);

This item has no description.

Public procedure doOnAfterCreated(const browser: ICefBrowser);

This item has no description.

Public procedure doOnBeforeClose(const browser: ICefBrowser);

This item has no description.

Public function doOnClose(const browser: ICefBrowser): Boolean;

This item has no description.

Public function doOnBeforeBrowse(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; user_gesture, isRedirect: Boolean): Boolean;

ICefRequestHandler

Public function doOnOpenUrlFromTab(const browser: ICefBrowser; const frame: ICefFrame; const targetUrl: ustring; targetDisposition: TCefWindowOpenDisposition; userGesture: Boolean): Boolean;

This item has no description.

Public procedure doGetResourceRequestHandler_ReqHdlr(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; is_navigation, is_download: boolean; const request_initiator: ustring; var disable_default_handling: boolean; var aResourceRequestHandler : ICefResourceRequestHandler);

This item has no description.

Public function doOnGetAuthCredentials(const browser: ICefBrowser; const originUrl: ustring; isProxy: Boolean; const host: ustring; port: Integer; const realm, scheme: ustring; const callback: ICefAuthCallback): Boolean;

This item has no description.

Public function doOnCertificateError(const browser: ICefBrowser; certError: TCefErrorcode; const requestUrl: ustring; const sslInfo: ICefSslInfo; const callback: ICefCallback): Boolean;

This item has no description.

Public function doOnSelectClientCertificate(const browser: ICefBrowser; isProxy: boolean; const host: ustring; port: integer; certificatesCount: NativeUInt; const certificates: TCefX509CertificateArray; const callback: ICefSelectClientCertificateCallback): boolean;

This item has no description.

Public procedure doOnRenderViewReady(const browser: ICefBrowser);

This item has no description.

Public function doOnRenderProcessUnresponsive(const browser: ICefBrowser; const callback: ICefUnresponsiveProcessCallback): boolean;

This item has no description.

Public procedure doOnRenderProcessResponsive(const browser: ICefBrowser);

This item has no description.

Public procedure doOnRenderProcessTerminated(const browser: ICefBrowser; status: TCefTerminationStatus; error_code: integer; const error_string: ustring);

This item has no description.

Public procedure doOnDocumentAvailableInMainFrame(const browser: ICefBrowser);

This item has no description.

Public function doOnBeforeResourceLoad(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const callback: ICefCallback): TCefReturnValue;

ICefResourceRequestHandler

Public procedure doOnGetResourceHandler(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; var aResourceHandler: ICefResourceHandler);

This item has no description.

Public procedure doOnResourceRedirect(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; var newUrl: ustring);

This item has no description.

Public function doOnResourceResponse(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse): Boolean;

This item has no description.

Public procedure doOnGetResourceResponseFilter(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; var aResponseFilter: ICefResponseFilter);

This item has no description.

Public procedure doOnResourceLoadComplete(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; status: TCefUrlRequestStatus; receivedContentLength: Int64);

This item has no description.

Public procedure doOnProtocolExecution(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; var allowOsExecution: Boolean);

This item has no description.

Public function doCanSendCookie(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const cookie: PCefCookie): boolean;

ICefCookieAccessFilter

Public function doCanSaveCookie(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; const cookie: PCefCookie): boolean;

This item has no description.

Public function doOnFileDialog(const browser: ICefBrowser; mode: TCefFileDialogMode; const title, defaultFilePath: ustring; const acceptFilters, accept_extensions, accept_descriptions: TStrings; const callback: ICefFileDialogCallback): Boolean;

ICefDialogHandler

Public procedure doOnGetAccessibilityHandler(var aAccessibilityHandler : ICefAccessibilityHandler);

ICefRenderHandler

Public function doOnGetRootScreenRect(const browser: ICefBrowser; var rect: TCefRect): Boolean;

This item has no description.

Public procedure doOnGetViewRect(const browser: ICefBrowser; var rect: TCefRect);

This item has no description.

Public function doOnGetScreenPoint(const browser: ICefBrowser; viewX, viewY: Integer; var screenX, screenY: Integer): Boolean;

This item has no description.

Public function doOnGetScreenInfo(const browser: ICefBrowser; var screenInfo: TCefScreenInfo): Boolean;

This item has no description.

Public procedure doOnPopupShow(const browser: ICefBrowser; show: Boolean);

This item has no description.

Public procedure doOnPopupSize(const browser: ICefBrowser; const rect: PCefRect);

This item has no description.

Public procedure doOnPaint(const browser: ICefBrowser; type_: TCefPaintElementType; dirtyRectsCount: NativeUInt; const dirtyRects: PCefRectArray; const buffer: Pointer; width, height: Integer);

This item has no description.

Public procedure doOnAcceleratedPaint(const browser: ICefBrowser; type_: TCefPaintElementType; dirtyRectsCount: NativeUInt; const dirtyRects: PCefRectArray; const info: PCefAcceleratedPaintInfo);

This item has no description.

Public procedure doGetTouchHandleSize(const browser: ICefBrowser; orientation: TCefHorizontalAlignment; var size: TCefSize);

This item has no description.

Public procedure doOnTouchHandleStateChanged(const browser: ICefBrowser; const state: TCefTouchHandleState);

This item has no description.

Public function doOnStartDragging(const browser: ICefBrowser; const dragData: ICefDragData; allowedOps: TCefDragOperations; x, y: Integer): Boolean;

This item has no description.

Public procedure doOnUpdateDragCursor(const browser: ICefBrowser; operation: TCefDragOperation);

This item has no description.

Public procedure doOnScrollOffsetChanged(const browser: ICefBrowser; x, y: Double);

This item has no description.

Public procedure doOnIMECompositionRangeChanged(const browser: ICefBrowser; const selected_range: PCefRange; character_boundsCount: NativeUInt; const character_bounds: PCefRect);

This item has no description.

Public procedure doOnTextSelectionChanged(const browser: ICefBrowser; const selected_text: ustring; const selected_range: PCefRange);

This item has no description.

Public procedure doOnVirtualKeyboardRequested(const browser: ICefBrowser; input_mode: TCefTextInpuMode);

This item has no description.

Public function doOnDragEnter(const browser: ICefBrowser; const dragData: ICefDragData; mask: TCefDragOperations): Boolean;

ICefDragHandler

Public procedure doOnDraggableRegionsChanged(const browser: ICefBrowser; const frame: ICefFrame; regionsCount: NativeUInt; const regions: PCefDraggableRegionArray);

This item has no description.

Public procedure doOnFindResult(const browser: ICefBrowser; identifier, count: Integer; const selectionRect: PCefRect; activeMatchOrdinal: Integer; finalUpdate: Boolean);

ICefFindHandler

Public procedure doOnRequestContextInitialized(const request_context: ICefRequestContext);

ICefRequestContextHandler

Public procedure doGetResourceRequestHandler_ReqCtxHdlr(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; is_navigation, is_download: boolean; const request_initiator: ustring; var disable_default_handling: boolean; var aResourceRequestHandler : ICefResourceRequestHandler);

This item has no description.

Public procedure doOnSinks(const sinks: TCefMediaSinkArray);

ICefMediaObserver

Public procedure doOnRoutes(const routes: TCefMediaRouteArray);

This item has no description.

Public procedure doOnRouteStateChanged(const route: ICefMediaRoute; state: TCefMediaRouteConnectionState);

This item has no description.

Public procedure doOnRouteMessageReceived(const route: ICefMediaRoute; const message_: ustring);

This item has no description.

Public procedure doOnGetAudioParameters(const browser: ICefBrowser; var params: TCefAudioParameters; var aResult: boolean);

ICefAudioHandler

Public procedure doOnAudioStreamStarted(const browser: ICefBrowser; const params: TCefAudioParameters; channels: integer);

This item has no description.

Public procedure doOnAudioStreamPacket(const browser: ICefBrowser; const data : PPSingle; frames: integer; pts: int64);

This item has no description.

Public procedure doOnAudioStreamStopped(const browser: ICefBrowser);

This item has no description.

Public procedure doOnAudioStreamError(const browser: ICefBrowser; const message_: ustring);

This item has no description.

Public procedure doOnDevToolsMessage(const browser: ICefBrowser; const message_: Pointer; message_size: NativeUInt; var aHandled: boolean);

ICefDevToolsMessageObserver

Public procedure doOnDevToolsMethodResult(const browser: ICefBrowser; message_id: integer; success: boolean; const result: Pointer; result_size: NativeUInt);

This item has no description.

Public procedure doOnDevToolsEvent(const browser: ICefBrowser; const method: ustring; const params: Pointer; params_size: NativeUInt);

This item has no description.

Public procedure doOnDevToolsAgentAttached(const browser: ICefBrowser);

This item has no description.

Public procedure doOnDevToolsAgentDetached(const browser: ICefBrowser);

This item has no description.

Public procedure doOnPrintStart(const browser: ICefBrowser);

ICefPrintHandler

Public procedure doOnPrintSettings(const browser: ICefBrowser; const settings: ICefPrintSettings; getDefaults: boolean);

This item has no description.

Public procedure doOnPrintDialog(const browser: ICefBrowser; hasSelection: boolean; const callback: ICefPrintDialogCallback; var aResult : boolean);

This item has no description.

Public procedure doOnPrintJob(const browser: ICefBrowser; const documentName, PDFFilePath: ustring; const callback: ICefPrintJobCallback; var aResult : boolean);

This item has no description.

Public procedure doOnPrintReset(const browser: ICefBrowser);

This item has no description.

Public procedure doOnGetPDFPaperSize(const browser: ICefBrowser; deviceUnitsPerInch: Integer; var aResult : TCefSize);

This item has no description.

Public procedure doOnFrameCreated(const browser: ICefBrowser; const frame: ICefFrame);

ICefFrameHandler

Public procedure doOnFrameDestroyed(const browser: ICefBrowser; const frame: ICefFrame);

This item has no description.

Public procedure doOnFrameAttached(const browser: ICefBrowser; const frame: ICefFrame; reattached: boolean);

This item has no description.

Public procedure doOnFrameDetached(const browser: ICefBrowser; const frame: ICefFrame);

This item has no description.

Public procedure doOnMainFrameChanged(const browser: ICefBrowser; const old_frame, new_frame: ICefFrame);

This item has no description.

Public function doOnChromeCommand(const browser: ICefBrowser; command_id: integer; disposition: TCefWindowOpenDisposition): boolean;

ICefCommandHandler

Public function doOnIsChromeAppMenuItemVisible(const browser: ICefBrowser; command_id: integer): boolean;

This item has no description.

Public function doOnIsChromeAppMenuItemEnabled(const browser: ICefBrowser; command_id: integer): boolean;

This item has no description.

Public function doOnIsChromePageActionIconVisible(icon_type: TCefChromePageActionIconType): boolean;

This item has no description.

Public function doOnIsChromeToolbarButtonVisible(button_type: TCefChromeToolbarButtonType): boolean;

This item has no description.

Public function doOnRequestMediaAccessPermission(const browser: ICefBrowser; const frame: ICefFrame; const requesting_origin: ustring; requested_permissions: cardinal; const callback: ICefMediaAccessCallback): boolean;

ICefPermissionHandler

Public function doOnShowPermissionPrompt(const browser: ICefBrowser; prompt_id: uint64; const requesting_origin: ustring; requested_permissions: cardinal; const callback: ICefPermissionPromptCallback): boolean;

This item has no description.

Public procedure doOnDismissPermissionPrompt(const browser: ICefBrowser; prompt_id: uint64; result: TCefPermissionRequestResult);

This item has no description.

Public procedure doOnPreferenceChanged(const name: ustring);

ICefPreferenceObserver

Public procedure doOnSettingChanged(const requesting_url, top_level_url : ustring; content_type: TCefContentSettingTypes);

ICefSettingObserver

Public procedure doCookiesDeleted(numDeleted : integer);

Custom

Public procedure doPdfPrintFinished(aResultOK : boolean);

This item has no description.

Public procedure doTextResultAvailable(const aText : ustring);

This item has no description.

Public procedure doUpdatePreferences(const aBrowser: ICefBrowser);

This item has no description.

Public procedure doUpdateOwnPreferences;

This item has no description.

Public function doSavePreferences: boolean;

This item has no description.

Public procedure doResolvedHostAvailable(result: TCefErrorCode; const resolvedIps: TStrings);

This item has no description.

Public function doNavigationVisitorResultAvailable(const entry: ICefNavigationEntry; current: Boolean; index, total: Integer) : boolean;

This item has no description.

Public procedure doDownloadImageFinished(const imageUrl: ustring; httpStatusCode: Integer; const image: ICefImage);

This item has no description.

Public procedure doOnCookiesStoreFlushed;

This item has no description.

Public procedure doCertificateExceptionsCleared;

This item has no description.

Public procedure doHttpAuthCredentialsCleared;

This item has no description.

Public procedure doAllConnectionsClosed;

This item has no description.

Public procedure doOnExecuteTaskOnCefThread(aTaskID : cardinal);

This item has no description.

Public procedure doOnCookiesVisited(const name_, value, domain, path: ustring; secure, httponly, hasExpires: Boolean; const creation, lastAccess, expires: TDateTime; count, total, aID : Integer; same_site : TCefCookieSameSite; priority : TCefCookiePriority; var aDeleteCookie, aResult : Boolean);

This item has no description.

Public procedure doOnCookieVisitorDestroyed(aID : integer);

This item has no description.

Public procedure doOnCookieSet(aSuccess : boolean; aID : integer);

This item has no description.

Public procedure doUpdateZoomStep(aInc : boolean);

This item has no description.

Public procedure doUpdateZoomPct(aInc : boolean);

This item has no description.

Public procedure doSetZoomLevel(const aValue : double);

This item has no description.

Public procedure doSetZoomPct(const aValue : double);

This item has no description.

Public procedure doSetZoomStep(aValue : byte);

This item has no description.

Public procedure doReadZoom;

This item has no description.

Public procedure doMediaRouteCreateFinished(result: TCefMediaRouterCreateResult; const error: ustring; const route: ICefMediaRoute);

This item has no description.

Public procedure doOnMediaSinkDeviceInfo(const ip_address: ustring; port: integer; const model_name: ustring);

This item has no description.

Public procedure doBrowserNavigation(aTask : TCefBrowserNavigation);

This item has no description.

Public procedure doSetAudioMuted(aValue : boolean);

This item has no description.

Public procedure doToggleAudioMuted;

This item has no description.

Public procedure doEnableFocus;

This item has no description.

Public function doTryCloseBrowser: boolean;

This item has no description.

Public procedure doAddPreferenceObserver(const name : ustring);

This item has no description.

Public function MustCreateAudioHandler: boolean;

This item has no description.

Public function MustCreateCommandHandler: boolean;

This item has no description.

Public function MustCreateLoadHandler: boolean;

This item has no description.

Public function MustCreateFocusHandler: boolean;

This item has no description.

Public function MustCreateContextMenuHandler: boolean;

This item has no description.

Public function MustCreateDialogHandler: boolean;

This item has no description.

Public function MustCreateKeyboardHandler: boolean;

This item has no description.

Public function MustCreateDisplayHandler: boolean;

This item has no description.

Public function MustCreateDownloadHandler: boolean;

This item has no description.

Public function MustCreateJsDialogHandler: boolean;

This item has no description.

Public function MustCreateLifeSpanHandler: boolean;

This item has no description.

Public function MustCreateRenderHandler: boolean;

This item has no description.

Public function MustCreateRequestHandler: boolean;

This item has no description.

Public function MustCreateDragHandler: boolean;

This item has no description.

Public function MustCreateFindHandler: boolean;

This item has no description.

Public function MustCreateResourceRequestHandler: boolean;

This item has no description.

Public function MustCreateCookieAccessFilter: boolean;

This item has no description.

Public function MustCreateMediaObserver: boolean;

This item has no description.

Public function MustCreatePrintHandler: boolean;

This item has no description.

Public function MustCreateFrameHandler: boolean;

This item has no description.

Public function MustCreatePermissionHandler: boolean;

This item has no description.

Public function GetComponentID: integer;

This item has no description.

Properties

Public property ComponentID : integer read GetComponentID;

This item has no description.


cef4delphi: uCEFInterfaces: Interface IServerEvents

Interface IServerEvents

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type IServerEvents = interface(IInterface)

Description

Custom interface used to handle all the TCEFServerComponent events.

Attributes
GUID['{06A1B3C6-0967-4F6C-A751-8AA3A29E2FF5}']

Hierarchy

  • IInterface
  • IServerEvents

Overview

Methods

Public | procedure doOnServerCreated(const server: ICefServer);
Public | procedure doOnServerDestroyed(const server: ICefServer);
Public | procedure doOnClientConnected(const server: ICefServer; connection_id: Integer);
Public | procedure doOnClientDisconnected(const server: ICefServer; connection_id: Integer);
Public | procedure doOnHttpRequest(const server: ICefServer; connection_id: Integer; const client_address: ustring; const request: ICefRequest);
Public | procedure doOnWebSocketRequest(const server: ICefServer; connection_id: Integer; const client_address: ustring; const request: ICefRequest; const callback: ICefCallback);
Public | procedure doOnWebSocketConnected(const server: ICefServer; connection_id: Integer);
Public | procedure doOnWebSocketMessage(const server: ICefServer; connection_id: Integer; const data: Pointer; data_size: NativeUInt);

Description

Methods

Public procedure doOnServerCreated(const server: ICefServer);

ICefServerHandler

Public procedure doOnServerDestroyed(const server: ICefServer);

This item has no description.

Public procedure doOnClientConnected(const server: ICefServer; connection_id: Integer);

This item has no description.

Public procedure doOnClientDisconnected(const server: ICefServer; connection_id: Integer);

This item has no description.

Public procedure doOnHttpRequest(const server: ICefServer; connection_id: Integer; const client_address: ustring; const request: ICefRequest);

This item has no description.

Public procedure doOnWebSocketRequest(const server: ICefServer; connection_id: Integer; const client_address: ustring; const request: ICefRequest; const callback: ICefCallback);

This item has no description.

Public procedure doOnWebSocketConnected(const server: ICefServer; connection_id: Integer);

This item has no description.

Public procedure doOnWebSocketMessage(const server: ICefServer; connection_id: Integer; const data: Pointer; data_size: NativeUInt);

This item has no description.


cef4delphi: uCEFInterfaces: Interface ICEFUrlRequestClientEvents

Interface ICEFUrlRequestClientEvents

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICEFUrlRequestClientEvents = interface(IInterface)

Description

Custom interface used to handle all the TCEFUrlRequestClientComponent events.

Attributes
GUID['{1AA800A7-56A1-43CA-A224-49368F18BDD8}']

Hierarchy

  • IInterface
  • ICEFUrlRequestClientEvents

Overview

Methods

Public | procedure doOnRequestComplete(const request: ICefUrlRequest);
Public | procedure doOnUploadProgress(const request: ICefUrlRequest; current, total: Int64);
Public | procedure doOnDownloadProgress(const request: ICefUrlRequest; current, total: Int64);
Public | procedure doOnDownloadData(const request: ICefUrlRequest; data: Pointer; dataLength: NativeUInt);
Public | function doOnGetAuthCredentials(isProxy: Boolean; const host: ustring; port: Integer; const realm, scheme: ustring; const callback: ICefAuthCallback): Boolean;
Public | procedure doOnCreateURLRequest;
Public | function GetComponentID: integer;

Properties

Public property ComponentID : integer read GetComponentID;

Description

Methods

Public procedure doOnRequestComplete(const request: ICefUrlRequest);

ICefUrlrequestClient

Public procedure doOnUploadProgress(const request: ICefUrlRequest; current, total: Int64);

This item has no description.

Public procedure doOnDownloadProgress(const request: ICefUrlRequest; current, total: Int64);

This item has no description.

Public procedure doOnDownloadData(const request: ICefUrlRequest; data: Pointer; dataLength: NativeUInt);

This item has no description.

Public function doOnGetAuthCredentials(isProxy: Boolean; const host: ustring; port: Integer; const realm, scheme: ustring; const callback: ICefAuthCallback): Boolean;

This item has no description.

Public procedure doOnCreateURLRequest;

Custom

Public function GetComponentID: integer;

This item has no description.

Properties

Public property ComponentID : integer read GetComponentID;

This item has no description.


cef4delphi: uCEFInterfaces: Interface ICefViewDelegateEvents

Interface ICefViewDelegateEvents

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefViewDelegateEvents = interface(IInterface)

Description

Custom interface used to handle the ICefViewDelegate events.

Attributes
GUID['{74DDDB37-8F08-4672-BDB6-55CA2CD374ED}']

Hierarchy

  • IInterface
  • ICefViewDelegateEvents

Overview

Methods

Public | procedure doOnGetPreferredSize(const view: ICefView; var aResult : TCefSize);
Public | procedure doOnGetMinimumSize(const view: ICefView; var aResult : TCefSize);
Public | procedure doOnGetMaximumSize(const view: ICefView; var aResult : TCefSize);
Public | procedure doOnGetHeightForWidth(const view: ICefView; width: Integer; var aResult: Integer);
Public | procedure doOnParentViewChanged(const view: ICefView; added: boolean; const parent: ICefView);
Public | procedure doOnChildViewChanged(const view: ICefView; added: boolean; const child: ICefView);
Public | procedure doOnWindowChanged(const view: ICefView; added: boolean);
Public | procedure doOnLayoutChanged(const view: ICefView; new_bounds: TCefRect);
Public | procedure doOnFocus(const view: ICefView);
Public | procedure doOnBlur(const view: ICefView);
Public | procedure doOnThemeChanged(const view: ICefView);
Public | procedure doCreateCustomView;
Public | function GetComponentID: integer;

Properties

Public property ComponentID : integer read GetComponentID;

Description

Methods

Public procedure doOnGetPreferredSize(const view: ICefView; var aResult : TCefSize);

ICefViewDelegate

Public procedure doOnGetMinimumSize(const view: ICefView; var aResult : TCefSize);

This item has no description.

Public procedure doOnGetMaximumSize(const view: ICefView; var aResult : TCefSize);

This item has no description.

Public procedure doOnGetHeightForWidth(const view: ICefView; width: Integer; var aResult: Integer);

This item has no description.

Public procedure doOnParentViewChanged(const view: ICefView; added: boolean; const parent: ICefView);

This item has no description.

Public procedure doOnChildViewChanged(const view: ICefView; added: boolean; const child: ICefView);

This item has no description.

Public procedure doOnWindowChanged(const view: ICefView; added: boolean);

This item has no description.

Public procedure doOnLayoutChanged(const view: ICefView; new_bounds: TCefRect);

This item has no description.

Public procedure doOnFocus(const view: ICefView);

This item has no description.

Public procedure doOnBlur(const view: ICefView);

This item has no description.

Public procedure doOnThemeChanged(const view: ICefView);

This item has no description.

Public procedure doCreateCustomView;

Custom

Public function GetComponentID: integer;

This item has no description.

Properties

Public property ComponentID : integer read GetComponentID;

This item has no description.


cef4delphi: uCEFInterfaces: Interface ICefTextfieldDelegateEvents

Interface ICefTextfieldDelegateEvents

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefTextfieldDelegateEvents = interface(ICefViewDelegateEvents)

Description

Custom interface used to handle all the ICefTextfieldDelegate events.

Hierarchy

  • IInterface
  • ICefViewDelegateEvents
  • ICefTextfieldDelegateEvents

Overview

Methods

Public | procedure doOnKeyEvent(const textfield: ICefTextfield; const event: TCefKeyEvent; var aResult : boolean);
Public | procedure doOnAfterUserAction(const textfield: ICefTextfield);

Description

Methods

Public procedure doOnKeyEvent(const textfield: ICefTextfield; const event: TCefKeyEvent; var aResult : boolean);

This item has no description.

Attributes
GUID['{682480E0-C786-4E65-B950-4FF2B13B97B9}']
Public procedure doOnAfterUserAction(const textfield: ICefTextfield);

This item has no description.


cef4delphi: uCEFInterfaces: Interface ICefBrowserViewDelegateEvents

Interface ICefBrowserViewDelegateEvents

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefBrowserViewDelegateEvents = interface(ICefViewDelegateEvents)

Description

Custom interface used to handle all the ICefBrowserViewDelegate events.

Hierarchy

  • IInterface
  • ICefViewDelegateEvents
  • ICefBrowserViewDelegateEvents

Overview

Methods

Public | procedure doOnBrowserCreated(const browser_view: ICefBrowserView; const browser: ICefBrowser);
Public | procedure doOnBrowserDestroyed(const browser_view: ICefBrowserView; const browser: ICefBrowser);
Public | procedure doOnGetDelegateForPopupBrowserView(const browser_view: ICefBrowserView; const settings: TCefBrowserSettings; const client: ICefClient; is_devtools: boolean; var aResult : ICefBrowserViewDelegate);
Public | procedure doOnPopupBrowserViewCreated(const browser_view, popup_browser_view: ICefBrowserView; is_devtools: boolean; var aResult : boolean);
Public | procedure doOnGetChromeToolbarType(const browser_view: ICefBrowserView; var aChromeToolbarType: TCefChromeToolbarType);
Public | procedure doOnUseFramelessWindowForPictureInPicture(const browser_view: ICefBrowserView; var aResult: boolean);
Public | procedure doOnGestureCommand(const browser_view: ICefBrowserView; gesture_command: TCefGestureCommand; var aResult : boolean);
Public | procedure doOnGetBrowserRuntimeStyle(var aResult : TCefRuntimeStyle);
Public | procedure doOnAllowMoveForPictureInPicture(const browser_view: ICefBrowserView; var aResult: boolean);

Description

Methods

Public procedure doOnBrowserCreated(const browser_view: ICefBrowserView; const browser: ICefBrowser);

This item has no description.

Attributes
GUID['{AB94B875-63C6-4FEF-BB30-0816402ABA1C}']
Public procedure doOnBrowserDestroyed(const browser_view: ICefBrowserView; const browser: ICefBrowser);

This item has no description.

Public procedure doOnGetDelegateForPopupBrowserView(const browser_view: ICefBrowserView; const settings: TCefBrowserSettings; const client: ICefClient; is_devtools: boolean; var aResult : ICefBrowserViewDelegate);

This item has no description.

Public procedure doOnPopupBrowserViewCreated(const browser_view, popup_browser_view: ICefBrowserView; is_devtools: boolean; var aResult : boolean);

This item has no description.

Public procedure doOnGetChromeToolbarType(const browser_view: ICefBrowserView; var aChromeToolbarType: TCefChromeToolbarType);

This item has no description.

Public procedure doOnUseFramelessWindowForPictureInPicture(const browser_view: ICefBrowserView; var aResult: boolean);

This item has no description.

Public procedure doOnGestureCommand(const browser_view: ICefBrowserView; gesture_command: TCefGestureCommand; var aResult : boolean);

This item has no description.

Public procedure doOnGetBrowserRuntimeStyle(var aResult : TCefRuntimeStyle);

This item has no description.

Public procedure doOnAllowMoveForPictureInPicture(const browser_view: ICefBrowserView; var aResult: boolean);

This item has no description.


cef4delphi: uCEFInterfaces: Interface ICefButtonDelegateEvents

Interface ICefButtonDelegateEvents

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefButtonDelegateEvents = interface(ICefViewDelegateEvents)

Description

Custom interface used to handle all the ICefButtonDelegate events.

Hierarchy

  • IInterface
  • ICefViewDelegateEvents
  • ICefButtonDelegateEvents

Overview

Methods

Public | procedure doOnButtonPressed(const button: ICefButton);
Public | procedure doOnButtonStateChanged(const button: ICefButton);

Description

Methods

Public procedure doOnButtonPressed(const button: ICefButton);

This item has no description.

Attributes
GUID['{E8DF70BE-5DEB-42CF-AF86-B0FF1040498E}']
Public procedure doOnButtonStateChanged(const button: ICefButton);

This item has no description.


cef4delphi: uCEFInterfaces: Interface ICefMenuButtonDelegateEvents

Interface ICefMenuButtonDelegateEvents

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefMenuButtonDelegateEvents = interface(ICefButtonDelegateEvents)

Description

Custom interface used to handle all the ICefMenuButtonDelegate events.

Hierarchy

  • IInterface
  • ICefViewDelegateEvents
  • ICefButtonDelegateEvents
  • ICefMenuButtonDelegateEvents

Overview

Methods

Public procedure doOnMenuButtonPressed(const menu_button: ICefMenuButton; const screen_point: TCefPoint; const button_pressed_lock: ICefMenuButtonPressedLock);

Description

Methods

Public procedure doOnMenuButtonPressed(const menu_button: ICefMenuButton; const screen_point: TCefPoint; const button_pressed_lock: ICefMenuButtonPressedLock);

This item has no description.

Attributes
GUID['{DA36DD60-7609-4576-BB8E-6A55FD48C680}']


cef4delphi: uCEFInterfaces: Interface ICefPanelDelegateEvents

Interface ICefPanelDelegateEvents

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefPanelDelegateEvents = interface(ICefViewDelegateEvents)

Description

Custom interface used to handle all the ICefPanelDelegate events.

Hierarchy

  • IInterface
  • ICefViewDelegateEvents
  • ICefPanelDelegateEvents


cef4delphi: uCEFInterfaces: Interface ICefWindowDelegateEvents

Interface ICefWindowDelegateEvents

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefWindowDelegateEvents = interface(ICefPanelDelegateEvents)

Description

Custom interface used to handle all the ICefWindowDelegate events.

Hierarchy

  • IInterface
  • ICefViewDelegateEvents
  • ICefPanelDelegateEvents
  • ICefWindowDelegateEvents

Overview

Methods

Public | procedure doOnWindowCreated(const window_: ICefWindow);
Public | procedure doOnWindowClosing(const window_: ICefWindow);
Public | procedure doOnWindowDestroyed(const window_: ICefWindow);
Public | procedure doOnWindowActivationChanged(const window_: ICefWindow; active: boolean);
Public | procedure doOnWindowBoundsChanged(const window_: ICefWindow; const new_bounds: TCefRect);
Public | procedure doOnWindowFullscreenTransition(const window_: ICefWindow; is_completed: boolean);
Public | procedure doOnGetParentWindow(const window_: ICefWindow; var is_menu, can_activate_menu: boolean; var aResult : ICefWindow);
Public | procedure doOnIsWindowModalDialog(const window_: ICefWindow; var aResult : boolean);
Public | procedure doOnGetInitialBounds(const window_: ICefWindow; var aResult : TCefRect);
Public | procedure doOnGetInitialShowState(const window_: ICefWindow; var aResult : TCefShowState);
Public | procedure doOnIsFrameless(const window_: ICefWindow; var aResult : boolean);
Public | procedure doOnWithStandardWindowButtons(const window_: ICefWindow; var aResult : boolean);
Public | procedure doOnGetTitlebarHeight(const window_: ICefWindow; var titlebar_height: Single; var aResult : boolean);
Public | procedure doOnAcceptsFirstMouse(const window_: ICefWindow; var aResult: TCefState);
Public | procedure doOnCanResize(const window_: ICefWindow; var aResult : boolean);
Public | procedure doOnCanMaximize(const window_: ICefWindow; var aResult : boolean);
Public | procedure doOnCanMinimize(const window_: ICefWindow; var aResult : boolean);
Public | procedure doOnCanClose(const window_: ICefWindow; var aResult : boolean);
Public | procedure doOnAccelerator(const window_: ICefWindow; command_id: Integer; var aResult : boolean);
Public | procedure doOnKeyEvent(const window_: ICefWindow; const event: TCefKeyEvent; var aResult : boolean);
Public | procedure doOnThemeColorsChanged(const window_: ICefWindow; chrome_theme: Integer);
Public | procedure doOnGetWindowRuntimeStyle(var aResult: TCefRuntimeStyle);
Public | procedure doOnGetLinuxWindowProperties(const window_: ICefWindow; var properties: TLinuxWindowProperties; var aResult: boolean);

Description

Methods

Public procedure doOnWindowCreated(const window_: ICefWindow);

This item has no description.

Attributes
GUID['{05C19A41-E75D-459E-AD4D-C8A0CA4A49D3}']
Public procedure doOnWindowClosing(const window_: ICefWindow);

This item has no description.

Public procedure doOnWindowDestroyed(const window_: ICefWindow);

This item has no description.

Public procedure doOnWindowActivationChanged(const window_: ICefWindow; active: boolean);

This item has no description.

Public procedure doOnWindowBoundsChanged(const window_: ICefWindow; const new_bounds: TCefRect);

This item has no description.

Public procedure doOnWindowFullscreenTransition(const window_: ICefWindow; is_completed: boolean);

This item has no description.

Public procedure doOnGetParentWindow(const window_: ICefWindow; var is_menu, can_activate_menu: boolean; var aResult : ICefWindow);

This item has no description.

Public procedure doOnIsWindowModalDialog(const window_: ICefWindow; var aResult : boolean);

This item has no description.

Public procedure doOnGetInitialBounds(const window_: ICefWindow; var aResult : TCefRect);

This item has no description.

Public procedure doOnGetInitialShowState(const window_: ICefWindow; var aResult : TCefShowState);

This item has no description.

Public procedure doOnIsFrameless(const window_: ICefWindow; var aResult : boolean);

This item has no description.

Public procedure doOnWithStandardWindowButtons(const window_: ICefWindow; var aResult : boolean);

This item has no description.

Public procedure doOnGetTitlebarHeight(const window_: ICefWindow; var titlebar_height: Single; var aResult : boolean);

This item has no description.

Public procedure doOnAcceptsFirstMouse(const window_: ICefWindow; var aResult: TCefState);

This item has no description.

Public procedure doOnCanResize(const window_: ICefWindow; var aResult : boolean);

This item has no description.

Public procedure doOnCanMaximize(const window_: ICefWindow; var aResult : boolean);

This item has no description.

Public procedure doOnCanMinimize(const window_: ICefWindow; var aResult : boolean);

This item has no description.

Public procedure doOnCanClose(const window_: ICefWindow; var aResult : boolean);

This item has no description.

Public procedure doOnAccelerator(const window_: ICefWindow; command_id: Integer; var aResult : boolean);

This item has no description.

Public procedure doOnKeyEvent(const window_: ICefWindow; const event: TCefKeyEvent; var aResult : boolean);

This item has no description.

Public procedure doOnThemeColorsChanged(const window_: ICefWindow; chrome_theme: Integer);

This item has no description.

Public procedure doOnGetWindowRuntimeStyle(var aResult: TCefRuntimeStyle);

This item has no description.

Public procedure doOnGetLinuxWindowProperties(const window_: ICefWindow; var properties: TLinuxWindowProperties; var aResult: boolean);

This item has no description.


cef4delphi: uCEFInterfaces: Interface ICefBaseRefCounted

Interface ICefBaseRefCounted

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefBaseRefCounted = interface(IInterface)

Description

All ref-counted framework interfaces must inherit from this interface.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_base_capi.h">CEF source file: /include/capi/cef_base_capi.h (cef_base_ref_counted_t))

Attributes
GUID['{1F9A7B44-DCDC-4477-9180-3ADD44BDEB7B}']

Hierarchy

  • IInterface
  • ICefBaseRefCounted

Overview

Methods

Public | function Wrap: Pointer;
Public | function SameAs(aData : Pointer) : boolean; overload;
Public | function SameAs(const aBaseRefCounted : ICefBaseRefCounted) : boolean; overload;
Public | function HasOneRef: boolean;
Public | function HasAtLeastOneRef: boolean;
Public | procedure DestroyOtherRefs;

Description

Methods

Public function Wrap: Pointer;

Called to increment the reference count for the object. Should be called for every new copy of a pointer to a given object.

Public function SameAs(aData : Pointer) : boolean; overload;

Compares the aData pointer with the FData field if the current instance.

Public function SameAs(const aBaseRefCounted : ICefBaseRefCounted) : boolean; overload;

This item has no description.

Public function HasOneRef: boolean;

Returns true (1) if the current reference count is 1.

Public function HasAtLeastOneRef: boolean;

Returns true (1) if the current reference count is at least 1.

Public procedure DestroyOtherRefs;

Releases all other instances.


cef4delphi: uCEFInterfaces: Interface ICefCustomUserData

Interface ICefCustomUserData

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefCustomUserData = interface(ICefBaseRefCounted)

Description

This item has no description. Showing description inherited from ICefBaseRefCounted.

All ref-counted framework interfaces must inherit from this interface.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_base_capi.h">CEF source file: /include/capi/cef_base_capi.h (cef_base_ref_counted_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefCustomUserData

Overview

Methods

Public | function GetUserDataType: Pointer;
Public | function GetUserData: Pointer;

Properties

Public | property UserDataType : Pointer read GetUserDataType;
Public | property UserData : Pointer read GetUserData;

Description

Methods

Public function GetUserDataType: Pointer;

This item has no description.

Attributes
GUID['{BEC09DE3-AB0A-4F5E-8461-5F9F4520FDEF}']
Public function GetUserData: Pointer;

This item has no description.

Properties

Public property UserDataType : Pointer read GetUserDataType;

This item has no description.

Public property UserData : Pointer read GetUserData;

This item has no description.


cef4delphi: uCEFInterfaces: Interface ICefRunFileDialogCallback

Interface ICefRunFileDialogCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefRunFileDialogCallback = interface(ICefBaseRefCounted)

Description

Callback interface for ICefBrowserHost.RunFileDialog. The functions of this interface will be called on the browser process UI thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_browser_capi.h">CEF source file: /include/capi/cef_browser_capi.h (cef_run_file_dialog_callback_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefRunFileDialogCallback

Overview

Methods

Public procedure OnFileDialogDismissed(const filePaths: TStrings);

Description

Methods

Public procedure OnFileDialogDismissed(const filePaths: TStrings);

Called asynchronously after the file dialog is dismissed. |file_paths| will be a single value or a list of values depending on the dialog mode. If the selection was cancelled |file_paths| will be NULL.

Attributes
GUID['{59FCECC6-E897-45BA-873B-F09586C4BE47}']


cef4delphi: uCEFInterfaces: Interface ICefNavigationEntryVisitor

Interface ICefNavigationEntryVisitor

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefNavigationEntryVisitor = interface(ICefBaseRefCounted)

Description

Callback interface for ICefBrowserHost.GetNavigationEntries. The functions of this interface will be called on the browser process UI thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_browser_capi.h">CEF source file: /include/capi/cef_browser_capi.h (cef_navigation_entry_visitor_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefNavigationEntryVisitor

Overview

Methods

Public function Visit(const entry: ICefNavigationEntry; current: Boolean; index, total: Integer): Boolean;

Description

Methods

Public function Visit(const entry: ICefNavigationEntry; current: Boolean; index, total: Integer): Boolean;

Method that will be executed. Do not keep a reference to |entry| outside of this callback. Return true (1) to continue visiting entries or false (0) to stop. |current| is true (1) if this entry is the currently loaded navigation entry. |index| is the 0-based index of this entry and |total| is the total number of entries.

Attributes
GUID['{CC4D6BC9-0168-4C2C-98BA-45E9AA9CD619}']


cef4delphi: uCEFInterfaces: Interface ICefPdfPrintCallback

Interface ICefPdfPrintCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefPdfPrintCallback = interface(ICefBaseRefCounted)

Description

Callback interface for ICefBrowserHost.PrintToPDF. The functions of this interface will be called on the browser process UI thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_browser_capi.h">CEF source file: /include/capi/cef_browser_capi.h (cef_pdf_print_callback_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefPdfPrintCallback

Overview

Methods

Public procedure OnPdfPrintFinished(const path: ustring; ok: Boolean);

Description

Methods

Public procedure OnPdfPrintFinished(const path: ustring; ok: Boolean);

Method that will be executed when the PDF printing has completed. |path| is the output path. |ok| will be true (1) if the printing completed successfully or false (0) otherwise.

Attributes
GUID['{F1CC58E9-2C30-4932-91AE-467C8D8EFB8E}']


cef4delphi: uCEFInterfaces: Interface ICefDownloadImageCallback

Interface ICefDownloadImageCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefDownloadImageCallback = interface(ICefBaseRefCounted)

Description

Callback interface for ICefBrowserHost.DownloadImage. The functions of this interface will be called on the browser process UI thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_browser_capi.h">CEF source file: /include/capi/cef_browser_capi.h (cef_download_image_callback_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefDownloadImageCallback

Overview

Methods

Public procedure OnDownloadImageFinished(const imageUrl: ustring; httpStatusCode: Integer; const image: ICefImage);

Description

Methods

Public procedure OnDownloadImageFinished(const imageUrl: ustring; httpStatusCode: Integer; const image: ICefImage);

Method that will be executed when the image download has completed. |image_url| is the URL that was downloaded and |http_status_code| is the resulting HTTP status code. |image| is the resulting image, possibly at multiple scale factors, or NULL if the download failed.

Attributes
GUID['{0C6E9032-27DF-4584-95C6-DC3C7CB63727}']


cef4delphi: uCEFInterfaces: Interface ICefBrowserHost

Interface ICefBrowserHost

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefBrowserHost = interface(ICefBaseRefCounted)

Description

Interface used to represent the browser process aspects of a browser. The functions of this interface can only be called in the browser process. They may be called on any thread in that process unless otherwise indicated in the comments.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_browser_capi.h">CEF source file: /include/capi/cef_browser_capi.h (cef_browser_host_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefBrowserHost

Overview

Methods

Public | function GetBrowser: ICefBrowser;
Public | procedure CloseBrowser(forceClose: Boolean);
Public | function TryCloseBrowser: Boolean;
Public | function IsReadyToBeClosed: Boolean;
Public | procedure SetFocus(focus: Boolean);
Public | function GetWindowHandle: TCefWindowHandle;
Public | function GetOpenerWindowHandle: TCefWindowHandle;
Public | function GetOpenerIdentifier: Integer;
Public | function HasView: Boolean;
Public | function GetClient: ICefClient;
Public | function GetRequestContext: ICefRequestContext;
Public | function CanZoom(command: TCefZoomCommand): boolean;
Public | procedure Zoom(command: TCefZoomCommand);
Public | function GetDefaultZoomLevel: Double;
Public | function GetZoomLevel: Double;
Public | procedure SetZoomLevel(const zoomLevel: Double);
Public | procedure RunFileDialog(mode: TCefFileDialogMode; const title, defaultFilePath: ustring; const acceptFilters: TStrings; const callback: ICefRunFileDialogCallback);
Public | procedure RunFileDialogProc(mode: TCefFileDialogMode; const title, defaultFilePath: ustring; const acceptFilters: TStrings; const callback: TCefRunFileDialogCallbackProc);
Public | procedure StartDownload(const url: ustring);
Public | procedure DownloadImage(const imageUrl: ustring; isFavicon: Boolean; maxImageSize: cardinal; bypassCache: Boolean; const callback: ICefDownloadImageCallback);
Public | procedure Print;
Public | procedure PrintToPdf(const path: ustring; settings: PCefPdfPrintSettings; const callback: ICefPdfPrintCallback);
Public | procedure PrintToPdfProc(const path: ustring; settings: PCefPdfPrintSettings; const callback: TOnPdfPrintFinishedProc);
Public | procedure Find(const searchText: ustring; forward_, matchCase, findNext: Boolean);
Public | procedure StopFinding(clearSelection: Boolean);
Public | procedure ShowDevTools(const windowInfo: PCefWindowInfo; const client: ICefClient; const settings: PCefBrowserSettings; inspectElementAt: PCefPoint);
Public | procedure CloseDevTools;
Public | function HasDevTools: Boolean;
Public | function SendDevToolsMessage(const message_: ustring): boolean;
Public | function ExecuteDevToolsMethod(message_id: integer; const method: ustring; const params: ICefDictionaryValue): Integer;
Public | function AddDevToolsMessageObserver(const observer: ICefDevToolsMessageObserver): ICefRegistration;
Public | procedure GetNavigationEntries(const visitor: ICefNavigationEntryVisitor; currentOnly: Boolean);
Public | procedure GetNavigationEntriesProc(const proc: TCefNavigationEntryVisitorProc; currentOnly: Boolean);
Public | procedure ReplaceMisspelling(const word: ustring);
Public | procedure AddWordToDictionary(const word: ustring);
Public | function IsWindowRenderingDisabled: Boolean;
Public | procedure WasResized;
Public | procedure WasHidden(hidden: Boolean);
Public | procedure NotifyScreenInfoChanged;
Public | procedure Invalidate(kind: TCefPaintElementType);
Public | procedure SendExternalBeginFrame;
Public | procedure SendKeyEvent(const event: PCefKeyEvent);
Public | procedure SendMouseClickEvent(const event: PCefMouseEvent; type_: TCefMouseButtonType; mouseUp: Boolean; clickCount: Integer);
Public | procedure SendMouseMoveEvent(const event: PCefMouseEvent; mouseLeave: Boolean);
Public | procedure SendMouseWheelEvent(const event: PCefMouseEvent; deltaX, deltaY: Integer);
Public | procedure SendTouchEvent(const event: PCefTouchEvent);
Public | procedure SendCaptureLostEvent;
Public | procedure NotifyMoveOrResizeStarted;
Public | function GetWindowlessFrameRate: Integer;
Public | procedure SetWindowlessFrameRate(frameRate: Integer);
Public | procedure IMESetComposition(const text: ustring; const underlines : TCefCompositionUnderlineDynArray; const replacement_range, selection_range : PCefRange);
Public | procedure IMECommitText(const text: ustring; const replacement_range : PCefRange; relative_cursor_pos : integer);
Public | procedure IMEFinishComposingText(keep_selection : boolean);
Public | procedure IMECancelComposition;
Public | procedure DragTargetDragEnter(const dragData: ICefDragData; const event: PCefMouseEvent; allowedOps: TCefDragOperations);
Public | procedure DragTargetDragOver(const event: PCefMouseEvent; allowedOps: TCefDragOperations);
Public | procedure DragTargetDragLeave;
Public | procedure DragTargetDrop(const event: PCefMouseEvent);
Public | procedure DragSourceEndedAt(x, y: Integer; op: TCefDragOperation);
Public | procedure DragSourceSystemDragEnded;
Public | function GetVisibleNavigationEntry: ICefNavigationEntry;
Public | procedure SetAccessibilityState(accessibilityState: TCefState);
Public | procedure SetAutoResizeEnabled(enabled: boolean; const min_size, max_size: PCefSize);
Public | procedure SetAudioMuted(mute: boolean);
Public | function IsAudioMuted: boolean;
Public | function IsFullscreen: boolean;
Public | procedure ExitFullscreen(will_cause_resize: boolean);
Public | function CanExecuteChromeCommand(command_id: integer): boolean;
Public | procedure ExecuteChromeCommand(command_id: integer; disposition: TCefWindowOpenDisposition);
Public | function IsRenderProcessUnresponsive: boolean;
Public | function GetRuntimeStyle: TCefRuntimeStyle;

Properties

Public | property Browser : ICefBrowser read GetBrowser;
Public | property WindowHandle : TCefWindowHandle read GetWindowHandle;
Public | property OpenerWindowHandle : TCefWindowHandle read GetOpenerWindowHandle;
Public | property OpenerIdentifier : Integer read GetOpenerIdentifier;
Public | property ZoomLevel : Double read GetZoomLevel write SetZoomLevel;
Public | property DefaultZoomLevel : Double read GetDefaultZoomLevel;
Public | property RequestContext : ICefRequestContext read GetRequestContext;
Public | property VisibleNavigationEntry : ICefNavigationEntry read GetVisibleNavigationEntry;
Public | property RuntimeStyle : TCefRuntimeStyle read GetRuntimeStyle;

Description

Methods

Public function GetBrowser: ICefBrowser;

Returns the hosted browser object.

Attributes
GUID['{53AE02FF-EF5D-48C3-A43E-069DA9535424}']
Public procedure CloseBrowser(forceClose: Boolean);

Request that the browser close. Closing a browser is a multi-stage process that may complete either synchronously or asynchronously, and involves events such as TChromiumCore.OnClose (Alloy style only), TChromiumCore.OnBeforeClose, and a top-level window close handler such as TCEFWindowComponent.OnCanClose (or platform-specific equivalent). In some cases a close request may be delayed or canceled by the user. Using TryCloseBrowser() instead of CloseBrowser() is recommended for most use cases. See TChromiumCore.OnClose documentation for detailed usage and examples.

If |aForceClose| is false (0) then JavaScript unload handlers, if any, may be fired and the close may be delayed or canceled by the user. If |aForceClose| is true (1) then the user will not be prompted and the close will proceed immediately (possibly asynchronously). If browser close is delayed and not canceled the default behavior is to call the top-level window close handler once the browser is ready to be closed. This default behavior can be changed for Alloy style browsers by implementing TChromiumCore.OnClose. IsReadyToBeClosed() can be used to detect mandatory browser close events when customizing close behavior on the browser process UI thread.

Public function TryCloseBrowser: Boolean;

Helper for closing a browser. This is similar in behavior to CLoseBrowser(false) but returns a boolean to reflect the immediate close status. Call this function from a top-level window close handler such as TCEFWindowComponent.OnCanClose (or platform-specific equivalent) to request that the browser close, and return the result to indicate if the window close should proceed. Returns false (0) if the close will be delayed (JavaScript unload handlers triggered but still pending) or true (1) if the close will proceed immediately (possibly asynchronously). See CloseBrowser() documentation for additional usage information. This function must be called on the browser process UI thread.

Public function IsReadyToBeClosed: Boolean;

Returns true (1) if the browser is ready to be closed, meaning that the close has already been initiated and that JavaScript unload handlers have already executed or should be ignored. This can be used from a top-level window close handler such as TCEFWindowComponent.OnCanClose (or platform- specific equivalent) to distringuish between potentially cancelable browser close events (like the user clicking the top-level window close button before browser close has started) and mandatory browser close events (like JavaScript `window.close()` or after browser close has started in response to [Try]CloseBrowser()). Not completing the browser close for mandatory close events (when this function returns true (1)) will leave the browser in a partially closed state that interferes with proper functioning. See CloseBrowser() documentation for additional usage information. This function must be called on the browser process UI thread.

Public procedure SetFocus(focus: Boolean);

Set whether the browser is focused.

Public function GetWindowHandle: TCefWindowHandle;

Retrieve the window handle (if any) for this browser. If this browser is wrapped in a ICefBrowserView this function should be called on the browser process UI thread and it will return the handle for the top-level native window.

Public function GetOpenerWindowHandle: TCefWindowHandle;

Retrieve the window handle (if any) of the browser that opened this browser. Will return NULL for non-popup browsers or if this browser is wrapped in a ICefBrowserView. This function can be used in combination with custom handling of modal windows.

Public function GetOpenerIdentifier: Integer;

Retrieve the unique identifier of the browser that opened this browser. Will return 0 for non-popup browsers.

Public function HasView: Boolean;

Returns true (1) if this browser is wrapped in a ICefBrowserView.

Public function GetClient: ICefClient;

Returns the client for this browser.

Public function GetRequestContext: ICefRequestContext;

Returns the request context for this browser.

Public function CanZoom(command: TCefZoomCommand): boolean;

Returns true (1) if this browser can execute the specified zoom command. This function can only be called on the UI thread.

Public procedure Zoom(command: TCefZoomCommand);

Execute a zoom command in this browser. If called on the UI thread the change will be applied immediately. Otherwise, the change will be applied asynchronously on the UI thread.

Public function GetDefaultZoomLevel: Double;

Get the default zoom level. This value will be 0.0 by default but can be configured. This function can only be called on the UI thread.

Public function GetZoomLevel: Double;

Get the current zoom level. This function can only be called on the UI thread.

Public procedure SetZoomLevel(const zoomLevel: Double);

Change the zoom level to the specified value. Specify 0.0 to reset the zoom level to the default. If called on the UI thread the change will be applied immediately. Otherwise, the change will be applied asynchronously on the UI thread.

Public procedure RunFileDialog(mode: TCefFileDialogMode; const title, defaultFilePath: ustring; const acceptFilters: TStrings; const callback: ICefRunFileDialogCallback);

Call to run a file chooser dialog. Only a single file chooser dialog may be pending at any given time. |mode| represents the type of dialog to display. |title| to the title to be used for the dialog and may be NULL to show the default title ("Open" or "Save" depending on the mode). |default_file_path| is the path with optional directory and/or file name component that will be initially selected in the dialog. |accept_filters| are used to restrict the selectable file types and may any combination of (a) valid lower-cased MIME types (e.g. "text/*" or "image/*"), (b) individual file extensions (e.g. ".txt" or ".png"), or (c) combined description and file extension delimited using "|" and ";" (e.g. "Image Types|.png;.gif;.jpg"). |callback| will be executed after the dialog is dismissed or immediately if another dialog is already pending. The dialog will be initiated asynchronously on the UI thread.

Public procedure RunFileDialogProc(mode: TCefFileDialogMode; const title, defaultFilePath: ustring; const acceptFilters: TStrings; const callback: TCefRunFileDialogCallbackProc);

Call to run a file chooser dialog. Only a single file chooser dialog may be pending at any given time. |mode| represents the type of dialog to display. |title| to the title to be used for the dialog and may be NULL to show the default title ("Open" or "Save" depending on the mode). |default_file_path| is the path with optional directory and/or file name component that will be initially selected in the dialog. |accept_filters| are used to restrict the selectable file types and may any combination of (a) valid lower-cased MIME types (e.g. "text/*" or "image/*"), (b) individual file extensions (e.g. ".txt" or ".png"), or (c) combined description and file extension delimited using "|" and ";" (e.g. "Image Types|.png;.gif;.jpg"). |callback| will be executed after the dialog is dismissed or immediately if another dialog is already pending. The dialog will be initiated asynchronously on the UI thread.

Public procedure StartDownload(const url: ustring);

Download the file at |url| using ICefDownloadHandler.

Public procedure DownloadImage(const imageUrl: ustring; isFavicon: Boolean; maxImageSize: cardinal; bypassCache: Boolean; const callback: ICefDownloadImageCallback);

Download |image_url| and execute |callback| on completion with the images received from the renderer. If |is_favicon| is true (1) then cookies are not sent and not accepted during download. Images with density independent pixel (DIP) sizes larger than |max_image_size| are filtered out from the image results. Versions of the image at different scale factors may be downloaded up to the maximum scale factor supported by the system. If there are no image results <= |max_image_size| then the smallest image is resized to |max_image_size| and is the only result. A |max_image_size| of 0 means unlimited. If |bypass_cache| is true (1) then |image_url| is requested from the server even if it is present in the browser cache.

Public procedure Print;

Print the current browser contents.

Public procedure PrintToPdf(const path: ustring; settings: PCefPdfPrintSettings; const callback: ICefPdfPrintCallback);

Print the current browser contents to the PDF file specified by |path| and execute |callback| on completion. The caller is responsible for deleting |path| when done. For PDF printing to work on Linux you must implement the ICefPrintHandler.GetPdfPaperSize function.

Public procedure PrintToPdfProc(const path: ustring; settings: PCefPdfPrintSettings; const callback: TOnPdfPrintFinishedProc);

Print the current browser contents to the PDF file specified by |path| and execute |callback| on completion. The caller is responsible for deleting |path| when done. For PDF printing to work on Linux you must implement the ICefPrintHandler.GetPdfPaperSize function.

Public procedure Find(const searchText: ustring; forward_, matchCase, findNext: Boolean);

Search for |searchText|. |forward| indicates whether to search forward or backward within the page. |matchCase| indicates whether the search should be case-sensitive. |findNext| indicates whether this is the first request or a follow-up. The search will be restarted if |searchText| or |matchCase| change. The search will be stopped if |searchText| is NULL. The ICefFindHandler instance, if any, returned via ICefClient.GetFindHandler will be called to report find results.

Public procedure StopFinding(clearSelection: Boolean);

Cancel all searches that are currently going on.

Public procedure ShowDevTools(const windowInfo: PCefWindowInfo; const client: ICefClient; const settings: PCefBrowserSettings; inspectElementAt: PCefPoint);

Open developer tools (DevTools) in its own browser. The DevTools browser will remain associated with this browser. If the DevTools browser is already open then it will be focused, in which case the |windowInfo|, |client| and |settings| parameters will be ignored. If |inspectElementAt| is non-NULL then the element at the specified (x,y) location will be inspected. The |windowInfo| parameter will be ignored if this browser is wrapped in a ICefBrowserView.

Public procedure CloseDevTools;

Explicitly close the associated DevTools browser, if any.

Public function HasDevTools: Boolean;

Returns true (1) if this browser currently has an associated DevTools browser. Must be called on the browser process UI thread.

Public function SendDevToolsMessage(const message_: ustring): boolean;

Send a function call message over the DevTools protocol. |message| must be a UTF8-encoded JSON dictionary that contains "id" (int), "function" (string) and "params" (dictionary, optional) values. See the DevTools protocol documentation at https://chromedevtools.github.io/devtools- protocol/ for details of supported functions and the expected "params" dictionary contents. |message| will be copied if necessary. This function will return true (1) if called on the UI thread and the message was successfully submitted for validation, otherwise false (0). Validation will be applied asynchronously and any messages that fail due to formatting errors or missing parameters may be discarded without notification. Prefer ExecuteDevToolsMethod if a more structured approach to message formatting is desired.

Every valid function call will result in an asynchronous function result or error message that references the sent message "id". Event messages are received while notifications are enabled (for example, between function calls for "Page.enable" and "Page.disable"). All received messages will be delivered to the observer(s) registered with AddDevToolsMessageObserver. See ICefDevToolsMessageObserver.OnDevToolsMessage documentation for details of received message contents.

Usage of the SendDevToolsMessage, ExecuteDevToolsMethod and AddDevToolsMessageObserver functions does not require an active DevTools front-end or remote-debugging session. Other active DevTools sessions will continue to function independently. However, any modification of global browser state by one session may not be reflected in the UI of other sessions.

Communication with the DevTools front-end (when displayed) can be logged for development purposes by passing the `–devtools-protocol-log- file=<path>` command-line flag.

Public function ExecuteDevToolsMethod(message_id: integer; const method: ustring; const params: ICefDictionaryValue): Integer;

Execute a function call over the DevTools protocol. This is a more structured version of SendDevToolsMessage. |message_id| is an incremental number that uniquely identifies the message (pass 0 to have the next number assigned automatically based on previous values). |function| is the function name. |params| are the function parameters, which may be NULL. See the DevTools protocol documentation (linked above) for details of supported functions and the expected |params| dictionary contents. This function will return the assigned message ID if called on the UI thread and the message was successfully submitted for validation, otherwise 0. See the SendDevToolsMessage documentation for additional usage information.

Public function AddDevToolsMessageObserver(const observer: ICefDevToolsMessageObserver): ICefRegistration;

Add an observer for DevTools protocol messages (function results and events). The observer will remain registered until the returned Registration object is destroyed. See the SendDevToolsMessage documentation for additional usage information.

Public procedure GetNavigationEntries(const visitor: ICefNavigationEntryVisitor; currentOnly: Boolean);

Retrieve a snapshot of current navigation entries as values sent to the specified visitor. If |current_only| is true (1) only the current navigation entry will be sent, otherwise all navigation entries will be sent.

Public procedure GetNavigationEntriesProc(const proc: TCefNavigationEntryVisitorProc; currentOnly: Boolean);

Retrieve a snapshot of current navigation entries as values sent to the specified visitor. If |current_only| is true (1) only the current navigation entry will be sent, otherwise all navigation entries will be sent.

Public procedure ReplaceMisspelling(const word: ustring);

If a misspelled word is currently selected in an editable node calling this function will replace it with the specified |word|.

Public procedure AddWordToDictionary(const word: ustring);

Add the specified |word| to the spelling dictionary.

Public function IsWindowRenderingDisabled: Boolean;

Returns true (1) if window rendering is disabled.

Public procedure WasResized;

Notify the browser that the widget has been resized. The browser will first call ICefRenderHandler.GetViewRect to get the new size and then call ICefRenderHandler.OnPaint asynchronously with the updated regions. This function is only used when window rendering is disabled.

Public procedure WasHidden(hidden: Boolean);

Notify the browser that it has been hidden or shown. Layouting and ICefRenderHandler.OnPaint notification will stop when the browser is hidden. This function is only used when window rendering is disabled.

Public procedure NotifyScreenInfoChanged;

Notify the browser that screen information has changed. Updated information will be sent to the renderer process to configure screen size and position values used by CSS and JavaScript (window.deviceScaleFactor, window.screenX/Y, window.outerWidth/Height, etc.). For background see https://bitbucket.org/chromiumembedded/cef/wiki/GeneralUsage.md#markdown- header-coordinate-systems

This function is used with (a) windowless rendering and (b) windowed rendering with external (client-provided) root window.

With windowless rendering the browser will call ICefRenderHandler.GetScreenInfo, ICefRenderHandler.GetRootScreenRect and ICefRenderHandler.GetViewRect. This simulates moving or resizing the root window in the current display, moving the root window from one display to another, or changing the properties of the current display.

With windowed rendering the browser will call ICefDisplayHandler.GetRootWindowScreenRect and use the associated display properties.

Public procedure Invalidate(kind: TCefPaintElementType);

Invalidate the view. The browser will call ICefRenderHandler.OnPaint asynchronously. This function is only used when window rendering is disabled.

Public procedure SendExternalBeginFrame;

Issue a BeginFrame request to Chromium. Only valid when TCefWindowInfo.external_begin_frame_enabled is set to true (1).

Public procedure SendKeyEvent(const event: PCefKeyEvent);

Send a key event to the browser.

Public procedure SendMouseClickEvent(const event: PCefMouseEvent; type_: TCefMouseButtonType; mouseUp: Boolean; clickCount: Integer);

Send a mouse click event to the browser. The |x| and |y| coordinates are relative to the upper-left corner of the view.

Public procedure SendMouseMoveEvent(const event: PCefMouseEvent; mouseLeave: Boolean);

Send a mouse move event to the browser. The |x| and |y| coordinates are relative to the upper-left corner of the view.

Public procedure SendMouseWheelEvent(const event: PCefMouseEvent; deltaX, deltaY: Integer);

Send a mouse wheel event to the browser. The |x| and |y| coordinates are relative to the upper-left corner of the view. The |deltaX| and |deltaY| values represent the movement delta in the X and Y directions respectively. In order to scroll inside select popups with window rendering disabled ICefRenderHandler.GetScreenPoint should be implemented properly.

Public procedure SendTouchEvent(const event: PCefTouchEvent);

Send a touch event to the browser for a windowless browser.

Public procedure SendCaptureLostEvent;

Send a capture lost event to the browser.

Public procedure NotifyMoveOrResizeStarted;

Notify the browser that the window hosting it is about to be moved or resized. This function is only used on Windows and Linux.

Public function GetWindowlessFrameRate: Integer;

Returns the maximum rate in frames per second (fps) that ICefRenderHandler.OnPaint will be called for a windowless browser. The actual fps may be lower if the browser cannot generate frames at the requested rate. The minimum value is 1 and the maximum value is 60 (default 30). This function can only be called on the UI thread.

Public procedure SetWindowlessFrameRate(frameRate: Integer);

Set the maximum rate in frames per second (fps) that ICefRenderHandler.OnPaint will be called for a windowless browser. The actual fps may be lower if the browser cannot generate frames at the requested rate. The minimum value is 1 and the maximum value is 60 (default 30). Can also be set at browser creation via TCefBrowserSettings.windowless_frame_rate.

Public procedure IMESetComposition(const text: ustring; const underlines : TCefCompositionUnderlineDynArray; const replacement_range, selection_range : PCefRange);

Begins a new composition or updates the existing composition. Blink has a special node (a composition node) that allows the input function to change text without affecting other DOM nodes. |text| is the optional text that will be inserted into the composition node. |underlines| is an optional set of ranges that will be underlined in the resulting text. |replacement_range| is an optional range of the existing text that will be replaced. |selection_range| is an optional range of the resulting text that will be selected after insertion or replacement. The |replacement_range| value is only used on OS X.

This function may be called multiple times as the composition changes. When the client is done making changes the composition should either be canceled or completed. To cancel the composition call ImeCancelComposition. To complete the composition call either ImeCommitText or ImeFinishComposingText. Completion is usually signaled when:

1. The client receives a WM_IME_COMPOSITION message with a GCS_RESULTSTR flag (on Windows), or; 2. The client receives a "commit" signal of GtkIMContext (on Linux), or; 3. insertText of NSTextInput is called (on Mac).

This function is only used when window rendering is disabled.

Public procedure IMECommitText(const text: ustring; const replacement_range : PCefRange; relative_cursor_pos : integer);

Completes the existing composition by optionally inserting the specified |text| into the composition node. |replacement_range| is an optional range of the existing text that will be replaced. |relative_cursor_pos| is where the cursor will be positioned relative to the current cursor position. See comments on ImeSetComposition for usage. The |replacement_range| and |relative_cursor_pos| values are only used on OS X. This function is only used when window rendering is disabled.

Public procedure IMEFinishComposingText(keep_selection : boolean);

Completes the existing composition by applying the current composition node contents. If |keep_selection| is false (0) the current selection, if any, will be discarded. See comments on ImeSetComposition for usage. This function is only used when window rendering is disabled.

Public procedure IMECancelComposition;

Cancels the existing composition and discards the composition node contents without applying them. See comments on ImeSetComposition for usage. This function is only used when window rendering is disabled.

Public procedure DragTargetDragEnter(const dragData: ICefDragData; const event: PCefMouseEvent; allowedOps: TCefDragOperations);

Call this function when the user drags the mouse into the web view (before calling DragTargetDragOver/DragTargetLeave/DragTargetDrop). |drag_data| should not contain file contents as this type of data is not allowed to be dragged into the web view. File contents can be removed using ICefDragData.ResetFileContents (for example, if |drag_data| comes from ICefRenderHandler.StartDragging). This function is only used when window rendering is disabled.

Public procedure DragTargetDragOver(const event: PCefMouseEvent; allowedOps: TCefDragOperations);

Call this function each time the mouse is moved across the web view during a drag operation (after calling DragTargetDragEnter and before calling DragTargetDragLeave/DragTargetDrop). This function is only used when window rendering is disabled.

Public procedure DragTargetDragLeave;

Call this function when the user drags the mouse out of the web view (after calling DragTargetDragEnter). This function is only used when window rendering is disabled.

Public procedure DragTargetDrop(const event: PCefMouseEvent);

Call this function when the user completes the drag operation by dropping the object onto the web view (after calling DragTargetDragEnter). The object being dropped is |drag_data|, given as an argument to the previous DragTargetDragEnter call. This function is only used when window rendering is disabled.

Public procedure DragSourceEndedAt(x, y: Integer; op: TCefDragOperation);

Call this function when the drag operation started by a ICefRenderHandler.StartDragging call has ended either in a drop or by being cancelled. |x| and |y| are mouse coordinates relative to the upper- left corner of the view. If the web view is both the drag source and the drag target then all DragTarget* functions should be called before DragSource* mthods. This function is only used when window rendering is disabled.

Public procedure DragSourceSystemDragEnded;

Call this function when the drag operation started by a ICefRenderHandler.StartDragging call has completed. This function may be called immediately without first calling DragSourceEndedAt to cancel a drag operation. If the web view is both the drag source and the drag target then all DragTarget* functions should be called before DragSource* mthods. This function is only used when window rendering is disabled.

Public function GetVisibleNavigationEntry: ICefNavigationEntry;

Returns the current visible navigation entry for this browser. This function can only be called on the UI thread.

Public procedure SetAccessibilityState(accessibilityState: TCefState);

Set accessibility state for all frames. |accessibility_state| may be default, enabled or disabled. If |accessibility_state| is STATE_DEFAULT then accessibility will be disabled by default and the state may be further controlled with the "force-renderer-accessibility" and "disable- renderer-accessibility" command-line switches. If |accessibility_state| is STATE_ENABLED then accessibility will be enabled. If |accessibility_state| is STATE_DISABLED then accessibility will be completely disabled.

For windowed browsers accessibility will be enabled in Complete mode (which corresponds to kAccessibilityModeComplete in Chromium). In this mode all platform accessibility objects will be created and managed by Chromium's internal implementation. The client needs only to detect the screen reader and call this function appropriately. For example, on macOS the client can handle the @"AXEnhancedUserStructure" accessibility attribute to detect VoiceOver state changes and on Windows the client can handle WM_GETOBJECT with OBJID_CLIENT to detect accessibility readers.

For windowless browsers accessibility will be enabled in TreeOnly mode (which corresponds to kAccessibilityModeWebContentsOnly in Chromium). In this mode renderer accessibility is enabled, the full tree is computed, and events are passed to CefAccessibiltyHandler, but platform accessibility objects are not created. The client may implement platform accessibility objects using CefAccessibiltyHandler callbacks if desired.

Public procedure SetAutoResizeEnabled(enabled: boolean; const min_size, max_size: PCefSize);

Enable notifications of auto resize via ICefDisplayHandler.OnAutoResize. Notifications are disabled by default. |min_size| and |max_size| define the range of allowed sizes.

Public procedure SetAudioMuted(mute: boolean);

Set whether the browser's audio is muted.

Public function IsAudioMuted: boolean;

Returns true (1) if the browser's audio is muted. This function can only be called on the UI thread.

Public function IsFullscreen: boolean;

Returns true (1) if the renderer is currently in browser fullscreen. This differs from window fullscreen in that browser fullscreen is entered using the JavaScript Fullscreen API and modifies CSS attributes such as the ::backdrop pseudo-element and :fullscreen pseudo-structure. This function can only be called on the UI thread.

Public procedure ExitFullscreen(will_cause_resize: boolean);

Requests the renderer to exit browser fullscreen. In most cases exiting window fullscreen should also exit browser fullscreen. With Alloy style this function should be called in response to a user action such as clicking the green traffic light button on MacOS (ICefWindowDelegate.OnWindowFullscreenTransition callback) or pressing the "ESC" key (ICefKeyboardHandler.OnPreKeyEvent callback). With Chrome style these standard exit actions are handled internally but new/additional user actions can use this function. Set |will_cause_resize| to true (1) if exiting browser fullscreen will cause a view resize.

Public function CanExecuteChromeCommand(command_id: integer): boolean;

Returns true (1) if a Chrome command is supported and enabled. Use the cef_id_for_command_id_name() function for version-safe mapping of command IDC names from cef_command_ids.h to version-specific numerical |command_id| values. This function can only be called on the UI thread. Only used with Chrome style.

See the IDC_* constants in uCEFConstants.pas for all the |command_id| values.

<see href="https://source.chromium.org/chromium/chromium/src/+/main:chrome/app/chrome_command_ids.h">The command_id values are also available in chrome/app/chrome_command_ids.h)

Public procedure ExecuteChromeCommand(command_id: integer; disposition: TCefWindowOpenDisposition);

Returns true (1) if a Chrome command is supported and enabled. Use the cef_id_for_command_id_name() function for version-safe mapping of command IDC names from cef_command_ids.h to version-specific numerical |command_id| values. This function can only be called on the UI thread. Only used with Chrome style.

See the IDC_* constants in uCEFConstants.pas for all the |command_id| values.

<see href="https://source.chromium.org/chromium/chromium/src/+/main:chrome/app/chrome_command_ids.h">The command_id values are also available in chrome/app/chrome_command_ids.h)

Public function IsRenderProcessUnresponsive: boolean;

Returns true (1) if the render process associated with this browser is currently unresponsive as indicated by a lack of input event processing for at least 15 seconds. To receive associated state change notifications and optionally handle an unresponsive render process implement ICefRequestHandler.OnRenderProcessUnresponsive.

This function can only be called on the CEF UI thread.

Public function GetRuntimeStyle: TCefRuntimeStyle;

Returns the runtime style for this browser (ALLOY or CHROME). See TCefRuntimeStyle documentation for details.

This function can only be called on the CEF UI thread.

Properties

Public property Browser : ICefBrowser read GetBrowser;

Returns the hosted browser object.

Public property WindowHandle : TCefWindowHandle read GetWindowHandle;

Retrieve the window handle (if any) for this browser. If this browser is wrapped in a ICefBrowserView this function should be called on the browser process UI thread and it will return the handle for the top-level native window.

Public property OpenerWindowHandle : TCefWindowHandle read GetOpenerWindowHandle;

Retrieve the window handle (if any) of the browser that opened this browser. Will return NULL for non-popup browsers or if this browser is wrapped in a ICefBrowserView. This function can be used in combination with custom handling of modal windows.

Public property OpenerIdentifier : Integer read GetOpenerIdentifier;

Retrieve the unique identifier of the browser that opened this browser. Will return 0 for non-popup browsers.

Public property ZoomLevel : Double read GetZoomLevel write SetZoomLevel;

Get the current zoom level. The default zoom level is 0.0. This function can only be called on the UI thread.

Public property DefaultZoomLevel : Double read GetDefaultZoomLevel;

Get the default zoom level. This value will be 0.0 by default but can be configured with the Chrome runtime.

This property can only be used on the CEF UI thread.

Public property RequestContext : ICefRequestContext read GetRequestContext;

Returns the request context for this browser.

Public property VisibleNavigationEntry : ICefNavigationEntry read GetVisibleNavigationEntry;

Retrieve a snapshot of current navigation entries as values sent to the specified visitor. If |current_only| is true (1) only the current navigation entry will be sent, otherwise all navigation entries will be sent.

Public property RuntimeStyle : TCefRuntimeStyle read GetRuntimeStyle;

Returns the runtime style for this browser (ALLOY or CHROME). See TCefRuntimeStyle documentation for details.

This property can only be used on the CEF UI thread.


cef4delphi: uCEFInterfaces: Interface ICefProcessMessage

Interface ICefProcessMessage

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefProcessMessage = interface(ICefBaseRefCounted)

Description

Interface representing a message. Can be used on any process and thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_process_message_capi.h">CEF source file: /include/capi/cef_process_message_capi.h (cef_process_message_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefProcessMessage

Overview

Methods

Public | function IsValid: Boolean;
Public | function IsReadOnly: Boolean;
Public | function Copy: ICefProcessMessage;
Public | function GetName: ustring;
Public | function GetArgumentList: ICefListValue;
Public | function GetSharedMemoryRegion: ICefSharedMemoryRegion;

Properties

Public | property Name : ustring read GetName;
Public | property ArgumentList : ICefListValue read GetArgumentList;
Public | property SharedMemoryRegion : ICefSharedMemoryRegion read GetSharedMemoryRegion;

Description

Methods

Public function IsValid: Boolean;

Returns true (1) if this object is valid. Do not call any other functions if this function returns false (0).

Attributes
GUID['{E0B1001A-8777-425A-869B-29D40B8B93B1}']
Public function IsReadOnly: Boolean;

Returns true (1) if the values of this object are read-only. Some APIs may expose read-only objects.

Public function Copy: ICefProcessMessage;

Returns a writable copy of this object. Returns nullptr when message contains a shared memory region.

Public function GetName: ustring;

Returns the message name.

Public function GetArgumentList: ICefListValue;

Returns the list of arguments. Returns nullptr when message contains a shared memory region.

Public function GetSharedMemoryRegion: ICefSharedMemoryRegion;

Returns the shared memory region. Returns nullptr when message contains an argument list.

Properties

Public property Name : ustring read GetName;

Returns the message name.

Public property ArgumentList : ICefListValue read GetArgumentList;

Returns the list of arguments. Returns nullptr when message contains a shared memory region.

Public property SharedMemoryRegion : ICefSharedMemoryRegion read GetSharedMemoryRegion;

Returns the shared memory region. Returns nullptr when message contains an argument list.


cef4delphi: uCEFInterfaces: Interface ICefBrowser

Interface ICefBrowser

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefBrowser = interface(ICefBaseRefCounted)

Description

Interface used to represent a browser. When used in the browser process the functions of this interface may be called on any thread unless otherwise indicated in the comments. When used in the render process the functions of this interface may only be called on the main thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_browser_capi.h">CEF source file: /include/capi/cef_browser_capi.h (cef_browser_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefBrowser

Overview

Methods

Public | function IsValid: boolean;
Public | function GetHost: ICefBrowserHost;
Public | function CanGoBack: Boolean;
Public | procedure GoBack;
Public | function CanGoForward: Boolean;
Public | procedure GoForward;
Public | function IsLoading: Boolean;
Public | procedure Reload;
Public | procedure ReloadIgnoreCache;
Public | procedure StopLoad;
Public | function GetIdentifier: Integer;
Public | function IsSame(const that: ICefBrowser): Boolean;
Public | function IsPopup: Boolean;
Public | function HasDocument: Boolean;
Public | function GetMainFrame: ICefFrame;
Public | function GetFocusedFrame: ICefFrame;
Public | function GetFrameByIdentifier(const identifier: ustring): ICefFrame;
Public | function GetFrameByName(const name: ustring): ICefFrame;
Public | function GetFrameCount: NativeUInt;
Public | function GetFrameIdentifiers(var aFrameIdentifiers : TStrings) : boolean;
Public | function GetFrameNames(var aFrameNames : TStrings) : boolean;

Properties

Public | property MainFrame : ICefFrame read GetMainFrame;
Public | property FocusedFrame : ICefFrame read GetFocusedFrame;
Public | property FrameCount : NativeUInt read GetFrameCount;
Public | property Host : ICefBrowserHost read GetHost;
Public | property Identifier : Integer read GetIdentifier;

Description

Methods

Public function IsValid: boolean;

True if this object is currently valid. This will return false (0) after ICefLifeSpanHandler.OnBeforeClose is called.

Attributes
GUID['{BA003C2E-CF15-458F-9D4A-FE3CEFCF3EEF}']
Public function GetHost: ICefBrowserHost;

Returns the browser host object. This function can only be called in the browser process.

Public function CanGoBack: Boolean;

Returns true (1) if the browser can navigate backwards.

Public procedure GoBack;

Navigate backwards.

Public function CanGoForward: Boolean;

Returns true (1) if the browser can navigate forwards.

Public procedure GoForward;

Navigate forwards.

Public function IsLoading: Boolean;

Returns true (1) if the browser is currently loading.

Public procedure Reload;

Reload the current page.

Public procedure ReloadIgnoreCache;

Reload the current page ignoring any cached data.

Public procedure StopLoad;

Stop loading the page.

Public function GetIdentifier: Integer;

Returns the globally unique identifier for this browser. This value is also used as the tabId for extension APIs.

Public function IsSame(const that: ICefBrowser): Boolean;

Returns true (1) if this object is pointing to the same handle as |that| object.

Public function IsPopup: Boolean;

Returns true (1) if the browser is a popup.

Public function HasDocument: Boolean;

Returns true (1) if a document has been loaded in the browser.

Public function GetMainFrame: ICefFrame;

Returns the main (top-level) frame for the browser. In the browser process this will return a valid object until after ICefLifeSpanHandler.OnBeforeClose is called. In the renderer process this will return NULL if the main frame is hosted in a different renderer process (e.g. for cross-origin sub-frames). The main frame object will change during cross-origin navigation or re-navigation after renderer process termination (due to crashes, etc).

Public function GetFocusedFrame: ICefFrame;

Returns the focused frame for the browser.

Public function GetFrameByIdentifier(const identifier: ustring): ICefFrame;

Returns the frame with the specified identifier, or NULL if not found.

Public function GetFrameByName(const name: ustring): ICefFrame;

Returns the frame with the specified name, or NULL if not found.

Public function GetFrameCount: NativeUInt;

Returns the number of frames that currently exist.

Public function GetFrameIdentifiers(var aFrameIdentifiers : TStrings) : boolean;

Returns the identifiers of all existing frames.

Public function GetFrameNames(var aFrameNames : TStrings) : boolean;

Returns the names of all existing frames.

Properties

Public property MainFrame : ICefFrame read GetMainFrame;

Returns the main (top-level) frame for the browser. In the browser process this will return a valid object until after ICefLifeSpanHandler.OnBeforeClose is called. In the renderer process this will return NULL if the main frame is hosted in a different renderer process (e.g. for cross-origin sub-frames). The main frame object will change during cross-origin navigation or re-navigation after renderer process termination (due to crashes, etc).

Public property FocusedFrame : ICefFrame read GetFocusedFrame;

Returns the focused frame for the browser.

Public property FrameCount : NativeUInt read GetFrameCount;

Returns the number of frames that currently exist.

Public property Host : ICefBrowserHost read GetHost;

Returns the browser host object. This function can only be called in the browser process.

Public property Identifier : Integer read GetIdentifier;

Returns the globally unique identifier for this browser. This value is also used as the tabId for extension APIs.


cef4delphi: uCEFInterfaces: Interface ICefPostDataElement

Interface ICefPostDataElement

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefPostDataElement = interface(ICefBaseRefCounted)

Description

Interface used to represent a single element in the request post data. The functions of this interface may be called on any thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_request_capi.h">CEF source file: /include/capi/cef_request_capi.h (cef_post_data_element_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefPostDataElement

Overview

Methods

Public | function IsReadOnly: Boolean;
Public | procedure SetToEmpty;
Public | procedure SetToFile(const fileName: ustring);
Public | procedure SetToBytes(size: NativeUInt; const bytes: Pointer);
Public | function GetType: TCefPostDataElementType;
Public | function GetFile: ustring;
Public | function GetBytesCount: NativeUInt;
Public | function GetBytes(size: NativeUInt; bytes: Pointer): NativeUInt;

Description

Methods

Public function IsReadOnly: Boolean;

Returns true (1) if this object is read-only.

Attributes
GUID['{3353D1B8-0300-4ADC-8D74-4FF31C77D13C}']
Public procedure SetToEmpty;

Remove all contents from the post data element.

Public procedure SetToFile(const fileName: ustring);

The post data element will represent a file.

Public procedure SetToBytes(size: NativeUInt; const bytes: Pointer);

The post data element will represent bytes. The bytes passed in will be copied.

Public function GetType: TCefPostDataElementType;

Return the type of this post data element.

Public function GetFile: ustring;

Return the file name.

Public function GetBytesCount: NativeUInt;

Return the number of bytes.

Public function GetBytes(size: NativeUInt; bytes: Pointer): NativeUInt;

Read up to |size| bytes into |bytes| and return the number of bytes actually read.


cef4delphi: uCEFInterfaces: Interface ICefPostData

Interface ICefPostData

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefPostData = interface(ICefBaseRefCounted)

Description

Interface used to represent post data for a web request. The functions of this interface may be called on any thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_request_capi.h">CEF source file: /include/capi/cef_request_capi.h (cef_post_data_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefPostData

Overview

Methods

Public | function IsReadOnly: Boolean;
Public | function HasExcludedElements: Boolean;
Public | function GetElementCount: NativeUInt;
Public | procedure GetElements(elementsCount: NativeUInt; var elements: TCefPostDataElementArray);
Public | function RemoveElement(const element: ICefPostDataElement): Boolean;
Public | function AddElement(const element: ICefPostDataElement): Boolean;
Public | procedure RemoveElements;

Description

Methods

Public function IsReadOnly: Boolean;

Returns true (1) if this object is read-only.

Attributes
GUID['{1E677630-9339-4732-BB99-D6FE4DE4AEC0}']
Public function HasExcludedElements: Boolean;

Returns true (1) if the underlying POST data includes elements that are not represented by this ICefPostData object (for example, multi-part file upload data). Modifying ICefPostData objects with excluded elements may result in the request failing.

Public function GetElementCount: NativeUInt;

Returns the number of existing post data elements.

Public procedure GetElements(elementsCount: NativeUInt; var elements: TCefPostDataElementArray);

Retrieve the post data elements.

Public function RemoveElement(const element: ICefPostDataElement): Boolean;

Remove the specified post data element. Returns true (1) if the removal succeeds.

Public function AddElement(const element: ICefPostDataElement): Boolean;

Add the specified post data element. Returns true (1) if the add succeeds.

Public procedure RemoveElements;

Remove all existing post data elements.


cef4delphi: uCEFInterfaces: Interface ICefRequest

Interface ICefRequest

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefRequest = interface(ICefBaseRefCounted)

Description

Interface used to represent a web request. The functions of this interface may be called on any thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_request_capi.h">CEF source file: /include/capi/cef_request_capi.h (cef_request_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefRequest

Overview

Methods

Public | function IsReadOnly: Boolean;
Public | function GetUrl: ustring;
Public | procedure SetUrl(const value: ustring);
Public | function GetMethod: ustring;
Public | procedure SetMethod(const value: ustring);
Public | procedure SetReferrer(const referrerUrl: ustring; policy: TCefReferrerPolicy);
Public | function GetReferrerUrl: ustring;
Public | function GetReferrerPolicy: TCefReferrerPolicy;
Public | function GetPostData: ICefPostData;
Public | procedure SetPostData(const value: ICefPostData);
Public | procedure GetHeaderMap(const HeaderMap: ICefStringMultimap);
Public | procedure SetHeaderMap(const HeaderMap: ICefStringMultimap);
Public | function GetHeaderByName(const name: ustring): ustring;
Public | procedure SetHeaderByName(const name, value: ustring; overwrite: boolean);
Public | function GetFlags: TCefUrlRequestFlags;
Public | procedure SetFlags(flags: TCefUrlRequestFlags);
Public | function GetFirstPartyForCookies: ustring;
Public | procedure SetFirstPartyForCookies(const url: ustring);
Public | procedure Assign(const url, method: ustring; const postData: ICefPostData; const headerMap: ICefStringMultimap);
Public | function GetResourceType: TCefResourceType;
Public | function GetTransitionType: TCefTransitionType;
Public | function GetIdentifier: UInt64;

Properties

Public | property Url : ustring read GetUrl write SetUrl;
Public | property Method : ustring read GetMethod write SetMethod;
Public | property ReferrerUrl : ustring read GetReferrerUrl;
Public | property ReferrerPolicy : TCefReferrerPolicy read GetReferrerPolicy;
Public | property PostData : ICefPostData read GetPostData write SetPostData;
Public | property Flags : TCefUrlRequestFlags read GetFlags write SetFlags;
Public | property FirstPartyForCookies : ustring read GetFirstPartyForCookies write SetFirstPartyForCookies;
Public | property ResourceType : TCefResourceType read GetResourceType;
Public | property TransitionType : TCefTransitionType read GetTransitionType;
Public | property Identifier : UInt64 read GetIdentifier;

Description

Methods

Public function IsReadOnly: Boolean;

Returns true (1) if this object is read-only.

Attributes
GUID['{FB4718D3-7D13-4979-9F4C-D7F6C0EC592A}']
Public function GetUrl: ustring;

Get the fully qualified URL.

Public procedure SetUrl(const value: ustring);

Set the fully qualified URL.

Public function GetMethod: ustring;

Get the request function type. The value will default to POST if post data is provided and GET otherwise.

Public procedure SetMethod(const value: ustring);

Set the request function type.

Public procedure SetReferrer(const referrerUrl: ustring; policy: TCefReferrerPolicy);

Set the referrer URL and policy. If non-NULL the referrer URL must be fully qualified with an HTTP or HTTPS scheme component. Any username, password or ref component will be removed.

Public function GetReferrerUrl: ustring;

Get the referrer URL.

Public function GetReferrerPolicy: TCefReferrerPolicy;

Get the referrer policy.

Public function GetPostData: ICefPostData;

Get the post data.

Public procedure SetPostData(const value: ICefPostData);

Set the post data.

Public procedure GetHeaderMap(const HeaderMap: ICefStringMultimap);

Get the header values. Will not include the Referer value if any.

Public procedure SetHeaderMap(const HeaderMap: ICefStringMultimap);

Set the header values. If a Referer value exists in the header map it will be removed and ignored.

Public function GetHeaderByName(const name: ustring): ustring;

Returns the first header value for |name| or an NULL string if not found. Will not return the Referer value if any. Use GetHeaderMap instead if |name| might have multiple values.

Public procedure SetHeaderByName(const name, value: ustring; overwrite: boolean);

Set the header |name| to |value|. If |overwrite| is true (1) any existing values will be replaced with the new value. If |overwrite| is false (0) any existing values will not be overwritten. The Referer value cannot be set using this function.

Public function GetFlags: TCefUrlRequestFlags;

Get the flags used in combination with ICefUrlRequest. See TCefUrlRequestFlags for supported values.

Public procedure SetFlags(flags: TCefUrlRequestFlags);

Set the flags used in combination with ICefUrlRequest. See TCefUrlRequestFlags for supported values.

Public function GetFirstPartyForCookies: ustring;

Get the URL to the first party for cookies used in combination with ICefUrlRequest.

Public procedure SetFirstPartyForCookies(const url: ustring);

Set the URL to the first party for cookies used in combination with ICefUrlRequest.

Public procedure Assign(const url, method: ustring; const postData: ICefPostData; const headerMap: ICefStringMultimap);

Set all values at one time. This method corresponds to TCefRequest.set_ and cef_request_t.set

Public function GetResourceType: TCefResourceType;

Get the resource type for this request. Only available in the browser process.

Public function GetTransitionType: TCefTransitionType;

Get the transition type for this request. Only available in the browser process and only applies to requests that represent a main frame or sub- frame navigation.

Public function GetIdentifier: UInt64;

Returns the globally unique identifier for this request or 0 if not specified. Can be used by ICefResourceRequestHandler implementations in the browser process to track a single request across multiple callbacks.

Properties

Public property Url : ustring read GetUrl write SetUrl;

Get the fully qualified URL.

Public property Method : ustring read GetMethod write SetMethod;

Get the request function type. The value will default to POST if post data is provided and GET otherwise.

Public property ReferrerUrl : ustring read GetReferrerUrl;

Get the referrer URL.

Public property ReferrerPolicy : TCefReferrerPolicy read GetReferrerPolicy;

Get the referrer policy.

Public property PostData : ICefPostData read GetPostData write SetPostData;

Get the post data.

Public property Flags : TCefUrlRequestFlags read GetFlags write SetFlags;

Get the flags used in combination with ICefUrlRequest. See TCefUrlRequestFlags for supported values.

Public property FirstPartyForCookies : ustring read GetFirstPartyForCookies write SetFirstPartyForCookies;

Get the URL to the first party for cookies used in combination with ICefUrlRequest.

Public property ResourceType : TCefResourceType read GetResourceType;

Get the resource type for this request. Only available in the browser process.

Public property TransitionType : TCefTransitionType read GetTransitionType;

Get the transition type for this request. Only available in the browser process and only applies to requests that represent a main frame or sub- frame navigation.

Public property Identifier : UInt64 read GetIdentifier;

Returns the globally unique identifier for this request or 0 if not specified. Can be used by ICefResourceRequestHandler implementations in the browser process to track a single request across multiple callbacks.


cef4delphi: uCEFInterfaces: Interface ICefStringVisitor

Interface ICefStringVisitor

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefStringVisitor = interface(ICefBaseRefCounted)

Description

Implement this interface to receive string values asynchronously.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_string_visitor_capi.h">CEF source file: /include/capi/cef_string_visitor_capi.h (cef_string_visitor_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefStringVisitor

Overview

Methods

Public procedure Visit(const str: ustring);

Description

Methods

Public procedure Visit(const str: ustring);

Method that will be executed.

Attributes
GUID['{63ED4D6C-2FC8-4537-964B-B84C008F6158}']


cef4delphi: uCEFInterfaces: Interface ICefFrame

Interface ICefFrame

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefFrame = interface(ICefBaseRefCounted)

Description

Interface used to represent a frame in the browser window. When used in the browser process the functions of this interface may be called on any thread unless otherwise indicated in the comments. When used in the render process the functions of this interface may only be called on the main thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_frame_capi.h">CEF source file: /include/capi/cef_frame_capi.h (cef_frame_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefFrame

Overview

Methods

Public | function IsValid: Boolean;
Public | procedure Undo;
Public | procedure Redo;
Public | procedure Cut;
Public | procedure Copy;
Public | procedure Paste;
Public | procedure PasteAndMatchStyle;
Public | procedure Del;
Public | procedure SelectAll;
Public | procedure ViewSource;
Public | procedure GetSource(const visitor: ICefStringVisitor);
Public | procedure GetSourceProc(const proc: TCefStringVisitorProc);
Public | procedure GetText(const visitor: ICefStringVisitor);
Public | procedure GetTextProc(const proc: TCefStringVisitorProc);
Public | procedure LoadRequest(const request: ICefRequest);
Public | procedure LoadUrl(const url: ustring);
Public | procedure ExecuteJavaScript(const code, scriptUrl: ustring; startLine: Integer);
Public | function IsMain: Boolean;
Public | function IsFocused: Boolean;
Public | function GetName: ustring;
Public | function GetIdentifier: ustring;
Public | function GetParent: ICefFrame;
Public | function GetUrl: ustring;
Public | function GetBrowser: ICefBrowser;
Public | function GetV8Context: ICefv8Context;
Public | procedure VisitDom(const visitor: ICefDomVisitor);
Public | procedure VisitDomProc(const proc: TCefDomVisitorProc);
Public | function CreateUrlRequest(const request: ICefRequest; const client: ICefUrlrequestClient): ICefUrlRequest;
Public | procedure SendProcessMessage(targetProcess: TCefProcessId; const message_: ICefProcessMessage);

Properties

Public | property Name : ustring read GetName;
Public | property Url : ustring read GetUrl;
Public | property Browser : ICefBrowser read GetBrowser;
Public | property Parent : ICefFrame read GetParent;
Public | property Identifier : ustring read GetIdentifier;

Description

Methods

Public function IsValid: Boolean;

True if this object is currently attached to a valid frame.

Attributes
GUID['{8FD3D3A6-EA3A-4A72-8501-0276BD5C3D1D}']
Public procedure Undo;

Execute undo in this frame.

Public procedure Redo;

Execute redo in this frame.

Public procedure Cut;

Execute cut in this frame.

Public procedure Copy;

Execute copy in this frame.

Public procedure Paste;

Execute paste in this frame.

Public procedure PasteAndMatchStyle;

Execute paste and match style in this frame.

Public procedure Del;

Execute delete in this frame.

Public procedure SelectAll;

Execute select all in this frame.

Public procedure ViewSource;

Save this frame's HTML source to a temporary file and open it in the default text viewing application. This function can only be called from the browser process.

Public procedure GetSource(const visitor: ICefStringVisitor);

Retrieve this frame's HTML source as a string sent to the specified visitor.

Public procedure GetSourceProc(const proc: TCefStringVisitorProc);

Retrieve this frame's HTML source as a string sent to the specified visitor.

Public procedure GetText(const visitor: ICefStringVisitor);

Retrieve this frame's display text as a string sent to the specified visitor.

Public procedure GetTextProc(const proc: TCefStringVisitorProc);

Retrieve this frame's display text as a string sent to the specified visitor.

Public procedure LoadRequest(const request: ICefRequest);

Load the request represented by the |request| object.

WARNING: This function will fail with "bad IPC message" reason INVALID_INITIATOR_ORIGIN (213) unless you first navigate to the request origin using some other mechanism (LoadURL, link click, etc).

Public procedure LoadUrl(const url: ustring);

Load the specified |url|.

Public procedure ExecuteJavaScript(const code, scriptUrl: ustring; startLine: Integer);

Execute a string of JavaScript code in this frame. The |script_url| parameter is the URL where the script in question can be found, if any. The renderer may request this URL to show the developer the source of the error. The |start_line| parameter is the base line number to use for error reporting.

Public function IsMain: Boolean;

Returns true (1) if this is the main (top-level) frame.

Public function IsFocused: Boolean;

Returns true (1) if this is the focused frame.

Public function GetName: ustring;

Returns the name for this frame. If the frame has an assigned name (for example, set via the iframe "name" attribute) then that value will be returned. Otherwise a unique name will be constructed based on the frame parent hierarchy. The main (top-level) frame will always have an NULL name value.

Public function GetIdentifier: ustring;

Returns the globally unique identifier for this frame or empty if the underlying frame does not yet exist.

Public function GetParent: ICefFrame;

Returns the parent of this frame or NULL if this is the main (top-level) frame.

Public function GetUrl: ustring;

Returns the URL currently loaded in this frame.

Public function GetBrowser: ICefBrowser;

Returns the browser that this frame belongs to.

Public function GetV8Context: ICefv8Context;

Get the V8 context associated with the frame. This function can only be called from the render process.

Public procedure VisitDom(const visitor: ICefDomVisitor);

Visit the DOM document. This function can only be called from the render process.

Public procedure VisitDomProc(const proc: TCefDomVisitorProc);

Visit the DOM document. This function can only be called from the render process.

Public function CreateUrlRequest(const request: ICefRequest; const client: ICefUrlrequestClient): ICefUrlRequest;

Create a new URL request that will be treated as originating from this frame and the associated browser. Use TCustomCefUrlrequestClient.Create instead if you do not want the request to have this association, in which case it may be handled differently (see documentation on that function). A request created with this function may only originate from the browser process, and will behave as follows: - It may be intercepted by the client via CefResourceRequestHandler or CefSchemeHandlerFactory. - POST data may only contain a single element of type PDE_TYPE_FILE or PDE_TYPE_BYTES.

The |request| object will be marked as read-only after calling this function.

Public procedure SendProcessMessage(targetProcess: TCefProcessId; const message_: ICefProcessMessage);

Send a message to the specified |target_process|. Ownership of the message contents will be transferred and the |message| reference will be invalidated. Message delivery is not guaranteed in all cases (for example, if the browser is closing, navigating, or if the target process crashes). Send an ACK message back from the target process if confirmation is required.

Properties

Public property Name : ustring read GetName;

Returns the name for this frame. If the frame has an assigned name (for example, set via the iframe "name" attribute) then that value will be returned. Otherwise a unique name will be constructed based on the frame parent hierarchy. The main (top-level) frame will always have an NULL name value.

Public property Url : ustring read GetUrl;

Returns the URL currently loaded in this frame.

Public property Browser : ICefBrowser read GetBrowser;

Returns the browser that this frame belongs to.

Public property Parent : ICefFrame read GetParent;

Returns the parent of this frame or NULL if this is the main (top-level) frame.

Public property Identifier : ustring read GetIdentifier;

Returns the globally unique identifier for this frame or empty if the underlying frame does not yet exist.


cef4delphi: uCEFInterfaces: Interface ICefFrameHandler

Interface ICefFrameHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefFrameHandler = interface(ICefBaseRefCounted)

Description

Implement this structure to handle events related to cef_frame_t life span. The order of callbacks is:

(1) During initial cef_browser_host_t creation and navigation of the main frame:

- cef_frame_handler_t::OnFrameCreated => The initial main frame object has
  been created. Any commands will be queued until the frame is attached.
- cef_frame_handler_t::OnMainFrameChanged => The initial main frame object
  has been assigned to the browser.
- cef_life_span_handler_t::OnAfterCreated => The browser is now valid and
  can be used.
- cef_frame_handler_t::OnFrameAttached => The initial main frame object is
  now connected to its peer in the renderer process. Commands can be routed.

(2) During further cef_browser_host_t navigation/loading of the main frame and/or sub-frames:

- cef_frame_handler_t::OnFrameCreated => A new main frame or sub-frame
  object has been created. Any commands will be queued until the frame is
  attached.
- cef_frame_handler_t::OnFrameAttached => A new main frame or sub-frame
  object is now connected to its peer in the renderer process. Commands can
  be routed.
- cef_frame_handler_t::OnFrameDetached => An existing main frame or sub-
  frame object has lost its connection to the renderer process. If multiple
  objects are detached at the same time then notifications will be sent for
  any sub-frame objects before the main frame object. Commands can no longer
  be routed and will be discarded.
- CefFremeHadler::OnFrameDestroyed => An existing main frame or sub-frame
  object has been destroyed.
- cef_frame_handler_t::OnMainFrameChanged => A new main frame object has
  been assigned to the browser. This will only occur with cross-origin
  navigation or re-navigation after renderer process termination (due to
  crashes, etc).

(3) During final cef_browser_host_t destruction of the main frame:

- cef_frame_handler_t::OnFrameDetached => Any sub-frame objects have lost
  their connection to the renderer process. Commands can no longer be routed
  and will be discarded.
- CefFreameHandler::OnFrameDestroyed => Any sub-frame objects have been
  destroyed.
- cef_life_span_handler_t::OnBeforeClose => The browser has been destroyed.
- cef_frame_handler_t::OnFrameDetached => The main frame object have lost
  its connection to the renderer process. Notifications will be sent for any
  sub-frame objects before the main frame object. Commands can no longer be
  routed and will be discarded.
- CefFreameHandler::OnFrameDestroyed => The main frame object has been
  destroyed.
- cef_frame_handler_t::OnMainFrameChanged => The final main frame object has
  been removed from the browser.

Special handling applies for cross-origin loading on creation/navigation of sub-frames, and cross-origin loading on creation of new popup browsers. A temporary frame will first be created in the parent frame's renderer process. This temporary frame will never attach and will be discarded after the real cross-origin frame is created in the new/target renderer process. The client will receive creation callbacks for the temporary frame, followed by cross-origin navigation callbacks (2) for the transition from the temporary frame to the real frame. The temporary frame will not receive or execute commands during this transitional period (any sent commands will be discarded).

When the main frame navigates to a different origin the OnMainFrameChanged callback (2) will be executed with the old and new main frame objects.

Callbacks will not be executed for placeholders that may be created during pre-commit navigation for sub-frames that do not yet exist in the renderer process. Placeholders will have cef_frame_t::get_identifier() == -4.

The functions of this structure will be called on the UI thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_frame_handler_capi.h">CEF source file: /include/capi/cef_frame_handler_capi.h (cef_frame_handler_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefFrameHandler

Overview

Methods

Public | procedure OnFrameCreated(const browser: ICefBrowser; const frame: ICefFrame);
Public | procedure OnFrameDestroyed(const browser: ICefBrowser; const frame: ICefFrame);
Public | procedure OnFrameAttached(const browser: ICefBrowser; const frame: ICefFrame; reattached: boolean);
Public | procedure OnFrameDetached(const browser: ICefBrowser; const frame: ICefFrame);
Public | procedure OnMainFrameChanged(const browser: ICefBrowser; const old_frame, new_frame: ICefFrame);
Public | procedure RemoveReferences;

Description

Methods

Public procedure OnFrameCreated(const browser: ICefBrowser; const frame: ICefFrame);

Called when a new frame is created. This will be the first notification that references |frame|. Any commands that require transport to the associated renderer process (LoadRequest, SendProcessMessage, GetSource, etc.) will be queued. The queued commands will be sent before OnFrameAttached or discarded before OnFrameDestroyed if the frame never attaches.

Attributes
GUID['{B437128C-F7CB-4F75-83CF-A257B98C0B6E}']
Public procedure OnFrameDestroyed(const browser: ICefBrowser; const frame: ICefFrame);

Called when an existing frame is destroyed. This will be the last notification that references |frame| and cef_frame_t::is_valid() will return false (0) for |frame|. If called during browser destruction and after cef_life_span_handler_t::on_before_close() then cef_browser_t::is_valid() will return false (0) for |browser|. Any queued commands that have not been sent will be discarded before this callback.

Public procedure OnFrameAttached(const browser: ICefBrowser; const frame: ICefFrame; reattached: boolean);

Called when a frame can begin routing commands to/from the associated renderer process. |reattached| will be true (1) if the frame was re- attached after exiting the BackForwardCache or after encountering a recoverable connection error. Any queued commands will now have been dispatched. This function will not be called for temporary frames created during cross-origin navigation.

Public procedure OnFrameDetached(const browser: ICefBrowser; const frame: ICefFrame);

Called when a frame loses its connection to the renderer process. This may occur when a frame is destroyed, enters the BackForwardCache, or encounters a rare connection error. In the case of frame destruction this call will be followed by a (potentially async) call to OnFrameDestroyed. If frame destruction is occuring synchronously then cef_frame_t::is_valid() will return false (0) for |frame|. If called during browser destruction and after cef_life_span_handler_t::on_before_close() then cef_browser_t::is_valid() will return false (0) for |browser|. If, in the non-destruction case, the same frame later exits the BackForwardCache or recovers from a connection error then there will be a follow-up call to OnFrameAttached. This function will not be called for temporary frames created during cross- origin navigation.

Public procedure OnMainFrameChanged(const browser: ICefBrowser; const old_frame, new_frame: ICefFrame);

Called when the main frame changes due to (a) initial browser creation, (b) final browser destruction, (c) cross-origin navigation or (d) re- navigation after renderer process termination (due to crashes, etc). |old_frame| will be NULL and |new_frame| will be non-NULL when a main frame is assigned to |browser| for the first time. |old_frame| will be non-NULL and |new_frame| will be NULL when a main frame is removed from |browser| for the last time. Both |old_frame| and |new_frame| will be non- NULL for cross-origin navigations or re-navigation after renderer process termination. This function will be called after on_frame_created() for |new_frame| and/or after on_frame_destroyed() for |old_frame|. If called during browser destruction and after cef_life_span_handler_t::on_before_close() then cef_browser_t::is_valid() will return false (0) for |browser|.

Public procedure RemoveReferences;

Custom procedure to clear all references.


cef4delphi: uCEFInterfaces: Interface ICefCustomStreamReader

Interface ICefCustomStreamReader

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefCustomStreamReader = interface(ICefBaseRefCounted)

Description

Interface used to read data from a stream. The functions of this interface may be called on any thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_stream_capi.h">CEF source file: /include/capi/cef_stream_capi.h (cef_stream_reader_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefCustomStreamReader

Overview

Methods

Public | function Read(ptr: Pointer; size, n: NativeUInt): NativeUInt;
Public | function Seek(offset: Int64; whence: Integer): Integer;
Public | function Tell: Int64;
Public | function Eof: Boolean;
Public | function MayBlock: Boolean;

Description

Methods

Public function Read(ptr: Pointer; size, n: NativeUInt): NativeUInt;

Read raw binary data.

Attributes
GUID['{BBCFF23A-6FE7-4C28-B13E-6D2ACA5C83B7}']
Public function Seek(offset: Int64; whence: Integer): Integer;

Seek to the specified offset position. |whence| may be any one of SEEK_CUR, SEEK_END or SEEK_SET. Return zero on success and non-zero on failure.

Public function Tell: Int64;

Return the current offset position.

Public function Eof: Boolean;

Return non-zero if at end of file.

Public function MayBlock: Boolean;

Return true (1) if this handler performs work like accessing the file system which may block. Used as a hint for determining the thread to access the handler from.


cef4delphi: uCEFInterfaces: Interface ICefStreamReader

Interface ICefStreamReader

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefStreamReader = interface(ICefBaseRefCounted)

Description

Interface used to read data from a stream. The functions of this interface may be called on any thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_stream_capi.h">CEF source file: /include/capi/cef_stream_capi.h (cef_stream_reader_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefStreamReader

Overview

Methods

Public | function Read(ptr: Pointer; size, n: NativeUInt): NativeUInt;
Public | function Seek(offset: Int64; whence: Integer): Integer;
Public | function Tell: Int64;
Public | function Eof: Boolean;
Public | function MayBlock: Boolean;

Description

Methods

Public function Read(ptr: Pointer; size, n: NativeUInt): NativeUInt;

Read raw binary data.

Attributes
GUID['{DD5361CB-E558-49C5-A4BD-D1CE84ADB277}']
Public function Seek(offset: Int64; whence: Integer): Integer;

Seek to the specified offset position. |whence| may be any one of SEEK_CUR, SEEK_END or SEEK_SET. Return zero on success and non-zero on failure.

Public function Tell: Int64;

Return the current offset position.

Public function Eof: Boolean;

Return non-zero if at end of file.

Public function MayBlock: Boolean;

Return true (1) if this handler performs work like accessing the file system which may block. Used as a hint for determining the thread to access the handler from.


cef4delphi: uCEFInterfaces: Interface ICefReadHandler

Interface ICefReadHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefReadHandler = interface(ICefBaseRefCounted)

Description

Structure the client can implement to provide a custom stream reader. The functions of this structure may be called on any thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_stream_capi.h">CEF source file: /include/capi/cef_stream_capi.h (cef_read_handler_tcef_stream_reader_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefReadHandler

Overview

Methods

Public | function Read(ptr: Pointer; size, n: NativeUInt): NativeUInt;
Public | function Seek(offset: Int64; whence: Integer): Integer;
Public | function Tell: Int64;
Public | function Eof: Boolean;
Public | function MayBlock: Boolean;

Description

Methods

Public function Read(ptr: Pointer; size, n: NativeUInt): NativeUInt;

Read raw binary data.

Attributes
GUID['{10152506-B2F8-4765-BBBC-9CA8A85A2C87}']
Public function Seek(offset: Int64; whence: Integer): Integer;

Seek to the specified offset position. |whence| may be any one of SEEK_CUR, SEEK_END or SEEK_SET. Return zero on success and non-zero on failure.

Public function Tell: Int64;

Return the current offset position.

Public function Eof: Boolean;

Return non-zero if at end of file.

Public function MayBlock: Boolean;

Return true (1) if this handler performs work like accessing the file system which may block. Used as a hint for determining the thread to access the handler from.


cef4delphi: uCEFInterfaces: Interface ICefWriteHandler

Interface ICefWriteHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefWriteHandler = interface(ICefBaseRefCounted)

Description

Interface the client can implement to provide a custom stream writer. The functions of this interface may be called on any thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_stream_capi.h">CEF source file: /include/capi/cef_stream_capi.h (cef_write_handler_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefWriteHandler

Overview

Methods

Public | function Write(const ptr: Pointer; size, n: NativeUInt): NativeUInt;
Public | function Seek(offset: Int64; whence: Integer): Integer;
Public | function Tell: Int64;
Public | function Flush: Integer;
Public | function MayBlock: Boolean;

Description

Methods

Public function Write(const ptr: Pointer; size, n: NativeUInt): NativeUInt;

Write raw binary data.

Attributes
GUID['{F2431888-4EAB-421E-9EC3-320BE695AF30}']
Public function Seek(offset: Int64; whence: Integer): Integer;

Seek to the specified offset position. |whence| may be any one of SEEK_CUR, SEEK_END or SEEK_SET. Return zero on success and non-zero on failure.

Public function Tell: Int64;

Return the current offset position.

Public function Flush: Integer;

Flush the stream.

Public function MayBlock: Boolean;

Return true (1) if this handler performs work like accessing the file system which may block. Used as a hint for determining the thread to access the handler from.


cef4delphi: uCEFInterfaces: Interface ICefStreamWriter

Interface ICefStreamWriter

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefStreamWriter = interface(ICefBaseRefCounted)

Description

Interface used to write data to a stream. The functions of this interface may be called on any thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_stream_capi.h">CEF source file: /include/capi/cef_stream_capi.h (cef_stream_writer_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefStreamWriter

Overview

Methods

Public | function Write(const ptr: Pointer; size, n: NativeUInt): NativeUInt;
Public | function Seek(offset: Int64; whence: Integer): Integer;
Public | function Tell: Int64;
Public | function Flush: Integer;
Public | function MayBlock: Boolean;

Description

Methods

Public function Write(const ptr: Pointer; size, n: NativeUInt): NativeUInt;

Write raw binary data.

Attributes
GUID['{4AA6C477-7D8A-4D5A-A704-67F900A827E7}']
Public function Seek(offset: Int64; whence: Integer): Integer;

Seek to the specified offset position. |whence| may be any one of SEEK_CUR, SEEK_END or SEEK_SET. Returns zero on success and non-zero on failure.

Public function Tell: Int64;

Return the current offset position.

Public function Flush: Integer;

Flush the stream.

Public function MayBlock: Boolean;

Returns true (1) if this writer performs work like accessing the file system which may block. Used as a hint for determining the thread to access the writer from.


cef4delphi: uCEFInterfaces: Interface ICefResponse

Interface ICefResponse

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefResponse = interface(ICefBaseRefCounted)

Description

Interface used to represent a web response. The functions of this interface may be called on any thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_response_capi.h">CEF source file: /include/capi/cef_response_capi.h (cef_response_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefResponse

Overview

Methods

Public | function IsReadOnly: Boolean;
Public | function GetError: TCefErrorCode;
Public | procedure SetError(error: TCefErrorCode);
Public | function GetStatus: Integer;
Public | procedure SetStatus(status: Integer);
Public | function GetStatusText: ustring;
Public | procedure SetStatusText(const StatusText: ustring);
Public | function GetMimeType: ustring;
Public | procedure SetMimeType(const mimetype: ustring);
Public | function GetCharset: ustring;
Public | procedure SetCharset(const charset: ustring);
Public | function GetHeaderByName(const name: ustring): ustring;
Public | procedure SetHeaderByName(const name, value: ustring; overwrite: boolean);
Public | procedure GetHeaderMap(const headerMap: ICefStringMultimap);
Public | procedure SetHeaderMap(const headerMap: ICefStringMultimap);
Public | function GetURL: ustring;
Public | procedure SetURL(const url: ustring);

Properties

Public | property Status : Integer read GetStatus write SetStatus;
Public | property StatusText : ustring read GetStatusText write SetStatusText;
Public | property MimeType : ustring read GetMimeType write SetMimeType;
Public | property Charset : ustring read GetCharset write SetCharset;
Public | property Error : TCefErrorCode read GetError write SetError;
Public | property URL : ustring read GetURL write SetURL;

Description

Methods

Public function IsReadOnly: Boolean;

Returns true (1) if this object is read-only.

Attributes
GUID['{E9C896E4-59A8-4B96-AB5E-6EA3A498B7F1}']
Public function GetError: TCefErrorCode;

Get the response error code. Returns ERR_NONE if there was no error.

Public procedure SetError(error: TCefErrorCode);

Set the response error code. This can be used by custom scheme handlers to return errors during initial request processing.

Public function GetStatus: Integer;

Get the response status code.

Public procedure SetStatus(status: Integer);

Set the response status code.

Public function GetStatusText: ustring;

Get the response status text.

Public procedure SetStatusText(const StatusText: ustring);

Set the response status text.

Public function GetMimeType: ustring;

Get the response mime type.

Public procedure SetMimeType(const mimetype: ustring);

Set the response mime type.

Public function GetCharset: ustring;

Get the response charset.

Public procedure SetCharset(const charset: ustring);

Set the response charset.

Public function GetHeaderByName(const name: ustring): ustring;

Get the value for the specified response header field.

Public procedure SetHeaderByName(const name, value: ustring; overwrite: boolean);

Set the header |name| to |value|. If |overwrite| is true (1) any existing values will be replaced with the new value. If |overwrite| is false (0) any existing values will not be overwritten.

Public procedure GetHeaderMap(const headerMap: ICefStringMultimap);

Get all response header fields.

Public procedure SetHeaderMap(const headerMap: ICefStringMultimap);

Set all response header fields.

Public function GetURL: ustring;

Get the resolved URL after redirects or changed as a result of HSTS.

Public procedure SetURL(const url: ustring);

Set the resolved URL after redirects or changed as a result of HSTS.

Properties

Public property Status : Integer read GetStatus write SetStatus;

Get the response status code.

Public property StatusText : ustring read GetStatusText write SetStatusText;

Get the response status text.

Public property MimeType : ustring read GetMimeType write SetMimeType;

Get the response mime type.

Public property Charset : ustring read GetCharset write SetCharset;

Get the response charset.

Public property Error : TCefErrorCode read GetError write SetError;

Get the response error code. Returns ERR_NONE if there was no error.

Public property URL : ustring read GetURL write SetURL;

Get the resolved URL after redirects or changed as a result of HSTS.


cef4delphi: uCEFInterfaces: Interface ICefDownloadItem

Interface ICefDownloadItem

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefDownloadItem = interface(ICefBaseRefCounted)

Description

Interface used to represent a download item.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_download_item_capi.h">CEF source file: /include/capi/cef_download_item_capi.h (cef_download_item_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefDownloadItem

Overview

Methods

Public | function IsValid: Boolean;
Public | function IsInProgress: Boolean;
Public | function IsComplete: Boolean;
Public | function IsCanceled: Boolean;
Public | function IsInterrupted: Boolean;
Public | function GetInterruptReason: TCefDownloadInterruptReason;
Public | function GetCurrentSpeed: Int64;
Public | function GetPercentComplete: Integer;
Public | function GetTotalBytes: Int64;
Public | function GetReceivedBytes: Int64;
Public | function GetStartTime: TDateTime;
Public | function GetEndTime: TDateTime;
Public | function GetFullPath: ustring;
Public | function GetId: Cardinal;
Public | function GetUrl: ustring;
Public | function GetOriginalUrl: ustring;
Public | function GetSuggestedFileName: ustring;
Public | function GetContentDisposition: ustring;
Public | function GetMimeType: ustring;

Properties

Public | property CurrentSpeed : Int64 read GetCurrentSpeed;
Public | property PercentComplete : Integer read GetPercentComplete;
Public | property TotalBytes : Int64 read GetTotalBytes;
Public | property ReceivedBytes : Int64 read GetReceivedBytes;
Public | property StartTime : TDateTime read GetStartTime;
Public | property EndTime : TDateTime read GetEndTime;
Public | property FullPath : ustring read GetFullPath;
Public | property Id : Cardinal read GetId;
Public | property Url : ustring read GetUrl;
Public | property OriginalUrl : ustring read GetOriginalUrl;
Public | property SuggestedFileName : ustring read GetSuggestedFileName;
Public | property ContentDisposition : ustring read GetContentDisposition;
Public | property MimeType : ustring read GetMimeType;
Public | property InterruptReason : TCefDownloadInterruptReason read GetInterruptReason;

Description

Methods

Public function IsValid: Boolean;

Returns true (1) if this object is valid. Do not call any other functions if this function returns false (0).

Attributes
GUID['{B34BD320-A82E-4185-8E84-B98E5EEC803F}']
Public function IsInProgress: Boolean;

Returns true (1) if the download is in progress.

Public function IsComplete: Boolean;

Returns true (1) if the download is complete.

Public function IsCanceled: Boolean;

Returns true (1) if the download has been canceled.

Public function IsInterrupted: Boolean;

Returns true (1) if the download has been interrupted.

Public function GetInterruptReason: TCefDownloadInterruptReason;

Returns the most recent interrupt reason.

Public function GetCurrentSpeed: Int64;

Returns a simple speed estimate in bytes/s.

Public function GetPercentComplete: Integer;

Returns the rough percent complete or -1 if the receive total size is unknown.

Public function GetTotalBytes: Int64;

Returns the total number of bytes.

Public function GetReceivedBytes: Int64;

Returns the number of received bytes.

Public function GetStartTime: TDateTime;

Returns the time that the download started.

Public function GetEndTime: TDateTime;

Returns the time that the download ended.

Public function GetFullPath: ustring;

Returns the full path to the downloaded or downloading file.

Public function GetId: Cardinal;

Returns the unique identifier for this download.

Public function GetUrl: ustring;

Returns the URL.

Public function GetOriginalUrl: ustring;

Returns the original URL before any redirections.

Public function GetSuggestedFileName: ustring;

Returns the suggested file name.

Public function GetContentDisposition: ustring;

Returns the content disposition.

Public function GetMimeType: ustring;

Returns the mime type.

Properties

Public property CurrentSpeed : Int64 read GetCurrentSpeed;

Returns a simple speed estimate in bytes/s.

Public property PercentComplete : Integer read GetPercentComplete;

Returns the rough percent complete or -1 if the receive total size is unknown.

Public property TotalBytes : Int64 read GetTotalBytes;

Returns the total number of bytes.

Public property ReceivedBytes : Int64 read GetReceivedBytes;

Returns the number of received bytes.

Public property StartTime : TDateTime read GetStartTime;

Returns the time that the download started.

Public property EndTime : TDateTime read GetEndTime;

Returns the time that the download ended.

Public property FullPath : ustring read GetFullPath;

Returns the full path to the downloaded or downloading file.

Public property Id : Cardinal read GetId;

Returns the unique identifier for this download.

Public property Url : ustring read GetUrl;

Returns the URL.

Public property OriginalUrl : ustring read GetOriginalUrl;

Returns the original URL before any redirections.

Public property SuggestedFileName : ustring read GetSuggestedFileName;

Returns the suggested file name.

Public property ContentDisposition : ustring read GetContentDisposition;

Returns the content disposition.

Public property MimeType : ustring read GetMimeType;

Returns the mime type.

Public property InterruptReason : TCefDownloadInterruptReason read GetInterruptReason;

Returns the most recent interrupt reason.


cef4delphi: uCEFInterfaces: Interface ICefBeforeDownloadCallback

Interface ICefBeforeDownloadCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefBeforeDownloadCallback = interface(ICefBaseRefCounted)

Description

Callback interface used to asynchronously continue a download.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_download_handler_capi.h">CEF source file: /include/capi/cef_download_handler_capi.h (cef_before_download_callback_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefBeforeDownloadCallback

Overview

Methods

Public procedure Cont(const downloadPath: ustring; showDialog: Boolean);

Description

Methods

Public procedure Cont(const downloadPath: ustring; showDialog: Boolean);

Call to continue the download. Set |download_path| to the full file path for the download including the file name or leave blank to use the suggested name and the default temp directory. Set |show_dialog| to true (1) if you do wish to show the default "Save As" dialog.

Attributes
GUID['{5A81AF75-CBA2-444D-AD8E-522160F36433}']


cef4delphi: uCEFInterfaces: Interface ICefDownloadItemCallback

Interface ICefDownloadItemCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefDownloadItemCallback = interface(ICefBaseRefCounted)

Description

Callback interface used to asynchronously cancel a download.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_download_handler_capi.h">CEF source file: /include/capi/cef_download_handler_capi.h (cef_download_item_callback_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefDownloadItemCallback

Overview

Methods

Public | procedure Cancel;
Public | procedure Pause;
Public | procedure Resume;

Description

Methods

Public procedure Cancel;

Call to cancel the download.

Attributes
GUID['{498F103F-BE64-4D5F-86B7-B37EC69E1735}']
Public procedure Pause;

Call to pause the download.

Public procedure Resume;

Call to resume the download.


cef4delphi: uCEFInterfaces: Interface ICefDownloadHandler

Interface ICefDownloadHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefDownloadHandler = interface(ICefBaseRefCounted)

Description

Interface used to handle file downloads. The functions of this interface will called on the browser process UI thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_download_handler_capi.h">CEF source file: /include/capi/cef_download_handler_capi.h (cef_download_handler_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefDownloadHandler

Overview

Methods

Public | function CanDownload(const browser: ICefBrowser; const url, request_method: ustring): boolean;
Public | function OnBeforeDownload(const browser: ICefBrowser; const downloadItem: ICefDownloadItem; const suggestedName: ustring; const callback: ICefBeforeDownloadCallback): boolean;
Public | procedure OnDownloadUpdated(const browser: ICefBrowser; const downloadItem: ICefDownloadItem; const callback: ICefDownloadItemCallback);
Public | procedure RemoveReferences;

Description

Methods

Public function CanDownload(const browser: ICefBrowser; const url, request_method: ustring): boolean;

Called before a download begins in response to a user-initiated action (e.g. alt + link click or link click that returns a `Content-Disposition: attachment` response from the server). |url| is the target download URL and |request_function| is the target function (GET, POST, etc). Return true (1) to proceed with the download or false (0) to cancel the download.

Attributes
GUID['{3137F90A-5DC5-43C1-858D-A269F28EF4F1}']
Public function OnBeforeDownload(const browser: ICefBrowser; const downloadItem: ICefDownloadItem; const suggestedName: ustring; const callback: ICefBeforeDownloadCallback): boolean;

Called before a download begins. |suggested_name| is the suggested name for the download file. Return true (1) and execute |callback| either asynchronously or in this function to continue or cancel the download. Return false (0) to proceed with default handling (cancel with Alloy style, download shelf with Chrome style). Do not keep a reference to |download_item| outside of this function.

Public procedure OnDownloadUpdated(const browser: ICefBrowser; const downloadItem: ICefDownloadItem; const callback: ICefDownloadItemCallback);

Called when a download's status or progress information has been updated. This may be called multiple times before and after OnBeforeDownload. Execute |callback| either asynchronously or in this function to cancel the download if desired. Do not keep a reference to |download_item| outside of this function.

Public procedure RemoveReferences;

Custom procedure to clear all references.


cef4delphi: uCEFInterfaces: Interface ICefV8Exception

Interface ICefV8Exception

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefV8Exception = interface(ICefBaseRefCounted)

Description

Interface representing a V8 exception. The functions of this interface may be called on any render process thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_v8_capi.h">CEF source file: /include/capi/cef_v8_capi.h (cef_v8_exception_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefV8Exception

Overview

Methods

Public | function GetMessage: ustring;
Public | function GetSourceLine: ustring;
Public | function GetScriptResourceName: ustring;
Public | function GetLineNumber: Integer;
Public | function GetStartPosition: Integer;
Public | function GetEndPosition: Integer;
Public | function GetStartColumn: Integer;
Public | function GetEndColumn: Integer;

Properties

Public | property Message : ustring read GetMessage;
Public | property SourceLine : ustring read GetSourceLine;
Public | property ScriptResourceName : ustring read GetScriptResourceName;
Public | property LineNumber : Integer read GetLineNumber;
Public | property StartPosition : Integer read GetStartPosition;
Public | property EndPosition : Integer read GetEndPosition;
Public | property StartColumn : Integer read GetStartColumn;
Public | property EndColumn : Integer read GetEndColumn;

Description

Methods

Public function GetMessage: ustring;

Returns the exception message.

Attributes
GUID['{7E422CF0-05AC-4A60-A029-F45105DCE6A4}']
Public function GetSourceLine: ustring;

Returns the line of source code that the exception occurred within.

Public function GetScriptResourceName: ustring;

Returns the resource name for the script from where the function causing the error originates.

Public function GetLineNumber: Integer;

Returns the 1-based number of the line where the error occurred or 0 if the line number is unknown.

Public function GetStartPosition: Integer;

Returns the index within the script of the first character where the error occurred.

Public function GetEndPosition: Integer;

Returns the index within the script of the last character where the error occurred.

Public function GetStartColumn: Integer;

Returns the index within the line of the first character where the error occurred.

Public function GetEndColumn: Integer;

Returns the index within the line of the last character where the error occurred.

Properties

Public property Message : ustring read GetMessage;

Returns the exception message.

Public property SourceLine : ustring read GetSourceLine;

Returns the line of source code that the exception occurred within.

Public property ScriptResourceName : ustring read GetScriptResourceName;

Returns the resource name for the script from where the function causing the error originates.

Public property LineNumber : Integer read GetLineNumber;

Returns the 1-based number of the line where the error occurred or 0 if the line number is unknown.

Public property StartPosition : Integer read GetStartPosition;

Returns the index within the script of the first character where the error occurred.

Public property EndPosition : Integer read GetEndPosition;

Returns the index within the script of the last character where the error occurred.

Public property StartColumn : Integer read GetStartColumn;

Returns the index within the line of the first character where the error occurred.

Public property EndColumn : Integer read GetEndColumn;

Returns the index within the line of the last character where the error occurred.


cef4delphi: uCEFInterfaces: Interface ICefv8ArrayBufferReleaseCallback

Interface ICefv8ArrayBufferReleaseCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefv8ArrayBufferReleaseCallback = interface(ICefBaseRefCounted)

Description

Callback interface that is passed to ICefV8value.CreateArrayBuffer.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_v8_capi.h">CEF source file: /include/capi/cef_v8_capi.h (cef_v8_array_buffer_release_callback_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefv8ArrayBufferReleaseCallback

Overview

Methods

Public procedure ReleaseBuffer(buffer : Pointer);

Description

Methods

Public procedure ReleaseBuffer(buffer : Pointer);

Called to release |buffer| when the ArrayBuffer JS object is garbage collected. |buffer| is the value that was passed to CreateArrayBuffer along with this object.

Attributes
GUID['{4EAAB422-D046-43DF-B1F0-5503116A5816}']


cef4delphi: uCEFInterfaces: Interface ICefv8Context

Interface ICefv8Context

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefv8Context = interface(ICefBaseRefCounted)

Description

Interface representing a V8 context handle. V8 handles can only be accessed from the thread on which they are created. Valid threads for creating a V8 handle include the render process main thread (TID_RENDERER) and WebWorker threads. A task runner for posting tasks on the associated thread can be retrieved via the ICefV8context.GetTaskRunner() function.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_v8_capi.h">CEF source file: /include/capi/cef_v8_capi.h (cef_v8_context_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefv8Context

Overview

Methods

Public | function GetTaskRunner: ICefTaskRunner;
Public | function IsValid: Boolean;
Public | function GetBrowser: ICefBrowser;
Public | function GetFrame: ICefFrame;
Public | function GetGlobal: ICefv8Value;
Public | function Enter: Boolean;
Public | function Exit: Boolean;
Public | function IsSame(const that: ICefv8Context): Boolean;
Public | function Eval(const code: ustring; const script_url: ustring; start_line: integer; var retval: ICefv8Value; var exception: ICefV8Exception): Boolean;

Properties

Public | property Browser : ICefBrowser read GetBrowser;
Public | property Frame : ICefFrame read GetFrame;
Public | property Global : ICefv8Value read GetGlobal;

Description

Methods

Public function GetTaskRunner: ICefTaskRunner;

Returns the task runner associated with this context. V8 handles can only be accessed from the thread on which they are created. This function can be called on any render process thread.

Attributes
GUID['{2295A11A-8773-41F2-AD42-308C215062D9}']
Public function IsValid: Boolean;

Returns true (1) if the underlying handle is valid and it can be accessed on the current thread. Do not call any other functions if this function returns false (0).

Public function GetBrowser: ICefBrowser;

Returns the browser for this context. This function will return an NULL reference for WebWorker contexts.

Public function GetFrame: ICefFrame;

Returns the frame for this context. This function will return an NULL reference for WebWorker contexts.

Public function GetGlobal: ICefv8Value;

Returns the global object for this context. The context must be entered before calling this function.

Public function Enter: Boolean;

Enter this context. A context must be explicitly entered before creating a V8 Object, Array, Function or Date asynchronously. exit() must be called the same number of times as enter() before releasing this context. V8 objects belong to the context in which they are created. Returns true (1) if the scope was entered successfully.

Public function Exit: Boolean;

Exit this context. Call this function only after calling enter(). Returns true (1) if the scope was exited successfully.

Public function IsSame(const that: ICefv8Context): Boolean;

Returns true (1) if this object is pointing to the same handle as |that| object.

Public function Eval(const code: ustring; const script_url: ustring; start_line: integer; var retval: ICefv8Value; var exception: ICefV8Exception): Boolean;

Execute a string of JavaScript code in this V8 context. The |script_url| parameter is the URL where the script in question can be found, if any. The |start_line| parameter is the base line number to use for error reporting. On success |retval| will be set to the return value, if any, and the function will return true (1). On failure |exception| will be set to the exception, if any, and the function will return false (0).

Properties

Public property Browser : ICefBrowser read GetBrowser;

Returns the browser for this context. This function will return an NULL reference for WebWorker contexts.

Public property Frame : ICefFrame read GetFrame;

Returns the frame for this context. This function will return an NULL reference for WebWorker contexts.

Public property Global : ICefv8Value read GetGlobal;

Returns the global object for this context. The context must be entered before calling this function.


cef4delphi: uCEFInterfaces: Interface ICefv8Handler

Interface ICefv8Handler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefv8Handler = interface(ICefBaseRefCounted)

Description

Interface that should be implemented to handle V8 function calls. The functions of this interface will be called on the thread associated with the V8 function.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_v8_capi.h">CEF source file: /include/capi/cef_v8_capi.h (cef_v8_handler_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefv8Handler

Overview

Methods

Public function Execute(const name: ustring; const object_: ICefv8Value; const arguments: TCefv8ValueArray; var retval: ICefv8Value; var exception: ustring): Boolean;

Description

Methods

Public function Execute(const name: ustring; const object_: ICefv8Value; const arguments: TCefv8ValueArray; var retval: ICefv8Value; var exception: ustring): Boolean;

Handle execution of the function identified by |name|. |object| is the receiver ('this' object) of the function. |arguments| is the list of arguments passed to the function. If execution succeeds set |retval| to the function return value. If execution fails set |exception| to the exception that will be thrown. Return true (1) if execution was handled.

Attributes
GUID['{F94CDC60-FDCB-422D-96D5-D2A775BD5D73}']


cef4delphi: uCEFInterfaces: Interface ICefV8Interceptor

Interface ICefV8Interceptor

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefV8Interceptor = interface(ICefBaseRefCounted)

Description

Interface that should be implemented to handle V8 interceptor calls. The functions of this interface will be called on the thread associated with the V8 interceptor. Interceptor's named property handlers (with first argument of type CefString) are called when object is indexed by string. Indexed property handlers (with first argument of type int) are called when object is indexed by integer.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_v8_capi.h">CEF source file: /include/capi/cef_v8_capi.h (cef_v8_interceptor_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefV8Interceptor

Overview

Methods

Public | function GetByName(const name: ustring; const object_: ICefv8Value; var retval: ICefv8Value; var exception: ustring): boolean;
Public | function GetByIndex(index: integer; const object_: ICefv8Value; var retval: ICefv8Value; var exception: ustring): boolean;
Public | function SetByName(const name: ustring; const object_, value: ICefv8Value; var exception: ustring): boolean;
Public | function SetByIndex(index: integer; const object_, value: ICefv8Value; var exception: ustring): boolean;

Description

Methods

Public function GetByName(const name: ustring; const object_: ICefv8Value; var retval: ICefv8Value; var exception: ustring): boolean;

Handle retrieval of the interceptor value identified by |name|. |object| is the receiver ('this' object) of the interceptor. If retrieval succeeds, set |retval| to the return value. If the requested value does not exist, don't set either |retval| or |exception|. If retrieval fails, set |exception| to the exception that will be thrown. If the property has an associated accessor, it will be called only if you don't set |retval|. Return true (1) if interceptor retrieval was handled, false (0) otherwise.

Attributes
GUID['{B3B8FD7C-A916-4B25-93A2-2892AC324F21}']
Public function GetByIndex(index: integer; const object_: ICefv8Value; var retval: ICefv8Value; var exception: ustring): boolean;

Handle retrieval of the interceptor value identified by |index|. |object| is the receiver ('this' object) of the interceptor. If retrieval succeeds, set |retval| to the return value. If the requested value does not exist, don't set either |retval| or |exception|. If retrieval fails, set |exception| to the exception that will be thrown. Return true (1) if interceptor retrieval was handled, false (0) otherwise.

Public function SetByName(const name: ustring; const object_, value: ICefv8Value; var exception: ustring): boolean;

Handle assignment of the interceptor value identified by |name|. |object| is the receiver ('this' object) of the interceptor. |value| is the new value being assigned to the interceptor. If assignment fails, set |exception| to the exception that will be thrown. This setter will always be called, even when the property has an associated accessor. Return true (1) if interceptor assignment was handled, false (0) otherwise.

Public function SetByIndex(index: integer; const object_, value: ICefv8Value; var exception: ustring): boolean;

Handle assignment of the interceptor value identified by |index|. |object| is the receiver ('this' object) of the interceptor. |value| is the new value being assigned to the interceptor. If assignment fails, set |exception| to the exception that will be thrown. Return true (1) if interceptor assignment was handled, false (0) otherwise.


cef4delphi: uCEFInterfaces: Interface ICefV8Accessor

Interface ICefV8Accessor

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefV8Accessor = interface(ICefBaseRefCounted)

Description

Interface that should be implemented to handle V8 accessor calls. Accessor identifiers are registered by calling ICefV8value.SetValue(). The functions of this interface will be called on the thread associated with the V8 accessor.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_v8_capi.h">CEF source file: /include/capi/cef_v8_capi.h (cef_v8_accessor_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefV8Accessor

Overview

Methods

Public | function Get(const name: ustring; const object_: ICefv8Value; var retval: ICefv8Value; var exception: ustring): Boolean;
Public | function Set_(const name: ustring; const object_, value: ICefv8Value; var exception: ustring): Boolean;

Description

Methods

Public function Get(const name: ustring; const object_: ICefv8Value; var retval: ICefv8Value; var exception: ustring): Boolean;

Handle retrieval the accessor value identified by |name|. |object| is the receiver ('this' object) of the accessor. If retrieval succeeds set |retval| to the return value. If retrieval fails set |exception| to the exception that will be thrown. Return true (1) if accessor retrieval was handled.

Attributes
GUID['{DCA6D4A2-726A-4E24-AA64-5E8C731D868A}']
Public function Set_(const name: ustring; const object_, value: ICefv8Value; var exception: ustring): Boolean;

Handle assignment of the accessor value identified by |name|. |object| is the receiver ('this' object) of the accessor. |value| is the new value being assigned to the accessor. If assignment fails set |exception| to the exception that will be thrown. Return true (1) if accessor assignment was handled.


cef4delphi: uCEFInterfaces: Interface ICefTask

Interface ICefTask

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefTask = interface(ICefBaseRefCounted)

Description

Implement this interface for asynchronous task execution. If the task is posted successfully and if the associated message loop is still running then the execute() function will be called on the target thread. If the task fails to post then the task object may be destroyed on the source thread instead of the target thread. For this reason be cautious when performing work in the task object destructor.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_task_capi.h">CEF source file: /include/capi/cef_task_capi.h (cef_task_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefTask

Overview

Methods

Public procedure Execute;

Description

Methods

Public procedure Execute;

Method that will be executed on the target thread.

Attributes
GUID['{0D965470-4A86-47CE-BD39-A8770021AD7E}']


cef4delphi: uCEFInterfaces: Interface ICefTaskManager

Interface ICefTaskManager

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefTaskManager = interface(ICefBaseRefCounted)

Description

Interface that facilitates managing the browser-related tasks. The functions of this structure may only be called on the UI thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_task_manager_capi.h">CEF source file: /include/capi/cef_task_manager_capi.h (cef_task_manager_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefTaskManager

Overview

Methods

Public | function GetTasksCount: NativeUInt;
Public | function GetTaskIdsList(var task_ids: TCefCustomInt64Array): boolean;
Public | function GetTaskInfo(const task_id: int64; var info: TCustomTaskInfo): boolean;
Public | function KillTask(task_id: int64): boolean;
Public | function GetTaskIdForBrowserId(browser_id: Integer): int64;

Description

Methods

Public function GetTasksCount: NativeUInt;

Returns the number of tasks currently tracked by the task manager. Returns 0 if the function was called from the incorrect thread.

Attributes
GUID['{913B6FE7-1543-407D-9A23-8C232103965B}']
Public function GetTaskIdsList(var task_ids: TCefCustomInt64Array): boolean;

Gets the list of task IDs currently tracked by the task manager. Tasks that share the same process id will always be consecutive. The list will be sorted in a way that reflects the process tree: the browser process will be first, followed by the gpu process if it exists. Related processes (e.g., a subframe process and its parent) will be kept together if possible. Callers can expect this ordering to be stable when a process is added or removed. The task IDs are unique within the application lifespan. Returns false (0) if the function was called from the incorrect thread.

Public function GetTaskInfo(const task_id: int64; var info: TCustomTaskInfo): boolean;

Gets information about the task with |task_id|. Returns true (1) if the information about the task was successfully retrieved and false (0) if the |task_id| is invalid or the function was called from the incorrect thread.

Public function KillTask(task_id: int64): boolean;

Attempts to terminate a task with |task_id|. Returns false (0) if the |task_id| is invalid, the call is made from an incorrect thread, or if the task cannot be terminated.

Public function GetTaskIdForBrowserId(browser_id: Integer): int64;

Returns the task ID associated with the main task for |browser_id| (value from cef_browser_t::GetIdentifier). Returns -1 if |browser_id| is invalid, does not currently have an associated task, or the function was called from the incorrect thread.


cef4delphi: uCEFInterfaces: Interface ICefTaskRunner

Interface ICefTaskRunner

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefTaskRunner = interface(ICefBaseRefCounted)

Description

Interface that asynchronously executes tasks on the associated thread. It is safe to call the functions of this interface on any thread.

CEF maintains multiple internal threads that are used for handling different types of tasks in different processes. The TCefThreadId definitions in cef_types.h list the common CEF threads. Task runners are also available for other CEF threads as appropriate (for example, V8 WebWorker threads).

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_task_capi.h">CEF source file: /include/capi/cef_task_capi.h (cef_task_runner_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefTaskRunner

Overview

Methods

Public | function IsSame(const that: ICefTaskRunner): Boolean;
Public | function BelongsToCurrentThread: Boolean;
Public | function BelongsToThread(threadId: TCefThreadId): Boolean;
Public | function PostTask(const task: ICefTask): Boolean;
Public | function PostDelayedTask(const task: ICefTask; delayMs: Int64): Boolean;

Description

Methods

Public function IsSame(const that: ICefTaskRunner): Boolean;

Returns true (1) if this object is pointing to the same task runner as |that| object.

Attributes
GUID['{6A500FA3-77B7-4418-8EA8-6337EED1337B}']
Public function BelongsToCurrentThread: Boolean;

Returns true (1) if this task runner belongs to the current thread.

Public function BelongsToThread(threadId: TCefThreadId): Boolean;

Returns true (1) if this task runner is for the specified CEF thread.

Public function PostTask(const task: ICefTask): Boolean;

Post a task for execution on the thread associated with this task runner. Execution will occur asynchronously.

Public function PostDelayedTask(const task: ICefTask; delayMs: Int64): Boolean;

Post a task for delayed execution on the thread associated with this task runner. Execution will occur asynchronously. Delayed tasks are not supported on V8 WebWorker threads and will be executed without the specified delay.


cef4delphi: uCEFInterfaces: Interface ICefThread

Interface ICefThread

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefThread = interface(ICefBaseRefCounted)

Description

A simple thread abstraction that establishes a message loop on a new thread. The consumer uses ICefTaskRunner to execute code on the thread's message loop. The thread is terminated when the ICefThread object is destroyed or stop() is called. All pending tasks queued on the thread's message loop will run to completion before the thread is terminated. cef_thread_create() can be called on any valid CEF thread in either the browser or render process. This interface should only be used for tasks that require a dedicated thread. In most cases you can post tasks to an existing CEF thread instead of creating a new one; see cef_task.h for details.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_thread_capi.h">CEF source file: /include/capi/cef_thread_capi.h (cef_thread_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefThread

Overview

Methods

Public | function GetTaskRunner: ICefTaskRunner;
Public | function GetPlatformThreadID: TCefPlatformThreadId;
Public | procedure Stop;
Public | function IsRunning: boolean;

Description

Methods

Public function GetTaskRunner: ICefTaskRunner;

Returns the ICefTaskRunner that will execute code on this thread's message loop. This function is safe to call from any thread.

Attributes
GUID['{26B30EA5-F44A-4C40-97DF-67FD9E73A4FF}']
Public function GetPlatformThreadID: TCefPlatformThreadId;

Returns the platform thread ID. It will return the same value after stop() is called. This function is safe to call from any thread.

Public procedure Stop;

Stop and join the thread. This function must be called from the same thread that called cef_thread_create(). Do not call this function if cef_thread_create() was called with a |stoppable| value of false (0).

Public function IsRunning: boolean;

Returns true (1) if the thread is currently running. This function must be called from the same thread that called cef_thread_create().


cef4delphi: uCEFInterfaces: Interface ICefWaitableEvent

Interface ICefWaitableEvent

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefWaitableEvent = interface(ICefBaseRefCounted)

Description

WaitableEvent is a thread synchronization tool that allows one thread to wait for another thread to finish some work. This is equivalent to using a Lock+ConditionVariable to protect a simple boolean value. However, using WaitableEvent in conjunction with a Lock to wait for a more complex state change (e.g., for an item to be added to a queue) is not recommended. In that case consider using a ConditionVariable instead of a WaitableEvent. It is safe to create and/or signal a WaitableEvent from any thread. Blocking on a WaitableEvent by calling the *wait() functions is not allowed on the browser process UI or IO threads.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_waitable_event_capi.h">CEF source file: /include/capi/cef_waitable_event_capi.h (cef_waitable_event_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefWaitableEvent

Overview

Methods

Public | procedure Reset;
Public | procedure Signal;
Public | function IsSignaled: boolean;
Public | procedure Wait;
Public | function TimedWait(max_ms: int64): boolean;

Description

Methods

Public procedure Reset;

Put the event in the un-signaled state.

Attributes
GUID['{965C90C9-3DAE-457F-AA64-E04FF508094A}']
Public procedure Signal;

Put the event in the signaled state. This causes any thread blocked on Wait to be woken up.

Public function IsSignaled: boolean;

Returns true (1) if the event is in the signaled state, else false (0). If the event was created with |automatic_reset| set to true (1) then calling this function will also cause a reset.

Public procedure Wait;

Wait indefinitely for the event to be signaled. This function will not return until after the call to signal() has completed. This function cannot be called on the browser process UI or IO threads.

Public function TimedWait(max_ms: int64): boolean;

Wait up to |max_ms| milliseconds for the event to be signaled. Returns true (1) if the event was signaled. A return value of false (0) does not necessarily mean that |max_ms| was exceeded. This function will not return until after the call to signal() has completed. This function cannot be called on the browser process UI or IO threads.


cef4delphi: uCEFInterfaces: Interface ICefv8Value

Interface ICefv8Value

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefv8Value = interface(ICefBaseRefCounted)

Description

Interface representing a V8 value handle. V8 handles can only be accessed from the thread on which they are created. Valid threads for creating a V8 handle include the render process main thread (TID_RENDERER) and WebWorker threads. A task runner for posting tasks on the associated thread can be retrieved via the ICefv8context.GetTaskRunner() function.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_v8_capi.h">CEF source file: /include/capi/cef_v8_capi.h (cef_v8_value_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefv8Value

Overview

Methods

Public | function IsValid: Boolean;
Public | function IsUndefined: Boolean;
Public | function IsNull: Boolean;
Public | function IsBool: Boolean;
Public | function IsInt: Boolean;
Public | function IsUInt: Boolean;
Public | function IsDouble: Boolean;
Public | function IsDate: Boolean;
Public | function IsString: Boolean;
Public | function IsObject: Boolean;
Public | function IsArray: Boolean;
Public | function IsArrayBuffer: Boolean;
Public | function IsFunction: Boolean;
Public | function IsPromise: Boolean;
Public | function IsSame(const that: ICefv8Value): Boolean;
Public | function GetBoolValue: Boolean;
Public | function GetIntValue: Integer;
Public | function GetUIntValue: Cardinal;
Public | function GetDoubleValue: Double;
Public | function GetDateValue: TDateTime;
Public | function GetStringValue: ustring;
Public | function IsUserCreated: Boolean;
Public | function HasException: Boolean;
Public | function GetException: ICefV8Exception;
Public | function ClearException: Boolean;
Public | function WillRethrowExceptions: Boolean;
Public | function SetRethrowExceptions(rethrow: Boolean): Boolean;
Public | function HasValueByKey(const key: ustring): Boolean;
Public | function HasValueByIndex(index: Integer): Boolean;
Public | function DeleteValueByKey(const key: ustring): Boolean;
Public | function DeleteValueByIndex(index: Integer): Boolean;
Public | function GetValueByKey(const key: ustring): ICefv8Value;
Public | function GetValueByIndex(index: Integer): ICefv8Value;
Public | function SetValueByKey(const key: ustring; const value: ICefv8Value; attribute: TCefV8PropertyAttributes): Boolean;
Public | function SetValueByIndex(index: Integer; const value: ICefv8Value): Boolean;
Public | function SetValueByAccessor(const key: ustring; attribute: TCefV8PropertyAttributes): Boolean;
Public | function GetKeys(const keys: TStrings): Integer;
Public | function SetUserData(const data: ICefCustomUserData): Boolean;
Public | function GetUserData: ICefCustomUserData;
Public | function GetExternallyAllocatedMemory: Integer;
Public | function AdjustExternallyAllocatedMemory(changeInBytes: Integer): Integer;
Public | function GetArrayLength: Integer;
Public | function GetArrayBufferReleaseCallback: ICefv8ArrayBufferReleaseCallback;
Public | function NeuterArrayBuffer: boolean;
Public | function GetArrayBufferByteLength: NativeUInt;
Public | function GetArrayBufferData: Pointer;
Public | function GetFunctionName: ustring;
Public | function GetFunctionHandler: ICefv8Handler;
Public | function ExecuteFunction(const obj: ICefv8Value; const arguments: TCefv8ValueArray): ICefv8Value;
Public | function ExecuteFunctionWithContext(const context: ICefv8Context; const obj: ICefv8Value; const arguments: TCefv8ValueArray): ICefv8Value;
Public | function ResolvePromise(const arg: ICefv8Value): boolean;
Public | function RejectPromise(const errorMsg: ustring): boolean;

Description

Methods

Public function IsValid: Boolean;

Returns true (1) if the underlying handle is valid and it can be accessed on the current thread. Do not call any other functions if this function returns false (0).

Attributes
GUID['{52319B8D-75A8-422C-BD4B-16FA08CC7F42}']
Public function IsUndefined: Boolean;

True if the value type is undefined.

Public function IsNull: Boolean;

True if the value type is null.

Public function IsBool: Boolean;

True if the value type is bool.

Public function IsInt: Boolean;

True if the value type is int.

Public function IsUInt: Boolean;

True if the value type is unsigned int.

Public function IsDouble: Boolean;

True if the value type is double.

Public function IsDate: Boolean;

True if the value type is Date.

Public function IsString: Boolean;

True if the value type is string.

Public function IsObject: Boolean;

True if the value type is object.

Public function IsArray: Boolean;

True if the value type is array.

Public function IsArrayBuffer: Boolean;

True if the value type is an ArrayBuffer.

Public function IsFunction: Boolean;

True if the value type is function.

Public function IsPromise: Boolean;

True if the value type is a Promise.

Public function IsSame(const that: ICefv8Value): Boolean;

Returns true (1) if this object is pointing to the same handle as |that| object.

Public function GetBoolValue: Boolean;

Return a bool value.

Public function GetIntValue: Integer;

Return an int value.

Public function GetUIntValue: Cardinal;

Return an unsigned int value.

Public function GetDoubleValue: Double;

Return a double value.

Public function GetDateValue: TDateTime;

Return a Date value.

Public function GetStringValue: ustring;

Return a string value.

Public function IsUserCreated: Boolean;

Returns true (1) if this is a user created object.

Public function HasException: Boolean;

Returns true (1) if the last function call resulted in an exception. This attribute exists only in the scope of the current CEF value object.

Public function GetException: ICefV8Exception;

Returns the exception resulting from the last function call. This attribute exists only in the scope of the current CEF value object.

Public function ClearException: Boolean;

Clears the last exception and returns true (1) on success.

Public function WillRethrowExceptions: Boolean;

Returns true (1) if this object will re-throw future exceptions. This attribute exists only in the scope of the current CEF value object.

Public function SetRethrowExceptions(rethrow: Boolean): Boolean;

Set whether this object will re-throw future exceptions. By default exceptions are not re-thrown. If a exception is re-thrown the current context should not be accessed again until after the exception has been caught and not re-thrown. Returns true (1) on success. This attribute exists only in the scope of the current CEF value object.

Public function HasValueByKey(const key: ustring): Boolean;

Returns true (1) if the object has a value with the specified identifier.

Public function HasValueByIndex(index: Integer): Boolean;

Returns true (1) if the object has a value with the specified identifier.

Public function DeleteValueByKey(const key: ustring): Boolean;

Deletes the value with the specified identifier and returns true (1) on success. Returns false (0) if this function is called incorrectly or an exception is thrown. For read-only and don't-delete values this function will return true (1) even though deletion failed.

Public function DeleteValueByIndex(index: Integer): Boolean;

Deletes the value with the specified identifier and returns true (1) on success. Returns false (0) if this function is called incorrectly, deletion fails or an exception is thrown. For read-only and don't-delete values this function will return true (1) even though deletion failed.

Public function GetValueByKey(const key: ustring): ICefv8Value;

Returns the value with the specified identifier on success. Returns NULL if this function is called incorrectly or an exception is thrown.

Public function GetValueByIndex(index: Integer): ICefv8Value;

Returns the value with the specified identifier on success. Returns NULL if this function is called incorrectly or an exception is thrown.

Public function SetValueByKey(const key: ustring; const value: ICefv8Value; attribute: TCefV8PropertyAttributes): Boolean;

Associates a value with the specified identifier and returns true (1) on success. Returns false (0) if this function is called incorrectly or an exception is thrown. For read-only values this function will return true (1) even though assignment failed.

Public function SetValueByIndex(index: Integer; const value: ICefv8Value): Boolean;

Associates a value with the specified identifier and returns true (1) on success. Returns false (0) if this function is called incorrectly or an exception is thrown. For read-only values this function will return true (1) even though assignment failed.

Public function SetValueByAccessor(const key: ustring; attribute: TCefV8PropertyAttributes): Boolean;

Registers an identifier and returns true (1) on success. Access to the identifier will be forwarded to the ICefV8Accessor instance passed to cef_v8_value_create_object(). Returns false (0) if this function is called incorrectly or an exception is thrown. For read-only values this function will return true (1) even though assignment failed.

Public function GetKeys(const keys: TStrings): Integer;

Read the keys for the object's values into the specified vector. Integer- based keys will also be returned as strings.

Public function SetUserData(const data: ICefCustomUserData): Boolean;

Sets the user data for this object and returns true (1) on success. Returns false (0) if this function is called incorrectly. This function can only be called on user created objects.

Public function GetUserData: ICefCustomUserData;

Returns the user data, if any, assigned to this object.

Public function GetExternallyAllocatedMemory: Integer;

Returns the amount of externally allocated memory registered for the object.

Public function AdjustExternallyAllocatedMemory(changeInBytes: Integer): Integer;

Adjusts the amount of registered external memory for the object. Used to give V8 an indication of the amount of externally allocated memory that is kept alive by JavaScript objects. V8 uses this information to decide when to perform global garbage collection. Each ICefv8Value tracks the amount of external memory associated with it and automatically decreases the global total by the appropriate amount on its destruction. |change_in_bytes| specifies the number of bytes to adjust by. This function returns the number of bytes associated with the object after the adjustment. This function can only be called on user created objects.

Public function GetArrayLength: Integer;

Returns the number of elements in the array.

Public function GetArrayBufferReleaseCallback: ICefv8ArrayBufferReleaseCallback;

Returns the ReleaseCallback object associated with the ArrayBuffer or NULL if the ArrayBuffer was not created with CreateArrayBuffer.

Public function NeuterArrayBuffer: boolean;

Prevent the ArrayBuffer from using it's memory block by setting the length to zero. This operation cannot be undone. If the ArrayBuffer was created with CreateArrayBuffer then ICefv8ArrayBufferReleaseCallback.ReleaseBuffer will be called to release the underlying buffer.

Public function GetArrayBufferByteLength: NativeUInt;

Returns the length (in bytes) of the ArrayBuffer.

Public function GetArrayBufferData: Pointer;

Returns a pointer to the beginning of the memory block for this ArrayBuffer backing store. The returned pointer is valid as long as the ICefv8value is alive.

Public function GetFunctionName: ustring;

Returns the function name.

Public function GetFunctionHandler: ICefv8Handler;

Returns the function handler or NULL if not a CEF-created function.

Public function ExecuteFunction(const obj: ICefv8Value; const arguments: TCefv8ValueArray): ICefv8Value;

Execute the function using the current V8 context. This function should only be called from within the scope of a ICefv8Handler or ICefV8Accessor callback, or in combination with calling enter() and exit() on a stored ICefv8Context reference. |object| is the receiver ('this' object) of the function. If |object| is NULL the current context's global object will be used. |arguments| is the list of arguments that will be passed to the function. Returns the function return value on success. Returns NULL if this function is called incorrectly or an exception is thrown.

Public function ExecuteFunctionWithContext(const context: ICefv8Context; const obj: ICefv8Value; const arguments: TCefv8ValueArray): ICefv8Value;

Execute the function using the specified V8 context. |object| is the receiver ('this' object) of the function. If |object| is NULL the specified context's global object will be used. |arguments| is the list of arguments that will be passed to the function. Returns the function return value on success. Returns NULL if this function is called incorrectly or an exception is thrown.

Public function ResolvePromise(const arg: ICefv8Value): boolean;

Resolve the Promise using the current V8 context. This function should only be called from within the scope of a ICefv8Handler or ICefV8Accessor callback, or in combination with calling enter() and exit() on a stored ICefv8Context reference. |arg| is the argument passed to the resolved promise. Returns true (1) on success. Returns false (0) if this function is called incorrectly or an exception is thrown.

Public function RejectPromise(const errorMsg: ustring): boolean;

Reject the Promise using the current V8 context. This function should only be called from within the scope of a ICefv8Handler or ICefV8Accessor callback, or in combination with calling enter() and exit() on a stored ICefv8Context reference. Returns true (1) on success. Returns false (0) if this function is called incorrectly or an exception is thrown.


cef4delphi: uCEFInterfaces: Interface ICefV8StackFrame

Interface ICefV8StackFrame

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefV8StackFrame = interface(ICefBaseRefCounted)

Description

Interface representing a V8 stack frame handle. V8 handles can only be accessed from the thread on which they are created. Valid threads for creating a V8 handle include the render process main thread (TID_RENDERER) and WebWorker threads. A task runner for posting tasks on the associated thread can be retrieved via the ICefv8context.GetTaskRunner() function.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_v8_capi.h">CEF source file: /include/capi/cef_v8_capi.h (cef_v8_stack_frame_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefV8StackFrame

Overview

Methods

Public | function IsValid: Boolean;
Public | function GetScriptName: ustring;
Public | function GetScriptNameOrSourceUrl: ustring;
Public | function GetFunctionName: ustring;
Public | function GetLineNumber: Integer;
Public | function GetColumn: Integer;
Public | function IsEval: Boolean;
Public | function IsConstructor: Boolean;

Properties

Public | property ScriptName : ustring read GetScriptName;
Public | property ScriptNameOrSourceUrl : ustring read GetScriptNameOrSourceUrl;
Public | property FunctionName : ustring read GetFunctionName;
Public | property LineNumber : Integer read GetLineNumber;
Public | property Column : Integer read GetColumn;

Description

Methods

Public function IsValid: Boolean;

Returns true (1) if the underlying handle is valid and it can be accessed on the current thread. Do not call any other functions if this function returns false (0).

Attributes
GUID['{BA1FFBF4-E9F2-4842-A827-DC220F324286}']
Public function GetScriptName: ustring;

Returns the name of the resource script that contains the function.

Public function GetScriptNameOrSourceUrl: ustring;

Returns the name of the resource script that contains the function or the sourceURL value if the script name is undefined and its source ends with a "//@ sourceURL=..." string.

Public function GetFunctionName: ustring;

Returns the name of the function.

Public function GetLineNumber: Integer;

Returns the 1-based line number for the function call or 0 if unknown.

Public function GetColumn: Integer;

Returns the 1-based column offset on the line for the function call or 0 if unknown.

Public function IsEval: Boolean;

Returns true (1) if the function was compiled using eval().

Public function IsConstructor: Boolean;

Returns true (1) if the function was called as a constructor via "new".

Properties

Public property ScriptName : ustring read GetScriptName;

Returns the name of the resource script that contains the function.

Public property ScriptNameOrSourceUrl : ustring read GetScriptNameOrSourceUrl;

Returns the name of the resource script that contains the function or the sourceURL value if the script name is undefined and its source ends with a "//@ sourceURL=..." string.

Public property FunctionName : ustring read GetFunctionName;

Returns the name of the function.

Public property LineNumber : Integer read GetLineNumber;

Returns the 1-based line number for the function call or 0 if unknown.

Public property Column : Integer read GetColumn;

Returns the 1-based column offset on the line for the function call or 0 if unknown.


cef4delphi: uCEFInterfaces: Interface ICefV8StackTrace

Interface ICefV8StackTrace

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefV8StackTrace = interface(ICefBaseRefCounted)

Description

Interface representing a V8 stack trace handle. V8 handles can only be accessed from the thread on which they are created. Valid threads for creating a V8 handle include the render process main thread (TID_RENDERER) and WebWorker threads. A task runner for posting tasks on the associated thread can be retrieved via the ICefv8context.GetTaskRunner() function.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_v8_capi.h">CEF source file: /include/capi/cef_v8_capi.h (cef_v8_stack_trace_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefV8StackTrace

Overview

Methods

Public | function IsValid: Boolean;
Public | function GetFrameCount: Integer;
Public | function GetFrame(index: Integer): ICefV8StackFrame;

Properties

Public | property FrameCount : Integer read GetFrameCount;
Public | property Frame[index: Integer]: ICefV8StackFrame read GetFrame;

Description

Methods

Public function IsValid: Boolean;

Returns true (1) if the underlying handle is valid and it can be accessed on the current thread. Do not call any other functions if this function returns false (0).

Attributes
GUID['{32111C84-B7F7-4E3A-92B9-7CA1D0ADB613}']
Public function GetFrameCount: Integer;

Returns the number of stack frames.

Public function GetFrame(index: Integer): ICefV8StackFrame;

Returns the stack frame at the specified 0-based index.

Properties

Public property FrameCount : Integer read GetFrameCount;

Returns the number of stack frames.

Public property Frame[index: Integer]: ICefV8StackFrame read GetFrame;

Returns the stack frame at the specified 0-based index.


cef4delphi: uCEFInterfaces: Interface ICefXmlReader

Interface ICefXmlReader

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefXmlReader = interface(ICefBaseRefCounted)

Description

Interface that supports the reading of XML data via the libxml streaming API. The functions of this interface should only be called on the thread that creates the object.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_xml_reader_capi.h">CEF source file: /include/capi/cef_xml_reader_capi.h (cef_xml_reader_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefXmlReader

Overview

Methods

Public | function MoveToNextNode: Boolean;
Public | function Close: Boolean;
Public | function HasError: Boolean;
Public | function GetError: ustring;
Public | function GetType: TCefXmlNodeType;
Public | function GetDepth: Integer;
Public | function GetLocalName: ustring;
Public | function GetPrefix: ustring;
Public | function GetQualifiedName: ustring;
Public | function GetNamespaceUri: ustring;
Public | function GetBaseUri: ustring;
Public | function GetXmlLang: ustring;
Public | function IsEmptyElement: Boolean;
Public | function HasValue: Boolean;
Public | function GetValue: ustring;
Public | function HasAttributes: Boolean;
Public | function GetAttributeCount: NativeUInt;
Public | function GetAttributeByIndex(index: Integer): ustring;
Public | function GetAttributeByQName(const qualifiedName: ustring): ustring;
Public | function GetAttributeByLName(const localName, namespaceURI: ustring): ustring;
Public | function GetInnerXml: ustring;
Public | function GetOuterXml: ustring;
Public | function GetLineNumber: Integer;
Public | function MoveToAttributeByIndex(index: Integer): Boolean;
Public | function MoveToAttributeByQName(const qualifiedName: ustring): Boolean;
Public | function MoveToAttributeByLName(const localName, namespaceURI: ustring): Boolean;
Public | function MoveToFirstAttribute: Boolean;
Public | function MoveToNextAttribute: Boolean;
Public | function MoveToCarryingElement: Boolean;

Description

Methods

Public function MoveToNextNode: Boolean;

Moves the cursor to the next node in the document. This function must be called at least once to set the current cursor position. Returns true (1) if the cursor position was set successfully.

Attributes
GUID['{0DE686C3-A8D7-45D2-82FD-92F7F4E62A90}']
Public function Close: Boolean;

Close the document. This should be called directly to ensure that cleanup occurs on the correct thread.

Public function HasError: Boolean;

Returns true (1) if an error has been reported by the XML parser.

Public function GetError: ustring;

Returns the error string.

Public function GetType: TCefXmlNodeType;

Returns the node type.

Public function GetDepth: Integer;

Returns the node depth. Depth starts at 0 for the root node.

Public function GetLocalName: ustring;

Returns the local name. See http://www.w3.org/TR/REC-xml-names/#NT- LocalPart for additional details.

Public function GetPrefix: ustring;

Returns the namespace prefix. See http://www.w3.org/TR/REC-xml-names/ for additional details.

Public function GetQualifiedName: ustring;

Returns the qualified name, equal to (Prefix:)LocalName. See http://www.w3.org/TR/REC-xml-names/#ns-qualnames for additional details.

Public function GetNamespaceUri: ustring;

Returns the URI defining the namespace associated with the node. See http://www.w3.org/TR/REC-xml-names/ for additional details.

Public function GetBaseUri: ustring;

Returns the base URI of the node. See http://www.w3.org/TR/xmlbase/ for additional details.

Public function GetXmlLang: ustring;

Returns the xml:lang scope within which the node resides. See http://www.w3.org/TR/REC-xml/#sec-lang-tag for additional details.

Public function IsEmptyElement: Boolean;

Returns true (1) if the node represents an NULL element. "<a/>" is considered NULL but "<a></a>" is not.

Public function HasValue: Boolean;

Returns true (1) if the node has a text value.

Public function GetValue: ustring;

Returns the text value.

Public function HasAttributes: Boolean;

Returns true (1) if the node has attributes.

Public function GetAttributeCount: NativeUInt;

Returns the number of attributes.

Public function GetAttributeByIndex(index: Integer): ustring;

Returns the value of the attribute at the specified 0-based index.

Public function GetAttributeByQName(const qualifiedName: ustring): ustring;

Returns the value of the attribute with the specified qualified name.

Public function GetAttributeByLName(const localName, namespaceURI: ustring): ustring;

Returns the value of the attribute with the specified local name and namespace URI.

Public function GetInnerXml: ustring;

Returns an XML representation of the current node's children.

Public function GetOuterXml: ustring;

Returns an XML representation of the current node including its children.

Public function GetLineNumber: Integer;

Returns the line number for the current node.

Public function MoveToAttributeByIndex(index: Integer): Boolean;

Moves the cursor to the attribute at the specified 0-based index. Returns true (1) if the cursor position was set successfully.

Public function MoveToAttributeByQName(const qualifiedName: ustring): Boolean;

Moves the cursor to the attribute with the specified qualified name. Returns true (1) if the cursor position was set successfully.

Public function MoveToAttributeByLName(const localName, namespaceURI: ustring): Boolean;

Moves the cursor to the attribute with the specified local name and namespace URI. Returns true (1) if the cursor position was set successfully.

Public function MoveToFirstAttribute: Boolean;

Moves the cursor to the first attribute in the current element. Returns true (1) if the cursor position was set successfully.

Public function MoveToNextAttribute: Boolean;

Moves the cursor to the next attribute in the current element. Returns true (1) if the cursor position was set successfully.

Public function MoveToCarryingElement: Boolean;

Moves the cursor back to the carrying element. Returns true (1) if the cursor position was set successfully.


cef4delphi: uCEFInterfaces: Interface ICefZipReader

Interface ICefZipReader

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefZipReader = interface(ICefBaseRefCounted)

Description

Interface that supports the reading of zip archives via the zlib unzip API. The functions of this interface should only be called on the thread that creates the object.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_zip_reader_capi.h">CEF source file: /include/capi/cef_zip_reader_capi.h (cef_zip_reader_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefZipReader

Overview

Methods

Public | function MoveToFirstFile: Boolean;
Public | function MoveToNextFile: Boolean;
Public | function MoveToFile(const fileName: ustring; caseSensitive: Boolean): Boolean;
Public | function Close: Boolean;
Public | function GetFileName: ustring;
Public | function GetFileSize: Int64;
Public | function GetFileLastModified: TCefBaseTime;
Public | function OpenFile(const password: ustring): Boolean;
Public | function CloseFile: Boolean;
Public | function ReadFile(buffer: Pointer; bufferSize: NativeUInt): Integer;
Public | function Tell: Int64;
Public | function Eof: Boolean;

Description

Methods

Public function MoveToFirstFile: Boolean;

Moves the cursor to the first file in the archive. Returns true (1) if the cursor position was set successfully.

Attributes
GUID['{3B6C591F-9877-42B3-8892-AA7B27DA34A8}']
Public function MoveToNextFile: Boolean;

Moves the cursor to the next file in the archive. Returns true (1) if the cursor position was set successfully.

Public function MoveToFile(const fileName: ustring; caseSensitive: Boolean): Boolean;

Moves the cursor to the specified file in the archive. If |caseSensitive| is true (1) then the search will be case sensitive. Returns true (1) if the cursor position was set successfully.

Public function Close: Boolean;

Closes the archive. This should be called directly to ensure that cleanup occurs on the correct thread.

Public function GetFileName: ustring;

Returns the name of the file.

Public function GetFileSize: Int64;

Returns the uncompressed size of the file.

Public function GetFileLastModified: TCefBaseTime;

Returns the last modified timestamp for the file.

Public function OpenFile(const password: ustring): Boolean;

Opens the file for reading of uncompressed data. A read password may optionally be specified.

Public function CloseFile: Boolean;

Closes the file.

Public function ReadFile(buffer: Pointer; bufferSize: NativeUInt): Integer;

Read uncompressed file contents into the specified buffer. Returns < 0 if an error occurred, 0 if at the end of file, or the number of bytes read.

Public function Tell: Int64;

Returns the current offset in the uncompressed file contents.

Public function Eof: Boolean;

Returns true (1) if at end of the file contents.


cef4delphi: uCEFInterfaces: Interface ICefDomNode

Interface ICefDomNode

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefDomNode = interface(ICefBaseRefCounted)

Description

Interface used to represent a DOM node. The functions of this interface should only be called on the render process main thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_dom_capi.h">CEF source file: /include/capi/cef_dom_capi.h (cef_domnode_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefDomNode

Overview

Methods

Public | function GetType: TCefDomNodeType;
Public | function IsText: Boolean;
Public | function IsElement: Boolean;
Public | function IsEditable: Boolean;
Public | function IsFormControlElement: Boolean;
Public | function GetFormControlElementType: TCefDomFormControlType;
Public | function IsSame(const that: ICefDomNode): Boolean;
Public | function GetName: ustring;
Public | function GetValue: ustring;
Public | function SetValue(const value: ustring): Boolean;
Public | function GetAsMarkup: ustring;
Public | function GetDocument: ICefDomDocument;
Public | function GetParent: ICefDomNode;
Public | function GetPreviousSibling: ICefDomNode;
Public | function GetNextSibling: ICefDomNode;
Public | function HasChildren: Boolean;
Public | function GetFirstChild: ICefDomNode;
Public | function GetLastChild: ICefDomNode;
Public | function GetElementTagName: ustring;
Public | function HasElementAttributes: Boolean;
Public | function HasElementAttribute(const attrName: ustring): Boolean;
Public | function GetElementAttribute(const attrName: ustring): ustring;
Public | procedure GetElementAttributes(const attrMap: ICefStringMap); overload;
Public | procedure GetElementAttributes(var attrList: TStrings); overload;
Public | function SetElementAttribute(const attrName, value: ustring): Boolean;
Public | function GetElementInnerText: ustring;
Public | function GetElementBounds: TCefRect;

Properties

Public | property NodeType : TCefDomNodeType read GetType;
Public | property Name : ustring read GetName;
Public | property AsMarkup : ustring read GetAsMarkup;
Public | property Document : ICefDomDocument read GetDocument;
Public | property Parent : ICefDomNode read GetParent;
Public | property PreviousSibling : ICefDomNode read GetPreviousSibling;
Public | property NextSibling : ICefDomNode read GetNextSibling;
Public | property FirstChild : ICefDomNode read GetFirstChild;
Public | property LastChild : ICefDomNode read GetLastChild;
Public | property ElementTagName : ustring read GetElementTagName;
Public | property ElementInnerText : ustring read GetElementInnerText;
Public | property ElementBounds : TCefRect read GetElementBounds;

Description

Methods

Public function GetType: TCefDomNodeType;

Returns the type for this node.

Attributes
GUID['{96C03C9E-9C98-491A-8DAD-1947332232D6}']
Public function IsText: Boolean;

Returns true (1) if this is a text node.

Public function IsElement: Boolean;

Returns true (1) if this is an element node.

Public function IsEditable: Boolean;

Returns true (1) if this is an editable node.

Public function IsFormControlElement: Boolean;

Returns true (1) if this is a form control element node.

Public function GetFormControlElementType: TCefDomFormControlType;

Returns the type of this form control element node.

Public function IsSame(const that: ICefDomNode): Boolean;

Returns true (1) if this object is pointing to the same handle as |that| object.

Public function GetName: ustring;

Returns the name of this node.

Public function GetValue: ustring;

Returns the value of this node.

Public function SetValue(const value: ustring): Boolean;

Set the value of this node. Returns true (1) on success.

Public function GetAsMarkup: ustring;

Returns the contents of this node as markup.

Public function GetDocument: ICefDomDocument;

Returns the document associated with this node.

Public function GetParent: ICefDomNode;

Returns the parent node.

Public function GetPreviousSibling: ICefDomNode;

Returns the previous sibling node.

Public function GetNextSibling: ICefDomNode;

Returns the next sibling node.

Public function HasChildren: Boolean;

Returns true (1) if this node has child nodes.

Public function GetFirstChild: ICefDomNode;

Return the first child node.

Public function GetLastChild: ICefDomNode;

Returns the last child node.

Public function GetElementTagName: ustring;

Returns the tag name of this element.

Public function HasElementAttributes: Boolean;

Returns true (1) if this element has attributes.

Public function HasElementAttribute(const attrName: ustring): Boolean;

Returns true (1) if this element has an attribute named |attrName|.

Public function GetElementAttribute(const attrName: ustring): ustring;

Returns the element attribute named |attrName|.

Public procedure GetElementAttributes(const attrMap: ICefStringMap); overload;

Returns a ICefStringMap of all element attributes.

Public procedure GetElementAttributes(var attrList: TStrings); overload;

Returns a TStrings of all element attributes.

Public function SetElementAttribute(const attrName, value: ustring): Boolean;

Set the value for the element attribute named |attrName|. Returns true (1) on success.

Public function GetElementInnerText: ustring;

Returns the inner text of the element.

Public function GetElementBounds: TCefRect;

Returns the bounds of the element in device pixels. Use "window.devicePixelRatio" to convert to/from CSS pixels.

Properties

Public property NodeType : TCefDomNodeType read GetType;

Returns the type for this node.

Public property Name : ustring read GetName;

Returns the name of this node.

Public property AsMarkup : ustring read GetAsMarkup;

Returns the contents of this node as markup.

Public property Document : ICefDomDocument read GetDocument;

Returns the document associated with this node.

Public property Parent : ICefDomNode read GetParent;

Returns the parent node.

Public property PreviousSibling : ICefDomNode read GetPreviousSibling;

Returns the previous sibling node.

Public property NextSibling : ICefDomNode read GetNextSibling;

Returns the next sibling node.

Public property FirstChild : ICefDomNode read GetFirstChild;

Return the first child node.

Public property LastChild : ICefDomNode read GetLastChild;

Returns the last child node.

Public property ElementTagName : ustring read GetElementTagName;

Returns the tag name of this element.

Public property ElementInnerText : ustring read GetElementInnerText;

Returns the inner text of the element.

Public property ElementBounds : TCefRect read GetElementBounds;

Returns the bounds of the element in device pixels. Use "window.devicePixelRatio" to convert to/from CSS pixels.


cef4delphi: uCEFInterfaces: Interface ICefDomDocument

Interface ICefDomDocument

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefDomDocument = interface(ICefBaseRefCounted)

Description

Interface used to represent a DOM document. The functions of this interface should only be called on the render process main thread thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_dom_capi.h">CEF source file: /include/capi/cef_dom_capi.h (cef_domdocument_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefDomDocument

Overview

Methods

Public | function GetType: TCefDomDocumentType;
Public | function GetDocument: ICefDomNode;
Public | function GetBody: ICefDomNode;
Public | function GetHead: ICefDomNode;
Public | function GetTitle: ustring;
Public | function GetElementById(const id: ustring): ICefDomNode;
Public | function GetFocusedNode: ICefDomNode;
Public | function HasSelection: Boolean;
Public | function GetSelectionStartOffset: Integer;
Public | function GetSelectionEndOffset: Integer;
Public | function GetSelectionAsMarkup: ustring;
Public | function GetSelectionAsText: ustring;
Public | function GetBaseUrl: ustring;
Public | function GetCompleteUrl(const partialURL: ustring): ustring;

Properties

Public | property DocType : TCefDomDocumentType read GetType;
Public | property Document : ICefDomNode read GetDocument;
Public | property Body : ICefDomNode read GetBody;
Public | property Head : ICefDomNode read GetHead;
Public | property Title : ustring read GetTitle;
Public | property FocusedNode : ICefDomNode read GetFocusedNode;
Public | property SelectionStartOffset : Integer read GetSelectionStartOffset;
Public | property SelectionEndOffset : Integer read GetSelectionEndOffset;
Public | property SelectionAsMarkup : ustring read GetSelectionAsMarkup;
Public | property SelectionAsText : ustring read GetSelectionAsText;
Public | property BaseUrl : ustring read GetBaseUrl;

Description

Methods

Public function GetType: TCefDomDocumentType;

Returns the document type.

Attributes
GUID['{08E74052-45AF-4F69-A578-98A5C3959426}']
Public function GetDocument: ICefDomNode;

Returns the root document node.

Public function GetBody: ICefDomNode;

Returns the BODY node of an HTML document.

Public function GetHead: ICefDomNode;

Returns the HEAD node of an HTML document.

Public function GetTitle: ustring;

Returns the title of an HTML document.

Public function GetElementById(const id: ustring): ICefDomNode;

Returns the document element with the specified ID value.

Public function GetFocusedNode: ICefDomNode;

Returns the node that currently has keyboard focus.

Public function HasSelection: Boolean;

Returns true (1) if a portion of the document is selected.

Public function GetSelectionStartOffset: Integer;

Returns the selection offset within the start node.

Public function GetSelectionEndOffset: Integer;

Returns the selection offset within the end node.

Public function GetSelectionAsMarkup: ustring;

Returns the contents of this selection as markup.

Public function GetSelectionAsText: ustring;

Returns the contents of this selection as text.

Public function GetBaseUrl: ustring;

Returns the base URL for the document.

Public function GetCompleteUrl(const partialURL: ustring): ustring;

Returns a complete URL based on the document base URL and the specified partial URL.

Properties

Public property DocType : TCefDomDocumentType read GetType;

Returns the document type.

Public property Document : ICefDomNode read GetDocument;

Returns the root document node.

Public property Body : ICefDomNode read GetBody;

Returns the BODY node of an HTML document.

Public property Head : ICefDomNode read GetHead;

Returns the HEAD node of an HTML document.

Public property Title : ustring read GetTitle;

Returns the title of an HTML document.

Public property FocusedNode : ICefDomNode read GetFocusedNode;

Returns the node that currently has keyboard focus.

Public property SelectionStartOffset : Integer read GetSelectionStartOffset;

Returns the selection offset within the start node.

Public property SelectionEndOffset : Integer read GetSelectionEndOffset;

Returns the selection offset within the end node.

Public property SelectionAsMarkup : ustring read GetSelectionAsMarkup;

Returns the contents of this selection as markup.

Public property SelectionAsText : ustring read GetSelectionAsText;

Returns the contents of this selection as text.

Public property BaseUrl : ustring read GetBaseUrl;

Returns the base URL for the document.


cef4delphi: uCEFInterfaces: Interface ICefDomVisitor

Interface ICefDomVisitor

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefDomVisitor = interface(ICefBaseRefCounted)

Description

Interface to implement for visiting the DOM. The functions of this interface will be called on the render process main thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_dom_capi.h">CEF source file: /include/capi/cef_dom_capi.h (cef_domvisitor_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefDomVisitor

Overview

Methods

Public procedure visit(const document: ICefDomDocument);

Description

Methods

Public procedure visit(const document: ICefDomDocument);

Method executed for visiting the DOM. The document object passed to this function represents a snapshot of the DOM at the time this function is executed. DOM objects are only valid for the scope of this function. Do not keep references to or attempt to access any DOM objects outside the scope of this function.

Attributes
GUID['{30398428-3196-4531-B968-2DDBED36F6B0}']


cef4delphi: uCEFInterfaces: Interface ICefCookieVisitor

Interface ICefCookieVisitor

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefCookieVisitor = interface(ICefBaseRefCounted)

Description

Interface to implement for visiting cookie values. The functions of this interface will always be called on the UI thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_cookie_capi.h">CEF source file: /include/capi/cef_cookie_capi.h (cef_cookie_visitor_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefCookieVisitor

Overview

Methods

Public function visit(const name, value, domain, path: ustring; secure, httponly, hasExpires: Boolean; const creation, lastAccess, expires: TDateTime; count, total: Integer; same_site : TCefCookieSameSite; priority : TCefCookiePriority; out deleteCookie: Boolean): Boolean;

Description

Methods

Public function visit(const name, value, domain, path: ustring; secure, httponly, hasExpires: Boolean; const creation, lastAccess, expires: TDateTime; count, total: Integer; same_site : TCefCookieSameSite; priority : TCefCookiePriority; out deleteCookie: Boolean): Boolean;

Method that will be called once for each cookie. |count| is the 0-based index for the current cookie. |total| is the total number of cookies. Set |deleteCookie| to true (1) to delete the cookie currently being visited. Return false (0) to stop visiting cookies. This function may never be called if no cookies are found.

Attributes
GUID['{8378CF1B-84AB-4FDB-9B86-34DDABCCC402}']


cef4delphi: uCEFInterfaces: Interface ICefCommandLine

Interface ICefCommandLine

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefCommandLine = interface(ICefBaseRefCounted)

Description

Interface used to create and/or parse command line arguments. Arguments with "–", "-" and, on Windows, "/" prefixes are considered switches. Switches will always precede any arguments without switch prefixes. Switches can optionally have a value specified using the "=" delimiter (e.g. "-switch=value"). An argument of "–" will terminate switch parsing with all subsequent tokens, regardless of prefix, being interpreted as non-switch arguments. Switch names should be lowercase ASCII and will be converted to such if necessary. Switch values will retain the original case and UTF8 encoding. This interface can be used before cef_initialize() is called.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_command_line_capi.h">CEF source file: /include/capi/cef_command_line_capi.h (cef_command_line_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefCommandLine

Overview

Methods

Public | function IsValid: Boolean;
Public | function IsReadOnly: Boolean;
Public | function Copy: ICefCommandLine;
Public | procedure InitFromArgv(argc: Integer; const argv: PPAnsiChar);
Public | procedure InitFromString(const commandLine: ustring);
Public | procedure Reset;
Public | function GetCommandLineString: ustring;
Public | procedure GetArgv(var args: TStrings);
Public | function GetProgram: ustring;
Public | procedure SetProgram(const prog: ustring);
Public | function HasSwitches: Boolean;
Public | function HasSwitch(const name: ustring): Boolean;
Public | function GetSwitchValue(const name: ustring): ustring;
Public | function GetSwitches(var switches: TStrings): boolean; overload;
Public | function GetSwitches(var SwitchKeys, SwitchValues: TStringList): boolean; overload;
Public | procedure AppendSwitch(const name: ustring);
Public | procedure AppendSwitchWithValue(const name, value: ustring);
Public | function HasArguments: Boolean;
Public | procedure GetArguments(var arguments: TStrings);
Public | procedure AppendArgument(const argument: ustring);
Public | procedure PrependWrapper(const wrapper: ustring);

Properties

Public property CommandLineString : ustring read GetCommandLineString;

Description

Methods

Public function IsValid: Boolean;

Returns true (1) if this object is valid. Do not call any other functions if this function returns false (0).

Attributes
GUID['{6B43D21B-0F2C-4B94-B4E6-4AF0D7669D8E}']
Public function IsReadOnly: Boolean;

Returns true (1) if the values of this object are read-only. Some APIs may expose read-only objects.

Public function Copy: ICefCommandLine;

Returns a writable copy of this object.

Public procedure InitFromArgv(argc: Integer; const argv: PPAnsiChar);

Initialize the command line with the specified |argc| and |argv| values. The first argument must be the name of the program. This function is only supported on non-Windows platforms.

Public procedure InitFromString(const commandLine: ustring);

Initialize the command line with the string returned by calling GetCommandLineW(). This function is only supported on Windows.

Public procedure Reset;

Reset the command-line switches and arguments but leave the program component unchanged.

Public function GetCommandLineString: ustring;

Constructs and returns the represented command line string. Use this function cautiously because quoting behavior is unclear.

Public procedure GetArgv(var args: TStrings);

Retrieve the original command line string as a vector of strings. The argv array: `{ program, [(–|-|/)switch[=value]]*, [–], [argument]* }`

Public function GetProgram: ustring;

Get the program part of the command line string (the first item).

Public procedure SetProgram(const prog: ustring);

Set the program part of the command line string (the first item).

Public function HasSwitches: Boolean;

Returns true (1) if the command line has switches.

Public function HasSwitch(const name: ustring): Boolean;

Returns true (1) if the command line contains the given switch.

Public function GetSwitchValue(const name: ustring): ustring;

Returns the value associated with the given switch. If the switch has no value or isn't present this function returns the NULL string.

Public function GetSwitches(var switches: TStrings): boolean; overload;

Returns the map of switch names and values. If a switch has no value an NULL string is returned.

Public function GetSwitches(var SwitchKeys, SwitchValues: TStringList): boolean; overload;

Returns the map of switch names and values. If a switch has no value an NULL string is returned.

Public procedure AppendSwitch(const name: ustring);

Add a switch to the end of the command line.

Public procedure AppendSwitchWithValue(const name, value: ustring);

Add a switch with the specified value to the end of the command line. If the switch has no value pass an NULL value string.

Public function HasArguments: Boolean;

True if there are remaining command line arguments.

Public procedure GetArguments(var arguments: TStrings);

Get the remaining command line arguments.

Public procedure AppendArgument(const argument: ustring);

Add an argument to the end of the command line.

Public procedure PrependWrapper(const wrapper: ustring);

Insert a command before the current command. Common for debuggers, like "valgrind" or "gdb –args".

Properties

Public property CommandLineString : ustring read GetCommandLineString;

Constructs and returns the represented command line string. Use this function cautiously because quoting behavior is unclear.


cef4delphi: uCEFInterfaces: Interface ICefRegistration

Interface ICefRegistration

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefRegistration = interface(ICefBaseRefCounted)

Description

Generic callback interface used for managing the lifespan of a registration.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_registration_capi.h">CEF source file: /include/capi/cef_registration_capi.h (cef_registration_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefRegistration


cef4delphi: uCEFInterfaces: Interface ICefDevToolsMessageObserver

Interface ICefDevToolsMessageObserver

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefDevToolsMessageObserver = interface(ICefBaseRefCounted)

Description

Callback interface for ICefBrowserHost.AddDevToolsMessageObserver. The functions of this interface will be called on the browser process UI thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_devtools_message_observer_capi.h">CEF source file: /include/capi/cef_devtools_message_observer_capi.h (cef_dev_tools_message_observer_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefDevToolsMessageObserver

Overview

Methods

Public | procedure OnDevToolsMessage(const browser: ICefBrowser; const message_: Pointer; message_size: NativeUInt; var aHandled: boolean);
Public | procedure OnDevToolsMethodResult(const browser: ICefBrowser; message_id: integer; success: boolean; const result: Pointer; result_size: NativeUInt);
Public | procedure OnDevToolsEvent(const browser: ICefBrowser; const method: ustring; const params: Pointer; params_size: NativeUInt);
Public | procedure OnDevToolsAgentAttached(const browser: ICefBrowser);
Public | procedure OnDevToolsAgentDetached(const browser: ICefBrowser);

Description

Methods

Public procedure OnDevToolsMessage(const browser: ICefBrowser; const message_: Pointer; message_size: NativeUInt; var aHandled: boolean);

Method that will be called on receipt of a DevTools protocol message. |browser| is the originating browser instance. |message| is a UTF8-encoded JSON dictionary representing either a function result or an event. |message| is only valid for the scope of this callback and should be copied if necessary. Return true (1) if the message was handled or false (0) if the message should be further processed and passed to the OnDevToolsMethodResult or OnDevToolsEvent functions as appropriate.

Method result dictionaries include an "id" (int) value that identifies the orginating function call sent from ICefBrowserHost.SendDevToolsMessage, and optionally either a "result" (dictionary) or "error" (dictionary) value. The "error" dictionary will contain "code" (int) and "message" (string) values. Event dictionaries include a "function" (string) value and optionally a "params" (dictionary) value. See the DevTools protocol documentation at https://chromedevtools.github.io/devtools-protocol/ for details of supported function calls and the expected "result" or "params" dictionary contents. JSON dictionaries can be parsed using the CefParseJSON function if desired, however be aware of performance considerations when parsing large messages (some of which may exceed 1MB in size).

Attributes
GUID['{76E5BB2B-7F69-4BC9-94C7-B55C61CE630F}']
Public procedure OnDevToolsMethodResult(const browser: ICefBrowser; message_id: integer; success: boolean; const result: Pointer; result_size: NativeUInt);

Method that will be called after attempted execution of a DevTools protocol function. |browser| is the originating browser instance. |message_id| is the "id" value that identifies the originating function call message. If the function succeeded |success| will be true (1) and |result| will be the UTF8-encoded JSON "result" dictionary value (which may be NULL). If the function failed |success| will be false (0) and |result| will be the UTF8-encoded JSON "error" dictionary value. |result| is only valid for the scope of this callback and should be copied if necessary. See the OnDevToolsMessage documentation for additional details on |result| contents.

Public procedure OnDevToolsEvent(const browser: ICefBrowser; const method: ustring; const params: Pointer; params_size: NativeUInt);

Method that will be called on receipt of a DevTools protocol event. |browser| is the originating browser instance. |function| is the "function" value. |params| is the UTF8-encoded JSON "params" dictionary value (which may be NULL). |params| is only valid for the scope of this callback and should be copied if necessary. See the OnDevToolsMessage documentation for additional details on |params| contents.

Public procedure OnDevToolsAgentAttached(const browser: ICefBrowser);

Method that will be called when the DevTools agent has attached. |browser| is the originating browser instance. This will generally occur in response to the first message sent while the agent is detached.

Public procedure OnDevToolsAgentDetached(const browser: ICefBrowser);

Method that will be called when the DevTools agent has detached. |browser| is the originating browser instance. Any function results that were pending before the agent became detached will not be delivered, and any active event subscriptions will be canceled.


cef4delphi: uCEFInterfaces: Interface ICefMediaRouter

Interface ICefMediaRouter

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefMediaRouter = interface(ICefBaseRefCounted)

Description

Supports discovery of and communication with media devices on the local network via the Cast and DIAL protocols. The functions of this interface may be called on any browser process thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_media_router_capi.h">CEF source file: /include/capi/cef_media_router_capi.h (cef_media_router_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefMediaRouter

Overview

Methods

Public | function AddObserver(const observer: ICefMediaObserver): ICefRegistration;
Public | function GetSource(const urn: ustring): ICefMediaSource;
Public | procedure NotifyCurrentSinks;
Public | procedure CreateRoute(const source: ICefMediaSource; const sink: ICefMediaSink; const callback: ICefMediaRouteCreateCallback);
Public | procedure NotifyCurrentRoutes;

Description

Methods

Public function AddObserver(const observer: ICefMediaObserver): ICefRegistration;

Add an observer for MediaRouter events. The observer will remain registered until the returned Registration object is destroyed.

Attributes
GUID['{F18C3880-CB8D-48F9-9D74-DCFF4B9E88DF}']
Public function GetSource(const urn: ustring): ICefMediaSource;

Returns a MediaSource object for the specified media source URN. Supported URN schemes include "cast:" and "dial:", and will be already known by the client application (e.g. "cast:<appId>?clientId=<clientId>").

Public procedure NotifyCurrentSinks;

Trigger an asynchronous call to ICefMediaObserver.OnSinks on all registered observers.

Public procedure CreateRoute(const source: ICefMediaSource; const sink: ICefMediaSink; const callback: ICefMediaRouteCreateCallback);

Create a new route between |source| and |sink|. Source and sink must be valid, compatible (as reported by ICefMediaSink.IsCompatibleWith), and a route between them must not already exist. |callback| will be executed on success or failure. If route creation succeeds it will also trigger an asynchronous call to ICefMediaObserver.OnRoutes on all registered observers.

Public procedure NotifyCurrentRoutes;

Trigger an asynchronous call to ICefMediaObserver.OnRoutes on all registered observers.


cef4delphi: uCEFInterfaces: Interface ICefMediaObserver

Interface ICefMediaObserver

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefMediaObserver = interface(ICefBaseRefCounted)

Description

Implemented by the client to observe MediaRouter events and registered via ICefMediaRouter.AddObserver. The functions of this interface will be called on the browser process UI thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_media_router_capi.h">CEF source file: /include/capi/cef_media_router_capi.h (cef_media_observer_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefMediaObserver

Overview

Methods

Public | procedure OnSinks(const sinks: TCefMediaSinkArray);
Public | procedure OnRoutes(const routes: TCefMediaRouteArray);
Public | procedure OnRouteStateChanged(const route: ICefMediaRoute; state: TCefMediaRouteConnectionState);
Public | procedure OnRouteMessageReceived(const route: ICefMediaRoute; const message_: ustring);

Description

Methods

Public procedure OnSinks(const sinks: TCefMediaSinkArray);

The list of available media sinks has changed or ICefMediaRouter.NotifyCurrentSinks was called.

Attributes
GUID['{0B27C8D1-63E3-4F69-939F-DCAD518654A3}']
Public procedure OnRoutes(const routes: TCefMediaRouteArray);

The list of available media routes has changed or ICefMediaRouter.NotifyCurrentRoutes was called.

Public procedure OnRouteStateChanged(const route: ICefMediaRoute; state: TCefMediaRouteConnectionState);

The connection state of |route| has changed.

Public procedure OnRouteMessageReceived(const route: ICefMediaRoute; const message_: ustring);

A message was received over |route|. |message| is only valid for the scope of this callback and should be copied if necessary.


cef4delphi: uCEFInterfaces: Interface ICefMediaRoute

Interface ICefMediaRoute

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefMediaRoute = interface(ICefBaseRefCounted)

Description

Represents the route between a media source and sink. Instances of this object are created via ICefMediaRouter.CreateRoute and retrieved via ICefMediaObserver.OnRoutes. Contains the status and metadata of a routing operation. The functions of this interface may be called on any browser process thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_media_router_capi.h">CEF source file: /include/capi/cef_media_router_capi.h (cef_media_route_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefMediaRoute

Overview

Methods

Public | function GetId: ustring;
Public | function GetSource: ICefMediaSource;
Public | function GetSink: ICefMediaSink;
Public | procedure SendRouteMessage(const message_: ustring);
Public | procedure Terminate;

Properties

Public | property ID : ustring read GetId;
Public | property Source : ICefMediaSource read GetSource;
Public | property Sink : ICefMediaSink read GetSink;

Description

Methods

Public function GetId: ustring;

Returns the ID for this route.

Attributes
GUID['{D8959122-DD19-4933-B4D9-DF829062A0D3}']
Public function GetSource: ICefMediaSource;

Returns the source associated with this route.

Public function GetSink: ICefMediaSink;

Returns the sink associated with this route.

Public procedure SendRouteMessage(const message_: ustring);

Send a message over this route. |message_| will be copied if necessary.

Public procedure Terminate;

Terminate this route. Will result in an asynchronous call to ICefMediaObserver.OnRoutes on all registered observers.

Properties

Public property ID : ustring read GetId;

Returns the ID for this route.

Public property Source : ICefMediaSource read GetSource;

Returns the source associated with this route.

Public property Sink : ICefMediaSink read GetSink;

Returns the sink associated with this route.


cef4delphi: uCEFInterfaces: Interface ICefMediaRouteCreateCallback

Interface ICefMediaRouteCreateCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefMediaRouteCreateCallback = interface(ICefBaseRefCounted)

Description

Callback interface for ICefMediaRouter.CreateRoute. The functions of this interface will be called on the browser process UI thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_media_router_capi.h">CEF source file: /include/capi/cef_media_router_capi.h (cef_media_route_create_callback_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefMediaRouteCreateCallback

Overview

Methods

Public procedure OnMediaRouteCreateFinished(result: TCefMediaRouterCreateResult; const error: ustring; const route: ICefMediaRoute);

Description

Methods

Public procedure OnMediaRouteCreateFinished(result: TCefMediaRouterCreateResult; const error: ustring; const route: ICefMediaRoute);

Method that will be executed when the route creation has finished. |result| will be CEF_MRCR_OK if the route creation succeeded. |error| will be a description of the error if the route creation failed. |route| is the resulting route, or NULL if the route creation failed.

Attributes
GUID['{8848CBFE-36AC-4AC8-BC10-386B69FB27BE}']


cef4delphi: uCEFInterfaces: Interface ICefMediaSinkDeviceInfoCallback

Interface ICefMediaSinkDeviceInfoCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefMediaSinkDeviceInfoCallback = interface(ICefBaseRefCounted)

Description

Callback interface for ICefMediaSink.GetDeviceInfo. The functions of this interface will be called on the browser process UI thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_media_router_capi.h">CEF source file: /include/capi/cef_media_router_capi.h (cef_media_sink_device_info_callback_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefMediaSinkDeviceInfoCallback

Overview

Methods

Public procedure OnMediaSinkDeviceInfo(const ip_address: ustring; port: integer; const model_name: ustring);

Description

Methods

Public procedure OnMediaSinkDeviceInfo(const ip_address: ustring; port: integer; const model_name: ustring);

Method that will be executed asyncronously once device information has been retrieved.

Attributes
GUID['{633898DD-4169-45D0-ADDD-6E68B3686E0D}']


cef4delphi: uCEFInterfaces: Interface ICefMediaSink

Interface ICefMediaSink

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefMediaSink = interface(ICefBaseRefCounted)

Description

Represents a sink to which media can be routed. Instances of this object are retrieved via ICefMediaObserver.OnSinks. The functions of this interface may be called on any browser process thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_media_router_capi.h">CEF source file: /include/capi/cef_media_router_capi.h (cef_media_sink_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefMediaSink

Overview

Methods

Public | function GetId: ustring;
Public | function GetName: ustring;
Public | function GetIconType: TCefMediaSinkIconType;
Public | procedure GetDeviceInfo(const callback: ICefMediaSinkDeviceInfoCallback);
Public | function IsCastSink: boolean;
Public | function IsDialSink: boolean;
Public | function IsCompatibleWith(const source: ICefMediaSource): boolean;

Properties

Public | property ID : ustring read GetId;
Public | property Name : ustring read GetName;
Public | property IconType : TCefMediaSinkIconType read GetIconType;

Description

Methods

Public function GetId: ustring;

Returns the ID for this sink.

Attributes
GUID['{EDA1A4B2-2A4C-42DD-A7DF-901BF93D908D}']
Public function GetName: ustring;

Returns the name of this sink.

Public function GetIconType: TCefMediaSinkIconType;

Returns the icon type for this sink.

Public procedure GetDeviceInfo(const callback: ICefMediaSinkDeviceInfoCallback);

Asynchronously retrieves device info.

Public function IsCastSink: boolean;

Returns true (1) if this sink accepts content via Cast.

Public function IsDialSink: boolean;

Returns true (1) if this sink accepts content via DIAL.

Public function IsCompatibleWith(const source: ICefMediaSource): boolean;

Returns true (1) if this sink is compatible with |source|.

Properties

Public property ID : ustring read GetId;

Returns the ID for this sink.

Public property Name : ustring read GetName;

Returns the name of this sink.

Public property IconType : TCefMediaSinkIconType read GetIconType;

Returns the icon type for this sink.


cef4delphi: uCEFInterfaces: Interface ICefMediaSource

Interface ICefMediaSource

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefMediaSource = interface(ICefBaseRefCounted)

Description

Represents a source from which media can be routed. Instances of this object are retrieved via ICefMediaRouter.GetSource. The functions of this interface may be called on any browser process thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_media_router_capi.h">CEF source file: /include/capi/cef_media_router_capi.h (cef_media_source_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefMediaSource

Overview

Methods

Public | function GetId: ustring;
Public | function IsCastSource: boolean;
Public | function IsDialSource: boolean;

Properties

Public property ID : ustring read GetId;

Description

Methods

Public function GetId: ustring;

Returns the ID (media source URN or URL) for this source.

Attributes
GUID['{734ED6E4-6498-43ED-AAA4-6B993EDC30BE}']
Public function IsCastSource: boolean;

Returns true (1) if this source outputs its content via Cast.

Public function IsDialSource: boolean;

Returns true (1) if this source outputs its content via DIAL.

Properties

Public property ID : ustring read GetId;

Returns the ID (media source URN or URL) for this source.


cef4delphi: uCEFInterfaces: Interface ICefResourceBundleHandler

Interface ICefResourceBundleHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefResourceBundleHandler = interface(ICefBaseRefCounted)

Description

Interface used to implement a custom resource bundle interface. See TCefSettings for additional options related to resource bundle loading. The functions of this interface may be called on multiple threads.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_resource_bundle_handler_capi.h">CEF source file: /include/capi/cef_resource_bundle_handler_capi.h (cef_resource_bundle_handler_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefResourceBundleHandler

Overview

Methods

Public | function GetLocalizedString(stringId: Integer; var stringVal: ustring): Boolean;
Public | function GetDataResource(resourceId: Integer; var data: Pointer; var dataSize: NativeUInt): Boolean;
Public | function GetDataResourceForScale(resourceId: Integer; scaleFactor: TCefScaleFactor; var data: Pointer; var dataSize: NativeUInt): Boolean;
Public | procedure RemoveReferences;

Description

Methods

Public function GetLocalizedString(stringId: Integer; var stringVal: ustring): Boolean;

Called to retrieve a localized translation for the specified |string_id|. To provide the translation set |string| to the translation string and return true (1). To use the default translation return false (0). Use the cef_id_for_pack_string_name() function for version-safe mapping of string IDS names from cef_pack_strings.h to version-specific numerical |string_id| values.

Attributes
GUID['{09C264FD-7E03-41E3-87B3-4234E82B5EA2}']
Public function GetDataResource(resourceId: Integer; var data: Pointer; var dataSize: NativeUInt): Boolean;

Called to retrieve data for the specified scale independent |resource_id|. To provide the resource data set |data| and |data_size| to the data pointer and size respectively and return true (1). To use the default resource data return false (0). The resource data will not be copied and must remain resident in memory. Use the cef_id_for_pack_resource_name() function for version-safe mapping of resource IDR names from cef_pack_resources.h to version-specific numerical |resource_id| values.

Public function GetDataResourceForScale(resourceId: Integer; scaleFactor: TCefScaleFactor; var data: Pointer; var dataSize: NativeUInt): Boolean;

Called to retrieve data for the specified |resource_id| nearest the scale factor |scale_factor|. To provide the resource data set |data| and |data_size| to the data pointer and size respectively and return true (1). To use the default resource data return false (0). The resource data will not be copied and must remain resident in memory. Use the cef_id_for_pack_resource_name() function for version-safe mapping of resource IDR names from cef_pack_resources.h to version-specific numerical |resource_id| values.

Public procedure RemoveReferences;

Custom procedure to clear all references.


cef4delphi: uCEFInterfaces: Interface ICefBrowserProcessHandler

Interface ICefBrowserProcessHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefBrowserProcessHandler = interface(ICefBaseRefCounted)

Description

Interface used to implement browser process callbacks. The functions of this interface will be called on the browser process main thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_browser_process_handler_capi.h">CEF source file: /include/capi/cef_browser_process_handler_capi.h (cef_browser_process_handler_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefBrowserProcessHandler

Overview

Methods

Public | procedure OnRegisterCustomPreferences(type_: TCefPreferencesType; registrar: PCefPreferenceRegistrar);
Public | procedure OnContextInitialized;
Public | procedure OnBeforeChildProcessLaunch(const commandLine: ICefCommandLine);
Public | procedure OnAlreadyRunningAppRelaunch(const commandLine: ICefCommandLine; const current_directory: ustring; var aResult: boolean);
Public | procedure OnScheduleMessagePumpWork(const delayMs: Int64);
Public | procedure GetDefaultClient(var aClient : ICefClient);
Public | procedure GetDefaultRequestContextHandler(var aRequestContextHandler : ICefRequestContextHandler);
Public | procedure RemoveReferences;

Description

Methods

Public procedure OnRegisterCustomPreferences(type_: TCefPreferencesType; registrar: PCefPreferenceRegistrar);

Provides an opportunity to register custom preferences prior to global and request context initialization.

If |type| is CEF_PREFERENCES_TYPE_GLOBAL the registered preferences can be accessed via ICefPreferenceManager.GetGlobalPreferences after OnContextInitialized is called. Global preferences are registered a single time at application startup. See related TCefSettings.cache_path configuration.

If |type| is CEF_PREFERENCES_TYPE_REQUEST_CONTEXT the preferences can be accessed via the ICefRequestContext after ICefRequestContextHandler.OnRequestContextInitialized is called. Request context preferences are registered each time a new ICefRequestContext is created. It is intended but not required that all request contexts have the same registered preferences. See related TCefRequestContextSettings.cache_path configuration.

Do not keep a reference to the |registrar| object. This function is called on the browser process UI thread.

Attributes
GUID['{27291B7A-C0AE-4EE0-9115-15C810E22F6C}']
Public procedure OnContextInitialized;

Called on the browser process UI thread immediately after the CEF context has been initialized.

Public procedure OnBeforeChildProcessLaunch(const commandLine: ICefCommandLine);

Called before a child process is launched. Will be called on the browser process UI thread when launching a render process and on the browser process IO thread when launching a GPU process. Provides an opportunity to modify the child process command line. Do not keep a reference to |command_line| outside of this function.

Public procedure OnAlreadyRunningAppRelaunch(const commandLine: ICefCommandLine; const current_directory: ustring; var aResult: boolean);

Implement this function to provide app-specific behavior when an already running app is relaunched with the same TCefSettings.root_cache_path value. For example, activate an existing app window or create a new app window. |command_line| will be read-only. Do not keep a reference to |command_line| outside of this function. Return true (1) if the relaunch is handled or false (0) for default relaunch behavior. Default behavior will create a new default styled Chrome window.

To avoid cache corruption only a single app instance is allowed to run for a given TCefSettings.root_cache_path value. On relaunch the app checks a process singleton lock and then forwards the new launch arguments to the already running app process before exiting early. Client apps should therefore check the cef_initialize() return value for early exit before proceeding.

This function will be called on the browser process UI thread.

Public procedure OnScheduleMessagePumpWork(const delayMs: Int64);

Called from any thread when work has been scheduled for the browser process main (UI) thread. This callback is used in combination with TCefSettings.external_message_pump and GlobalCEFApp.DoMessageLoopWork in cases where the CEF message loop must be integrated into an existing application message loop (see additional comments and warnings on GlobalCEFApp.DoMessageLoopWork). This callback should schedule a GlobalCEFApp.DoMessageLoopWork call to happen on the main (UI) thread. |delay_ms| is the requested delay in milliseconds. If |delay_ms| is <= 0 then the call should happen reasonably soon. If |delay_ms| is > 0 then the call should be scheduled to happen after the specified delay and any currently pending scheduled call should be cancelled.

Public procedure GetDefaultClient(var aClient : ICefClient);

Return the default client for use with a newly created browser window (TCefBrowser object). If null is returned the TCefBrowser will be unmanaged (no callbacks will be executed for that TCefBrowser) and application shutdown will be blocked until the browser window is closed manually. This function is currently only used with Chrome style when creating new browser windows via Chrome UI.

Public procedure GetDefaultRequestContextHandler(var aRequestContextHandler : ICefRequestContextHandler);

Return the default handler for use with a new user or incognito profile (TCefRequestContext object). If null is returned the TCefRequestContext will be unmanaged (no callbacks will be executed for that TCefRequestContext). This function is currently only used with Chrome style when creating new browser windows via Chrome UI.

Public procedure RemoveReferences;

Custom procedure to clear all references.


cef4delphi: uCEFInterfaces: Interface ICefRenderProcessHandler

Interface ICefRenderProcessHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefRenderProcessHandler = interface(ICefBaseRefCounted)

Description

Interface used to implement render process callbacks. The functions of this interface will be called on the render process main thread (TID_RENDERER) unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_render_process_handler_capi.h">CEF source file: /include/capi/cef_render_process_handler_capi.h (cef_render_process_handler_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefRenderProcessHandler

Overview

Methods

Public | procedure OnWebKitInitialized;
Public | procedure OnBrowserCreated(const browser: ICefBrowser; const extra_info: ICefDictionaryValue);
Public | procedure OnBrowserDestroyed(const browser: ICefBrowser);
Public | function GetLoadHandler: ICefLoadHandler;
Public | procedure OnContextCreated(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context);
Public | procedure OnContextReleased(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context);
Public | procedure OnUncaughtException(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context; const V8Exception: ICefV8Exception; const stackTrace: ICefV8StackTrace);
Public | procedure OnFocusedNodeChanged(const browser: ICefBrowser; const frame: ICefFrame; const node: ICefDomNode);
Public | function OnProcessMessageReceived(const browser: ICefBrowser; const frame: ICefFrame; sourceProcess: TCefProcessId; const aMessage: ICefProcessMessage): Boolean;
Public | procedure RemoveReferences;

Description

Methods

Public procedure OnWebKitInitialized;

Called after WebKit has been initialized.

Attributes
GUID['{FADEE3BC-BF66-430A-BA5D-1EE3782ECC58}']
Public procedure OnBrowserCreated(const browser: ICefBrowser; const extra_info: ICefDictionaryValue);

Called after a browser has been created. When browsing cross-origin a new browser will be created before the old browser with the same identifier is destroyed. |extra_info| is an optional read-only value originating from cef_browser_host_create_browser(), cef_browser_host_create_browser_sync(), ICefLifeSpanHandler.OnBeforePopup or cef_browser_view_create().

Public procedure OnBrowserDestroyed(const browser: ICefBrowser);

Called before a browser is destroyed.

Public function GetLoadHandler: ICefLoadHandler;

Return the handler for browser load status events.

Public procedure OnContextCreated(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context);

Called immediately after the V8 context for a frame has been created. To retrieve the JavaScript 'window' object use the ICefv8context.GetGlobal function. V8 handles can only be accessed from the thread on which they are created. A task runner for posting tasks on the associated thread can be retrieved via the ICefv8context.GetTaskRunner() function.

Public procedure OnContextReleased(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context);

Called immediately before the V8 context for a frame is released. No references to the context should be kept after this function is called.

Public procedure OnUncaughtException(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context; const V8Exception: ICefV8Exception; const stackTrace: ICefV8StackTrace);

Called for global uncaught exceptions in a frame. Execution of this callback is disabled by default. To enable set TCefSettings.uncaught_exception_stack_size > 0.

Public procedure OnFocusedNodeChanged(const browser: ICefBrowser; const frame: ICefFrame; const node: ICefDomNode);

Called when a new node in the the browser gets focus. The |node| value may be NULL if no specific node has gained focus. The node object passed to this function represents a snapshot of the DOM at the time this function is executed. DOM objects are only valid for the scope of this function. Do not keep references to or attempt to access any DOM objects outside the scope of this function.

Public function OnProcessMessageReceived(const browser: ICefBrowser; const frame: ICefFrame; sourceProcess: TCefProcessId; const aMessage: ICefProcessMessage): Boolean;

Called when a new message is received from a different process. Return true (1) if the message was handled or false (0) otherwise. It is safe to keep a reference to |message| outside of this callback.

Public procedure RemoveReferences;

Custom procedure to clear all references.


cef4delphi: uCEFInterfaces: Interface ICefApp

Interface ICefApp

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefApp = interface(ICefBaseRefCounted)

Description

Implement this interface to provide handler implementations. Methods will be called by the process and/or thread indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_app_capi.h">CEF source file: /include/capi/cef_app_capi.h (cef_app_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefApp

Overview

Methods

Public | procedure OnBeforeCommandLineProcessing(const processType: ustring; const commandLine: ICefCommandLine);
Public | procedure OnRegisterCustomSchemes(const registrar: TCefSchemeRegistrarRef);
Public | procedure GetResourceBundleHandler(var aHandler : ICefResourceBundleHandler);
Public | procedure GetBrowserProcessHandler(var aHandler : ICefBrowserProcessHandler);
Public | procedure GetRenderProcessHandler(var aHandler : ICefRenderProcessHandler);
Public | procedure RemoveReferences;

Description

Methods

Public procedure OnBeforeCommandLineProcessing(const processType: ustring; const commandLine: ICefCommandLine);

Provides an opportunity to view and/or modify command-line arguments before processing by CEF and Chromium. The |process_type| value will be NULL for the browser process. Do not keep a reference to the ICefCommandLine object passed to this function. The TCefSettings.command_line_args_disabled value can be used to start with an NULL command-line object. Any values specified in CefSettings that equate to command-line arguments will be set before this function is called. Be cautious when using this function to modify command-line arguments for non-browser processes as this may result in undefined behavior including crashes.

Attributes
GUID['{970CA670-9070-4642-B188-7D8A22DAEED4}']
Public procedure OnRegisterCustomSchemes(const registrar: TCefSchemeRegistrarRef);

Provides an opportunity to register custom schemes. Do not keep a reference to the |registrar| object. This function is called on the main thread for each process and the registered schemes should be the same across all processes.

Public procedure GetResourceBundleHandler(var aHandler : ICefResourceBundleHandler);

Return the handler for resource bundle events. If no handler is returned resources will be loaded from pack files. This function is called by the browser and render processes on multiple threads.

Public procedure GetBrowserProcessHandler(var aHandler : ICefBrowserProcessHandler);

Return the handler for functionality specific to the browser process. This function is called on multiple threads in the browser process.

Public procedure GetRenderProcessHandler(var aHandler : ICefRenderProcessHandler);

Return the handler for functionality specific to the render process. This function is called on the render process main thread.

Public procedure RemoveReferences;

Custom procedure to clear all references.


cef4delphi: uCEFInterfaces: Interface ICefCompletionCallback

Interface ICefCompletionCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefCompletionCallback = interface(ICefBaseRefCounted)

Description

Generic callback interface used for asynchronous completion.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_callback_capi.h">CEF source file: /include/capi/cef_callback_capi.h (cef_completion_callback_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefCompletionCallback

Overview

Methods

Public procedure OnComplete;

Description

Methods

Public procedure OnComplete;

Method that will be called once the task is complete.

Attributes
GUID['{A8ECCFBB-FEE0-446F-AB32-AD69A7478D57}']


cef4delphi: uCEFInterfaces: Interface ICefSetCookieCallback

Interface ICefSetCookieCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefSetCookieCallback = interface(ICefBaseRefCounted)

Description

Interface to implement to be notified of asynchronous completion via ICefCookieManager.SetCookie.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_cookie_capi.h">CEF source file: /include/capi/cef_cookie_capi.h (cef_set_cookie_callback_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefSetCookieCallback

Overview

Methods

Public procedure OnComplete(success: Boolean);

Description

Methods

Public procedure OnComplete(success: Boolean);

Method that will be called upon completion. |success| will be true (1) if the cookie was set successfully.

Attributes
GUID['{16E14B6F-CB0A-4F9D-A008-239E0BC7B892}']


cef4delphi: uCEFInterfaces: Interface ICefDeleteCookiesCallback

Interface ICefDeleteCookiesCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefDeleteCookiesCallback = interface(ICefBaseRefCounted)

Description

Interface to implement to be notified of asynchronous completion via ICefCookieManager.DeleteCookies.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_cookie_capi.h">CEF source file: /include/capi/cef_cookie_capi.h (cef_delete_cookies_callback_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefDeleteCookiesCallback

Overview

Methods

Public procedure OnComplete(numDeleted: Integer);

Description

Methods

Public procedure OnComplete(numDeleted: Integer);

Method that will be called upon completion. |num_deleted| will be the number of cookies that were deleted.

Attributes
GUID['{758B79A1-B9E8-4F0D-94A0-DCE5AFADE33D}']


cef4delphi: uCEFInterfaces: Interface ICefCookieManager

Interface ICefCookieManager

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefCookieManager = interface(ICefBaseRefCounted)

Description

Interface used for managing cookies. The functions of this interface may be called on any thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_cookie_capi.h">CEF source file: /include/capi/cef_cookie_capi.h (cef_cookie_manager_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefCookieManager

Overview

Methods

Public | function VisitAllCookies(const visitor: ICefCookieVisitor): Boolean;
Public | function VisitAllCookiesProc(const visitor: TCefCookieVisitorProc): Boolean;
Public | function VisitUrlCookies(const url: ustring; includeHttpOnly: Boolean; const visitor: ICefCookieVisitor): Boolean;
Public | function VisitUrlCookiesProc(const url: ustring; includeHttpOnly: Boolean; const visitor: TCefCookieVisitorProc): Boolean;
Public | function SetCookie(const url, name, value, domain, path: ustring; secure, httponly, hasExpires: Boolean; const creation, lastAccess, expires: TDateTime; same_site : TCefCookieSameSite; priority : TCefCookiePriority; const callback: ICefSetCookieCallback): Boolean;
Public | function SetCookieProc(const url: ustring; const name, value, domain, path: ustring; secure, httponly, hasExpires: Boolean; const creation, lastAccess, expires: TDateTime; same_site : TCefCookieSameSite; priority : TCefCookiePriority; const callback: TCefSetCookieCallbackProc): Boolean;
Public | function DeleteCookies(const url, cookieName: ustring; const callback: ICefDeleteCookiesCallback): Boolean;
Public | function DeleteCookiesProc(const url, cookieName: ustring; const callback: TCefDeleteCookiesCallbackProc): Boolean;
Public | function FlushStore(const callback: ICefCompletionCallback): Boolean;
Public | function FlushStoreProc(const proc: TCefCompletionCallbackProc): Boolean;

Description

Methods

Public function VisitAllCookies(const visitor: ICefCookieVisitor): Boolean;

Visit all cookies on the UI thread. The returned cookies are ordered by longest path, then by earliest creation date. Returns false (0) if cookies cannot be accessed.

Attributes
GUID['{CC1749E6-9AD3-4283-8430-AF6CBF3E8785}']
Public function VisitAllCookiesProc(const visitor: TCefCookieVisitorProc): Boolean;

This item has no description.

Public function VisitUrlCookies(const url: ustring; includeHttpOnly: Boolean; const visitor: ICefCookieVisitor): Boolean;

Visit a subset of cookies on the UI thread. The results are filtered by the given url scheme, host, domain and path. If |includeHttpOnly| is true (1) HTTP-only cookies will also be included in the results. The returned cookies are ordered by longest path, then by earliest creation date. Returns false (0) if cookies cannot be accessed.

Public function VisitUrlCookiesProc(const url: ustring; includeHttpOnly: Boolean; const visitor: TCefCookieVisitorProc): Boolean;

This item has no description.

Public function SetCookie(const url, name, value, domain, path: ustring; secure, httponly, hasExpires: Boolean; const creation, lastAccess, expires: TDateTime; same_site : TCefCookieSameSite; priority : TCefCookiePriority; const callback: ICefSetCookieCallback): Boolean;

Sets a cookie given a valid URL and explicit user-provided cookie attributes. This function expects each attribute to be well-formed. It will check for disallowed characters (e.g. the ';' character is disallowed within the cookie value attribute) and fail without setting the cookie if such characters are found. If |callback| is non-NULL it will be executed asnychronously on the UI thread after the cookie has been set. Returns false (0) if an invalid URL is specified or if cookies cannot be accessed.

Public function SetCookieProc(const url: ustring; const name, value, domain, path: ustring; secure, httponly, hasExpires: Boolean; const creation, lastAccess, expires: TDateTime; same_site : TCefCookieSameSite; priority : TCefCookiePriority; const callback: TCefSetCookieCallbackProc): Boolean;

This item has no description.

Public function DeleteCookies(const url, cookieName: ustring; const callback: ICefDeleteCookiesCallback): Boolean;

Delete all cookies that match the specified parameters. If both |url| and |cookie_name| values are specified all host and domain cookies matching both will be deleted. If only |url| is specified all host cookies (but not domain cookies) irrespective of path will be deleted. If |url| is NULL all cookies for all hosts and domains will be deleted. If |callback| is non- NULL it will be executed asnychronously on the UI thread after the cookies have been deleted. Returns false (0) if a non-NULL invalid URL is specified or if cookies cannot be accessed. Cookies can alternately be deleted using the Visit*Cookies() functions.

Public function DeleteCookiesProc(const url, cookieName: ustring; const callback: TCefDeleteCookiesCallbackProc): Boolean;

This item has no description.

Public function FlushStore(const callback: ICefCompletionCallback): Boolean;

Flush the backing store (if any) to disk. If |callback| is non-NULL it will be executed asnychronously on the UI thread after the flush is complete. Returns false (0) if cookies cannot be accessed.

Public function FlushStoreProc(const proc: TCefCompletionCallbackProc): Boolean;

This item has no description.


cef4delphi: uCEFInterfaces: Interface ICefCallback

Interface ICefCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefCallback = interface(ICefBaseRefCounted)

Description

Generic callback interface used for asynchronous continuation.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_callback_capi.h">CEF source file: /include/capi/cef_callback_capi.h (cef_callback_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefCallback

Overview

Methods

Public | procedure Cont;
Public | procedure Cancel;

Description

Methods

Public procedure Cont;

Continue processing.

Attributes
GUID['{1B8C449F-E2D6-4B78-9BBA-6F47E8BCDF37}']
Public procedure Cancel;

Cancel processing.


cef4delphi: uCEFInterfaces: Interface ICefResourceSkipCallback

Interface ICefResourceSkipCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefResourceSkipCallback = interface(ICefBaseRefCounted)

Description

Callback for asynchronous continuation of ICefResourceHandler.skip.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_resource_handler_capi.h">CEF source file: /include/capi/cef_resource_handler_capi.h (cef_resource_skip_callback_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefResourceSkipCallback

Overview

Methods

Public procedure Cont(bytes_skipped: int64);

Description

Methods

Public procedure Cont(bytes_skipped: int64);

Callback for asynchronous continuation of skip(). If |bytes_skipped| > 0 then either skip() will be called again until the requested number of bytes have been skipped or the request will proceed. If |bytes_skipped| <= 0 the request will fail with ERR_REQUEST_RANGE_NOT_SATISFIABLE.

Attributes
GUID['{5ADDE93E-5858-41FD-81E8-ED8BF710D92A}']


cef4delphi: uCEFInterfaces: Interface ICefResourceReadCallback

Interface ICefResourceReadCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefResourceReadCallback = interface(ICefBaseRefCounted)

Description

Callback for asynchronous continuation of ICefResourceHandler.read.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_resource_handler_capi.h">CEF source file: /include/capi/cef_resource_handler_capi.h (cef_resource_read_callback_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefResourceReadCallback

Overview

Methods

Public procedure Cont(bytes_read: int64);

Description

Methods

Public procedure Cont(bytes_read: int64);

Callback for asynchronous continuation of read(). If |bytes_read| == 0 the response will be considered complete. If |bytes_read| > 0 then read() will be called again until the request is complete (based on either the result or the expected content length). If |bytes_read| < 0 then the request will fail and the |bytes_read| value will be treated as the error code.

Attributes
GUID['{7669335F-7A4B-4657-86CA-C02B12369602}']


cef4delphi: uCEFInterfaces: Interface ICefResourceHandler

Interface ICefResourceHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefResourceHandler = interface(ICefBaseRefCounted)

Description

Interface used to implement a custom request handler interface. The functions of this interface will be called on the IO thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_resource_handler_capi.h">CEF source file: /include/capi/cef_resource_handler_capi.h (cef_resource_handler_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefResourceHandler

Overview

Methods

Public | function open(const request: ICefRequest; var handle_request: boolean; const callback: ICefCallback): boolean;
Public | function ProcessRequest(const request: ICefRequest; const callback: ICefCallback): boolean;
Public | procedure GetResponseHeaders(const response: ICefResponse; out responseLength: Int64; out redirectUrl: ustring);
Public | function skip(bytes_to_skip: int64; var bytes_skipped: Int64; const callback: ICefResourceSkipCallback): boolean;
Public | function read(const data_out: Pointer; bytes_to_read: Integer; var bytes_read: Integer; const callback: ICefResourceReadCallback): boolean;
Public | function ReadResponse(const dataOut: Pointer; bytesToRead: Integer; var bytesRead: Integer; const callback: ICefCallback): boolean;
Public | procedure Cancel;

Description

Methods

Public function open(const request: ICefRequest; var handle_request: boolean; const callback: ICefCallback): boolean;

Open the response stream. To handle the request immediately set |handle_request| to true (1) and return true (1). To decide at a later time set |handle_request| to false (0), return true (1), and execute |callback| to continue or cancel the request. To cancel the request immediately set |handle_request| to true (1) and return false (0). This function will be called in sequence but not from a dedicated thread. For backwards compatibility set |handle_request| to false (0) and return false (0) and the ProcessRequest function will be called.

Attributes
GUID['{BD3EA208-AAAD-488C-BFF2-76993022F2B5}']
Public function ProcessRequest(const request: ICefRequest; const callback: ICefCallback): boolean;

Begin processing the request. To handle the request return true (1) and call ICefCallback.cont() once the response header information is available (ICefCallback.cont() can also be called from inside this function if header information is available immediately). To cancel the request return false (0).

WARNING: This function is deprecated. Use Open instead.

Public procedure GetResponseHeaders(const response: ICefResponse; out responseLength: Int64; out redirectUrl: ustring);

Retrieve response header information. If the response length is not known set |response_length| to -1 and read_response() will be called until it returns false (0). If the response length is known set |response_length| to a positive value and read_response() will be called until it returns false (0) or the specified number of bytes have been read. Use the |response| object to set the mime type, http status code and other optional header values. To redirect the request to a new URL set |redirectUrl| to the new URL. |redirectUrl| can be either a relative or fully qualified URL. It is also possible to set |response| to a redirect http status code and pass the new URL via a Location header. Likewise with |redirectUrl| it is valid to set a relative or fully qualified URL as the Location header value. If an error occured while setting up the request you can call set_error() on |response| to indicate the error condition.

Public function skip(bytes_to_skip: int64; var bytes_skipped: Int64; const callback: ICefResourceSkipCallback): boolean;

Skip response data when requested by a Range header. Skip over and discard |bytes_to_skip| bytes of response data. If data is available immediately set |bytes_skipped| to the number of bytes skipped and return true (1). To read the data at a later time set |bytes_skipped| to 0, return true (1) and execute |callback| when the data is available. To indicate failure set |bytes_skipped| to < 0 (e.g. -2 for ERR_FAILED) and return false (0). This function will be called in sequence but not from a dedicated thread.

Public function read(const data_out: Pointer; bytes_to_read: Integer; var bytes_read: Integer; const callback: ICefResourceReadCallback): boolean;

Read response data. If data is available immediately copy up to |bytes_to_read| bytes into |data_out|, set |bytes_read| to the number of bytes copied, and return true (1). To read the data at a later time keep a pointer to |data_out|, set |bytes_read| to 0, return true (1) and execute |callback| when the data is available (|data_out| will remain valid until the callback is executed). To indicate response completion set |bytes_read| to 0 and return false (0). To indicate failure set |bytes_read| to < 0 (e.g. -2 for ERR_FAILED) and return false (0). This function will be called in sequence but not from a dedicated thread. For backwards compatibility set |bytes_read| to -1 and return false (0) and the ReadResponse function will be called.

Public function ReadResponse(const dataOut: Pointer; bytesToRead: Integer; var bytesRead: Integer; const callback: ICefCallback): boolean;

Read response data. If data is available immediately copy up to |bytes_to_read| bytes into |data_out|, set |bytes_read| to the number of bytes copied, and return true (1). To read the data at a later time set |bytes_read| to 0, return true (1) and call ICefCallback.cont() when the data is available. To indicate response completion return false (0).

WARNING: This function is deprecated. Use Skip and Read instead.

Public procedure Cancel;

Request processing has been canceled.


cef4delphi: uCEFInterfaces: Interface ICefSchemeHandlerFactory

Interface ICefSchemeHandlerFactory

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefSchemeHandlerFactory = interface(ICefBaseRefCounted)

Description

Interface that creates ICefResourceHandler instances for handling scheme requests. The functions of this interface will always be called on the IO thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_scheme_capi.h">CEF source file: /include/capi/cef_scheme_capi.h (cef_scheme_handler_factory_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefSchemeHandlerFactory

Overview

Methods

Public function New(const browser: ICefBrowser; const frame: ICefFrame; const schemeName: ustring; const request: ICefRequest): ICefResourceHandler;

Description

Methods

Public function New(const browser: ICefBrowser; const frame: ICefFrame; const schemeName: ustring; const request: ICefRequest): ICefResourceHandler;

Return a new resource handler instance to handle the request or an NULL reference to allow default handling of the request. |browser| and |frame| will be the browser window and frame respectively that originated the request or NULL if the request did not originate from a browser window (for example, if the request came from ICefUrlRequest). The |request| object passed to this function cannot be modified.

Attributes
GUID['{4D9B7960-B73B-4EBD-9ABE-6C1C43C245EB}']


cef4delphi: uCEFInterfaces: Interface ICefAuthCallback

Interface ICefAuthCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefAuthCallback = interface(ICefBaseRefCounted)

Description

Callback interface used for asynchronous continuation of authentication requests.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_auth_callback_capi.h">CEF source file: /include/capi/cef_auth_callback_capi.h (cef_auth_callback_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefAuthCallback

Overview

Methods

Public | procedure Cont(const username, password: ustring);
Public | procedure Cancel;

Description

Methods

Public procedure Cont(const username, password: ustring);

Continue the authentication request.

Attributes
GUID['{500C2023-BF4D-4FF7-9C04-165E5C389131}']
Public procedure Cancel;

Cancel the authentication request.


cef4delphi: uCEFInterfaces: Interface ICefJsDialogCallback

Interface ICefJsDialogCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefJsDialogCallback = interface(ICefBaseRefCounted)

Description

Callback interface used for asynchronous continuation of JavaScript dialog requests.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_jsdialog_handler_capi.h">CEF source file: /include/capi/cef_jsdialog_handler_capi.h (cef_jsdialog_callback_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefJsDialogCallback

Overview

Methods

Public procedure Cont(success: Boolean; const userInput: ustring);

Description

Methods

Public procedure Cont(success: Boolean; const userInput: ustring);

Continue the JS dialog request. Set |success| to true (1) if the OK button was pressed. The |user_input| value should be specified for prompt dialogs.

Attributes
GUID['{187B2156-9947-4108-87AB-32E559E1B026}']


cef4delphi: uCEFInterfaces: Interface ICefContextMenuParams

Interface ICefContextMenuParams

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefContextMenuParams = interface(ICefBaseRefCounted)

Description

Provides information about the context menu state. The functions of this interface can only be accessed on browser process the UI thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_context_menu_handler_capi.h">CEF source file: /include/capi/cef_context_menu_handler_capi.h (cef_context_menu_params_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefContextMenuParams

Overview

Methods

Public | function GetXCoord: Integer;
Public | function GetYCoord: Integer;
Public | function GetTypeFlags: TCefContextMenuTypeFlags;
Public | function GetLinkUrl: ustring;
Public | function GetUnfilteredLinkUrl: ustring;
Public | function GetSourceUrl: ustring;
Public | function HasImageContents: Boolean;
Public | function GetTitleText: ustring;
Public | function GetPageUrl: ustring;
Public | function GetFrameUrl: ustring;
Public | function GetFrameCharset: ustring;
Public | function GetMediaType: TCefContextMenuMediaType;
Public | function GetMediaStateFlags: TCefContextMenuMediaStateFlags;
Public | function GetSelectionText: ustring;
Public | function GetMisspelledWord: ustring;
Public | function GetDictionarySuggestions(const suggestions: TStringList): Boolean;
Public | function IsEditable: Boolean;
Public | function IsSpellCheckEnabled: Boolean;
Public | function GetEditStateFlags: TCefContextMenuEditStateFlags;
Public | function IsCustomMenu: Boolean;

Properties

Public | property XCoord : Integer read GetXCoord;
Public | property YCoord : Integer read GetYCoord;
Public | property TypeFlags : TCefContextMenuTypeFlags read GetTypeFlags;
Public | property LinkUrl : ustring read GetLinkUrl;
Public | property UnfilteredLinkUrl : ustring read GetUnfilteredLinkUrl;
Public | property SourceUrl : ustring read GetSourceUrl;
Public | property TitleText : ustring read GetTitleText;
Public | property PageUrl : ustring read GetPageUrl;
Public | property FrameUrl : ustring read GetFrameUrl;
Public | property FrameCharset : ustring read GetFrameCharset;
Public | property MediaType : TCefContextMenuMediaType read GetMediaType;
Public | property MediaStateFlags : TCefContextMenuMediaStateFlags read GetMediaStateFlags;
Public | property SelectionText : ustring read GetSelectionText;
Public | property MisspelledWord : ustring read GetMisspelledWord;
Public | property EditStateFlags : TCefContextMenuEditStateFlags read GetEditStateFlags;

Description

Methods

Public function GetXCoord: Integer;

Returns the X coordinate of the mouse where the context menu was invoked. Coords are relative to the associated RenderView's origin.

Attributes
GUID['{E31BFA9E-D4E2-49B7-A05D-20018C8794EB}']
Public function GetYCoord: Integer;

Returns the Y coordinate of the mouse where the context menu was invoked. Coords are relative to the associated RenderView's origin.

Public function GetTypeFlags: TCefContextMenuTypeFlags;

Returns flags representing the type of node that the context menu was invoked on.

Public function GetLinkUrl: ustring;

Returns the URL of the link, if any, that encloses the node that the context menu was invoked on.

Public function GetUnfilteredLinkUrl: ustring;

Returns the link URL, if any, to be used ONLY for "copy link address". We don't validate this field in the frontend process.

Public function GetSourceUrl: ustring;

Returns the source URL, if any, for the element that the context menu was invoked on. Example of elements with source URLs are img, audio, and video.

Public function HasImageContents: Boolean;

Returns true (1) if the context menu was invoked on an image which has non-NULL contents.

Public function GetTitleText: ustring;

Returns the title text or the alt text if the context menu was invoked on an image.

Public function GetPageUrl: ustring;

Returns the URL of the top level page that the context menu was invoked on.

Public function GetFrameUrl: ustring;

Returns the URL of the subframe that the context menu was invoked on.

Public function GetFrameCharset: ustring;

Returns the character encoding of the subframe that the context menu was invoked on.

Public function GetMediaType: TCefContextMenuMediaType;

Returns the type of context node that the context menu was invoked on.

Public function GetMediaStateFlags: TCefContextMenuMediaStateFlags;

Returns flags representing the actions supported by the media element, if any, that the context menu was invoked on.

Public function GetSelectionText: ustring;

Returns the text of the selection, if any, that the context menu was invoked on.

Public function GetMisspelledWord: ustring;

Returns the text of the misspelled word, if any, that the context menu was invoked on.

Public function GetDictionarySuggestions(const suggestions: TStringList): Boolean;

Returns true (1) if suggestions exist, false (0) otherwise. Fills in |suggestions| from the spell check service for the misspelled word if there is one.

Public function IsEditable: Boolean;

Returns true (1) if the context menu was invoked on an editable node.

Public function IsSpellCheckEnabled: Boolean;

Returns true (1) if the context menu was invoked on an editable node where spell-check is enabled.

Public function GetEditStateFlags: TCefContextMenuEditStateFlags;

Returns flags representing the actions supported by the editable node, if any, that the context menu was invoked on.

Public function IsCustomMenu: Boolean;

Returns true (1) if the context menu contains items specified by the renderer process.

Properties

Public property XCoord : Integer read GetXCoord;

Returns the X coordinate of the mouse where the context menu was invoked. Coords are relative to the associated RenderView's origin.

Public property YCoord : Integer read GetYCoord;

Returns the Y coordinate of the mouse where the context menu was invoked. Coords are relative to the associated RenderView's origin.

Public property TypeFlags : TCefContextMenuTypeFlags read GetTypeFlags;

Returns flags representing the type of node that the context menu was invoked on.

Public property LinkUrl : ustring read GetLinkUrl;

Returns the URL of the link, if any, that encloses the node that the context menu was invoked on.

Public property UnfilteredLinkUrl : ustring read GetUnfilteredLinkUrl;

Returns the link URL, if any, to be used ONLY for "copy link address". We don't validate this field in the frontend process.

Public property SourceUrl : ustring read GetSourceUrl;

Returns the source URL, if any, for the element that the context menu was invoked on. Example of elements with source URLs are img, audio, and video.

Public property TitleText : ustring read GetTitleText;

Returns the title text or the alt text if the context menu was invoked on an image.

Public property PageUrl : ustring read GetPageUrl;

Returns the URL of the top level page that the context menu was invoked on.

Public property FrameUrl : ustring read GetFrameUrl;

Returns the URL of the subframe that the context menu was invoked on.

Public property FrameCharset : ustring read GetFrameCharset;

Returns the character encoding of the subframe that the context menu was invoked on.

Public property MediaType : TCefContextMenuMediaType read GetMediaType;

Returns the type of context node that the context menu was invoked on.

Public property MediaStateFlags : TCefContextMenuMediaStateFlags read GetMediaStateFlags;

Returns flags representing the actions supported by the media element, if any, that the context menu was invoked on.

Public property SelectionText : ustring read GetSelectionText;

Returns the text of the selection, if any, that the context menu was invoked on.

Public property MisspelledWord : ustring read GetMisspelledWord;

Returns the text of the misspelled word, if any, that the context menu was invoked on.

Public property EditStateFlags : TCefContextMenuEditStateFlags read GetEditStateFlags;

Returns flags representing the actions supported by the editable node, if any, that the context menu was invoked on.


cef4delphi: uCEFInterfaces: Interface ICefMenuModel

Interface ICefMenuModel

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefMenuModel = interface(ICefBaseRefCounted)

Description

Supports creation and modification of menus. See TCefMenuId for the command ids that have default implementations. All user-defined command ids should be between MENU_ID_USER_FIRST and MENU_ID_USER_LAST. The functions of this interface can only be accessed on the browser process the UI thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_menu_model_capi.h">CEF source file: /include/capi/cef_menu_model_capi.h (cef_menu_model_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefMenuModel

Overview

Methods

Public | function IsSubMenu: Boolean;
Public | function Clear: Boolean;
Public | function GetCount: NativeUInt;
Public | function AddSeparator: Boolean;
Public | function AddItem(commandId: Integer; const text: ustring): Boolean;
Public | function AddCheckItem(commandId: Integer; const text: ustring): Boolean;
Public | function AddRadioItem(commandId: Integer; const text: ustring; groupId: Integer): Boolean;
Public | function AddSubMenu(commandId: Integer; const text: ustring): ICefMenuModel;
Public | function InsertSeparatorAt(index: NativeUInt): Boolean;
Public | function InsertItemAt(index: NativeUInt; commandId: Integer; const text: ustring): Boolean;
Public | function InsertCheckItemAt(index: NativeUInt; commandId: Integer; const text: ustring): Boolean;
Public | function InsertRadioItemAt(index: NativeUInt; commandId: Integer; const text: ustring; groupId: Integer): Boolean;
Public | function InsertSubMenuAt(index: NativeUInt; commandId: Integer; const text: ustring): ICefMenuModel;
Public | function Remove(commandId: Integer): Boolean;
Public | function RemoveAt(index: NativeUInt): Boolean;
Public | function GetIndexOf(commandId: Integer): Integer;
Public | function GetCommandIdAt(index: NativeUInt): Integer;
Public | function SetCommandIdAt(index: NativeUInt; commandId: Integer): Boolean;
Public | function GetLabel(commandId: Integer): ustring;
Public | function GetLabelAt(index: NativeUInt): ustring;
Public | function SetLabel(commandId: Integer; const text: ustring): Boolean;
Public | function SetLabelAt(index: NativeUInt; const text: ustring): Boolean;
Public | function GetType(commandId: Integer): TCefMenuItemType;
Public | function GetTypeAt(index: NativeUInt): TCefMenuItemType;
Public | function GetGroupId(commandId: Integer): Integer;
Public | function GetGroupIdAt(index: NativeUInt): Integer;
Public | function SetGroupId(commandId, groupId: Integer): Boolean;
Public | function SetGroupIdAt(index: NativeUInt; groupId: Integer): Boolean;
Public | function GetSubMenu(commandId: Integer): ICefMenuModel;
Public | function GetSubMenuAt(index: NativeUInt): ICefMenuModel;
Public | function IsVisible(commandId: Integer): Boolean;
Public | function isVisibleAt(index: NativeUInt): Boolean;
Public | function SetVisible(commandId: Integer; visible: Boolean): Boolean;
Public | function SetVisibleAt(index: NativeUInt; visible: Boolean): Boolean;
Public | function IsEnabled(commandId: Integer): Boolean;
Public | function IsEnabledAt(index: NativeUInt): Boolean;
Public | function SetEnabled(commandId: Integer; enabled: Boolean): Boolean;
Public | function SetEnabledAt(index: NativeUInt; enabled: Boolean): Boolean;
Public | function IsChecked(commandId: Integer): Boolean;
Public | function IsCheckedAt(index: NativeUInt): Boolean;
Public | function setChecked(commandId: Integer; checked: Boolean): Boolean;
Public | function setCheckedAt(index: NativeUInt; checked: Boolean): Boolean;
Public | function HasAccelerator(commandId: Integer): Boolean;
Public | function HasAcceleratorAt(index: NativeUInt): Boolean;
Public | function SetAccelerator(commandId, keyCode: Integer; shiftPressed, ctrlPressed, altPressed: Boolean): Boolean;
Public | function SetAcceleratorAt(index: NativeUInt; keyCode: Integer; shiftPressed, ctrlPressed, altPressed: Boolean): Boolean;
Public | function RemoveAccelerator(commandId: Integer): Boolean;
Public | function RemoveAcceleratorAt(index: NativeUInt): Boolean;
Public | function GetAccelerator(commandId: Integer; out keyCode: Integer; out shiftPressed, ctrlPressed, altPressed: Boolean): Boolean;
Public | function GetAcceleratorAt(index: NativeUInt; out keyCode: Integer; out shiftPressed, ctrlPressed, altPressed: Boolean): Boolean;
Public | function SetColor(commandId: Integer; colorType: TCefMenuColorType; color: TCefColor): Boolean;
Public | function SetColorAt(index: Integer; colorType: TCefMenuColorType; color: TCefColor): Boolean;
Public | function GetColor(commandId: Integer; colorType: TCefMenuColorType; out color: TCefColor): Boolean;
Public | function GetColorAt(index: Integer; colorType: TCefMenuColorType; out color: TCefColor): Boolean;
Public | function SetFontList(commandId: Integer; const fontList: ustring): Boolean;
Public | function SetFontListAt(index: Integer; const fontList: ustring): Boolean;

Description

Methods

Public function IsSubMenu: Boolean;

Returns true (1) if this menu is a submenu.

Attributes
GUID['{40AF19D3-8B4E-44B8-8F89-DEB5907FC495}']
Public function Clear: Boolean;

Clears the menu. Returns true (1) on success.

Public function GetCount: NativeUInt;

Returns the number of items in this menu.

Public function AddSeparator: Boolean;

Add a separator to the menu. Returns true (1) on success.

Public function AddItem(commandId: Integer; const text: ustring): Boolean;

Add an item to the menu. Returns true (1) on success.

Public function AddCheckItem(commandId: Integer; const text: ustring): Boolean;

Add a check item to the menu. Returns true (1) on success.

Public function AddRadioItem(commandId: Integer; const text: ustring; groupId: Integer): Boolean;

Add a radio item to the menu. Only a single item with the specified |group_id| can be checked at a time. Returns true (1) on success.

Public function AddSubMenu(commandId: Integer; const text: ustring): ICefMenuModel;

Add a sub-menu to the menu. The new sub-menu is returned.

Public function InsertSeparatorAt(index: NativeUInt): Boolean;

Insert a separator in the menu at the specified |index|. Returns true (1) on success.

Public function InsertItemAt(index: NativeUInt; commandId: Integer; const text: ustring): Boolean;

Insert an item in the menu at the specified |index|. Returns true (1) on success.

Public function InsertCheckItemAt(index: NativeUInt; commandId: Integer; const text: ustring): Boolean;

Insert a check item in the menu at the specified |index|. Returns true (1) on success.

Public function InsertRadioItemAt(index: NativeUInt; commandId: Integer; const text: ustring; groupId: Integer): Boolean;

Insert a radio item in the menu at the specified |index|. Only a single item with the specified |group_id| can be checked at a time. Returns true (1) on success.

Public function InsertSubMenuAt(index: NativeUInt; commandId: Integer; const text: ustring): ICefMenuModel;

Insert a sub-menu in the menu at the specified |index|. The new sub-menu is returned.

Public function Remove(commandId: Integer): Boolean;

Removes the item with the specified |command_id|. Returns true (1) on success.

Public function RemoveAt(index: NativeUInt): Boolean;

Removes the item at the specified |index|. Returns true (1) on success.

Public function GetIndexOf(commandId: Integer): Integer;

Returns the index associated with the specified |command_id| or -1 if not found due to the command id not existing in the menu.

Public function GetCommandIdAt(index: NativeUInt): Integer;

Returns the command id at the specified |index| or -1 if not found due to invalid range or the index being a separator.

Public function SetCommandIdAt(index: NativeUInt; commandId: Integer): Boolean;

Sets the command id at the specified |index|. Returns true (1) on success.

Public function GetLabel(commandId: Integer): ustring;

Returns the label for the specified |command_id| or NULL if not found.

Public function GetLabelAt(index: NativeUInt): ustring;

Returns the label at the specified |index| or NULL if not found due to invalid range or the index being a separator.

Public function SetLabel(commandId: Integer; const text: ustring): Boolean;

Sets the label for the specified |command_id|. Returns true (1) on success.

Public function SetLabelAt(index: NativeUInt; const text: ustring): Boolean;

Set the label at the specified |index|. Returns true (1) on success.

Public function GetType(commandId: Integer): TCefMenuItemType;

Returns the item type for the specified |command_id|.

Public function GetTypeAt(index: NativeUInt): TCefMenuItemType;

Returns the item type at the specified |index|.

Public function GetGroupId(commandId: Integer): Integer;

Returns the group id for the specified |command_id| or -1 if invalid.

Public function GetGroupIdAt(index: NativeUInt): Integer;

Returns the group id at the specified |index| or -1 if invalid.

Public function SetGroupId(commandId, groupId: Integer): Boolean;

Sets the group id for the specified |command_id|. Returns true (1) on success.

Public function SetGroupIdAt(index: NativeUInt; groupId: Integer): Boolean;

Sets the group id at the specified |index|. Returns true (1) on success.

Public function GetSubMenu(commandId: Integer): ICefMenuModel;

Returns the submenu for the specified |command_id| or NULL if invalid.

Public function GetSubMenuAt(index: NativeUInt): ICefMenuModel;

Returns the submenu at the specified |index| or NULL if invalid.

Public function IsVisible(commandId: Integer): Boolean;

Returns true (1) if the specified |command_id| is visible.

Public function isVisibleAt(index: NativeUInt): Boolean;

Returns true (1) if the specified |index| is visible.

Public function SetVisible(commandId: Integer; visible: Boolean): Boolean;

Change the visibility of the specified |command_id|. Returns true (1) on success.

Public function SetVisibleAt(index: NativeUInt; visible: Boolean): Boolean;

Change the visibility at the specified |index|. Returns true (1) on success.

Public function IsEnabled(commandId: Integer): Boolean;

Returns true (1) if the specified |command_id| is enabled.

Public function IsEnabledAt(index: NativeUInt): Boolean;

Returns true (1) if the specified |index| is enabled.

Public function SetEnabled(commandId: Integer; enabled: Boolean): Boolean;

Change the enabled status of the specified |command_id|. Returns true (1) on success.

Public function SetEnabledAt(index: NativeUInt; enabled: Boolean): Boolean;

Change the enabled status at the specified |index|. Returns true (1) on success.

Public function IsChecked(commandId: Integer): Boolean;

Returns true (1) if the specified |command_id| is checked. Only applies to check and radio items.

Public function IsCheckedAt(index: NativeUInt): Boolean;

Returns true (1) if the specified |index| is checked. Only applies to check and radio items.

Public function setChecked(commandId: Integer; checked: Boolean): Boolean;

Check the specified |command_id|. Only applies to check and radio items. Returns true (1) on success.

Public function setCheckedAt(index: NativeUInt; checked: Boolean): Boolean;

Check the specified |index|. Only applies to check and radio items. Returns true (1) on success.

Public function HasAccelerator(commandId: Integer): Boolean;

Returns true (1) if the specified |command_id| has a keyboard accelerator assigned.

Public function HasAcceleratorAt(index: NativeUInt): Boolean;

Returns true (1) if the specified |index| has a keyboard accelerator assigned.

Public function SetAccelerator(commandId, keyCode: Integer; shiftPressed, ctrlPressed, altPressed: Boolean): Boolean;

Set the keyboard accelerator for the specified |command_id|. |key_code| can be any virtual key or character value. Returns true (1) on success.

Public function SetAcceleratorAt(index: NativeUInt; keyCode: Integer; shiftPressed, ctrlPressed, altPressed: Boolean): Boolean;

Set the keyboard accelerator at the specified |index|. |key_code| can be any virtual key or character value. Returns true (1) on success.

Public function RemoveAccelerator(commandId: Integer): Boolean;

Remove the keyboard accelerator for the specified |command_id|. Returns true (1) on success.

Public function RemoveAcceleratorAt(index: NativeUInt): Boolean;

Remove the keyboard accelerator at the specified |index|. Returns true (1) on success.

Public function GetAccelerator(commandId: Integer; out keyCode: Integer; out shiftPressed, ctrlPressed, altPressed: Boolean): Boolean;

Retrieves the keyboard accelerator for the specified |command_id|. Returns true (1) on success.

Public function GetAcceleratorAt(index: NativeUInt; out keyCode: Integer; out shiftPressed, ctrlPressed, altPressed: Boolean): Boolean;

Retrieves the keyboard accelerator for the specified |index|. Returns true (1) on success.

Public function SetColor(commandId: Integer; colorType: TCefMenuColorType; color: TCefColor): Boolean;

Set the explicit color for |command_id| and |color_type| to |color|. Specify a |color| value of 0 to remove the explicit color. If no explicit color or default color is set for |color_type| then the system color will be used. Returns true (1) on success.

Public function SetColorAt(index: Integer; colorType: TCefMenuColorType; color: TCefColor): Boolean;

Set the explicit color for |command_id| and |index| to |color|. Specify a |color| value of 0 to remove the explicit color. Specify an |index| value of -1 to set the default color for items that do not have an explicit color set. If no explicit color or default color is set for |color_type| then the system color will be used. Returns true (1) on success.

Public function GetColor(commandId: Integer; colorType: TCefMenuColorType; out color: TCefColor): Boolean;

Returns in |color| the color that was explicitly set for |command_id| and |color_type|. If a color was not set then 0 will be returned in |color|. Returns true (1) on success.

Public function GetColorAt(index: Integer; colorType: TCefMenuColorType; out color: TCefColor): Boolean;

Returns in |color| the color that was explicitly set for |command_id| and |color_type|. Specify an |index| value of -1 to return the default color in |color|. If a color was not set then 0 will be returned in |color|. Returns true (1) on success.

Public function SetFontList(commandId: Integer; const fontList: ustring): Boolean;

Sets the font list for the specified |command_id|. If |font_list| is NULL the system font will be used. Returns true (1) on success. The format is "<FONT_FAMILY_LIST>,[STYLES] <SIZE>", where: - FONT_FAMILY_LIST is a comma-separated list of font family names, - STYLES is an optional space-separated list of style names (case-sensitive "Bold" and "Italic" are supported), and - SIZE is an integer font size in pixels with the suffix "px".

Here are examples of valid font description strings: - "Arial, Helvetica, Bold Italic 14px" - "Arial, 14px"

Public function SetFontListAt(index: Integer; const fontList: ustring): Boolean;

Sets the font list for the specified |index|. Specify an |index| value of -1 to set the default font. If |font_list| is NULL the system font will be used. Returns true (1) on success. The format is "<FONT_FAMILY_LIST>,[STYLES] <SIZE>", where: - FONT_FAMILY_LIST is a comma-separated list of font family names, - STYLES is an optional space-separated list of style names (case-sensitive "Bold" and "Italic" are supported), and - SIZE is an integer font size in pixels with the suffix "px".

Here are examples of valid font description strings: - "Arial, Helvetica, Bold Italic 14px" - "Arial, 14px"


cef4delphi: uCEFInterfaces: Interface ICefValue

Interface ICefValue

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefValue = interface(ICefBaseRefCounted)

Description

Interface that wraps other data value types. Complex types (binary, dictionary and list) will be referenced but not owned by this object. Can be used on any process and thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_values_capi.h">CEF source file: /include/capi/cef_values_capi.h (cef_value_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefValue

Overview

Methods

Public | function IsValid: Boolean;
Public | function IsOwned: Boolean;
Public | function IsReadOnly: Boolean;
Public | function IsSame(const that: ICefValue): Boolean;
Public | function IsEqual(const that: ICefValue): Boolean;
Public | function Copy: ICefValue;
Public | function GetType: TCefValueType;
Public | function GetBool: Boolean;
Public | function GetInt: Integer;
Public | function GetDouble: Double;
Public | function GetString: ustring;
Public | function GetBinary: ICefBinaryValue;
Public | function GetDictionary: ICefDictionaryValue;
Public | function GetList: ICefListValue;
Public | function SetNull: Boolean;
Public | function SetBool(value: boolean): Boolean;
Public | function SetInt(value: Integer): Boolean;
Public | function SetDouble(value: Double): Boolean;
Public | function SetString(const value: ustring): Boolean;
Public | function SetBinary(const value: ICefBinaryValue): Boolean;
Public | function SetDictionary(const value: ICefDictionaryValue): Boolean;
Public | function SetList(const value: ICefListValue): Boolean;

Description

Methods

Public function IsValid: Boolean;

Returns true (1) if the underlying data is valid. This will always be true (1) for simple types. For complex types (binary, dictionary and list) the underlying data may become invalid if owned by another object (e.g. list or dictionary) and that other object is then modified or destroyed. This value object can be re-used by calling Set*() even if the underlying data is invalid.

Attributes
GUID['{66F9F439-B12B-4EC3-A945-91AE4EF4D4BA}']
Public function IsOwned: Boolean;

Returns true (1) if the underlying data is owned by another object.

Public function IsReadOnly: Boolean;

Returns true (1) if the underlying data is read-only. Some APIs may expose read-only objects.

Public function IsSame(const that: ICefValue): Boolean;

Returns true (1) if this object and |that| object have the same underlying data. If true (1) modifications to this object will also affect |that| object and vice-versa.

Public function IsEqual(const that: ICefValue): Boolean;

Returns true (1) if this object and |that| object have an equivalent underlying value but are not necessarily the same object.

Public function Copy: ICefValue;

Returns a copy of this object. The underlying data will also be copied.

Public function GetType: TCefValueType;

Returns the underlying value type.

Public function GetBool: Boolean;

Returns the underlying value as type bool.

Public function GetInt: Integer;

Returns the underlying value as type int.

Public function GetDouble: Double;

Returns the underlying value as type double.

Public function GetString: ustring;

Returns the underlying value as type string.

Public function GetBinary: ICefBinaryValue;

Returns the underlying value as type binary. The returned reference may become invalid if the value is owned by another object or if ownership is transferred to another object in the future. To maintain a reference to the value after assigning ownership to a dictionary or list pass this object to the set_value() function instead of passing the returned reference to set_binary().

Public function GetDictionary: ICefDictionaryValue;

Returns the underlying value as type dictionary. The returned reference may become invalid if the value is owned by another object or if ownership is transferred to another object in the future. To maintain a reference to the value after assigning ownership to a dictionary or list pass this object to the set_value() function instead of passing the returned reference to set_dictionary().

Public function GetList: ICefListValue;

Returns the underlying value as type list. The returned reference may become invalid if the value is owned by another object or if ownership is transferred to another object in the future. To maintain a reference to the value after assigning ownership to a dictionary or list pass this object to the set_value() function instead of passing the returned reference to set_list().

Public function SetNull: Boolean;

Sets the underlying value as type null. Returns true (1) if the value was set successfully.

Public function SetBool(value: boolean): Boolean;

Sets the underlying value as type bool. Returns true (1) if the value was set successfully.

Public function SetInt(value: Integer): Boolean;

Sets the underlying value as type int. Returns true (1) if the value was set successfully.

Public function SetDouble(value: Double): Boolean;

Sets the underlying value as type double. Returns true (1) if the value was set successfully.

Public function SetString(const value: ustring): Boolean;

Sets the underlying value as type string. Returns true (1) if the value was set successfully.

Public function SetBinary(const value: ICefBinaryValue): Boolean;

Sets the underlying value as type binary. Returns true (1) if the value was set successfully. This object keeps a reference to |value| and ownership of the underlying data remains unchanged.

Public function SetDictionary(const value: ICefDictionaryValue): Boolean;

Sets the underlying value as type dict. Returns true (1) if the value was set successfully. This object keeps a reference to |value| and ownership of the underlying data remains unchanged.

Public function SetList(const value: ICefListValue): Boolean;

Sets the underlying value as type list. Returns true (1) if the value was set successfully. This object keeps a reference to |value| and ownership of the underlying data remains unchanged.


cef4delphi: uCEFInterfaces: Interface ICefBinaryValue

Interface ICefBinaryValue

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefBinaryValue = interface(ICefBaseRefCounted)

Description

Interface representing a binary value. Can be used on any process and thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_values_capi.h">CEF source file: /include/capi/cef_values_capi.h (cef_binary_value_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefBinaryValue

Overview

Methods

Public | function IsValid: Boolean;
Public | function IsOwned: Boolean;
Public | function IsSame(const that: ICefBinaryValue): Boolean;
Public | function IsEqual(const that: ICefBinaryValue): Boolean;
Public | function Copy: ICefBinaryValue;
Public | function GetRawData: Pointer;
Public | function GetSize: NativeUInt;
Public | function GetData(buffer: Pointer; bufferSize, dataOffset: NativeUInt): NativeUInt;

Properties

Public property Size : NativeUInt read GetSize;

Description

Methods

Public function IsValid: Boolean;

Returns true (1) if this object is valid. This object may become invalid if the underlying data is owned by another object (e.g. list or dictionary) and that other object is then modified or destroyed. Do not call any other functions if this function returns false (0).

Attributes
GUID['{974AA40A-9C5C-4726-81F0-9F0D46D7C5B3}']
Public function IsOwned: Boolean;

Returns true (1) if this object is currently owned by another object.

Public function IsSame(const that: ICefBinaryValue): Boolean;

Returns true (1) if this object and |that| object have the same underlying data.

Public function IsEqual(const that: ICefBinaryValue): Boolean;

Returns true (1) if this object and |that| object have an equivalent underlying value but are not necessarily the same object.

Public function Copy: ICefBinaryValue;

Returns a copy of this object. The data in this object will also be copied.

Public function GetRawData: Pointer;

Returns a pointer to the beginning of the memory block. The returned pointer is valid as long as the ICefBinaryValue is alive.

Public function GetSize: NativeUInt;

Returns the data size.

Public function GetData(buffer: Pointer; bufferSize, dataOffset: NativeUInt): NativeUInt;

Read up to |buffer_size| number of bytes into |buffer|. Reading begins at the specified byte |data_offset|. Returns the number of bytes read.

Properties

Public property Size : NativeUInt read GetSize;

Returns the data size.


cef4delphi: uCEFInterfaces: Interface ICefDictionaryValue

Interface ICefDictionaryValue

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefDictionaryValue = interface(ICefBaseRefCounted)

Description

Interface representing a dictionary value. Can be used on any process and thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_values_capi.h">CEF source file: /include/capi/cef_values_capi.h (cef_dictionary_value_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefDictionaryValue

Overview

Methods

Public | function IsValid: Boolean;
Public | function isOwned: Boolean;
Public | function IsReadOnly: Boolean;
Public | function IsSame(const that: ICefDictionaryValue): Boolean;
Public | function IsEqual(const that: ICefDictionaryValue): Boolean;
Public | function Copy(excludeEmptyChildren: Boolean): ICefDictionaryValue;
Public | function GetSize: NativeUInt;
Public | function Clear: Boolean;
Public | function HasKey(const key: ustring): Boolean;
Public | function GetKeys(const keys: TStrings): Boolean;
Public | function Remove(const key: ustring): Boolean;
Public | function GetType(const key: ustring): TCefValueType;
Public | function GetValue(const key: ustring): ICefValue;
Public | function GetBool(const key: ustring): Boolean;
Public | function GetInt(const key: ustring): Integer;
Public | function GetDouble(const key: ustring): Double;
Public | function GetString(const key: ustring): ustring;
Public | function GetBinary(const key: ustring): ICefBinaryValue;
Public | function GetDictionary(const key: ustring): ICefDictionaryValue;
Public | function GetList(const key: ustring): ICefListValue;
Public | function SetValue(const key: ustring; const value: ICefValue): Boolean;
Public | function SetNull(const key: ustring): Boolean;
Public | function SetBool(const key: ustring; value: Boolean): Boolean;
Public | function SetInt(const key: ustring; value: Integer): Boolean;
Public | function SetDouble(const key: ustring; value: Double): Boolean;
Public | function SetString(const key, value: ustring): Boolean;
Public | function SetBinary(const key: ustring; const value: ICefBinaryValue): Boolean;
Public | function SetDictionary(const key: ustring; const value: ICefDictionaryValue): Boolean;
Public | function SetList(const key: ustring; const value: ICefListValue): Boolean;

Description

Methods

Public function IsValid: Boolean;

Returns true (1) if this object is valid. This object may become invalid if the underlying data is owned by another object (e.g. list or dictionary) and that other object is then modified or destroyed. Do not call any other functions if this function returns false (0).

Attributes
GUID['{B9638559-54DC-498C-8185-233EEF12BC69}']
Public function isOwned: Boolean;

Returns true (1) if this object is currently owned by another object.

Public function IsReadOnly: Boolean;

Returns true (1) if the values of this object are read-only. Some APIs may expose read-only objects.

Public function IsSame(const that: ICefDictionaryValue): Boolean;

Returns true (1) if this object and |that| object have the same underlying data. If true (1) modifications to this object will also affect |that| object and vice-versa.

Public function IsEqual(const that: ICefDictionaryValue): Boolean;

Returns true (1) if this object and |that| object have an equivalent underlying value but are not necessarily the same object.

Public function Copy(excludeEmptyChildren: Boolean): ICefDictionaryValue;

Returns a writable copy of this object. If |exclude_NULL_children| is true (1) any NULL dictionaries or lists will be excluded from the copy.

Public function GetSize: NativeUInt;

Returns the number of values.

Public function Clear: Boolean;

Removes all values. Returns true (1) on success.

Public function HasKey(const key: ustring): Boolean;

Returns true (1) if the current dictionary has a value for the given key.

Public function GetKeys(const keys: TStrings): Boolean;

Reads all keys for this dictionary into the specified vector.

Public function Remove(const key: ustring): Boolean;

Removes the value at the specified key. Returns true (1) is the value was removed successfully.

Public function GetType(const key: ustring): TCefValueType;

Returns the value type for the specified key.

Public function GetValue(const key: ustring): ICefValue;

Returns the value at the specified key. For simple types the returned value will copy existing data and modifications to the value will not modify this object. For complex types (binary, dictionary and list) the returned value will reference existing data and modifications to the value will modify this object.

Public function GetBool(const key: ustring): Boolean;

Returns the value at the specified key as type bool.

Public function GetInt(const key: ustring): Integer;

Returns the value at the specified key as type int.

Public function GetDouble(const key: ustring): Double;

Returns the value at the specified key as type double.

Public function GetString(const key: ustring): ustring;

Returns the value at the specified key as type string.

Public function GetBinary(const key: ustring): ICefBinaryValue;

Returns the value at the specified key as type binary. The returned value will reference existing data.

Public function GetDictionary(const key: ustring): ICefDictionaryValue;

Returns the value at the specified key as type dictionary. The returned value will reference existing data and modifications to the value will modify this object.

Public function GetList(const key: ustring): ICefListValue;

Returns the value at the specified key as type list. The returned value will reference existing data and modifications to the value will modify this object.

Public function SetValue(const key: ustring; const value: ICefValue): Boolean;

Sets the value at the specified key. Returns true (1) if the value was set successfully. If |value| represents simple data then the underlying data will be copied and modifications to |value| will not modify this object. If |value| represents complex data (binary, dictionary or list) then the underlying data will be referenced and modifications to |value| will modify this object.

Public function SetNull(const key: ustring): Boolean;

Sets the value at the specified key as type null. Returns true (1) if the value was set successfully.

Public function SetBool(const key: ustring; value: Boolean): Boolean;

Sets the value at the specified key as type bool. Returns true (1) if the value was set successfully.

Public function SetInt(const key: ustring; value: Integer): Boolean;

Sets the value at the specified key as type int. Returns true (1) if the value was set successfully.

Public function SetDouble(const key: ustring; value: Double): Boolean;

Sets the value at the specified key as type double. Returns true (1) if the value was set successfully.

Public function SetString(const key, value: ustring): Boolean;

Sets the value at the specified key as type string. Returns true (1) if the value was set successfully.

Public function SetBinary(const key: ustring; const value: ICefBinaryValue): Boolean;

Sets the value at the specified key as type binary. Returns true (1) if the value was set successfully. If |value| is currently owned by another object then the value will be copied and the |value| reference will not change. Otherwise, ownership will be transferred to this object and the |value| reference will be invalidated.

Public function SetDictionary(const key: ustring; const value: ICefDictionaryValue): Boolean;

Sets the value at the specified key as type dict. Returns true (1) if the value was set successfully. If |value| is currently owned by another object then the value will be copied and the |value| reference will not change. Otherwise, ownership will be transferred to this object and the |value| reference will be invalidated.

Public function SetList(const key: ustring; const value: ICefListValue): Boolean;

Sets the value at the specified key as type list. Returns true (1) if the value was set successfully. If |value| is currently owned by another object then the value will be copied and the |value| reference will not change. Otherwise, ownership will be transferred to this object and the |value| reference will be invalidated.


cef4delphi: uCEFInterfaces: Interface ICefListValue

Interface ICefListValue

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefListValue = interface(ICefBaseRefCounted)

Description

Interface representing a list value. Can be used on any process and thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_values_capi.h">CEF source file: /include/capi/cef_values_capi.h (cef_list_value_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefListValue

Overview

Methods

Public | function IsValid: Boolean;
Public | function IsOwned: Boolean;
Public | function IsReadOnly: Boolean;
Public | function IsSame(const that: ICefListValue): Boolean;
Public | function IsEqual(const that: ICefListValue): Boolean;
Public | function Copy: ICefListValue;
Public | function SetSize(size: NativeUInt): Boolean;
Public | function GetSize: NativeUInt;
Public | function Clear: Boolean;
Public | function Remove(index: NativeUInt): Boolean;
Public | function GetType(index: NativeUInt): TCefValueType;
Public | function GetValue(index: NativeUInt): ICefValue;
Public | function GetBool(index: NativeUInt): Boolean;
Public | function GetInt(index: NativeUInt): Integer;
Public | function GetDouble(index: NativeUInt): Double;
Public | function GetString(index: NativeUInt): ustring;
Public | function GetBinary(index: NativeUInt): ICefBinaryValue;
Public | function GetDictionary(index: NativeUInt): ICefDictionaryValue;
Public | function GetList(index: NativeUInt): ICefListValue;
Public | function SetValue(index: NativeUInt; const value: ICefValue): Boolean;
Public | function SetNull(index: NativeUInt): Boolean;
Public | function SetBool(index: NativeUInt; value: Boolean): Boolean;
Public | function SetInt(index: NativeUInt; value: Integer): Boolean;
Public | function SetDouble(index: NativeUInt; value: Double): Boolean;
Public | function SetString(index: NativeUInt; const value: ustring): Boolean;
Public | function SetBinary(index: NativeUInt; const value: ICefBinaryValue): Boolean;
Public | function SetDictionary(index: NativeUInt; const value: ICefDictionaryValue): Boolean;
Public | function SetList(index: NativeUInt; const value: ICefListValue): Boolean;

Description

Methods

Public function IsValid: Boolean;

Returns true (1) if this object is valid. This object may become invalid if the underlying data is owned by another object (e.g. list or dictionary) and that other object is then modified or destroyed. Do not call any other functions if this function returns false (0).

Attributes
GUID['{09174B9D-0CC6-4360-BBB0-3CC0117F70F6}']
Public function IsOwned: Boolean;

Returns true (1) if this object is currently owned by another object.

Public function IsReadOnly: Boolean;

Returns true (1) if the values of this object are read-only. Some APIs may expose read-only objects.

Public function IsSame(const that: ICefListValue): Boolean;

Returns true (1) if this object and |that| object have the same underlying data. If true (1) modifications to this object will also affect |that| object and vice-versa.

Public function IsEqual(const that: ICefListValue): Boolean;

Returns true (1) if this object and |that| object have an equivalent underlying value but are not necessarily the same object.

Public function Copy: ICefListValue;

Returns a writable copy of this object.

Public function SetSize(size: NativeUInt): Boolean;

Sets the number of values. If the number of values is expanded all new value slots will default to type null. Returns true (1) on success.

Public function GetSize: NativeUInt;

Returns the number of values.

Public function Clear: Boolean;

Removes all values. Returns true (1) on success.

Public function Remove(index: NativeUInt): Boolean;

Removes the value at the specified index.

Public function GetType(index: NativeUInt): TCefValueType;

Returns the value type at the specified index.

Public function GetValue(index: NativeUInt): ICefValue;

Returns the value at the specified index. For simple types the returned value will copy existing data and modifications to the value will not modify this object. For complex types (binary, dictionary and list) the returned value will reference existing data and modifications to the value will modify this object.

Public function GetBool(index: NativeUInt): Boolean;

Returns the value at the specified index as type bool.

Public function GetInt(index: NativeUInt): Integer;

Returns the value at the specified index as type int.

Public function GetDouble(index: NativeUInt): Double;

Returns the value at the specified index as type double.

Public function GetString(index: NativeUInt): ustring;

Returns the value at the specified index as type string.

Public function GetBinary(index: NativeUInt): ICefBinaryValue;

Returns the value at the specified index as type binary. The returned value will reference existing data.

Public function GetDictionary(index: NativeUInt): ICefDictionaryValue;

Returns the value at the specified index as type dictionary. The returned value will reference existing data and modifications to the value will modify this object.

Public function GetList(index: NativeUInt): ICefListValue;

Returns the value at the specified index as type list. The returned value will reference existing data and modifications to the value will modify this object.

Public function SetValue(index: NativeUInt; const value: ICefValue): Boolean;

Sets the value at the specified index. Returns true (1) if the value was set successfully. If |value| represents simple data then the underlying data will be copied and modifications to |value| will not modify this object. If |value| represents complex data (binary, dictionary or list) then the underlying data will be referenced and modifications to |value| will modify this object.

Public function SetNull(index: NativeUInt): Boolean;

Sets the value at the specified index as type null. Returns true (1) if the value was set successfully.

Public function SetBool(index: NativeUInt; value: Boolean): Boolean;

Sets the value at the specified index as type bool. Returns true (1) if the value was set successfully.

Public function SetInt(index: NativeUInt; value: Integer): Boolean;

Sets the value at the specified index as type int. Returns true (1) if the value was set successfully.

Public function SetDouble(index: NativeUInt; value: Double): Boolean;

Sets the value at the specified index as type double. Returns true (1) if the value was set successfully.

Public function SetString(index: NativeUInt; const value: ustring): Boolean;

Sets the value at the specified index as type string. Returns true (1) if the value was set successfully.

Public function SetBinary(index: NativeUInt; const value: ICefBinaryValue): Boolean;

Sets the value at the specified index as type binary. Returns true (1) if the value was set successfully. If |value| is currently owned by another object then the value will be copied and the |value| reference will not change. Otherwise, ownership will be transferred to this object and the |value| reference will be invalidated.

Public function SetDictionary(index: NativeUInt; const value: ICefDictionaryValue): Boolean;

Sets the value at the specified index as type dict. Returns true (1) if the value was set successfully. If |value| is currently owned by another object then the value will be copied and the |value| reference will not change. Otherwise, ownership will be transferred to this object and the |value| reference will be invalidated.

Public function SetList(index: NativeUInt; const value: ICefListValue): Boolean;

Sets the value at the specified index as type list. Returns true (1) if the value was set successfully. If |value| is currently owned by another object then the value will be copied and the |value| reference will not change. Otherwise, ownership will be transferred to this object and the |value| reference will be invalidated.


cef4delphi: uCEFInterfaces: Interface ICefLifeSpanHandler

Interface ICefLifeSpanHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefLifeSpanHandler = interface(ICefBaseRefCounted)

Description

Implement this interface to handle events related to browser life span. The functions of this interface will be called on the UI thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_life_span_handler_capi.h">CEF source file: /include/capi/cef_life_span_handler_capi.h (cef_life_span_handler_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefLifeSpanHandler

Overview

Methods

Public | function OnBeforePopup(const browser: ICefBrowser; const frame: ICefFrame; popup_id: Integer; const targetUrl, targetFrameName: ustring; targetDisposition: TCefWindowOpenDisposition; userGesture: Boolean; const popupFeatures: TCefPopupFeatures; var windowInfo: TCefWindowInfo; var client: ICefClient; var settings: TCefBrowserSettings; var extra_info: ICefDictionaryValue; var noJavascriptAccess: Boolean): Boolean;
Public | procedure OnBeforePopupAborted(const browser: ICefBrowser; popup_id: Integer);
Public | procedure OnBeforeDevToolsPopup(const browser: ICefBrowser; var windowInfo: TCefWindowInfo; var client: ICefClient; var settings: TCefBrowserSettings; var extra_info: ICefDictionaryValue; var use_default_window: boolean);
Public | procedure OnAfterCreated(const browser: ICefBrowser);
Public | function DoClose(const browser: ICefBrowser): Boolean;
Public | procedure OnBeforeClose(const browser: ICefBrowser);
Public | procedure RemoveReferences;

Description

Methods

Public function OnBeforePopup(const browser: ICefBrowser; const frame: ICefFrame; popup_id: Integer; const targetUrl, targetFrameName: ustring; targetDisposition: TCefWindowOpenDisposition; userGesture: Boolean; const popupFeatures: TCefPopupFeatures; var windowInfo: TCefWindowInfo; var client: ICefClient; var settings: TCefBrowserSettings; var extra_info: ICefDictionaryValue; var noJavascriptAccess: Boolean): Boolean;

Called on the UI thread before a new popup browser is created. The |browser| and |frame| values represent the source of the popup request (opener browser and frame). The |popup_id| value uniquely identifies the popup in the context of the opener browser. The |target_url| and |target_frame_name| values indicate where the popup browser should navigate and may be NULL if not specified with the request. The |target_disposition| value indicates where the user intended to open the popup (e.g. current tab, new tab, etc). The |user_gesture| value will be true (1) if the popup was opened via explicit user gesture (e.g. clicking a link) or false (0) if the popup opened automatically (e.g. via the DomContentLoaded event). The |popupFeatures| structure contains additional information about the requested popup window. To allow creation of the popup browser optionally modify |windowInfo|, |client|, |settings| and |no_javascript_access| and return false (0). To cancel creation of the popup browser return true (1). The |client| and |settings| values will default to the source browser's values. If the |no_javascript_access| value is set to false (0) the new browser will not be scriptable and may not be hosted in the same renderer process as the source browser. Any modifications to |windowInfo| will be ignored if the parent browser is wrapped in a cef_browser_view_t. The |extra_info| parameter provides an opportunity to specify extra information specific to the created popup browser that will be passed to cef_render_process_handler_t::on_browser_created() in the render process.

If popup browser creation succeeds then OnAfterCreated will be called for the new popup browser. If popup browser creation fails, and if the opener browser has not yet been destroyed, then OnBeforePopupAborted will be called for the opener browser. See OnBeforePopupAborted documentation for additional details.

Attributes
GUID['{0A3EB782-A319-4C35-9B46-09B2834D7169}']
Public procedure OnBeforePopupAborted(const browser: ICefBrowser; popup_id: Integer);

Called on the CEF UI thread if a new popup browser is aborted. This only occurs if the popup is allowed in OnBeforePopup and creation fails before OnAfterCreated is called for the new popup browser. The |browser| value is the source of the popup request (opener browser). The |popup_id| value uniquely identifies the popup in the context of the opener browser, and is the same value that was passed to OnBeforePopup.

Any client state associated with pending popups should be cleared in OnBeforePopupAborted, OnAfterCreated of the popup browser, or OnBeforeClose of the opener browser. OnBeforeClose of the opener browser may be called before this function in cases where the opener is closing during popup creation, in which case ICefBrowser.IsValid will return false (0) in this function.

Public procedure OnBeforeDevToolsPopup(const browser: ICefBrowser; var windowInfo: TCefWindowInfo; var client: ICefClient; var settings: TCefBrowserSettings; var extra_info: ICefDictionaryValue; var use_default_window: boolean);

Called on the UI thread before a new DevTools popup browser is created. The |browser| value represents the source of the popup request. Optionally modify |windowInfo|, |client|, |settings| and |extra_info| values. The |client|, |settings| and |extra_info| values will default to the source browser's values. Any modifications to |windowInfo| will be ignored if the parent browser is Views-hosted (wrapped in a ICefBrowserView).

The |extra_info| parameter provides an opportunity to specify extra information specific to the created popup browser that will be passed to ICefRenderProcessHandler.OnBrowserCreated() in the render process. The existing |extra_info| object, if any, will be read-only but may be replaced with a new object.

Views-hosted source browsers will create Views-hosted DevTools popups unless |use_default_window| is set to to true (1). DevTools popups can be blocked by returning true (1) from ICefCommandHandler.OnChromeCommand for IDC_DEV_TOOLS. Only used with Chrome style.

Public procedure OnAfterCreated(const browser: ICefBrowser);

Called after a new browser is created. It is now safe to begin performing actions with |browser|. ICefFrameHandler callbacks related to initial main frame creation will arrive before this callback. See ICefFrameHandler documentation for additional usage information.

Public function DoClose(const browser: ICefBrowser): Boolean;

Called when an Alloy style browser is ready to be closed, meaning that the close has already been initiated and that JavaScript unload handlers have already executed or should be ignored. This may result directly from a call to TChromiumCore.[Try]CloseBrowser() or indirectly if the browser's top-level parent window was created by CEF and the user attempts to close that window (by clicking the 'X', for example). TChromiumCore.OnClose will not be called if the browser's host window/view has already been destroyed (via parent window/view hierarchy tear-down, for example), as it is no longer possible to customize the close behavior at that point.

An application should handle top-level parent window close notifications by calling TChromiumCore.TryCloseBrowser() or TChromiumCore.CloseBrowser(false) instead of allowing the window to close immediately (see the examples below). This gives CEF an opportunity to process JavaScript unload handlers and optionally cancel the close before TChromiumCore.OnClose is called.

When windowed rendering is enabled CEF will create an internal child window/view to host the browser. In that case returning false (0) from TChromiumCore.OnClose will send the standard close notification to the browser's top- level parent window (e.g. WM_CLOSE on Windows, performClose: on OS X, "delete_event" on Linux or TCEFWindowComponent.OnCanClose callback from Views).

When windowed rendering is disabled there is no internal window/view and returning false (0) from TChromiumCore.OnClose will cause the browser object to be destroyed immediately.

If the browser's top-level parent window requires a non-standard close notification then send that notification from TChromiumCore.OnClose and return true (1). You are still required to complete the browser close as soon as possible (either by calling TChromiumCore.[Try]CloseBrowser() or by proceeding with window/view hierarchy tear-down), otherwise the browser will be left in a partially closed state that interferes with proper functioning. Top-level windows created on the browser process UI thread can alternately call TChromiumCore.IsReadyToBeClosed() in the close handler to check close status instead of relying on custom TChromiumCore.OnClose handling. See documentation on that function for additional details.

The TChromiumCore.OnBeforeClose event will be called after TChromiumCore.OnClose (if TChromiumCore.OnClose is called) and immediately before the browser object is destroyed. The application should only exit after TChromiumCore.OnBeforeClose has been called for all existing browsers.

The below examples describe what should happen during window close when the browser is parented to an application-provided top-level window.

Example 1: Using TChromiumCore.TryCloseBrowser(). This is recommended for clients using standard close handling and windows created on the browser process UI thread.

1.  User clicks the window close button which sends a close notification
    to the application's top-level window.
2.  Application's top-level window receives the close notification and
    calls TChromiumCore.TryCloseBrowser() (similar to calling TChromiumCore.CloseBrowser(false)).
    TChromiumCore.TryCloseBrowser() returns false so the client cancels the window
    close.
3.  JavaScript 'onbeforeunload' handler executes and shows the close
    confirmation dialog (which can be overridden via TChromiumCore.OnBeforeUnloadDialog).
4.  User approves the close.
5.  JavaScript 'onunload' handler executes.
6.  Application's TChromiumCore.OnClose handler is called and returns false (0) by
    default.
7.  CEF sends a close notification to the application's top-level window
    (because TChromiumCore.OnClose returned false).
8.  Application's top-level window receives the close notification and
    calls TryCloseBrowser(). TryCloseBrowser() returns true so the client
    allows the window close.
9.  Application's top-level window is destroyed, triggering destruction
    of the child browser window.
10. Application's TChromiumCore.OnBeforeClose handler is called and the browser object
    is destroyed.
11. Application exits by calling TCefApplicationCore.QuitMessageLoop if no other browsers
    exist.

Example 2: Using TChromiumCore.CloseBrowser(false) and implementing the TChromiumCore.OnClose event. This is recommended for clients using non-standard close handling or windows that were not created on the browser process UI thread.

1.  User clicks the window close button which sends a close notification
    to the application's top-level window.
2.  Application's top-level window receives the close notification and:
    A. Calls ICefBrowserHost.CloseBrowser(false).
    B. Cancels the window close.
3.  JavaScript 'onbeforeunload' handler executes and shows the close
    confirmation dialog (which can be overridden via TChromiumCore.OnBeforeUnloadDialog).
4.  User approves the close.
5.  JavaScript 'onunload' handler executes.
6.  Application's TChromiumCore.OnClose handler is called. Application will:
    A. Set a flag to indicate that the next top-level window close attempt
       will be allowed.
    B. Return false.
7.  CEF sends a close notification to the application's top-level window
    (because TChromiumCore.OnClose returned false).
8.  Application's top-level window receives the close notification and
    allows the window to close based on the flag from #6A.
9.  Application's top-level window is destroyed, triggering destruction
    of the child browser window.
10. Application's TChromiumCore.OnBeforeClose handler is called and the browser object
    is destroyed.
11. Application exits by calling TCefApplicationCore.QuitMessageLoop if no other browsers exist.

Public procedure OnBeforeClose(const browser: ICefBrowser);

Called just before a browser is destroyed. Release all references to the browser object and do not attempt to execute any functions on the browser object (other than IsValid, GetIdentifier or IsSame) after this callback returns. ICefFrameHandler callbacks related to final main frame destruction, and OnBeforePopupAborted callbacks for any pending popups, will arrive after this callback and ICefBrowser.IsValid will return false (0) at that time. Any in-progress network requests associated with |browser| will be aborted when the browser is destroyed, and ICefResourceRequestHandler callbacks related to those requests may still arrive on the IO thread after this callback. See ICefFrameHandler and DoClose() documentation for additional usage information.

Public procedure RemoveReferences;

Custom procedure to clear all references.


cef4delphi: uCEFInterfaces: Interface ICefCommandHandler

Interface ICefCommandHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefCommandHandler = interface(ICefBaseRefCounted)

Description

Implement this interface to handle events related to commands. The functions of this interface will be called on the UI thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_command_handler_capi.h">CEF source file: /include/capi/cef_command_handler_capi.h (cef_command_handler_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefCommandHandler

Overview

Methods

Public | function OnChromeCommand(const browser: ICefBrowser; command_id: integer; disposition: TCefWindowOpenDisposition): boolean;
Public | function OnIsChromeAppMenuItemVisible(const browser: ICefBrowser; command_id: integer): boolean;
Public | function OnIsChromeAppMenuItemEnabled(const browser: ICefBrowser; command_id: integer): boolean;
Public | function OnIsChromePageActionIconVisible(icon_type: TCefChromePageActionIconType): boolean;
Public | function OnIsChromeToolbarButtonVisible(button_type: TCefChromeToolbarButtonType): boolean;
Public | procedure RemoveReferences;

Description

Methods

Public function OnChromeCommand(const browser: ICefBrowser; command_id: integer; disposition: TCefWindowOpenDisposition): boolean;

Called to execute a Chrome command triggered via menu selection or keyboard shortcut. Use the cef_id_for_command_id_name() function for version-safe mapping of command IDC names from cef_command_ids.h to version-specific numerical |command_id| values. |disposition| provides information about the intended command target. Return true (1) if the command was handled or false (0) for the default implementation. For context menu commands this will be called after ICefContextMenuHandler.OnContextMenuCommand. Only used with Chrome style.

Attributes
GUID['{7C931B93-53DC-4607-AABB-2CB4AEF7FB96}']
Public function OnIsChromeAppMenuItemVisible(const browser: ICefBrowser; command_id: integer): boolean;

Called to check if a Chrome app menu item should be visible. Use the cef_id_for_command_id_name() function for version-safe mapping of command IDC names from cef_command_ids.h to version-specific numerical |command_id| values. Only called for menu items that would be visible by default. Only used with Chrome style.

Public function OnIsChromeAppMenuItemEnabled(const browser: ICefBrowser; command_id: integer): boolean;

Called to check if a Chrome app menu item should be enabled. Use the cef_id_for_command_id_name() function for version-safe mapping of command IDC names from cef_command_ids.h to version-specific numerical |command_id| values. Only called for menu items that would be enabled by default. Only used with Chrome style.

Public function OnIsChromePageActionIconVisible(icon_type: TCefChromePageActionIconType): boolean;

Called during browser creation to check if a Chrome page action icon should be visible. Only called for icons that would be visible by default. Only used with Chrome style.

Public function OnIsChromeToolbarButtonVisible(button_type: TCefChromeToolbarButtonType): boolean;

Called during browser creation to check if a Chrome toolbar button should be visible. Only called for buttons that would be visible by default. Only used with Chrome style.

Public procedure RemoveReferences;

Custom procedure to clear all references.


cef4delphi: uCEFInterfaces: Interface ICefLoadHandler

Interface ICefLoadHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefLoadHandler = interface(ICefBaseRefCounted)

Description

Implement this interface to handle events related to browser load status. The functions of this interface will be called on the browser process UI thread or render process main thread (TID_RENDERER).

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_load_handler_capi.h">CEF source file: /include/capi/cef_load_handler_capi.h (cef_load_handler_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefLoadHandler

Overview

Methods

Public | procedure OnLoadingStateChange(const browser: ICefBrowser; isLoading, canGoBack, canGoForward: Boolean);
Public | procedure OnLoadStart(const browser: ICefBrowser; const frame: ICefFrame; transitionType: TCefTransitionType);
Public | procedure OnLoadEnd(const browser: ICefBrowser; const frame: ICefFrame; httpStatusCode: Integer);
Public | procedure OnLoadError(const browser: ICefBrowser; const frame: ICefFrame; errorCode: TCefErrorCode; const errorText, failedUrl: ustring);
Public | procedure RemoveReferences;

Description

Methods

Public procedure OnLoadingStateChange(const browser: ICefBrowser; isLoading, canGoBack, canGoForward: Boolean);

Called when the loading state has changed. This callback will be executed twice – once when loading is initiated either programmatically or by user action, and once when loading is terminated due to completion, cancellation of failure. It will be called before any calls to OnLoadStart and after all calls to OnLoadError and/or OnLoadEnd.

Attributes
GUID['{2C63FB82-345D-4A5B-9858-5AE7A85C9F49}']
Public procedure OnLoadStart(const browser: ICefBrowser; const frame: ICefFrame; transitionType: TCefTransitionType);

Called after a navigation has been committed and before the browser begins loading contents in the frame. The |frame| value will never be NULL – call the IsMain() function to check if this frame is the main frame. |transition_type| provides information about the source of the navigation and an accurate value is only available in the browser process. Multiple frames may be loading at the same time. Sub-frames may start or continue loading after the main frame load has ended. This function will not be called for same page navigations (fragments, history state, etc.) or for navigations that fail or are canceled before commit. For notification of overall browser load status use OnLoadingStateChange instead.

Public procedure OnLoadEnd(const browser: ICefBrowser; const frame: ICefFrame; httpStatusCode: Integer);

Called when the browser is done loading a frame. The |frame| value will never be NULL – call the IsMain() function to check if this frame is the main frame. Multiple frames may be loading at the same time. Sub-frames may start or continue loading after the main frame load has ended. This function will not be called for same page navigations (fragments, history state, etc.) or for navigations that fail or are canceled before commit. For notification of overall browser load status use OnLoadingStateChange instead.

Public procedure OnLoadError(const browser: ICefBrowser; const frame: ICefFrame; errorCode: TCefErrorCode; const errorText, failedUrl: ustring);

Called when a navigation fails or is canceled. This function may be called by itself if before commit or in combination with OnLoadStart/OnLoadEnd if after commit. |errorCode| is the error code number, |errorText| is the error text and |failedUrl| is the URL that failed to load. See net\base\net_error_list.h for complete descriptions of the error codes.

Public procedure RemoveReferences;

Custom procedure to clear all references.


cef4delphi: uCEFInterfaces: Interface ICefResponseFilter

Interface ICefResponseFilter

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefResponseFilter = interface(ICefBaseRefCounted)

Description

Implement this interface to filter resource response content. The functions of this interface will be called on the browser process IO thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_response_filter_capi.h">CEF source file: /include/capi/cef_response_filter_capi.h (cef_response_filter_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefResponseFilter

Overview

Methods

Public | function InitFilter: Boolean;
Public | function Filter(data_in: Pointer; data_in_size: NativeUInt; var data_in_read: NativeUInt; data_out: Pointer; data_out_size : NativeUInt; var data_out_written: NativeUInt): TCefResponseFilterStatus;

Description

Methods

Public function InitFilter: Boolean;

Initialize the response filter. Will only be called a single time. The filter will not be installed if this function returns false (0).

Attributes
GUID['{5013BC3C-F1AE-407A-A571-A4C6B1D6831E}']
Public function Filter(data_in: Pointer; data_in_size: NativeUInt; var data_in_read: NativeUInt; data_out: Pointer; data_out_size : NativeUInt; var data_out_written: NativeUInt): TCefResponseFilterStatus;

Called to filter a chunk of data. Expected usage is as follows:

1. Read input data from |data_in| and set |data_in_read| to the number of
   bytes that were read up to a maximum of |data_in_size|. |data_in| will
   be NULL if |data_in_size| is zero.
2. Write filtered output data to |data_out| and set |data_out_written| to
   the number of bytes that were written up to a maximum of
   |data_out_size|. If no output data was written then all data must be
   read from |data_in| (user must set |data_in_read| = |data_in_size|).
3. Return RESPONSE_FILTER_DONE if all output data was written or
   RESPONSE_FILTER_NEED_MORE_DATA if output data is still pending.

This function will be called repeatedly until the input buffer has been fully read (user sets |data_in_read| = |data_in_size|) and there is no more input data to filter (the resource response is complete). This function may then be called an additional time with an NULL input buffer if the user filled the output buffer (set |data_out_written| = |data_out_size|) and returned RESPONSE_FILTER_NEED_MORE_DATA to indicate that output data is still pending.

Calls to this function will stop when one of the following conditions is met:

1. There is no more input data to filter (the resource response is
   complete) and the user sets |data_out_written| = 0 or returns
   RESPONSE_FILTER_DONE to indicate that all data has been written, or;
2. The user returns RESPONSE_FILTER_ERROR to indicate an error.

Do not keep a reference to the buffers passed to this function.


cef4delphi: uCEFInterfaces: Interface ICefRequestHandler

Interface ICefRequestHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefRequestHandler = interface(ICefBaseRefCounted)

Description

Implement this interface to handle events related to browser requests. The functions of this interface will be called on the thread indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_request_handler_capi.h">CEF source file: /include/capi/cef_request_handler_capi.h (cef_request_handler_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefRequestHandler

Overview

Methods

Public | function OnBeforeBrowse(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; user_gesture, isRedirect: Boolean): Boolean;
Public | function OnOpenUrlFromTab(const browser: ICefBrowser; const frame: ICefFrame; const targetUrl: ustring; targetDisposition: TCefWindowOpenDisposition; userGesture: Boolean): Boolean;
Public | procedure GetResourceRequestHandler(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; is_navigation, is_download: boolean; const request_initiator: ustring; var disable_default_handling: boolean; var aResourceRequestHandler : ICefResourceRequestHandler);
Public | function GetAuthCredentials(const browser: ICefBrowser; const originUrl: ustring; isProxy: Boolean; const host: ustring; port: Integer; const realm, scheme: ustring; const callback: ICefAuthCallback): Boolean;
Public | function OnCertificateError(const browser: ICefBrowser; certError: TCefErrorcode; const requestUrl: ustring; const sslInfo: ICefSslInfo; const callback: ICefCallback): Boolean;
Public | function OnSelectClientCertificate(const browser: ICefBrowser; isProxy: boolean; const host: ustring; port: integer; certificatesCount: NativeUInt; const certificates: TCefX509CertificateArray; const callback: ICefSelectClientCertificateCallback): boolean;
Public | procedure OnRenderViewReady(const browser: ICefBrowser);
Public | function OnRenderProcessUnresponsive(const browser: ICefBrowser; const callback: ICefUnresponsiveProcessCallback): boolean;
Public | procedure OnRenderProcessResponsive(const browser: ICefBrowser);
Public | procedure OnRenderProcessTerminated(const browser: ICefBrowser; status: TCefTerminationStatus; error_code: integer; const error_string: ustring);
Public | procedure OnDocumentAvailableInMainFrame(const browser: ICefBrowser);
Public | procedure RemoveReferences;

Description

Methods

Public function OnBeforeBrowse(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; user_gesture, isRedirect: Boolean): Boolean;

Called on the UI thread before browser navigation. Return true (1) to cancel the navigation or false (0) to allow the navigation to proceed. The |request| object cannot be modified in this callback. ICefLoadHandler.OnLoadingStateChange will be called twice in all cases. If the navigation is allowed ICefLoadHandler.OnLoadStart and ICefLoadHandler.OnLoadEnd will be called. If the navigation is canceled ICefLoadHandler.OnLoadError will be called with an |errorCode| value of ERR_ABORTED. The |user_gesture| value will be true (1) if the browser navigated via explicit user gesture (e.g. clicking a link) or false (0) if it navigated automatically (e.g. via the DomContentLoaded event).

Attributes
GUID['{050877A9-D1F8-4EB3-B58E-50DC3E3D39FD}']
Public function OnOpenUrlFromTab(const browser: ICefBrowser; const frame: ICefFrame; const targetUrl: ustring; targetDisposition: TCefWindowOpenDisposition; userGesture: Boolean): Boolean;

Called on the UI thread before OnBeforeBrowse in certain limited cases where navigating a new or different browser might be desirable. This includes user-initiated navigation that might open in a special way (e.g. links clicked via middle-click or ctrl + left-click) and certain types of cross-origin navigation initiated from the renderer process (e.g. navigating the top-level frame to/from a file URL). The |browser| and |frame| values represent the source of the navigation. The |target_disposition| value indicates where the user intended to navigate the browser based on standard Chromium behaviors (e.g. current tab, new tab, etc). The |user_gesture| value will be true (1) if the browser navigated via explicit user gesture (e.g. clicking a link) or false (0) if it navigated automatically (e.g. via the DomContentLoaded event). Return true (1) to cancel the navigation or false (0) to allow the navigation to proceed in the source browser's top-level frame.

Public procedure GetResourceRequestHandler(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; is_navigation, is_download: boolean; const request_initiator: ustring; var disable_default_handling: boolean; var aResourceRequestHandler : ICefResourceRequestHandler);

Called on the browser process IO thread before a resource request is initiated. The |browser| and |frame| values represent the source of the request. |request| represents the request contents and cannot be modified in this callback. |is_navigation| will be true (1) if the resource request is a navigation. |is_download| will be true (1) if the resource request is a download. |request_initiator| is the origin (scheme + domain) of the page that initiated the request. Set |disable_default_handling| to true (1) to disable default handling of the request, in which case it will need to be handled via ICefResourceRequestHandler.GetResourceHandler or it will be canceled. To allow the resource load to proceed with default handling return NULL. To specify a handler for the resource return a ICefResourceRequestHandler object. If this callback returns NULL the same function will be called on the associated ICefRequestContextHandler, if any.

Public function GetAuthCredentials(const browser: ICefBrowser; const originUrl: ustring; isProxy: Boolean; const host: ustring; port: Integer; const realm, scheme: ustring; const callback: ICefAuthCallback): Boolean;

Called on the IO thread when the browser needs credentials from the user. |origin_url| is the origin making this authentication request. |isProxy| indicates whether the host is a proxy server. |host| contains the hostname and |port| contains the port number. |realm| is the realm of the challenge and may be NULL. |scheme| is the authentication scheme used, such as "basic" or "digest", and will be NULL if the source of the request is an FTP server. Return true (1) to continue the request and call ICefAuthCallback.cont() either in this function or at a later time when the authentication information is available. Return false (0) to cancel the request immediately.

Public function OnCertificateError(const browser: ICefBrowser; certError: TCefErrorcode; const requestUrl: ustring; const sslInfo: ICefSslInfo; const callback: ICefCallback): Boolean;

Called on the UI thread to handle requests for URLs with an invalid SSL certificate. Return true (1) and call ICefCallback functions either in this function or at a later time to continue or cancel the request. Return false (0) to cancel the request immediately. If TCefSettings.ignore_certificate_errors is set all invalid certificates will be accepted without calling this function.

Public function OnSelectClientCertificate(const browser: ICefBrowser; isProxy: boolean; const host: ustring; port: integer; certificatesCount: NativeUInt; const certificates: TCefX509CertificateArray; const callback: ICefSelectClientCertificateCallback): boolean;

Called on the UI thread when a client certificate is being requested for authentication. Return false (0) to use the default behavior. If the |certificates| list is not NULL the default behavior will be to display a dialog for certificate selection. If the |certificates| list is NULL then the default behavior will be not to show a dialog and it will continue without using any certificate. Return true (1) and call ICefSelectClientCertificateCallback.Select either in this function or at a later time to select a certificate. Do not call Select or call it with NULL to continue without using any certificate. |isProxy| indicates whether the host is an HTTPS proxy or the origin server. |host| and |port| contains the hostname and port of the SSL server. |certificates| is the list of certificates to choose from; this list has already been pruned by Chromium so that it only contains certificates from issuers that the server trusts.

Public procedure OnRenderViewReady(const browser: ICefBrowser);

Called on the browser process UI thread when the render view associated with |browser| is ready to receive/handle IPC messages in the render process.

Public function OnRenderProcessUnresponsive(const browser: ICefBrowser; const callback: ICefUnresponsiveProcessCallback): boolean;

Called on the browser process UI thread when the render process is unresponsive as indicated by a lack of input event processing for at least 15 seconds. Return false (0) for the default behavior which is to continue waiting with Alloy style or display of the "Page unresponsive" dialog with Chrome style. Return true (1) and don't execute the callback to continue waiting without display of the Chrome style dialog. Return true (1) and call ICefUnresponsiveProcessCallback.Wait either in this function or at a later time to reset the wait timer. In cases where you continue waiting there may be another call to this function if the process remains unresponsive. Return true (1) and call ICefUnresponsiveProcessCallback.Terminate either in this function or at a later time to terminate the unresponsive process, resulting in a call to OnRenderProcessTerminated. OnRenderProcessResponsive will be called if the process becomes responsive after this function is called. This functionality depends on the hang monitor which can be disabled by passing the `–disable-hang-monitor` command-line flag.

Public procedure OnRenderProcessResponsive(const browser: ICefBrowser);

Called on the browser process UI thread when the render process becomes responsive after previously being unresponsive. See documentation on OnRenderProcessUnresponsive.

Public procedure OnRenderProcessTerminated(const browser: ICefBrowser; status: TCefTerminationStatus; error_code: integer; const error_string: ustring);

Called on the browser process UI thread when the render process terminates unexpectedly. |status| indicates how the process terminated. |error_code| and |error_string| represent the error that would be displayed in Chrome's "Aw, Snap!" view. Possible |error_code| values include TCefResultCode non-normal exit values and platform-specific crash values (for example, a Posix signal or Windows hardware exception).

Public procedure OnDocumentAvailableInMainFrame(const browser: ICefBrowser);

Called on the browser process UI thread when the window.document object of the main frame has been created.

Public procedure RemoveReferences;

Custom procedure to clear all references.


cef4delphi: uCEFInterfaces: Interface ICefResourceRequestHandler

Interface ICefResourceRequestHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefResourceRequestHandler = interface(ICefBaseRefCounted)

Description

Implement this interface to handle events related to browser requests. The functions of this interface will be called on the IO thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_resource_request_handler_capi.h">CEF source file: /include/capi/cef_resource_request_handler_capi.h (cef_resource_request_handler_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefResourceRequestHandler

Overview

Methods

Public | procedure GetCookieAccessFilter(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; var aFilter: ICefCookieAccessFilter);
Public | function OnBeforeResourceLoad(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const callback: ICefCallback): TCefReturnValue;
Public | procedure GetResourceHandler(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; var aResourceHandler : ICefResourceHandler);
Public | procedure OnResourceRedirect(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; var newUrl: ustring);
Public | function OnResourceResponse(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse): Boolean;
Public | procedure GetResourceResponseFilter(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; var aResourceFilter: ICefResponseFilter);
Public | procedure OnResourceLoadComplete(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; status: TCefUrlRequestStatus; receivedContentLength: Int64);
Public | procedure OnProtocolExecution(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; var allowOsExecution: Boolean);
Public | procedure RemoveReferences;

Description

Methods

Public procedure GetCookieAccessFilter(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; var aFilter: ICefCookieAccessFilter);

Called on the IO thread before a resource request is loaded. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. To optionally filter cookies for the request return a ICefCookieAccessFilter object. The |request| object cannot not be modified in this callback.

Attributes
GUID['{CFA42A38-EA91-4A95-95CE-178BCD412411}']
Public function OnBeforeResourceLoad(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const callback: ICefCallback): TCefReturnValue;

Called on the IO thread before a resource request is loaded. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. To redirect or change the resource load optionally modify |request|. Modification of the request URL will be treated as a redirect. Return RV_CONTINUE to continue the request immediately. Return RV_CONTINUE_ASYNC and call ICefCallback functions at a later time to continue or cancel the request asynchronously. Return RV_CANCEL to cancel the request immediately.

Public procedure GetResourceHandler(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; var aResourceHandler : ICefResourceHandler);

Called on the IO thread before a resource is loaded. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. To allow the resource to load using the default network loader return NULL. To specify a handler for the resource return a ICefResourceHandler object. The |request| object cannot not be modified in this callback.

Public procedure OnResourceRedirect(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; var newUrl: ustring);

Called on the IO thread when a resource load is redirected. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. The |request| parameter will contain the old URL and other request-related information. The |response| parameter will contain the response that resulted in the redirect. The |new_url| parameter will contain the new URL and can be changed if desired. The |request| and |response| objects cannot be modified in this callback.

Public function OnResourceResponse(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse): Boolean;

Called on the IO thread when a resource response is received. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. To allow the resource load to proceed without modification return false (0). To redirect or retry the resource load optionally modify |request| and return true (1). Modification of the request URL will be treated as a redirect. Requests handled using the default network loader cannot be redirected in this callback. The |response| object cannot be modified in this callback.

WARNING: Redirecting using this function is deprecated. Use OnBeforeResourceLoad or GetResourceHandler to perform redirects.

Public procedure GetResourceResponseFilter(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; var aResourceFilter: ICefResponseFilter);

Called on the IO thread to optionally filter resource response content. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. |request| and |response| represent the request and response respectively and cannot be modified in this callback.

Public procedure OnResourceLoadComplete(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; status: TCefUrlRequestStatus; receivedContentLength: Int64);

Called on the IO thread when a resource load has completed. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. |request| and |response| represent the request and response respectively and cannot be modified in this callback. |status| indicates the load completion status. |received_content_length| is the number of response bytes actually read. This function will be called for all requests, including requests that are aborted due to CEF shutdown or destruction of the associated browser. In cases where the associated browser is destroyed this callback may arrive after the ICefLifeSpanHandler.OnBeforeClose callback for that browser. The ICefFrame.IsValid function can be used to test for this situation, and care should be taken not to call |browser| or |frame| functions that modify state (like LoadURL, SendProcessMessage, etc.) if the frame is invalid.

Public procedure OnProtocolExecution(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; var allowOsExecution: Boolean);

Called on the IO thread to handle requests for URLs with an unknown protocol component. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. |request| cannot be modified in this callback. Set |allow_os_execution| to true (1) to attempt execution via the registered OS protocol handler, if any. SECURITY WARNING: YOU SHOULD USE THIS METHOD TO ENFORCE RESTRICTIONS BASED ON SCHEME, HOST OR OTHER URL ANALYSIS BEFORE ALLOWING OS EXECUTION.

Public procedure RemoveReferences;

Custom procedure to clear all references.


cef4delphi: uCEFInterfaces: Interface ICefCookieAccessFilter

Interface ICefCookieAccessFilter

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefCookieAccessFilter = interface(ICefBaseRefCounted)

Description

Implement this interface to filter cookies that may be sent or received from resource requests. The functions of this interface will be called on the IO thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_resource_request_handler_capi.h">CEF source file: /include/capi/cef_resource_request_handler_capi.h (cef_cookie_access_filter_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefCookieAccessFilter

Overview

Methods

Public | function CanSendCookie(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const cookie: PCefCookie): boolean;
Public | function CanSaveCookie(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; const cookie: PCefCookie): boolean;
Public | procedure RemoveReferences;

Description

Methods

Public function CanSendCookie(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const cookie: PCefCookie): boolean;

Called on the IO thread before a resource request is sent. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. |request| cannot be modified in this callback. Return true (1) if the specified cookie can be sent with the request or false (0) otherwise.

Attributes
GUID['{65ECD862-F55F-46E4-8AC3-2AE90DCC86F5}']
Public function CanSaveCookie(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; const cookie: PCefCookie): boolean;

Called on the IO thread after a resource response is received. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. |request| cannot be modified in this callback. Return true (1) if the specified cookie returned with the response can be saved or false (0) otherwise.

Public procedure RemoveReferences;

Custom procedure to clear all references.


cef4delphi: uCEFInterfaces: Interface ICefDisplayHandler

Interface ICefDisplayHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefDisplayHandler = interface(ICefBaseRefCounted)

Description

Implement this interface to handle events related to browser display state. The functions of this interface will be called on the UI thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_display_handler_capi.h">CEF source file: /include/capi/cef_display_handler_capi.h (cef_display_handler_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefDisplayHandler

Overview

Methods

Public | procedure OnAddressChange(const browser: ICefBrowser; const frame: ICefFrame; const url: ustring);
Public | procedure OnTitleChange(const browser: ICefBrowser; const title: ustring);
Public | procedure OnFaviconUrlChange(const browser: ICefBrowser; const icon_urls: TStrings);
Public | procedure OnFullScreenModeChange(const browser: ICefBrowser; fullscreen: Boolean);
Public | function OnTooltip(const browser: ICefBrowser; var text: ustring): Boolean;
Public | procedure OnStatusMessage(const browser: ICefBrowser; const value: ustring);
Public | function OnConsoleMessage(const browser: ICefBrowser; level: TCefLogSeverity; const message_, source: ustring; line: Integer): Boolean;
Public | function OnAutoResize(const browser: ICefBrowser; const new_size: PCefSize): Boolean;
Public | procedure OnLoadingProgressChange(const browser: ICefBrowser; const progress: double);
Public | procedure OnCursorChange(const browser: ICefBrowser; cursor_: TCefCursorHandle; CursorType: TCefCursorType; const customCursorInfo: PCefCursorInfo; var aResult : boolean);
Public | procedure OnMediaAccessChange(const browser: ICefBrowser; has_video_access, has_audio_access: boolean);
Public | function OnContentsBoundsChange(const browser: ICefBrowser; const new_bounds: PCefRect): Boolean;
Public | function GetRootWindowScreenRect(const browser: ICefBrowser; rect: PCefRect): Boolean;
Public | procedure RemoveReferences;

Description

Methods

Public procedure OnAddressChange(const browser: ICefBrowser; const frame: ICefFrame; const url: ustring);

Called when a frame's address has changed.

Attributes
GUID['{1EC7C76D-6969-41D1-B26D-079BCFF054C4}']
Public procedure OnTitleChange(const browser: ICefBrowser; const title: ustring);

Called when the page title changes.

Public procedure OnFaviconUrlChange(const browser: ICefBrowser; const icon_urls: TStrings);

Called when the page icon changes.

Public procedure OnFullScreenModeChange(const browser: ICefBrowser; fullscreen: Boolean);

Called when web content in the page has toggled fullscreen mode. If |fullscreen| is true (1) the content will automatically be sized to fill the browser content area. If |fullscreen| is false (0) the content will automatically return to its original size and position. With Alloy style the client is responsible for triggering the fullscreen transition (for example, by calling ICefWindow.SetFullscreen when using Views). With Chrome style the fullscreen transition will be triggered automatically. The ICefWindowDelegate.OnWindowFullscreenTransition function will be called during the fullscreen transition for notification purposes.

Public function OnTooltip(const browser: ICefBrowser; var text: ustring): Boolean;

Called when the browser is about to display a tooltip. |text| contains the text that will be displayed in the tooltip. To handle the display of the tooltip yourself return true (1). Otherwise, you can optionally modify |text| and then return false (0) to allow the browser to display the tooltip. When window rendering is disabled the application is responsible for drawing tooltips and the return value is ignored.

Public procedure OnStatusMessage(const browser: ICefBrowser; const value: ustring);

Called when the browser receives a status message. |value| contains the text that will be displayed in the status message.

Public function OnConsoleMessage(const browser: ICefBrowser; level: TCefLogSeverity; const message_, source: ustring; line: Integer): Boolean;

Called to display a console message. Return true (1) to stop the message from being output to the console.

Public function OnAutoResize(const browser: ICefBrowser; const new_size: PCefSize): Boolean;

Called when auto-resize is enabled via ICefBrowserHost.SetAutoResizeEnabled and the contents have auto- resized. |new_size| will be the desired size in DIP coordinates. Return true (1) if the resize was handled or false (0) for default handling.

Public procedure OnLoadingProgressChange(const browser: ICefBrowser; const progress: double);

Called when the overall page loading progress has changed. |progress| ranges from 0.0 to 1.0.

Public procedure OnCursorChange(const browser: ICefBrowser; cursor_: TCefCursorHandle; CursorType: TCefCursorType; const customCursorInfo: PCefCursorInfo; var aResult : boolean);

Called when the browser's cursor has changed. If |type| is CT_CUSTOM then |custom_cursor_info| will be populated with the custom cursor information. Return true (1) if the cursor change was handled or false (0) for default handling.

Public procedure OnMediaAccessChange(const browser: ICefBrowser; has_video_access, has_audio_access: boolean);

Called when the browser's access to an audio and/or video source has changed.

Public function OnContentsBoundsChange(const browser: ICefBrowser; const new_bounds: PCefRect): Boolean;

Called when JavaScript is requesting new bounds via window.moveTo/By() or window.resizeTo/By(). |new_bounds| are in DIP screen coordinates.

With Views-hosted browsers |new_bounds| are the desired bounds for the containing ICefWindow and may be passed directly to ICefWindow.SetBounds. With external (client-provided) parent on macOS and Windows |new_bounds| are the desired frame bounds for the containing root window. With other non-Views browsers |new_bounds| are the desired bounds for the browser content only unless the client implements either ICefDisplayHandler.GetRootWindowScreenRect for windowed browsers or ICefRenderHandler.GetWindowScreenRect for windowless browsers. Clients may expand browser content bounds to window bounds using OS-specific or ICefDisplay functions.

Return true (1) if this function was handled or false (0) for default handling. Default move/resize behavior is only provided with Views-hosted Chrome style browsers.

Public function GetRootWindowScreenRect(const browser: ICefBrowser; rect: PCefRect): Boolean;

Called to retrieve the external (client-provided) root window rectangle in screen DIP coordinates. Only called for windowed browsers on Windows and Linux. Return true (1) if the rectangle was provided. Return false (0) to use the root window bounds on Windows or the browser content bounds on Linux. For additional usage details see ICefBrowserHost.NotifyScreenInfoChanged.

Public procedure RemoveReferences;

Custom procedure to clear all references.


cef4delphi: uCEFInterfaces: Interface ICefFocusHandler

Interface ICefFocusHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefFocusHandler = interface(ICefBaseRefCounted)

Description

Implement this interface to handle events related to focus. The functions of this interface will be called on the UI thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_focus_handler_capi.h">CEF source file: /include/capi/cef_focus_handler_capi.h (cef_focus_handler_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefFocusHandler

Overview

Methods

Public | procedure OnTakeFocus(const browser: ICefBrowser; next: Boolean);
Public | function OnSetFocus(const browser: ICefBrowser; source: TCefFocusSource): Boolean;
Public | procedure OnGotFocus(const browser: ICefBrowser);
Public | procedure RemoveReferences;

Description

Methods

Public procedure OnTakeFocus(const browser: ICefBrowser; next: Boolean);

Called when the browser component is about to loose focus. For instance, if focus was on the last HTML element and the user pressed the TAB key. |next| will be true (1) if the browser is giving focus to the next component and false (0) if the browser is giving focus to the previous component.

Attributes
GUID['{BB7FA3FA-7B1A-4ADC-8E50-12A24018DD90}']
Public function OnSetFocus(const browser: ICefBrowser; source: TCefFocusSource): Boolean;

Called when the browser component is requesting focus. |source| indicates where the focus request is originating from. Return false (0) to allow the focus to be set or true (1) to cancel setting the focus.

Public procedure OnGotFocus(const browser: ICefBrowser);

Called when the browser component has received focus.

Public procedure RemoveReferences;

Custom procedure to clear all references.


cef4delphi: uCEFInterfaces: Interface ICefKeyboardHandler

Interface ICefKeyboardHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefKeyboardHandler = interface(ICefBaseRefCounted)

Description

Implement this interface to handle events related to keyboard input. The functions of this interface will be called on the UI thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_keyboard_handler_capi.h">CEF source file: /include/capi/cef_keyboard_handler_capi.h (cef_keyboard_handler_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefKeyboardHandler

Overview

Methods

Public | function OnPreKeyEvent(const browser: ICefBrowser; const event: PCefKeyEvent; osEvent: TCefEventHandle; out isKeyboardShortcut: Boolean): Boolean;
Public | function OnKeyEvent(const browser: ICefBrowser; const event: PCefKeyEvent; osEvent: TCefEventHandle): Boolean;
Public | procedure RemoveReferences;

Description

Methods

Public function OnPreKeyEvent(const browser: ICefBrowser; const event: PCefKeyEvent; osEvent: TCefEventHandle; out isKeyboardShortcut: Boolean): Boolean;

Called before a keyboard event is sent to the renderer. |event| contains information about the keyboard event. |os_event| is the operating system event message, if any. Return true (1) if the event was handled or false (0) otherwise. If the event will be handled in on_key_event() as a keyboard shortcut set |is_keyboard_shortcut| to true (1) and return false (0).

Attributes
GUID['{0512F4EC-ED88-44C9-90D3-5C6D03D3B146}']
Public function OnKeyEvent(const browser: ICefBrowser; const event: PCefKeyEvent; osEvent: TCefEventHandle): Boolean;

Called after the renderer and JavaScript in the page has had a chance to handle the event. |event| contains information about the keyboard event. |os_event| is the operating system event message, if any. Return true (1) if the keyboard event was handled or false (0) otherwise.

Public procedure RemoveReferences;

Custom procedure to clear all references.


cef4delphi: uCEFInterfaces: Interface ICefJsDialogHandler

Interface ICefJsDialogHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefJsDialogHandler = interface(ICefBaseRefCounted)

Description

Implement this interface to handle events related to JavaScript dialogs. The functions of this interface will be called on the UI thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_jsdialog_handler_capi.h">CEF source file: /include/capi/cef_jsdialog_handler_capi.h (cef_jsdialog_handler_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefJsDialogHandler

Overview

Methods

Public | function OnJsdialog(const browser: ICefBrowser; const originUrl: ustring; dialogType: TCefJsDialogType; const messageText, defaultPromptText: ustring; const callback: ICefJsDialogCallback; out suppressMessage: Boolean): Boolean;
Public | function OnBeforeUnloadDialog(const browser: ICefBrowser; const messageText: ustring; isReload: Boolean; const callback: ICefJsDialogCallback): Boolean;
Public | procedure OnResetDialogState(const browser: ICefBrowser);
Public | procedure OnDialogClosed(const browser: ICefBrowser);
Public | procedure RemoveReferences;

Description

Methods

Public function OnJsdialog(const browser: ICefBrowser; const originUrl: ustring; dialogType: TCefJsDialogType; const messageText, defaultPromptText: ustring; const callback: ICefJsDialogCallback; out suppressMessage: Boolean): Boolean;

Called to run a JavaScript dialog. If |origin_url| is non-NULL it can be passed to the CefFormatUrlForSecurityDisplay function to retrieve a secure and user-friendly display string. The |default_prompt_text| value will be specified for prompt dialogs only. Set |suppress_message| to true (1) and return false (0) to suppress the message (suppressing messages is preferable to immediately executing the callback as this is used to detect presumably malicious behavior like spamming alert messages in onbeforeunload). Set |suppress_message| to false (0) and return false (0) to use the default implementation (the default implementation will show one modal dialog at a time and suppress any additional dialog requests until the displayed dialog is dismissed). Return true (1) if the application will use a custom dialog or if the callback has been executed immediately. Custom dialogs may be either modal or modeless. If a custom dialog is used the application must execute |callback| once the custom dialog is dismissed.

Attributes
GUID['{64E18F86-DAC5-4ED1-8589-44DE45B9DB56}']
Public function OnBeforeUnloadDialog(const browser: ICefBrowser; const messageText: ustring; isReload: Boolean; const callback: ICefJsDialogCallback): Boolean;

Called to run a dialog asking the user if they want to leave a page. Return false (0) to use the default dialog implementation. Return true (1) if the application will use a custom dialog or if the callback has been executed immediately. Custom dialogs may be either modal or modeless. If a custom dialog is used the application must execute |callback| once the custom dialog is dismissed.

Public procedure OnResetDialogState(const browser: ICefBrowser);

Called to cancel any pending dialogs and reset any saved dialog state. Will be called due to events like page navigation irregardless of whether any dialogs are currently pending.

Public procedure OnDialogClosed(const browser: ICefBrowser);

Called when the dialog is closed.

Public procedure RemoveReferences;

Custom procedure to clear all references.


cef4delphi: uCEFInterfaces: Interface ICefAudioHandler

Interface ICefAudioHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefAudioHandler = interface(ICefBaseRefCounted)

Description

Implement this interface to handle audio events.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_audio_handler_capi.h">CEF source file: /include/capi/cef_audio_handler_capi.h (cef_audio_handler_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefAudioHandler

Overview

Methods

Public | procedure OnGetAudioParameters(const browser: ICefBrowser; var params: TCefAudioParameters; var aResult: boolean);
Public | procedure OnAudioStreamStarted(const browser: ICefBrowser; const params: TCefAudioParameters; channels: integer);
Public | procedure OnAudioStreamPacket(const browser: ICefBrowser; const data : PPSingle; frames: integer; pts: int64);
Public | procedure OnAudioStreamStopped(const browser: ICefBrowser);
Public | procedure OnAudioStreamError(const browser: ICefBrowser; const message_: ustring);
Public | procedure RemoveReferences;

Description

Methods

Public procedure OnGetAudioParameters(const browser: ICefBrowser; var params: TCefAudioParameters; var aResult: boolean);

Called on the UI thread to allow configuration of audio stream parameters. Return true (1) to proceed with audio stream capture, or false (0) to cancel it. All members of |params| can optionally be configured here, but they are also pre-filled with some sensible defaults.

Attributes
GUID['{8963271A-0B94-4279-82C8-FB2EA7B3CDEC}']
Public procedure OnAudioStreamStarted(const browser: ICefBrowser; const params: TCefAudioParameters; channels: integer);

Called on a browser audio capture thread when the browser starts streaming audio. OnAudioStreamStopped will always be called after OnAudioStreamStarted; both functions may be called multiple times for the same browser. |params| contains the audio parameters like sample rate and channel layout. |channels| is the number of channels.

Public procedure OnAudioStreamPacket(const browser: ICefBrowser; const data : PPSingle; frames: integer; pts: int64);

Called on the audio stream thread when a PCM packet is received for the stream. |data| is an array representing the raw PCM data as a floating point type, i.e. 4-byte value(s). |frames| is the number of frames in the PCM packet. |pts| is the presentation timestamp (in milliseconds since the Unix Epoch) and represents the time at which the decompressed packet should be presented to the user. Based on |frames| and the |channel_layout| value passed to OnAudioStreamStarted you can calculate the size of the |data| array in bytes.

Public procedure OnAudioStreamStopped(const browser: ICefBrowser);

Called on the UI thread when the stream has stopped. OnAudioSteamStopped will always be called after OnAudioStreamStarted; both functions may be called multiple times for the same stream.

Public procedure OnAudioStreamError(const browser: ICefBrowser; const message_: ustring);

Called on the UI or audio stream thread when an error occurred. During the stream creation phase this callback will be called on the UI thread while in the capturing phase it will be called on the audio stream thread. The stream will be stopped immediately.

Public procedure RemoveReferences;

Custom procedure to clear all references.


cef4delphi: uCEFInterfaces: Interface ICefRunContextMenuCallback

Interface ICefRunContextMenuCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefRunContextMenuCallback = interface(ICefBaseRefCounted)

Description

Callback interface used for continuation of custom context menu display.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_context_menu_handler_capi.h">CEF source file: /include/capi/cef_context_menu_handler_capi.h (cef_run_context_menu_callback_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefRunContextMenuCallback

Overview

Methods

Public | procedure Cont(commandId: Integer; eventFlags: TCefEventFlags);
Public | procedure Cancel;

Description

Methods

Public procedure Cont(commandId: Integer; eventFlags: TCefEventFlags);

Complete context menu display by selecting the specified |command_id| and |event_flags|.

Attributes
GUID['{44C3C6E3-B64D-4F6E-A318-4A0F3A72EB00}']
Public procedure Cancel;

Cancel context menu display.


cef4delphi: uCEFInterfaces: Interface ICefRunQuickMenuCallback

Interface ICefRunQuickMenuCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefRunQuickMenuCallback = interface(ICefBaseRefCounted)

Description

Callback interface used for continuation of custom quick menu display.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_context_menu_handler_capi.h">CEF source file: /include/capi/cef_context_menu_handler_capi.h (cef_run_quick_menu_callback_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefRunQuickMenuCallback

Overview

Methods

Public | procedure Cont(command_id: Integer; event_flags: TCefEventFlags);
Public | procedure Cancel;

Description

Methods

Public procedure Cont(command_id: Integer; event_flags: TCefEventFlags);

Complete quick menu display by selecting the specified |command_id| and |event_flags|.

Attributes
GUID['{11AD68BF-0055-4106-8F6B-B576F90D812F}']
Public procedure Cancel;

Cancel quick menu display.


cef4delphi: uCEFInterfaces: Interface ICefContextMenuHandler

Interface ICefContextMenuHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefContextMenuHandler = interface(ICefBaseRefCounted)

Description

Implement this interface to handle context menu events. The functions of this interface will be called on the UI thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_context_menu_handler_capi.h">CEF source file: /include/capi/cef_context_menu_handler_capi.h (cef_context_menu_handler_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefContextMenuHandler

Overview

Methods

Public | procedure OnBeforeContextMenu(const browser: ICefBrowser; const frame: ICefFrame; const params: ICefContextMenuParams; const model: ICefMenuModel);
Public | function RunContextMenu(const browser: ICefBrowser; const frame: ICefFrame; const params: ICefContextMenuParams; const model: ICefMenuModel; const callback: ICefRunContextMenuCallback): Boolean;
Public | function OnContextMenuCommand(const browser: ICefBrowser; const frame: ICefFrame; const params: ICefContextMenuParams; commandId: Integer; eventFlags: TCefEventFlags): Boolean;
Public | procedure OnContextMenuDismissed(const browser: ICefBrowser; const frame: ICefFrame);
Public | function RunQuickMenu(const browser: ICefBrowser; const frame: ICefFrame; location: PCefPoint; size: PCefSize; edit_state_flags: TCefQuickMenuEditStateFlags; const callback: ICefRunQuickMenuCallback): boolean;
Public | function OnQuickMenuCommand(const browser: ICefBrowser; const frame: ICefFrame; command_id: integer; event_flags: TCefEventFlags): boolean;
Public | procedure OnQuickMenuDismissed(const browser: ICefBrowser; const frame: ICefFrame);
Public | procedure RemoveReferences;

Description

Methods

Public procedure OnBeforeContextMenu(const browser: ICefBrowser; const frame: ICefFrame; const params: ICefContextMenuParams; const model: ICefMenuModel);

Called before a context menu is displayed. |params| provides information about the context menu state. |model| initially contains the default context menu. The |model| can be cleared to show no context menu or modified to show a custom menu. Do not keep references to |params| or |model| outside of this callback.

Attributes
GUID['{C2951895-4087-49D5-BA18-4D9BA4F5EDD7}']
Public function RunContextMenu(const browser: ICefBrowser; const frame: ICefFrame; const params: ICefContextMenuParams; const model: ICefMenuModel; const callback: ICefRunContextMenuCallback): Boolean;

Called to allow custom display of the context menu. |params| provides information about the context menu state. |model| contains the context menu model resulting from OnBeforeContextMenu. For custom display return true (1) and execute |callback| either synchronously or asynchronously with the selected command ID. For default display return false (0). Do not keep references to |params| or |model| outside of this callback.

Public function OnContextMenuCommand(const browser: ICefBrowser; const frame: ICefFrame; const params: ICefContextMenuParams; commandId: Integer; eventFlags: TCefEventFlags): Boolean;

Called to execute a command selected from the context menu. Return true (1) if the command was handled or false (0) for the default implementation. See TCefMenuId for the command ids that have default implementations. All user-defined command ids should be between MENU_ID_USER_FIRST and MENU_ID_USER_LAST. |params| will have the same values as what was passed to on_before_context_menu(). Do not keep a reference to |params| outside of this callback.

Public procedure OnContextMenuDismissed(const browser: ICefBrowser; const frame: ICefFrame);

Called when the context menu is dismissed irregardless of whether the menu was canceled or a command was selected.

Public function RunQuickMenu(const browser: ICefBrowser; const frame: ICefFrame; location: PCefPoint; size: PCefSize; edit_state_flags: TCefQuickMenuEditStateFlags; const callback: ICefRunQuickMenuCallback): boolean;

Called to allow custom display of the quick menu for a windowless browser. |location| is the top left corner of the selected region. |size| is the size of the selected region. |edit_state_flags| is a combination of flags that represent the state of the quick menu. Return true (1) if the menu will be handled and execute |callback| either synchronously or asynchronously with the selected command ID. Return false (0) to cancel the menu.

Public function OnQuickMenuCommand(const browser: ICefBrowser; const frame: ICefFrame; command_id: integer; event_flags: TCefEventFlags): boolean;

Called to execute a command selected from the quick menu for a windowless browser. Return true (1) if the command was handled or false (0) for the default implementation. See TCefMenuId for command IDs that have default implementations.

Public procedure OnQuickMenuDismissed(const browser: ICefBrowser; const frame: ICefFrame);

Called when the quick menu for a windowless browser is dismissed irregardless of whether the menu was canceled or a command was selected.

Public procedure RemoveReferences;

Custom procedure to clear all references.


cef4delphi: uCEFInterfaces: Interface ICefAccessibilityHandler

Interface ICefAccessibilityHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefAccessibilityHandler = interface(ICefBaseRefCounted)

Description

Implement this interface to receive accessibility notification when accessibility events have been registered. The functions of this interface will be called on the UI thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_accessibility_handler_capi.h">CEF source file: /include/capi/cef_accessibility_handler_capi.h (cef_accessibility_handler_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefAccessibilityHandler

Overview

Methods

Public | procedure OnAccessibilityTreeChange(const value: ICefValue);
Public | procedure OnAccessibilityLocationChange(const value: ICefValue);

Description

Methods

Public procedure OnAccessibilityTreeChange(const value: ICefValue);

Called after renderer process sends accessibility tree changes to the browser process.

Attributes
GUID['{1878C3C7-7692-44AB-BFE0-6C387106816B}']
Public procedure OnAccessibilityLocationChange(const value: ICefValue);

Called after renderer process sends accessibility location changes to the browser process.


cef4delphi: uCEFInterfaces: Interface ICefDialogHandler

Interface ICefDialogHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefDialogHandler = interface(ICefBaseRefCounted)

Description

Implement this interface to handle dialog events. The functions of this interface will be called on the browser process UI thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_dialog_handler_capi.h">CEF source file: /include/capi/cef_dialog_handler_capi.h (cef_dialog_handler_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefDialogHandler

Overview

Methods

Public | function OnFileDialog(const browser: ICefBrowser; mode: TCefFileDialogMode; const title, defaultFilePath: ustring; const acceptFilters, accept_extensions, accept_descriptions: TStrings; const callback: ICefFileDialogCallback): Boolean;
Public | procedure RemoveReferences;

Description

Methods

Public function OnFileDialog(const browser: ICefBrowser; mode: TCefFileDialogMode; const title, defaultFilePath: ustring; const acceptFilters, accept_extensions, accept_descriptions: TStrings; const callback: ICefFileDialogCallback): Boolean;

Called to run a file chooser dialog. |mode| represents the type of dialog to display. |title| to the title to be used for the dialog and may be NULL to show the default title ("Open" or "Save" depending on the mode).

|default_file_path| is the path with optional directory and/or file name component that should be initially selected in the dialog.

|accept_filters| are used to restrict the selectable file types and may be any combination of valid lower-cased MIME types (e.g. "text/*" or "image/*") and individual file extensions (e.g. ".txt" or ".png").

|accept_extensions| provides the semicolon-delimited expansion of MIME types to file extensions (if known, or NULL string otherwise).

|accept_descriptions| provides the descriptions for MIME types (if known, or NULL string otherwise). For example, the "image/*" mime type might have extensions ".png;.jpg;.bmp;..." and description "Image Files".

|accept_filters|, |accept_extensions| and |accept_descriptions| will all be the same size. To display a custom dialog return true (1) and execute |callback| either inline or at a later time. To display the default dialog return false (0). If this function returns false (0) it may be called an additional time for the same dialog (both before and after MIME type expansion).

Attributes
GUID['{7763F4B2-8BE1-4E80-AC43-8B825850DC67}']
Public procedure RemoveReferences;

Custom procedure to clear all references.


cef4delphi: uCEFInterfaces: Interface ICefRenderHandler

Interface ICefRenderHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefRenderHandler = interface(ICefBaseRefCounted)

Description

Implement this interface to handle events when window rendering is disabled. The functions of this interface will be called on the UI thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_render_handler_capi.h">CEF source file: /include/capi/cef_render_handler_capi.h (cef_render_handler_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefRenderHandler

Overview

Methods

Public | procedure GetAccessibilityHandler(var aAccessibilityHandler : ICefAccessibilityHandler);
Public | function GetRootScreenRect(const browser: ICefBrowser; var rect: TCefRect): Boolean;
Public | procedure GetViewRect(const browser: ICefBrowser; var rect: TCefRect);
Public | function GetScreenPoint(const browser: ICefBrowser; viewX, viewY: Integer; var screenX, screenY: Integer): Boolean;
Public | function GetScreenInfo(const browser: ICefBrowser; var screenInfo: TCefScreenInfo): Boolean;
Public | procedure OnPopupShow(const browser: ICefBrowser; show: Boolean);
Public | procedure OnPopupSize(const browser: ICefBrowser; const rect: PCefRect);
Public | procedure OnPaint(const browser: ICefBrowser; kind: TCefPaintElementType; dirtyRectsCount: NativeUInt; const dirtyRects: PCefRectArray; const buffer: Pointer; width, height: Integer);
Public | procedure OnAcceleratedPaint(const browser: ICefBrowser; kind: TCefPaintElementType; dirtyRectsCount: NativeUInt; const dirtyRects: PCefRectArray; const info: PCefAcceleratedPaintInfo);
Public | procedure GetTouchHandleSize(const browser: ICefBrowser; orientation: TCefHorizontalAlignment; var size: TCefSize);
Public | procedure OnTouchHandleStateChanged(const browser: ICefBrowser; const state: TCefTouchHandleState);
Public | function OnStartDragging(const browser: ICefBrowser; const dragData: ICefDragData; allowedOps: TCefDragOperations; x, y: Integer): Boolean;
Public | procedure OnUpdateDragCursor(const browser: ICefBrowser; operation: TCefDragOperation);
Public | procedure OnScrollOffsetChanged(const browser: ICefBrowser; x, y: Double);
Public | procedure OnIMECompositionRangeChanged(const browser: ICefBrowser; const selected_range: PCefRange; character_boundsCount: NativeUInt; const character_bounds: PCefRect);
Public | procedure OnTextSelectionChanged(const browser: ICefBrowser; const selected_text: ustring; const selected_range: PCefRange);
Public | procedure OnVirtualKeyboardRequested(const browser: ICefBrowser; input_mode: TCefTextInpuMode);
Public | procedure RemoveReferences;

Description

Methods

Public procedure GetAccessibilityHandler(var aAccessibilityHandler : ICefAccessibilityHandler);

Return the handler for accessibility notifications. If no handler is provided the default implementation will be used.

Attributes
GUID['{1FC1C22B-085A-4741-9366-5249B88EC410}']
Public function GetRootScreenRect(const browser: ICefBrowser; var rect: TCefRect): Boolean;

Called to retrieve the root window rectangle in screen DIP coordinates. Return true (1) if the rectangle was provided. If this function returns false (0) the rectangle from GetViewRect will be used.

Public procedure GetViewRect(const browser: ICefBrowser; var rect: TCefRect);

Called to retrieve the view rectangle in screen DIP coordinates. This function must always provide a non-NULL rectangle.

Public function GetScreenPoint(const browser: ICefBrowser; viewX, viewY: Integer; var screenX, screenY: Integer): Boolean;

Called to retrieve the translation from view DIP coordinates to screen coordinates. Windows/Linux should provide screen device (pixel) coordinates and MacOS should provide screen DIP coordinates. Return true (1) if the requested coordinates were provided.

Public function GetScreenInfo(const browser: ICefBrowser; var screenInfo: TCefScreenInfo): Boolean;

Called to allow the client to fill in the CefScreenInfo object with appropriate values. Return true (1) if the |screen_info| structure has been modified.

If the screen info rectangle is left NULL the rectangle from GetViewRect will be used. If the rectangle is still NULL or invalid popups may not be drawn correctly.

Public procedure OnPopupShow(const browser: ICefBrowser; show: Boolean);

Called when the browser wants to show or hide the popup widget. The popup should be shown if |show| is true (1) and hidden if |show| is false (0).

Public procedure OnPopupSize(const browser: ICefBrowser; const rect: PCefRect);

Called when the browser wants to move or resize the popup widget. |rect| contains the new location and size in view coordinates.

Public procedure OnPaint(const browser: ICefBrowser; kind: TCefPaintElementType; dirtyRectsCount: NativeUInt; const dirtyRects: PCefRectArray; const buffer: Pointer; width, height: Integer);

Called when an element should be painted. Pixel values passed to this function are scaled relative to view coordinates based on the value of TCefScreenInfo.device_scale_factor returned from GetScreenInfo. |type| indicates whether the element is the view or the popup widget. |buffer| contains the pixel data for the whole image. |dirtyRects| contains the set of rectangles in pixel coordinates that need to be repainted. |buffer| will be |width|*|height|*4 bytes in size and represents a BGRA image with an upper-left origin. This function is only called when TCefWindowInfo.shared_texture_enabled is set to false (0).

Public procedure OnAcceleratedPaint(const browser: ICefBrowser; kind: TCefPaintElementType; dirtyRectsCount: NativeUInt; const dirtyRects: PCefRectArray; const info: PCefAcceleratedPaintInfo);

Called when an element has been rendered to the shared texture handle. |type| indicates whether the element is the view or the popup widget. |dirtyRects| contains the set of rectangles in pixel coordinates that need to be repainted. |info| contains the shared handle; on Windows it is a HANDLE to a texture that can be opened with D3D11 OpenSharedResource, on macOS it is an IOSurface pointer that can be opened with Metal or OpenGL, and on Linux it contains several planes, each with an fd to the underlying system native buffer.

The underlying implementation uses a pool to deliver frames. As a result, the handle may differ every frame depending on how many frames are in- progress. The handle's resource cannot be cached and cannot be accessed outside of this callback. It should be reopened each time this callback is executed and the contents should be copied to a texture owned by the client application. The contents of |info| will be released back to the pool after this callback returns.

Public procedure GetTouchHandleSize(const browser: ICefBrowser; orientation: TCefHorizontalAlignment; var size: TCefSize);

Called to retrieve the size of the touch handle for the specified |orientation|.

Public procedure OnTouchHandleStateChanged(const browser: ICefBrowser; const state: TCefTouchHandleState);

Called when touch handle state is updated. The client is responsible for rendering the touch handles.

Public function OnStartDragging(const browser: ICefBrowser; const dragData: ICefDragData; allowedOps: TCefDragOperations; x, y: Integer): Boolean;

Called when the user starts dragging content in the web view. Contextual information about the dragged content is supplied by |drag_data|. (|x|, |y|) is the drag start location in screen coordinates. OS APIs that run a system message loop may be used within the StartDragging call.

Return false (0) to abort the drag operation. Don't call any of ICefBrowserHost.DragSource*Ended* functions after returning false (0).

Return true (1) to handle the drag operation. Call ICefBrowserHost.DragSourceEndedAt and DragSourceSystemDragEnded either synchronously or asynchronously to inform the web view that the drag operation has ended.

Public procedure OnUpdateDragCursor(const browser: ICefBrowser; operation: TCefDragOperation);

Called when the web view wants to update the mouse cursor during a drag & drop operation. |operation| describes the allowed operation (none, move, copy, link).

Public procedure OnScrollOffsetChanged(const browser: ICefBrowser; x, y: Double);

Called when the scroll offset has changed.

Public procedure OnIMECompositionRangeChanged(const browser: ICefBrowser; const selected_range: PCefRange; character_boundsCount: NativeUInt; const character_bounds: PCefRect);

Called when the IME composition range has changed. |selected_range| is the range of characters that have been selected. |character_bounds| is the bounds of each character in view coordinates.

Public procedure OnTextSelectionChanged(const browser: ICefBrowser; const selected_text: ustring; const selected_range: PCefRange);

Called when text selection has changed for the specified |browser|. |selected_text| is the currently selected text and |selected_range| is the character range.

Public procedure OnVirtualKeyboardRequested(const browser: ICefBrowser; input_mode: TCefTextInpuMode);

Called when an on-screen keyboard should be shown or hidden for the specified |browser|. |input_mode| specifies what kind of keyboard should be opened. If |input_mode| is CEF_TEXT_INPUT_MODE_NONE, any existing keyboard for this browser should be hidden.

Public procedure RemoveReferences;

Custom procedure to clear all references.


cef4delphi: uCEFInterfaces: Interface ICefClient

Interface ICefClient

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefClient = interface(ICefBaseRefCounted)

Description

Implement this interface to provide handler implementations.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_client_capi.h">CEF source file: /include/capi/cef_client_capi.h (cef_client_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefClient

Overview

Methods

Public | procedure GetAudioHandler(var aHandler : ICefAudioHandler);
Public | procedure GetCommandHandler(var aHandler : ICefCommandHandler);
Public | procedure GetContextMenuHandler(var aHandler : ICefContextMenuHandler);
Public | procedure GetDialogHandler(var aHandler : ICefDialogHandler);
Public | procedure GetDisplayHandler(var aHandler : ICefDisplayHandler);
Public | procedure GetDownloadHandler(var aHandler : ICefDownloadHandler);
Public | procedure GetDragHandler(var aHandler : ICefDragHandler);
Public | procedure GetFindHandler(var aHandler : ICefFindHandler);
Public | procedure GetFocusHandler(var aHandler : ICefFocusHandler);
Public | procedure GetFrameHandler(var aHandler : ICefFrameHandler);
Public | procedure GetPermissionHandler(var aHandler: ICefPermissionHandler);
Public | procedure GetJsdialogHandler(var aHandler : ICefJsdialogHandler);
Public | procedure GetKeyboardHandler(var aHandler : ICefKeyboardHandler);
Public | procedure GetLifeSpanHandler(var aHandler : ICefLifeSpanHandler);
Public | procedure GetLoadHandler(var aHandler : ICefLoadHandler);
Public | procedure GetPrintHandler(var aHandler : ICefPrintHandler);
Public | procedure GetRenderHandler(var aHandler : ICefRenderHandler);
Public | procedure GetRequestHandler(var aHandler : ICefRequestHandler);
Public | function OnProcessMessageReceived(const browser: ICefBrowser; const frame: ICefFrame; sourceProcess: TCefProcessId; const message_ : ICefProcessMessage): Boolean;
Public | procedure RemoveReferences;

Description

Methods

Public procedure GetAudioHandler(var aHandler : ICefAudioHandler);

Return the handler for audio rendering events.

Attributes
GUID['{1D502075-2FF0-4E13-A112-9E541CD811F4}']
Public procedure GetCommandHandler(var aHandler : ICefCommandHandler);

Return the handler for commands. If no handler is provided the default implementation will be used.

Public procedure GetContextMenuHandler(var aHandler : ICefContextMenuHandler);

Return the handler for context menus. If no handler is provided the default implementation will be used.

Public procedure GetDialogHandler(var aHandler : ICefDialogHandler);

Return the handler for dialogs. If no handler is provided the default implementation will be used.

Public procedure GetDisplayHandler(var aHandler : ICefDisplayHandler);

Return the handler for browser display state events.

Public procedure GetDownloadHandler(var aHandler : ICefDownloadHandler);

Return the handler for download events. If no handler is returned downloads will not be allowed.

Public procedure GetDragHandler(var aHandler : ICefDragHandler);

Return the handler for drag events.

Public procedure GetFindHandler(var aHandler : ICefFindHandler);

Return the handler for find result events.

Public procedure GetFocusHandler(var aHandler : ICefFocusHandler);

Return the handler for focus events.

Public procedure GetFrameHandler(var aHandler : ICefFrameHandler);

Return the handler for events related to ICefFrame lifespan. This function will be called once during ICefBrowser creation and the result will be cached for performance reasons.

Public procedure GetPermissionHandler(var aHandler: ICefPermissionHandler);

Return the handler for permission requests.

Public procedure GetJsdialogHandler(var aHandler : ICefJsdialogHandler);

Return the handler for JavaScript dialogs. If no handler is provided the default implementation will be used.

Public procedure GetKeyboardHandler(var aHandler : ICefKeyboardHandler);

Return the handler for keyboard events.

Public procedure GetLifeSpanHandler(var aHandler : ICefLifeSpanHandler);

Return the handler for browser life span events.

Public procedure GetLoadHandler(var aHandler : ICefLoadHandler);

Return the handler for browser load status events.

Public procedure GetPrintHandler(var aHandler : ICefPrintHandler);

Return the handler for printing on Linux. If a print handler is not provided then printing will not be supported on the Linux platform.

Public procedure GetRenderHandler(var aHandler : ICefRenderHandler);

Return the handler for off-screen rendering events.

Public procedure GetRequestHandler(var aHandler : ICefRequestHandler);

Return the handler for browser request events.

Public function OnProcessMessageReceived(const browser: ICefBrowser; const frame: ICefFrame; sourceProcess: TCefProcessId; const message_ : ICefProcessMessage): Boolean;

Called when a new message is received from a different process. Return true (1) if the message was handled or false (0) otherwise. It is safe to keep a reference to |message| outside of this callback.

Public procedure RemoveReferences;

Custom procedure to clear all references.


cef4delphi: uCEFInterfaces: Interface ICefUrlRequest

Interface ICefUrlRequest

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefUrlRequest = interface(ICefBaseRefCounted)

Description

Interface used to make a URL request. URL requests are not associated with a browser instance so no ICefClient callbacks will be executed. URL requests can be created on any valid CEF thread in either the browser or render process. Once created the functions of the URL request object must be accessed on the same thread that created it.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_urlrequest_capi.h">CEF source file: /include/capi/cef_urlrequest_capi.h (cef_urlrequest_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefUrlRequest

Overview

Methods

Public | function GetRequest: ICefRequest;
Public | function GetClient: ICefUrlrequestClient;
Public | function GetRequestStatus: TCefUrlRequestStatus;
Public | function GetRequestError: Integer;
Public | function GetResponse: ICefResponse;
Public | function GetResponseWasCached: boolean;
Public | procedure Cancel;

Properties

Public | property Request : ICefRequest read GetRequest;
Public | property Client : ICefUrlrequestClient read Getclient;
Public | property RequestStatus : TCefUrlRequestStatus read GetRequestStatus;
Public | property RequestError : Integer read GetRequestError;
Public | property Response : ICefResponse read GetResponse;
Public | property ResponseWasCached : boolean read GetResponseWasCached;

Description

Methods

Public function GetRequest: ICefRequest;

Returns the request object used to create this URL request. The returned object is read-only and should not be modified.

Attributes
GUID['{59226AC1-A0FA-4D59-9DF4-A65C42391A67}']
Public function GetClient: ICefUrlrequestClient;

Returns the client.

Public function GetRequestStatus: TCefUrlRequestStatus;

Returns the request status.

Public function GetRequestError: Integer;

Returns the request error if status is UR_CANCELED or UR_FAILED, or 0 otherwise.

Public function GetResponse: ICefResponse;

Returns the response, or NULL if no response information is available. Response information will only be available after the upload has completed. The returned object is read-only and should not be modified.

Public function GetResponseWasCached: boolean;

Returns true (1) if the response body was served from the cache. This includes responses for which revalidation was required.

Public procedure Cancel;

Cancel the request.

Properties

Public property Request : ICefRequest read GetRequest;

Returns the request object used to create this URL request. The returned object is read-only and should not be modified.

Public property Client : ICefUrlrequestClient read Getclient;

Returns the client.

Public property RequestStatus : TCefUrlRequestStatus read GetRequestStatus;

Returns the request status.

Public property RequestError : Integer read GetRequestError;

Returns the request error if status is UR_CANCELED or UR_FAILED, or 0 otherwise.

Public property Response : ICefResponse read GetResponse;

Returns true (1) if the response body was served from the cache. This includes responses for which revalidation was required.

Public property ResponseWasCached : boolean read GetResponseWasCached;

Returns true (1) if the response body was served from the cache. This includes responses for which revalidation was required.


cef4delphi: uCEFInterfaces: Interface ICefUrlrequestClient

Interface ICefUrlrequestClient

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefUrlrequestClient = interface(ICefBaseRefCounted)

Description

Interface that should be implemented by the ICefUrlRequest client. The functions of this interface will be called on the same thread that created the request unless otherwise documented.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_urlrequest_capi.h">CEF source file: /include/capi/cef_urlrequest_capi.h (cef_urlrequest_client_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefUrlrequestClient

Overview

Methods

Public | procedure OnRequestComplete(const request: ICefUrlRequest);
Public | procedure OnUploadProgress(const request: ICefUrlRequest; current, total: Int64);
Public | procedure OnDownloadProgress(const request: ICefUrlRequest; current, total: Int64);
Public | procedure OnDownloadData(const request: ICefUrlRequest; data: Pointer; dataLength: NativeUInt);
Public | function OnGetAuthCredentials(isProxy: Boolean; const host: ustring; port: Integer; const realm, scheme: ustring; const callback: ICefAuthCallback): Boolean;
Public | procedure RemoveReferences;

Description

Methods

Public procedure OnRequestComplete(const request: ICefUrlRequest);

Notifies the client that the request has completed. Use the ICefUrlRequest.GetRequestStatus function to determine if the request was successful or not.

Attributes
GUID['{114155BD-C248-4651-9A4F-26F3F9A4F737}']
Public procedure OnUploadProgress(const request: ICefUrlRequest; current, total: Int64);

Notifies the client of upload progress. |current| denotes the number of bytes sent so far and |total| is the total size of uploading data (or -1 if chunked upload is enabled). This function will only be called if the UR_FLAG_REPORT_UPLOAD_PROGRESS flag is set on the request.

Public procedure OnDownloadProgress(const request: ICefUrlRequest; current, total: Int64);

Notifies the client of download progress. |current| denotes the number of bytes received up to the call and |total| is the expected total size of the response (or -1 if not determined).

Public procedure OnDownloadData(const request: ICefUrlRequest; data: Pointer; dataLength: NativeUInt);

Called when some part of the response is read. |data| contains the current bytes received since the last call. This function will not be called if the UR_FLAG_NO_DOWNLOAD_DATA flag is set on the request.

Public function OnGetAuthCredentials(isProxy: Boolean; const host: ustring; port: Integer; const realm, scheme: ustring; const callback: ICefAuthCallback): Boolean;

Called on the IO thread when the browser needs credentials from the user. |isProxy| indicates whether the host is a proxy server. |host| contains the hostname and |port| contains the port number. Return true (1) to continue the request and call ICefAuthCallback.cont() when the authentication information is available. If the request has an associated browser/frame then returning false (0) will result in a call to GetAuthCredentials on the ICefRequestHandler associated with that browser, if any. Otherwise, returning false (0) will cancel the request immediately. This function will only be called for requests initiated from the browser process.

Public procedure RemoveReferences;

Custom procedure to clear all references.


cef4delphi: uCEFInterfaces: Interface ICefEndTracingCallback

Interface ICefEndTracingCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefEndTracingCallback = interface(ICefBaseRefCounted)

Description

Implement this interface to receive notification when tracing has completed. The functions of this interface will be called on the browser process UI thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_trace_capi.h">CEF source file: /include/capi/cef_trace_capi.h (cef_end_tracing_callback_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefEndTracingCallback

Overview

Methods

Public procedure OnEndTracingComplete(const tracingFile: ustring);

Description

Methods

Public procedure OnEndTracingComplete(const tracingFile: ustring);

Called after all processes have sent their trace data. |tracing_file| is the path at which tracing data was written. The client is responsible for deleting |tracing_file|.

Attributes
GUID['{79020EBE-9D1D-49A6-9714-8778FE8929F2}']


cef4delphi: uCEFInterfaces: Interface ICefFileDialogCallback

Interface ICefFileDialogCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefFileDialogCallback = interface(ICefBaseRefCounted)

Description

Callback interface for asynchronous continuation of file dialog requests.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_dialog_handler_capi.h">CEF source file: /include/capi/cef_dialog_handler_capi.h (cef_file_dialog_callback_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefFileDialogCallback

Overview

Methods

Public | procedure Cont(const filePaths: TStrings);
Public | procedure Cancel;

Description

Methods

Public procedure Cont(const filePaths: TStrings);

Continue the file selection. |file_paths| should be a single value or a list of values depending on the dialog mode. An NULL |file_paths| value is treated the same as calling cancel().

Attributes
GUID['{1AF659AB-4522-4E39-9C52-184000D8E3C7}']
Public procedure Cancel;

Cancel the file selection.


cef4delphi: uCEFInterfaces: Interface ICefUnresponsiveProcessCallback

Interface ICefUnresponsiveProcessCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefUnresponsiveProcessCallback = interface(ICefBaseRefCounted)

Description

Callback structure for asynchronous handling of an unresponsive process.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_unresponsive_process_callback_capi.h">CEF source file: /include/capi/cef_unresponsive_process_callback_capi.h (cef_unresponsive_process_callback_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefUnresponsiveProcessCallback

Overview

Methods

Public | procedure Wait;
Public | procedure Terminate;

Description

Methods

Public procedure Wait;

Reset the timeout for the unresponsive process.

Attributes
GUID['{3E4F2B66-5AAF-4906-B946-C114D0E43C13}']
Public procedure Terminate;

Terminate the unresponsive process.


cef4delphi: uCEFInterfaces: Interface ICefDragData

Interface ICefDragData

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefDragData = interface(ICefBaseRefCounted)

Description

Interface used to represent drag data. The functions of this interface may be called on any thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_drag_data_capi.h">CEF source file: /include/capi/cef_drag_data_capi.h (cef_drag_data_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefDragData

Overview

Methods

Public | function Clone: ICefDragData;
Public | function IsReadOnly: Boolean;
Public | function IsLink: Boolean;
Public | function IsFragment: Boolean;
Public | function IsFile: Boolean;
Public | function GetLinkUrl: ustring;
Public | function GetLinkTitle: ustring;
Public | function GetLinkMetadata: ustring;
Public | function GetFragmentText: ustring;
Public | function GetFragmentHtml: ustring;
Public | function GetFragmentBaseUrl: ustring;
Public | function GetFileName: ustring;
Public | function GetFileContents(const writer: ICefStreamWriter): NativeUInt;
Public | function GetFileNames(var names: TStrings): Integer;
Public | function GetFilePaths(var paths: TStrings): Integer;
Public | procedure SetLinkUrl(const url: ustring);
Public | procedure SetLinkTitle(const title: ustring);
Public | procedure SetLinkMetadata(const data: ustring);
Public | procedure SetFragmentText(const text: ustring);
Public | procedure SetFragmentHtml(const html: ustring);
Public | procedure SetFragmentBaseUrl(const baseUrl: ustring);
Public | procedure ResetFileContents;
Public | procedure AddFile(const path, displayName: ustring);
Public | procedure ClearFilenames;
Public | function GetImage: ICefImage;
Public | function GetImageHotspot: TCefPoint;
Public | function HasImage: boolean;

Description

Methods

Public function Clone: ICefDragData;

Returns a copy of the current object.

Attributes
GUID['{FBB6A487-F633-4055-AB3E-6619EDE75683}']
Public function IsReadOnly: Boolean;

Returns true (1) if this object is read-only.

Public function IsLink: Boolean;

Returns true (1) if the drag data is a link.

Public function IsFragment: Boolean;

Returns true (1) if the drag data is a text or html fragment.

Public function IsFile: Boolean;

Returns true (1) if the drag data is a file.

Public function GetLinkUrl: ustring;

Return the link URL that is being dragged.

Public function GetLinkTitle: ustring;

Return the title associated with the link being dragged.

Public function GetLinkMetadata: ustring;

Return the metadata, if any, associated with the link being dragged.

Public function GetFragmentText: ustring;

Return the plain text fragment that is being dragged.

Public function GetFragmentHtml: ustring;

Return the text/html fragment that is being dragged.

Public function GetFragmentBaseUrl: ustring;

Return the base URL that the fragment came from. This value is used for resolving relative URLs and may be NULL.

Public function GetFileName: ustring;

Return the name of the file being dragged out of the browser window.

Public function GetFileContents(const writer: ICefStreamWriter): NativeUInt;

Write the contents of the file being dragged out of the web view into |writer|. Returns the number of bytes sent to |writer|. If |writer| is NULL this function will return the size of the file contents in bytes. Call get_file_name() to get a suggested name for the file.

Public function GetFileNames(var names: TStrings): Integer;

Retrieve the list of file names that are being dragged into the browser window.

Public function GetFilePaths(var paths: TStrings): Integer;

Retrieve the list of file paths that are being dragged into the browser window.

Public procedure SetLinkUrl(const url: ustring);

Set the link URL that is being dragged.

Public procedure SetLinkTitle(const title: ustring);

Set the title associated with the link being dragged.

Public procedure SetLinkMetadata(const data: ustring);

Set the metadata associated with the link being dragged.

Public procedure SetFragmentText(const text: ustring);

Set the plain text fragment that is being dragged.

Public procedure SetFragmentHtml(const html: ustring);

Set the text/html fragment that is being dragged.

Public procedure SetFragmentBaseUrl(const baseUrl: ustring);

Set the base URL that the fragment came from.

Public procedure ResetFileContents;

Reset the file contents. You should do this before calling ICefBrowserHost.DragTargetDragEnter as the web view does not allow us to drag in this kind of data.

Public procedure AddFile(const path, displayName: ustring);

Add a file that is being dragged into the webview.

Public procedure ClearFilenames;

Clear list of filenames.

Public function GetImage: ICefImage;

Get the image representation of drag data. May return NULL if no image representation is available.

Public function GetImageHotspot: TCefPoint;

Get the image hotspot (drag start location relative to image dimensions).

Public function HasImage: boolean;

Returns true (1) if an image representation of drag data is available.


cef4delphi: uCEFInterfaces: Interface ICefDragHandler

Interface ICefDragHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefDragHandler = interface(ICefBaseRefCounted)

Description

Implement this interface to handle events related to dragging. The functions of this interface will be called on the UI thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_drag_handler_capi.h">CEF source file: /include/capi/cef_drag_handler_capi.h (cef_drag_handler_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefDragHandler

Overview

Methods

Public | function OnDragEnter(const browser: ICefBrowser; const dragData: ICefDragData; mask: TCefDragOperations): Boolean;
Public | procedure OnDraggableRegionsChanged(const browser: ICefBrowser; const frame: ICefFrame; regionsCount: NativeUInt; const regions: PCefDraggableRegionArray);
Public | procedure RemoveReferences;

Description

Methods

Public function OnDragEnter(const browser: ICefBrowser; const dragData: ICefDragData; mask: TCefDragOperations): Boolean;

Called when an external drag event enters the browser window. |dragData| contains the drag event data and |mask| represents the type of drag operation. Return false (0) for default drag handling behavior or true (1) to cancel the drag event.

Attributes
GUID['{59A89579-5B18-489F-A25C-5CC25FF831FC}']
Public procedure OnDraggableRegionsChanged(const browser: ICefBrowser; const frame: ICefFrame; regionsCount: NativeUInt; const regions: PCefDraggableRegionArray);

Called whenever draggable regions for the browser window change. These can be specified using the '-webkit-app-region: drag/no-drag' CSS-property. If draggable regions are never defined in a document this function will also never be called. If the last draggable region is removed from a document this function will be called with an NULL vector.

Public procedure RemoveReferences;

Custom procedure to clear all references.


cef4delphi: uCEFInterfaces: Interface ICefFindHandler

Interface ICefFindHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefFindHandler = interface(ICefBaseRefCounted)

Description

Implement this interface to handle events related to find results. The functions of this interface will be called on the UI thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_find_handler_capi.h">CEF source file: /include/capi/cef_find_handler_capi.h (cef_find_handler_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefFindHandler

Overview

Methods

Public | procedure OnFindResult(const browser: ICefBrowser; identifier, count: Integer; const selectionRect: PCefRect; activeMatchOrdinal: Integer; finalUpdate: Boolean);
Public | procedure RemoveReferences;

Description

Methods

Public procedure OnFindResult(const browser: ICefBrowser; identifier, count: Integer; const selectionRect: PCefRect; activeMatchOrdinal: Integer; finalUpdate: Boolean);

Called to report find results returned by ICefBrowserHost.find(). |identifer| is a unique incremental identifier for the currently active search, |count| is the number of matches currently identified, |selectionRect| is the location of where the match was found (in window coordinates), |activeMatchOrdinal| is the current position in the search results, and |finalUpdate| is true (1) if this is the last find notification.

Attributes
GUID['{F20DF234-BD43-42B3-A80B-D354A9E5B787}']
Public procedure RemoveReferences;

Custom procedure to clear all references.


cef4delphi: uCEFInterfaces: Interface ICefRequestContextHandler

Interface ICefRequestContextHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefRequestContextHandler = interface(ICefBaseRefCounted)

Description

Implement this interface to provide handler implementations. The handler instance will not be released until all objects related to the context have been destroyed.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_request_context_handler_capi.h">CEF source file: /include/capi/cef_request_context_handler_capi.h (cef_request_context_handler_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefRequestContextHandler

Overview

Methods

Public | procedure OnRequestContextInitialized(const request_context: ICefRequestContext);
Public | procedure GetResourceRequestHandler(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; is_navigation, is_download: boolean; const request_initiator: ustring; var disable_default_handling: boolean; var aResourceRequestHandler : ICefResourceRequestHandler);
Public | procedure RemoveReferences;

Description

Methods

Public procedure OnRequestContextInitialized(const request_context: ICefRequestContext);

Called on the browser process UI thread immediately after the request context has been initialized.

Attributes
GUID['{76EB1FA7-78DF-4FD5-ABB3-1CDD3E73A140}']
Public procedure GetResourceRequestHandler(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; is_navigation, is_download: boolean; const request_initiator: ustring; var disable_default_handling: boolean; var aResourceRequestHandler : ICefResourceRequestHandler);

Called on the browser process IO thread before a resource request is initiated. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. |request| represents the request contents and cannot be modified in this callback. |is_navigation| will be true (1) if the resource request is a navigation. |is_download| will be true (1) if the resource request is a download. |request_initiator| is the origin (scheme + domain) of the page that initiated the request. Set |disable_default_handling| to true (1) to disable default handling of the request, in which case it will need to be handled via ICefResourceRequestHandler.GetResourceHandler or it will be canceled. To allow the resource load to proceed with default handling return NULL. To specify a handler for the resource return a ICefResourceRequestHandler object. This function will not be called if the client associated with |browser| returns a non-NULL value from ICefRequestHandler.GetResourceRequestHandler for the same request (identified by ICefRequest.GetIdentifier).

Public procedure RemoveReferences;

Custom procedure to clear all references.


cef4delphi: uCEFInterfaces: Interface ICefResolveCallback

Interface ICefResolveCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefResolveCallback = interface(ICefBaseRefCounted)

Description

Callback interface for ICefRequestContext.ResolveHost.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_request_context_capi.h">CEF source file: /include/capi/cef_request_context_capi.h (cef_resolve_callback_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefResolveCallback

Overview

Methods

Public procedure OnResolveCompleted(result: TCefErrorCode; const resolvedIps: TStrings);

Description

Methods

Public procedure OnResolveCompleted(result: TCefErrorCode; const resolvedIps: TStrings);

Called on the UI thread after the ResolveHost request has completed. |result| will be the result code. |resolved_ips| will be the list of resolved IP addresses or NULL if the resolution failed.

Attributes
GUID['{0C0EA252-7968-4163-A1BE-A1453576DD06}']


cef4delphi: uCEFInterfaces: Interface ICefPreferenceObserver

Interface ICefPreferenceObserver

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefPreferenceObserver = interface(ICefBaseRefCounted)

Description

Implemented by the client to observe preference changes and registered via ICefPreferenceManager.AddPreferenceObserver. The functions of this structure will be called on the browser process UI thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_preference_capi.h">CEF source file: /include/capi/cef_preference_capi.h (cef_preference_observer_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefPreferenceObserver

Overview

Methods

Public procedure OnPreferenceChanged(const name : ustring);

Description

Methods

Public procedure OnPreferenceChanged(const name : ustring);

Called when a preference has changed. The new value can be retrieved using ICefPreferenceManager.GetPreference.

Attributes
GUID['{874985B5-2DA9-47E6-9E5F-4151BAF5A444}']


cef4delphi: uCEFInterfaces: Interface ICefPreferenceManager

Interface ICefPreferenceManager

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefPreferenceManager = interface(ICefBaseRefCounted)

Description

Manage access to preferences. Many built-in preferences are registered by Chromium. Custom preferences can be registered in ICefBrowserProcessHandler.OnRegisterCustomPreferences.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_preference_capi.h">CEF source file: /include/capi/cef_preference_capi.h (cef_preference_manager_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefPreferenceManager

Overview

Methods

Public | function HasPreference(const name: ustring): Boolean;
Public | function GetPreference(const name: ustring): ICefValue;
Public | function GetAllPreferences(includeDefaults: Boolean): ICefDictionaryValue;
Public | function CanSetPreference(const name: ustring): Boolean;
Public | function SetPreference(const name: ustring; const value: ICefValue; out error: ustring): Boolean;
Public | function AddPreferenceObserver(const name: ustring; const observer: ICefPreferenceObserver): ICefRegistration;

Description

Methods

Public function HasPreference(const name: ustring): Boolean;

Returns true (1) if a preference with the specified |name| exists. This function must be called on the browser process UI thread.

Attributes
GUID['{E8231D35-D028-4E64-BFDB-7E4596027DEC}']
Public function GetPreference(const name: ustring): ICefValue;

Returns the value for the preference with the specified |name|. Returns NULL if the preference does not exist. The returned object contains a copy of the underlying preference value and modifications to the returned object will not modify the underlying preference value. This function must be called on the browser process UI thread.

Public function GetAllPreferences(includeDefaults: Boolean): ICefDictionaryValue;

Returns all preferences as a dictionary. If |include_defaults| is true (1) then preferences currently at their default value will be included. The returned object contains a copy of the underlying preference values and modifications to the returned object will not modify the underlying preference values. This function must be called on the browser process UI thread.

Public function CanSetPreference(const name: ustring): Boolean;

Returns true (1) if the preference with the specified |name| can be modified using SetPreference. As one example preferences set via the command-line usually cannot be modified. This function must be called on the browser process UI thread.

Public function SetPreference(const name: ustring; const value: ICefValue; out error: ustring): Boolean;

Set the |value| associated with preference |name|. Returns true (1) if the value is set successfully and false (0) otherwise. If |value| is NULL the preference will be restored to its default value. If setting the preference fails then |error| will be populated with a detailed description of the problem. This function must be called on the browser process UI thread.

Public function AddPreferenceObserver(const name: ustring; const observer: ICefPreferenceObserver): ICefRegistration;

Add an observer for preference changes. |name| is the name of the preference to observe. If |name| is NULL then all preferences will be observed. Observing all preferences has performance consequences and is not recommended outside of testing scenarios. The observer will remain registered until the returned Registration object is destroyed. This function must be called on the browser process UI thread.


cef4delphi: uCEFInterfaces: Interface ICefSettingObserver

Interface ICefSettingObserver

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefSettingObserver = interface(ICefBaseRefCounted)

Description

Implemented by the client to observe content and website setting changes and registered via ICefRequestContext.AddSettingObserver. The functions of this structure will be called on the browser process UI thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_preference_capi.h">CEF source file: /include/capi/cef_preference_capi.h (cef_setting_observer_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefSettingObserver

Overview

Methods

Public procedure OnSettingChanged(const requesting_url, top_level_url : ustring; content_type: TCefContentSettingTypes);

Description

Methods

Public procedure OnSettingChanged(const requesting_url, top_level_url : ustring; content_type: TCefContentSettingTypes);

Called when a content or website setting has changed. The new value can be retrieved using ICefRequestContext.GetContentSetting or ICefRequestContext.GetWebsiteSetting.

Attributes
GUID['{84E0FD25-F337-451F-9661-3D2E5844882C}']


cef4delphi: uCEFInterfaces: Interface ICefRequestContext

Interface ICefRequestContext

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefRequestContext = interface(ICefPreferenceManager)

Description

A request context provides request handling for a set of related browser or URL request objects. A request context can be specified when creating a new browser via the ICefBrowserHost static factory functions or when creating a new URL request via the ICefUrlRequest static factory functions. Browser objects with different request contexts will never be hosted in the same render process. Browser objects with the same request context may or may not be hosted in the same render process depending on the process model. Browser objects created indirectly via the JavaScript window.open function or targeted links will share the same render process and the same request context as the source browser. When running in single-process mode there is only a single render process (the main process) and so all browsers created in single-process mode will share the same request context. This will be the first request context passed into a ICefBrowserHost static factory function and all other request context objects will be ignored.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_request_context_capi.h">CEF source file: /include/capi/cef_request_context_capi.h (cef_request_context_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefPreferenceManager
  • ICefRequestContext

Overview

Methods

Public | function IsSame(const other: ICefRequestContext): Boolean;
Public | function IsSharingWith(const other: ICefRequestContext): Boolean;
Public | function IsGlobal: Boolean;
Public | function GetHandler: ICefRequestContextHandler;
Public | function GetCachePath: ustring;
Public | function GetCookieManager(const callback: ICefCompletionCallback): ICefCookieManager;
Public | function GetCookieManagerProc(const callback: TCefCompletionCallbackProc): ICefCookieManager;
Public | function RegisterSchemeHandlerFactory(const schemeName, domainName: ustring; const factory: ICefSchemeHandlerFactory): Boolean;
Public | function ClearSchemeHandlerFactories: Boolean;
Public | procedure ClearCertificateExceptions(const callback: ICefCompletionCallback);
Public | procedure ClearHttpAuthCredentials(const callback: ICefCompletionCallback);
Public | procedure CloseAllConnections(const callback: ICefCompletionCallback);
Public | procedure ResolveHost(const origin: ustring; const callback: ICefResolveCallback);
Public | function GetMediaRouter(const callback: ICefCompletionCallback): ICefMediaRouter;
Public | function GetWebsiteSetting(const requesting_url, top_level_url: ustring; content_type: TCefContentSettingTypes): ICefValue;
Public | procedure SetWebsiteSetting(const requesting_url, top_level_url: ustring; content_type: TCefContentSettingTypes; const value: ICefValue);
Public | function GetContentSetting(const requesting_url, top_level_url: ustring; content_type: TCefContentSettingTypes): TCefContentSettingValues;
Public | procedure SetContentSetting(const requesting_url, top_level_url: ustring; content_type: TCefContentSettingTypes; value: TCefContentSettingValues);
Public | procedure SetChromeColorScheme(variant: TCefColorVariant; user_color: TCefColor);
Public | function GetChromeColorSchemeMode: TCefColorVariant;
Public | function GetChromeColorSchemeColor: TCefColor;
Public | function GetChromeColorSchemeVariant: TCefColorVariant;
Public | function AddSettingObserver(const observer: ICefSettingObserver): ICefRegistration;

Properties

Public | property CachePath : ustring read GetCachePath;
Public | property IsGlobalContext : boolean read IsGlobal;
Public | property ChromeColorSchemeMode : TCefColorVariant read GetChromeColorSchemeMode;
Public | property ChromeColorSchemeColor : TCefColor read GetChromeColorSchemeColor;
Public | property ChromeColorSchemeVariant : TCefColorVariant read GetChromeColorSchemeVariant;

Description

Methods

Public function IsSame(const other: ICefRequestContext): Boolean;

Returns true (1) if this object is pointing to the same context as |that| object.

Attributes
GUID['{5830847A-2971-4BD5-ABE6-21451F8923F7}']
Public function IsSharingWith(const other: ICefRequestContext): Boolean;

Returns true (1) if this object is sharing the same storage as |that| object.

Public function IsGlobal: Boolean;

Returns true (1) if this object is the global context. The global context is used by default when creating a browser or URL request with a NULL context argument.

Public function GetHandler: ICefRequestContextHandler;

Returns the handler for this context if any.

Public function GetCachePath: ustring;

Returns the cache path for this object. If NULL an "incognito mode" in- memory cache is being used.

Public function GetCookieManager(const callback: ICefCompletionCallback): ICefCookieManager;

Returns the cookie manager for this object. If |callback| is non-NULL it will be executed asnychronously on the UI thread after the manager's storage has been initialized.

Public function GetCookieManagerProc(const callback: TCefCompletionCallbackProc): ICefCookieManager;

Returns the cookie manager for this object. If |callback| is non-NULL it will be executed asnychronously on the UI thread after the manager's storage has been initialized.

Public function RegisterSchemeHandlerFactory(const schemeName, domainName: ustring; const factory: ICefSchemeHandlerFactory): Boolean;

Register a scheme handler factory for the specified |scheme_name| and optional |domain_name|. An NULL |domain_name| value for a standard scheme will cause the factory to match all domain names. The |domain_name| value will be ignored for non-standard schemes. If |scheme_name| is a built-in scheme and no handler is returned by |factory| then the built-in scheme handler factory will be called. If |scheme_name| is a custom scheme then you must also implement the ICefApp.OnRegisterCustomSchemes() function in all processes. This function may be called multiple times to change or remove the factory that matches the specified |scheme_name| and optional |domain_name|. Returns false (0) if an error occurs. This function may be called on any thread in the browser process.

Public function ClearSchemeHandlerFactories: Boolean;

Clear all registered scheme handler factories. Returns false (0) on error. This function may be called on any thread in the browser process.

Public procedure ClearCertificateExceptions(const callback: ICefCompletionCallback);

Clears all certificate exceptions that were added as part of handling ICefRequestHandler.OnCertificateError(). If you call this it is recommended that you also call CloseAllConnections() or you risk not being prompted again for server certificates if you reconnect quickly. If |callback| is non-NULL it will be executed on the UI thread after completion.

Public procedure ClearHttpAuthCredentials(const callback: ICefCompletionCallback);

Clears all HTTP authentication credentials that were added as part of handling GetAuthCredentials. If |callback| is non-NULL it will be executed on the UI thread after completion.

Public procedure CloseAllConnections(const callback: ICefCompletionCallback);

Clears all active and idle connections that Chromium currently has. This is only recommended if you have released all other CEF objects but don't yet want to call cef_shutdown(). If |callback| is non-NULL it will be executed on the UI thread after completion.

Public procedure ResolveHost(const origin: ustring; const callback: ICefResolveCallback);

Attempts to resolve |origin| to a list of associated IP addresses. |callback| will be executed on the UI thread after completion.

Public function GetMediaRouter(const callback: ICefCompletionCallback): ICefMediaRouter;

Returns the MediaRouter object associated with this context. If |callback| is non-NULL it will be executed asnychronously on the UI thread after the manager's context has been initialized.

Public function GetWebsiteSetting(const requesting_url, top_level_url: ustring; content_type: TCefContentSettingTypes): ICefValue;

Returns the current value for |content_type| that applies for the specified URLs. If both URLs are NULL the default value will be returned. Returns nullptr if no value is configured. Must be called on the browser process UI thread.

Public procedure SetWebsiteSetting(const requesting_url, top_level_url: ustring; content_type: TCefContentSettingTypes; const value: ICefValue);

Sets the current value for |content_type| for the specified URLs in the default scope. If both URLs are NULL, and the context is not incognito, the default value will be set. Pass nullptr for |value| to remove the default value for this content type.

WARNING: Incorrect usage of this function may cause instability or security issues in Chromium. Make sure that you first understand the potential impact of any changes to |content_type| by reviewing the related source code in Chromium. For example, if you plan to modify CEF_CONTENT_SETTING_TYPE_POPUPS, first review and understand the usage of ContentSettingsType::POPUPS in Chromium: https://source.chromium.org/search?q=ContentSettingsType::POPUPS

Public function GetContentSetting(const requesting_url, top_level_url: ustring; content_type: TCefContentSettingTypes): TCefContentSettingValues;

Returns the current value for |content_type| that applies for the specified URLs. If both URLs are NULL the default value will be returned. Returns CEF_CONTENT_SETTING_VALUE_DEFAULT if no value is configured. Must be called on the browser process UI thread.

Public procedure SetContentSetting(const requesting_url, top_level_url: ustring; content_type: TCefContentSettingTypes; value: TCefContentSettingValues);

Sets the current value for |content_type| for the specified URLs in the default scope. If both URLs are NULL, and the context is not incognito, the default value will be set. Pass CEF_CONTENT_SETTING_VALUE_DEFAULT for |value| to use the default value for this content type.

WARNING: Incorrect usage of this function may cause instability or security issues in Chromium. Make sure that you first understand the potential impact of any changes to |content_type| by reviewing the related source code in Chromium. For example, if you plan to modify CEF_CONTENT_SETTING_TYPE_POPUPS, first review and understand the usage of ContentSettingsType::POPUPS in Chromium: https://source.chromium.org/search?q=ContentSettingsType::POPUPS

Public procedure SetChromeColorScheme(variant: TCefColorVariant; user_color: TCefColor);

Sets the Chrome color scheme for all browsers that share this request context. |variant| values of SYSTEM, LIGHT and DARK change the underlying color mode (e.g. light vs dark). Other |variant| values determine how |user_color| will be applied in the current color mode. If |user_color| is transparent (0) the default color will be used.

Public function GetChromeColorSchemeMode: TCefColorVariant;

Returns the current Chrome color scheme mode (SYSTEM, LIGHT or DARK). Must be called on the browser process UI thread.

Public function GetChromeColorSchemeColor: TCefColor;

Returns the current Chrome color scheme color, or transparent (0) for the default color. Must be called on the browser process UI thread.

Public function GetChromeColorSchemeVariant: TCefColorVariant;

Returns the current Chrome color scheme variant. Must be called on the browser process UI thread.

Public function AddSettingObserver(const observer: ICefSettingObserver): ICefRegistration;

Add an observer for content and website setting changes. The observer will remain registered until the returned Registration object is destroyed. This function must be called on the browser process UI thread.

Properties

Public property CachePath : ustring read GetCachePath;

Returns the cache path for this object. If NULL an "incognito mode" in- memory cache is being used.

Public property IsGlobalContext : boolean read IsGlobal;

Returns true (1) if this object is the global context. The global context is used by default when creating a browser or URL request with a NULL context argument.

Public property ChromeColorSchemeMode : TCefColorVariant read GetChromeColorSchemeMode;

Returns the current Chrome color scheme mode (SYSTEM, LIGHT or DARK). Must be called on the browser process UI thread.

Public property ChromeColorSchemeColor : TCefColor read GetChromeColorSchemeColor;

Returns the current Chrome color scheme color, or transparent (0) for the default color. Must be called on the browser process UI thread.

Public property ChromeColorSchemeVariant : TCefColorVariant read GetChromeColorSchemeVariant;

Returns the current Chrome color scheme variant. Must be called on the browser process UI thread.


cef4delphi: uCEFInterfaces: Interface ICefPrintSettings

Interface ICefPrintSettings

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefPrintSettings = interface(ICefBaseRefCounted)

Description

Interface representing print settings.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_print_settings_capi.h">CEF source file: /include/capi/cef_print_settings_capi.h (cef_print_settings_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefPrintSettings

Overview

Methods

Public | function IsValid: Boolean;
Public | function IsReadOnly: Boolean;
Public | procedure SetOrientation(landscape: Boolean);
Public | function IsLandscape: Boolean;
Public | procedure SetPrinterPrintableArea(const physicalSizeDeviceUnits: PCefSize; const printableAreaDeviceUnits: PCefRect; landscapeNeedsFlip: Boolean);
Public | procedure SetDeviceName(const name: ustring);
Public | function GetDeviceName: ustring;
Public | procedure SetDpi(dpi: Integer);
Public | function GetDpi: Integer;
Public | procedure SetPageRanges(const ranges: TCefRangeArray);
Public | function GetPageRangesCount: NativeUInt;
Public | procedure GetPageRanges(out ranges: TCefRangeArray);
Public | procedure SetSelectionOnly(selectionOnly: Boolean);
Public | function IsSelectionOnly: Boolean;
Public | procedure SetCollate(collate: Boolean);
Public | function WillCollate: Boolean;
Public | procedure SetColorModel(model: TCefColorModel);
Public | function GetColorModel: TCefColorModel;
Public | procedure SetCopies(copies: Integer);
Public | function GetCopies: Integer;
Public | procedure SetDuplexMode(mode: TCefDuplexMode);
Public | function GetDuplexMode: TCefDuplexMode;

Properties

Public | property Landscape : Boolean read IsLandscape write SetOrientation;
Public | property DeviceName : ustring read GetDeviceName write SetDeviceName;
Public | property Dpi : Integer read GetDpi write SetDpi;
Public | property SelectionOnly : Boolean read IsSelectionOnly write SetSelectionOnly;
Public | property Collate : Boolean read WillCollate write SetCollate;
Public | property ColorModel : TCefColorModel read GetColorModel write SetColorModel;
Public | property Copies : Integer read GetCopies write SetCopies;
Public | property DuplexMode : TCefDuplexMode read GetDuplexMode write SetDuplexMode;

Description

Methods

Public function IsValid: Boolean;

Returns true (1) if this object is valid. Do not call any other functions if this function returns false (0).

Attributes
GUID['{ACBD2395-E9C1-49E5-B7F3-344DAA4A0F12}']
Public function IsReadOnly: Boolean;

Returns true (1) if the values of this object are read-only. Some APIs may expose read-only objects.

Public procedure SetOrientation(landscape: Boolean);

Set the page orientation.

Public function IsLandscape: Boolean;

Returns true (1) if the orientation is landscape.

Public procedure SetPrinterPrintableArea(const physicalSizeDeviceUnits: PCefSize; const printableAreaDeviceUnits: PCefRect; landscapeNeedsFlip: Boolean);

Set the printer printable area in device units. Some platforms already provide flipped area. Set |landscape_needs_flip| to false (0) on those platforms to avoid double flipping.

Public procedure SetDeviceName(const name: ustring);

Set the device name.

Public function GetDeviceName: ustring;

Get the device name.

Public procedure SetDpi(dpi: Integer);

Set the DPI (dots per inch).

Public function GetDpi: Integer;

Get the DPI (dots per inch).

Public procedure SetPageRanges(const ranges: TCefRangeArray);

Set the page ranges.

Public function GetPageRangesCount: NativeUInt;

Returns the number of page ranges that currently exist.

Public procedure GetPageRanges(out ranges: TCefRangeArray);

Retrieve the page ranges.

Public procedure SetSelectionOnly(selectionOnly: Boolean);

Set whether only the selection will be printed.

Public function IsSelectionOnly: Boolean;

Returns true (1) if only the selection will be printed.

Public procedure SetCollate(collate: Boolean);

Set whether pages will be collated.

Public function WillCollate: Boolean;

Returns true (1) if pages will be collated.

Public procedure SetColorModel(model: TCefColorModel);

Set the color model.

Public function GetColorModel: TCefColorModel;

Get the color model.

Public procedure SetCopies(copies: Integer);

Set the number of copies.

Public function GetCopies: Integer;

Get the number of copies.

Public procedure SetDuplexMode(mode: TCefDuplexMode);

Set the duplex mode.

Public function GetDuplexMode: TCefDuplexMode;

Get the duplex mode.

Properties

Public property Landscape : Boolean read IsLandscape write SetOrientation;

Returns true (1) if the orientation is landscape.

Public property DeviceName : ustring read GetDeviceName write SetDeviceName;

Get the device name.

Public property Dpi : Integer read GetDpi write SetDpi;

Get the DPI (dots per inch).

Public property SelectionOnly : Boolean read IsSelectionOnly write SetSelectionOnly;

Returns true (1) if only the selection will be printed.

Public property Collate : Boolean read WillCollate write SetCollate;

Returns true (1) if pages will be collated.

Public property ColorModel : TCefColorModel read GetColorModel write SetColorModel;

Get the color model.

Public property Copies : Integer read GetCopies write SetCopies;

Get the number of copies.

Public property DuplexMode : TCefDuplexMode read GetDuplexMode write SetDuplexMode;

Get the duplex mode.


cef4delphi: uCEFInterfaces: Interface ICefPrintDialogCallback

Interface ICefPrintDialogCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefPrintDialogCallback = interface(ICefBaseRefCounted)

Description

Callback interface for asynchronous continuation of print dialog requests.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_print_handler_capi.h">CEF source file: /include/capi/cef_print_handler_capi.h (cef_print_dialog_callback_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefPrintDialogCallback

Overview

Methods

Public | procedure cont(const settings: ICefPrintSettings);
Public | procedure cancel;

Description

Methods

Public procedure cont(const settings: ICefPrintSettings);

Continue printing with the specified |settings|.

Attributes
GUID['{1D7FB71E-0019-4A80-95ED-91DDD019253B}']
Public procedure cancel;

Cancel the printing.


cef4delphi: uCEFInterfaces: Interface ICefPrintJobCallback

Interface ICefPrintJobCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefPrintJobCallback = interface(ICefBaseRefCounted)

Description

Callback interface for asynchronous continuation of print job requests.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_print_handler_capi.h">CEF source file: /include/capi/cef_print_handler_capi.h (cef_print_job_callback_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefPrintJobCallback

Overview

Methods

Public procedure cont;

Description

Methods

Public procedure cont;

Indicate completion of the print job.

Attributes
GUID['{5554852A-052C-464B-A868-B618C7E7E2FD}']


cef4delphi: uCEFInterfaces: Interface ICefPrintHandler

Interface ICefPrintHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefPrintHandler = interface(ICefBaseRefCounted)

Description

Implement this interface to handle printing on Linux. Each browser will have only one print job in progress at a time. The functions of this interface will be called on the browser process UI thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_print_handler_capi.h">CEF source file: /include/capi/cef_print_handler_capi.h (cef_print_handler_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefPrintHandler

Overview

Methods

Public | procedure OnPrintStart(const browser: ICefBrowser);
Public | procedure OnPrintSettings(const browser: ICefBrowser; const settings: ICefPrintSettings; getDefaults: boolean);
Public | procedure OnPrintDialog(const browser: ICefBrowser; hasSelection: boolean; const callback: ICefPrintDialogCallback; var aResult: boolean);
Public | procedure OnPrintJob(const browser: ICefBrowser; const documentName, PDFFilePath: ustring; const callback: ICefPrintJobCallback; var aResult: boolean);
Public | procedure OnPrintReset(const browser: ICefBrowser);
Public | procedure GetPDFPaperSize(const browser: ICefBrowser; deviceUnitsPerInch: integer; var aResult: TCefSize);
Public | procedure RemoveReferences;

Description

Methods

Public procedure OnPrintStart(const browser: ICefBrowser);

Called when printing has started for the specified |browser|. This function will be called before the other OnPrint*() functions and irrespective of how printing was initiated (e.g. ICefBrowserHost.print(), JavaScript window.print() or PDF extension print button).

Attributes
GUID['{2831D5C9-6E2B-4A30-A65A-0F4435371EFC}']
Public procedure OnPrintSettings(const browser: ICefBrowser; const settings: ICefPrintSettings; getDefaults: boolean);

Synchronize |settings| with client state. If |get_defaults| is true (1) then populate |settings| with the default print settings. Do not keep a reference to |settings| outside of this callback.

Public procedure OnPrintDialog(const browser: ICefBrowser; hasSelection: boolean; const callback: ICefPrintDialogCallback; var aResult: boolean);

Show the print dialog. Execute |callback| once the dialog is dismissed. Return true (1) if the dialog will be displayed or false (0) to cancel the printing immediately.

Public procedure OnPrintJob(const browser: ICefBrowser; const documentName, PDFFilePath: ustring; const callback: ICefPrintJobCallback; var aResult: boolean);

Send the print job to the printer. Execute |callback| once the job is completed. Return true (1) if the job will proceed or false (0) to cancel the job immediately.

Public procedure OnPrintReset(const browser: ICefBrowser);

Reset client state related to printing.

Public procedure GetPDFPaperSize(const browser: ICefBrowser; deviceUnitsPerInch: integer; var aResult: TCefSize);

Return the PDF paper size in device units. Used in combination with ICefBrowserHost.PrintToPdf().

Public procedure RemoveReferences;

Custom procedure to clear all references.


cef4delphi: uCEFInterfaces: Interface ICefNavigationEntry

Interface ICefNavigationEntry

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefNavigationEntry = interface(ICefBaseRefCounted)

Description

Interface used to represent an entry in navigation history.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_navigation_entry_capi.h">CEF source file: /include/capi/cef_navigation_entry_capi.h (cef_navigation_entry_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefNavigationEntry

Overview

Methods

Public | function IsValid: Boolean;
Public | function GetUrl: ustring;
Public | function GetDisplayUrl: ustring;
Public | function GetOriginalUrl: ustring;
Public | function GetTitle: ustring;
Public | function GetTransitionType: TCefTransitionType;
Public | function HasPostData: Boolean;
Public | function GetCompletionTime: TDateTime;
Public | function GetHttpStatusCode: Integer;
Public | function GetSSLStatus: ICefSSLStatus;

Properties

Public | property Url : ustring read GetUrl;
Public | property DisplayUrl : ustring read GetDisplayUrl;
Public | property OriginalUrl : ustring read GetOriginalUrl;
Public | property Title : ustring read GetTitle;
Public | property TransitionType : TCefTransitionType read GetTransitionType;
Public | property CompletionTime : TDateTime read GetCompletionTime;
Public | property HttpStatusCode : Integer read GetHttpStatusCode;
Public | property SSLStatus : ICefSSLStatus read GetSSLStatus;

Description

Methods

Public function IsValid: Boolean;

Returns true (1) if this object is valid. Do not call any other functions if this function returns false (0).

Attributes
GUID['{D17B4B37-AA45-42D9-B4E4-AAB6FE2AB297}']
Public function GetUrl: ustring;

Returns the actual URL of the page. For some pages this may be data: URL or similar. Use get_display_url() to return a display-friendly version.

Public function GetDisplayUrl: ustring;

Returns a display-friendly version of the URL.

Public function GetOriginalUrl: ustring;

Returns the original URL that was entered by the user before any redirects.

Public function GetTitle: ustring;

Returns the title set by the page. This value may be NULL.

Public function GetTransitionType: TCefTransitionType;

Returns the transition type which indicates what the user did to move to this page from the previous page.

Public function HasPostData: Boolean;

Returns true (1) if this navigation includes post data.

Public function GetCompletionTime: TDateTime;

Returns the time for the last known successful navigation completion. A navigation may be completed more than once if the page is reloaded. May be 0 if the navigation has not yet completed.

Public function GetHttpStatusCode: Integer;

Returns the HTTP status code for the last known successful navigation response. May be 0 if the response has not yet been received or if the navigation has not yet completed.

Public function GetSSLStatus: ICefSSLStatus;

Returns the SSL information for this navigation entry.

Properties

Public property Url : ustring read GetUrl;

Returns the actual URL of the page. For some pages this may be data: URL or similar. Use get_display_url() to return a display-friendly version.

Public property DisplayUrl : ustring read GetDisplayUrl;

Returns a display-friendly version of the URL.

Public property OriginalUrl : ustring read GetOriginalUrl;

Returns the original URL that was entered by the user before any redirects.

Public property Title : ustring read GetTitle;

Returns the title set by the page. This value may be NULL.

Public property TransitionType : TCefTransitionType read GetTransitionType;

Returns the transition type which indicates what the user did to move to this page from the previous page.

Public property CompletionTime : TDateTime read GetCompletionTime;

Returns the time for the last known successful navigation completion. A navigation may be completed more than once if the page is reloaded. May be 0 if the navigation has not yet completed.

Public property HttpStatusCode : Integer read GetHttpStatusCode;

Returns the HTTP status code for the last known successful navigation response. May be 0 if the response has not yet been received or if the navigation has not yet completed.

Public property SSLStatus : ICefSSLStatus read GetSSLStatus;

Returns the SSL information for this navigation entry.


cef4delphi: uCEFInterfaces: Interface ICefX509CertPrincipal

Interface ICefX509CertPrincipal

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefX509CertPrincipal = interface(ICefBaseRefCounted)

Description

Interface representing the issuer or subject field of an X.509 certificate.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_x509_certificate_capi.h">CEF source file: /include/capi/cef_x509_certificate_capi.h (cef_x509_cert_principal_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefX509CertPrincipal

Overview

Methods

Public | function GetDisplayName: ustring;
Public | function GetCommonName: ustring;
Public | function GetLocalityName: ustring;
Public | function GetStateOrProvinceName: ustring;
Public | function GetCountryName: ustring;
Public | procedure GetOrganizationNames(const names: TStrings);
Public | procedure GetOrganizationUnitNames(const names: TStrings);

Description

Methods

Public function GetDisplayName: ustring;

Returns a name that can be used to represent the issuer. It tries in this order: Common Name (CN), Organization Name (O) and Organizational Unit Name (OU) and returns the first non-NULL one found.

Attributes
GUID['{CD3621ED-7D68-4A1F-95B5-190C7001B65F}']
Public function GetCommonName: ustring;

Returns the common name.

Public function GetLocalityName: ustring;

Returns the locality name.

Public function GetStateOrProvinceName: ustring;

Returns the state or province name.

Public function GetCountryName: ustring;

Returns the country name.

Public procedure GetOrganizationNames(const names: TStrings);

Retrieve the list of organization names.

Public procedure GetOrganizationUnitNames(const names: TStrings);

Retrieve the list of organization unit names.


cef4delphi: uCEFInterfaces: Interface ICefX509Certificate

Interface ICefX509Certificate

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefX509Certificate = interface(ICefBaseRefCounted)

Description

Interface representing a X.509 certificate.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_x509_certificate_capi.h">CEF source file: /include/capi/cef_x509_certificate_capi.h (cef_x509_certificate_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefX509Certificate

Overview

Methods

Public | function GetSubject: ICefX509CertPrincipal;
Public | function GetIssuer: ICefX509CertPrincipal;
Public | function GetSerialNumber: ICefBinaryValue;
Public | function GetValidStart: TCefBaseTime;
Public | function GetValidExpiry: TCefBaseTime;
Public | function GetValidStartAsDateTime: TDateTime;
Public | function GetValidExpiryAsDateTime: TDateTime;
Public | function GetDerEncoded: ICefBinaryValue;
Public | function GetPemEncoded: ICefBinaryValue;
Public | function GetIssuerChainSize: NativeUInt;
Public | procedure GetDEREncodedIssuerChain(chainCount: NativeUInt; var chain : TCefBinaryValueArray);
Public | procedure GetPEMEncodedIssuerChain(chainCount: NativeUInt; var chain : TCefBinaryValueArray);

Description

Methods

Public function GetSubject: ICefX509CertPrincipal;

Returns the subject of the X.509 certificate. For HTTPS server certificates this represents the web server. The common name of the subject should match the host name of the web server.

Attributes
GUID['{C897979D-F068-4428-82DF-4221612FF7E0}']
Public function GetIssuer: ICefX509CertPrincipal;

Returns the issuer of the X.509 certificate.

Public function GetSerialNumber: ICefBinaryValue;

Returns the DER encoded serial number for the X.509 certificate. The value possibly includes a leading 00 byte.

Public function GetValidStart: TCefBaseTime;

Returns the date before which the X.509 certificate is invalid. CefBaseTime.GetTimeT() will return 0 if no date was specified.

Public function GetValidExpiry: TCefBaseTime;

Returns the date after which the X.509 certificate is invalid. CefBaseTime.GetTimeT() will return 0 if no date was specified.

Public function GetValidStartAsDateTime: TDateTime;

Returns the date before which the X.509 certificate is invalid. CefBaseTime.GetTimeT() will return 0 if no date was specified.

Public function GetValidExpiryAsDateTime: TDateTime;

Returns the date after which the X.509 certificate is invalid. CefBaseTime.GetTimeT() will return 0 if no date was specified.

Public function GetDerEncoded: ICefBinaryValue;

Returns the DER encoded data for the X.509 certificate.

Public function GetPemEncoded: ICefBinaryValue;

Returns the PEM encoded data for the X.509 certificate.

Public function GetIssuerChainSize: NativeUInt;

Returns the number of certificates in the issuer chain. If 0, the certificate is self-signed.

Public procedure GetDEREncodedIssuerChain(chainCount: NativeUInt; var chain : TCefBinaryValueArray);

Returns the DER encoded data for the certificate issuer chain. If we failed to encode a certificate in the chain it is still present in the array but is an NULL string.

Public procedure GetPEMEncodedIssuerChain(chainCount: NativeUInt; var chain : TCefBinaryValueArray);

Returns the PEM encoded data for the certificate issuer chain. If we failed to encode a certificate in the chain it is still present in the array but is an NULL string.


cef4delphi: uCEFInterfaces: Interface ICefSslInfo

Interface ICefSslInfo

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefSslInfo = interface(ICefBaseRefCounted)

Description

Interface representing SSL information.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_ssl_info_capi.h">CEF source file: /include/capi/cef_ssl_info_capi.h (cef_sslinfo_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefSslInfo

Overview

Methods

Public | function GetCertStatus: TCefCertStatus;
Public | function GetX509Certificate: ICefX509Certificate;

Description

Methods

Public function GetCertStatus: TCefCertStatus;

Returns a bitmask containing any and all problems verifying the server certificate.

Attributes
GUID['{67EC86BD-DE7D-453D-908F-AD15626C514F}']
Public function GetX509Certificate: ICefX509Certificate;

Returns the X.509 certificate.


cef4delphi: uCEFInterfaces: Interface ICefSSLStatus

Interface ICefSSLStatus

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefSSLStatus = interface(ICefBaseRefCounted)

Description

Interface representing the SSL information for a navigation entry.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_ssl_status_capi.h">CEF source file: /include/capi/cef_ssl_status_capi.h (cef_sslstatus_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefSSLStatus

Overview

Methods

Public | function IsSecureConnection: boolean;
Public | function GetCertStatus: TCefCertStatus;
Public | function GetSSLVersion: TCefSSLVersion;
Public | function GetContentStatus: TCefSSLContentStatus;
Public | function GetX509Certificate: ICefX509Certificate;

Description

Methods

Public function IsSecureConnection: boolean;

Returns true (1) if the status is related to a secure SSL/TLS connection.

Attributes
GUID['{E3F004F2-03D5-46A2-91D0-510C50F3B225}']
Public function GetCertStatus: TCefCertStatus;

Returns a bitmask containing any and all problems verifying the server certificate.

Public function GetSSLVersion: TCefSSLVersion;

Returns the SSL version used for the SSL connection.

Public function GetContentStatus: TCefSSLContentStatus;

Returns a bitmask containing the page security content status.

Public function GetX509Certificate: ICefX509Certificate;

Returns the X.509 certificate.


cef4delphi: uCEFInterfaces: Interface ICefSelectClientCertificateCallback

Interface ICefSelectClientCertificateCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefSelectClientCertificateCallback = interface(ICefBaseRefCounted)

Description

Callback interface used to select a client certificate for authentication.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_request_handler_capi.h">CEF source file: /include/capi/cef_request_handler_capi.h (cef_select_client_certificate_callback_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefSelectClientCertificateCallback

Overview

Methods

Public procedure Select(const cert: ICefX509Certificate);

Description

Methods

Public procedure Select(const cert: ICefX509Certificate);

Chooses the specified certificate for client certificate authentication. NULL value means that no client certificate should be used.

Attributes
GUID['{003E3D09-ADE8-4C6E-A174-079D3D616608}']


cef4delphi: uCEFInterfaces: Interface ICefResourceBundle

Interface ICefResourceBundle

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefResourceBundle = interface(ICefBaseRefCounted)

Description

Interface used for retrieving resources from the resource bundle (*.pak) files loaded by CEF during startup or via the ICefResourceBundleHandler returned from ICefApp.GetResourceBundleHandler. See TCefSettings for additional options related to resource bundle loading. The functions of this interface may be called on any thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_resource_bundle_capi.h">CEF source file: /include/capi/cef_resource_bundle_capi.h (cef_resource_bundle_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefResourceBundle

Overview

Methods

Public | function GetLocalizedString(stringId: Integer): ustring;
Public | function GetDataResource(resourceId: Integer): ICefBinaryValue;
Public | function GetDataResourceForScale(resourceId: Integer; scaleFactor: TCefScaleFactor): ICefBinaryValue;

Description

Methods

Public function GetLocalizedString(stringId: Integer): ustring;

Returns the localized string for the specified |string_id| or an NULL string if the value is not found. Use the cef_id_for_pack_string_name() function for version-safe mapping of string IDS names from cef_pack_strings.h to version-specific numerical |string_id| values.

Attributes
GUID['{3213CF97-C854-452B-B615-39192F8D07DC}']
Public function GetDataResource(resourceId: Integer): ICefBinaryValue;

Returns a cef_binary_value_t containing the decompressed contents of the specified scale independent |resource_id| or NULL if not found. Use the cef_id_for_pack_resource_name() function for version-safe mapping of resource IDR names from cef_pack_resources.h to version-specific numerical |resource_id| values.

Public function GetDataResourceForScale(resourceId: Integer; scaleFactor: TCefScaleFactor): ICefBinaryValue;

Returns a cef_binary_value_t containing the decompressed contents of the specified |resource_id| nearest the scale factor |scale_factor| or NULL if not found. Use a |scale_factor| value of SCALE_FACTOR_NONE for scale independent resources or call GetDataResource instead. Use the cef_id_for_pack_resource_name() function for version-safe mapping of resource IDR names from cef_pack_resources.h to version-specific numerical |resource_id| values.


cef4delphi: uCEFInterfaces: Interface ICefImage

Interface ICefImage

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefImage = interface(ICefBaseRefCounted)

Description

Container for a single image represented at different scale factors. All image representations should be the same size in density independent pixel (DIP) units. For example, if the image at scale factor 1.0 is 100x100 pixels then the image at scale factor 2.0 should be 200x200 pixels – both images will display with a DIP size of 100x100 units. The functions of this interface can be called on any browser process thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_image_capi.h">CEF source file: /include/capi/cef_image_capi.h (cef_image_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefImage

Overview

Methods

Public | function IsEmpty: Boolean;
Public | function IsSame(const that: ICefImage): Boolean;
Public | function AddBitmap(scaleFactor: Single; pixelWidth, pixelHeight: Integer; colorType: TCefColorType; alphaType: TCefAlphaType; const pixelData: Pointer; pixelDataSize: NativeUInt): Boolean;
Public | function AddPng(scaleFactor: Single; const pngData: Pointer; pngDataSize: NativeUInt): Boolean;
Public | function AddJpeg(scaleFactor: Single; const jpegData: Pointer; jpegDataSize: NativeUInt): Boolean;
Public | function GetWidth: NativeUInt;
Public | function GetHeight: NativeUInt;
Public | function HasRepresentation(scaleFactor: Single): Boolean;
Public | function RemoveRepresentation(scaleFactor: Single): Boolean;
Public | function GetRepresentationInfo(scaleFactor: Single; var actualScaleFactor: Single; var pixelWidth, pixelHeight: Integer): Boolean;
Public | function GetAsBitmap(scaleFactor: Single; colorType: TCefColorType; alphaType: TCefAlphaType; var pixelWidth, pixelHeight: Integer): ICefBinaryValue;
Public | function GetAsPng(scaleFactor: Single; withTransparency: Boolean; var pixelWidth, pixelHeight: Integer): ICefBinaryValue;
Public | function GetAsJpeg(scaleFactor: Single; quality: Integer; var pixelWidth, pixelHeight: Integer): ICefBinaryValue;

Properties

Public | property Width : NativeUInt read GetWidth;
Public | property Height : NativeUInt read GetHeight;

Description

Methods

Public function IsEmpty: Boolean;

Returns true (1) if this Image is NULL.

Attributes
GUID['{E2C2F424-26A2-4498-BB45-DA23219831BE}']
Public function IsSame(const that: ICefImage): Boolean;

Returns true (1) if this Image and |that| Image share the same underlying storage. Will also return true (1) if both images are NULL.

Public function AddBitmap(scaleFactor: Single; pixelWidth, pixelHeight: Integer; colorType: TCefColorType; alphaType: TCefAlphaType; const pixelData: Pointer; pixelDataSize: NativeUInt): Boolean;

Add a bitmap image representation for |scale_factor|. Only 32-bit RGBA/BGRA formats are supported. |pixel_width| and |pixel_height| are the bitmap representation size in pixel coordinates. |pixel_data| is the array of pixel data and should be |pixel_width| x |pixel_height| x 4 bytes in size. |color_type| and |alpha_type| values specify the pixel format.

Public function AddPng(scaleFactor: Single; const pngData: Pointer; pngDataSize: NativeUInt): Boolean;

Add a PNG image representation for |scale_factor|. |png_data| is the image data of size |png_data_size|. Any alpha transparency in the PNG data will be maintained.

Public function AddJpeg(scaleFactor: Single; const jpegData: Pointer; jpegDataSize: NativeUInt): Boolean;

Create a JPEG image representation for |scale_factor|. |jpeg_data| is the image data of size |jpeg_data_size|. The JPEG format does not support transparency so the alpha byte will be set to 0xFF for all pixels.

Public function GetWidth: NativeUInt;

Returns the image width in density independent pixel (DIP) units.

Public function GetHeight: NativeUInt;

Returns the image height in density independent pixel (DIP) units.

Public function HasRepresentation(scaleFactor: Single): Boolean;

Returns true (1) if this image contains a representation for |scale_factor|.

Public function RemoveRepresentation(scaleFactor: Single): Boolean;

Removes the representation for |scale_factor|. Returns true (1) on success.

Public function GetRepresentationInfo(scaleFactor: Single; var actualScaleFactor: Single; var pixelWidth, pixelHeight: Integer): Boolean;

Returns information for the representation that most closely matches |scale_factor|. |actual_scale_factor| is the actual scale factor for the representation. |pixel_width| and |pixel_height| are the representation size in pixel coordinates. Returns true (1) on success.

Public function GetAsBitmap(scaleFactor: Single; colorType: TCefColorType; alphaType: TCefAlphaType; var pixelWidth, pixelHeight: Integer): ICefBinaryValue;

Returns the bitmap representation that most closely matches |scale_factor|. Only 32-bit RGBA/BGRA formats are supported. |color_type| and |alpha_type| values specify the desired output pixel format. |pixel_width| and |pixel_height| are the output representation size in pixel coordinates. Returns a ICefBinaryValue containing the pixel data on success or NULL on failure.

Public function GetAsPng(scaleFactor: Single; withTransparency: Boolean; var pixelWidth, pixelHeight: Integer): ICefBinaryValue;

Returns the PNG representation that most closely matches |scale_factor|. If |with_transparency| is true (1) any alpha transparency in the image will be represented in the resulting PNG data. |pixel_width| and |pixel_height| are the output representation size in pixel coordinates. Returns a ICefBinaryValue containing the PNG image data on success or NULL on failure.

Public function GetAsJpeg(scaleFactor: Single; quality: Integer; var pixelWidth, pixelHeight: Integer): ICefBinaryValue;

Returns the JPEG representation that most closely matches |scale_factor|. |quality| determines the compression level with 0 == lowest and 100 == highest. The JPEG format does not support alpha transparency and the alpha channel, if any, will be discarded. |pixel_width| and |pixel_height| are the output representation size in pixel coordinates. Returns a ICefBinaryValue containing the JPEG image data on success or NULL on failure.

Properties

Public property Width : NativeUInt read GetWidth;

Returns the image width in density independent pixel (DIP) units.

Public property Height : NativeUInt read GetHeight;

Returns the image height in density independent pixel (DIP) units.


cef4delphi: uCEFInterfaces: Interface ICefMenuModelDelegate

Interface ICefMenuModelDelegate

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefMenuModelDelegate = interface(ICefBaseRefCounted)

Description

Implement this interface to handle menu model events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_menu_model_delegate_capi.h">CEF source file: /include/capi/cef_menu_model_delegate_capi.h (cef_menu_model_delegate_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefMenuModelDelegate

Overview

Methods

Public | procedure ExecuteCommand(const menuModel: ICefMenuModel; commandId: Integer; eventFlags: TCefEventFlags);
Public | procedure MouseOutsideMenu(const menuModel: ICefMenuModel; const screenPoint: PCefPoint);
Public | procedure UnhandledOpenSubmenu(const menuModel: ICefMenuModel; isRTL: boolean);
Public | procedure UnhandledCloseSubmenu(const menuModel: ICefMenuModel; isRTL: boolean);
Public | procedure MenuWillShow(const menuModel: ICefMenuModel);
Public | procedure MenuClosed(const menuModel: ICefMenuModel);
Public | function FormatLabel(const menuModel: ICefMenuModel; var label_ : ustring) : boolean;

Description

Methods

Public procedure ExecuteCommand(const menuModel: ICefMenuModel; commandId: Integer; eventFlags: TCefEventFlags);

Perform the action associated with the specified |command_id| and optional |event_flags|.

Attributes
GUID['{1430D202-2795-433E-9A35-C79A0996F316}']
Public procedure MouseOutsideMenu(const menuModel: ICefMenuModel; const screenPoint: PCefPoint);

Called when the user moves the mouse outside the menu and over the owning window.

Public procedure UnhandledOpenSubmenu(const menuModel: ICefMenuModel; isRTL: boolean);

Called on unhandled open submenu keyboard commands. |is_rtl| will be true (1) if the menu is displaying a right-to-left language.

Public procedure UnhandledCloseSubmenu(const menuModel: ICefMenuModel; isRTL: boolean);

Called on unhandled close submenu keyboard commands. |is_rtl| will be true (1) if the menu is displaying a right-to-left language.

Public procedure MenuWillShow(const menuModel: ICefMenuModel);

The menu is about to show.

Public procedure MenuClosed(const menuModel: ICefMenuModel);

The menu has closed.

Public function FormatLabel(const menuModel: ICefMenuModel; var label_ : ustring) : boolean;

Optionally modify a menu item label. Return true (1) if |label| was modified.


cef4delphi: uCEFInterfaces: Interface ICefServer

Interface ICefServer

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefServer = interface(ICefBaseRefCounted)

Description

Interface representing a server that supports HTTP and WebSocket requests. Server capacity is limited and is intended to handle only a small number of simultaneous connections (e.g. for communicating between applications on localhost). The functions of this interface are safe to call from any thread in the brower process unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_server_capi.h">CEF source file: /include/capi/cef_server_capi.h (cef_server_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefServer

Overview

Methods

Public | function GetTaskRunner: ICefTaskRunner;
Public | procedure Shutdown;
Public | function IsRunning: boolean;
Public | function GetAddress: ustring;
Public | function HasConnection: boolean;
Public | function IsValidConnection(connection_id: Integer) : boolean;
Public | procedure SendHttp200response(connection_id: Integer; const content_type: ustring; const data: Pointer; data_size: NativeUInt);
Public | procedure SendHttp404response(connection_id: Integer);
Public | procedure SendHttp500response(connection_id: Integer; const error_message: ustring);
Public | procedure SendHttpResponse(connection_id, response_code: Integer; const content_type: ustring; content_length: int64; const extra_headers: ICefStringMultimap);
Public | procedure SendRawData(connection_id: Integer; const data: Pointer; data_size: NativeUInt);
Public | procedure CloseConnection(connection_id: Integer);
Public | procedure SendWebSocketMessage(connection_id: Integer; const data: Pointer; data_size: NativeUInt);

Description

Methods

Public function GetTaskRunner: ICefTaskRunner;

Returns the task runner for the dedicated server thread.

Attributes
GUID['{41D41764-A74B-4552-B166-C77E70549047}']
Public procedure Shutdown;

Stop the server and shut down the dedicated server thread. See ICefServerHandler.OnServerCreated documentation for a description of server lifespan.

Public function IsRunning: boolean;

Returns true (1) if the server is currently running and accepting incoming connections. See ICefServerHandler.OnServerCreated documentation for a description of server lifespan. This function must be called on the dedicated server thread.

Public function GetAddress: ustring;

Returns the server address including the port number.

Public function HasConnection: boolean;

Returns true (1) if the server currently has a connection. This function must be called on the dedicated server thread.

Public function IsValidConnection(connection_id: Integer) : boolean;

Returns true (1) if |connection_id| represents a valid connection. This function must be called on the dedicated server thread.

Public procedure SendHttp200response(connection_id: Integer; const content_type: ustring; const data: Pointer; data_size: NativeUInt);

Send an HTTP 200 "OK" response to the connection identified by |connection_id|. |content_type| is the response content type (e.g. "text/html"), |data| is the response content, and |data_size| is the size of |data| in bytes. The contents of |data| will be copied. The connection will be closed automatically after the response is sent.

Public procedure SendHttp404response(connection_id: Integer);

Send an HTTP 404 "Not Found" response to the connection identified by |connection_id|. The connection will be closed automatically after the response is sent.

Public procedure SendHttp500response(connection_id: Integer; const error_message: ustring);

Send an HTTP 500 "Internal Server Error" response to the connection identified by |connection_id|. |error_message| is the associated error message. The connection will be closed automatically after the response is sent.

Public procedure SendHttpResponse(connection_id, response_code: Integer; const content_type: ustring; content_length: int64; const extra_headers: ICefStringMultimap);

Send a custom HTTP response to the connection identified by |connection_id|. |response_code| is the HTTP response code sent in the status line (e.g. 200), |content_type| is the response content type sent as the "Content-Type" header (e.g. "text/html"), |content_length| is the expected content length, and |extra_headers| is the map of extra response headers. If |content_length| is >= 0 then the "Content-Length" header will be sent. If |content_length| is 0 then no content is expected and the connection will be closed automatically after the response is sent. If |content_length| is < 0 then no "Content-Length" header will be sent and the client will continue reading until the connection is closed. Use the SendRawData function to send the content, if applicable, and call CloseConnection after all content has been sent.

Public procedure SendRawData(connection_id: Integer; const data: Pointer; data_size: NativeUInt);

Send raw data directly to the connection identified by |connection_id|. |data| is the raw data and |data_size| is the size of |data| in bytes. The contents of |data| will be copied. No validation of |data| is performed internally so the client should be careful to send the amount indicated by the "Content-Length" header, if specified. See SendHttpResponse documentation for intended usage.

Public procedure CloseConnection(connection_id: Integer);

Close the connection identified by |connection_id|. See SendHttpResponse documentation for intended usage.

Public procedure SendWebSocketMessage(connection_id: Integer; const data: Pointer; data_size: NativeUInt);

Send a WebSocket message to the connection identified by |connection_id|. |data| is the response content and |data_size| is the size of |data| in bytes. The contents of |data| will be copied. See ICefServerHandler.OnWebSocketRequest documentation for intended usage.


cef4delphi: uCEFInterfaces: Interface ICefServerHandler

Interface ICefServerHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefServerHandler = interface(ICefBaseRefCounted)

Description

Implement this interface to handle HTTP server requests. A new thread will be created for each ICefServer.CreateServer call (the "dedicated server thread"), and the functions of this interface will be called on that thread. It is therefore recommended to use a different ICefServerHandler instance for each ICefServer.CreateServer call to avoid thread safety issues in the ICefServerHandler implementation.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_server_capi.h">CEF source file: /include/capi/cef_server_capi.h (cef_server_handler_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefServerHandler

Overview

Methods

Public | procedure OnServerCreated(const server: ICefServer);
Public | procedure OnServerDestroyed(const server: ICefServer);
Public | procedure OnClientConnected(const server: ICefServer; connection_id: Integer);
Public | procedure OnClientDisconnected(const server: ICefServer; connection_id: Integer);
Public | procedure OnHttpRequest(const server: ICefServer; connection_id: Integer; const client_address: ustring; const request: ICefRequest);
Public | procedure OnWebSocketRequest(const server: ICefServer; connection_id: Integer; const client_address: ustring; const request: ICefRequest; const callback: ICefCallback);
Public | procedure OnWebSocketConnected(const server: ICefServer; connection_id: Integer);
Public | procedure OnWebSocketMessage(const server: ICefServer; connection_id: Integer; const data: Pointer; data_size: NativeUInt);

Description

Methods

Public procedure OnServerCreated(const server: ICefServer);

Called when |server| is created. If the server was started successfully then ICefServer.IsRunning will return true (1). The server will continue running until ICefServerShutdown is called, after which time OnServerDestroyed will be called. If the server failed to start then OnServerDestroyed will be called immediately after this function returns.

Attributes
GUID['{AFB64A63-44C9-44CD-959B-D8E20F549879}']
Public procedure OnServerDestroyed(const server: ICefServer);

Called when |server| is destroyed. The server thread will be stopped after this function returns. The client should release any references to |server| when this function is called. See OnServerCreated documentation for a description of server lifespan.

Public procedure OnClientConnected(const server: ICefServer; connection_id: Integer);

Called when a client connects to |server|. |connection_id| uniquely identifies the connection. Each call to this function will have a matching call to OnClientDisconnected.

Public procedure OnClientDisconnected(const server: ICefServer; connection_id: Integer);

Called when a client disconnects from |server|. |connection_id| uniquely identifies the connection. The client should release any data associated with |connection_id| when this function is called and |connection_id| should no longer be passed to ICefServer functions. Disconnects can originate from either the client or the server. For example, the server will disconnect automatically after a ICefServer.SendHttpXXXResponse function is called.

Public procedure OnHttpRequest(const server: ICefServer; connection_id: Integer; const client_address: ustring; const request: ICefRequest);

Called when |server| receives an HTTP request. |connection_id| uniquely identifies the connection, |client_address| is the requesting IPv4 or IPv6 client address including port number, and |request| contains the request contents (URL, function, headers and optional POST data). Call ICefServer functions either synchronously or asynchronusly to send a response.

Public procedure OnWebSocketRequest(const server: ICefServer; connection_id: Integer; const client_address: ustring; const request: ICefRequest; const callback: ICefCallback);

Called when |server| receives a WebSocket request. |connection_id| uniquely identifies the connection, |client_address| is the requesting IPv4 or IPv6 client address including port number, and |request| contains the request contents (URL, function, headers and optional POST data). Execute |callback| either synchronously or asynchronously to accept or decline the WebSocket connection. If the request is accepted then OnWebSocketConnected will be called after the WebSocket has connected and incoming messages will be delivered to the OnWebSocketMessage callback. If the request is declined then the client will be disconnected and OnClientDisconnected will be called. Call the ICefServer.SendWebSocketMessage function after receiving the OnWebSocketConnected callback to respond with WebSocket messages.

Public procedure OnWebSocketConnected(const server: ICefServer; connection_id: Integer);

Called after the client has accepted the WebSocket connection for |server| and |connection_id| via the OnWebSocketRequest callback. See OnWebSocketRequest documentation for intended usage.

Public procedure OnWebSocketMessage(const server: ICefServer; connection_id: Integer; const data: Pointer; data_size: NativeUInt);

Called when |server| receives an WebSocket message. |connection_id| uniquely identifies the connection, |data| is the message content and |data_size| is the size of |data| in bytes. Do not keep a reference to |data| outside of this function. See OnWebSocketRequest documentation for intended usage.


cef4delphi: uCEFInterfaces: Interface ICefMediaAccessCallback

Interface ICefMediaAccessCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefMediaAccessCallback = interface(ICefBaseRefCounted)

Description

Callback interface used for asynchronous continuation of media access permission requests.

UNKNOWN

This record is declared twice with almost identical parameters. "allowed_permissions" is defined as int and uint32.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_media_access_handler_capi.h">CEF source file: /include/capi/cef_media_access_handler_capi.h (cef_media_access_callback_t))

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_permission_handler_capi.h">CEF source file: /include/capi/cef_permission_handler_capi.h (cef_media_access_callback_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefMediaAccessCallback

Overview

Methods

Public | procedure cont(allowed_permissions: TCefMediaAccessPermissionTypes);
Public | procedure cancel;

Description

Methods

Public procedure cont(allowed_permissions: TCefMediaAccessPermissionTypes);

Call to allow or deny media access. If this callback was initiated in response to a getUserMedia (indicated by CEF_MEDIA_PERMISSION_DEVICE_AUDIO_CAPTURE and/or CEF_MEDIA_PERMISSION_DEVICE_VIDEO_CAPTURE being set) then |allowed_permissions| must match |required_permissions| passed to OnRequestMediaAccessPermission.

Attributes
GUID['{66F6F5F4-8489-408B-B9ED-6B705C2E2010}']
Public procedure cancel;

Cancel the media access request.


cef4delphi: uCEFInterfaces: Interface ICefPermissionPromptCallback

Interface ICefPermissionPromptCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefPermissionPromptCallback = interface(ICefBaseRefCounted)

Description

Callback interface used for asynchronous continuation of permission prompts.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_permission_handler_capi.h">CEF source file: /include/capi/cef_permission_handler_capi.h (cef_permission_prompt_callback_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefPermissionPromptCallback

Overview

Methods

Public procedure cont(result: TCefPermissionRequestResult);

Description

Methods

Public procedure cont(result: TCefPermissionRequestResult);

Complete the permissions request with the specified |result|.

Attributes
GUID['{F8827C7D-7B14-499E-B38A-5F9FEB1FD6A6}']


cef4delphi: uCEFInterfaces: Interface ICefPermissionHandler

Interface ICefPermissionHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefPermissionHandler = interface(ICefBaseRefCounted)

Description

Implement this interface to handle events related to permission requests. The functions of this interface will be called on the browser process UI thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_permission_handler_capi.h">CEF source file: /include/capi/cef_permission_handler_capi.h (cef_permission_handler_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefPermissionHandler

Overview

Methods

Public | function OnRequestMediaAccessPermission(const browser: ICefBrowser; const frame: ICefFrame; const requesting_origin: ustring; requested_permissions: cardinal; const callback: ICefMediaAccessCallback): boolean;
Public | function OnShowPermissionPrompt(const browser: ICefBrowser; prompt_id: uint64; const requesting_origin: ustring; requested_permissions: cardinal; const callback: ICefPermissionPromptCallback): boolean;
Public | procedure OnDismissPermissionPrompt(const browser: ICefBrowser; prompt_id: uint64; result: TCefPermissionRequestResult);
Public | procedure RemoveReferences;

Description

Methods

Public function OnRequestMediaAccessPermission(const browser: ICefBrowser; const frame: ICefFrame; const requesting_origin: ustring; requested_permissions: cardinal; const callback: ICefMediaAccessCallback): boolean;

Called when a page requests permission to access media.

|requesting_origin| is the URL origin requesting permission.

|requested_permissions| is a combination of values from TCefMediaAccessPermissionTypes that represent the requested permissions.

Return true (1) and call ICefMediaAccessCallback functions either in this function or at a later time to continue or cancel the request.

Return false (0) to proceed with default handling. With Chrome style, default handling will display the permission request UI.

With Alloy style, default handling will deny the request. This function will not be called if the "–enable-media-stream" command-line switch is used to grant all permissions.

Attributes
GUID['{DC079268-FB08-44DA-B216-35C5C339B341}']
Public function OnShowPermissionPrompt(const browser: ICefBrowser; prompt_id: uint64; const requesting_origin: ustring; requested_permissions: cardinal; const callback: ICefPermissionPromptCallback): boolean;

Called when a page should show a permission prompt. |prompt_id| uniquely identifies the prompt. |requesting_origin| is the URL origin requesting permission. |requested_permissions| is a combination of values from TCefPermissionRequestTypes that represent the requested permissions. Return true (1) and call ICefPermissionPromptCallback.Continue either in this function or at a later time to continue or cancel the request. Return false (0) to proceed with default handling. With Chrome style, default handling will display the permission prompt UI. With Alloy style, default handling is CEF_PERMISSION_RESULT_IGNORE.

Public procedure OnDismissPermissionPrompt(const browser: ICefBrowser; prompt_id: uint64; result: TCefPermissionRequestResult);

Called when a permission prompt handled via OnShowPermissionPrompt is dismissed. |prompt_id| will match the value that was passed to OnShowPermissionPrompt. |result| will be the value passed to ICefPermissionPromptCallback.Continue or CEF_PERMISSION_RESULT_IGNORE if the dialog was dismissed for other reasons such as navigation, browser closure, etc. This function will not be called if OnShowPermissionPrompt returned false (0) for |prompt_id|.

Public procedure RemoveReferences;

Custom procedure to clear all references.


cef4delphi: uCEFInterfaces: Interface ICefSharedMemoryRegion

Interface ICefSharedMemoryRegion

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefSharedMemoryRegion = interface(ICefBaseRefCounted)

Description

Interface that wraps platform-dependent share memory region mapping.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_shared_memory_region_capi.h">CEF source file: /include/capi/cef_shared_memory_region_capi.h (cef_shared_memory_region_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefSharedMemoryRegion

Overview

Methods

Public | function IsValid: boolean;
Public | function Size: NativeUInt;
Public | function Memory: pointer;

Description

Methods

Public function IsValid: boolean;

Returns true (1) if the mapping is valid.

Attributes
GUID['{2828D0E1-44D0-4C6F-8C63-5CA6036DDA82}']
Public function Size: NativeUInt;

Returns the size of the mapping in bytes. Returns 0 for invalid instances.

Public function Memory: pointer;

Returns the pointer to the memory. Returns nullptr for invalid instances. The returned pointer is only valid for the life span of this object.


cef4delphi: uCEFInterfaces: Interface ICefSharedProcessMessageBuilder

Interface ICefSharedProcessMessageBuilder

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefSharedProcessMessageBuilder = interface(ICefBaseRefCounted)

Description

Interface that builds a ICefProcessMessage containing a shared memory region. This interface is not thread-safe but may be used exclusively on a different thread from the one which constructed it.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_shared_process_message_builder_capi.h">CEF source file: /include/capi/cef_shared_process_message_builder_capi.h (cef_shared_process_message_builder_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefSharedProcessMessageBuilder

Overview

Methods

Public | function IsValid: boolean;
Public | function Size: NativeUInt;
Public | function Memory: pointer;
Public | function Build: ICefProcessMessage;

Description

Methods

Public function IsValid: boolean;

Returns true (1) if the builder is valid.

Attributes
GUID['{B2AF627F-33FA-44F1-B943-FC4F120C84F8}']
Public function Size: NativeUInt;

Returns the size of the shared memory region in bytes. Returns 0 for invalid instances.

Public function Memory: pointer;

Returns the pointer to the writable memory. Returns nullptr for invalid instances. The returned pointer is only valid for the life span of this object.

Public function Build: ICefProcessMessage;

Creates a new ICefProcessMessage from the data provided to the builder. Returns nullptr for invalid instances. Invalidates the builder instance.


cef4delphi: uCEFInterfaces: Interface ICefDisplay

Interface ICefDisplay

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefDisplay = interface(ICefBaseRefCounted)

Description

This interface typically, but not always, corresponds to a physical display connected to the system. A fake Display may exist on a headless system, or a Display may correspond to a remote, virtual display. All size and position values are in density independent pixel (DIP) coordinates unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

For details on coordinate systems and usage see https://bitbucket.org/chromiumembedded/cef/wiki/GeneralUsage#markdown- header-coordinate-systems

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_display_capi.h">CEF source file: /include/capi/views/cef_display_capi.h (cef_display_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefDisplay

Overview

Methods

Public | function GetID: int64;
Public | function GetDeviceScaleFactor: Single;
Public | procedure ConvertPointToPixels(var point: TCefPoint);
Public | procedure ConvertPointFromPixels(var point: TCefPoint);
Public | function GetBounds: TCefRect;
Public | function GetWorkArea: TCefRect;
Public | function GetRotation: Integer;

Properties

Public | property ID : int64 read GetID;
Public | property DeviceScaleFactor : Single read GetDeviceScaleFactor;
Public | property Bounds : TCefRect read GetBounds;
Public | property WorkArea : TCefRect read GetWorkArea;
Public | property Rotation : Integer read GetRotation;

Description

Methods

Public function GetID: int64;

Returns the unique identifier for this Display.

Attributes
GUID['{EC2D3606-DB4C-4894-8D38-B8F99E091965}']
Public function GetDeviceScaleFactor: Single;

Returns this Display's device pixel scale factor. This specifies how much the UI should be scaled when the actual output has more pixels than standard displays (which is around 100~120dpi). The potential return values differ by platform. Windowed browsers with 1.0 zoom will have a JavaScript `window.devicePixelRatio` value matching the associated Display's get_device_scale_factor() value.

Public procedure ConvertPointToPixels(var point: TCefPoint);

Convert |point| from DIP coordinates to pixel coordinates using this Display's device scale factor.

Public procedure ConvertPointFromPixels(var point: TCefPoint);

Convert |point| from pixel coordinates to DIP coordinates using this Display's device scale factor.

Public function GetBounds: TCefRect;

Returns this Display's bounds in DIP screen coordinates. This is the full size of the display.

Public function GetWorkArea: TCefRect;

Returns this Display's work area in DIP screen coordinates. This excludes areas of the display that are occupied with window manager toolbars, etc.

Public function GetRotation: Integer;

Returns this Display's rotation in degrees.

Properties

Public property ID : int64 read GetID;

Returns the unique identifier for this Display.

Public property DeviceScaleFactor : Single read GetDeviceScaleFactor;

Returns this Display's device pixel scale factor. This specifies how much the UI should be scaled when the actual output has more pixels than standard displays (which is around 100~120dpi). The potential return values differ by platform.

Public property Bounds : TCefRect read GetBounds;

Returns this Display's bounds in DIP screen coordinates. This is the full size of the display.

Public property WorkArea : TCefRect read GetWorkArea;

Returns this Display's work area in DIP screen coordinates. This excludes areas of the display that are occupied with window manager toolbars, etc.

Public property Rotation : Integer read GetRotation;

Returns this Display's rotation in degrees.


cef4delphi: uCEFInterfaces: Interface ICefLayout

Interface ICefLayout

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefLayout = interface(ICefBaseRefCounted)

Description

A Layout handles the sizing of the children of a Panel according to implementation-specific heuristics. Methods must be called on the browser process UI thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_layout_capi.h">CEF source file: /include/capi/views/cef_layout_capi.h (cef_layout_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefLayout

Overview

Methods

Public | function AsBoxLayout: ICefBoxLayout;
Public | function AsFillLayout: ICefFillLayout;
Public | function IsValid: boolean;

Properties

Public property Valid : boolean read IsValid;

Description

Methods

Public function AsBoxLayout: ICefBoxLayout;

Returns this Layout as a BoxLayout or NULL if this is not a BoxLayout.

Attributes
GUID['{0EC7AE4B-1672-4D0B-B617-0BDA72F3C7F4}']
Public function AsFillLayout: ICefFillLayout;

Returns this Layout as a FillLayout or NULL if this is not a FillLayout.

Public function IsValid: boolean;

Returns true (1) if this Layout is valid.

Properties

Public property Valid : boolean read IsValid;

This item has no description.


cef4delphi: uCEFInterfaces: Interface ICefBoxLayout

Interface ICefBoxLayout

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefBoxLayout = interface(ICefLayout)

Description

A Layout manager that arranges child views vertically or horizontally in a side-by-side fashion with spacing around and between the child views. The child views are always sized according to their preferred size. If the host's bounds provide insufficient space, child views will be clamped. Excess space will not be distributed. Methods must be called on the browser process UI thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_box_layout_capi.h">CEF source file: /include/capi/views/cef_box_layout_capi.h (cef_box_layout_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefLayout
  • ICefBoxLayout

Overview

Methods

Public | procedure SetFlexForView(const view: ICefView; flex: Integer);
Public | procedure ClearFlexForView(const view: ICefView);

Description

Methods

Public procedure SetFlexForView(const view: ICefView; flex: Integer);

Set the flex weight for the given |view|. Using the preferred size as the basis, free space along the main axis is distributed to views in the ratio of their flex weights. Similarly, if the views will overflow the parent, space is subtracted in these ratios. A flex of 0 means this view is not resized. Flex values must not be negative.

Attributes
GUID['{E59FCCAE-A371-4C21-98D3-93D3217016AE}']
Public procedure ClearFlexForView(const view: ICefView);

Clears the flex for the given |view|, causing it to use the default flex specified via TCefBoxLayoutSettings.default_flex.


cef4delphi: uCEFInterfaces: Interface ICefFillLayout

Interface ICefFillLayout

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefFillLayout = interface(ICefLayout)

Description

A simple Layout that causes the associated Panel's one child to be sized to match the bounds of its parent. Methods must be called on the browser process UI thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_fill_layout_capi.h">CEF source file: /include/capi/views/cef_fill_layout_capi.h (cef_fill_layout_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefLayout
  • ICefFillLayout


cef4delphi: uCEFInterfaces: Interface ICefOverlayController

Interface ICefOverlayController

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefOverlayController = interface(ICefBaseRefCounted)

Description

Controller for an overlay that contains a contents View added via ICefWindow.AddOverlayView. Methods exposed by this controller should be called in preference to functions of the same name exposed by the contents View unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_overlay_controller_capi.h">CEF source file: /include/capi/views/cef_overlay_controller_capi.h (cef_overlay_controller_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefOverlayController

Overview

Methods

Public | function IsValid: boolean;
Public | function IsSame(const that: ICefOverlayController): boolean;
Public | function GetContentsView: ICefView;
Public | function GetWindow: ICefWindow;
Public | function GetDockingMode: TCefDockingMode;
Public | procedure DestroyOverlay;
Public | procedure SetBounds(const bounds: TCefRect);
Public | function GetBounds: TCefRect;
Public | function GetBoundsInScreen: TCefRect;
Public | procedure SetSize(const size: TCefSize);
Public | function GetSize: TCefSize;
Public | procedure SetPosition(const position: TCefPoint);
Public | function GetPosition: TCefPoint;
Public | procedure SetInsets(const insets: TCefInsets);
Public | function GetInsets: TCefInsets;
Public | procedure SizeToPreferredSize;
Public | procedure SetVisible(visible: boolean);
Public | function IsVisible: boolean;
Public | function IsDrawn: boolean;

Properties

Public | property ContentsView : ICefView read GetContentsView;
Public | property Window : ICefWindow read GetWindow;
Public | property DockingMode : TCefDockingMode read GetDockingMode;
Public | property Bounds : TCefRect read GetBounds write SetBounds;
Public | property BoundsInScreen : TCefRect read GetBoundsInScreen;
Public | property Size : TCefSize read GetSize write SetSize;
Public | property Position : TCefPoint read GetPosition write SetPosition;
Public | property Insets : TCefInsets read GetInsets write SetInsets;
Public | property Visible : boolean read IsVisible write SetVisible;
Public | property Drawn : boolean read IsDrawn;

Description

Methods

Public function IsValid: boolean;

Returns true (1) if this object is valid.

Attributes
GUID['{13E1F3D2-32FF-4D30-A30E-D67B6A4846AB}']
Public function IsSame(const that: ICefOverlayController): boolean;

Returns true (1) if this object is the same as |that| object.

Public function GetContentsView: ICefView;

Returns the contents View for this overlay.

Public function GetWindow: ICefWindow;

Returns the top-level Window hosting this overlay. Use this function instead of calling get_window() on the contents View.

Public function GetDockingMode: TCefDockingMode;

Returns the docking mode for this overlay.

Public procedure DestroyOverlay;

Destroy this overlay.

Public procedure SetBounds(const bounds: TCefRect);

Sets the bounds (size and position) of this overlay. This will set the bounds of the contents View to match and trigger a re-layout if necessary. |bounds| is in parent coordinates and any insets configured on this overlay will be ignored. Use this function only for overlays created with a docking mode value of CEF_DOCKING_MODE_CUSTOM. With other docking modes modify the insets of this overlay and/or layout of the contents View and call size_to_preferred_size() instead to calculate the new size and re- position the overlay if necessary.

Public function GetBounds: TCefRect;

Returns the bounds (size and position) of this overlay in parent coordinates.

Public function GetBoundsInScreen: TCefRect;

Returns the bounds (size and position) of this overlay in DIP screen coordinates.

Public procedure SetSize(const size: TCefSize);

Sets the size of this overlay without changing the position. This will set the size of the contents View to match and trigger a re-layout if necessary. |size| is in parent coordinates and any insets configured on this overlay will be ignored. Use this function only for overlays created with a docking mode value of CEF_DOCKING_MODE_CUSTOM. With other docking modes modify the insets of this overlay and/or layout of the contents View and call size_to_preferred_size() instead to calculate the new size and re-position the overlay if necessary.

Public function GetSize: TCefSize;

Returns the size of this overlay in parent coordinates.

Public procedure SetPosition(const position: TCefPoint);

Sets the position of this overlay without changing the size. |position| is in parent coordinates and any insets configured on this overlay will be ignored. Use this function only for overlays created with a docking mode value of CEF_DOCKING_MODE_CUSTOM. With other docking modes modify the insets of this overlay and/or layout of the contents View and call size_to_preferred_size() instead to calculate the new size and re-position the overlay if necessary.

Public function GetPosition: TCefPoint;

Returns the position of this overlay in parent coordinates.

Public procedure SetInsets(const insets: TCefInsets);

Sets the insets for this overlay. |insets| is in parent coordinates. Use this function only for overlays created with a docking mode value other than CEF_DOCKING_MODE_CUSTOM.

Public function GetInsets: TCefInsets;

Returns the insets for this overlay in parent coordinates.

Public procedure SizeToPreferredSize;

Size this overlay to its preferred size and trigger a re-layout if necessary. The position of overlays created with a docking mode value of CEF_DOCKING_MODE_CUSTOM will not be modified by calling this function. With other docking modes this function may re-position the overlay if necessary to accommodate the new size and any insets configured on the contents View.

Public procedure SetVisible(visible: boolean);

Sets whether this overlay is visible. Overlays are hidden by default. If this overlay is hidden then it and any child Views will not be drawn and, if any of those Views currently have focus, then focus will also be cleared. Painting is scheduled as needed.

Public function IsVisible: boolean;

Returns whether this overlay is visible. A View may be visible but still not drawn in a Window if any parent Views are hidden. Call is_drawn() to determine whether this overlay and all parent Views are visible and will be drawn.

Public function IsDrawn: boolean;

Returns whether this overlay is visible and drawn in a Window. A View is drawn if it and all parent Views are visible. To determine if the containing Window is visible to the user on-screen call is_visible() on the Window.

Properties

Public property ContentsView : ICefView read GetContentsView;

Returns the contents View for this overlay.

Public property Window : ICefWindow read GetWindow;

Returns the top-level Window hosting this overlay. Use this function instead of calling get_window() on the contents View.

Public property DockingMode : TCefDockingMode read GetDockingMode;

Returns the docking mode for this overlay.

Public property Bounds : TCefRect read GetBounds write SetBounds;

Returns the bounds (size and position) of this overlay in parent coordinates.

Public property BoundsInScreen : TCefRect read GetBoundsInScreen;

Returns the bounds (size and position) of this overlay in DIP screen coordinates.

Public property Size : TCefSize read GetSize write SetSize;

Returns the size of this overlay in parent coordinates.

Public property Position : TCefPoint read GetPosition write SetPosition;

Returns the position of this overlay in parent coordinates.

Public property Insets : TCefInsets read GetInsets write SetInsets;

Returns the insets for this overlay in parent coordinates.

Public property Visible : boolean read IsVisible write SetVisible;

Returns whether this overlay is visible. A View may be visible but still not drawn in a Window if any parent Views are hidden. Call is_drawn() to determine whether this overlay and all parent Views are visible and will be drawn.

Public property Drawn : boolean read IsDrawn;

Returns whether this overlay is visible and drawn in a Window. A View is drawn if it and all parent Views are visible. To determine if the containing Window is visible to the user on-screen call is_visible() on the Window.


cef4delphi: uCEFInterfaces: Interface ICefView

Interface ICefView

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefView = interface(ICefBaseRefCounted)

Description

A View is a rectangle within the views View hierarchy. It is the base interface for all Views. All size and position values are in density independent pixels (DIP) unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_view_capi.h">CEF source file: /include/capi/views/cef_view_capi.h (cef_view_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefView

Overview

Methods

Public | function AsBrowserView: ICefBrowserView;
Public | function AsButton: ICefButton;
Public | function AsPanel: ICefPanel;
Public | function AsScrollView: ICefScrollView;
Public | function AsTextfield: ICefTextfield;
Public | function GetTypeString: ustring;
Public | function ToStringEx(include_children: boolean): ustring;
Public | function IsValid: boolean;
Public | function IsAttached: boolean;
Public | function IsSame(const that: ICefView): boolean;
Public | function GetDelegate: ICefViewDelegate;
Public | function GetWindow: ICefWindow;
Public | function GetID: Integer;
Public | procedure SetID(id_: Integer);
Public | function GetGroupID: Integer;
Public | procedure SetGroupID(group_id: Integer);
Public | function GetParentView: ICefView;
Public | function GetViewForID(id_: Integer): ICefView;
Public | procedure SetBounds(const bounds_: TCefRect);
Public | function GetBounds: TCefRect;
Public | function GetBoundsInScreen: TCefRect;
Public | procedure SetSize(const size_: TCefSize);
Public | function GetSize: TCefSize;
Public | procedure SetPosition(const position_: TCefPoint);
Public | function GetPosition: TCefPoint;
Public | procedure SetInsets(const insets: TCefInsets);
Public | function GetInsets: TCefInsets;
Public | function GetPreferredSize: TCefSize;
Public | procedure SizeToPreferredSize;
Public | function GetMinimumSize: TCefSize;
Public | function GetMaximumSize: TCefSize;
Public | function GetHeightForWidth(width: Integer): Integer;
Public | procedure InvalidateLayout;
Public | procedure SetVisible(visible_: boolean);
Public | function IsVisible: boolean;
Public | function IsDrawn: boolean;
Public | procedure SetEnabled(enabled_: boolean);
Public | function IsEnabled: boolean;
Public | procedure SetFocusable(focusable_: boolean);
Public | function IsFocusable: boolean;
Public | function IsAccessibilityFocusable: boolean;
Public | function HasFocus: boolean;
Public | procedure RequestFocus;
Public | procedure SetBackgroundColor(color: TCefColor);
Public | function GetBackgroundColor: TCefColor;
Public | function GetThemeColor(color_id: integer): TCefColor;
Public | function ConvertPointToScreen(var point: TCefPoint): boolean;
Public | function ConvertPointFromScreen(var point: TCefPoint): boolean;
Public | function ConvertPointToWindow(var point: TCefPoint): boolean;
Public | function ConvertPointFromWindow(var point: TCefPoint): boolean;
Public | function ConvertPointToView(const view : ICefView; var point: TCefPoint): boolean;
Public | function ConvertPointFromView(const view : ICefView; var point: TCefPoint): boolean;

Properties

Public | property Valid : boolean read IsValid;
Public | property Attached : boolean read IsAttached;
Public | property Delegate : ICefViewDelegate read GetDelegate;
Public | property Window : ICefWindow read GetWindow;
Public | property ParentView : ICefView read GetParentView;
Public | property BoundsInScreen : TCefRect read GetBoundsInScreen;
Public | property PreferredSize : TCefSize read GetPreferredSize;
Public | property MinimumSize : TCefSize read GetMinimumSize;
Public | property MaximumSize : TCefSize read GetMaximumSize;
Public | property Visible : boolean read IsVisible write SetVisible;
Public | property Drawn : boolean read IsDrawn;
Public | property Enabled : boolean read IsEnabled write SetEnabled;
Public | property Focusable : boolean read IsFocusable write SetFocusable;
Public | property AccessibilityFocusable : boolean read IsAccessibilityFocusable;
Public | property BackgroundColor : TCefColor read GetBackgroundColor write SetBackgroundColor;
Public | property ID : integer read GetID write SetID;
Public | property GroupID : integer read GetGroupID write SetGroupID;
Public | property Bounds : TCefRect read GetBounds write SetBounds;
Public | property Size : TCefSize read GetSize write SetSize;
Public | property Position : TCefPoint read GetPosition write SetPosition;
Public | property Insets : TCefInsets read GetInsets write SetInsets;
Public | property TypeString : ustring read GetTypeString;

Description

Methods

Public function AsBrowserView: ICefBrowserView;

Returns this View as a BrowserView or NULL if this is not a BrowserView.

Attributes
GUID['{E9AF950A-F4E8-420C-BD1F-F26F4FDFA48D}']
Public function AsButton: ICefButton;

Returns this View as a Button or NULL if this is not a Button.

Public function AsPanel: ICefPanel;

Returns this View as a Panel or NULL if this is not a Panel.

Public function AsScrollView: ICefScrollView;

Returns this View as a ScrollView or NULL if this is not a ScrollView.

Public function AsTextfield: ICefTextfield;

Returns this View as a Textfield or NULL if this is not a Textfield.

Public function GetTypeString: ustring;

Returns the type of this View as a string. Used primarily for testing purposes.

Public function ToStringEx(include_children: boolean): ustring;

Returns a string representation of this View which includes the type and various type-specific identifying attributes. If |include_children| is true (1) any child Views will also be included. Used primarily for testing purposes.

Public function IsValid: boolean;

Returns true (1) if this View is valid.

Public function IsAttached: boolean;

Returns true (1) if this View is currently attached to another View. A View can only be attached to one View at a time.

Public function IsSame(const that: ICefView): boolean;

Returns true (1) if this View is the same as |that| View.

Public function GetDelegate: ICefViewDelegate;

Returns the delegate associated with this View, if any.

Public function GetWindow: ICefWindow;

Returns the top-level Window hosting this View, if any.

Public function GetID: Integer;

Returns the ID for this View.

Public procedure SetID(id_: Integer);

Sets the ID for this View. ID should be unique within the subtree that you intend to search for it. 0 is the default ID for views.

Public function GetGroupID: Integer;

Returns the group id of this View, or -1 if not set.

Public procedure SetGroupID(group_id: Integer);

A group id is used to tag Views which are part of the same logical group. Focus can be moved between views with the same group using the arrow keys. The group id is immutable once it's set.

Public function GetParentView: ICefView;

Returns the View that contains this View, if any.

Public function GetViewForID(id_: Integer): ICefView;

Recursively descends the view tree starting at this View, and returns the first child that it encounters with the given ID. Returns NULL if no matching child view is found.

Public procedure SetBounds(const bounds_: TCefRect);

Sets the bounds (size and position) of this View. |bounds| is in parent coordinates, or DIP screen coordinates if there is no parent.

Public function GetBounds: TCefRect;

Returns the bounds (size and position) of this View in parent coordinates, or DIP screen coordinates if there is no parent.

Public function GetBoundsInScreen: TCefRect;

Returns the bounds (size and position) of this View in DIP screen coordinates.

Public procedure SetSize(const size_: TCefSize);

Sets the size of this View without changing the position. |size| in parent coordinates, or DIP screen coordinates if there is no parent.

Public function GetSize: TCefSize;

Returns the size of this View in parent coordinates, or DIP screen coordinates if there is no parent.

Public procedure SetPosition(const position_: TCefPoint);

Sets the position of this View without changing the size. |position| is in parent coordinates, or DIP screen coordinates if there is no parent.

Public function GetPosition: TCefPoint;

Returns the position of this View. Position is in parent coordinates, or DIP screen coordinates if there is no parent.

Public procedure SetInsets(const insets: TCefInsets);

Sets the insets for this View. |insets| is in parent coordinates, or DIP screen coordinates if there is no parent.

Public function GetInsets: TCefInsets;

Returns the insets for this View in parent coordinates, or DIP screen coordinates if there is no parent.

Public function GetPreferredSize: TCefSize;

Returns the size this View would like to be if enough space is available. Size is in parent coordinates, or DIP screen coordinates if there is no parent.

Public procedure SizeToPreferredSize;

Size this View to its preferred size. Size is in parent coordinates, or DIP screen coordinates if there is no parent.

Public function GetMinimumSize: TCefSize;

Returns the minimum size for this View. Size is in parent coordinates, or DIP screen coordinates if there is no parent.

Public function GetMaximumSize: TCefSize;

Returns the maximum size for this View. Size is in parent coordinates, or DIP screen coordinates if there is no parent.

Public function GetHeightForWidth(width: Integer): Integer;

Returns the height necessary to display this View with the provided width.

Public procedure InvalidateLayout;

Indicate that this View and all parent Views require a re-layout. This ensures the next call to layout() will propagate to this View even if the bounds of parent Views do not change.

Public procedure SetVisible(visible_: boolean);

Sets whether this View is visible. Windows are hidden by default and other views are visible by default. This View and any parent views must be set as visible for this View to be drawn in a Window. If this View is set as hidden then it and any child views will not be drawn and, if any of those views currently have focus, then focus will also be cleared. Painting is scheduled as needed. If this View is a Window then calling this function is equivalent to calling the Window show() and hide() functions.

Public function IsVisible: boolean;

Returns whether this View is visible. A view may be visible but still not drawn in a Window if any parent views are hidden. If this View is a Window then a return value of true (1) indicates that this Window is currently visible to the user on-screen. If this View is not a Window then call is_drawn() to determine whether this View and all parent views are visible and will be drawn.

Public function IsDrawn: boolean;

Returns whether this View is visible and drawn in a Window. A view is drawn if it and all parent views are visible. If this View is a Window then calling this function is equivalent to calling is_visible(). Otherwise, to determine if the containing Window is visible to the user on-screen call is_visible() on the Window.

Public procedure SetEnabled(enabled_: boolean);

Set whether this View is enabled. A disabled View does not receive keyboard or mouse inputs. If |enabled| differs from the current value the View will be repainted. Also, clears focus if the focused View is disabled.

Public function IsEnabled: boolean;

Returns whether this View is enabled.

Public procedure SetFocusable(focusable_: boolean);

Sets whether this View is capable of taking focus. It will clear focus if the focused View is set to be non-focusable. This is false (0) by default so that a View used as a container does not get the focus.

Public function IsFocusable: boolean;

Returns true (1) if this View is focusable, enabled and drawn.

Public function IsAccessibilityFocusable: boolean;

Return whether this View is focusable when the user requires full keyboard access, even though it may not be normally focusable.

Public function HasFocus: boolean;

Returns true (1) if this View has focus in the context of the containing Window. Check both this function and ICefWindow.IsActive to determine global keyboard focus.

Public procedure RequestFocus;

Request focus for this View in the context of the containing Window. If this View is focusable it will become the focused View. Any focus changes while a Window is not active may be applied after that Window next becomes active.

Public procedure SetBackgroundColor(color: TCefColor);

Sets the background color for this View. The background color will be automatically reset when ICefViewDelegate.OnThemeChanged is called.

Public function GetBackgroundColor: TCefColor;

Returns the background color for this View. If the background color is unset then the current `GetThemeColor(CEF_ColorPrimaryBackground)` value will be returned. If this View belongs to an overlay (created with ICefWindow.AddOverlayView), and the background color is unset, then a value of transparent (0) will be returned.

Public function GetThemeColor(color_id: integer): TCefColor;

Returns the current theme color associated with |color_id|, or the placeholder color (red) if unset. See cef_color_ids.h for standard ID values. Standard colors can be overridden and custom colors can be added using ICefWindow.SetThemeColor.

Public function ConvertPointToScreen(var point: TCefPoint): boolean;

Convert |point| from this View's coordinate system to DIP screen coordinates. This View must belong to a Window when calling this function. Returns true (1) if the conversion is successful or false (0) otherwise. Use ICefDisplay.ConvertPointToPixels() after calling this function if further conversion to display-specific pixel coordinates is desired.

Public function ConvertPointFromScreen(var point: TCefPoint): boolean;

Convert |point| to this View's coordinate system from DIP screen coordinates. This View must belong to a Window when calling this function. Returns true (1) if the conversion is successful or false (0) otherwise. Use ICefDisplay.ConvertPointFromPixels() before calling this function if conversion from display-specific pixel coordinates is necessary.

Public function ConvertPointToWindow(var point: TCefPoint): boolean;

Convert |point| from this View's coordinate system to that of the Window. This View must belong to a Window when calling this function. Returns true (1) if the conversion is successful or false (0) otherwise.

Public function ConvertPointFromWindow(var point: TCefPoint): boolean;

Convert |point| to this View's coordinate system from that of the Window. This View must belong to a Window when calling this function. Returns true (1) if the conversion is successful or false (0) otherwise.

Public function ConvertPointToView(const view : ICefView; var point: TCefPoint): boolean;

Convert |point| from this View's coordinate system to that of |view|. |view| needs to be in the same Window but not necessarily the same view hierarchy. Returns true (1) if the conversion is successful or false (0) otherwise.

Public function ConvertPointFromView(const view : ICefView; var point: TCefPoint): boolean;

Convert |point| to this View's coordinate system from that |view|. |view| needs to be in the same Window but not necessarily the same view hierarchy. Returns true (1) if the conversion is successful or false (0) otherwise.

Properties

Public property Valid : boolean read IsValid;

Returns true (1) if this View is valid.

Public property Attached : boolean read IsAttached;

Returns true (1) if this View is currently attached to another View. A View can only be attached to one View at a time.

Public property Delegate : ICefViewDelegate read GetDelegate;

Returns the delegate associated with this View, if any.

Public property Window : ICefWindow read GetWindow;

Returns the top-level Window hosting this View, if any.

Public property ParentView : ICefView read GetParentView;

Returns the View that contains this View, if any.

Public property BoundsInScreen : TCefRect read GetBoundsInScreen;

Returns the bounds (size and position) of this View in DIP screen coordinates.

Public property PreferredSize : TCefSize read GetPreferredSize;

Returns the size this View would like to be if enough space is available. Size is in parent coordinates, or DIP screen coordinates if there is no parent.

Public property MinimumSize : TCefSize read GetMinimumSize;

Returns the minimum size for this View. Size is in parent coordinates, or DIP screen coordinates if there is no parent.

Public property MaximumSize : TCefSize read GetMaximumSize;

Returns the maximum size for this View. Size is in parent coordinates, or DIP screen coordinates if there is no parent.

Public property Visible : boolean read IsVisible write SetVisible;

Returns whether this View is visible. A view may be visible but still not drawn in a Window if any parent views are hidden. If this View is a Window then a return value of true (1) indicates that this Window is currently visible to the user on-screen. If this View is not a Window then call is_drawn() to determine whether this View and all parent views are visible and will be drawn.

Public property Drawn : boolean read IsDrawn;

Returns whether this View is visible and drawn in a Window. A view is drawn if it and all parent views are visible. If this View is a Window then calling this function is equivalent to calling is_visible(). Otherwise, to determine if the containing Window is visible to the user on-screen call is_visible() on the Window.

Public property Enabled : boolean read IsEnabled write SetEnabled;

Returns whether this View is enabled.

Public property Focusable : boolean read IsFocusable write SetFocusable;

Returns true (1) if this View is focusable, enabled and drawn.

Public property AccessibilityFocusable : boolean read IsAccessibilityFocusable;

Return whether this View is focusable when the user requires full keyboard access, even though it may not be normally focusable.

Public property BackgroundColor : TCefColor read GetBackgroundColor write SetBackgroundColor;

Returns the background color for this View. If the background color is unset then the current `GetThemeColor(CEF_ColorPrimaryBackground)` value will be returned. If this View belongs to an overlay (created with ICefWindow.AddOverlayView), and the background color is unset, then a value of transparent (0) will be returned.

Public property ID : integer read GetID write SetID;

Returns the ID for this View.

Public property GroupID : integer read GetGroupID write SetGroupID;

Returns the group id of this View, or -1 if not set.

Public property Bounds : TCefRect read GetBounds write SetBounds;

Returns the bounds (size and position) of this View in parent coordinates, or DIP screen coordinates if there is no parent.

Public property Size : TCefSize read GetSize write SetSize;

Returns the size of this View in parent coordinates, or DIP screen coordinates if there is no parent.

Public property Position : TCefPoint read GetPosition write SetPosition;

Returns the position of this View. Position is in parent coordinates, or DIP screen coordinates if there is no parent.

Public property Insets : TCefInsets read GetInsets write SetInsets;

Returns the insets for this View in parent coordinates, or DIP screen coordinates if there is no parent.

Public property TypeString : ustring read GetTypeString;

Returns the type of this View as a string. Used primarily for testing purposes.


cef4delphi: uCEFInterfaces: Interface ICefViewDelegate

Interface ICefViewDelegate

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefViewDelegate = interface(ICefBaseRefCounted)

Description

Implement this interface to handle view events. All size and position values are in density independent pixels (DIP) unless otherwise indicated. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_view_delegate_capi.h">CEF source file: /include/capi/views/cef_view_delegate_capi.h (cef_view_delegate_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefViewDelegate

Overview

Methods

Public | procedure OnGetPreferredSize(const view: ICefView; var aResult : TCefSize);
Public | procedure OnGetMinimumSize(const view: ICefView; var aResult : TCefSize);
Public | procedure OnGetMaximumSize(const view: ICefView; var aResult : TCefSize);
Public | procedure OnGetHeightForWidth(const view: ICefView; width: Integer; var aResult: Integer);
Public | procedure OnParentViewChanged(const view: ICefView; added: boolean; const parent: ICefView);
Public | procedure OnChildViewChanged(const view: ICefView; added: boolean; const child: ICefView);
Public | procedure OnWindowChanged(const view: ICefView; added: boolean);
Public | procedure OnLayoutChanged(const view: ICefView; new_bounds: TCefRect);
Public | procedure OnFocus(const view: ICefView);
Public | procedure OnBlur(const view: ICefView);
Public | procedure OnThemeChanged(const view: ICefView);

Description

Methods

Public procedure OnGetPreferredSize(const view: ICefView; var aResult : TCefSize);

Return the preferred size for |view|. The Layout will use this information to determine the display size.

Attributes
GUID['{5F900206-B969-4E51-B56C-0FF38D749C72}']
Public procedure OnGetMinimumSize(const view: ICefView; var aResult : TCefSize);

Return the minimum size for |view|.

Public procedure OnGetMaximumSize(const view: ICefView; var aResult : TCefSize);

Return the maximum size for |view|.

Public procedure OnGetHeightForWidth(const view: ICefView; width: Integer; var aResult: Integer);

Return the height necessary to display |view| with the provided |width|. If not specified the result of get_preferred_size().height will be used by default. Override if |view|'s preferred height depends upon the width (for example, with Labels).

Public procedure OnParentViewChanged(const view: ICefView; added: boolean; const parent: ICefView);

Called when the parent of |view| has changed. If |view| is being added to |parent| then |added| will be true (1). If |view| is being removed from |parent| then |added| will be false (0). If |view| is being reparented the remove notification will be sent before the add notification. Do not modify the view hierarchy in this callback.

Public procedure OnChildViewChanged(const view: ICefView; added: boolean; const child: ICefView);

Called when a child of |view| has changed. If |child| is being added to |view| then |added| will be true (1). If |child| is being removed from |view| then |added| will be false (0). If |child| is being reparented the remove notification will be sent to the old parent before the add notification is sent to the new parent. Do not modify the view hierarchy in this callback.

Public procedure OnWindowChanged(const view: ICefView; added: boolean);

Called when |view| is added or removed from the ICefWindow.

Public procedure OnLayoutChanged(const view: ICefView; new_bounds: TCefRect);

Called when the layout of |view| has changed.

Public procedure OnFocus(const view: ICefView);

Called when |view| gains focus.

Public procedure OnBlur(const view: ICefView);

Called when |view| loses focus.

Public procedure OnThemeChanged(const view: ICefView);

(

Called when the theme for |view| has changed, after the new theme colors have already been applied. Views are notified via the component hierarchy in depth-first reverse order (children before parents).

This will be called in the following cases:

1. When |view|, or a parent of |view|, is added to a Window.
2. When the native/OS or Chrome theme changes for the Window that contains
   |view|. See ICefWindowDelegate.OnThemeColorsChanged documentation.
3. When the client explicitly calls ICefWindow.ThemeChanged on the
   Window that contains |view|.

Optionally use this callback to override the new per-View theme colors by calling ICefView.SetBackgroundColor or the appropriate component- specific function. See ICefWindow.SetThemeColor documentation for how to customize additional Window theme colors.

(


cef4delphi: uCEFInterfaces: Interface ICefTextfield

Interface ICefTextfield

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefTextfield = interface(ICefView)

Description

A Textfield supports editing of text. This control is custom rendered with no platform-specific code. Methods must be called on the browser process UI thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_textfield_capi.h">CEF source file: /include/capi/views/cef_textfield_capi.h (cef_textfield_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefView
  • ICefTextfield

Overview

Methods

Public | procedure SetPasswordInput(password_input: boolean);
Public | function IsPasswordInput: boolean;
Public | procedure SetReadOnly(read_only: boolean);
Public | function IsReadOnly: boolean;
Public | function GetText: ustring;
Public | procedure SetText(const text_: ustring);
Public | procedure AppendText(const text_: ustring);
Public | procedure InsertOrReplaceText(const text_: ustring);
Public | function HasSelection: boolean;
Public | function GetSelectedText: ustring;
Public | procedure SelectAll(reversed: boolean);
Public | procedure ClearSelection;
Public | function GetSelectedRange: TCefRange;
Public | procedure SelectRange(const range: TCefRange);
Public | function GetCursorPosition: NativeUInt;
Public | procedure SetTextColor(color: TCefColor);
Public | function GetTextColor: TCefColor;
Public | procedure SetSelectionTextColor(color: TCefColor);
Public | function GetSelectionTextColor: TCefColor;
Public | procedure SetSelectionBackgroundColor(color: TCefColor);
Public | function GetSelectionBackgroundColor: TCefColor;
Public | procedure SetFontList(const font_list: ustring);
Public | procedure ApplyTextColor(color: TCefColor; const range: TCefRange);
Public | procedure ApplyTextStyle(style: TCefTextStyle; add: boolean; const range: TCefRange);
Public | function IsCommandEnabled(command_id: TCefTextFieldCommands): boolean;
Public | procedure ExecuteCommand(command_id: TCefTextFieldCommands);
Public | procedure ClearEditHistory;
Public | procedure SetPlaceholderText(const text_: ustring);
Public | function GetPlaceholderText: ustring;
Public | procedure SetPlaceholderTextColor(color: TCefColor);
Public | procedure SetAccessibleName(const name: ustring);

Properties

Public | property PasswordInput : boolean read IsPasswordInput write SetPasswordInput;
Public | property ReadOnly : boolean read IsReadOnly write SetReadOnly;
Public | property Text : ustring read GetText write SetText;
Public | property SelectedText : ustring read GetSelectedText;
Public | property TextColor : TCefColor read GetTextColor write SetTextColor;
Public | property SelectionTextColor : TCefColor read GetSelectionTextColor write SetSelectionTextColor;
Public | property SelectionBackgroundColor : TCefColor read GetSelectionBackgroundColor write SetSelectionBackgroundColor;
Public | property PlaceholderText : ustring read GetPlaceholderText write SetPlaceholderText;

Description

Methods

Public procedure SetPasswordInput(password_input: boolean);

Sets whether the text will be displayed as asterisks.

Attributes
GUID['{B5E30155-DEA5-4CBF-BC9D-578CBCA586D9}']
Public function IsPasswordInput: boolean;

Returns true (1) if the text will be displayed as asterisks.

Public procedure SetReadOnly(read_only: boolean);

Sets whether the text will read-only.

Public function IsReadOnly: boolean;

Returns true (1) if the text is read-only.

Public function GetText: ustring;

Returns the currently displayed text.

Public procedure SetText(const text_: ustring);

Sets the contents to |text|. The cursor will be moved to end of the text if the current position is outside of the text range.

Public procedure AppendText(const text_: ustring);

Appends |text| to the previously-existing text.

Public procedure InsertOrReplaceText(const text_: ustring);

Inserts |text| at the current cursor position replacing any selected text.

Public function HasSelection: boolean;

Returns true (1) if there is any selected text.

Public function GetSelectedText: ustring;

Returns the currently selected text.

Public procedure SelectAll(reversed: boolean);

Selects all text. If |reversed| is true (1) the range will end at the logical beginning of the text; this generally shows the leading portion of text that overflows its display area.

Public procedure ClearSelection;

Clears the text selection and sets the caret to the end.

Public function GetSelectedRange: TCefRange;

Returns the selected logical text range.

Public procedure SelectRange(const range: TCefRange);

Selects the specified logical text range.

Public function GetCursorPosition: NativeUInt;

Returns the current cursor position.

Public procedure SetTextColor(color: TCefColor);

Sets the text color.

Public function GetTextColor: TCefColor;

Returns the text color.

Public procedure SetSelectionTextColor(color: TCefColor);

Sets the selection text color.

Public function GetSelectionTextColor: TCefColor;

Returns the selection text color.

Public procedure SetSelectionBackgroundColor(color: TCefColor);

Sets the selection background color.

Public function GetSelectionBackgroundColor: TCefColor;

Returns the selection background color.

Public procedure SetFontList(const font_list: ustring);

Sets the font list. The format is "<FONT_FAMILY_LIST>,[STYLES] <SIZE>", where: - FONT_FAMILY_LIST is a comma-separated list of font family names, - STYLES is an optional space-separated list of style names (case-sensitive "Bold" and "Italic" are supported), and - SIZE is an integer font size in pixels with the suffix "px".

Here are examples of valid font description strings: - "Arial, Helvetica, Bold Italic 14px" - "Arial, 14px"

Public procedure ApplyTextColor(color: TCefColor; const range: TCefRange);

Applies |color| to the specified |range| without changing the default color. If |range| is NULL the color will be set on the complete text contents.

Public procedure ApplyTextStyle(style: TCefTextStyle; add: boolean; const range: TCefRange);

Applies |style| to the specified |range| without changing the default style. If |add| is true (1) the style will be added, otherwise the style will be removed. If |range| is NULL the style will be set on the complete text contents.

Public function IsCommandEnabled(command_id: TCefTextFieldCommands): boolean;

Returns true (1) if the action associated with the specified command id is enabled. See additional comments on execute_command().

Public procedure ExecuteCommand(command_id: TCefTextFieldCommands);

Performs the action associated with the specified command id.

Public procedure ClearEditHistory;

Clears Edit history.

Public procedure SetPlaceholderText(const text_: ustring);

Sets the placeholder text that will be displayed when the Textfield is NULL.

Public function GetPlaceholderText: ustring;

Returns the placeholder text that will be displayed when the Textfield is NULL.

Public procedure SetPlaceholderTextColor(color: TCefColor);

Sets the placeholder text color.

Public procedure SetAccessibleName(const name: ustring);

Set the accessible name that will be exposed to assistive technology (AT).

Properties

Public property PasswordInput : boolean read IsPasswordInput write SetPasswordInput;

Returns true (1) if the text will be displayed as asterisks.

Public property ReadOnly : boolean read IsReadOnly write SetReadOnly;

Returns true (1) if the text is read-only.

Public property Text : ustring read GetText write SetText;

Returns the currently displayed text.

Public property SelectedText : ustring read GetSelectedText;

Returns the currently selected text.

Public property TextColor : TCefColor read GetTextColor write SetTextColor;

Returns the text color.

Public property SelectionTextColor : TCefColor read GetSelectionTextColor write SetSelectionTextColor;

Returns the selection text color.

Public property SelectionBackgroundColor : TCefColor read GetSelectionBackgroundColor write SetSelectionBackgroundColor;

Returns the selection background color.

Public property PlaceholderText : ustring read GetPlaceholderText write SetPlaceholderText;

Returns the placeholder text that will be displayed when the Textfield is NULL.


cef4delphi: uCEFInterfaces: Interface ICefTextfieldDelegate

Interface ICefTextfieldDelegate

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefTextfieldDelegate = interface(ICefViewDelegate)

Description

Implement this interface to handle Textfield events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_textfield_delegate_capi.h">CEF source file: /include/capi/views/cef_textfield_delegate_capi.h (cef_textfield_delegate_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefViewDelegate
  • ICefTextfieldDelegate

Overview

Methods

Public | procedure OnKeyEvent(const textfield: ICefTextfield; const event: TCefKeyEvent; var aResult : boolean);
Public | procedure OnAfterUserAction(const textfield: ICefTextfield);

Description

Methods

Public procedure OnKeyEvent(const textfield: ICefTextfield; const event: TCefKeyEvent; var aResult : boolean);

Called when |textfield| receives a keyboard event. |event| contains information about the keyboard event. Return true (1) if the keyboard event was handled or false (0) otherwise for default handling.

Attributes
GUID['{72612994-92BB-4DE9-BB38-6F49FB45F94B}']
Public procedure OnAfterUserAction(const textfield: ICefTextfield);

Called after performing a user action that may change |textfield|.


cef4delphi: uCEFInterfaces: Interface ICefScrollView

Interface ICefScrollView

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefScrollView = interface(ICefView)

Description

A ScrollView will show horizontal and/or vertical scrollbars when necessary based on the size of the attached content view. Methods must be called on the browser process UI thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_scroll_view_capi.h">CEF source file: /include/capi/views/cef_scroll_view_capi.h (cef_scroll_view_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefView
  • ICefScrollView

Overview

Methods

Public | procedure SetContentView(const view: ICefView);
Public | function GetContentView: ICefView;
Public | function GetVisibleContentRect: TCefRect;
Public | function HasHorizontalScrollbar: boolean;
Public | function GetHorizontalScrollbarHeight: Integer;
Public | function HasVerticalScrollbar: boolean;
Public | function GetVerticalScrollbarWidth: Integer;

Properties

Public | property ContentView : ICefView read GetContentView write SetContentView;
Public | property VisibleContentRect : TCefRect read GetVisibleContentRect;
Public | property HorizontalScrollbarHeight : Integer read GetHorizontalScrollbarHeight;
Public | property VerticalScrollbarWidth : Integer read GetVerticalScrollbarWidth;

Description

Methods

Public procedure SetContentView(const view: ICefView);

Set the content View. The content View must have a specified size (e.g. via ICefView.SetBounds or ICefViewDelegate.GetPreferredSize).

Attributes
GUID['{55DF2883-0574-4F10-B6F5-DE4730964B5B}']
Public function GetContentView: ICefView;

Returns the content View.

Public function GetVisibleContentRect: TCefRect;

Returns the visible region of the content View.

Public function HasHorizontalScrollbar: boolean;

Returns true (1) if the horizontal scrollbar is currently showing.

Public function GetHorizontalScrollbarHeight: Integer;

Returns the height of the horizontal scrollbar.

Public function HasVerticalScrollbar: boolean;

Returns true (1) if the vertical scrollbar is currently showing.

Public function GetVerticalScrollbarWidth: Integer;

Returns the width of the vertical scrollbar.

Properties

Public property ContentView : ICefView read GetContentView write SetContentView;

Returns the content View.

Public property VisibleContentRect : TCefRect read GetVisibleContentRect;

Returns the visible region of the content View.

Public property HorizontalScrollbarHeight : Integer read GetHorizontalScrollbarHeight;

Returns the height of the horizontal scrollbar.

Public property VerticalScrollbarWidth : Integer read GetVerticalScrollbarWidth;

Returns the width of the vertical scrollbar.


cef4delphi: uCEFInterfaces: Interface ICefPanel

Interface ICefPanel

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefPanel = interface(ICefView)

Description

A Panel is a container in the views hierarchy that can contain other Views as children. Methods must be called on the browser process UI thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_panel_capi.h">CEF source file: /include/capi/views/cef_panel_capi.h (cef_panel_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefView
  • ICefPanel

Overview

Methods

Public | function GetAsWindow: ICefWindow;
Public | function SetToFillLayout: ICefFillLayout;
Public | function SetToBoxLayout(const settings: TCefBoxLayoutSettings): ICefBoxLayout;
Public | function GetLayout: ICefLayout;
Public | procedure Layout;
Public | procedure AddChildView(const view: ICefView);
Public | procedure AddChildViewAt(const view: ICefView; index: Integer);
Public | procedure ReorderChildView(const view: ICefView; index: Integer);
Public | procedure RemoveChildView(const view: ICefView);
Public | procedure RemoveAllChildViews;
Public | function GetChildViewCount: NativeUInt;
Public | function GetChildViewAt(index: Integer): ICefView;

Properties

Public property AsWindow : ICefWindow read GetAsWindow;

Description

Methods

Public function GetAsWindow: ICefWindow;

Returns this Panel as a Window or NULL if this is not a Window.

Attributes
GUID['{6F2F680A-3637-4438-81B8-79AD6C02252D}']
Public function SetToFillLayout: ICefFillLayout;

Set this Panel's Layout to FillLayout and return the FillLayout object.

Public function SetToBoxLayout(const settings: TCefBoxLayoutSettings): ICefBoxLayout;

Set this Panel's Layout to BoxLayout and return the BoxLayout object.

Public function GetLayout: ICefLayout;

Get the Layout.

Public procedure Layout;

Lay out the child Views (set their bounds based on sizing heuristics specific to the current Layout).

Public procedure AddChildView(const view: ICefView);

Add a child View.

Public procedure AddChildViewAt(const view: ICefView; index: Integer);

Add a child View at the specified |index|. If |index| matches the result of GetChildCount() then the View will be added at the end.

Public procedure ReorderChildView(const view: ICefView; index: Integer);

Move the child View to the specified |index|. A negative value for |index| will move the View to the end.

Public procedure RemoveChildView(const view: ICefView);

Remove a child View. The View can then be added to another Panel.

Public procedure RemoveAllChildViews;

Remove all child Views. The removed Views will be deleted if the client holds no references to them.

Public function GetChildViewCount: NativeUInt;

Returns the number of child Views.

Public function GetChildViewAt(index: Integer): ICefView;

Returns the child View at the specified |index|.

Properties

Public property AsWindow : ICefWindow read GetAsWindow;

Returns this Panel as a Window or NULL if this is not a Window.


cef4delphi: uCEFInterfaces: Interface ICefPanelDelegate

Interface ICefPanelDelegate

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefPanelDelegate = interface(ICefViewDelegate)

Description

Implement this interface to handle Panel events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_panel_delegate_capi.h">CEF source file: /include/capi/views/cef_panel_delegate_capi.h (cef_panel_delegate_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefViewDelegate
  • ICefPanelDelegate


cef4delphi: uCEFInterfaces: Interface ICefBrowserView

Interface ICefBrowserView

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefBrowserView = interface(ICefView)

Description

A View hosting a ICefBrowser instance. Methods must be called on the browser process UI thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_browser_view_capi.h">CEF source file: /include/capi/views/cef_browser_view_capi.h (cef_browser_view_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefView
  • ICefBrowserView

Overview

Methods

Public | function GetBrowser: ICefBrowser;
Public | function GetChromeToolbar: ICefView;
Public | procedure SetPreferAccelerators(prefer_accelerators: boolean);
Public | function GetRuntimeStyle: TCefRuntimeStyle;

Properties

Public property RuntimeStyle : TCefRuntimeStyle read GetRuntimeStyle;

Description

Methods

Public function GetBrowser: ICefBrowser;

Returns the ICefBrowser hosted by this BrowserView. Will return NULL if the browser has not yet been created or has already been destroyed.

Attributes
GUID['{A617EE5D-B933-4E14-9FC0-7E88E9B6C051}']
Public function GetChromeToolbar: ICefView;

Returns the Chrome toolbar associated with this BrowserView. Only supported when using Chrome style. The ICefBrowserViewDelegate.GetChromeToolbarType function must return a value other than CEF_CTT_NONE and the toolbar will not be available until after this BrowserView is added to a ICefWindow and ICefViewDelegate.OnWindowChanged() has been called.

Public procedure SetPreferAccelerators(prefer_accelerators: boolean);

Sets whether normal priority accelerators are first forwarded to the web content (`keydown` event handler) or ICefKeyboardHandler. Normal priority accelerators can be registered via ICefWindow.SetAccelerator (with |high_priority|=false) or internally for standard accelerators supported by Chrome style. If |prefer_accelerators| is true then the matching accelerator will be triggered immediately (calling ICefWindowDelegate.OnAccelerator or ICefCommandHandler.OnChromeCommand respectively) and the event will not be forwarded to the web content or ICefKeyboardHandler first. If |prefer_accelerators| is false then the matching accelerator will only be triggered if the event is not handled by web content (`keydown` event handler that calls `event.preventDefault()`) or by ICefKeyboardHandler. The default value is false.

Public function GetRuntimeStyle: TCefRuntimeStyle;

Returns the runtime style for this BrowserView (ALLOY or CHROME). See TCefRuntimeStyle documentation for details.

Properties

Public property RuntimeStyle : TCefRuntimeStyle read GetRuntimeStyle;

Returns the runtime style for this BrowserView (ALLOY or CHROME). See TCefRuntimeStyle documentation for details.


cef4delphi: uCEFInterfaces: Interface ICefBrowserViewDelegate

Interface ICefBrowserViewDelegate

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefBrowserViewDelegate = interface(ICefViewDelegate)

Description

Implement this interface to handle BrowserView events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_browser_view_delegate_capi.h">CEF source file: /include/capi/views/cef_browser_view_delegate_capi.h (cef_browser_view_delegate_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefViewDelegate
  • ICefBrowserViewDelegate

Overview

Methods

Public | procedure OnBrowserCreated(const browser_view: ICefBrowserView; const browser: ICefBrowser);
Public | procedure OnBrowserDestroyed(const browser_view: ICefBrowserView; const browser: ICefBrowser);
Public | procedure OnGetDelegateForPopupBrowserView(const browser_view: ICefBrowserView; const settings: TCefBrowserSettings; const client: ICefClient; is_devtools: boolean; var aResult : ICefBrowserViewDelegate);
Public | procedure OnPopupBrowserViewCreated(const browser_view, popup_browser_view: ICefBrowserView; is_devtools: boolean; var aResult : boolean);
Public | procedure OnGetChromeToolbarType(const browser_view: ICefBrowserView; var aResult : TCefChromeToolbarType);
Public | procedure OnUseFramelessWindowForPictureInPicture(const browser_view: ICefBrowserView; var aResult: boolean);
Public | procedure OnGestureCommand(const browser_view: ICefBrowserView; gesture_command: TCefGestureCommand; var aResult : boolean);
Public | procedure OnGetBrowserRuntimeStyle(var aResult : TCefRuntimeStyle);
Public | procedure OnAllowMoveForPictureInPicture(const browser_view: ICefBrowserView; var aResult: boolean);

Description

Methods

Public procedure OnBrowserCreated(const browser_view: ICefBrowserView; const browser: ICefBrowser);

Called when |browser| associated with |browser_view| is created. This function will be called after ICefLifeSpanHandler.OnAfterCreated() is called for |browser| and before OnPopupBrowserViewCreated() is called for |browser|'s parent delegate if |browser| is a popup.

Attributes
GUID['{578A0DD4-2E7D-4061-B4DB-7C3CDC7A90C0}']
Public procedure OnBrowserDestroyed(const browser_view: ICefBrowserView; const browser: ICefBrowser);

Called when |browser| associated with |browser_view| is destroyed. Release all references to |browser| and do not attempt to execute any functions on |browser| after this callback returns. This function will be called before ICefLifeSpanHandler.OnBeforeClose() is called for |browser|.

Public procedure OnGetDelegateForPopupBrowserView(const browser_view: ICefBrowserView; const settings: TCefBrowserSettings; const client: ICefClient; is_devtools: boolean; var aResult : ICefBrowserViewDelegate);

Called before a new popup BrowserView is created. The popup originated from |browser_view|. |settings| and |client| are the values returned from ICefLifeSpanHandler.OnBeforePopup(). |is_devtools| will be true (1) if the popup will be a DevTools browser. Return the delegate that will be used for the new popup BrowserView.

Public procedure OnPopupBrowserViewCreated(const browser_view, popup_browser_view: ICefBrowserView; is_devtools: boolean; var aResult : boolean);

Called after |popup_browser_view| is created. This function will be called after ICefLifeSpanHandler.OnAfterCreated() and OnBrowserCreated() are called for the new popup browser. The popup originated from |browser_view|. |is_devtools| will be true (1) if the popup is a DevTools browser. Optionally add |popup_browser_view| to the views hierarchy yourself and return true (1). Otherwise return false (0) and a default ICefWindow will be created for the popup.

Public procedure OnGetChromeToolbarType(const browser_view: ICefBrowserView; var aResult : TCefChromeToolbarType);

Returns the Chrome toolbar type that will be available via ICefBrowserView.GetChromeToolbar(). See that function for related documentation.

Public procedure OnUseFramelessWindowForPictureInPicture(const browser_view: ICefBrowserView; var aResult: boolean);

Return true (1) to create frameless windows for Document picture-in- picture popups. Content in frameless windows should specify draggable regions using "-webkit-app-region: drag" CSS.

Public procedure OnGestureCommand(const browser_view: ICefBrowserView; gesture_command: TCefGestureCommand; var aResult : boolean);

Called when |browser_view| receives a gesture command. Return true (1) to handle (or disable) a |gesture_command| or false (0) to propagate the gesture to the browser for default handling. With Chrome style these commands can also be handled via ICefCommandHandler.OnChromeCommand.

Public procedure OnGetBrowserRuntimeStyle(var aResult : TCefRuntimeStyle);

Optionally change the runtime style for this BrowserView. See TCefRuntimeStyle documentation for details.

Public procedure OnAllowMoveForPictureInPicture(const browser_view: ICefBrowserView; var aResult: boolean);

Return true (1) to allow the use of JavaScript moveTo/By() and resizeTo/By() (without user activation) with Document picture-in-picture popups.


cef4delphi: uCEFInterfaces: Interface ICefButton

Interface ICefButton

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefButton = interface(ICefView)

Description

A View representing a button. Depending on the specific type, the button could be implemented by a native control or custom rendered. Methods must be called on the browser process UI thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_button_capi.h">CEF source file: /include/capi/views/cef_button_capi.h (cef_button_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefView
  • ICefButton

Overview

Methods

Public | function AsLabelButton: ICefLabelButton;
Public | procedure SetState(state_: TCefButtonState);
Public | function GetState: TCefButtonState;
Public | procedure SetInkDropEnabled(enabled_: boolean);
Public | procedure SetTooltipText(const tooltip_text: ustring);
Public | procedure SetAccessibleName(const name: ustring);

Properties

Public property State : TCefButtonState read GetState write SetState;

Description

Methods

Public function AsLabelButton: ICefLabelButton;

Returns this Button as a LabelButton or NULL if this is not a LabelButton.

Attributes
GUID['{D3D2E8A0-9F9C-4BD8-B495-655976534281}']
Public procedure SetState(state_: TCefButtonState);

Sets the current display state of the Button.

Public function GetState: TCefButtonState;

Returns the current display state of the Button.

Public procedure SetInkDropEnabled(enabled_: boolean);

Sets the Button will use an ink drop effect for displaying state changes.

Public procedure SetTooltipText(const tooltip_text: ustring);

Sets the tooltip text that will be displayed when the user hovers the mouse cursor over the Button.

Public procedure SetAccessibleName(const name: ustring);

Sets the accessible name that will be exposed to assistive technology (AT).

Properties

Public property State : TCefButtonState read GetState write SetState;

This item has no description.


cef4delphi: uCEFInterfaces: Interface ICefButtonDelegate

Interface ICefButtonDelegate

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefButtonDelegate = interface(ICefViewDelegate)

Description

Implement this interface to handle Button events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_button_delegate_capi.h">CEF source file: /include/capi/views/cef_button_delegate_capi.h (cef_button_delegate_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefViewDelegate
  • ICefButtonDelegate

Overview

Methods

Public | procedure OnButtonPressed(const button: ICefButton);
Public | procedure OnButtonStateChanged(const button: ICefButton);

Description

Methods

Public procedure OnButtonPressed(const button: ICefButton);

Called when |button| is pressed.

Attributes
GUID['{EA1EB5A4-DFB0-4A13-A23B-54FAF9401B39}']
Public procedure OnButtonStateChanged(const button: ICefButton);

Called when the state of |button| changes.


cef4delphi: uCEFInterfaces: Interface ICefLabelButton

Interface ICefLabelButton

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefLabelButton = interface(ICefButton)

Description

LabelButton is a button with optional text and/or icon. Methods must be called on the browser process UI thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_label_button_capi.h">CEF source file: /include/capi/views/cef_label_button_capi.h (cef_label_button_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefView
  • ICefButton
  • ICefLabelButton

Overview

Methods

Public | function AsMenuButton: ICefMenuButton;
Public | procedure SetText(const text_: ustring);
Public | function GetText: ustring;
Public | procedure SetImage(button_state: TCefButtonState; const image: ICefImage);
Public | function GetImage(button_state: TCefButtonState): ICefImage;
Public | procedure SetTextColor(for_state: TCefButtonState; color: TCefColor);
Public | procedure SetEnabledTextColors(color: TCefColor);
Public | procedure SetFontList(const font_list: ustring);
Public | procedure SetHorizontalAlignment(alignment: TCefHorizontalAlignment);
Public | procedure SetMinimumSize(const size_: TCefSize);
Public | procedure SetMaximumSize(const size_: TCefSize);

Properties

Public property Text : ustring read GetText write SetText;

Description

Methods

Public function AsMenuButton: ICefMenuButton;

Returns this LabelButton as a MenuButton or NULL if this is not a MenuButton.

Attributes
GUID['{A99FD4F3-7EE6-4796-8BF6-EC367D51EED8}']
Public procedure SetText(const text_: ustring);

Sets the text shown on the LabelButton. By default |text| will also be used as the accessible name.

Public function GetText: ustring;

Returns the text shown on the LabelButton.

Public procedure SetImage(button_state: TCefButtonState; const image: ICefImage);

Sets the image shown for |button_state|. When this Button is drawn if no image exists for the current state then the image for CEF_BUTTON_STATE_NORMAL, if any, will be shown.

Public function GetImage(button_state: TCefButtonState): ICefImage;

Returns the image shown for |button_state|. If no image exists for that state then the image for CEF_BUTTON_STATE_NORMAL will be returned.

Public procedure SetTextColor(for_state: TCefButtonState; color: TCefColor);

Sets the text color shown for the specified button |for_state| to |color|.

Public procedure SetEnabledTextColors(color: TCefColor);

Sets the text colors shown for the non-disabled states to |color|.

Public procedure SetFontList(const font_list: ustring);

Sets the font list. The format is "<FONT_FAMILY_LIST>,[STYLES] <SIZE>", where: - FONT_FAMILY_LIST is a comma-separated list of font family names, - STYLES is an optional space-separated list of style names (case-sensitive "Bold" and "Italic" are supported), and - SIZE is an integer font size in pixels with the suffix "px".

Here are examples of valid font description strings: - "Arial, Helvetica, Bold Italic 14px" - "Arial, 14px"

Public procedure SetHorizontalAlignment(alignment: TCefHorizontalAlignment);

Sets the horizontal alignment; reversed in RTL. Default is CEF_HORIZONTAL_ALIGNMENT_CENTER.

Public procedure SetMinimumSize(const size_: TCefSize);

Reset the minimum size of this LabelButton to |size|.

Public procedure SetMaximumSize(const size_: TCefSize);

Reset the maximum size of this LabelButton to |size|.

Properties

Public property Text : ustring read GetText write SetText;

Returns the text shown on the LabelButton.


cef4delphi: uCEFInterfaces: Interface ICefMenuButton

Interface ICefMenuButton

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefMenuButton = interface(ICefLabelButton)

Description

MenuButton is a button with optional text, icon and/or menu marker that shows a menu when clicked with the left mouse button. All size and position values are in density independent pixels (DIP) unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_menu_button_capi.h">CEF source file: /include/capi/views/cef_menu_button_capi.h (cef_menu_button_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefView
  • ICefButton
  • ICefLabelButton
  • ICefMenuButton

Overview

Methods

Public | procedure ShowMenu(const menu_model: ICefMenuModel; const screen_point: TCefPoint; anchor_position: TCefMenuAnchorPosition);
Public | procedure TriggerMenu;

Description

Methods

Public procedure ShowMenu(const menu_model: ICefMenuModel; const screen_point: TCefPoint; anchor_position: TCefMenuAnchorPosition);

Show a menu with contents |menu_model|. |screen_point| specifies the menu position in screen coordinates. |anchor_position| specifies how the menu will be anchored relative to |screen_point|. This function should be called from ICefMenuButtonDelegate.OnMenuButtonPressed().

Attributes
GUID['{62BFE81A-7810-400B-83C6-76D1DF133710}']
Public procedure TriggerMenu;

Show the menu for this button. Results in a call to ICefMenuButtonDelegate.OnMenuButtonPressed().


cef4delphi: uCEFInterfaces: Interface ICefMenuButtonPressedLock

Interface ICefMenuButtonPressedLock

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefMenuButtonPressedLock = interface(ICefBaseRefCounted)

Description

MenuButton pressed lock is released when this object is destroyed.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_menu_button_delegate_capi.h">CEF source file: /include/capi/views/cef_menu_button_delegate_capi.h (cef_menu_button_pressed_lock_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefMenuButtonPressedLock


cef4delphi: uCEFInterfaces: Interface ICefMenuButtonDelegate

Interface ICefMenuButtonDelegate

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefMenuButtonDelegate = interface(ICefButtonDelegate)

Description

Implement this interface to handle MenuButton events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_menu_button_delegate_capi.h">CEF source file: /include/capi/views/cef_menu_button_delegate_capi.h (cef_menu_button_delegate_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefViewDelegate
  • ICefButtonDelegate
  • ICefMenuButtonDelegate

Overview

Methods

Public procedure OnMenuButtonPressed(const menu_button: ICefMenuButton; const screen_point: TCefPoint; const button_pressed_lock: ICefMenuButtonPressedLock);

Description

Methods

Public procedure OnMenuButtonPressed(const menu_button: ICefMenuButton; const screen_point: TCefPoint; const button_pressed_lock: ICefMenuButtonPressedLock);

Called when |button| is pressed. Call ICefMenuButton.ShowMenu() to show a popup menu at |screen_point|. When showing a custom popup such as a window keep a reference to |button_pressed_lock| until the popup is hidden to maintain the pressed button state.

Attributes
GUID['{D0E89A75-463A-4766-8701-BD8D24B11E9F}']


cef4delphi: uCEFInterfaces: Interface ICefWindow

Interface ICefWindow

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefWindow = interface(ICefPanel)

Description

A Window is a top-level Window/widget in the Views hierarchy. By default it will have a non-client area with title bar, icon and buttons that supports moving and resizing. All size and position values are in density independent pixels (DIP) unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_window_capi.h">CEF source file: /include/capi/views/cef_window_capi.h (cef_window_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefView
  • ICefPanel
  • ICefWindow

Overview

Methods

Public | procedure Show;
Public | procedure ShowAsBrowserModalDialog(const browser_view: ICefBrowserView);
Public | procedure Hide;
Public | procedure CenterWindow(const size_: TCefSize);
Public | procedure Close;
Public | function IsClosed: boolean;
Public | procedure Activate;
Public | procedure Deactivate;
Public | function IsActive: boolean;
Public | procedure BringToTop;
Public | procedure SetAlwaysOnTop(on_top: boolean);
Public | function IsAlwaysOnTop: boolean;
Public | procedure Maximize;
Public | procedure Minimize;
Public | procedure Restore;
Public | procedure SetFullscreen(fullscreen: boolean);
Public | function IsMaximized: boolean;
Public | function IsMinimized: boolean;
Public | function IsFullscreen: boolean;
Public | function GetFocusedView: ICefView;
Public | procedure SetTitle(const title_: ustring);
Public | function GetTitle: ustring;
Public | procedure SetWindowIcon(const image: ICefImage);
Public | function GetWindowIcon: ICefImage;
Public | procedure SetWindowAppIcon(const image: ICefImage);
Public | function GetWindowAppIcon: ICefImage;
Public | function AddOverlayView(const view: ICefView; docking_mode: TCefDockingMode; can_activate: boolean): ICefOverlayController;
Public | procedure ShowMenu(const menu_model: ICefMenuModel; const screen_point: TCefPoint; anchor_position : TCefMenuAnchorPosition);
Public | procedure CancelMenu;
Public | function GetDisplay: ICefDisplay;
Public | function GetClientAreaBoundsInScreen: TCefRect;
Public | procedure SetDraggableRegions(regionsCount: NativeUInt; const regions: PCefDraggableRegionArray);
Public | function GetWindowHandle: TCefWindowHandle;
Public | procedure SendKeyPress(key_code: Integer; event_flags: cardinal);
Public | procedure SendMouseMove(screen_x, screen_y: Integer);
Public | procedure SendMouseEvents(button: TCefMouseButtonType; mouse_down, mouse_up: boolean);
Public | procedure SetAccelerator(command_id, key_code : Integer; shift_pressed, ctrl_pressed, alt_pressed, high_priority: boolean);
Public | procedure RemoveAccelerator(command_id: Integer);
Public | procedure RemoveAllAccelerators;
Public | procedure SetThemeColor(color_id: integer; color: TCefColor);
Public | procedure ThemeChanged;
Public | function GetRuntimeStyle: TCefRuntimeStyle;

Properties

Public | property FocusedView : ICefView read GetFocusedView;
Public | property Title : ustring read GetTitle write SetTitle;
Public | property WindowIcon : ICefImage read GetWindowIcon write SetWindowIcon;
Public | property WindowAppIcon : ICefImage read GetWindowAppIcon write SetWindowAppIcon;
Public | property Display : ICefDisplay read GetDisplay;
Public | property ClientAreaBoundsInScreen : TCefRect read GetClientAreaBoundsInScreen;
Public | property WindowHandle : TCefWindowHandle read GetWindowHandle;
Public | property RuntimeStyle : TCefRuntimeStyle read GetRuntimeStyle;

Description

Methods

Public procedure Show;

Show the Window.

Attributes
GUID['{C450C974-BF0A-4968-A6BE-153CEAD10DA6}']
Public procedure ShowAsBrowserModalDialog(const browser_view: ICefBrowserView);

Show the Window as a browser modal dialog relative to |browser_view|. A parent Window must be returned via ICefWindowDelegate.GetParentWindow() and |browser_view| must belong to that parent Window. While this Window is visible, |browser_view| will be disabled while other controls in the parent Window remain enabled. Navigating or destroying the |browser_view| will close this Window automatically. Alternately, use show() and return true (1) from ICefWindowDelegate.IsWindowModalDialog() for a window modal dialog where all controls in the parent Window are disabled.

Public procedure Hide;

Hide the Window.

Public procedure CenterWindow(const size_: TCefSize);

Sizes the Window to |size| and centers it in the current display.

Public procedure Close;

Close the Window.

Public function IsClosed: boolean;

Returns true (1) if the Window has been closed.

Public procedure Activate;

Activate the Window, assuming it already exists and is visible.

Public procedure Deactivate;

Deactivate the Window, making the next Window in the Z order the active Window.

Public function IsActive: boolean;

Returns whether the Window is the currently active Window.

Public procedure BringToTop;

Bring this Window to the top of other Windows in the Windowing system.

Public procedure SetAlwaysOnTop(on_top: boolean);

Set the Window to be on top of other Windows in the Windowing system.

Public function IsAlwaysOnTop: boolean;

Returns whether the Window has been set to be on top of other Windows in the Windowing system.

Public procedure Maximize;

Maximize the Window.

Public procedure Minimize;

Minimize the Window.

Public procedure Restore;

Restore the Window.

Public procedure SetFullscreen(fullscreen: boolean);

Set fullscreen Window state. The ICefWindowDelegate.OnWindowFullscreenTransition function will be called during the fullscreen transition for notification purposes.

Public function IsMaximized: boolean;

Returns true (1) if the Window is maximized.

Public function IsMinimized: boolean;

Returns true (1) if the Window is minimized.

Public function IsFullscreen: boolean;

Returns true (1) if the Window is fullscreen.

Public function GetFocusedView: ICefView;

Returns the View that currently has focus in this Window, or nullptr if no View currently has focus. A Window may have a focused View even if it is not currently active. Any focus changes while a Window is not active may be applied after that Window next becomes active.

Public procedure SetTitle(const title_: ustring);

Set the Window title.

Public function GetTitle: ustring;

Get the Window title.

Public procedure SetWindowIcon(const image: ICefImage);

Set the Window icon. This should be a 16x16 icon suitable for use in the Windows's title bar.

Public function GetWindowIcon: ICefImage;

Get the Window icon.

Public procedure SetWindowAppIcon(const image: ICefImage);

Set the Window App icon. This should be a larger icon for use in the host environment app switching UI. On Windows, this is the ICON_BIG used in Alt-Tab list and Windows taskbar. The Window icon will be used by default if no Window App icon is specified.

Public function GetWindowAppIcon: ICefImage;

Get the Window App icon.

Public function AddOverlayView(const view: ICefView; docking_mode: TCefDockingMode; can_activate: boolean): ICefOverlayController;

Add a View that will be overlayed on the Window contents with absolute positioning and high z-order. Positioning is controlled by |docking_mode| as described below. Setting |can_activate| to true (1) will allow the overlay view to receive input focus. The returned cef_overlay_controller_t object is used to control the overlay. Overlays are hidden by default.

With CEF_DOCKING_MODE_CUSTOM: 1. The overlay is initially hidden, sized to |view|'s preferred size, and positioned in the top-left corner. 2. Optionally change the overlay position and/or size by calling CefOverlayController methods. 3. Call ICefOverlayController.SetVisible(true) to show the overlay. 4. The overlay will be automatically re-sized if |view|'s layout changes. Optionally change the overlay position and/or size when OnLayoutChanged is called on the Window's delegate to indicate a change in Window bounds.

With other docking modes: 1. The overlay is initially hidden, sized to |view|'s preferred size, and positioned based on |docking_mode|. 2. Call ICefOverlayController.SetVisible(true) to show the overlay. 3. The overlay will be automatically re-sized if |view|'s layout changes and re-positioned as appropriate when the Window resizes.

Overlays created by this function will receive a higher z-order then any child Views added previously. It is therefore recommended to call this function last after all other child Views have been added so that the overlay displays as the top-most child of the Window.

Public procedure ShowMenu(const menu_model: ICefMenuModel; const screen_point: TCefPoint; anchor_position : TCefMenuAnchorPosition);

Show a menu with contents |menu_model|. |screen_point| specifies the menu position in screen coordinates. |anchor_position| specifies how the menu will be anchored relative to |screen_point|.

Public procedure CancelMenu;

Cancel the menu that is currently showing, if any.

Public function GetDisplay: ICefDisplay;

Returns the Display that most closely intersects the bounds of this Window. May return NULL if this Window is not currently displayed.

Public function GetClientAreaBoundsInScreen: TCefRect;

Returns the bounds (size and position) of this Window's client area. Position is in screen coordinates.

Public procedure SetDraggableRegions(regionsCount: NativeUInt; const regions: PCefDraggableRegionArray);

Set the regions where mouse events will be intercepted by this Window to support drag operations. Call this function with an NULL vector to clear the draggable regions. The draggable region bounds should be in window coordinates.

Public function GetWindowHandle: TCefWindowHandle;

Retrieve the platform window handle for this Window.

Public procedure SendKeyPress(key_code: Integer; event_flags: cardinal);

Simulate a key press. |key_code| is the VKEY_* value from Chromium's ui/events/keycodes/keyboard_codes.h header (VK_* values on Windows). |event_flags| is some combination of EVENTFLAG_SHIFT_DOWN, EVENTFLAG_CONTROL_DOWN and/or EVENTFLAG_ALT_DOWN. This function is exposed primarily for testing purposes.

Public procedure SendMouseMove(screen_x, screen_y: Integer);

Simulate a mouse move. The mouse cursor will be moved to the specified (screen_x, screen_y) position. This function is exposed primarily for testing purposes.

Public procedure SendMouseEvents(button: TCefMouseButtonType; mouse_down, mouse_up: boolean);

Simulate mouse down and/or mouse up events. |button| is the mouse button type. If |mouse_down| is true (1) a mouse down event will be sent. If |mouse_up| is true (1) a mouse up event will be sent. If both are true (1) a mouse down event will be sent followed by a mouse up event (equivalent to clicking the mouse button). The events will be sent using the current cursor position so make sure to call send_mouse_move() first to position the mouse. This function is exposed primarily for testing purposes.

Public procedure SetAccelerator(command_id, key_code : Integer; shift_pressed, ctrl_pressed, alt_pressed, high_priority: boolean);

Set the keyboard accelerator for the specified |command_id|. |key_code| can be any virtual key or character value. Required modifier keys are specified by |shift_pressed|, |ctrl_pressed| and/or |alt_pressed|. ICefWindowDelegate.OnAccelerator will be called if the keyboard combination is triggered while this window has focus.

The |high_priority| value will be considered if a child ICefBrowserView has focus when the keyboard combination is triggered. If |high_priority| is true (1) then the key event will not be forwarded to the web content (`keydown` event handler) or ICefKeyboardHandler first. If |high_priority| is false (0) then the behavior will depend on the ICefBrowserView.SetPreferAccelerators configuration.

Public procedure RemoveAccelerator(command_id: Integer);

Remove the keyboard accelerator for the specified |command_id|.

Public procedure RemoveAllAccelerators;

Remove all keyboard accelerators.

Public procedure SetThemeColor(color_id: integer; color: TCefColor);

Override a standard theme color or add a custom color associated with |color_id|. See cef_color_ids.h for standard ID values. Recommended usage is as follows:

1. Customize the default native/OS theme by calling SetThemeColor before
   showing the first Window. When done setting colors call
   ICefWindow.ThemeChanged to trigger ICefViewDelegate.OnThemeChanged
   notifications.
2. Customize the current native/OS or Chrome theme after it changes by
   calling SetThemeColor from the ICefWindowDelegate.OnThemeColorsChanged
   callback. ICefViewDelegate.OnThemeChanged notifications will then be
   triggered automatically.

The configured color will be available immediately via ICefView.GetThemeColor and will be applied to each View in this Window's component hierarchy when ICefViewDelegate.OnThemeChanged is called. See OnThemeColorsChanged documentation for additional details.

Clients wishing to add custom colors should use |color_id| values >= CEF_ChromeColorsEnd.

Public procedure ThemeChanged;

Trigger ICefViewDelegate.OnThemeChanged callbacks for each View in this Window's component hierarchy. Unlike a native/OS or Chrome theme change this function does not reset theme colors to standard values and does not result in a call to ICefWindowDelegate.OnThemeColorsChanged.

Do not call this function from ICefWindowDelegate.OnThemeColorsChanged or ICefViewDelegate.OnThemeChanged.

Public function GetRuntimeStyle: TCefRuntimeStyle;

Returns the runtime style for this Window (ALLOY or CHROME). See TCefRuntimeStyle documentation for details.

Properties

Public property FocusedView : ICefView read GetFocusedView;

Returns the View that currently has focus in this Window, or nullptr if no View currently has focus. A Window may have a focused View even if it is not currently active. Any focus changes while a Window is not active may be applied after that Window next becomes active.

Public property Title : ustring read GetTitle write SetTitle;

Get the Window title.

Public property WindowIcon : ICefImage read GetWindowIcon write SetWindowIcon;

Get the Window icon.

Public property WindowAppIcon : ICefImage read GetWindowAppIcon write SetWindowAppIcon;

Get the Window App icon.

Public property Display : ICefDisplay read GetDisplay;

Returns the Display that most closely intersects the bounds of this Window. May return NULL if this Window is not currently displayed.

Public property ClientAreaBoundsInScreen : TCefRect read GetClientAreaBoundsInScreen;

Returns the bounds (size and position) of this Window's client area. Position is in screen coordinates.

Public property WindowHandle : TCefWindowHandle read GetWindowHandle;

Retrieve the platform window handle for this Window.

Public property RuntimeStyle : TCefRuntimeStyle read GetRuntimeStyle;

Returns the runtime style for this Window (ALLOY or CHROME). See TCefRuntimeStyle documentation for details.


cef4delphi: uCEFInterfaces: Interface ICefWindowDelegate

Interface ICefWindowDelegate

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFInterfaces

Declaration

type ICefWindowDelegate = interface(ICefPanelDelegate)

Description

Implement this interface to handle window events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_window_delegate_capi.h">CEF source file: /include/capi/views/cef_window_delegate_capi.h (cef_window_delegate_t))

Hierarchy

  • IInterface
  • ICefBaseRefCounted
  • ICefViewDelegate
  • ICefPanelDelegate
  • ICefWindowDelegate

Overview

Methods

Public | procedure OnWindowCreated(const window_: ICefWindow);
Public | procedure OnWindowClosing(const window_: ICefWindow);
Public | procedure OnWindowDestroyed(const window_: ICefWindow);
Public | procedure OnWindowActivationChanged(const window_: ICefWindow; active: boolean);
Public | procedure OnWindowBoundsChanged(const window_: ICefWindow; const new_bounds: TCefRect);
Public | procedure OnWindowFullscreenTransition(const window_: ICefWindow; is_completed: boolean);
Public | procedure OnGetParentWindow(const window_: ICefWindow; var is_menu, can_activate_menu: boolean; var aResult : ICefWindow);
Public | procedure OnIsWindowModalDialog(const window_: ICefWindow; var aResult: boolean);
Public | procedure OnGetInitialBounds(const window_: ICefWindow; var aResult : TCefRect);
Public | procedure OnGetInitialShowState(const window_: ICefWindow; var aResult : TCefShowState);
Public | procedure OnIsFrameless(const window_: ICefWindow; var aResult : boolean);
Public | procedure OnWithStandardWindowButtons(const window_: ICefWindow; var aResult : boolean);
Public | procedure OnGetTitlebarHeight(const window_: ICefWindow; var titlebar_height: Single; var aResult : boolean);
Public | procedure OnAcceptsFirstMouse(const window_: ICefWindow; var aResult: TCefState);
Public | procedure OnCanResize(const window_: ICefWindow; var aResult : boolean);
Public | procedure OnCanMaximize(const window_: ICefWindow; var aResult : boolean);
Public | procedure OnCanMinimize(const window_: ICefWindow; var aResult : boolean);
Public | procedure OnCanClose(const window_: ICefWindow; var aResult : boolean);
Public | procedure OnAccelerator(const window_: ICefWindow; command_id: Integer; var aResult : boolean);
Public | procedure OnKeyEvent(const window_: ICefWindow; const event: TCefKeyEvent; var aResult : boolean);
Public | procedure OnThemeColorsChanged(const window_: ICefWindow; chrome_theme: Integer);
Public | procedure OnGetWindowRuntimeStyle(var aResult: TCefRuntimeStyle);
Public | procedure OnGetLinuxWindowProperties(const window_: ICefWindow; var properties: TLinuxWindowProperties; var aResult: boolean);

Description

Methods

Public procedure OnWindowCreated(const window_: ICefWindow);

Called when |window| is created.

Attributes
GUID['{52D4EE2C-303B-42B6-A35F-30D03834A23F}']
Public procedure OnWindowClosing(const window_: ICefWindow);

Called when |window| is closing.

Public procedure OnWindowDestroyed(const window_: ICefWindow);

Called when |window| is destroyed. Release all references to |window| and do not attempt to execute any functions on |window| after this callback returns.

Public procedure OnWindowActivationChanged(const window_: ICefWindow; active: boolean);

Called when |window| is activated or deactivated.

Public procedure OnWindowBoundsChanged(const window_: ICefWindow; const new_bounds: TCefRect);

Called when |window| bounds have changed. |new_bounds| will be in DIP screen coordinates.

Public procedure OnWindowFullscreenTransition(const window_: ICefWindow; is_completed: boolean);

Called when |window| is transitioning to or from fullscreen mode. On MacOS the transition occurs asynchronously with |is_competed| set to false (0) when the transition starts and true (1) after the transition completes. On other platforms the transition occurs synchronously with |is_completed| set to true (1) after the transition completes. With Alloy style you must also implement ICefDisplayHandler.OnFullscreenModeChange to handle fullscreen transitions initiated by browser content.

Public procedure OnGetParentWindow(const window_: ICefWindow; var is_menu, can_activate_menu: boolean; var aResult : ICefWindow);

Return the parent for |window| or NULL if the |window| does not have a parent. Windows with parents will not get a taskbar button. Set |is_menu| to true (1) if |window| will be displayed as a menu, in which case it will not be clipped to the parent window bounds. Set |can_activate_menu| to false (0) if |is_menu| is true (1) and |window| should not be activated (given keyboard focus) when displayed.

Public procedure OnIsWindowModalDialog(const window_: ICefWindow; var aResult: boolean);

Return true (1) if |window| should be created as a window modal dialog. Only called when a Window is returned via get_parent_window() with |is_menu| set to false (0). All controls in the parent Window will be disabled while |window| is visible. This functionality is not supported by all Linux window managers. Alternately, use ICefWindow.ShowAsBrowserModalDialog() for a browser modal dialog that works on all platforms.

Public procedure OnGetInitialBounds(const window_: ICefWindow; var aResult : TCefRect);

Return the initial bounds for |window| in density independent pixel (DIP) coordinates. If this function returns an NULL CefRect then GetPreferredSize() will be called to retrieve the size, and the window will be placed on the screen with origin (0,0). This function can be used in combination with ICefView.GetBoundsInScreen() to restore the previous window bounds.

Public procedure OnGetInitialShowState(const window_: ICefWindow; var aResult : TCefShowState);

Return the initial show state for |window|.

Public procedure OnIsFrameless(const window_: ICefWindow; var aResult : boolean);

Return true (1) if |window| should be created without a frame or title bar. The window will be resizable if can_resize() returns true (1). Use ICefWindow.SetDraggableRegions() to specify draggable regions.

Public procedure OnWithStandardWindowButtons(const window_: ICefWindow; var aResult : boolean);

Return true (1) if |window| should be created with standard window buttons like close, minimize and zoom. This function is only supported on macOS.

Public procedure OnGetTitlebarHeight(const window_: ICefWindow; var titlebar_height: Single; var aResult : boolean);

Return whether the titlebar height should be overridden, and sets the height of the titlebar in |titlebar_height|. On macOS, it can also be used to adjust the vertical position of the traffic light buttons in frameless windows. The buttons will be positioned halfway down the titlebar at a height of |titlebar_height| / 2.

Public procedure OnAcceptsFirstMouse(const window_: ICefWindow; var aResult: TCefState);

Return whether the view should accept the initial mouse-down event, allowing it to respond to click-through behavior. If STATE_ENABLED is returned, the view will be sent a mouseDown: message for an initial mouse- down event, activating the view with one click, instead of clicking first to make the window active and then clicking the view.

This function is only supported on macOS. For more details, refer to the documentation of acceptsFirstMouse.

Public procedure OnCanResize(const window_: ICefWindow; var aResult : boolean);

Return true (1) if |window| can be resized.

Public procedure OnCanMaximize(const window_: ICefWindow; var aResult : boolean);

Return true (1) if |window| can be maximized.

Public procedure OnCanMinimize(const window_: ICefWindow; var aResult : boolean);

Return true (1) if |window| can be minimized.

Public procedure OnCanClose(const window_: ICefWindow; var aResult : boolean);

Return true (1) if |window| can be closed. This will be called for user- initiated window close actions and when ICefWindow.close() is called.

Public procedure OnAccelerator(const window_: ICefWindow; command_id: Integer; var aResult : boolean);

Called when a keyboard accelerator registered with ICefWindow.SetAccelerator is triggered. Return true (1) if the accelerator was handled or false (0) otherwise.

Public procedure OnKeyEvent(const window_: ICefWindow; const event: TCefKeyEvent; var aResult : boolean);

Called after all other controls in the window have had a chance to handle the event. |event| contains information about the keyboard event. Return true (1) if the keyboard event was handled or false (0) otherwise.

Public procedure OnThemeColorsChanged(const window_: ICefWindow; chrome_theme: Integer);

Called after the native/OS or Chrome theme for |window| has changed. |chrome_theme| will be true (1) if the notification is for a Chrome theme.

Native/OS theme colors are configured globally and do not need to be customized for each Window individually. An example of a native/OS theme change that triggers this callback is when the user switches between dark and light mode during application lifespan. Native/OS theme changes can be disabled by passing the `–force-dark-mode` or `–force-light-mode` command-line flag.

Chrome theme colors will be applied and this callback will be triggered if/when a BrowserView is added to the Window's component hierarchy. Chrome theme colors can be configured on a per-RequestContext basis using ICefRequestContext.SetChromeColorScheme or (Chrome style only) by visiting chrome://settings/manageProfile. Any theme changes using those mechanisms will also trigger this callback. Chrome theme colors will be persisted and restored from disk cache.

This callback is not triggered on Window creation so clients that wish to customize the initial native/OS theme must call ICefWindow.SetThemeColor and ICefWindow.ThemeChanged before showing the first Window.

Theme colors will be reset to standard values before this callback is called for the first affected Window. Call ICefWindow.SetThemeColor from inside this callback to override a standard color or add a custom color. ICefViewDelegate.OnThemeChanged will be called after this callback for the complete |window| component hierarchy.

Public procedure OnGetWindowRuntimeStyle(var aResult: TCefRuntimeStyle);

Optionally change the runtime style for this Window. See TCefRuntimeStyle documentation for details.

Public procedure OnGetLinuxWindowProperties(const window_: ICefWindow; var properties: TLinuxWindowProperties; var aResult: boolean);

Return Linux-specific window properties for correctly handling by window managers.


cef4delphi: uCEFJsDialogCallback

Unit uCEFJsDialogCallback

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefJsDialogCallbackRef |


cef4delphi: uCEFJsDialogCallback: Class TCefJsDialogCallbackRef

Class TCefJsDialogCallbackRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFJsDialogCallback

Declaration

type TCefJsDialogCallbackRef = class(TCefBaseRefCountedRef, ICefJsDialogCallback)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefJsDialogCallbackRef

Overview

Methods

Protected | procedure Cont(success: Boolean; const userInput: ustring);
Public | class function UnWrap(data: Pointer): ICefJsDialogCallback;

Description

Methods

Protected procedure Cont(success: Boolean; const userInput: ustring);

This item has no description. Showing description inherited from ICefJsDialogCallback.Cont.

Continue the JS dialog request. Set |success| to true (1) if the OK button was pressed. The |user_input| value should be specified for prompt dialogs.

Public class function UnWrap(data: Pointer): ICefJsDialogCallback;

This item has no description.


cef4delphi: uCEFJsDialogHandler

Unit uCEFJsDialogHandler

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefJsDialogHandlerOwn |
Class TCustomJsDialogHandler |


cef4delphi: uCEFJsDialogHandler: Class TCefJsDialogHandlerOwn

Class TCefJsDialogHandlerOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFJsDialogHandler

Declaration

type TCefJsDialogHandlerOwn = class(TCefBaseRefCountedOwn, ICefJsDialogHandler)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefJsDialogHandlerOwn

Overview

Methods

Protected | function OnJsdialog(const browser: ICefBrowser; const originUrl: ustring; dialogType: TCefJsDialogType; const messageText, defaultPromptText: ustring; const callback: ICefJsDialogCallback; out suppressMessage: Boolean): Boolean; virtual;
Protected | function OnBeforeUnloadDialog(const browser: ICefBrowser; const messageText: ustring; isReload: Boolean; const callback: ICefJsDialogCallback): Boolean; virtual;
Protected | procedure OnResetDialogState(const browser: ICefBrowser); virtual;
Protected | procedure OnDialogClosed(const browser: ICefBrowser); virtual;
Protected | procedure RemoveReferences; virtual;
Public | constructor Create; virtual;

Description

Methods

Protected function OnJsdialog(const browser: ICefBrowser; const originUrl: ustring; dialogType: TCefJsDialogType; const messageText, defaultPromptText: ustring; const callback: ICefJsDialogCallback; out suppressMessage: Boolean): Boolean; virtual;

This item has no description. Showing description inherited from ICefJsDialogHandler.OnJsdialog.

Called to run a JavaScript dialog. If |origin_url| is non-NULL it can be passed to the CefFormatUrlForSecurityDisplay function to retrieve a secure and user-friendly display string. The |default_prompt_text| value will be specified for prompt dialogs only. Set |suppress_message| to true (1) and return false (0) to suppress the message (suppressing messages is preferable to immediately executing the callback as this is used to detect presumably malicious behavior like spamming alert messages in onbeforeunload). Set |suppress_message| to false (0) and return false (0) to use the default implementation (the default implementation will show one modal dialog at a time and suppress any additional dialog requests until the displayed dialog is dismissed). Return true (1) if the application will use a custom dialog or if the callback has been executed immediately. Custom dialogs may be either modal or modeless. If a custom dialog is used the application must execute |callback| once the custom dialog is dismissed.

Protected function OnBeforeUnloadDialog(const browser: ICefBrowser; const messageText: ustring; isReload: Boolean; const callback: ICefJsDialogCallback): Boolean; virtual;

This item has no description. Showing description inherited from ICefJsDialogHandler.OnBeforeUnloadDialog.

Called to run a dialog asking the user if they want to leave a page. Return false (0) to use the default dialog implementation. Return true (1) if the application will use a custom dialog or if the callback has been executed immediately. Custom dialogs may be either modal or modeless. If a custom dialog is used the application must execute |callback| once the custom dialog is dismissed.

Protected procedure OnResetDialogState(const browser: ICefBrowser); virtual;

This item has no description. Showing description inherited from ICefJsDialogHandler.OnResetDialogState.

Called to cancel any pending dialogs and reset any saved dialog state. Will be called due to events like page navigation irregardless of whether any dialogs are currently pending.

Protected procedure OnDialogClosed(const browser: ICefBrowser); virtual;

This item has no description. Showing description inherited from ICefJsDialogHandler.OnDialogClosed.

Called when the dialog is closed.

Protected procedure RemoveReferences; virtual;

This item has no description. Showing description inherited from ICefJsDialogHandler.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFJsDialogHandler: Class TCustomJsDialogHandler

Class TCustomJsDialogHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFJsDialogHandler

Declaration

type TCustomJsDialogHandler = class(TCefJsDialogHandlerOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefJsDialogHandlerOwn
  • TCustomJsDialogHandler

Overview

Fields

Protected FEvents: Pointer;

Methods

Protected | function OnJsdialog(const browser: ICefBrowser; const originUrl: ustring; dialogType: TCefJsDialogType; const messageText, defaultPromptText: ustring; const callback: ICefJsDialogCallback; out suppressMessage: Boolean): Boolean; override;
Protected | function OnBeforeUnloadDialog(const browser: ICefBrowser; const messageText: ustring; isReload: Boolean; const callback: ICefJsDialogCallback): Boolean; override;
Protected | procedure OnResetDialogState(const browser: ICefBrowser); override;
Protected | procedure OnDialogClosed(const browser: ICefBrowser); override;
Protected | procedure RemoveReferences; override;
Public | constructor Create(const events : IChromiumEvents); reintroduce; virtual;
Public | destructor Destroy; override;

Description

Fields

Protected FEvents: Pointer;

This item has no description.

Methods

Protected function OnJsdialog(const browser: ICefBrowser; const originUrl: ustring; dialogType: TCefJsDialogType; const messageText, defaultPromptText: ustring; const callback: ICefJsDialogCallback; out suppressMessage: Boolean): Boolean; override;

This item has no description. Showing description inherited from ICefJsDialogHandler.OnJsdialog.

Called to run a JavaScript dialog. If |origin_url| is non-NULL it can be passed to the CefFormatUrlForSecurityDisplay function to retrieve a secure and user-friendly display string. The |default_prompt_text| value will be specified for prompt dialogs only. Set |suppress_message| to true (1) and return false (0) to suppress the message (suppressing messages is preferable to immediately executing the callback as this is used to detect presumably malicious behavior like spamming alert messages in onbeforeunload). Set |suppress_message| to false (0) and return false (0) to use the default implementation (the default implementation will show one modal dialog at a time and suppress any additional dialog requests until the displayed dialog is dismissed). Return true (1) if the application will use a custom dialog or if the callback has been executed immediately. Custom dialogs may be either modal or modeless. If a custom dialog is used the application must execute |callback| once the custom dialog is dismissed.

Protected function OnBeforeUnloadDialog(const browser: ICefBrowser; const messageText: ustring; isReload: Boolean; const callback: ICefJsDialogCallback): Boolean; override;

This item has no description. Showing description inherited from ICefJsDialogHandler.OnBeforeUnloadDialog.

Called to run a dialog asking the user if they want to leave a page. Return false (0) to use the default dialog implementation. Return true (1) if the application will use a custom dialog or if the callback has been executed immediately. Custom dialogs may be either modal or modeless. If a custom dialog is used the application must execute |callback| once the custom dialog is dismissed.

Protected procedure OnResetDialogState(const browser: ICefBrowser); override;

This item has no description. Showing description inherited from ICefJsDialogHandler.OnResetDialogState.

Called to cancel any pending dialogs and reset any saved dialog state. Will be called due to events like page navigation irregardless of whether any dialogs are currently pending.

Protected procedure OnDialogClosed(const browser: ICefBrowser); override;

This item has no description. Showing description inherited from ICefJsDialogHandler.OnDialogClosed.

Called when the dialog is closed.

Protected procedure RemoveReferences; override;

This item has no description. Showing description inherited from ICefJsDialogHandler.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create(const events : IChromiumEvents); reintroduce; virtual;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFJson

Unit uCEFJson

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCEFJson |


cef4delphi: uCEFJson: Class TCEFJson

Class TCEFJson

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFJson

Declaration

type TCEFJson = class(TObject)

Description

This item has no description.

Hierarchy

  • TObject
  • TCEFJson

Overview

Methods

Public | class function ReadValue(const aDictionary : ICefDictionaryValue; const aKey : string; var aValue : ICefValue) : boolean;
Public | class function ReadBoolean(const aDictionary : ICefDictionaryValue; const aKey : string; var aValue : boolean) : boolean;
Public | class function ReadInteger(const aDictionary : ICefDictionaryValue; const aKey : string; var aValue : integer) : boolean;
Public | class function ReadDouble(const aDictionary : ICefDictionaryValue; const aKey : string; var aValue : double) : boolean;
Public | class function ReadString(const aDictionary : ICefDictionaryValue; const aKey : string; var aValue : ustring) : boolean;
Public | class function ReadBinary(const aDictionary : ICefDictionaryValue; const aKey : string; var aValue : ICefBinaryValue) : boolean;
Public | class function ReadDictionary(const aDictionary : ICefDictionaryValue; const aKey : string; var aValue : ICefDictionaryValue) : boolean;
Public | class function ReadList(const aDictionary : ICefDictionaryValue; const aKey : string; var aValue : ICefListValue) : boolean;
Public | class function Parse(const jsonString: ustring; options: TCefJsonParserOptions = JSON_PARSER_RFC): ICefValue; overload;
Public | class function Parse(const json: Pointer; json_size: NativeUInt; options: TCefJsonParserOptions = JSON_PARSER_RFC): ICefValue; overload;
Public | class function ParseAndReturnError(const jsonString: ustring; options: TCefJsonParserOptions; out errorMsgOut: ustring): ICefValue;
Public | class function Write(const node: ICefValue; options: TCefJsonWriterOptions = JSON_WRITER_DEFAULT): ustring; overload;
Public | class function Write(const node: ICefDictionaryValue; options: TCefJsonWriterOptions = JSON_WRITER_DEFAULT): ustring; overload;
Public | class function Write(const node: ICefValue; var aRsltStrings: TStringList): boolean; overload;
Public | class function Write(const node: ICefDictionaryValue; var aRsltStrings: TStringList): boolean; overload;
Public | class function SaveToFile(const node: ICefValue; const aFileName: ustring): boolean; overload;
Public | class function SaveToFile(const node: ICefDictionaryValue; const aFileName: ustring): boolean; overload;
Public | class function LoadFromFile(const aFileName: ustring; var aRsltNode: ICefValue; options: TCefJsonParserOptions = JSON_PARSER_RFC): boolean;

Description

Methods

Public class function ReadValue(const aDictionary : ICefDictionaryValue; const aKey : string; var aValue : ICefValue) : boolean;

Returns the ICefValue value at the specified key.

Public class function ReadBoolean(const aDictionary : ICefDictionaryValue; const aKey : string; var aValue : boolean) : boolean;

Returns the boolean value at the specified key.

Public class function ReadInteger(const aDictionary : ICefDictionaryValue; const aKey : string; var aValue : integer) : boolean;

Returns the integer value at the specified key.

Public class function ReadDouble(const aDictionary : ICefDictionaryValue; const aKey : string; var aValue : double) : boolean;

Returns the double value at the specified key.

Public class function ReadString(const aDictionary : ICefDictionaryValue; const aKey : string; var aValue : ustring) : boolean;

Returns the ustring value at the specified key.

Public class function ReadBinary(const aDictionary : ICefDictionaryValue; const aKey : string; var aValue : ICefBinaryValue) : boolean;

Returns the ICefBinaryValue value at the specified key.

Public class function ReadDictionary(const aDictionary : ICefDictionaryValue; const aKey : string; var aValue : ICefDictionaryValue) : boolean;

Returns the ICefDictionaryValue value at the specified key.

Public class function ReadList(const aDictionary : ICefDictionaryValue; const aKey : string; var aValue : ICefListValue) : boolean;

Returns the ICefListValue value at the specified key.

Public class function Parse(const jsonString: ustring; options: TCefJsonParserOptions = JSON_PARSER_RFC): ICefValue; overload;

Parses the specified |json_string| and returns a dictionary or list representation. If JSON parsing fails this function returns NULL.

Public class function Parse(const json: Pointer; json_size: NativeUInt; options: TCefJsonParserOptions = JSON_PARSER_RFC): ICefValue; overload;

Parses the specified UTF8-encoded |json| buffer of size |json_size| and returns a dictionary or list representation. If JSON parsing fails this function returns NULL.

Public class function ParseAndReturnError(const jsonString: ustring; options: TCefJsonParserOptions; out errorMsgOut: ustring): ICefValue;

Parses the specified |json_string| and returns a dictionary or list representation. If JSON parsing fails this function returns NULL and populates |error_msg_out| with a formatted error message.

Public class function Write(const node: ICefValue; options: TCefJsonWriterOptions = JSON_WRITER_DEFAULT): ustring; overload;

Generates a JSON string from the specified root |node|. Returns an NULL string on failure. This function requires exclusive access to |node| including any underlying data.

Public class function Write(const node: ICefDictionaryValue; options: TCefJsonWriterOptions = JSON_WRITER_DEFAULT): ustring; overload;

Generates a JSON string from the specified root |node|. Returns an NULL string on failure. This function requires exclusive access to |node| including any underlying data.

Public class function Write(const node: ICefValue; var aRsltStrings: TStringList): boolean; overload;

Generates a JSON string from the specified root |node|. Returns an NULL string on failure. This function requires exclusive access to |node| including any underlying data.

Public class function Write(const node: ICefDictionaryValue; var aRsltStrings: TStringList): boolean; overload;

Generates a JSON string from the specified root |node|. Returns an NULL string on failure. This function requires exclusive access to |node| including any underlying data.

Public class function SaveToFile(const node: ICefValue; const aFileName: ustring): boolean; overload;

Saves the JSON data in |node| to a file in aFileName.

Public class function SaveToFile(const node: ICefDictionaryValue; const aFileName: ustring): boolean; overload;

Saves the JSON data in |node| to a file in aFileName.

Public class function LoadFromFile(const aFileName: ustring; var aRsltNode: ICefValue; options: TCefJsonParserOptions = JSON_PARSER_RFC): boolean;

Loads the JSON data in |aFileName| using the |encoding| and returns an ICefValue node in |aRsltNode|.


cef4delphi: uCEFKeyboardHandler

Unit uCEFKeyboardHandler

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefKeyboardHandlerOwn |
Class TCustomKeyboardHandler |


cef4delphi: uCEFKeyboardHandler: Class TCefKeyboardHandlerOwn

Class TCefKeyboardHandlerOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFKeyboardHandler

Declaration

type TCefKeyboardHandlerOwn = class(TCefBaseRefCountedOwn, ICefKeyboardHandler)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefKeyboardHandlerOwn

Overview

Methods

Protected | function OnPreKeyEvent(const browser: ICefBrowser; const event: PCefKeyEvent; osEvent: TCefEventHandle; out isKeyboardShortcut: Boolean): Boolean; virtual;
Protected | function OnKeyEvent(const browser: ICefBrowser; const event: PCefKeyEvent; osEvent: TCefEventHandle): Boolean; virtual;
Protected | procedure RemoveReferences; virtual;
Public | constructor Create; virtual;

Description

Methods

Protected function OnPreKeyEvent(const browser: ICefBrowser; const event: PCefKeyEvent; osEvent: TCefEventHandle; out isKeyboardShortcut: Boolean): Boolean; virtual;

This item has no description. Showing description inherited from ICefKeyboardHandler.OnPreKeyEvent.

Called before a keyboard event is sent to the renderer. |event| contains information about the keyboard event. |os_event| is the operating system event message, if any. Return true (1) if the event was handled or false (0) otherwise. If the event will be handled in on_key_event() as a keyboard shortcut set |is_keyboard_shortcut| to true (1) and return false (0).

Protected function OnKeyEvent(const browser: ICefBrowser; const event: PCefKeyEvent; osEvent: TCefEventHandle): Boolean; virtual;

This item has no description. Showing description inherited from ICefKeyboardHandler.OnKeyEvent.

Called after the renderer and JavaScript in the page has had a chance to handle the event. |event| contains information about the keyboard event. |os_event| is the operating system event message, if any. Return true (1) if the keyboard event was handled or false (0) otherwise.

Protected procedure RemoveReferences; virtual;

This item has no description. Showing description inherited from ICefKeyboardHandler.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFKeyboardHandler: Class TCustomKeyboardHandler

Class TCustomKeyboardHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFKeyboardHandler

Declaration

type TCustomKeyboardHandler = class(TCefKeyboardHandlerOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefKeyboardHandlerOwn
  • TCustomKeyboardHandler

Overview

Fields

Protected FEvents: Pointer;

Methods

Protected | function OnPreKeyEvent(const browser: ICefBrowser; const event: PCefKeyEvent; osEvent: TCefEventHandle; out isKeyboardShortcut: Boolean): Boolean; override;
Protected | function OnKeyEvent(const browser: ICefBrowser; const event: PCefKeyEvent; osEvent: TCefEventHandle): Boolean; override;
Protected | procedure RemoveReferences; override;
Public | constructor Create(const events : IChromiumEvents); reintroduce; virtual;
Public | destructor Destroy; override;

Description

Fields

Protected FEvents: Pointer;

This item has no description.

Methods

Protected function OnPreKeyEvent(const browser: ICefBrowser; const event: PCefKeyEvent; osEvent: TCefEventHandle; out isKeyboardShortcut: Boolean): Boolean; override;

This item has no description. Showing description inherited from ICefKeyboardHandler.OnPreKeyEvent.

Called before a keyboard event is sent to the renderer. |event| contains information about the keyboard event. |os_event| is the operating system event message, if any. Return true (1) if the event was handled or false (0) otherwise. If the event will be handled in on_key_event() as a keyboard shortcut set |is_keyboard_shortcut| to true (1) and return false (0).

Protected function OnKeyEvent(const browser: ICefBrowser; const event: PCefKeyEvent; osEvent: TCefEventHandle): Boolean; override;

This item has no description. Showing description inherited from ICefKeyboardHandler.OnKeyEvent.

Called after the renderer and JavaScript in the page has had a chance to handle the event. |event| contains information about the keyboard event. |os_event| is the operating system event message, if any. Return true (1) if the keyboard event was handled or false (0) otherwise.

Protected procedure RemoveReferences; override;

This item has no description. Showing description inherited from ICefKeyboardHandler.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create(const events : IChromiumEvents); reintroduce; virtual;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFLabelButton

Unit uCEFLabelButton

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefLabelButtonRef | LabelButton is a button with optional text and/or icon. Methods must be called on the browser process UI thread unless otherwise indicated.


cef4delphi: uCEFLabelButton: Class TCefLabelButtonRef

Class TCefLabelButtonRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFLabelButton

Declaration

type TCefLabelButtonRef = class(TCefButtonRef, ICefLabelButton)

Description

LabelButton is a button with optional text and/or icon. Methods must be called on the browser process UI thread unless otherwise indicated.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_label_button_capi.h">CEF source file: /include/capi/views/cef_label_button_capi.h (cef_label_button_t))

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefViewRef
  • TCefButtonRef
  • TCefLabelButtonRef

Overview

Methods

Protected | function AsMenuButton: ICefMenuButton;
Protected | procedure SetText(const text_: ustring);
Protected | function GetText: ustring;
Protected | procedure SetImage(button_state: TCefButtonState; const image: ICefImage);
Protected | function GetImage(button_state: TCefButtonState): ICefImage;
Protected | procedure SetTextColor(for_state: TCefButtonState; color: TCefColor);
Protected | procedure SetEnabledTextColors(color: TCefColor);
Protected | procedure SetFontList(const font_list: ustring);
Protected | procedure SetHorizontalAlignment(alignment: TCefHorizontalAlignment);
Protected | procedure SetMinimumSize(const size_: TCefSize);
Protected | procedure SetMaximumSize(const size_: TCefSize);
Public | class function UnWrap(data: Pointer): ICefLabelButton;
Public | class function CreateLabelButton(const delegate: ICefButtonDelegate; const text: ustring): ICefLabelButton;

Description

Methods

Protected function AsMenuButton: ICefMenuButton;

Returns this LabelButton as a MenuButton or NULL if this is not a MenuButton.

Protected procedure SetText(const text_: ustring);

Sets the text shown on the LabelButton. By default |text| will also be used as the accessible name.

Protected function GetText: ustring;

Returns the text shown on the LabelButton.

Protected procedure SetImage(button_state: TCefButtonState; const image: ICefImage);

Sets the image shown for |button_state|. When this Button is drawn if no image exists for the current state then the image for CEF_BUTTON_STATE_NORMAL, if any, will be shown.

Protected function GetImage(button_state: TCefButtonState): ICefImage;

Returns the image shown for |button_state|. If no image exists for that state then the image for CEF_BUTTON_STATE_NORMAL will be returned.

Protected procedure SetTextColor(for_state: TCefButtonState; color: TCefColor);

Sets the text color shown for the specified button |for_state| to |color|.

Protected procedure SetEnabledTextColors(color: TCefColor);

Sets the text colors shown for the non-disabled states to |color|.

Protected procedure SetFontList(const font_list: ustring);

Sets the font list. The format is "<FONT_FAMILY_LIST>,[STYLES] <SIZE>", where: - FONT_FAMILY_LIST is a comma-separated list of font family names, - STYLES is an optional space-separated list of style names (case-sensitive "Bold" and "Italic" are supported), and - SIZE is an integer font size in pixels with the suffix "px".

Here are examples of valid font description strings: - "Arial, Helvetica, Bold Italic 14px" - "Arial, 14px"

Protected procedure SetHorizontalAlignment(alignment: TCefHorizontalAlignment);

Sets the horizontal alignment; reversed in RTL. Default is CEF_HORIZONTAL_ALIGNMENT_CENTER.

Protected procedure SetMinimumSize(const size_: TCefSize);

Reset the minimum size of this LabelButton to |size|.

Protected procedure SetMaximumSize(const size_: TCefSize);

Reset the maximum size of this LabelButton to |size|.

Public class function UnWrap(data: Pointer): ICefLabelButton;

Returns a ICefLabelButton instance using a PCefLabelButton data pointer.

Public class function CreateLabelButton(const delegate: ICefButtonDelegate; const text: ustring): ICefLabelButton;

Create a new LabelButton. A |delegate| must be provided to handle the button click. |text| will be shown on the LabelButton and used as the default accessible name.


cef4delphi: uCEFLabelButtonComponent

Unit uCEFLabelButtonComponent

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCEFLabelButtonComponent |

Functions and Procedures

procedure Register;

Description

Functions and Procedures

procedure Register;

This item has no description.


cef4delphi: uCEFLabelButtonComponent: Class TCEFLabelButtonComponent

Class TCEFLabelButtonComponent

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFLabelButtonComponent

Declaration

type TCEFLabelButtonComponent = class(TCEFButtonComponent)

Description

This item has no description.

Hierarchy

  • TObject
  • TPersistent
  • TComponent
  • TCEFViewComponent
  • TCEFButtonComponent
  • TCEFLabelButtonComponent

Overview

Fields

Protected | FLabelButton: ICefLabelButton;
Protected | FText: ustring;

Methods

Protected | procedure DestroyView; override;
Protected | procedure Initialize; override;
Protected | function GetInitialized: boolean; override;
Protected | function GetAsView: ICefView; override;
Protected | function GetAsButton: ICefButton; override;
Protected | function GetAsLabelButton: ICefLabelButton; override;
Protected | function GetAsMenuButton: ICefMenuButton; virtual;
Protected | function GetText: ustring;
Protected | function GetImage(button_state: TCefButtonState): ICefImage;
Protected | procedure SetText(const text_: ustring);
Protected | procedure SetImage(button_state: TCefButtonState; const image: ICefImage);
Protected | procedure doCreateCustomView; override;
Public | procedure CreateLabelButton(const aText : ustring);
Public | procedure SetTextColor(for_state: TCefButtonState; color: TCefColor);
Public | procedure SetEnabledTextColors(color: TCefColor);
Public | procedure SetFontList(const font_list: ustring);
Public | procedure SetHorizontalAlignment(alignment: TCefHorizontalAlignment);
Public | procedure SetMinimumSize(const size_: TCefSize);
Public | procedure SetMaximumSize(const size_: TCefSize);

Properties

Public | property Text : ustring read GetText write SetText;
Public | property Image[button_state: TCefButtonState]: ICefImage read GetImage write SetImage;
Public | property AsMenuButton : ICefMenuButton read GetAsMenuButton;

Description

Fields

Protected FLabelButton: ICefLabelButton;

This item has no description.

Protected FText: ustring;

This item has no description.

Methods

Protected procedure DestroyView; override;

This item has no description.

Protected procedure Initialize; override;

This item has no description.

Protected function GetInitialized: boolean; override;

This item has no description.

Protected function GetAsView: ICefView; override;

This item has no description.

Protected function GetAsButton: ICefButton; override;

This item has no description.

Protected function GetAsLabelButton: ICefLabelButton; override;

This item has no description.

Protected function GetAsMenuButton: ICefMenuButton; virtual;

This item has no description.

Protected function GetText: ustring;

This item has no description.

Protected function GetImage(button_state: TCefButtonState): ICefImage;

This item has no description.

Protected procedure SetText(const text_: ustring);

This item has no description.

Protected procedure SetImage(button_state: TCefButtonState; const image: ICefImage);

This item has no description.

Protected procedure doCreateCustomView; override;

ICefViewDelegateEvents

Public procedure CreateLabelButton(const aText : ustring);

Create a new LabelButton. |aText| will be shown on the LabelButton and used as the default accessible name.

Public procedure SetTextColor(for_state: TCefButtonState; color: TCefColor);

Sets the text color shown for the specified button |for_state| to |color|.

Public procedure SetEnabledTextColors(color: TCefColor);

Sets the text colors shown for the non-disabled states to |color|.

Public procedure SetFontList(const font_list: ustring);

Sets the font list. The format is "<FONT_FAMILY_LIST>,[STYLES] <SIZE>", where:

- FONT_FAMILY_LIST is a comma-separated list of font family names,
- STYLES is an optional space-separated list of style names (case-sensitive
  "Bold" and "Italic" are supported), and
- SIZE is an integer font size in pixels with the suffix "px".

Here are examples of valid font description strings:

- "Arial, Helvetica, Bold Italic 14px"
- "Arial, 14px"

Public procedure SetHorizontalAlignment(alignment: TCefHorizontalAlignment);

Sets the horizontal alignment; reversed in RTL. Default is CEF_HORIZONTAL_ALIGNMENT_CENTER.

Public procedure SetMinimumSize(const size_: TCefSize);

Reset the minimum size of this LabelButton to |size|.

Public procedure SetMaximumSize(const size_: TCefSize);

Reset the maximum size of this LabelButton to |size|.

Properties

Public property Text : ustring read GetText write SetText;

Gets and sets the text shown on the LabelButton. By default |text| will also be used as the accessible name.

Public property Image[button_state: TCefButtonState]: ICefImage read GetImage write SetImage;

Returns the image shown for |button_state|. If no image exists for that state then the image for CEF_BUTTON_STATE_NORMAL will be returned.

Public property AsMenuButton : ICefMenuButton read GetAsMenuButton;

Returns this LabelButton as a MenuButton or NULL if this is not a MenuButton.


cef4delphi: uCEFLayout

Unit uCEFLayout

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefLayoutRef | A Layout handles the sizing of the children of a Panel according to implementation-specific heuristics. Methods must be called on the browser process UI thread unless otherwise indicated.


cef4delphi: uCEFLayout: Class TCefLayoutRef

Class TCefLayoutRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFLayout

Declaration

type TCefLayoutRef = class(TCefBaseRefCountedRef, ICefLayout)

Description

A Layout handles the sizing of the children of a Panel according to implementation-specific heuristics. Methods must be called on the browser process UI thread unless otherwise indicated.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_layout_capi.h">CEF source file: /include/capi/views/cef_layout_capi.h (cef_layout_t))

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefLayoutRef

Overview

Methods

Protected | function AsBoxLayout: ICefBoxLayout;
Protected | function AsFillLayout: ICefFillLayout;
Protected | function IsValid: boolean;
Public | class function UnWrap(data: Pointer): ICefLayout;

Description

Methods

Protected function AsBoxLayout: ICefBoxLayout;

Returns this Layout as a BoxLayout or NULL if this is not a BoxLayout.

Protected function AsFillLayout: ICefFillLayout;

Returns this Layout as a FillLayout or NULL if this is not a FillLayout.

Protected function IsValid: boolean;

Returns true (1) if this Layout is valid.

Public class function UnWrap(data: Pointer): ICefLayout;

Returns a ICefLayout instance using a PCefLayout data pointer.


cef4delphi: uCEFLazarusCocoa

Unit uCEFLazarusCocoa

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.


cef4delphi: uCEFLibFunctions

Unit uCEFLibFunctions

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Variables

cef_api_hash: function(version, entry: integer): PAnsiChar; cdecl;
cef_api_version: function: integer; cdecl;
cef_version_info: function(entry: integer) : integer; cdecl;
cef_version_info_all: procedure(info: PCefVersionInfoEx); cdecl;
cef_id_for_pack_resource_name: function(const name : PAnsiChar) : integer; cdecl;
cef_id_for_pack_string_name: function(const name : PAnsiChar) : integer; cdecl;
cef_id_for_command_id_name: function(const name : PAnsiChar) : integer; cdecl;
cef_initialize: function(const args: PCefMainArgs; const settings: PCefSettings; application: PCefApp; windows_sandbox_info: Pointer): Integer; cdecl;
cef_get_exit_code: function: integer; cdecl;
cef_shutdown: procedure; cdecl;
cef_execute_process: function(const args: PCefMainArgs; application: PCefApp; windows_sandbox_info: Pointer): Integer; cdecl;
cef_do_message_loop_work: procedure; cdecl;
cef_run_message_loop: procedure; cdecl;
cef_quit_message_loop: procedure; cdecl;
cef_browser_host_create_browser: function(const windowInfo: PCefWindowInfo; client: PCefClient; const url: PCefString; const settings: PCefBrowserSettings; extra_info: PCefDictionaryValue; request_context: PCefRequestContext): Integer; cdecl;
cef_browser_host_create_browser_sync: function(const windowInfo: PCefWindowInfo; client: PCefClient; const url: PCefString; const settings: PCefBrowserSettings; extra_info: PCefDictionaryValue; request_context: PCefRequestContext): PCefBrowser; cdecl;
cef_browser_host_get_browser_by_identifier: function(browser_id: Integer): PCefBrowser; cdecl;
cef_command_line_create: function: PCefCommandLine; cdecl;
cef_command_line_get_global: function: PCefCommandLine; cdecl;
cef_cookie_manager_get_global_manager: function(callback: PCefCompletionCallback): PCefCookieManager; cdecl;
cef_crash_reporting_enabled: function: integer; cdecl;
cef_set_crash_key_value: procedure(const key, value : PCefString); cdecl;
cef_drag_data_create: function: PCefDragData; cdecl;
cef_create_directory: function(const full_path : PCefString): Integer; cdecl;
cef_get_temp_directory: function(temp_dir : PCefString): Integer; cdecl;
cef_create_new_temp_directory: function(const prefix : PCefString; new_temp_path: PCefString): Integer; cdecl;
cef_create_temp_directory_in_directory: function(const base_dir, prefix : PCefString; new_dir : PCefString): Integer; cdecl;
cef_directory_exists: function(const path : PCefString): Integer; cdecl;
cef_delete_file: function(const path : PCefString; recursive : integer): Integer; cdecl;
cef_zip_directory: function(const src_dir, dest_file : PCefString; include_hidden_files : integer): Integer; cdecl;
cef_load_crlsets_file: procedure(const path : PCefString); cdecl;
cef_is_rtl: function: Integer; cdecl;
cef_image_create: function: PCefImage; cdecl;
cef_media_router_get_global: function(callback: PCefCompletionCallback) : PCefMediaRouter; cdecl;
cef_menu_model_create: function(delegate: PCefMenuModelDelegate): PCefMenuModel; cdecl;
cef_add_cross_origin_whitelist_entry: function(const source_origin, target_protocol, target_domain: PCefString; allow_target_subdomains: Integer): Integer; cdecl;
cef_remove_cross_origin_whitelist_entry: function(const source_origin, target_protocol, target_domain: PCefString; allow_target_subdomains: Integer): Integer; cdecl;
cef_clear_cross_origin_whitelist: function: Integer; cdecl;
cef_resolve_url: function(const base_url, relative_url: PCefString; resolved_url: PCefString): Integer; cdecl;
cef_parse_url: function(const url: PCefString; var parts: TCefUrlParts): Integer; cdecl;
cef_create_url: function(const parts: PCefUrlParts; url: PCefString): Integer; cdecl;
cef_format_url_for_security_display: function(const origin_url: PCefString): PCefStringUserFree; cdecl;
cef_get_mime_type: function(const extension: PCefString): PCefStringUserFree; cdecl;
cef_get_extensions_for_mime_type: procedure(const mime_type: PCefString; extensions: TCefStringList); cdecl;
cef_base64_encode: function(const data: Pointer; data_size: NativeUInt): PCefStringUserFree; cdecl;
cef_base64_decode: function(const data: PCefString): PCefBinaryValue; cdecl;
cef_uriencode: function(const text: PCefString; use_plus: Integer): PCefStringUserFree; cdecl;
cef_uridecode: function(const text: PCefString; convert_to_utf8: Integer; unescape_rule: TCefUriUnescapeRule): PCefStringUserFree; cdecl;
cef_parse_json: function(const json_string: PCefString; options: TCefJsonParserOptions): PCefValue; cdecl;
cef_parse_json_buffer: function(const json: Pointer; json_size: NativeUInt; options: TCefJsonParserOptions): PCefValue; cdecl;
cef_parse_jsonand_return_error: function(const json_string: PCefString; options: TCefJsonParserOptions; error_msg_out: PCefString): PCefValue; cdecl;
cef_write_json: function(node: PCefValue; options: TCefJsonWriterOptions): PCefStringUserFree; cdecl;
cef_get_path: function(key: TCefPathKey; path: PCefString): Integer; cdecl;
cef_preference_manager_get_global: function: PCefPreferenceManager; cdecl;
cef_preference_manager_get_chrome_variations_as_switches: procedure(switches: TCefStringList); cdecl;
cef_preference_manager_get_chrome_variations_as_strings: procedure(strings: TCefStringList); cdecl;
cef_print_settings_create: function: PCefPrintSettings; cdecl;
cef_process_message_create: function(const name: PCefString): PCefProcessMessage; cdecl;
cef_launch_process: function(command_line: PCefCommandLine): Integer; cdecl;
cef_request_create: function: PCefRequest; cdecl;
cef_post_data_create: function: PCefPostData; cdecl;
cef_post_data_element_create: function: PCefPostDataElement; cdecl;
cef_request_context_get_global_context: function: PCefRequestContext; cdecl;
cef_request_context_create_context: function(const settings: PCefRequestContextSettings; handler: PCefRequestContextHandler): PCefRequestContext; cdecl;
cef_request_context_cef_create_context_shared: function(other: PCefRequestContext; handler: PCefRequestContextHandler): PCefRequestContext; cdecl;
cef_resource_bundle_get_global: function: PCefResourceBundle; cdecl;
cef_response_create: function: PCefResponse; cdecl;
cef_register_scheme_handler_factory: function(const scheme_name, domain_name: PCefString; factory: PCefSchemeHandlerFactory): Integer; cdecl;
cef_clear_scheme_handler_factories: function: Integer; cdecl;
cef_server_create: procedure(const address: PCefString; port: uint16; backlog: Integer; handler: PCefServerHandler); cdecl;
cef_shared_process_message_builder_create: function(const name: PCefString; byte_size: NativeUInt) : PCefSharedProcessMessageBuilder; cdecl;
cef_is_cert_status_error: function(status : TCefCertStatus) : integer; cdecl;
cef_stream_reader_create_for_file: function(const fileName: PCefString): PCefStreamReader; cdecl;
cef_stream_reader_create_for_data: function(data: Pointer; size: NativeUInt): PCefStreamReader; cdecl;
cef_stream_reader_create_for_handler: function(handler: PCefReadHandler): PCefStreamReader; cdecl;
cef_stream_writer_create_for_file: function(const fileName: PCefString): PCefStreamWriter; cdecl;
cef_stream_writer_create_for_handler: function(handler: PCefWriteHandler): PCefStreamWriter; cdecl;
cef_task_runner_get_for_current_thread: function: PCefTaskRunner; cdecl;
cef_task_runner_get_for_thread: function(threadId: TCefThreadId): PCefTaskRunner; cdecl;
cef_currently_on: function(threadId: TCefThreadId): Integer; cdecl;
cef_post_task: function(threadId: TCefThreadId; task: PCefTask): Integer; cdecl;
cef_post_delayed_task: function(threadId: TCefThreadId; task: PCefTask; delay_ms: Int64): Integer; cdecl;
cef_task_manager_get: function: PCefTaskManager;
cef_thread_create: function(const display_name: PCefString; priority: TCefThreadPriority; message_loop_type: TCefMessageLoopType; stoppable: integer; com_init_mode: TCefCOMInitMode): PCefThread; cdecl;
cef_begin_tracing: function(const categories: PCefString; callback: PCefCompletionCallback): Integer; cdecl;
cef_end_tracing: function(const tracing_file: PCefString; callback: PCefEndTracingCallback): Integer; cdecl;
cef_now_from_system_trace_time: function: int64; cdecl;
cef_urlrequest_create: function(request: PCefRequest; client: PCefUrlRequestClient; request_context: PCefRequestContext): PCefUrlRequest; cdecl;
cef_v8_context_get_current_context: function: PCefv8Context; cdecl;
cef_v8_context_get_entered_context: function: PCefv8Context; cdecl;
cef_v8_context_in_context: function: Integer; cdecl;
cef_v8_value_create_undefined: function: PCefv8Value; cdecl;
cef_v8_value_create_null: function: PCefv8Value; cdecl;
cef_v8_value_create_bool: function(value: Integer): PCefv8Value; cdecl;
cef_v8_value_create_int: function(value: Integer): PCefv8Value; cdecl;
cef_v8_value_create_uint: function(value: Cardinal): PCefv8Value; cdecl;
cef_v8_value_create_double: function(value: Double): PCefv8Value; cdecl;
cef_v8_value_create_date: function(value: TCefBaseTime): PCefv8Value; cdecl;
cef_v8_value_create_string: function(const value: PCefString): PCefv8Value; cdecl;
cef_v8_value_create_object: function(accessor: PCefV8Accessor; interceptor: PCefV8Interceptor): PCefv8Value; cdecl;
cef_v8_value_create_array: function(length: Integer): PCefv8Value; cdecl;
cef_v8_value_create_array_buffer: function(buffer : Pointer; length: NativeUInt; release_callback : PCefv8ArrayBufferReleaseCallback): PCefv8Value; cdecl;
cef_v8_value_create_array_buffer_with_copy: function(buffer : Pointer; length: NativeUInt): PCefv8Value; cdecl;
cef_v8_value_create_function: function(const name: PCefString; handler: PCefv8Handler): PCefv8Value; cdecl;
cef_v8_value_create_promise: function: PCefv8Value; cdecl;
cef_v8_stack_trace_get_current: function(frame_limit: Integer): PCefV8StackTrace; cdecl;
cef_register_extension: function(const extension_name, javascript_code: PCefString; handler: PCefv8Handler): Integer; cdecl;
cef_value_create: function: PCefValue; cdecl;
cef_binary_value_create: function(const data: Pointer; data_size: NativeUInt): PCefBinaryValue; cdecl;
cef_dictionary_value_create: function: PCefDictionaryValue; cdecl;
cef_list_value_create: function: PCefListValue; cdecl;
cef_waitable_event_create: function(automatic_reset, initially_signaled : integer): PCefWaitableEvent; cdecl;
cef_xml_reader_create: function(stream: PCefStreamReader; encodingType: TCefXmlEncodingType; const URI: PCefString): PCefXmlReader; cdecl;
cef_zip_reader_create: function(stream: PCefStreamReader): PCefZipReader; cdecl;
cef_browser_view_create: function(client: PCefClient; const url: PCefString; const settings: PCefBrowserSettings; extra_info: PCefDictionaryValue; request_context: PCefRequestContext; delegate: PCefBrowserViewDelegate): PCefBrowserView; cdecl;
cef_browser_view_get_for_browser: function(browser: PCefBrowser): PCefBrowserView; cdecl;
cef_display_get_primary: function: PCefDisplay; cdecl;
cef_display_get_nearest_point: function(const point: PCefPoint; input_pixel_coords: Integer): PCefDisplay; cdecl;
cef_display_get_matching_bounds: function(const bounds: PCefRect; input_pixel_coords: Integer): PCefDisplay; cdecl;
cef_display_get_count: function: NativeUInt; cdecl;
cef_display_get_alls: procedure(displaysCount: PNativeUInt; displays: PPCefDisplay); cdecl;
cef_display_convert_screen_point_to_pixels: function(const point: PCefPoint): TCefPoint; cdecl;
cef_display_convert_screen_point_from_pixels: function(const point: PCefPoint): TCefPoint; cdecl;
cef_display_convert_screen_rect_to_pixels: function(const rect: PCefRect): TCefRect; cdecl;
cef_display_convert_screen_rect_from_pixels: function(const rect: PCefRect): TCefRect; cdecl;
cef_label_button_create: function(delegate: PCefButtonDelegate; const text: PCefString): PCefLabelButton; cdecl;
cef_menu_button_create: function(delegate: PCefMenuButtonDelegate; const text: PCefString): PCefMenuButton; cdecl;
cef_panel_create: function(delegate: PCefPanelDelegate): PCefPanel; cdecl;
cef_scroll_view_create: function(delegate: PCefViewDelegate): PCefScrollView; cdecl;
cef_textfield_create: function(delegate: PCefTextfieldDelegate): PCefTextfield; cdecl;
cef_window_create_top_level: function(delegate: PCefWindowDelegate): PCefWindow; cdecl;
cef_set_osmodal_loop: procedure(osModalLoop: Integer); cdecl;
cef_dump_without_crashing: function(mseconds_between_dumps: int64; const function_name, file_name: PAnsiChar; line_number: integer): Integer; cdecl;
cef_get_min_log_level: function: Integer; cdecl;
cef_get_vlog_level: function(const file_start: PAnsiChar; N: NativeUInt): Integer; cdecl;
cef_log: procedure(const file_: PAnsiChar; line, severity: Integer; const message_: PAnsiChar); cdecl;
cef_string_list_alloc: function: TCefStringList; cdecl;
cef_string_list_size: function(list: TCefStringList): NativeUInt; cdecl;
cef_string_list_value: function(list: TCefStringList; index: NativeUInt; value: PCefString): Integer; cdecl;
cef_string_list_append: procedure(list: TCefStringList; const value: PCefString); cdecl;
cef_string_list_clear: procedure(list: TCefStringList); cdecl;
cef_string_list_free: procedure(list: TCefStringList); cdecl;
cef_string_list_copy: function(list: TCefStringList): TCefStringList; cdecl;
cef_string_map_alloc: function: TCefStringMap; cdecl;
cef_string_map_size: function(map: TCefStringMap): NativeUInt; cdecl;
cef_string_map_find: function(map: TCefStringMap; const key: PCefString; value: PCefString): Integer; cdecl;
cef_string_map_key: function(map: TCefStringMap; index: NativeUInt; key: PCefString): Integer; cdecl;
cef_string_map_value: function(map: TCefStringMap; index: NativeUInt; value: PCefString): Integer; cdecl;
cef_string_map_append: function(map: TCefStringMap; const key, value: PCefString): Integer; cdecl;
cef_string_map_clear: procedure(map: TCefStringMap); cdecl;
cef_string_map_free: procedure(map: TCefStringMap); cdecl;
cef_string_multimap_alloc: function: TCefStringMultimap; cdecl;
cef_string_multimap_size: function(map: TCefStringMultimap): NativeUInt; cdecl;
cef_string_multimap_find_count: function(map: TCefStringMultimap; const key: PCefString): NativeUInt; cdecl;
cef_string_multimap_enumerate: function(map: TCefStringMultimap; const key: PCefString; value_index: NativeUInt; value: PCefString): Integer; cdecl;
cef_string_multimap_key: function(map: TCefStringMultimap; index: NativeUInt; key: PCefString): Integer; cdecl;
cef_string_multimap_value: function(map: TCefStringMultimap; index: NativeUInt; value: PCefString): Integer; cdecl;
cef_string_multimap_append: function(map: TCefStringMultimap; const key, value: PCefString): Integer; cdecl;
cef_string_multimap_clear: procedure(map: TCefStringMultimap); cdecl;
cef_string_multimap_free: procedure(map: TCefStringMultimap); cdecl;
cef_string_wide_set: function(const src: PWideChar; src_len: NativeUInt; output: PCefStringWide; copy: Integer): Integer; cdecl;
cef_string_utf8_set: function(const src: PAnsiChar; src_len: NativeUInt; output: PCefStringUtf8; copy: Integer): Integer; cdecl;
cef_string_utf16_set: function(const src: PChar16; src_len: NativeUInt; output: PCefStringUtf16; copy: Integer): Integer; cdecl;
cef_string_wide_clear: procedure(str: PCefStringWide); cdecl;
cef_string_utf8_clear: procedure(str: PCefStringUtf8); cdecl;
cef_string_utf16_clear: procedure(str: PCefStringUtf16); cdecl;
cef_string_wide_cmp: function(const str1, str2: PCefStringWide): Integer; cdecl;
cef_string_utf8_cmp: function(const str1, str2: PCefStringUtf8): Integer; cdecl;
cef_string_utf16_cmp: function(const str1, str2: PCefStringUtf16): Integer; cdecl;
cef_string_wide_to_utf8: function(const src: PWideChar; src_len: NativeUInt; output: PCefStringUtf8): Integer; cdecl;
cef_string_utf8_to_wide: function(const src: PAnsiChar; src_len: NativeUInt; output: PCefStringWide): Integer; cdecl;
cef_string_wide_to_utf16: function(const src: PWideChar; src_len: NativeUInt; output: PCefStringUtf16): Integer; cdecl;
cef_string_utf16_to_wide: function(const src: PChar16; src_len: NativeUInt; output: PCefStringWide): Integer; cdecl;
cef_string_utf8_to_utf16: function(const src: PAnsiChar; src_len: NativeUInt; output: PCefStringUtf16): Integer; cdecl;
cef_string_utf16_to_utf8: function(const src: PChar16; src_len: NativeUInt; output: PCefStringUtf8): Integer; cdecl;
cef_string_ascii_to_wide: function(const src: PAnsiChar; src_len: NativeUInt; output: PCefStringWide): Integer; cdecl;
cef_string_ascii_to_utf16: function(const src: PAnsiChar; src_len: NativeUInt; output: PCefStringUtf16): Integer; cdecl;
cef_string_userfree_wide_alloc: function: PCefStringUserFreeWide; cdecl;
cef_string_userfree_utf8_alloc: function: PCefStringUserFreeUtf8; cdecl;
cef_string_userfree_utf16_alloc: function: PCefStringUserFreeUtf16; cdecl;
cef_string_userfree_wide_free: procedure(str: PCefStringUserFreeWide); cdecl;
cef_string_userfree_utf8_free: procedure(str: PCefStringUserFreeUtf8); cdecl;
cef_string_userfree_utf16_free: procedure(str: PCefStringUserFreeUtf16); cdecl;
cef_string_utf16_to_lower: function(const src: PChar16; src_len: NativeUInt; output: PCefStringUtf16): Integer; cdecl;
cef_string_utf16_to_upper: function(const src: PChar16; src_len: NativeUInt; output: PCefStringUtf16): Integer; cdecl;
cef_get_current_platform_thread_id: function: TCefPlatformThreadId; cdecl;
cef_get_current_platform_thread_handle: function: TCefPlatformThreadHandle; cdecl;
cef_time_to_timet: function(const cef_time: PCefTime; out time_: Int64): integer; cdecl;
cef_time_from_timet: function(time_: int64; out cef_time: TCefTime): integer; cdecl;
cef_time_to_doublet: function(const cef_time: PCefTime; out time_: double): integer; cdecl;
cef_time_from_doublet: function(time: double; out cef_time: TCefTime): integer; cdecl;
cef_time_now: function(out cef_time: TCefTime): integer; cdecl;
cef_basetime_now: function: TCefBaseTime; cdecl;
cef_time_delta: function(const cef_time1, cef_time2: PCefTime; out delta: int64): integer; cdecl;
cef_time_to_basetime: function(const from: PCefTime; to_: PCefBaseTime) : integer; cdecl;
cef_time_from_basetime: function(const from: TCefBaseTime; to_: PCefTime) : integer; cdecl;
cef_trace_event_instant: procedure(const category, name, arg1_name: PAnsiChar; arg1_val: uint64; const arg2_name: PAnsiChar; arg2_val: UInt64); cdecl;
cef_trace_event_begin: procedure(const category, name, arg1_name: PAnsiChar; arg1_val: UInt64; const arg2_name: PAnsiChar; arg2_val: UInt64); cdecl;
cef_trace_event_end: procedure(const category, name, arg1_name: PAnsiChar; arg1_val: UInt64; const arg2_name: PAnsiChar; arg2_val: UInt64); cdecl;
cef_trace_counter: procedure(const category, name, value1_name: PAnsiChar; value1_val: UInt64; const value2_name: PAnsiChar; value2_val: UInt64); cdecl;
cef_trace_counter_id: procedure(const category, name: PAnsiChar; id: UInt64; const value1_name: PAnsiChar; value1_val: UInt64; const value2_name: PAnsiChar; value2_val: UInt64); cdecl;
cef_trace_event_async_begin: procedure(const category, name: PAnsiChar; id: UInt64; const arg1_name: PAnsiChar; arg1_val: UInt64; const arg2_name: PAnsiChar; arg2_val: UInt64); cdecl;
cef_trace_event_async_step_into: procedure(const category, name: PAnsiChar; id, step: UInt64; const arg1_name: PAnsiChar; arg1_val: UInt64); cdecl;
cef_trace_event_async_step_past: procedure(const category, name: PAnsiChar; id, step: UInt64; const arg1_name: PAnsiChar; arg1_val: UInt64); cdecl;
cef_trace_event_async_end: procedure(const category, name: PAnsiChar; id: UInt64; const arg1_name: PAnsiChar; arg1_val: UInt64; const arg2_name: PAnsiChar; arg2_val: UInt64); cdecl;

Description

Variables

cef_api_hash: function(version, entry: integer): PAnsiChar; cdecl;

********************************* ************ INCLUDE ************ ********************************* /include/cef_api_hash.h

cef_api_version: function: integer; cdecl;

This item has no description.

cef_version_info: function(entry: integer) : integer; cdecl;

/include/cef_version_info.h

cef_version_info_all: procedure(info: PCefVersionInfoEx); cdecl;

This item has no description.

cef_id_for_pack_resource_name: function(const name : PAnsiChar) : integer; cdecl;

/include/cef_id_mappers.h

cef_id_for_pack_string_name: function(const name : PAnsiChar) : integer; cdecl;

This item has no description.

cef_id_for_command_id_name: function(const name : PAnsiChar) : integer; cdecl;

This item has no description.

cef_initialize: function(const args: PCefMainArgs; const settings: PCefSettings; application: PCefApp; windows_sandbox_info: Pointer): Integer; cdecl;

********************************* ************* CAPI ************** ********************************* /include/capi/cef_app_capi.h

cef_get_exit_code: function: integer; cdecl;

This item has no description.

cef_shutdown: procedure; cdecl;

This item has no description.

cef_execute_process: function(const args: PCefMainArgs; application: PCefApp; windows_sandbox_info: Pointer): Integer; cdecl;

This item has no description.

cef_do_message_loop_work: procedure; cdecl;

This item has no description.

cef_run_message_loop: procedure; cdecl;

This item has no description.

cef_quit_message_loop: procedure; cdecl;

This item has no description.

cef_browser_host_create_browser: function(const windowInfo: PCefWindowInfo; client: PCefClient; const url: PCefString; const settings: PCefBrowserSettings; extra_info: PCefDictionaryValue; request_context: PCefRequestContext): Integer; cdecl;

/include/capi/cef_browser_capi.h

cef_browser_host_create_browser_sync: function(const windowInfo: PCefWindowInfo; client: PCefClient; const url: PCefString; const settings: PCefBrowserSettings; extra_info: PCefDictionaryValue; request_context: PCefRequestContext): PCefBrowser; cdecl;

This item has no description.

cef_browser_host_get_browser_by_identifier: function(browser_id: Integer): PCefBrowser; cdecl;

This item has no description.

cef_command_line_create: function: PCefCommandLine; cdecl;

/include/capi/cef_command_line_capi.h

cef_command_line_get_global: function: PCefCommandLine; cdecl;

This item has no description.

cef_cookie_manager_get_global_manager: function(callback: PCefCompletionCallback): PCefCookieManager; cdecl;

/include/capi/cef_cookie_capi.h

cef_crash_reporting_enabled: function: integer; cdecl;

/include/capi/cef_crash_util.h

cef_set_crash_key_value: procedure(const key, value : PCefString); cdecl;

This item has no description.

cef_drag_data_create: function: PCefDragData; cdecl;

/include/capi/cef_drag_data_capi.h

cef_create_directory: function(const full_path : PCefString): Integer; cdecl;

/include/capi/cef_file_util_capi.h

cef_get_temp_directory: function(temp_dir : PCefString): Integer; cdecl;

This item has no description.

cef_create_new_temp_directory: function(const prefix : PCefString; new_temp_path: PCefString): Integer; cdecl;

This item has no description.

cef_create_temp_directory_in_directory: function(const base_dir, prefix : PCefString; new_dir : PCefString): Integer; cdecl;

This item has no description.

cef_directory_exists: function(const path : PCefString): Integer; cdecl;

This item has no description.

cef_delete_file: function(const path : PCefString; recursive : integer): Integer; cdecl;

This item has no description.

cef_zip_directory: function(const src_dir, dest_file : PCefString; include_hidden_files : integer): Integer; cdecl;

This item has no description.

cef_load_crlsets_file: procedure(const path : PCefString); cdecl;

This item has no description.

cef_is_rtl: function: Integer; cdecl;

/ include/capi/cef_i18n_util_capi.h

cef_image_create: function: PCefImage; cdecl;

/include/capi/cef_image_capi.h

cef_media_router_get_global: function(callback: PCefCompletionCallback) : PCefMediaRouter; cdecl;

/include/capi/cef_media_router_capi.h

cef_menu_model_create: function(delegate: PCefMenuModelDelegate): PCefMenuModel; cdecl;

/include/capi/cef_menu_model_capi.h

cef_add_cross_origin_whitelist_entry: function(const source_origin, target_protocol, target_domain: PCefString; allow_target_subdomains: Integer): Integer; cdecl;

/include/capi/cef_origin_whitelist_capi.h

cef_remove_cross_origin_whitelist_entry: function(const source_origin, target_protocol, target_domain: PCefString; allow_target_subdomains: Integer): Integer; cdecl;

This item has no description.

cef_clear_cross_origin_whitelist: function: Integer; cdecl;

This item has no description.

cef_resolve_url: function(const base_url, relative_url: PCefString; resolved_url: PCefString): Integer; cdecl;

/include/capi/cef_parser_capi.h

cef_parse_url: function(const url: PCefString; var parts: TCefUrlParts): Integer; cdecl;

This item has no description.

cef_create_url: function(const parts: PCefUrlParts; url: PCefString): Integer; cdecl;

This item has no description.

cef_format_url_for_security_display: function(const origin_url: PCefString): PCefStringUserFree; cdecl;

This item has no description.

cef_get_mime_type: function(const extension: PCefString): PCefStringUserFree; cdecl;

This item has no description.

cef_get_extensions_for_mime_type: procedure(const mime_type: PCefString; extensions: TCefStringList); cdecl;

This item has no description.

cef_base64_encode: function(const data: Pointer; data_size: NativeUInt): PCefStringUserFree; cdecl;

This item has no description.

cef_base64_decode: function(const data: PCefString): PCefBinaryValue; cdecl;

This item has no description.

cef_uriencode: function(const text: PCefString; use_plus: Integer): PCefStringUserFree; cdecl;

This item has no description.

cef_uridecode: function(const text: PCefString; convert_to_utf8: Integer; unescape_rule: TCefUriUnescapeRule): PCefStringUserFree; cdecl;

This item has no description.

cef_parse_json: function(const json_string: PCefString; options: TCefJsonParserOptions): PCefValue; cdecl;

This item has no description.

cef_parse_json_buffer: function(const json: Pointer; json_size: NativeUInt; options: TCefJsonParserOptions): PCefValue; cdecl;

This item has no description.

cef_parse_jsonand_return_error: function(const json_string: PCefString; options: TCefJsonParserOptions; error_msg_out: PCefString): PCefValue; cdecl;

This item has no description.

cef_write_json: function(node: PCefValue; options: TCefJsonWriterOptions): PCefStringUserFree; cdecl;

This item has no description.

cef_get_path: function(key: TCefPathKey; path: PCefString): Integer; cdecl;

/include/capi/cef_path_util_capi.h

cef_preference_manager_get_global: function: PCefPreferenceManager; cdecl;

/include/capi/cef_preference_capi.h

cef_preference_manager_get_chrome_variations_as_switches: procedure(switches: TCefStringList); cdecl;

This item has no description.

cef_preference_manager_get_chrome_variations_as_strings: procedure(strings: TCefStringList); cdecl;

* CEF_API_ADDED(13401) *

cef_print_settings_create: function: PCefPrintSettings; cdecl;

/include/capi/cef_print_settings_capi.h

cef_process_message_create: function(const name: PCefString): PCefProcessMessage; cdecl;

/include/capi/cef_process_message_capi.h

cef_launch_process: function(command_line: PCefCommandLine): Integer; cdecl;

/include/capi/cef_process_util_capi.h

cef_request_create: function: PCefRequest; cdecl;

/include/capi/cef_request_capi.h

cef_post_data_create: function: PCefPostData; cdecl;

This item has no description.

cef_post_data_element_create: function: PCefPostDataElement; cdecl;

This item has no description.

cef_request_context_get_global_context: function: PCefRequestContext; cdecl;

/include/capi/cef_request_context_capi.h

cef_request_context_create_context: function(const settings: PCefRequestContextSettings; handler: PCefRequestContextHandler): PCefRequestContext; cdecl;

This item has no description.

cef_request_context_cef_create_context_shared: function(other: PCefRequestContext; handler: PCefRequestContextHandler): PCefRequestContext; cdecl;

This item has no description.

cef_resource_bundle_get_global: function: PCefResourceBundle; cdecl;

/include/capi/cef_resource_bundle_capi.h

cef_response_create: function: PCefResponse; cdecl;

/include/capi/cef_response_capi.h

cef_register_scheme_handler_factory: function(const scheme_name, domain_name: PCefString; factory: PCefSchemeHandlerFactory): Integer; cdecl;

/include/capi/cef_scheme_capi.h

cef_clear_scheme_handler_factories: function: Integer; cdecl;

This item has no description.

cef_server_create: procedure(const address: PCefString; port: uint16; backlog: Integer; handler: PCefServerHandler); cdecl;

/include/capi/cef_server_capi.h

cef_shared_process_message_builder_create: function(const name: PCefString; byte_size: NativeUInt) : PCefSharedProcessMessageBuilder; cdecl;

/include/capi/cef_shared_process_message_builder_capi.h

cef_is_cert_status_error: function(status : TCefCertStatus) : integer; cdecl;

/include/capi/cef_ssl_info_capi.h

cef_stream_reader_create_for_file: function(const fileName: PCefString): PCefStreamReader; cdecl;

/include/capi/cef_stream_capi.h

cef_stream_reader_create_for_data: function(data: Pointer; size: NativeUInt): PCefStreamReader; cdecl;

This item has no description.

cef_stream_reader_create_for_handler: function(handler: PCefReadHandler): PCefStreamReader; cdecl;

This item has no description.

cef_stream_writer_create_for_file: function(const fileName: PCefString): PCefStreamWriter; cdecl;

This item has no description.

cef_stream_writer_create_for_handler: function(handler: PCefWriteHandler): PCefStreamWriter; cdecl;

This item has no description.

cef_task_runner_get_for_current_thread: function: PCefTaskRunner; cdecl;

/include/capi/cef_task_capi.h

cef_task_runner_get_for_thread: function(threadId: TCefThreadId): PCefTaskRunner; cdecl;

This item has no description.

cef_currently_on: function(threadId: TCefThreadId): Integer; cdecl;

This item has no description.

cef_post_task: function(threadId: TCefThreadId; task: PCefTask): Integer; cdecl;

This item has no description.

cef_post_delayed_task: function(threadId: TCefThreadId; task: PCefTask; delay_ms: Int64): Integer; cdecl;

This item has no description.

cef_task_manager_get: function: PCefTaskManager;

/include/capi/cef_task_manager_capi.h

cef_thread_create: function(const display_name: PCefString; priority: TCefThreadPriority; message_loop_type: TCefMessageLoopType; stoppable: integer; com_init_mode: TCefCOMInitMode): PCefThread; cdecl;

/include/capi/cef_thread_capi.h

cef_begin_tracing: function(const categories: PCefString; callback: PCefCompletionCallback): Integer; cdecl;

/include/capi/cef_trace_capi.h

cef_end_tracing: function(const tracing_file: PCefString; callback: PCefEndTracingCallback): Integer; cdecl;

This item has no description.

cef_now_from_system_trace_time: function: int64; cdecl;

This item has no description.

cef_urlrequest_create: function(request: PCefRequest; client: PCefUrlRequestClient; request_context: PCefRequestContext): PCefUrlRequest; cdecl;

/include/capi/cef_urlrequest_capi.h

cef_v8_context_get_current_context: function: PCefv8Context; cdecl;

/include/capi/cef_v8_capi.h

cef_v8_context_get_entered_context: function: PCefv8Context; cdecl;

This item has no description.

cef_v8_context_in_context: function: Integer; cdecl;

This item has no description.

cef_v8_value_create_undefined: function: PCefv8Value; cdecl;

This item has no description.

cef_v8_value_create_null: function: PCefv8Value; cdecl;

This item has no description.

cef_v8_value_create_bool: function(value: Integer): PCefv8Value; cdecl;

This item has no description.

cef_v8_value_create_int: function(value: Integer): PCefv8Value; cdecl;

This item has no description.

cef_v8_value_create_uint: function(value: Cardinal): PCefv8Value; cdecl;

This item has no description.

cef_v8_value_create_double: function(value: Double): PCefv8Value; cdecl;

This item has no description.

cef_v8_value_create_date: function(value: TCefBaseTime): PCefv8Value; cdecl;

This item has no description.

cef_v8_value_create_string: function(const value: PCefString): PCefv8Value; cdecl;

This item has no description.

cef_v8_value_create_object: function(accessor: PCefV8Accessor; interceptor: PCefV8Interceptor): PCefv8Value; cdecl;

This item has no description.

cef_v8_value_create_array: function(length: Integer): PCefv8Value; cdecl;

This item has no description.

cef_v8_value_create_array_buffer: function(buffer : Pointer; length: NativeUInt; release_callback : PCefv8ArrayBufferReleaseCallback): PCefv8Value; cdecl;

This item has no description.

cef_v8_value_create_array_buffer_with_copy: function(buffer : Pointer; length: NativeUInt): PCefv8Value; cdecl;

This item has no description.

cef_v8_value_create_function: function(const name: PCefString; handler: PCefv8Handler): PCefv8Value; cdecl;

This item has no description.

cef_v8_value_create_promise: function: PCefv8Value; cdecl;

This item has no description.

cef_v8_stack_trace_get_current: function(frame_limit: Integer): PCefV8StackTrace; cdecl;

This item has no description.

cef_register_extension: function(const extension_name, javascript_code: PCefString; handler: PCefv8Handler): Integer; cdecl;

This item has no description.

cef_value_create: function: PCefValue; cdecl;

/include/capi/cef_values_capi.h

cef_binary_value_create: function(const data: Pointer; data_size: NativeUInt): PCefBinaryValue; cdecl;

This item has no description.

cef_dictionary_value_create: function: PCefDictionaryValue; cdecl;

This item has no description.

cef_list_value_create: function: PCefListValue; cdecl;

This item has no description.

cef_waitable_event_create: function(automatic_reset, initially_signaled : integer): PCefWaitableEvent; cdecl;

/include/capi/cef_waitable_event_capi.h

cef_xml_reader_create: function(stream: PCefStreamReader; encodingType: TCefXmlEncodingType; const URI: PCefString): PCefXmlReader; cdecl;

/include/capi/cef_xml_reader_capi.h

cef_zip_reader_create: function(stream: PCefStreamReader): PCefZipReader; cdecl;

/include/capi/cef_zip_reader_capi.h

cef_browser_view_create: function(client: PCefClient; const url: PCefString; const settings: PCefBrowserSettings; extra_info: PCefDictionaryValue; request_context: PCefRequestContext; delegate: PCefBrowserViewDelegate): PCefBrowserView; cdecl;

********************************* ********** CAPI VIEWS *********** ********************************* /include/capi/views/cef_browser_view_capi.h

cef_browser_view_get_for_browser: function(browser: PCefBrowser): PCefBrowserView; cdecl;

This item has no description.

cef_display_get_primary: function: PCefDisplay; cdecl;

/include/capi/views/cef_display_capi.h

cef_display_get_nearest_point: function(const point: PCefPoint; input_pixel_coords: Integer): PCefDisplay; cdecl;

This item has no description.

cef_display_get_matching_bounds: function(const bounds: PCefRect; input_pixel_coords: Integer): PCefDisplay; cdecl;

This item has no description.

cef_display_get_count: function: NativeUInt; cdecl;

This item has no description.

cef_display_get_alls: procedure(displaysCount: PNativeUInt; displays: PPCefDisplay); cdecl;

This item has no description.

cef_display_convert_screen_point_to_pixels: function(const point: PCefPoint): TCefPoint; cdecl;

This item has no description.

cef_display_convert_screen_point_from_pixels: function(const point: PCefPoint): TCefPoint; cdecl;

This item has no description.

cef_display_convert_screen_rect_to_pixels: function(const rect: PCefRect): TCefRect; cdecl;

This item has no description.

cef_display_convert_screen_rect_from_pixels: function(const rect: PCefRect): TCefRect; cdecl;

This item has no description.

cef_label_button_create: function(delegate: PCefButtonDelegate; const text: PCefString): PCefLabelButton; cdecl;

/include/capi/views/cef_label_button_capi.h

cef_menu_button_create: function(delegate: PCefMenuButtonDelegate; const text: PCefString): PCefMenuButton; cdecl;

/include/capi/views/cef_menu_button_capi.h

cef_panel_create: function(delegate: PCefPanelDelegate): PCefPanel; cdecl;

/include/capi/views/cef_panel_capi.h

cef_scroll_view_create: function(delegate: PCefViewDelegate): PCefScrollView; cdecl;

/include/capi/views/cef_scroll_view_capi.h

cef_textfield_create: function(delegate: PCefTextfieldDelegate): PCefTextfield; cdecl;

/include/capi/views/cef_textfield_capi.h

cef_window_create_top_level: function(delegate: PCefWindowDelegate): PCefWindow; cdecl;

/include/capi/views/cef_window_capi.h

cef_set_osmodal_loop: procedure(osModalLoop: Integer); cdecl;

********************************* *********** INTERNAL ************ ********************************* /include/internal/cef_app_win.h

cef_dump_without_crashing: function(mseconds_between_dumps: int64; const function_name, file_name: PAnsiChar; line_number: integer): Integer; cdecl;

/include/internal/cef_dump_without_crashing_internal.h

cef_get_min_log_level: function: Integer; cdecl;

/include/internal/cef_logging_internal.h

cef_get_vlog_level: function(const file_start: PAnsiChar; N: NativeUInt): Integer; cdecl;

This item has no description.

cef_log: procedure(const file_: PAnsiChar; line, severity: Integer; const message_: PAnsiChar); cdecl;

This item has no description.

cef_string_list_alloc: function: TCefStringList; cdecl;

/include/internal/cef_string_list.h

cef_string_list_size: function(list: TCefStringList): NativeUInt; cdecl;

This item has no description.

cef_string_list_value: function(list: TCefStringList; index: NativeUInt; value: PCefString): Integer; cdecl;

This item has no description.

cef_string_list_append: procedure(list: TCefStringList; const value: PCefString); cdecl;

This item has no description.

cef_string_list_clear: procedure(list: TCefStringList); cdecl;

This item has no description.

cef_string_list_free: procedure(list: TCefStringList); cdecl;

This item has no description.

cef_string_list_copy: function(list: TCefStringList): TCefStringList; cdecl;

This item has no description.

cef_string_map_alloc: function: TCefStringMap; cdecl;

/include/internal/cef_string_map.h

cef_string_map_size: function(map: TCefStringMap): NativeUInt; cdecl;

This item has no description.

cef_string_map_find: function(map: TCefStringMap; const key: PCefString; value: PCefString): Integer; cdecl;

This item has no description.

cef_string_map_key: function(map: TCefStringMap; index: NativeUInt; key: PCefString): Integer; cdecl;

This item has no description.

cef_string_map_value: function(map: TCefStringMap; index: NativeUInt; value: PCefString): Integer; cdecl;

This item has no description.

cef_string_map_append: function(map: TCefStringMap; const key, value: PCefString): Integer; cdecl;

This item has no description.

cef_string_map_clear: procedure(map: TCefStringMap); cdecl;

This item has no description.

cef_string_map_free: procedure(map: TCefStringMap); cdecl;

This item has no description.

cef_string_multimap_alloc: function: TCefStringMultimap; cdecl;

/include/internal/cef_string_multimap.h

cef_string_multimap_size: function(map: TCefStringMultimap): NativeUInt; cdecl;

This item has no description.

cef_string_multimap_find_count: function(map: TCefStringMultimap; const key: PCefString): NativeUInt; cdecl;

This item has no description.

cef_string_multimap_enumerate: function(map: TCefStringMultimap; const key: PCefString; value_index: NativeUInt; value: PCefString): Integer; cdecl;

This item has no description.

cef_string_multimap_key: function(map: TCefStringMultimap; index: NativeUInt; key: PCefString): Integer; cdecl;

This item has no description.

cef_string_multimap_value: function(map: TCefStringMultimap; index: NativeUInt; value: PCefString): Integer; cdecl;

This item has no description.

cef_string_multimap_append: function(map: TCefStringMultimap; const key, value: PCefString): Integer; cdecl;

This item has no description.

cef_string_multimap_clear: procedure(map: TCefStringMultimap); cdecl;

This item has no description.

cef_string_multimap_free: procedure(map: TCefStringMultimap); cdecl;

This item has no description.

cef_string_wide_set: function(const src: PWideChar; src_len: NativeUInt; output: PCefStringWide; copy: Integer): Integer; cdecl;

/include/internal/cef_string_types.h

cef_string_utf8_set: function(const src: PAnsiChar; src_len: NativeUInt; output: PCefStringUtf8; copy: Integer): Integer; cdecl;

This item has no description.

cef_string_utf16_set: function(const src: PChar16; src_len: NativeUInt; output: PCefStringUtf16; copy: Integer): Integer; cdecl;

This item has no description.

cef_string_wide_clear: procedure(str: PCefStringWide); cdecl;

This item has no description.

cef_string_utf8_clear: procedure(str: PCefStringUtf8); cdecl;

This item has no description.

cef_string_utf16_clear: procedure(str: PCefStringUtf16); cdecl;

This item has no description.

cef_string_wide_cmp: function(const str1, str2: PCefStringWide): Integer; cdecl;

This item has no description.

cef_string_utf8_cmp: function(const str1, str2: PCefStringUtf8): Integer; cdecl;

This item has no description.

cef_string_utf16_cmp: function(const str1, str2: PCefStringUtf16): Integer; cdecl;

This item has no description.

cef_string_wide_to_utf8: function(const src: PWideChar; src_len: NativeUInt; output: PCefStringUtf8): Integer; cdecl;

This item has no description.

cef_string_utf8_to_wide: function(const src: PAnsiChar; src_len: NativeUInt; output: PCefStringWide): Integer; cdecl;

This item has no description.

cef_string_wide_to_utf16: function(const src: PWideChar; src_len: NativeUInt; output: PCefStringUtf16): Integer; cdecl;

This item has no description.

cef_string_utf16_to_wide: function(const src: PChar16; src_len: NativeUInt; output: PCefStringWide): Integer; cdecl;

This item has no description.

cef_string_utf8_to_utf16: function(const src: PAnsiChar; src_len: NativeUInt; output: PCefStringUtf16): Integer; cdecl;

This item has no description.

cef_string_utf16_to_utf8: function(const src: PChar16; src_len: NativeUInt; output: PCefStringUtf8): Integer; cdecl;

This item has no description.

cef_string_ascii_to_wide: function(const src: PAnsiChar; src_len: NativeUInt; output: PCefStringWide): Integer; cdecl;

This item has no description.

cef_string_ascii_to_utf16: function(const src: PAnsiChar; src_len: NativeUInt; output: PCefStringUtf16): Integer; cdecl;

This item has no description.

cef_string_userfree_wide_alloc: function: PCefStringUserFreeWide; cdecl;

This item has no description.

cef_string_userfree_utf8_alloc: function: PCefStringUserFreeUtf8; cdecl;

This item has no description.

cef_string_userfree_utf16_alloc: function: PCefStringUserFreeUtf16; cdecl;

This item has no description.

cef_string_userfree_wide_free: procedure(str: PCefStringUserFreeWide); cdecl;

This item has no description.

cef_string_userfree_utf8_free: procedure(str: PCefStringUserFreeUtf8); cdecl;

This item has no description.

cef_string_userfree_utf16_free: procedure(str: PCefStringUserFreeUtf16); cdecl;

This item has no description.

cef_string_utf16_to_lower: function(const src: PChar16; src_len: NativeUInt; output: PCefStringUtf16): Integer; cdecl;

This item has no description.

cef_string_utf16_to_upper: function(const src: PChar16; src_len: NativeUInt; output: PCefStringUtf16): Integer; cdecl;

This item has no description.

cef_get_current_platform_thread_id: function: TCefPlatformThreadId; cdecl;

/include/internal/cef_thread_internal.h

cef_get_current_platform_thread_handle: function: TCefPlatformThreadHandle; cdecl;

This item has no description.

cef_time_to_timet: function(const cef_time: PCefTime; out time_: Int64): integer; cdecl;

/include/internal/cef_time.h

cef_time_from_timet: function(time_: int64; out cef_time: TCefTime): integer; cdecl;

This item has no description.

cef_time_to_doublet: function(const cef_time: PCefTime; out time_: double): integer; cdecl;

This item has no description.

cef_time_from_doublet: function(time: double; out cef_time: TCefTime): integer; cdecl;

This item has no description.

cef_time_now: function(out cef_time: TCefTime): integer; cdecl;

This item has no description.

cef_basetime_now: function: TCefBaseTime; cdecl;

This item has no description.

cef_time_delta: function(const cef_time1, cef_time2: PCefTime; out delta: int64): integer; cdecl;

This item has no description.

cef_time_to_basetime: function(const from: PCefTime; to_: PCefBaseTime) : integer; cdecl;

This item has no description.

cef_time_from_basetime: function(const from: TCefBaseTime; to_: PCefTime) : integer; cdecl;

This item has no description.

cef_trace_event_instant: procedure(const category, name, arg1_name: PAnsiChar; arg1_val: uint64; const arg2_name: PAnsiChar; arg2_val: UInt64); cdecl;

/include/internal/cef_trace_event_internal.h

cef_trace_event_begin: procedure(const category, name, arg1_name: PAnsiChar; arg1_val: UInt64; const arg2_name: PAnsiChar; arg2_val: UInt64); cdecl;

This item has no description.

cef_trace_event_end: procedure(const category, name, arg1_name: PAnsiChar; arg1_val: UInt64; const arg2_name: PAnsiChar; arg2_val: UInt64); cdecl;

This item has no description.

cef_trace_counter: procedure(const category, name, value1_name: PAnsiChar; value1_val: UInt64; const value2_name: PAnsiChar; value2_val: UInt64); cdecl;

This item has no description.

cef_trace_counter_id: procedure(const category, name: PAnsiChar; id: UInt64; const value1_name: PAnsiChar; value1_val: UInt64; const value2_name: PAnsiChar; value2_val: UInt64); cdecl;

This item has no description.

cef_trace_event_async_begin: procedure(const category, name: PAnsiChar; id: UInt64; const arg1_name: PAnsiChar; arg1_val: UInt64; const arg2_name: PAnsiChar; arg2_val: UInt64); cdecl;

This item has no description.

cef_trace_event_async_step_into: procedure(const category, name: PAnsiChar; id, step: UInt64; const arg1_name: PAnsiChar; arg1_val: UInt64); cdecl;

This item has no description.

cef_trace_event_async_step_past: procedure(const category, name: PAnsiChar; id, step: UInt64; const arg1_name: PAnsiChar; arg1_val: UInt64); cdecl;

This item has no description.

cef_trace_event_async_end: procedure(const category, name: PAnsiChar; id: UInt64; const arg1_name: PAnsiChar; arg1_val: UInt64; const arg2_name: PAnsiChar; arg2_val: UInt64); cdecl;

This item has no description.


cef4delphi: uCEFLifeSpanHandler

Unit uCEFLifeSpanHandler

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefLifeSpanHandlerOwn |
Class TCustomLifeSpanHandler |


cef4delphi: uCEFLifeSpanHandler: Class TCefLifeSpanHandlerOwn

Class TCefLifeSpanHandlerOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFLifeSpanHandler

Declaration

type TCefLifeSpanHandlerOwn = class(TCefBaseRefCountedOwn, ICefLifeSpanHandler)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefLifeSpanHandlerOwn

Overview

Methods

Protected | function OnBeforePopup(const browser: ICefBrowser; const frame: ICefFrame; popup_id: Integer; const targetUrl, targetFrameName: ustring; targetDisposition: TCefWindowOpenDisposition; userGesture: Boolean; const popupFeatures: TCefPopupFeatures; var windowInfo: TCefWindowInfo; var client: ICefClient; var settings: TCefBrowserSettings; var extra_info: ICefDictionaryValue; var noJavascriptAccess: Boolean): Boolean; virtual;
Protected | procedure OnBeforePopupAborted(const browser: ICefBrowser; popup_id: Integer); virtual;
Protected | procedure OnBeforeDevToolsPopup(const browser: ICefBrowser; var windowInfo: TCefWindowInfo; var client: ICefClient; var settings: TCefBrowserSettings; var extra_info: ICefDictionaryValue; var use_default_window: boolean); virtual;
Protected | procedure OnAfterCreated(const browser: ICefBrowser); virtual;
Protected | function DoClose(const browser: ICefBrowser): Boolean; virtual;
Protected | procedure OnBeforeClose(const browser: ICefBrowser); virtual;
Protected | procedure RemoveReferences; virtual;
Public | constructor Create; virtual;

Description

Methods

Protected function OnBeforePopup(const browser: ICefBrowser; const frame: ICefFrame; popup_id: Integer; const targetUrl, targetFrameName: ustring; targetDisposition: TCefWindowOpenDisposition; userGesture: Boolean; const popupFeatures: TCefPopupFeatures; var windowInfo: TCefWindowInfo; var client: ICefClient; var settings: TCefBrowserSettings; var extra_info: ICefDictionaryValue; var noJavascriptAccess: Boolean): Boolean; virtual;

This item has no description. Showing description inherited from ICefLifeSpanHandler.OnBeforePopup.

Called on the UI thread before a new popup browser is created. The |browser| and |frame| values represent the source of the popup request (opener browser and frame). The |popup_id| value uniquely identifies the popup in the context of the opener browser. The |target_url| and |target_frame_name| values indicate where the popup browser should navigate and may be NULL if not specified with the request. The |target_disposition| value indicates where the user intended to open the popup (e.g. current tab, new tab, etc). The |user_gesture| value will be true (1) if the popup was opened via explicit user gesture (e.g. clicking a link) or false (0) if the popup opened automatically (e.g. via the DomContentLoaded event). The |popupFeatures| structure contains additional information about the requested popup window. To allow creation of the popup browser optionally modify |windowInfo|, |client|, |settings| and |no_javascript_access| and return false (0). To cancel creation of the popup browser return true (1). The |client| and |settings| values will default to the source browser's values. If the |no_javascript_access| value is set to false (0) the new browser will not be scriptable and may not be hosted in the same renderer process as the source browser. Any modifications to |windowInfo| will be ignored if the parent browser is wrapped in a cef_browser_view_t. The |extra_info| parameter provides an opportunity to specify extra information specific to the created popup browser that will be passed to cef_render_process_handler_t::on_browser_created() in the render process.

If popup browser creation succeeds then OnAfterCreated will be called for the new popup browser. If popup browser creation fails, and if the opener browser has not yet been destroyed, then OnBeforePopupAborted will be called for the opener browser. See OnBeforePopupAborted documentation for additional details.

Protected procedure OnBeforePopupAborted(const browser: ICefBrowser; popup_id: Integer); virtual;

This item has no description. Showing description inherited from ICefLifeSpanHandler.OnBeforePopupAborted.

Called on the CEF UI thread if a new popup browser is aborted. This only occurs if the popup is allowed in OnBeforePopup and creation fails before OnAfterCreated is called for the new popup browser. The |browser| value is the source of the popup request (opener browser). The |popup_id| value uniquely identifies the popup in the context of the opener browser, and is the same value that was passed to OnBeforePopup.

Any client state associated with pending popups should be cleared in OnBeforePopupAborted, OnAfterCreated of the popup browser, or OnBeforeClose of the opener browser. OnBeforeClose of the opener browser may be called before this function in cases where the opener is closing during popup creation, in which case ICefBrowser.IsValid will return false (0) in this function.

Protected procedure OnBeforeDevToolsPopup(const browser: ICefBrowser; var windowInfo: TCefWindowInfo; var client: ICefClient; var settings: TCefBrowserSettings; var extra_info: ICefDictionaryValue; var use_default_window: boolean); virtual;

This item has no description. Showing description inherited from ICefLifeSpanHandler.OnBeforeDevToolsPopup.

Called on the UI thread before a new DevTools popup browser is created. The |browser| value represents the source of the popup request. Optionally modify |windowInfo|, |client|, |settings| and |extra_info| values. The |client|, |settings| and |extra_info| values will default to the source browser's values. Any modifications to |windowInfo| will be ignored if the parent browser is Views-hosted (wrapped in a ICefBrowserView).

The |extra_info| parameter provides an opportunity to specify extra information specific to the created popup browser that will be passed to ICefRenderProcessHandler.OnBrowserCreated() in the render process. The existing |extra_info| object, if any, will be read-only but may be replaced with a new object.

Views-hosted source browsers will create Views-hosted DevTools popups unless |use_default_window| is set to to true (1). DevTools popups can be blocked by returning true (1) from ICefCommandHandler.OnChromeCommand for IDC_DEV_TOOLS. Only used with Chrome style.

Protected procedure OnAfterCreated(const browser: ICefBrowser); virtual;

This item has no description. Showing description inherited from ICefLifeSpanHandler.OnAfterCreated.

Called after a new browser is created. It is now safe to begin performing actions with |browser|. ICefFrameHandler callbacks related to initial main frame creation will arrive before this callback. See ICefFrameHandler documentation for additional usage information.

Protected function DoClose(const browser: ICefBrowser): Boolean; virtual;

This item has no description. Showing description inherited from ICefLifeSpanHandler.DoClose.

Called when an Alloy style browser is ready to be closed, meaning that the close has already been initiated and that JavaScript unload handlers have already executed or should be ignored. This may result directly from a call to TChromiumCore.[Try]CloseBrowser() or indirectly if the browser's top-level parent window was created by CEF and the user attempts to close that window (by clicking the 'X', for example). TChromiumCore.OnClose will not be called if the browser's host window/view has already been destroyed (via parent window/view hierarchy tear-down, for example), as it is no longer possible to customize the close behavior at that point.

An application should handle top-level parent window close notifications by calling TChromiumCore.TryCloseBrowser() or TChromiumCore.CloseBrowser(false) instead of allowing the window to close immediately (see the examples below). This gives CEF an opportunity to process JavaScript unload handlers and optionally cancel the close before TChromiumCore.OnClose is called.

When windowed rendering is enabled CEF will create an internal child window/view to host the browser. In that case returning false (0) from TChromiumCore.OnClose will send the standard close notification to the browser's top- level parent window (e.g. WM_CLOSE on Windows, performClose: on OS X, "delete_event" on Linux or TCEFWindowComponent.OnCanClose callback from Views).

When windowed rendering is disabled there is no internal window/view and returning false (0) from TChromiumCore.OnClose will cause the browser object to be destroyed immediately.

If the browser's top-level parent window requires a non-standard close notification then send that notification from TChromiumCore.OnClose and return true (1). You are still required to complete the browser close as soon as possible (either by calling TChromiumCore.[Try]CloseBrowser() or by proceeding with window/view hierarchy tear-down), otherwise the browser will be left in a partially closed state that interferes with proper functioning. Top-level windows created on the browser process UI thread can alternately call TChromiumCore.IsReadyToBeClosed() in the close handler to check close status instead of relying on custom TChromiumCore.OnClose handling. See documentation on that function for additional details.

The TChromiumCore.OnBeforeClose event will be called after TChromiumCore.OnClose (if TChromiumCore.OnClose is called) and immediately before the browser object is destroyed. The application should only exit after TChromiumCore.OnBeforeClose has been called for all existing browsers.

The below examples describe what should happen during window close when the browser is parented to an application-provided top-level window.

Example 1: Using TChromiumCore.TryCloseBrowser(). This is recommended for clients using standard close handling and windows created on the browser process UI thread.

1.  User clicks the window close button which sends a close notification
    to the application's top-level window.
2.  Application's top-level window receives the close notification and
    calls TChromiumCore.TryCloseBrowser() (similar to calling TChromiumCore.CloseBrowser(false)).
    TChromiumCore.TryCloseBrowser() returns false so the client cancels the window
    close.
3.  JavaScript 'onbeforeunload' handler executes and shows the close
    confirmation dialog (which can be overridden via TChromiumCore.OnBeforeUnloadDialog).
4.  User approves the close.
5.  JavaScript 'onunload' handler executes.
6.  Application's TChromiumCore.OnClose handler is called and returns false (0) by
    default.
7.  CEF sends a close notification to the application's top-level window
    (because TChromiumCore.OnClose returned false).
8.  Application's top-level window receives the close notification and
    calls TryCloseBrowser(). TryCloseBrowser() returns true so the client
    allows the window close.
9.  Application's top-level window is destroyed, triggering destruction
    of the child browser window.
10. Application's TChromiumCore.OnBeforeClose handler is called and the browser object
    is destroyed.
11. Application exits by calling TCefApplicationCore.QuitMessageLoop if no other browsers
    exist.

Example 2: Using TChromiumCore.CloseBrowser(false) and implementing the TChromiumCore.OnClose event. This is recommended for clients using non-standard close handling or windows that were not created on the browser process UI thread.

1.  User clicks the window close button which sends a close notification
    to the application's top-level window.
2.  Application's top-level window receives the close notification and:
    A. Calls ICefBrowserHost.CloseBrowser(false).
    B. Cancels the window close.
3.  JavaScript 'onbeforeunload' handler executes and shows the close
    confirmation dialog (which can be overridden via TChromiumCore.OnBeforeUnloadDialog).
4.  User approves the close.
5.  JavaScript 'onunload' handler executes.
6.  Application's TChromiumCore.OnClose handler is called. Application will:
    A. Set a flag to indicate that the next top-level window close attempt
       will be allowed.
    B. Return false.
7.  CEF sends a close notification to the application's top-level window
    (because TChromiumCore.OnClose returned false).
8.  Application's top-level window receives the close notification and
    allows the window to close based on the flag from #6A.
9.  Application's top-level window is destroyed, triggering destruction
    of the child browser window.
10. Application's TChromiumCore.OnBeforeClose handler is called and the browser object
    is destroyed.
11. Application exits by calling TCefApplicationCore.QuitMessageLoop if no other browsers exist.

Protected procedure OnBeforeClose(const browser: ICefBrowser); virtual;

This item has no description. Showing description inherited from ICefLifeSpanHandler.OnBeforeClose.

Called just before a browser is destroyed. Release all references to the browser object and do not attempt to execute any functions on the browser object (other than IsValid, GetIdentifier or IsSame) after this callback returns. ICefFrameHandler callbacks related to final main frame destruction, and OnBeforePopupAborted callbacks for any pending popups, will arrive after this callback and ICefBrowser.IsValid will return false (0) at that time. Any in-progress network requests associated with |browser| will be aborted when the browser is destroyed, and ICefResourceRequestHandler callbacks related to those requests may still arrive on the IO thread after this callback. See ICefFrameHandler and DoClose() documentation for additional usage information.

Protected procedure RemoveReferences; virtual;

This item has no description. Showing description inherited from ICefLifeSpanHandler.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFLifeSpanHandler: Class TCustomLifeSpanHandler

Class TCustomLifeSpanHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFLifeSpanHandler

Declaration

type TCustomLifeSpanHandler = class(TCefLifeSpanHandlerOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefLifeSpanHandlerOwn
  • TCustomLifeSpanHandler

Overview

Fields

Protected FEvents: Pointer;

Methods

Protected | function OnBeforePopup(const browser: ICefBrowser; const frame: ICefFrame; popup_id: Integer; const targetUrl, targetFrameName: ustring; targetDisposition: TCefWindowOpenDisposition; userGesture: Boolean; const popupFeatures: TCefPopupFeatures; var windowInfo: TCefWindowInfo; var client: ICefClient; var settings: TCefBrowserSettings; var extra_info: ICefDictionaryValue; var noJavascriptAccess: Boolean): Boolean; override;
Protected | procedure OnBeforePopupAborted(const browser: ICefBrowser; popup_id: Integer); override;
Protected | procedure OnBeforeDevToolsPopup(const browser: ICefBrowser; var windowInfo: TCefWindowInfo; var client: ICefClient; var settings: TCefBrowserSettings; var extra_info: ICefDictionaryValue; var use_default_window: boolean); override;
Protected | procedure OnAfterCreated(const browser: ICefBrowser); override;
Protected | function DoClose(const browser: ICefBrowser): Boolean; override;
Protected | procedure OnBeforeClose(const browser: ICefBrowser); override;
Protected | procedure RemoveReferences; override;
Public | constructor Create(const events : IChromiumEvents); reintroduce; virtual;
Public | destructor Destroy; override;

Description

Fields

Protected FEvents: Pointer;

This item has no description.

Methods

Protected function OnBeforePopup(const browser: ICefBrowser; const frame: ICefFrame; popup_id: Integer; const targetUrl, targetFrameName: ustring; targetDisposition: TCefWindowOpenDisposition; userGesture: Boolean; const popupFeatures: TCefPopupFeatures; var windowInfo: TCefWindowInfo; var client: ICefClient; var settings: TCefBrowserSettings; var extra_info: ICefDictionaryValue; var noJavascriptAccess: Boolean): Boolean; override;

This item has no description. Showing description inherited from ICefLifeSpanHandler.OnBeforePopup.

Called on the UI thread before a new popup browser is created. The |browser| and |frame| values represent the source of the popup request (opener browser and frame). The |popup_id| value uniquely identifies the popup in the context of the opener browser. The |target_url| and |target_frame_name| values indicate where the popup browser should navigate and may be NULL if not specified with the request. The |target_disposition| value indicates where the user intended to open the popup (e.g. current tab, new tab, etc). The |user_gesture| value will be true (1) if the popup was opened via explicit user gesture (e.g. clicking a link) or false (0) if the popup opened automatically (e.g. via the DomContentLoaded event). The |popupFeatures| structure contains additional information about the requested popup window. To allow creation of the popup browser optionally modify |windowInfo|, |client|, |settings| and |no_javascript_access| and return false (0). To cancel creation of the popup browser return true (1). The |client| and |settings| values will default to the source browser's values. If the |no_javascript_access| value is set to false (0) the new browser will not be scriptable and may not be hosted in the same renderer process as the source browser. Any modifications to |windowInfo| will be ignored if the parent browser is wrapped in a cef_browser_view_t. The |extra_info| parameter provides an opportunity to specify extra information specific to the created popup browser that will be passed to cef_render_process_handler_t::on_browser_created() in the render process.

If popup browser creation succeeds then OnAfterCreated will be called for the new popup browser. If popup browser creation fails, and if the opener browser has not yet been destroyed, then OnBeforePopupAborted will be called for the opener browser. See OnBeforePopupAborted documentation for additional details.

Protected procedure OnBeforePopupAborted(const browser: ICefBrowser; popup_id: Integer); override;

This item has no description. Showing description inherited from ICefLifeSpanHandler.OnBeforePopupAborted.

Called on the CEF UI thread if a new popup browser is aborted. This only occurs if the popup is allowed in OnBeforePopup and creation fails before OnAfterCreated is called for the new popup browser. The |browser| value is the source of the popup request (opener browser). The |popup_id| value uniquely identifies the popup in the context of the opener browser, and is the same value that was passed to OnBeforePopup.

Any client state associated with pending popups should be cleared in OnBeforePopupAborted, OnAfterCreated of the popup browser, or OnBeforeClose of the opener browser. OnBeforeClose of the opener browser may be called before this function in cases where the opener is closing during popup creation, in which case ICefBrowser.IsValid will return false (0) in this function.

Protected procedure OnBeforeDevToolsPopup(const browser: ICefBrowser; var windowInfo: TCefWindowInfo; var client: ICefClient; var settings: TCefBrowserSettings; var extra_info: ICefDictionaryValue; var use_default_window: boolean); override;

This item has no description. Showing description inherited from ICefLifeSpanHandler.OnBeforeDevToolsPopup.

Called on the UI thread before a new DevTools popup browser is created. The |browser| value represents the source of the popup request. Optionally modify |windowInfo|, |client|, |settings| and |extra_info| values. The |client|, |settings| and |extra_info| values will default to the source browser's values. Any modifications to |windowInfo| will be ignored if the parent browser is Views-hosted (wrapped in a ICefBrowserView).

The |extra_info| parameter provides an opportunity to specify extra information specific to the created popup browser that will be passed to ICefRenderProcessHandler.OnBrowserCreated() in the render process. The existing |extra_info| object, if any, will be read-only but may be replaced with a new object.

Views-hosted source browsers will create Views-hosted DevTools popups unless |use_default_window| is set to to true (1). DevTools popups can be blocked by returning true (1) from ICefCommandHandler.OnChromeCommand for IDC_DEV_TOOLS. Only used with Chrome style.

Protected procedure OnAfterCreated(const browser: ICefBrowser); override;

This item has no description. Showing description inherited from ICefLifeSpanHandler.OnAfterCreated.

Called after a new browser is created. It is now safe to begin performing actions with |browser|. ICefFrameHandler callbacks related to initial main frame creation will arrive before this callback. See ICefFrameHandler documentation for additional usage information.

Protected function DoClose(const browser: ICefBrowser): Boolean; override;

This item has no description. Showing description inherited from ICefLifeSpanHandler.DoClose.

Called when an Alloy style browser is ready to be closed, meaning that the close has already been initiated and that JavaScript unload handlers have already executed or should be ignored. This may result directly from a call to TChromiumCore.[Try]CloseBrowser() or indirectly if the browser's top-level parent window was created by CEF and the user attempts to close that window (by clicking the 'X', for example). TChromiumCore.OnClose will not be called if the browser's host window/view has already been destroyed (via parent window/view hierarchy tear-down, for example), as it is no longer possible to customize the close behavior at that point.

An application should handle top-level parent window close notifications by calling TChromiumCore.TryCloseBrowser() or TChromiumCore.CloseBrowser(false) instead of allowing the window to close immediately (see the examples below). This gives CEF an opportunity to process JavaScript unload handlers and optionally cancel the close before TChromiumCore.OnClose is called.

When windowed rendering is enabled CEF will create an internal child window/view to host the browser. In that case returning false (0) from TChromiumCore.OnClose will send the standard close notification to the browser's top- level parent window (e.g. WM_CLOSE on Windows, performClose: on OS X, "delete_event" on Linux or TCEFWindowComponent.OnCanClose callback from Views).

When windowed rendering is disabled there is no internal window/view and returning false (0) from TChromiumCore.OnClose will cause the browser object to be destroyed immediately.

If the browser's top-level parent window requires a non-standard close notification then send that notification from TChromiumCore.OnClose and return true (1). You are still required to complete the browser close as soon as possible (either by calling TChromiumCore.[Try]CloseBrowser() or by proceeding with window/view hierarchy tear-down), otherwise the browser will be left in a partially closed state that interferes with proper functioning. Top-level windows created on the browser process UI thread can alternately call TChromiumCore.IsReadyToBeClosed() in the close handler to check close status instead of relying on custom TChromiumCore.OnClose handling. See documentation on that function for additional details.

The TChromiumCore.OnBeforeClose event will be called after TChromiumCore.OnClose (if TChromiumCore.OnClose is called) and immediately before the browser object is destroyed. The application should only exit after TChromiumCore.OnBeforeClose has been called for all existing browsers.

The below examples describe what should happen during window close when the browser is parented to an application-provided top-level window.

Example 1: Using TChromiumCore.TryCloseBrowser(). This is recommended for clients using standard close handling and windows created on the browser process UI thread.

1.  User clicks the window close button which sends a close notification
    to the application's top-level window.
2.  Application's top-level window receives the close notification and
    calls TChromiumCore.TryCloseBrowser() (similar to calling TChromiumCore.CloseBrowser(false)).
    TChromiumCore.TryCloseBrowser() returns false so the client cancels the window
    close.
3.  JavaScript 'onbeforeunload' handler executes and shows the close
    confirmation dialog (which can be overridden via TChromiumCore.OnBeforeUnloadDialog).
4.  User approves the close.
5.  JavaScript 'onunload' handler executes.
6.  Application's TChromiumCore.OnClose handler is called and returns false (0) by
    default.
7.  CEF sends a close notification to the application's top-level window
    (because TChromiumCore.OnClose returned false).
8.  Application's top-level window receives the close notification and
    calls TryCloseBrowser(). TryCloseBrowser() returns true so the client
    allows the window close.
9.  Application's top-level window is destroyed, triggering destruction
    of the child browser window.
10. Application's TChromiumCore.OnBeforeClose handler is called and the browser object
    is destroyed.
11. Application exits by calling TCefApplicationCore.QuitMessageLoop if no other browsers
    exist.

Example 2: Using TChromiumCore.CloseBrowser(false) and implementing the TChromiumCore.OnClose event. This is recommended for clients using non-standard close handling or windows that were not created on the browser process UI thread.

1.  User clicks the window close button which sends a close notification
    to the application's top-level window.
2.  Application's top-level window receives the close notification and:
    A. Calls ICefBrowserHost.CloseBrowser(false).
    B. Cancels the window close.
3.  JavaScript 'onbeforeunload' handler executes and shows the close
    confirmation dialog (which can be overridden via TChromiumCore.OnBeforeUnloadDialog).
4.  User approves the close.
5.  JavaScript 'onunload' handler executes.
6.  Application's TChromiumCore.OnClose handler is called. Application will:
    A. Set a flag to indicate that the next top-level window close attempt
       will be allowed.
    B. Return false.
7.  CEF sends a close notification to the application's top-level window
    (because TChromiumCore.OnClose returned false).
8.  Application's top-level window receives the close notification and
    allows the window to close based on the flag from #6A.
9.  Application's top-level window is destroyed, triggering destruction
    of the child browser window.
10. Application's TChromiumCore.OnBeforeClose handler is called and the browser object
    is destroyed.
11. Application exits by calling TCefApplicationCore.QuitMessageLoop if no other browsers exist.

Protected procedure OnBeforeClose(const browser: ICefBrowser); override;

This item has no description. Showing description inherited from ICefLifeSpanHandler.OnBeforeClose.

Called just before a browser is destroyed. Release all references to the browser object and do not attempt to execute any functions on the browser object (other than IsValid, GetIdentifier or IsSame) after this callback returns. ICefFrameHandler callbacks related to final main frame destruction, and OnBeforePopupAborted callbacks for any pending popups, will arrive after this callback and ICefBrowser.IsValid will return false (0) at that time. Any in-progress network requests associated with |browser| will be aborted when the browser is destroyed, and ICefResourceRequestHandler callbacks related to those requests may still arrive on the IO thread after this callback. See ICefFrameHandler and DoClose() documentation for additional usage information.

Protected procedure RemoveReferences; override;

This item has no description. Showing description inherited from ICefLifeSpanHandler.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create(const events : IChromiumEvents); reintroduce; virtual;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFLinkedWinControlBase

Unit uCEFLinkedWinControlBase

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCEFLinkedWinControlBase | TCEFLinkedWinControlBase is a custom TWinControl to host the child controls created by the web browser to show the web contents and it's linked to the TChromium instance that handles that web browser. TCEFLinkedWinControlBase is the parent class of TChromiumWindow, TBrowserWindow and TCEFLinkedWindowParent.


cef4delphi: uCEFLinkedWinControlBase: Class TCEFLinkedWinControlBase

Class TCEFLinkedWinControlBase

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFLinkedWinControlBase

Declaration

type TCEFLinkedWinControlBase = class(TCEFWinControl)

Description

TCEFLinkedWinControlBase is a custom TWinControl to host the child controls created by the web browser to show the web contents and it's linked to the TChromium instance that handles that web browser. TCEFLinkedWinControlBase is the parent class of TChromiumWindow, TBrowserWindow and TCEFLinkedWindowParent.

Hierarchy

  • TWinControl
  • TCEFWinControl
  • TCEFLinkedWinControlBase

Overview

Fields

Protected FUseSetFocus: boolean;

Methods

Protected | function GetChromium: TChromium; virtual; abstract;
Protected | function GetUseSetFocus: Boolean; virtual;
Protected | procedure SetUseSetFocus(aValue : boolean); virtual;
Protected | procedure SetVisible(Value: Boolean); override;
Protected | function GetChildWindowHandle: THandle; override;
Protected | procedure WndProc(var aMessage: TMessage); override;
Public | constructor Create(AOwner: TComponent); override;
Public | procedure UpdateSize; override;

Properties

Protected | property Chromium : TChromium read GetChromium;
Published | property UseSetFocus : boolean read GetUseSetFocus write SetUseSetFocus default True;

Description

Fields

Protected FUseSetFocus: boolean;

This item has no description.

Methods

Protected function GetChromium: TChromium; virtual; abstract;

This item has no description.

Protected function GetUseSetFocus: Boolean; virtual;

This item has no description.

Protected procedure SetUseSetFocus(aValue : boolean); virtual;

This item has no description.

Protected procedure SetVisible(Value: Boolean); override;

This item has no description.

Protected function GetChildWindowHandle: THandle; override;

This item has no description.

Protected procedure WndProc(var aMessage: TMessage); override;

This item has no description.

Public constructor Create(AOwner: TComponent); override;

This item has no description.

Public procedure UpdateSize; override;

This item has no description. Showing description inherited from TCEFWinControl.UpdateSize.

Updates the size of the child windows created by the browser.

Properties

Protected property Chromium : TChromium read GetChromium;

TChromium instance used by this component.

Published property UseSetFocus : boolean read GetUseSetFocus write SetUseSetFocus default True;

Use TChromium.SetFocus when the component receives a WM_SETFOCUS message in Windows.


cef4delphi: uCEFLinkedWindowParent

Unit uCEFLinkedWindowParent

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCEFLinkedWindowParent | This component can be used by VCL and LCL applications. It has the same purpose as TCEFWindowParent but it has a Chromium property to link it directly to a TChromium component. TCEFLinkedWindowParent resizes the child controls created by CEF for browsers in normal mode and sets the browser focus using the linked TChromium component. TCEFWindowParent and TCEFLinkedWindowParent work fine in Windows and you can used any of them but you can't use TCEFWindowParent in Linux or MacOS.

Functions and Procedures

procedure Register;

Description

Functions and Procedures

procedure Register;

This item has no description.


cef4delphi: uCEFLinkedWindowParent: Class TCEFLinkedWindowParent

Class TCEFLinkedWindowParent

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFLinkedWindowParent

Declaration

type TCEFLinkedWindowParent = class(TCEFLinkedWinControlBase)

Description

This component can be used by VCL and LCL applications. It has the same purpose as TCEFWindowParent but it has a Chromium property to link it directly to a TChromium component. TCEFLinkedWindowParent resizes the child controls created by CEF for browsers in normal mode and sets the browser focus using the linked TChromium component. TCEFWindowParent and TCEFLinkedWindowParent work fine in Windows and you can used any of them but you can't use TCEFWindowParent in Linux or MacOS.

Hierarchy

  • TWinControl
  • TCEFWinControl
  • TCEFLinkedWinControlBase
  • TCEFLinkedWindowParent

Overview

Fields

Protected FChromium: TChromium;

Methods

Protected | function GetChromium: TChromium; override;
Protected | procedure SetChromium(aValue : TChromium);
Protected | procedure Notification(AComponent: TComponent; Operation: TOperation); override;
Public | constructor Create(AOwner : TComponent); override;

Properties

Published property Chromium : TChromium read FChromium write SetChromium;

Description

Fields

Protected FChromium: TChromium;

This item has no description.

Methods

Protected function GetChromium: TChromium; override;

This item has no description.

Protected procedure SetChromium(aValue : TChromium);

This item has no description.

Protected procedure Notification(AComponent: TComponent; Operation: TOperation); override;

This item has no description.

Public constructor Create(AOwner : TComponent); override;

This item has no description.

Properties

Published property Chromium : TChromium read FChromium write SetChromium;

TChromium instance used by this component.


cef4delphi: uCEFLinuxConstants

Unit uCEFLinuxConstants

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.


cef4delphi: uCEFLinuxEventPipe

Unit uCEFLinuxEventPipe

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.


cef4delphi: uCEFLinuxFunctions

Unit uCEFLinuxFunctions

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.


cef4delphi: uCEFLinuxTypes

Unit uCEFLinuxTypes

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.


cef4delphi: uCEFListValue

Unit uCEFListValue

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefListValueRef |


cef4delphi: uCEFListValue: Class TCefListValueRef

Class TCefListValueRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFListValue

Declaration

type TCefListValueRef = class(TCefBaseRefCountedRef, ICefListValue)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefListValueRef

Overview

Methods

Protected | function IsValid: Boolean;
Protected | function IsOwned: Boolean;
Protected | function IsReadOnly: Boolean;
Protected | function IsSame(const that: ICefListValue): Boolean;
Protected | function IsEqual(const that: ICefListValue): Boolean;
Protected | function Copy: ICefListValue;
Protected | function SetSize(size: NativeUInt): Boolean;
Protected | function GetSize: NativeUInt;
Protected | function Clear: Boolean;
Protected | function Remove(index: NativeUInt): Boolean;
Protected | function GetType(index: NativeUInt): TCefValueType;
Protected | function GetValue(index: NativeUInt): ICefValue;
Protected | function GetBool(index: NativeUInt): Boolean;
Protected | function GetInt(index: NativeUInt): Integer;
Protected | function GetDouble(index: NativeUInt): Double;
Protected | function GetString(index: NativeUInt): ustring;
Protected | function GetBinary(index: NativeUInt): ICefBinaryValue;
Protected | function GetDictionary(index: NativeUInt): ICefDictionaryValue;
Protected | function GetList(index: NativeUInt): ICefListValue;
Protected | function SetValue(index: NativeUInt; const value: ICefValue): Boolean;
Protected | function SetNull(index: NativeUInt): Boolean;
Protected | function SetBool(index: NativeUInt; value: Boolean): Boolean;
Protected | function SetInt(index: NativeUInt; value: Integer): Boolean;
Protected | function SetDouble(index: NativeUInt; value: Double): Boolean;
Protected | function SetString(index: NativeUInt; const value: ustring): Boolean;
Protected | function SetBinary(index: NativeUInt; const value: ICefBinaryValue): Boolean;
Protected | function SetDictionary(index: NativeUInt; const value: ICefDictionaryValue): Boolean;
Protected | function SetList(index: NativeUInt; const value: ICefListValue): Boolean;
Public | class function UnWrap(data: Pointer): ICefListValue;
Public | class function New: ICefListValue;

Description

Methods

Protected function IsValid: Boolean;

This item has no description. Showing description inherited from ICefListValue.IsValid.

Returns true (1) if this object is valid. This object may become invalid if the underlying data is owned by another object (e.g. list or dictionary) and that other object is then modified or destroyed. Do not call any other functions if this function returns false (0).

Protected function IsOwned: Boolean;

This item has no description. Showing description inherited from ICefListValue.IsOwned.

Returns true (1) if this object is currently owned by another object.

Protected function IsReadOnly: Boolean;

This item has no description. Showing description inherited from ICefListValue.IsReadOnly.

Returns true (1) if the values of this object are read-only. Some APIs may expose read-only objects.

Protected function IsSame(const that: ICefListValue): Boolean;

This item has no description. Showing description inherited from ICefListValue.IsSame.

Returns true (1) if this object and |that| object have the same underlying data. If true (1) modifications to this object will also affect |that| object and vice-versa.

Protected function IsEqual(const that: ICefListValue): Boolean;

This item has no description. Showing description inherited from ICefListValue.IsEqual.

Returns true (1) if this object and |that| object have an equivalent underlying value but are not necessarily the same object.

Protected function Copy: ICefListValue;

This item has no description. Showing description inherited from ICefListValue.Copy.

Returns a writable copy of this object.

Protected function SetSize(size: NativeUInt): Boolean;

This item has no description. Showing description inherited from ICefListValue.SetSize.

Sets the number of values. If the number of values is expanded all new value slots will default to type null. Returns true (1) on success.

Protected function GetSize: NativeUInt;

This item has no description. Showing description inherited from ICefListValue.GetSize.

Returns the number of values.

Protected function Clear: Boolean;

This item has no description. Showing description inherited from ICefListValue.Clear.

Removes all values. Returns true (1) on success.

Protected function Remove(index: NativeUInt): Boolean;

This item has no description. Showing description inherited from ICefListValue.Remove.

Removes the value at the specified index.

Protected function GetType(index: NativeUInt): TCefValueType;

This item has no description. Showing description inherited from ICefListValue.GetType.

Returns the value type at the specified index.

Protected function GetValue(index: NativeUInt): ICefValue;

This item has no description. Showing description inherited from ICefListValue.GetValue.

Returns the value at the specified index. For simple types the returned value will copy existing data and modifications to the value will not modify this object. For complex types (binary, dictionary and list) the returned value will reference existing data and modifications to the value will modify this object.

Protected function GetBool(index: NativeUInt): Boolean;

This item has no description. Showing description inherited from ICefListValue.GetBool.

Returns the value at the specified index as type bool.

Protected function GetInt(index: NativeUInt): Integer;

This item has no description. Showing description inherited from ICefListValue.GetInt.

Returns the value at the specified index as type int.

Protected function GetDouble(index: NativeUInt): Double;

This item has no description. Showing description inherited from ICefListValue.GetDouble.

Returns the value at the specified index as type double.

Protected function GetString(index: NativeUInt): ustring;

This item has no description. Showing description inherited from ICefListValue.GetString.

Returns the value at the specified index as type string.

Protected function GetBinary(index: NativeUInt): ICefBinaryValue;

This item has no description. Showing description inherited from ICefListValue.GetBinary.

Returns the value at the specified index as type binary. The returned value will reference existing data.

Protected function GetDictionary(index: NativeUInt): ICefDictionaryValue;

This item has no description. Showing description inherited from ICefListValue.GetDictionary.

Returns the value at the specified index as type dictionary. The returned value will reference existing data and modifications to the value will modify this object.

Protected function GetList(index: NativeUInt): ICefListValue;

This item has no description. Showing description inherited from ICefListValue.GetList.

Returns the value at the specified index as type list. The returned value will reference existing data and modifications to the value will modify this object.

Protected function SetValue(index: NativeUInt; const value: ICefValue): Boolean;

This item has no description. Showing description inherited from ICefListValue.SetValue.

Sets the value at the specified index. Returns true (1) if the value was set successfully. If |value| represents simple data then the underlying data will be copied and modifications to |value| will not modify this object. If |value| represents complex data (binary, dictionary or list) then the underlying data will be referenced and modifications to |value| will modify this object.

Protected function SetNull(index: NativeUInt): Boolean;

This item has no description. Showing description inherited from ICefListValue.SetNull.

Sets the value at the specified index as type null. Returns true (1) if the value was set successfully.

Protected function SetBool(index: NativeUInt; value: Boolean): Boolean;

This item has no description. Showing description inherited from ICefListValue.SetBool.

Sets the value at the specified index as type bool. Returns true (1) if the value was set successfully.

Protected function SetInt(index: NativeUInt; value: Integer): Boolean;

This item has no description. Showing description inherited from ICefListValue.SetInt.

Sets the value at the specified index as type int. Returns true (1) if the value was set successfully.

Protected function SetDouble(index: NativeUInt; value: Double): Boolean;

This item has no description. Showing description inherited from ICefListValue.SetDouble.

Sets the value at the specified index as type double. Returns true (1) if the value was set successfully.

Protected function SetString(index: NativeUInt; const value: ustring): Boolean;

This item has no description. Showing description inherited from ICefListValue.SetString.

Sets the value at the specified index as type string. Returns true (1) if the value was set successfully.

Protected function SetBinary(index: NativeUInt; const value: ICefBinaryValue): Boolean;

This item has no description. Showing description inherited from ICefListValue.SetBinary.

Sets the value at the specified index as type binary. Returns true (1) if the value was set successfully. If |value| is currently owned by another object then the value will be copied and the |value| reference will not change. Otherwise, ownership will be transferred to this object and the |value| reference will be invalidated.

Protected function SetDictionary(index: NativeUInt; const value: ICefDictionaryValue): Boolean;

This item has no description. Showing description inherited from ICefListValue.SetDictionary.

Sets the value at the specified index as type dict. Returns true (1) if the value was set successfully. If |value| is currently owned by another object then the value will be copied and the |value| reference will not change. Otherwise, ownership will be transferred to this object and the |value| reference will be invalidated.

Protected function SetList(index: NativeUInt; const value: ICefListValue): Boolean;

This item has no description. Showing description inherited from ICefListValue.SetList.

Sets the value at the specified index as type list. Returns true (1) if the value was set successfully. If |value| is currently owned by another object then the value will be copied and the |value| reference will not change. Otherwise, ownership will be transferred to this object and the |value| reference will be invalidated.

Public class function UnWrap(data: Pointer): ICefListValue;

This item has no description.

Public class function New: ICefListValue;

This item has no description.


cef4delphi: uCEFLoadHandler

Unit uCEFLoadHandler

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefLoadHandlerOwn |
Class TCustomLoadHandler |
Class TCustomRenderLoadHandler |


cef4delphi: uCEFLoadHandler: Class TCefLoadHandlerOwn

Class TCefLoadHandlerOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFLoadHandler

Declaration

type TCefLoadHandlerOwn = class(TCefBaseRefCountedOwn, ICefLoadHandler)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefLoadHandlerOwn

Overview

Methods

Protected | procedure OnLoadingStateChange(const browser: ICefBrowser; isLoading, canGoBack, canGoForward: Boolean); virtual;
Protected | procedure OnLoadStart(const browser: ICefBrowser; const frame: ICefFrame; transitionType: TCefTransitionType); virtual;
Protected | procedure OnLoadEnd(const browser: ICefBrowser; const frame: ICefFrame; httpStatusCode: Integer); virtual;
Protected | procedure OnLoadError(const browser: ICefBrowser; const frame: ICefFrame; errorCode: TCefErrorCode; const errorText, failedUrl: ustring); virtual;
Protected | procedure RemoveReferences; virtual;
Public | constructor Create; virtual;

Description

Methods

Protected procedure OnLoadingStateChange(const browser: ICefBrowser; isLoading, canGoBack, canGoForward: Boolean); virtual;

This item has no description. Showing description inherited from ICefLoadHandler.OnLoadingStateChange.

Called when the loading state has changed. This callback will be executed twice – once when loading is initiated either programmatically or by user action, and once when loading is terminated due to completion, cancellation of failure. It will be called before any calls to OnLoadStart and after all calls to OnLoadError and/or OnLoadEnd.

Protected procedure OnLoadStart(const browser: ICefBrowser; const frame: ICefFrame; transitionType: TCefTransitionType); virtual;

This item has no description. Showing description inherited from ICefLoadHandler.OnLoadStart.

Called after a navigation has been committed and before the browser begins loading contents in the frame. The |frame| value will never be NULL – call the IsMain() function to check if this frame is the main frame. |transition_type| provides information about the source of the navigation and an accurate value is only available in the browser process. Multiple frames may be loading at the same time. Sub-frames may start or continue loading after the main frame load has ended. This function will not be called for same page navigations (fragments, history state, etc.) or for navigations that fail or are canceled before commit. For notification of overall browser load status use OnLoadingStateChange instead.

Protected procedure OnLoadEnd(const browser: ICefBrowser; const frame: ICefFrame; httpStatusCode: Integer); virtual;

This item has no description. Showing description inherited from ICefLoadHandler.OnLoadEnd.

Called when the browser is done loading a frame. The |frame| value will never be NULL – call the IsMain() function to check if this frame is the main frame. Multiple frames may be loading at the same time. Sub-frames may start or continue loading after the main frame load has ended. This function will not be called for same page navigations (fragments, history state, etc.) or for navigations that fail or are canceled before commit. For notification of overall browser load status use OnLoadingStateChange instead.

Protected procedure OnLoadError(const browser: ICefBrowser; const frame: ICefFrame; errorCode: TCefErrorCode; const errorText, failedUrl: ustring); virtual;

This item has no description. Showing description inherited from ICefLoadHandler.OnLoadError.

Called when a navigation fails or is canceled. This function may be called by itself if before commit or in combination with OnLoadStart/OnLoadEnd if after commit. |errorCode| is the error code number, |errorText| is the error text and |failedUrl| is the URL that failed to load. See net\base\net_error_list.h for complete descriptions of the error codes.

Protected procedure RemoveReferences; virtual;

This item has no description. Showing description inherited from ICefLoadHandler.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFLoadHandler: Class TCustomLoadHandler

Class TCustomLoadHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFLoadHandler

Declaration

type TCustomLoadHandler = class(TCefLoadHandlerOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefLoadHandlerOwn
  • TCustomLoadHandler

Overview

Fields

Protected FEvents: Pointer;

Methods

Protected | procedure OnLoadingStateChange(const browser: ICefBrowser; isLoading, canGoBack, canGoForward: Boolean); override;
Protected | procedure OnLoadStart(const browser: ICefBrowser; const frame: ICefFrame; transitionType: TCefTransitionType); override;
Protected | procedure OnLoadEnd(const browser: ICefBrowser; const frame: ICefFrame; httpStatusCode: Integer); override;
Protected | procedure OnLoadError(const browser: ICefBrowser; const frame: ICefFrame; errorCode: TCefErrorCode; const errorText, failedUrl: ustring); override;
Protected | procedure RemoveReferences; override;
Public | constructor Create(const events : IChromiumEvents); reintroduce; virtual;
Public | destructor Destroy; override;

Description

Fields

Protected FEvents: Pointer;

This item has no description.

Methods

Protected procedure OnLoadingStateChange(const browser: ICefBrowser; isLoading, canGoBack, canGoForward: Boolean); override;

This item has no description. Showing description inherited from ICefLoadHandler.OnLoadingStateChange.

Called when the loading state has changed. This callback will be executed twice – once when loading is initiated either programmatically or by user action, and once when loading is terminated due to completion, cancellation of failure. It will be called before any calls to OnLoadStart and after all calls to OnLoadError and/or OnLoadEnd.

Protected procedure OnLoadStart(const browser: ICefBrowser; const frame: ICefFrame; transitionType: TCefTransitionType); override;

This item has no description. Showing description inherited from ICefLoadHandler.OnLoadStart.

Called after a navigation has been committed and before the browser begins loading contents in the frame. The |frame| value will never be NULL – call the IsMain() function to check if this frame is the main frame. |transition_type| provides information about the source of the navigation and an accurate value is only available in the browser process. Multiple frames may be loading at the same time. Sub-frames may start or continue loading after the main frame load has ended. This function will not be called for same page navigations (fragments, history state, etc.) or for navigations that fail or are canceled before commit. For notification of overall browser load status use OnLoadingStateChange instead.

Protected procedure OnLoadEnd(const browser: ICefBrowser; const frame: ICefFrame; httpStatusCode: Integer); override;

This item has no description. Showing description inherited from ICefLoadHandler.OnLoadEnd.

Called when the browser is done loading a frame. The |frame| value will never be NULL – call the IsMain() function to check if this frame is the main frame. Multiple frames may be loading at the same time. Sub-frames may start or continue loading after the main frame load has ended. This function will not be called for same page navigations (fragments, history state, etc.) or for navigations that fail or are canceled before commit. For notification of overall browser load status use OnLoadingStateChange instead.

Protected procedure OnLoadError(const browser: ICefBrowser; const frame: ICefFrame; errorCode: TCefErrorCode; const errorText, failedUrl: ustring); override;

This item has no description. Showing description inherited from ICefLoadHandler.OnLoadError.

Called when a navigation fails or is canceled. This function may be called by itself if before commit or in combination with OnLoadStart/OnLoadEnd if after commit. |errorCode| is the error code number, |errorText| is the error text and |failedUrl| is the URL that failed to load. See net\base\net_error_list.h for complete descriptions of the error codes.

Protected procedure RemoveReferences; override;

This item has no description. Showing description inherited from ICefLoadHandler.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create(const events : IChromiumEvents); reintroduce; virtual;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFLoadHandler: Class TCustomRenderLoadHandler

Class TCustomRenderLoadHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFLoadHandler

Declaration

type TCustomRenderLoadHandler = class(TCefLoadHandlerOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefLoadHandlerOwn
  • TCustomRenderLoadHandler

Overview

Fields

Protected FCefApp: TCefApplicationCore;

Methods

Protected | procedure OnLoadingStateChange(const browser: ICefBrowser; isLoading, canGoBack, canGoForward: Boolean); override;
Protected | procedure OnLoadStart(const browser: ICefBrowser; const frame: ICefFrame; transitionType: TCefTransitionType); override;
Protected | procedure OnLoadEnd(const browser: ICefBrowser; const frame: ICefFrame; httpStatusCode: Integer); override;
Protected | procedure OnLoadError(const browser: ICefBrowser; const frame: ICefFrame; errorCode: TCefErrorCode; const errorText, failedUrl: ustring); override;
Protected | procedure RemoveReferences; override;
Public | constructor Create(const aCefApp : TCefApplicationCore); reintroduce; virtual;
Public | destructor Destroy; override;

Description

Fields

Protected FCefApp: TCefApplicationCore;

This item has no description.

Methods

Protected procedure OnLoadingStateChange(const browser: ICefBrowser; isLoading, canGoBack, canGoForward: Boolean); override;

This item has no description. Showing description inherited from ICefLoadHandler.OnLoadingStateChange.

Called when the loading state has changed. This callback will be executed twice – once when loading is initiated either programmatically or by user action, and once when loading is terminated due to completion, cancellation of failure. It will be called before any calls to OnLoadStart and after all calls to OnLoadError and/or OnLoadEnd.

Protected procedure OnLoadStart(const browser: ICefBrowser; const frame: ICefFrame; transitionType: TCefTransitionType); override;

This item has no description. Showing description inherited from ICefLoadHandler.OnLoadStart.

Called after a navigation has been committed and before the browser begins loading contents in the frame. The |frame| value will never be NULL – call the IsMain() function to check if this frame is the main frame. |transition_type| provides information about the source of the navigation and an accurate value is only available in the browser process. Multiple frames may be loading at the same time. Sub-frames may start or continue loading after the main frame load has ended. This function will not be called for same page navigations (fragments, history state, etc.) or for navigations that fail or are canceled before commit. For notification of overall browser load status use OnLoadingStateChange instead.

Protected procedure OnLoadEnd(const browser: ICefBrowser; const frame: ICefFrame; httpStatusCode: Integer); override;

This item has no description. Showing description inherited from ICefLoadHandler.OnLoadEnd.

Called when the browser is done loading a frame. The |frame| value will never be NULL – call the IsMain() function to check if this frame is the main frame. Multiple frames may be loading at the same time. Sub-frames may start or continue loading after the main frame load has ended. This function will not be called for same page navigations (fragments, history state, etc.) or for navigations that fail or are canceled before commit. For notification of overall browser load status use OnLoadingStateChange instead.

Protected procedure OnLoadError(const browser: ICefBrowser; const frame: ICefFrame; errorCode: TCefErrorCode; const errorText, failedUrl: ustring); override;

This item has no description. Showing description inherited from ICefLoadHandler.OnLoadError.

Called when a navigation fails or is canceled. This function may be called by itself if before commit or in combination with OnLoadStart/OnLoadEnd if after commit. |errorCode| is the error code number, |errorText| is the error text and |failedUrl| is the URL that failed to load. See net\base\net_error_list.h for complete descriptions of the error codes.

Protected procedure RemoveReferences; override;

This item has no description. Showing description inherited from ICefLoadHandler.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create(const aCefApp : TCefApplicationCore); reintroduce; virtual;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFMacOSConstants

Unit uCEFMacOSConstants

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.


cef4delphi: uCEFMacOSCustomCocoaTimer

Unit uCEFMacOSCustomCocoaTimer

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.


cef4delphi: uCEFMacOSFunctions

Unit uCEFMacOSFunctions

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.


cef4delphi: uCEFMacOSInterfaces

Unit uCEFMacOSInterfaces

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.


cef4delphi: uCEFMediaAccessCallback

Unit uCEFMediaAccessCallback

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefMediaAccessCallbackRef |


cef4delphi: uCEFMediaAccessCallback: Class TCefMediaAccessCallbackRef

Class TCefMediaAccessCallbackRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFMediaAccessCallback

Declaration

type TCefMediaAccessCallbackRef = class(TCefBaseRefCountedRef, ICefMediaAccessCallback)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefMediaAccessCallbackRef

Overview

Methods

Protected | procedure cont(allowed_permissions: TCefMediaAccessPermissionTypes);
Protected | procedure cancel;
Public | class function UnWrap(data: Pointer): ICefMediaAccessCallback;

Description

Methods

Protected procedure cont(allowed_permissions: TCefMediaAccessPermissionTypes);

This item has no description. Showing description inherited from ICefMediaAccessCallback.cont.

Call to allow or deny media access. If this callback was initiated in response to a getUserMedia (indicated by CEF_MEDIA_PERMISSION_DEVICE_AUDIO_CAPTURE and/or CEF_MEDIA_PERMISSION_DEVICE_VIDEO_CAPTURE being set) then |allowed_permissions| must match |required_permissions| passed to OnRequestMediaAccessPermission.

Protected procedure cancel;

This item has no description. Showing description inherited from ICefMediaAccessCallback.cancel.

Cancel the media access request.

Public class function UnWrap(data: Pointer): ICefMediaAccessCallback;

This item has no description.


cef4delphi: uCEFMediaObserver

Unit uCEFMediaObserver

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefMediaObserverOwn |
Class TCustomMediaObserver |


cef4delphi: uCEFMediaObserver: Class TCefMediaObserverOwn

Class TCefMediaObserverOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFMediaObserver

Declaration

type TCefMediaObserverOwn = class(TCefBaseRefCountedOwn, ICefMediaObserver)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefMediaObserverOwn

Overview

Methods

Protected | procedure OnSinks(const sinks: TCefMediaSinkArray); virtual;
Protected | procedure OnRoutes(const routes: TCefMediaRouteArray); virtual;
Protected | procedure OnRouteStateChanged(const route: ICefMediaRoute; state: TCefMediaRouteConnectionState); virtual;
Protected | procedure OnRouteMessageReceived(const route: ICefMediaRoute; const message_: ustring); virtual;
Public | constructor Create; virtual;

Description

Methods

Protected procedure OnSinks(const sinks: TCefMediaSinkArray); virtual;

This item has no description. Showing description inherited from ICefMediaObserver.OnSinks.

The list of available media sinks has changed or ICefMediaRouter.NotifyCurrentSinks was called.

Protected procedure OnRoutes(const routes: TCefMediaRouteArray); virtual;

This item has no description. Showing description inherited from ICefMediaObserver.OnRoutes.

The list of available media routes has changed or ICefMediaRouter.NotifyCurrentRoutes was called.

Protected procedure OnRouteStateChanged(const route: ICefMediaRoute; state: TCefMediaRouteConnectionState); virtual;

This item has no description. Showing description inherited from ICefMediaObserver.OnRouteStateChanged.

The connection state of |route| has changed.

Protected procedure OnRouteMessageReceived(const route: ICefMediaRoute; const message_: ustring); virtual;

This item has no description. Showing description inherited from ICefMediaObserver.OnRouteMessageReceived.

A message was received over |route|. |message| is only valid for the scope of this callback and should be copied if necessary.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFMediaObserver: Class TCustomMediaObserver

Class TCustomMediaObserver

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFMediaObserver

Declaration

type TCustomMediaObserver = class(TCefMediaObserverOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefMediaObserverOwn
  • TCustomMediaObserver

Overview

Fields

Protected FEvents: Pointer;

Methods

Protected | procedure OnSinks(const sinks: TCefMediaSinkArray); override;
Protected | procedure OnRoutes(const routes: TCefMediaRouteArray); override;
Protected | procedure OnRouteStateChanged(const route: ICefMediaRoute; state: TCefMediaRouteConnectionState); override;
Protected | procedure OnRouteMessageReceived(const route: ICefMediaRoute; const message_: ustring); override;
Public | constructor Create(const events: IChromiumEvents); reintroduce;
Public | destructor Destroy; override;

Description

Fields

Protected FEvents: Pointer;

This item has no description.

Methods

Protected procedure OnSinks(const sinks: TCefMediaSinkArray); override;

This item has no description. Showing description inherited from ICefMediaObserver.OnSinks.

The list of available media sinks has changed or ICefMediaRouter.NotifyCurrentSinks was called.

Protected procedure OnRoutes(const routes: TCefMediaRouteArray); override;

This item has no description. Showing description inherited from ICefMediaObserver.OnRoutes.

The list of available media routes has changed or ICefMediaRouter.NotifyCurrentRoutes was called.

Protected procedure OnRouteStateChanged(const route: ICefMediaRoute; state: TCefMediaRouteConnectionState); override;

This item has no description. Showing description inherited from ICefMediaObserver.OnRouteStateChanged.

The connection state of |route| has changed.

Protected procedure OnRouteMessageReceived(const route: ICefMediaRoute; const message_: ustring); override;

This item has no description. Showing description inherited from ICefMediaObserver.OnRouteMessageReceived.

A message was received over |route|. |message| is only valid for the scope of this callback and should be copied if necessary.

Public constructor Create(const events: IChromiumEvents); reintroduce;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFMediaRoute

Unit uCEFMediaRoute

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefMediaRouteRef |


cef4delphi: uCEFMediaRoute: Class TCefMediaRouteRef

Class TCefMediaRouteRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFMediaRoute

Declaration

type TCefMediaRouteRef = class(TCefBaseRefCountedRef, ICefMediaRoute)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefMediaRouteRef

Overview

Methods

Protected | function GetId: ustring;
Protected | function GetSource: ICefMediaSource;
Protected | function GetSink: ICefMediaSink;
Protected | procedure SendRouteMessage(const message_: ustring);
Protected | procedure Terminate;
Public | class function UnWrap(data: Pointer): ICefMediaRoute;

Description

Methods

Protected function GetId: ustring;

This item has no description. Showing description inherited from ICefMediaRoute.GetId.

Returns the ID for this route.

Protected function GetSource: ICefMediaSource;

This item has no description. Showing description inherited from ICefMediaRoute.GetSource.

Returns the source associated with this route.

Protected function GetSink: ICefMediaSink;

This item has no description. Showing description inherited from ICefMediaRoute.GetSink.

Returns the sink associated with this route.

Protected procedure SendRouteMessage(const message_: ustring);

This item has no description. Showing description inherited from ICefMediaRoute.SendRouteMessage.

Send a message over this route. |message_| will be copied if necessary.

Protected procedure Terminate;

This item has no description. Showing description inherited from ICefMediaRoute.Terminate.

Terminate this route. Will result in an asynchronous call to ICefMediaObserver.OnRoutes on all registered observers.

Public class function UnWrap(data: Pointer): ICefMediaRoute;

This item has no description.


cef4delphi: uCEFMediaRouteCreateCallback

Unit uCEFMediaRouteCreateCallback

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefMediaRouteCreateCallbackOwn |
Class TCefFastMediaRouteCreateCallback |
Class TCefCustomMediaRouteCreateCallback |


cef4delphi: uCEFMediaRouteCreateCallback: Class TCefMediaRouteCreateCallbackOwn

Class TCefMediaRouteCreateCallbackOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFMediaRouteCreateCallback

Declaration

type TCefMediaRouteCreateCallbackOwn = class(TCefBaseRefCountedOwn, ICefMediaRouteCreateCallback)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefMediaRouteCreateCallbackOwn

Overview

Methods

Protected | procedure OnMediaRouteCreateFinished(result: TCefMediaRouterCreateResult; const error: ustring; const route: ICefMediaRoute); virtual; abstract;
Public | constructor Create; virtual;

Description

Methods

Protected procedure OnMediaRouteCreateFinished(result: TCefMediaRouterCreateResult; const error: ustring; const route: ICefMediaRoute); virtual; abstract;

This item has no description. Showing description inherited from ICefMediaRouteCreateCallback.OnMediaRouteCreateFinished.

Method that will be executed when the route creation has finished. |result| will be CEF_MRCR_OK if the route creation succeeded. |error| will be a description of the error if the route creation failed. |route| is the resulting route, or NULL if the route creation failed.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFMediaRouteCreateCallback: Class TCefFastMediaRouteCreateCallback

Class TCefFastMediaRouteCreateCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFMediaRouteCreateCallback

Declaration

type TCefFastMediaRouteCreateCallback = class(TCefMediaRouteCreateCallbackOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefMediaRouteCreateCallbackOwn
  • TCefFastMediaRouteCreateCallback

Overview

Fields

Protected FCallback: TCefMediaRouteCreateCallbackProc;

Methods

Protected | procedure OnMediaRouteCreateFinished(result: TCefMediaRouterCreateResult; const error: ustring; const route: ICefMediaRoute); override;
Public | constructor Create(const callback: TCefMediaRouteCreateCallbackProc); reintroduce;
Public | destructor Destroy; override;

Description

Fields

Protected FCallback: TCefMediaRouteCreateCallbackProc;

This item has no description.

Methods

Protected procedure OnMediaRouteCreateFinished(result: TCefMediaRouterCreateResult; const error: ustring; const route: ICefMediaRoute); override;

This item has no description. Showing description inherited from ICefMediaRouteCreateCallback.OnMediaRouteCreateFinished.

Method that will be executed when the route creation has finished. |result| will be CEF_MRCR_OK if the route creation succeeded. |error| will be a description of the error if the route creation failed. |route| is the resulting route, or NULL if the route creation failed.

Public constructor Create(const callback: TCefMediaRouteCreateCallbackProc); reintroduce;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFMediaRouteCreateCallback: Class TCefCustomMediaRouteCreateCallback

Class TCefCustomMediaRouteCreateCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFMediaRouteCreateCallback

Declaration

type TCefCustomMediaRouteCreateCallback = class(TCefMediaRouteCreateCallbackOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefMediaRouteCreateCallbackOwn
  • TCefCustomMediaRouteCreateCallback

Overview

Fields

Protected FEvents: Pointer;

Methods

Protected | procedure OnMediaRouteCreateFinished(result: TCefMediaRouterCreateResult; const error: ustring; const route: ICefMediaRoute); override;
Public | constructor Create(const aEvents : IChromiumEvents); reintroduce;
Public | destructor Destroy; override;

Description

Fields

Protected FEvents: Pointer;

This item has no description.

Methods

Protected procedure OnMediaRouteCreateFinished(result: TCefMediaRouterCreateResult; const error: ustring; const route: ICefMediaRoute); override;

This item has no description. Showing description inherited from ICefMediaRouteCreateCallback.OnMediaRouteCreateFinished.

Method that will be executed when the route creation has finished. |result| will be CEF_MRCR_OK if the route creation succeeded. |error| will be a description of the error if the route creation failed. |route| is the resulting route, or NULL if the route creation failed.

Public constructor Create(const aEvents : IChromiumEvents); reintroduce;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFMediaRouter

Unit uCEFMediaRouter

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefMediaRouterRef |


cef4delphi: uCEFMediaRouter: Class TCefMediaRouterRef

Class TCefMediaRouterRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFMediaRouter

Declaration

type TCefMediaRouterRef = class(TCefBaseRefCountedRef, ICefMediaRouter)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefMediaRouterRef

Overview

Methods

Protected | function AddObserver(const observer: ICefMediaObserver): ICefRegistration;
Protected | function GetSource(const urn: ustring): ICefMediaSource;
Protected | procedure NotifyCurrentSinks;
Protected | procedure CreateRoute(const source: ICefMediaSource; const sink: ICefMediaSink; const callback: ICefMediaRouteCreateCallback);
Protected | procedure NotifyCurrentRoutes;
Public | class function UnWrap(data: Pointer): ICefMediaRouter;
Public | class function Global: ICefMediaRouter;

Description

Methods

Protected function AddObserver(const observer: ICefMediaObserver): ICefRegistration;

This item has no description. Showing description inherited from ICefMediaRouter.AddObserver.

Add an observer for MediaRouter events. The observer will remain registered until the returned Registration object is destroyed.

Protected function GetSource(const urn: ustring): ICefMediaSource;

This item has no description. Showing description inherited from ICefMediaRouter.GetSource.

Returns a MediaSource object for the specified media source URN. Supported URN schemes include "cast:" and "dial:", and will be already known by the client application (e.g. "cast:<appId>?clientId=<clientId>").

Protected procedure NotifyCurrentSinks;

This item has no description. Showing description inherited from ICefMediaRouter.NotifyCurrentSinks.

Trigger an asynchronous call to ICefMediaObserver.OnSinks on all registered observers.

Protected procedure CreateRoute(const source: ICefMediaSource; const sink: ICefMediaSink; const callback: ICefMediaRouteCreateCallback);

This item has no description. Showing description inherited from ICefMediaRouter.CreateRoute.

Create a new route between |source| and |sink|. Source and sink must be valid, compatible (as reported by ICefMediaSink.IsCompatibleWith), and a route between them must not already exist. |callback| will be executed on success or failure. If route creation succeeds it will also trigger an asynchronous call to ICefMediaObserver.OnRoutes on all registered observers.

Protected procedure NotifyCurrentRoutes;

This item has no description. Showing description inherited from ICefMediaRouter.NotifyCurrentRoutes.

Trigger an asynchronous call to ICefMediaObserver.OnRoutes on all registered observers.

Public class function UnWrap(data: Pointer): ICefMediaRouter;

This item has no description.

Public class function Global: ICefMediaRouter;

This item has no description.


cef4delphi: uCEFMediaSink

Unit uCEFMediaSink

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefMediaSinkRef |


cef4delphi: uCEFMediaSink: Class TCefMediaSinkRef

Class TCefMediaSinkRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFMediaSink

Declaration

type TCefMediaSinkRef = class(TCefBaseRefCountedRef, ICefMediaSink)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefMediaSinkRef

Overview

Methods

Protected | function GetId: ustring;
Protected | function GetName: ustring;
Protected | function GetIconType: TCefMediaSinkIconType;
Protected | procedure GetDeviceInfo(const callback: ICefMediaSinkDeviceInfoCallback);
Protected | function IsCastSink: boolean;
Protected | function IsDialSink: boolean;
Protected | function IsCompatibleWith(const source: ICefMediaSource): boolean;
Public | class function UnWrap(data: Pointer): ICefMediaSink;

Description

Methods

Protected function GetId: ustring;

This item has no description. Showing description inherited from ICefMediaSink.GetId.

Returns the ID for this sink.

Protected function GetName: ustring;

This item has no description. Showing description inherited from ICefMediaSink.GetName.

Returns the name of this sink.

Protected function GetIconType: TCefMediaSinkIconType;

This item has no description. Showing description inherited from ICefMediaSink.GetIconType.

Returns the icon type for this sink.

Protected procedure GetDeviceInfo(const callback: ICefMediaSinkDeviceInfoCallback);

This item has no description. Showing description inherited from ICefMediaSink.GetDeviceInfo.

Asynchronously retrieves device info.

Protected function IsCastSink: boolean;

This item has no description. Showing description inherited from ICefMediaSink.IsCastSink.

Returns true (1) if this sink accepts content via Cast.

Protected function IsDialSink: boolean;

This item has no description. Showing description inherited from ICefMediaSink.IsDialSink.

Returns true (1) if this sink accepts content via DIAL.

Protected function IsCompatibleWith(const source: ICefMediaSource): boolean;

This item has no description. Showing description inherited from ICefMediaSink.IsCompatibleWith.

Returns true (1) if this sink is compatible with |source|.

Public class function UnWrap(data: Pointer): ICefMediaSink;

This item has no description.


cef4delphi: uCEFMediaSinkDeviceInfoCallback

Unit uCEFMediaSinkDeviceInfoCallback

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefMediaSinkDeviceInfoCallbackOwn |
Class TCefFastMediaSinkDeviceInfoCallback |
Class TCefCustomMediaSinkDeviceInfoCallback |


cef4delphi: uCEFMediaSinkDeviceInfoCallback: Class TCefMediaSinkDeviceInfoCallbackOwn

Class TCefMediaSinkDeviceInfoCallbackOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFMediaSinkDeviceInfoCallback

Declaration

type TCefMediaSinkDeviceInfoCallbackOwn = class(TCefBaseRefCountedOwn, ICefMediaSinkDeviceInfoCallback)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefMediaSinkDeviceInfoCallbackOwn

Overview

Methods

Protected | procedure OnMediaSinkDeviceInfo(const ip_address: ustring; port: integer; const model_name: ustring); virtual; abstract;
Public | constructor Create; virtual;

Description

Methods

Protected procedure OnMediaSinkDeviceInfo(const ip_address: ustring; port: integer; const model_name: ustring); virtual; abstract;

This item has no description. Showing description inherited from ICefMediaSinkDeviceInfoCallback.OnMediaSinkDeviceInfo.

Method that will be executed asyncronously once device information has been retrieved.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFMediaSinkDeviceInfoCallback: Class TCefFastMediaSinkDeviceInfoCallback

Class TCefFastMediaSinkDeviceInfoCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFMediaSinkDeviceInfoCallback

Declaration

type TCefFastMediaSinkDeviceInfoCallback = class(TCefMediaSinkDeviceInfoCallbackOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefMediaSinkDeviceInfoCallbackOwn
  • TCefFastMediaSinkDeviceInfoCallback

Overview

Fields

Protected FCallback: TCefMediaSinkDeviceInfoCallbackProc;

Methods

Protected | procedure OnMediaSinkDeviceInfo(const ip_address: ustring; port: integer; const model_name: ustring); override;
Public | constructor Create(const callback: TCefMediaSinkDeviceInfoCallbackProc); reintroduce;
Public | destructor Destroy; override;

Description

Fields

Protected FCallback: TCefMediaSinkDeviceInfoCallbackProc;

This item has no description.

Methods

Protected procedure OnMediaSinkDeviceInfo(const ip_address: ustring; port: integer; const model_name: ustring); override;

This item has no description. Showing description inherited from ICefMediaSinkDeviceInfoCallback.OnMediaSinkDeviceInfo.

Method that will be executed asyncronously once device information has been retrieved.

Public constructor Create(const callback: TCefMediaSinkDeviceInfoCallbackProc); reintroduce;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFMediaSinkDeviceInfoCallback: Class TCefCustomMediaSinkDeviceInfoCallback

Class TCefCustomMediaSinkDeviceInfoCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFMediaSinkDeviceInfoCallback

Declaration

type TCefCustomMediaSinkDeviceInfoCallback = class(TCefMediaSinkDeviceInfoCallbackOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefMediaSinkDeviceInfoCallbackOwn
  • TCefCustomMediaSinkDeviceInfoCallback

Overview

Fields

Protected FEvents: Pointer;

Methods

Protected | procedure OnMediaSinkDeviceInfo(const ip_address: ustring; port: integer; const model_name: ustring); override;
Public | constructor Create(const aEvents : IChromiumEvents); reintroduce;
Public | destructor Destroy; override;

Description

Fields

Protected FEvents: Pointer;

This item has no description.

Methods

Protected procedure OnMediaSinkDeviceInfo(const ip_address: ustring; port: integer; const model_name: ustring); override;

This item has no description. Showing description inherited from ICefMediaSinkDeviceInfoCallback.OnMediaSinkDeviceInfo.

Method that will be executed asyncronously once device information has been retrieved.

Public constructor Create(const aEvents : IChromiumEvents); reintroduce;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFMediaSource

Unit uCEFMediaSource

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefMediaSourceRef |


cef4delphi: uCEFMediaSource: Class TCefMediaSourceRef

Class TCefMediaSourceRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFMediaSource

Declaration

type TCefMediaSourceRef = class(TCefBaseRefCountedRef, ICefMediaSource)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefMediaSourceRef

Overview

Methods

Protected | function GetId: ustring;
Protected | function IsCastSource: boolean;
Protected | function IsDialSource: boolean;
Public | class function UnWrap(data: Pointer): ICefMediaSource;

Description

Methods

Protected function GetId: ustring;

This item has no description. Showing description inherited from ICefMediaSource.GetId.

Returns the ID (media source URN or URL) for this source.

Protected function IsCastSource: boolean;

This item has no description. Showing description inherited from ICefMediaSource.IsCastSource.

Returns true (1) if this source outputs its content via Cast.

Protected function IsDialSource: boolean;

This item has no description. Showing description inherited from ICefMediaSource.IsDialSource.

Returns true (1) if this source outputs its content via DIAL.

Public class function UnWrap(data: Pointer): ICefMediaSource;

This item has no description.


cef4delphi: uCEFMenuButton

Unit uCEFMenuButton

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefMenuButtonRef | MenuButton is a button with optional text, icon and/or menu marker that shows a menu when clicked with the left mouse button. All size and position values are in density independent pixels (DIP) unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.


cef4delphi: uCEFMenuButton: Class TCefMenuButtonRef

Class TCefMenuButtonRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFMenuButton

Declaration

type TCefMenuButtonRef = class(TCefLabelButtonRef, ICefMenuButton)

Description

MenuButton is a button with optional text, icon and/or menu marker that shows a menu when clicked with the left mouse button. All size and position values are in density independent pixels (DIP) unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_menu_button_capi.h">CEF source file: /include/capi/views/cef_menu_button_capi.h (cef_menu_button_t))

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefViewRef
  • TCefButtonRef
  • TCefLabelButtonRef
  • TCefMenuButtonRef

Overview

Methods

Protected | procedure ShowMenu(const menu_model: ICefMenuModel; const screen_point: TCefPoint; anchor_position: TCefMenuAnchorPosition);
Protected | procedure TriggerMenu;
Public | class function UnWrap(data: Pointer): ICefMenuButton;
Public | class function CreateMenuButton(const delegate: ICefMenuButtonDelegate; const text: ustring): ICefMenuButton;

Description

Methods

Protected procedure ShowMenu(const menu_model: ICefMenuModel; const screen_point: TCefPoint; anchor_position: TCefMenuAnchorPosition);

Show a menu with contents |menu_model|. |screen_point| specifies the menu position in screen coordinates. |anchor_position| specifies how the menu will be anchored relative to |screen_point|. This function should be called from ICefMenuButtonDelegate.OnMenuButtonPressed().

Protected procedure TriggerMenu;

Show the menu for this button. Results in a call to ICefMenuButtonDelegate.OnMenuButtonPressed().

Public class function UnWrap(data: Pointer): ICefMenuButton;

Returns a ICefMenuButton instance using a PCefMenuButton data pointer.

Public class function CreateMenuButton(const delegate: ICefMenuButtonDelegate; const text: ustring): ICefMenuButton;

Create a new MenuButton. A |delegate| must be provided to call show_menu() when the button is clicked. |text| will be shown on the MenuButton and used as the default accessible name. If |with_frame| is true (1) the button will have a visible frame at all times, center alignment, additional padding and a default minimum size of 70x33 DIP. If |with_frame| is false (0) the button will only have a visible frame on hover/press, left alignment, less padding and no default minimum size.


cef4delphi: uCEFMenuButtonComponent

Unit uCEFMenuButtonComponent

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCEFMenuButtonComponent |

Functions and Procedures

procedure Register;

Description

Functions and Procedures

procedure Register;

This item has no description.


cef4delphi: uCEFMenuButtonComponent: Class TCEFMenuButtonComponent

Class TCEFMenuButtonComponent

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFMenuButtonComponent

Declaration

type TCEFMenuButtonComponent = class(TCEFLabelButtonComponent, ICefMenuButtonDelegateEvents)

Description

This item has no description.

Hierarchy

  • TObject
  • TPersistent
  • TComponent
  • TCEFViewComponent
  • TCEFButtonComponent
  • TCEFLabelButtonComponent
  • TCEFMenuButtonComponent

Overview

Fields

Protected | FMenuButton: ICefMenuButton;
Protected | FOnMenuButtonPressed: TOnMenuButtonPressedEvent;

Methods

Protected | procedure DestroyView; override;
Protected | procedure Initialize; override;
Protected | function GetInitialized: boolean; override;
Protected | function GetAsView: ICefView; override;
Protected | function GetAsButton: ICefButton; override;
Protected | function GetAsLabelButton: ICefLabelButton; override;
Protected | function GetAsMenuButton: ICefMenuButton; override;
Protected | procedure doOnMenuButtonPressed(const menu_button: ICefMenuButton; const screen_point: TCefPoint; const button_pressed_lock: ICefMenuButtonPressedLock);
Protected | procedure doCreateCustomView; override;
Public | procedure CreateMenuButton(const aText : ustring);
Public | procedure ShowMenu(const menu_model: ICefMenuModel; const screen_point: TCefPoint; anchor_position: TCefMenuAnchorPosition);
Public | procedure TriggerMenu;

Properties

Published property OnMenuButtonPressed : TOnMenuButtonPressedEvent read FOnMenuButtonPressed write FOnMenuButtonPressed;

Description

Fields

Protected FMenuButton: ICefMenuButton;

This item has no description.

Protected FOnMenuButtonPressed: TOnMenuButtonPressedEvent;

ICefMenuButtonDelegateEvents

Methods

Protected procedure DestroyView; override;

This item has no description.

Protected procedure Initialize; override;

This item has no description.

Protected function GetInitialized: boolean; override;

This item has no description.

Protected function GetAsView: ICefView; override;

This item has no description.

Protected function GetAsButton: ICefButton; override;

This item has no description.

Protected function GetAsLabelButton: ICefLabelButton; override;

This item has no description.

Protected function GetAsMenuButton: ICefMenuButton; override;

This item has no description.

Protected procedure doOnMenuButtonPressed(const menu_button: ICefMenuButton; const screen_point: TCefPoint; const button_pressed_lock: ICefMenuButtonPressedLock);

ICefMenuButtonDelegateEvents

Protected procedure doCreateCustomView; override;

ICefViewDelegateEvents

Public procedure CreateMenuButton(const aText : ustring);

Create a new MenuButton.

Public procedure ShowMenu(const menu_model: ICefMenuModel; const screen_point: TCefPoint; anchor_position: TCefMenuAnchorPosition);

Show a menu with contents |menu_model|. |screen_point| specifies the menu position in screen coordinates. |anchor_position| specifies how the menu will be anchored relative to |screen_point|. This function should be called from ICefMenuButtonDelegate.OnMenuButtonPressed().

Public procedure TriggerMenu;

Show the menu for this button. Results in a call to ICefMenuButtonDelegate.OnMenuButtonPressed().

Properties

Published property OnMenuButtonPressed : TOnMenuButtonPressedEvent read FOnMenuButtonPressed write FOnMenuButtonPressed;

Called when |button| is pressed. Call ICefMenuButton.ShowMenu() to show a popup menu at |screen_point|. When showing a custom popup such as a window keep a reference to |button_pressed_lock| until the popup is hidden to maintain the pressed button state.


cef4delphi: uCEFMenuButtonDelegate

Unit uCEFMenuButtonDelegate

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefMenuButtonDelegateRef |
Class TCefMenuButtonDelegateOwn | Implement this interface to handle MenuButton events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.
Class TCustomMenuButtonDelegate | This class handles all the ICefMenuButtonDelegate methods which call the ICefMenuButtonDelegateEvents methods. ICefMenuButtonDelegateEvents will be implemented by the control receiving the ICefMenuButtonDelegate events.


cef4delphi: uCEFMenuButtonDelegate: Class TCefMenuButtonDelegateRef

Class TCefMenuButtonDelegateRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFMenuButtonDelegate

Declaration

type TCefMenuButtonDelegateRef = class(TCefButtonDelegateRef, ICefMenuButtonDelegate)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefViewDelegateRef
  • TCefButtonDelegateRef
  • TCefMenuButtonDelegateRef

Overview

Methods

Protected | procedure OnMenuButtonPressed(const menu_button: ICefMenuButton; const screen_point: TCefPoint; const button_pressed_lock: ICefMenuButtonPressedLock);
Public | class function UnWrap(data: Pointer): ICefMenuButtonDelegate;

Description

Methods

Protected procedure OnMenuButtonPressed(const menu_button: ICefMenuButton; const screen_point: TCefPoint; const button_pressed_lock: ICefMenuButtonPressedLock);

This item has no description. Showing description inherited from ICefMenuButtonDelegate.OnMenuButtonPressed.

Called when |button| is pressed. Call ICefMenuButton.ShowMenu() to show a popup menu at |screen_point|. When showing a custom popup such as a window keep a reference to |button_pressed_lock| until the popup is hidden to maintain the pressed button state.

Public class function UnWrap(data: Pointer): ICefMenuButtonDelegate;

Returns a ICefMenuButtonDelegate instance using a PCefMenuButtonDelegate data pointer.


cef4delphi: uCEFMenuButtonDelegate: Class TCefMenuButtonDelegateOwn

Class TCefMenuButtonDelegateOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFMenuButtonDelegate

Declaration

type TCefMenuButtonDelegateOwn = class(TCefButtonDelegateOwn, ICefMenuButtonDelegate)

Description

Implement this interface to handle MenuButton events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_menu_button_delegate_capi.h">CEF source file: /include/capi/views/cef_menu_button_delegate_capi.h (cef_menu_button_delegate_t))

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefViewDelegateOwn
  • TCefButtonDelegateOwn
  • TCefMenuButtonDelegateOwn

Overview

Methods

Protected | procedure OnMenuButtonPressed(const menu_button: ICefMenuButton; const screen_point: TCefPoint; const button_pressed_lock: ICefMenuButtonPressedLock); virtual;
Protected | procedure InitializeCEFMethods; override;
Public | constructor Create; override;

Description

Methods

Protected procedure OnMenuButtonPressed(const menu_button: ICefMenuButton; const screen_point: TCefPoint; const button_pressed_lock: ICefMenuButtonPressedLock); virtual;

Called when |button| is pressed. Call ICefMenuButton.ShowMenu() to show a popup menu at |screen_point|. When showing a custom popup such as a window keep a reference to |button_pressed_lock| until the popup is hidden to maintain the pressed button state.

Protected procedure InitializeCEFMethods; override;

Links the methods in the internal CEF record data pointer with the methods in this class.

Public constructor Create; override;

This item has no description.


cef4delphi: uCEFMenuButtonDelegate: Class TCustomMenuButtonDelegate

Class TCustomMenuButtonDelegate

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFMenuButtonDelegate

Declaration

type TCustomMenuButtonDelegate = class(TCefMenuButtonDelegateOwn)

Description

This class handles all the ICefMenuButtonDelegate methods which call the ICefMenuButtonDelegateEvents methods. ICefMenuButtonDelegateEvents will be implemented by the control receiving the ICefMenuButtonDelegate events.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefViewDelegateOwn
  • TCefButtonDelegateOwn
  • TCefMenuButtonDelegateOwn
  • TCustomMenuButtonDelegate

Overview

Fields

Protected FEvents: Pointer;

Methods

Protected | procedure OnGetPreferredSize(const view: ICefView; var aResult : TCefSize); override;
Protected | procedure OnGetMinimumSize(const view: ICefView; var aResult : TCefSize); override;
Protected | procedure OnGetMaximumSize(const view: ICefView; var aResult : TCefSize); override;
Protected | procedure OnGetHeightForWidth(const view: ICefView; width: Integer; var aResult: Integer); override;
Protected | procedure OnParentViewChanged(const view: ICefView; added: boolean; const parent: ICefView); override;
Protected | procedure OnChildViewChanged(const view: ICefView; added: boolean; const child: ICefView); override;
Protected | procedure OnWindowChanged(const view: ICefView; added: boolean); override;
Protected | procedure OnLayoutChanged(const view: ICefView; new_bounds: TCefRect); override;
Protected | procedure OnFocus(const view: ICefView); override;
Protected | procedure OnBlur(const view: ICefView); override;
Protected | procedure OnThemeChanged(const view: ICefView); override;
Protected | procedure OnButtonPressed(const button: ICefButton); override;
Protected | procedure OnButtonStateChanged(const button: ICefButton); override;
Protected | procedure OnMenuButtonPressed(const menu_button: ICefMenuButton; const screen_point: TCefPoint; const button_pressed_lock: ICefMenuButtonPressedLock); override;
Public | constructor Create(const events: ICefMenuButtonDelegateEvents); reintroduce;

Description

Fields

Protected FEvents: Pointer;

This item has no description.

Methods

Protected procedure OnGetPreferredSize(const view: ICefView; var aResult : TCefSize); override;

ICefViewDelegate

Protected procedure OnGetMinimumSize(const view: ICefView; var aResult : TCefSize); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnGetMinimumSize.

Return the minimum size for |view|.

Protected procedure OnGetMaximumSize(const view: ICefView; var aResult : TCefSize); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnGetMaximumSize.

Return the maximum size for |view|.

Protected procedure OnGetHeightForWidth(const view: ICefView; width: Integer; var aResult: Integer); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnGetHeightForWidth.

Return the height necessary to display |view| with the provided |width|. If not specified the result of get_preferred_size().height will be used by default. Override if |view|'s preferred height depends upon the width (for example, with Labels).

Protected procedure OnParentViewChanged(const view: ICefView; added: boolean; const parent: ICefView); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnParentViewChanged.

Called when the parent of |view| has changed. If |view| is being added to |parent| then |added| will be true (1). If |view| is being removed from |parent| then |added| will be false (0). If |view| is being reparented the remove notification will be sent before the add notification. Do not modify the view hierarchy in this callback.

Protected procedure OnChildViewChanged(const view: ICefView; added: boolean; const child: ICefView); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnChildViewChanged.

Called when a child of |view| has changed. If |child| is being added to |view| then |added| will be true (1). If |child| is being removed from |view| then |added| will be false (0). If |child| is being reparented the remove notification will be sent to the old parent before the add notification is sent to the new parent. Do not modify the view hierarchy in this callback.

Protected procedure OnWindowChanged(const view: ICefView; added: boolean); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnWindowChanged.

Called when |view| is added or removed from the ICefWindow.

Protected procedure OnLayoutChanged(const view: ICefView; new_bounds: TCefRect); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnLayoutChanged.

Called when the layout of |view| has changed.

Protected procedure OnFocus(const view: ICefView); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnFocus.

Called when |view| gains focus.

Protected procedure OnBlur(const view: ICefView); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnBlur.

Called when |view| loses focus.

Protected procedure OnThemeChanged(const view: ICefView); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnThemeChanged.

(

Called when the theme for |view| has changed, after the new theme colors have already been applied. Views are notified via the component hierarchy in depth-first reverse order (children before parents).

This will be called in the following cases:

1. When |view|, or a parent of |view|, is added to a Window.
2. When the native/OS or Chrome theme changes for the Window that contains
   |view|. See ICefWindowDelegate.OnThemeColorsChanged documentation.
3. When the client explicitly calls ICefWindow.ThemeChanged on the
   Window that contains |view|.

Optionally use this callback to override the new per-View theme colors by calling ICefView.SetBackgroundColor or the appropriate component- specific function. See ICefWindow.SetThemeColor documentation for how to customize additional Window theme colors.

(

Protected procedure OnButtonPressed(const button: ICefButton); override;

ICefButtonDelegate

Protected procedure OnButtonStateChanged(const button: ICefButton); override;

This item has no description. Showing description inherited from TCefButtonDelegateOwn.OnButtonStateChanged.

Called when the state of |button| changes.

Protected procedure OnMenuButtonPressed(const menu_button: ICefMenuButton; const screen_point: TCefPoint; const button_pressed_lock: ICefMenuButtonPressedLock); override;

ICefMenuButtonDelegate

Public constructor Create(const events: ICefMenuButtonDelegateEvents); reintroduce;

Creates an instance of this class liked to an interface that's implemented by a control receiving the events.


cef4delphi: uCEFMenuButtonPressedLock

Unit uCEFMenuButtonPressedLock

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefMenuButtonPressedLockRef | MenuButton pressed lock is released when this object is destroyed.


cef4delphi: uCEFMenuButtonPressedLock: Class TCefMenuButtonPressedLockRef

Class TCefMenuButtonPressedLockRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFMenuButtonPressedLock

Declaration

type TCefMenuButtonPressedLockRef = class(TCefBaseRefCountedRef, ICefMenuButtonPressedLock)

Description

MenuButton pressed lock is released when this object is destroyed.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_menu_button_delegate_capi.h">CEF source file: /include/capi/views/cef_menu_button_delegate_capi.h (cef_menu_button_pressed_lock_t))

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefMenuButtonPressedLockRef

Overview

Methods

Public class function UnWrap(data: Pointer): ICefMenuButtonPressedLock;

Description

Methods

Public class function UnWrap(data: Pointer): ICefMenuButtonPressedLock;

Returns a ICefMenuButtonPressedLock instance using a PCefMenuButtonPressedLock data pointer.


cef4delphi: uCEFMenuModel

Unit uCEFMenuModel

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefMenuModelRef |


cef4delphi: uCEFMenuModel: Class TCefMenuModelRef

Class TCefMenuModelRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFMenuModel

Declaration

type TCefMenuModelRef = class(TCefBaseRefCountedRef, ICefMenuModel)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefMenuModelRef

Overview

Methods

Protected | function IsSubMenu: Boolean;
Protected | function Clear: Boolean;
Protected | function GetCount: NativeUInt;
Protected | function AddSeparator: Boolean;
Protected | function AddItem(commandId: Integer; const text: ustring): Boolean;
Protected | function AddCheckItem(commandId: Integer; const text: ustring): Boolean;
Protected | function AddRadioItem(commandId: Integer; const text: ustring; groupId: Integer): Boolean;
Protected | function AddSubMenu(commandId: Integer; const text: ustring): ICefMenuModel;
Protected | function InsertSeparatorAt(index: NativeUInt): Boolean;
Protected | function InsertItemAt(index: NativeUInt; commandId: Integer; const text: ustring): Boolean;
Protected | function InsertCheckItemAt(index: NativeUInt; commandId: Integer; const text: ustring): Boolean;
Protected | function InsertRadioItemAt(index: NativeUInt; commandId: Integer; const text: ustring; groupId: Integer): Boolean;
Protected | function InsertSubMenuAt(index: NativeUInt; commandId: Integer; const text: ustring): ICefMenuModel;
Protected | function Remove(commandId: Integer): Boolean;
Protected | function RemoveAt(index: NativeUInt): Boolean;
Protected | function GetIndexOf(commandId: Integer): Integer;
Protected | function GetCommandIdAt(index: NativeUInt): Integer;
Protected | function SetCommandIdAt(index: NativeUInt; commandId: Integer): Boolean;
Protected | function GetLabel(commandId: Integer): ustring;
Protected | function GetLabelAt(index: NativeUInt): ustring;
Protected | function SetLabel(commandId: Integer; const text: ustring): Boolean;
Protected | function SetLabelAt(index: NativeUInt; const text: ustring): Boolean;
Protected | function GetType(commandId: Integer): TCefMenuItemType;
Protected | function GetTypeAt(index: NativeUInt): TCefMenuItemType;
Protected | function GetGroupId(commandId: Integer): Integer;
Protected | function GetGroupIdAt(index: NativeUInt): Integer;
Protected | function SetGroupId(commandId, groupId: Integer): Boolean;
Protected | function SetGroupIdAt(index: NativeUInt; groupId: Integer): Boolean;
Protected | function GetSubMenu(commandId: Integer): ICefMenuModel;
Protected | function GetSubMenuAt(index: NativeUInt): ICefMenuModel;
Protected | function IsVisible(commandId: Integer): Boolean;
Protected | function isVisibleAt(index: NativeUInt): Boolean;
Protected | function SetVisible(commandId: Integer; visible: Boolean): Boolean;
Protected | function SetVisibleAt(index: NativeUInt; visible: Boolean): Boolean;
Protected | function IsEnabled(commandId: Integer): Boolean;
Protected | function IsEnabledAt(index: NativeUInt): Boolean;
Protected | function SetEnabled(commandId: Integer; enabled: Boolean): Boolean;
Protected | function SetEnabledAt(index: NativeUInt; enabled: Boolean): Boolean;
Protected | function IsChecked(commandId: Integer): Boolean;
Protected | function IsCheckedAt(index: NativeUInt): Boolean;
Protected | function setChecked(commandId: Integer; checked: Boolean): Boolean;
Protected | function setCheckedAt(index: NativeUInt; checked: Boolean): Boolean;
Protected | function HasAccelerator(commandId: Integer): Boolean;
Protected | function HasAcceleratorAt(index: NativeUInt): Boolean;
Protected | function SetAccelerator(commandId, keyCode: Integer; shiftPressed, ctrlPressed, altPressed: Boolean): Boolean;
Protected | function SetAcceleratorAt(index: NativeUInt; keyCode: Integer; shiftPressed, ctrlPressed, altPressed: Boolean): Boolean;
Protected | function RemoveAccelerator(commandId: Integer): Boolean;
Protected | function RemoveAcceleratorAt(index: NativeUInt): Boolean;
Protected | function GetAccelerator(commandId: Integer; out keyCode: Integer; out shiftPressed, ctrlPressed, altPressed: Boolean): Boolean;
Protected | function GetAcceleratorAt(index: NativeUInt; out keyCode: Integer; out shiftPressed, ctrlPressed, altPressed: Boolean): Boolean;
Protected | function SetColor(commandId: Integer; colorType: TCefMenuColorType; color: TCefColor): Boolean;
Protected | function SetColorAt(index: Integer; colorType: TCefMenuColorType; color: TCefColor): Boolean;
Protected | function GetColor(commandId: Integer; colorType: TCefMenuColorType; out color: TCefColor): Boolean;
Protected | function GetColorAt(index: Integer; colorType: TCefMenuColorType; out color: TCefColor): Boolean;
Protected | function SetFontList(commandId: Integer; const fontList: ustring): Boolean;
Protected | function SetFontListAt(index: Integer; const fontList: ustring): Boolean;
Public | class function UnWrap(data: Pointer): ICefMenuModel;
Public | class function New(const delegate: ICefMenuModelDelegate): ICefMenuModel;

Description

Methods

Protected function IsSubMenu: Boolean;

This item has no description. Showing description inherited from ICefMenuModel.IsSubMenu.

Returns true (1) if this menu is a submenu.

Protected function Clear: Boolean;

This item has no description. Showing description inherited from ICefMenuModel.Clear.

Clears the menu. Returns true (1) on success.

Protected function GetCount: NativeUInt;

This item has no description. Showing description inherited from ICefMenuModel.GetCount.

Returns the number of items in this menu.

Protected function AddSeparator: Boolean;

This item has no description. Showing description inherited from ICefMenuModel.AddSeparator.

Add a separator to the menu. Returns true (1) on success.

Protected function AddItem(commandId: Integer; const text: ustring): Boolean;

This item has no description. Showing description inherited from ICefMenuModel.AddItem.

Add an item to the menu. Returns true (1) on success.

Protected function AddCheckItem(commandId: Integer; const text: ustring): Boolean;

This item has no description. Showing description inherited from ICefMenuModel.AddCheckItem.

Add a check item to the menu. Returns true (1) on success.

Protected function AddRadioItem(commandId: Integer; const text: ustring; groupId: Integer): Boolean;

This item has no description. Showing description inherited from ICefMenuModel.AddRadioItem.

Add a radio item to the menu. Only a single item with the specified |group_id| can be checked at a time. Returns true (1) on success.

Protected function AddSubMenu(commandId: Integer; const text: ustring): ICefMenuModel;

This item has no description. Showing description inherited from ICefMenuModel.AddSubMenu.

Add a sub-menu to the menu. The new sub-menu is returned.

Protected function InsertSeparatorAt(index: NativeUInt): Boolean;

This item has no description. Showing description inherited from ICefMenuModel.InsertSeparatorAt.

Insert a separator in the menu at the specified |index|. Returns true (1) on success.

Protected function InsertItemAt(index: NativeUInt; commandId: Integer; const text: ustring): Boolean;

This item has no description. Showing description inherited from ICefMenuModel.InsertItemAt.

Insert an item in the menu at the specified |index|. Returns true (1) on success.

Protected function InsertCheckItemAt(index: NativeUInt; commandId: Integer; const text: ustring): Boolean;

This item has no description. Showing description inherited from ICefMenuModel.InsertCheckItemAt.

Insert a check item in the menu at the specified |index|. Returns true (1) on success.

Protected function InsertRadioItemAt(index: NativeUInt; commandId: Integer; const text: ustring; groupId: Integer): Boolean;

This item has no description. Showing description inherited from ICefMenuModel.InsertRadioItemAt.

Insert a radio item in the menu at the specified |index|. Only a single item with the specified |group_id| can be checked at a time. Returns true (1) on success.

Protected function InsertSubMenuAt(index: NativeUInt; commandId: Integer; const text: ustring): ICefMenuModel;

This item has no description. Showing description inherited from ICefMenuModel.InsertSubMenuAt.

Insert a sub-menu in the menu at the specified |index|. The new sub-menu is returned.

Protected function Remove(commandId: Integer): Boolean;

This item has no description. Showing description inherited from ICefMenuModel.Remove.

Removes the item with the specified |command_id|. Returns true (1) on success.

Protected function RemoveAt(index: NativeUInt): Boolean;

This item has no description. Showing description inherited from ICefMenuModel.RemoveAt.

Removes the item at the specified |index|. Returns true (1) on success.

Protected function GetIndexOf(commandId: Integer): Integer;

This item has no description. Showing description inherited from ICefMenuModel.GetIndexOf.

Returns the index associated with the specified |command_id| or -1 if not found due to the command id not existing in the menu.

Protected function GetCommandIdAt(index: NativeUInt): Integer;

This item has no description. Showing description inherited from ICefMenuModel.GetCommandIdAt.

Returns the command id at the specified |index| or -1 if not found due to invalid range or the index being a separator.

Protected function SetCommandIdAt(index: NativeUInt; commandId: Integer): Boolean;

This item has no description. Showing description inherited from ICefMenuModel.SetCommandIdAt.

Sets the command id at the specified |index|. Returns true (1) on success.

Protected function GetLabel(commandId: Integer): ustring;

This item has no description. Showing description inherited from ICefMenuModel.GetLabel.

Returns the label for the specified |command_id| or NULL if not found.

Protected function GetLabelAt(index: NativeUInt): ustring;

This item has no description. Showing description inherited from ICefMenuModel.GetLabelAt.

Returns the label at the specified |index| or NULL if not found due to invalid range or the index being a separator.

Protected function SetLabel(commandId: Integer; const text: ustring): Boolean;

This item has no description. Showing description inherited from ICefMenuModel.SetLabel.

Sets the label for the specified |command_id|. Returns true (1) on success.

Protected function SetLabelAt(index: NativeUInt; const text: ustring): Boolean;

This item has no description. Showing description inherited from ICefMenuModel.SetLabelAt.

Set the label at the specified |index|. Returns true (1) on success.

Protected function GetType(commandId: Integer): TCefMenuItemType;

This item has no description. Showing description inherited from ICefMenuModel.GetType.

Returns the item type for the specified |command_id|.

Protected function GetTypeAt(index: NativeUInt): TCefMenuItemType;

This item has no description. Showing description inherited from ICefMenuModel.GetTypeAt.

Returns the item type at the specified |index|.

Protected function GetGroupId(commandId: Integer): Integer;

This item has no description. Showing description inherited from ICefMenuModel.GetGroupId.

Returns the group id for the specified |command_id| or -1 if invalid.

Protected function GetGroupIdAt(index: NativeUInt): Integer;

This item has no description. Showing description inherited from ICefMenuModel.GetGroupIdAt.

Returns the group id at the specified |index| or -1 if invalid.

Protected function SetGroupId(commandId, groupId: Integer): Boolean;

This item has no description. Showing description inherited from ICefMenuModel.SetGroupId.

Sets the group id for the specified |command_id|. Returns true (1) on success.

Protected function SetGroupIdAt(index: NativeUInt; groupId: Integer): Boolean;

This item has no description. Showing description inherited from ICefMenuModel.SetGroupIdAt.

Sets the group id at the specified |index|. Returns true (1) on success.

Protected function GetSubMenu(commandId: Integer): ICefMenuModel;

This item has no description. Showing description inherited from ICefMenuModel.GetSubMenu.

Returns the submenu for the specified |command_id| or NULL if invalid.

Protected function GetSubMenuAt(index: NativeUInt): ICefMenuModel;

This item has no description. Showing description inherited from ICefMenuModel.GetSubMenuAt.

Returns the submenu at the specified |index| or NULL if invalid.

Protected function IsVisible(commandId: Integer): Boolean;

This item has no description. Showing description inherited from ICefMenuModel.IsVisible.

Returns true (1) if the specified |command_id| is visible.

Protected function isVisibleAt(index: NativeUInt): Boolean;

This item has no description. Showing description inherited from ICefMenuModel.isVisibleAt.

Returns true (1) if the specified |index| is visible.

Protected function SetVisible(commandId: Integer; visible: Boolean): Boolean;

This item has no description. Showing description inherited from ICefMenuModel.SetVisible.

Change the visibility of the specified |command_id|. Returns true (1) on success.

Protected function SetVisibleAt(index: NativeUInt; visible: Boolean): Boolean;

This item has no description. Showing description inherited from ICefMenuModel.SetVisibleAt.

Change the visibility at the specified |index|. Returns true (1) on success.

Protected function IsEnabled(commandId: Integer): Boolean;

This item has no description. Showing description inherited from ICefMenuModel.IsEnabled.

Returns true (1) if the specified |command_id| is enabled.

Protected function IsEnabledAt(index: NativeUInt): Boolean;

This item has no description. Showing description inherited from ICefMenuModel.IsEnabledAt.

Returns true (1) if the specified |index| is enabled.

Protected function SetEnabled(commandId: Integer; enabled: Boolean): Boolean;

This item has no description. Showing description inherited from ICefMenuModel.SetEnabled.

Change the enabled status of the specified |command_id|. Returns true (1) on success.

Protected function SetEnabledAt(index: NativeUInt; enabled: Boolean): Boolean;

This item has no description. Showing description inherited from ICefMenuModel.SetEnabledAt.

Change the enabled status at the specified |index|. Returns true (1) on success.

Protected function IsChecked(commandId: Integer): Boolean;

This item has no description. Showing description inherited from ICefMenuModel.IsChecked.

Returns true (1) if the specified |command_id| is checked. Only applies to check and radio items.

Protected function IsCheckedAt(index: NativeUInt): Boolean;

This item has no description. Showing description inherited from ICefMenuModel.IsCheckedAt.

Returns true (1) if the specified |index| is checked. Only applies to check and radio items.

Protected function setChecked(commandId: Integer; checked: Boolean): Boolean;

This item has no description. Showing description inherited from ICefMenuModel.setChecked.

Check the specified |command_id|. Only applies to check and radio items. Returns true (1) on success.

Protected function setCheckedAt(index: NativeUInt; checked: Boolean): Boolean;

This item has no description. Showing description inherited from ICefMenuModel.setCheckedAt.

Check the specified |index|. Only applies to check and radio items. Returns true (1) on success.

Protected function HasAccelerator(commandId: Integer): Boolean;

This item has no description. Showing description inherited from ICefMenuModel.HasAccelerator.

Returns true (1) if the specified |command_id| has a keyboard accelerator assigned.

Protected function HasAcceleratorAt(index: NativeUInt): Boolean;

This item has no description. Showing description inherited from ICefMenuModel.HasAcceleratorAt.

Returns true (1) if the specified |index| has a keyboard accelerator assigned.

Protected function SetAccelerator(commandId, keyCode: Integer; shiftPressed, ctrlPressed, altPressed: Boolean): Boolean;

This item has no description. Showing description inherited from ICefMenuModel.SetAccelerator.

Set the keyboard accelerator for the specified |command_id|. |key_code| can be any virtual key or character value. Returns true (1) on success.

Protected function SetAcceleratorAt(index: NativeUInt; keyCode: Integer; shiftPressed, ctrlPressed, altPressed: Boolean): Boolean;

This item has no description. Showing description inherited from ICefMenuModel.SetAcceleratorAt.

Set the keyboard accelerator at the specified |index|. |key_code| can be any virtual key or character value. Returns true (1) on success.

Protected function RemoveAccelerator(commandId: Integer): Boolean;

This item has no description. Showing description inherited from ICefMenuModel.RemoveAccelerator.

Remove the keyboard accelerator for the specified |command_id|. Returns true (1) on success.

Protected function RemoveAcceleratorAt(index: NativeUInt): Boolean;

This item has no description. Showing description inherited from ICefMenuModel.RemoveAcceleratorAt.

Remove the keyboard accelerator at the specified |index|. Returns true (1) on success.

Protected function GetAccelerator(commandId: Integer; out keyCode: Integer; out shiftPressed, ctrlPressed, altPressed: Boolean): Boolean;

This item has no description. Showing description inherited from ICefMenuModel.GetAccelerator.

Retrieves the keyboard accelerator for the specified |command_id|. Returns true (1) on success.

Protected function GetAcceleratorAt(index: NativeUInt; out keyCode: Integer; out shiftPressed, ctrlPressed, altPressed: Boolean): Boolean;

This item has no description. Showing description inherited from ICefMenuModel.GetAcceleratorAt.

Retrieves the keyboard accelerator for the specified |index|. Returns true (1) on success.

Protected function SetColor(commandId: Integer; colorType: TCefMenuColorType; color: TCefColor): Boolean;

This item has no description. Showing description inherited from ICefMenuModel.SetColor.

Set the explicit color for |command_id| and |color_type| to |color|. Specify a |color| value of 0 to remove the explicit color. If no explicit color or default color is set for |color_type| then the system color will be used. Returns true (1) on success.

Protected function SetColorAt(index: Integer; colorType: TCefMenuColorType; color: TCefColor): Boolean;

This item has no description. Showing description inherited from ICefMenuModel.SetColorAt.

Set the explicit color for |command_id| and |index| to |color|. Specify a |color| value of 0 to remove the explicit color. Specify an |index| value of -1 to set the default color for items that do not have an explicit color set. If no explicit color or default color is set for |color_type| then the system color will be used. Returns true (1) on success.

Protected function GetColor(commandId: Integer; colorType: TCefMenuColorType; out color: TCefColor): Boolean;

This item has no description. Showing description inherited from ICefMenuModel.GetColor.

Returns in |color| the color that was explicitly set for |command_id| and |color_type|. If a color was not set then 0 will be returned in |color|. Returns true (1) on success.

Protected function GetColorAt(index: Integer; colorType: TCefMenuColorType; out color: TCefColor): Boolean;

This item has no description. Showing description inherited from ICefMenuModel.GetColorAt.

Returns in |color| the color that was explicitly set for |command_id| and |color_type|. Specify an |index| value of -1 to return the default color in |color|. If a color was not set then 0 will be returned in |color|. Returns true (1) on success.

Protected function SetFontList(commandId: Integer; const fontList: ustring): Boolean;

This item has no description. Showing description inherited from ICefMenuModel.SetFontList.

Sets the font list for the specified |command_id|. If |font_list| is NULL the system font will be used. Returns true (1) on success. The format is "<FONT_FAMILY_LIST>,[STYLES] <SIZE>", where: - FONT_FAMILY_LIST is a comma-separated list of font family names, - STYLES is an optional space-separated list of style names (case-sensitive "Bold" and "Italic" are supported), and - SIZE is an integer font size in pixels with the suffix "px".

Here are examples of valid font description strings: - "Arial, Helvetica, Bold Italic 14px" - "Arial, 14px"

Protected function SetFontListAt(index: Integer; const fontList: ustring): Boolean;

This item has no description. Showing description inherited from ICefMenuModel.SetFontListAt.

Sets the font list for the specified |index|. Specify an |index| value of -1 to set the default font. If |font_list| is NULL the system font will be used. Returns true (1) on success. The format is "<FONT_FAMILY_LIST>,[STYLES] <SIZE>", where: - FONT_FAMILY_LIST is a comma-separated list of font family names, - STYLES is an optional space-separated list of style names (case-sensitive "Bold" and "Italic" are supported), and - SIZE is an integer font size in pixels with the suffix "px".

Here are examples of valid font description strings: - "Arial, Helvetica, Bold Italic 14px" - "Arial, 14px"

Public class function UnWrap(data: Pointer): ICefMenuModel;

This item has no description.

Public class function New(const delegate: ICefMenuModelDelegate): ICefMenuModel;

This item has no description.


cef4delphi: uCEFMenuModelDelegate

Unit uCEFMenuModelDelegate

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefMenuModelDelegateOwn |


cef4delphi: uCEFMenuModelDelegate: Class TCefMenuModelDelegateOwn

Class TCefMenuModelDelegateOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFMenuModelDelegate

Declaration

type TCefMenuModelDelegateOwn = class(TCefBaseRefCountedOwn, ICefMenuModelDelegate)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefMenuModelDelegateOwn

Overview

Methods

Protected | procedure ExecuteCommand(const menuModel: ICefMenuModel; commandId: Integer; eventFlags: TCefEventFlags); virtual;
Protected | procedure MouseOutsideMenu(const menuModel: ICefMenuModel; const screenPoint: PCefPoint); virtual;
Protected | procedure UnhandledOpenSubmenu(const menuModel: ICefMenuModel; isRTL: boolean); virtual;
Protected | procedure UnhandledCloseSubmenu(const menuModel: ICefMenuModel; isRTL: boolean); virtual;
Protected | procedure MenuWillShow(const menuModel: ICefMenuModel); virtual;
Protected | procedure MenuClosed(const menuModel: ICefMenuModel); virtual;
Protected | function FormatLabel(const menuModel: ICefMenuModel; var label_ : ustring) : boolean; virtual;
Public | constructor Create; virtual;

Description

Methods

Protected procedure ExecuteCommand(const menuModel: ICefMenuModel; commandId: Integer; eventFlags: TCefEventFlags); virtual;

This item has no description. Showing description inherited from ICefMenuModelDelegate.ExecuteCommand.

Perform the action associated with the specified |command_id| and optional |event_flags|.

Protected procedure MouseOutsideMenu(const menuModel: ICefMenuModel; const screenPoint: PCefPoint); virtual;

This item has no description. Showing description inherited from ICefMenuModelDelegate.MouseOutsideMenu.

Called when the user moves the mouse outside the menu and over the owning window.

Protected procedure UnhandledOpenSubmenu(const menuModel: ICefMenuModel; isRTL: boolean); virtual;

This item has no description. Showing description inherited from ICefMenuModelDelegate.UnhandledOpenSubmenu.

Called on unhandled open submenu keyboard commands. |is_rtl| will be true (1) if the menu is displaying a right-to-left language.

Protected procedure UnhandledCloseSubmenu(const menuModel: ICefMenuModel; isRTL: boolean); virtual;

This item has no description. Showing description inherited from ICefMenuModelDelegate.UnhandledCloseSubmenu.

Called on unhandled close submenu keyboard commands. |is_rtl| will be true (1) if the menu is displaying a right-to-left language.

Protected procedure MenuWillShow(const menuModel: ICefMenuModel); virtual;

This item has no description. Showing description inherited from ICefMenuModelDelegate.MenuWillShow.

The menu is about to show.

Protected procedure MenuClosed(const menuModel: ICefMenuModel); virtual;

This item has no description. Showing description inherited from ICefMenuModelDelegate.MenuClosed.

The menu has closed.

Protected function FormatLabel(const menuModel: ICefMenuModel; var label_ : ustring) : boolean; virtual;

This item has no description. Showing description inherited from ICefMenuModelDelegate.FormatLabel.

Optionally modify a menu item label. Return true (1) if |label| was modified.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFMiscFunctions

Unit uCEFMiscFunctions

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Functions and Procedures

function CefColorGetA(color: TCefColor): Byte;
function CefColorGetR(color: TCefColor): byte;
function CefColorGetG(color: TCefColor): Byte;
function CefColorGetB(color: TCefColor): Byte;
function CefColorSetARGB(a, r, g, b: Byte): TCefColor;
function CefInt64Set(int32_low, int32_high: Integer): Int64;
function CefInt64GetLow(const int64_val: Int64): Integer;
function CefInt64GetHigh(const int64_val: Int64): Integer;
function CefGetObject(ptr: Pointer): TObject; inline;
function CefGetData(const i: ICefBaseRefCounted): Pointer; inline;
function CefStringAlloc(const str: ustring): TCefString;
function CefStringClearAndGet(str: PCefString): ustring;
function CefString(const str: ustring): TCefString; overload;
function CefString(const str: PCefString): ustring; overload;
function CefUserFreeString(const str: ustring): PCefStringUserFree;
procedure CefStringFree(const str: PCefString);
function CefStringFreeAndGet(const str: PCefStringUserFree): ustring;
procedure CefStringSet(const str: PCefString; const value: ustring); overload;
procedure CefStringSet(const aDstStr, aSrcStr: TCefString); overload;
procedure CefStringInitialize(const aCefString : PCefString); inline;
function CefRegisterExtension(const name, code: ustring; const Handler: ICefv8Handler): Boolean;
function CefPostTask(aThreadId : TCefThreadId; const aTask: ICefTask) : boolean;
function CefPostDelayedTask(aThreadId : TCefThreadId; const aTask : ICefTask; aDelayMs : Int64) : boolean;
function CefCurrentlyOn(aThreadId : TCefThreadId) : boolean;
function CefTimeToSystemTime(const dt: TCefTime): TSystemTime;
function SystemTimeToCefTime(const dt: TSystemTime): TCefTime;
function FixCefTime(const dt : TCefTime): TCefTime;
function CefTimeToDateTime(const dt: TCefTime): TDateTime;
function DateTimeToCefTime(dt: TDateTime): TCefTime;
function DateTimeToCefBaseTime(dt: TDateTime): TCefBaseTime;
function CefTimeToDouble(const dt: TCefTime): double;
function DoubleToCefTime(const dt: double): TCefTime;
function CefTimeToUnixTime(const dt: TCefTime): int64;
function UnixTimeToCefTime(const dt: int64): TCefTime;
function CefTimeNow: TCefTime;
function DoubleTimeNow: double;
function CefTimeDelta(const cef_time1, cef_time2: TCefTime): int64;
function CefBaseTimeNow: TCefBaseTime;
function CetTimeToCefBaseTime(const ct: TCefTime) : TCefBaseTime;
function CetTimeFromCefBaseTime(const cbt: TCefBaseTime) : TCefTime;
function CefBaseTimeToDateTime(const cbt: TCefBaseTime) : TDateTime;
function GetTimeIntervalMilliseconds(const from_: TCefTime): integer;
procedure InitializeCefTime(var aTime : TCefTime);
function cef_string_wide_copy(const src: PWideChar; src_len: NativeUInt; output: PCefStringWide): Integer;
function cef_string_utf8_copy(const src: PAnsiChar; src_len: NativeUInt; output: PCefStringUtf8): Integer;
function cef_string_utf16_copy(const src: PChar16; src_len: NativeUInt; output: PCefStringUtf16): Integer;
function cef_string_copy(const src: PCefChar; src_len: NativeUInt; output: PCefString): Integer;
procedure WindowInfoAsChild(var aWindowInfo : TCefWindowInfo; aParent : TCefWindowHandle; aRect : TRect; const aWindowName : ustring = ''; aExStyle : DWORD = 0); deprecated;
procedure WindowInfoAsPopUp(var aWindowInfo : TCefWindowInfo; aParent : TCefWindowHandle; const aWindowName : ustring = ''; aExStyle : DWORD = 0); deprecated;
procedure WindowInfoAsWindowless(var aWindowInfo : TCefWindowInfo; aParent : TCefWindowHandle; const aWindowName : ustring = ''; aExStyle : DWORD = 0); deprecated;
function ProcessUnderWow64(hProcess: THandle; Wow64Process: PBOOL): BOOL; stdcall; external Kernel32DLL name 'IsWow64Process';
function PathIsRelativeAnsi(pszPath: LPCSTR): BOOL; stdcall; external SHLWAPIDLL name 'PathIsRelativeA';
function PathIsRelativeUnicode(pszPath: LPCWSTR): BOOL; stdcall; external SHLWAPIDLL name 'PathIsRelativeW';
function GetGlobalMemoryStatusEx(lpBuffer: LPMEMORYSTATUSEX): BOOL; stdcall; external Kernel32DLL name 'GlobalMemoryStatusEx';
function PathCanonicalizeAnsi(pszBuf: LPSTR; pszPath: LPCSTR): BOOL; stdcall; external SHLWAPIDLL name 'PathCanonicalizeA';
function PathCanonicalizeUnicode(pszBuf: LPWSTR; pszPath: LPCWSTR): BOOL; stdcall; external SHLWAPIDLL name 'PathCanonicalizeW';
function PathIsUNCAnsi(pszPath: LPCSTR): BOOL; stdcall; external SHLWAPIDLL name 'PathIsUNCA';
function PathIsUNCUnicode(pszPath: LPCWSTR): BOOL; stdcall; external SHLWAPIDLL name 'PathIsUNCW';
function PathIsURLAnsi(pszPath: LPCSTR): BOOL; stdcall; external SHLWAPIDLL name 'PathIsURLA';
function PathIsURLUnicode(pszPath: LPCWSTR): BOOL; stdcall; external SHLWAPIDLL name 'PathIsURLW';
function ShutdownBlockReasonCreate(hWnd: HWND; Reason: LPCWSTR): Bool; stdcall; external User32DLL;
function ShutdownBlockReasonDestroy(hWnd: HWND): Bool; stdcall; external User32DLL;
function NetServerGetInfo(servername: LPWSTR; level: DWORD; out bufptr: Pointer): DWORD; stdcall; external Netapi32DLL;
function NetApiBufferFree(Buffer: Pointer): DWORD; stdcall; external Netapi32DLL;
function SetWindowLongPtr(hWnd: HWND; nIndex: Integer; dwNewLong: LongInt): LongInt; stdcall; external user32 name 'SetWindowLongW';
function CustomPathIsRelative(const aPath : string) : boolean;
function CustomPathCanonicalize(const aOriginalPath : string; var aCanonicalPath : string) : boolean;
function CustomAbsolutePath(const aPath : string; aMustExist : boolean = False) : string;
function CustomPathIsURL(const aPath : string) : boolean;
function CustomPathIsUNC(const aPath : string) : boolean;
function GetModulePath: string;
function CefIsCertStatusError(Status : TCefCertStatus) : boolean;
function CefCrashReportingEnabled: boolean;
procedure CefSetCrashKeyValue(const aKey, aValue : ustring);
procedure CefLog(const aFile : string; aLine, aSeverity : integer; const aMessage : string);
procedure CefDebugLog(const aMessage : string; aSeverity : integer = CEF_LOG_SEVERITY_ERROR);
procedure CefKeyEventLog(const aEvent : TCefKeyEvent);
procedure CefMouseEventLog(const aEvent : TCefMouseEvent);
procedure OutputDebugMessage(const aMessage : string);
function CustomExceptionHandler(const aFunctionName : string; const aException : exception) : boolean;
function CefGetMinLogLevel: integer;
function CefGetVLogLevel(const file_start : string): integer;
function CefGetLogSeverityName(aSeverity: integer): ustring;
function CefRegisterSchemeHandlerFactory(const SchemeName, DomainName : ustring; const handler: TCefResourceHandlerClass = nil): Boolean;
function CefClearSchemeHandlerFactories: boolean;
function CefAddCrossOriginWhitelistEntry(const SourceOrigin, TargetProtocol, TargetDomain: ustring; AllowTargetSubdomains: Boolean): Boolean;
function CefRemoveCrossOriginWhitelistEntry(const SourceOrigin, TargetProtocol, TargetDomain: ustring; AllowTargetSubdomains: Boolean): Boolean;
function CefClearCrossOriginWhitelist: Boolean;
procedure UInt64ToFileVersionInfo(const aVersion : uint64; var aVersionInfo : TFileVersionInfo);
function GetExtendedFileVersion(const aFileName : ustring) : uint64;
function GetDLLVersion(const aDLLFile : ustring; var aVersionInfo : TFileVersionInfo) : boolean;
procedure OutputLastErrorMessage;
function GetRegistryWindowsVersion(var aMajor, aMinor: cardinal) : boolean;
function GetRealWindowsVersion(var aMajor, aMinor: cardinal) : boolean;
function CheckRealWindowsVersion(aMajor, aMinor: cardinal) : boolean;
function SplitLongString(aSrcString : string) : string;
function GetAbsoluteDirPath(const aSrcPath : string; var aRsltPath : string) : boolean;
function CheckSubprocessPath(const aSubprocessPath : string; var aMissingFiles : string) : boolean;
function CheckLocales(const aLocalesDirPath : string; var aMissingFiles : string; const aLocalesRequired : string = '') : boolean;
function CheckResources(const aResourcesDirPath : string; var aMissingFiles : string) : boolean;
function CheckDLLs(const aFrameworkDirPath : string; var aMissingFiles : string) : boolean;
function CheckDLLVersion(const aDLLFile : ustring; aMajor, aMinor, aRelease, aBuild : uint16) : boolean;
function GetDLLHeaderMachine(const aDLLFile : ustring; var aMachine : integer) : boolean;
function GetFileTypeDescription(const aExtension : ustring) : ustring;
function FileVersionInfoToString(const aVersionInfo : TFileVersionInfo) : string;
function CheckFilesExist(var aList : TStringList; var aMissingFiles : string) : boolean;
function Is32BitProcess: boolean;
function CefResolveUrl(const base_url, relative_url: ustring): ustring;
function CefParseUrl(const url: ustring; var parts: TUrlParts): Boolean;
function CefCreateUrl(var parts: TUrlParts): ustring;
function CefFormatUrlForSecurityDisplay(const originUrl: string): string;
function CefGetMimeType(const extension: ustring): ustring;
procedure CefGetExtensionsForMimeType(const mimeType: ustring; var extensions: TStringList);
function CefBase64Encode(const data: Pointer; dataSize: NativeUInt): ustring;
function CefBase64Decode(const data: ustring): ICefBinaryValue;
function CefUriEncode(const text: ustring; usePlus: Boolean): ustring;
function CefUriDecode(const text: ustring; convertToUtf8: Boolean; unescapeRule: TCefUriUnescapeRule): ustring;
function CefGetPath(const aPathKey : TCefPathKey) : ustring;
function CefIsRTL: boolean;
function CefCreateDirectory(const fullPath: ustring): Boolean;
function CefGetTempDirectory(out tempDir: ustring): Boolean;
function CefCreateNewTempDirectory(const prefix: ustring; out newTempPath: ustring): Boolean;
function CefCreateTempDirectoryInDirectory(const baseDir, prefix: ustring; out newDir: ustring): Boolean;
function CefDirectoryExists(const path: ustring): Boolean;
function CefDeleteFile(const path: ustring; recursive: Boolean): Boolean;
function CefZipDirectory(const srcDir, destFile: ustring; includeHiddenFiles: Boolean): Boolean;
procedure CefLoadCRLSetsFile(const path : ustring);
function GetDefaultCEFUserAgent: string;
function CefIsKeyDown(aWparam : WPARAM) : boolean;
function CefIsKeyToggled(aWparam : WPARAM) : boolean;
function GetCefMouseModifiers: TCefEventFlags; overload;
function GetCefMouseModifiers(awparam : WPARAM) : TCefEventFlags; overload;
function GetCefKeyboardModifiers(aWparam : WPARAM; aLparam : LPARAM) : TCefEventFlags;
procedure CefCheckAltGrPressed(aWparam : WPARAM; var aEvent : TCefKeyEvent);
procedure DropEffectToDragOperation(aEffect : Longint; var aAllowedOps : TCefDragOperations);
procedure DragOperationToDropEffect(const aDragOperations : TCefDragOperations; var aEffect: Longint);
function GetWindowsMajorMinorVersion(var wMajorVersion, wMinorVersion : DWORD) : boolean;
function GetIsWow64Process2(var aProcessMachine, aNativeMachine : WORD) : boolean;
function IsWowProcess: boolean;
function RunningWindows10OrNewer: boolean;
function GetDPIForHandle(aHandle : HWND; var aDPI : UINT) : boolean;
function DeviceToLogical(aValue : integer; const aDeviceScaleFactor : double) : integer; overload;
function DeviceToLogical(aValue : single; const aDeviceScaleFactor : double) : single; overload;
procedure DeviceToLogical(var aEvent : TCEFMouseEvent; const aDeviceScaleFactor : double); overload;
procedure DeviceToLogical(var aEvent : TCefTouchEvent; const aDeviceScaleFactor : double); overload;
procedure DeviceToLogical(var aPoint : TPoint; const aDeviceScaleFactor : double); overload;
function LogicalToDevice(aValue : integer; const aDeviceScaleFactor : double) : integer; overload;
procedure LogicalToDevice(var aRect : TCEFRect; const aDeviceScaleFactor : double); overload;
function GetScreenDPI: integer;
function GetDeviceScaleFactor: single;
function DeleteDirContents(const aDirectory : string; const aExcludeFiles : TStringList = nil) : boolean;
function DeleteFileList(const aFileList : TStringList) : boolean;
function MoveFileList(const aFileList : TStringList; const aSrcDirectory, aDstDirectory : string) : boolean;
function CefGetDataURI(const aString, aMimeType : ustring) : ustring; overload;
function CefGetDataURI(aData : pointer; aSize : integer; const aMimeType : ustring; const aCharset : ustring = '') : ustring; overload;
function ValidCefWindowHandle(aHandle : TCefWindowHandle) : boolean;
procedure InitializeWindowHandle(var aHandle : TCefWindowHandle);
function GetCommandLineSwitchValue(const aKey : string; var aValue : ustring) : boolean;
function IsCEFSubprocess: boolean;
function EditingCommandToString(aEditingCommand : TCefEditingCommand): ustring;

Constants

Kernel32DLL = 'kernel32.dll';
SHLWAPIDLL = 'shlwapi.dll';
NTDLL = 'ntdll.dll';
User32DLL = 'User32.dll';
Netapi32DLL = 'Netapi32.dll';
GWLP_WNDPROC = GWL_WNDPROC;
GWLP_HWNDPARENT = GWL_HWNDPARENT;

Description

Functions and Procedures

function CefColorGetA(color: TCefColor): Byte;

Return the alpha byte from a cef_color_t value.

function CefColorGetR(color: TCefColor): byte;

Return the red byte from a cef_color_t value.

function CefColorGetG(color: TCefColor): Byte;

Return the green byte from a cef_color_t value.

function CefColorGetB(color: TCefColor): Byte;

Return the blue byte from a cef_color_t value.

function CefColorSetARGB(a, r, g, b: Byte): TCefColor;

Return an cef_color_t value with the specified byte component values.

function CefInt64Set(int32_low, int32_high: Integer): Int64;

Return an int64_t value with the specified low and high int32_t component values.

function CefInt64GetLow(const int64_val: Int64): Integer;

Return the low int32_t value from an int64_t value.

function CefInt64GetHigh(const int64_val: Int64): Integer;

Return the high int32_t value from an int64_t value.

function CefGetObject(ptr: Pointer): TObject; inline;

This item has no description.

function CefGetData(const i: ICefBaseRefCounted): Pointer; inline;

This item has no description.

function CefStringAlloc(const str: ustring): TCefString;

This item has no description.

function CefStringClearAndGet(str: PCefString): ustring;

This item has no description.

function CefString(const str: ustring): TCefString; overload;

Converts ustring to TCefString.

function CefString(const str: PCefString): ustring; overload;

Converts PCefString to ustring.

function CefUserFreeString(const str: ustring): PCefStringUserFree;

This item has no description.

procedure CefStringFree(const str: PCefString);

This item has no description.

function CefStringFreeAndGet(const str: PCefStringUserFree): ustring;

This item has no description.

procedure CefStringSet(const str: PCefString; const value: ustring); overload;

This item has no description.

procedure CefStringSet(const aDstStr, aSrcStr: TCefString); overload;

This item has no description.

procedure CefStringInitialize(const aCefString : PCefString); inline;

This item has no description.

function CefRegisterExtension(const name, code: ustring; const Handler: ICefv8Handler): Boolean;

Register a new V8 extension with the specified JavaScript extension code and handler. Functions implemented by the handler are prototyped using the keyword 'native'. The calling of a native function is restricted to the scope in which the prototype of the native function is defined. This function may only be called on the render process main thread.

Example JavaScript extension code:

// create the 'example' global object if it doesn't already exist.
if (!example)
  example = {};
// create the 'example.test' global object if it doesn't already exist.
if (!example.test)
  example.test = {};
(function() {
  // Define the function 'example.test.myfunction'.
  example.test.myfunction = function() {
    // Call CefV8Handler::Execute() with the function name 'MyFunction'
    // and no arguments.
    native function MyFunction();
    return MyFunction();
  };
  // Define the getter function for parameter 'example.test.myparam'.
  example.test.__defineGetter__('myparam', function() {
    // Call CefV8Handler::Execute() with the function name 'GetMyParam'
    // and no arguments.
    native function GetMyParam();
    return GetMyParam();
  });
  // Define the setter function for parameter 'example.test.myparam'.
  example.test.__defineSetter__('myparam', function(b) {
    // Call CefV8Handler::Execute() with the function name 'SetMyParam'
    // and a single argument.
    native function SetMyParam();
    if(b) SetMyParam(b);
  });

  // Extension definitions can also contain normal JavaScript variables
  // and functions.
  var myint = 0;
  example.test.increment = function() {
    myint += 1;
    return myint;
  };
})();

Example usage in the page:

// Call the function.
example.test.myfunction();
// Set the parameter.
example.test.myparam = value;
// Get the parameter.
value = example.test.myparam;
// Call another function.
example.test.increment();

function CefPostTask(aThreadId : TCefThreadId; const aTask: ICefTask) : boolean;

Post a task for execution on the specified thread. Equivalent to using TCefTaskRunnerRef.GetForThread(threadId).PostTask(task).

function CefPostDelayedTask(aThreadId : TCefThreadId; const aTask : ICefTask; aDelayMs : Int64) : boolean;

Post a task for delayed execution on the specified thread. Equivalent to using TCefTaskRunnerRef.GetForThread(threadId).PostDelayedTask(task, delay_ms).

function CefCurrentlyOn(aThreadId : TCefThreadId) : boolean;

Returns true (1) if called on the specified thread. Equivalent to using TCefTaskRunnerRef.GetForThread(threadId).BelongsToCurrentThread().

function CefTimeToSystemTime(const dt: TCefTime): TSystemTime;

Converts a TCefTime value to TSystemTime.

function SystemTimeToCefTime(const dt: TSystemTime): TCefTime;

Converts a TSystemTime value to TCefTime.

function FixCefTime(const dt : TCefTime): TCefTime;

Returns a new TCefTime with a valid time in case the original has errors.

function CefTimeToDateTime(const dt: TCefTime): TDateTime;

Converts a TCefTime value to TDateTime.

function DateTimeToCefTime(dt: TDateTime): TCefTime;

Converts a TDateTime value to TCefTime.

function DateTimeToCefBaseTime(dt: TDateTime): TCefBaseTime;

Converts a TDateTime value to TCefBaseTime.

function CefTimeToDouble(const dt: TCefTime): double;

Converts TCefTime to a double which is the number of seconds since epoch (Jan 1, 1970). Webkit uses this format to represent time. A value of 0 means "not initialized".

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_time.h">CEF source file: /include/internal/cef_time.h (cef_time_to_doublet))

function DoubleToCefTime(const dt: double): TCefTime;

Converts TCefTime from a double which is the number of seconds since epoch (Jan 1, 1970). Webkit uses this format to represent time. A value of 0 means "not initialized".

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_time.h">CEF source file: /include/internal/cef_time.h (cef_time_from_doublet))

function CefTimeToUnixTime(const dt: TCefTime): int64;

Converts cef_time_t to time_t. time_t is almost always an integral value holding the number of seconds (not counting leap seconds) since 00:00, Jan 1 1970 UTC, corresponding to POSIX time.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_time.h">CEF source file: /include/internal/cef_time.h (cef_time_to_timet))

function UnixTimeToCefTime(const dt: int64): TCefTime;

Converts cef_time_t from time_t. time_t is almost always an integral value holding the number of seconds (not counting leap seconds) since 00:00, Jan 1 1970 UTC, corresponding to POSIX time.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_time.h">CEF source file: /include/internal/cef_time.h (cef_time_from_timet))

function CefTimeNow: TCefTime;

Retrieve the current system time in a TCefTime type.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_time.h">CEF source file: /include/internal/cef_time.h (cef_time_now))

function DoubleTimeNow: double;

Retrieve the current system time in a double type.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_time.h">CEF source file: /include/internal/cef_time.h (cef_time_now))

function CefTimeDelta(const cef_time1, cef_time2: TCefTime): int64;

Retrieve the delta in milliseconds between two time values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_time.h">CEF source file: /include/internal/cef_time.h (cef_time_delta))

function CefBaseTimeNow: TCefBaseTime;

Retrieve the current system time in a TCefBaseTime type.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_time.h">CEF source file: /include/internal/cef_time.h (cef_basetime_now))

function CetTimeToCefBaseTime(const ct: TCefTime) : TCefBaseTime;

Converts TCefTime to TCefBaseTime.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_time.h">CEF source file: /include/internal/cef_time.h (cef_time_to_basetime))

function CetTimeFromCefBaseTime(const cbt: TCefBaseTime) : TCefTime;

Converts TCefBaseTime to TCefTime.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_time.h">CEF source file: /include/internal/cef_time.h (cef_time_from_basetime))

function CefBaseTimeToDateTime(const cbt: TCefBaseTime) : TDateTime;

Converts TCefBaseTime to TDateTime.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_time.h">CEF source file: /include/internal/cef_time.h (cef_time_from_basetime))

function GetTimeIntervalMilliseconds(const from_: TCefTime): integer;

Returns the time interval between now and from_ in milliseconds. This funcion should only be used by TCEFTimerWorkScheduler.

procedure InitializeCefTime(var aTime : TCefTime);

Initialize a TCefTime variable.

function cef_string_wide_copy(const src: PWideChar; src_len: NativeUInt; output: PCefStringWide): Integer;

This item has no description.

function cef_string_utf8_copy(const src: PAnsiChar; src_len: NativeUInt; output: PCefStringUtf8): Integer;

This item has no description.

function cef_string_utf16_copy(const src: PChar16; src_len: NativeUInt; output: PCefStringUtf16): Integer;

This item has no description.

function cef_string_copy(const src: PCefChar; src_len: NativeUInt; output: PCefString): Integer;

This item has no description.

procedure WindowInfoAsChild(var aWindowInfo : TCefWindowInfo; aParent : TCefWindowHandle; aRect : TRect; const aWindowName : ustring = ''; aExStyle : DWORD = 0); deprecated;

Warning: this symbol is deprecated.

This item has no description.

procedure WindowInfoAsPopUp(var aWindowInfo : TCefWindowInfo; aParent : TCefWindowHandle; const aWindowName : ustring = ''; aExStyle : DWORD = 0); deprecated;

Warning: this symbol is deprecated.

This item has no description.

procedure WindowInfoAsWindowless(var aWindowInfo : TCefWindowInfo; aParent : TCefWindowHandle; const aWindowName : ustring = ''; aExStyle : DWORD = 0); deprecated;

Warning: this symbol is deprecated.

This item has no description.

function ProcessUnderWow64(hProcess: THandle; Wow64Process: PBOOL): BOOL; stdcall; external Kernel32DLL name 'IsWow64Process';

This item has no description.

function PathIsRelativeAnsi(pszPath: LPCSTR): BOOL; stdcall; external SHLWAPIDLL name 'PathIsRelativeA';

This item has no description.

function PathIsRelativeUnicode(pszPath: LPCWSTR): BOOL; stdcall; external SHLWAPIDLL name 'PathIsRelativeW';

This item has no description.

function GetGlobalMemoryStatusEx(lpBuffer: LPMEMORYSTATUSEX): BOOL; stdcall; external Kernel32DLL name 'GlobalMemoryStatusEx';

This item has no description.

function PathCanonicalizeAnsi(pszBuf: LPSTR; pszPath: LPCSTR): BOOL; stdcall; external SHLWAPIDLL name 'PathCanonicalizeA';

This item has no description.

function PathCanonicalizeUnicode(pszBuf: LPWSTR; pszPath: LPCWSTR): BOOL; stdcall; external SHLWAPIDLL name 'PathCanonicalizeW';

This item has no description.

function PathIsUNCAnsi(pszPath: LPCSTR): BOOL; stdcall; external SHLWAPIDLL name 'PathIsUNCA';

This item has no description.

function PathIsUNCUnicode(pszPath: LPCWSTR): BOOL; stdcall; external SHLWAPIDLL name 'PathIsUNCW';

This item has no description.

function PathIsURLAnsi(pszPath: LPCSTR): BOOL; stdcall; external SHLWAPIDLL name 'PathIsURLA';

This item has no description.

function PathIsURLUnicode(pszPath: LPCWSTR): BOOL; stdcall; external SHLWAPIDLL name 'PathIsURLW';

This item has no description.

function ShutdownBlockReasonCreate(hWnd: HWND; Reason: LPCWSTR): Bool; stdcall; external User32DLL;

This item has no description.

function ShutdownBlockReasonDestroy(hWnd: HWND): Bool; stdcall; external User32DLL;

This item has no description.

function NetServerGetInfo(servername: LPWSTR; level: DWORD; out bufptr: Pointer): DWORD; stdcall; external Netapi32DLL;

This item has no description.

function NetApiBufferFree(Buffer: Pointer): DWORD; stdcall; external Netapi32DLL;

This item has no description.

function SetWindowLongPtr(hWnd: HWND; nIndex: Integer; dwNewLong: LongInt): LongInt; stdcall; external user32 name 'SetWindowLongW';

This item has no description.

function CustomPathIsRelative(const aPath : string) : boolean;

Returns true if aPath is a relative path.

<see href="https://learn.microsoft.com/en-us/windows/win32/api/shlwapi/nf-shlwapi-pathisrelativew">See the PathIsRelativeW article.)

function CustomPathCanonicalize(const aOriginalPath : string; var aCanonicalPath : string) : boolean;

Simplifies a path by removing navigation elements such as "." and ".." to produce a direct, well-formed path.

<see href="https://learn.microsoft.com/en-us/windows/win32/api/shlwapi/nf-shlwapi-pathcanonicalizew">See the PathCanonicalizeW article.)

function CustomAbsolutePath(const aPath : string; aMustExist : boolean = False) : string;

Returns the absolute path version of aPath.

function CustomPathIsURL(const aPath : string) : boolean;

Tests aPath to determine if it conforms to a valid URL format.

<see href="https://learn.microsoft.com/en-us/windows/win32/api/shlwapi/nf-shlwapi-pathisurlw">See the PathIsURLW article.)

function CustomPathIsUNC(const aPath : string) : boolean;

Determines if aPath is a valid Universal Naming Convention (UNC) path, as opposed to a path based on a drive letter.

<see href="https://learn.microsoft.com/en-us/windows/win32/api/shlwapi/nf-shlwapi-pathisuncw">See the PathIsUNCW article.)

function GetModulePath: string;

Retrieves the fully qualified path for the current module.

<see href="https://learn.microsoft.com/en-us/windows/win32/api/libloaderapi/nf-libloaderapi-getmodulefilenamew">See the GetModuleFileNameW article.)

function CefIsCertStatusError(Status : TCefCertStatus) : boolean;

Returns true (1) if the certificate status represents an error.

function CefCrashReportingEnabled: boolean;

Crash reporting is configured using an INI-style config file named "crash_reporter.cfg". On Windows and Linux this file must be placed next to the main application executable. On macOS this file must be placed in the top-level app bundle Resources directory (e.g. "<appname>.app/Contents/Resources"). File contents are as follows:

<pre> # Comments start with a hash character and must be on their own line.

[Config] ProductName=<Value of the "prod" crash key; defaults to "cef"> ProductVersion=<Value of the "ver" crash key; defaults to the CEF version> AppName=<Windows only; App-specific folder name component for storing crash information; default to "CEF"> ExternalHandler=<Windows only; Name of the external handler exe to use instead of re-launching the main exe; default to empty> BrowserCrashForwardingEnabled=<macOS only; True if browser process crashes should be forwarded to the system crash reporter; default to false> ServerURL=<crash server URL; default to empty> RateLimitEnabled=<True if uploads should be rate limited; default to true> MaxUploadsPerDay=<Max uploads per 24 hours, used if rate limit is enabled; default to 5> MaxDatabaseSizeInMb=<Total crash report disk usage greater than this value will cause older reports to be deleted; default to 20> MaxDatabaseAgeInDays=<Crash reports older than this value will be deleted; default to 5>

[CrashKeys] my_key1=<small|medium|large> my_key2=<small|medium|large> </pre>

Config section:

If "ProductName" and/or "ProductVersion" are set then the specified values will be included in the crash dump metadata. On macOS if these values are set to NULL then they will be retrieved from the Info.plist file using the "CFBundleName" and "CFBundleShortVersionString" keys respectively.

If "AppName" is set on Windows then crash report information (metrics, database and dumps) will be stored locally on disk under the "C:\Users\[CurrentUser]\AppData\Local\[AppName]\User Data" folder. On other platforms the cef_settings_t.root_cache_path value will be used.

If "ExternalHandler" is set on Windows then the specified exe will be launched as the crashpad-handler instead of re-launching the main process exe. The value can be an absolute path or a path relative to the main exe directory. On Linux the cef_settings_t.browser_subprocess_path value will be used. On macOS the existing subprocess app bundle will be used.

If "BrowserCrashForwardingEnabled" is set to true (1) on macOS then browser process crashes will be forwarded to the system crash reporter. This results in the crash UI dialog being displayed to the user and crash reports being logged under "~/Library/Logs/DiagnosticReports". Forwarding of crash reports from non-browser processes and Debug builds is always disabled.

If "ServerURL" is set then crashes will be uploaded as a multi-part POST request to the specified URL. Otherwise, reports will only be stored locally on disk.

If "RateLimitEnabled" is set to true (1) then crash report uploads will be rate limited as follows: 1. If "MaxUploadsPerDay" is set to a positive value then at most the specified number of crashes will be uploaded in each 24 hour period. 2. If crash upload fails due to a network or server error then an incremental backoff delay up to a maximum of 24 hours will be applied for retries. 3. If a backoff delay is applied and "MaxUploadsPerDay" is > 1 then the "MaxUploadsPerDay" value will be reduced to 1 until the client is restarted. This helps to avoid an upload flood when the network or server error is resolved. Rate limiting is not supported on Linux.

If "MaxDatabaseSizeInMb" is set to a positive value then crash report storage on disk will be limited to that size in megabytes. For example, on Windows each dump is about 600KB so a "MaxDatabaseSizeInMb" value of 20 equates to about 34 crash reports stored on disk. Not supported on Linux.

If "MaxDatabaseAgeInDays" is set to a positive value then crash reports older than the specified age in days will be deleted. Not supported on Linux.

CrashKeys section:

A maximum of 26 crash keys of each size can be specified for use by the application. Crash key values will be truncated based on the specified size (small = 64 bytes, medium = 256 bytes, large = 1024 bytes). The value of crash keys can be set from any thread or process using the CefSetCrashKeyValue function. These key/value pairs will be sent to the crash server along with the crash dump file.

procedure CefSetCrashKeyValue(const aKey, aValue : ustring);

Sets or clears a specific key-value pair from the crash metadata.

procedure CefLog(const aFile : string; aLine, aSeverity : integer; const aMessage : string);

Add a log message. See the LogSeverity defines for supported |severity| values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/base/cef_logging.h">CEF source file: /include/base/cef_logging.h (cef_log))

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/base/cef_logging.h">CEF source file: /include/base/cef_logging.h (LogSeverity))

procedure CefDebugLog(const aMessage : string; aSeverity : integer = CEF_LOG_SEVERITY_ERROR);

This item has no description.

procedure CefKeyEventLog(const aEvent : TCefKeyEvent);

This item has no description.

procedure CefMouseEventLog(const aEvent : TCefMouseEvent);

This item has no description.

procedure OutputDebugMessage(const aMessage : string);

This item has no description.

function CustomExceptionHandler(const aFunctionName : string; const aException : exception) : boolean;

This item has no description.

function CefGetMinLogLevel: integer;

Gets the current log verbose level (LogSeverity).

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/base/cef_logging.h">CEF source file: /include/base/cef_logging.h (cef_get_min_log_level))

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/base/cef_logging.h">CEF source file: /include/base/cef_logging.h (LogSeverity))

function CefGetVLogLevel(const file_start : string): integer;

Gets the current vlog level for the given file.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/base/cef_logging.h">CEF source file: /include/base/cef_logging.h (cef_get_vlog_level))

function CefGetLogSeverityName(aSeverity: integer): ustring;

Gets the log severity name.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/base/cef_logging.h">CEF source file: /include/base/cef_logging.h (LogSeverity))

function CefRegisterSchemeHandlerFactory(const SchemeName, DomainName : ustring; const handler: TCefResourceHandlerClass = nil): Boolean;

Register a scheme handler factory with the global request context. An NULL |DomainName| value for a standard scheme will cause the factory to match all domain names. The |DomainName| value will be ignored for non-standard schemes. If |SchemeName| is a built-in scheme and no handler is returned by |factory| then the built-in scheme handler factory will be called. If |SchemeName| is a custom scheme then you must also implement the ICefApp.OnRegisterCustomSchemes function in all processes. This function may be called multiple times to change or remove the factory that matches the specified |SchemeName| and optional |DomainName|. Returns false (0) if an error occurs. This function may be called on any thread in the browser process. Using this function is equivalent to calling cef_reques t_context_t::cef_request_context_get_global_context()->register_scheme_handl er_factory().

function CefClearSchemeHandlerFactories: boolean;

Clear all scheme handler factories registered with the global request context. Returns false (0) on error. This function may be called on any thread in the browser process. Using this function is equivalent to calling cef_request_context_t::cef_request_context_get_global_context()->clear_schem e_handler_factories().

function CefAddCrossOriginWhitelistEntry(const SourceOrigin, TargetProtocol, TargetDomain: ustring; AllowTargetSubdomains: Boolean): Boolean;

Add an entry to the cross-origin access whitelist.

The same-origin policy restricts how scripts hosted from different origins (scheme + domain + port) can communicate. By default, scripts can only access resources with the same origin. Scripts hosted on the HTTP and HTTPS schemes (but no other schemes) can use the "Access-Control-Allow-Origin" header to allow cross-origin requests. For example, https://source.example.com can make XMLHttpRequest requests on http://target.example.com if the http://target.example.com request returns an "Access-Control-Allow-Origin: https://source.example.com" response header.

Scripts in separate frames or iframes and hosted from the same protocol and domain suffix can execute cross-origin JavaScript if both pages set the document.domain value to the same domain suffix. For example, scheme://foo.example.com and scheme://bar.example.com can communicate using JavaScript if both domains set document.domain="example.com".

This function is used to allow access to origins that would otherwise violate the same-origin policy. Scripts hosted underneath the fully qualified |source_origin| URL (like http://www.example.com) will be allowed access to all resources hosted on the specified |target_protocol| and |target_domain|. If |target_domain| is non-NULL and |allow_target_subdomains| is false (0) only exact domain matches will be allowed. If |target_domain| contains a top- level domain component (like "example.com") and |allow_target_subdomains| is true (1) sub-domain matches will be allowed. If |target_domain| is NULL and |allow_target_subdomains| if true (1) all domains and IP addresses will be allowed.

This function cannot be used to bypass the restrictions on local or display isolated schemes. See the comments on CefRegisterCustomScheme for more information.

This function may be called on any thread. Returns false (0) if |source_origin| is invalid or the whitelist cannot be accessed.

function CefRemoveCrossOriginWhitelistEntry(const SourceOrigin, TargetProtocol, TargetDomain: ustring; AllowTargetSubdomains: Boolean): Boolean;

Remove an entry from the cross-origin access whitelist. Returns false (0) if |source_origin| is invalid or the whitelist cannot be accessed.

function CefClearCrossOriginWhitelist: Boolean;

Remove all entries from the cross-origin access whitelist. Returns false (0) if the whitelist cannot be accessed.

procedure UInt64ToFileVersionInfo(const aVersion : uint64; var aVersionInfo : TFileVersionInfo);

This item has no description.

function GetExtendedFileVersion(const aFileName : ustring) : uint64;

This item has no description.

function GetDLLVersion(const aDLLFile : ustring; var aVersionInfo : TFileVersionInfo) : boolean;

This item has no description.

procedure OutputLastErrorMessage;

This item has no description.

function GetRegistryWindowsVersion(var aMajor, aMinor: cardinal) : boolean;

This item has no description.

function GetRealWindowsVersion(var aMajor, aMinor: cardinal) : boolean;

This item has no description.

function CheckRealWindowsVersion(aMajor, aMinor: cardinal) : boolean;

This item has no description.

function SplitLongString(aSrcString : string) : string;

This item has no description.

function GetAbsoluteDirPath(const aSrcPath : string; var aRsltPath : string) : boolean;

This item has no description.

function CheckSubprocessPath(const aSubprocessPath : string; var aMissingFiles : string) : boolean;

This item has no description.

function CheckLocales(const aLocalesDirPath : string; var aMissingFiles : string; const aLocalesRequired : string = '') : boolean;

This item has no description.

function CheckResources(const aResourcesDirPath : string; var aMissingFiles : string) : boolean;

This item has no description.

function CheckDLLs(const aFrameworkDirPath : string; var aMissingFiles : string) : boolean;

This item has no description.

function CheckDLLVersion(const aDLLFile : ustring; aMajor, aMinor, aRelease, aBuild : uint16) : boolean;

This item has no description.

function GetDLLHeaderMachine(const aDLLFile : ustring; var aMachine : integer) : boolean;

This item has no description.

function GetFileTypeDescription(const aExtension : ustring) : ustring;

This item has no description.

function FileVersionInfoToString(const aVersionInfo : TFileVersionInfo) : string;

This item has no description.

function CheckFilesExist(var aList : TStringList; var aMissingFiles : string) : boolean;

This item has no description.

function Is32BitProcess: boolean;

This item has no description.

function CefResolveUrl(const base_url, relative_url: ustring): ustring;

Combines specified |base_url| and |relative_url| into a ustring.

function CefParseUrl(const url: ustring; var parts: TUrlParts): Boolean;

Parse the specified |url| into its component parts. Returns false (0) if the URL is invalid.

function CefCreateUrl(var parts: TUrlParts): ustring;

Creates a URL from the specified |parts|, which must contain a non-NULL spec or a non-NULL host and path (at a minimum), but not both.

function CefFormatUrlForSecurityDisplay(const originUrl: string): string;

This is a convenience function for formatting a URL in a concise and human- friendly way to help users make security-related decisions (or in other circumstances when people need to distinguish sites, origins, or otherwise- simplified URLs from each other). Internationalized domain names (IDN) may be presented in Unicode if the conversion is considered safe. The returned value will (a) omit the path for standard schemes, excepting file and filesystem, and (b) omit the port if it is the default for the scheme. Do not use this for URLs which will be parsed or sent to other applications.

function CefGetMimeType(const extension: ustring): ustring;

Returns the mime type for the specified file extension or an NULL string if unknown.

procedure CefGetExtensionsForMimeType(const mimeType: ustring; var extensions: TStringList);

Get the extensions associated with the given mime type. This should be passed in lower case. There could be multiple extensions for a given mime type, like "html,htm" for "text/html", or "txt,text,html,..." for "text/*". Any existing elements in the provided vector will not be erased.

function CefBase64Encode(const data: Pointer; dataSize: NativeUInt): ustring;

Encodes |data| as a base64 string.

function CefBase64Decode(const data: ustring): ICefBinaryValue;

Decodes the base64 encoded string |data|. The returned value will be NULL if the decoding fails.

function CefUriEncode(const text: ustring; usePlus: Boolean): ustring;

Escapes characters in |text| which are unsuitable for use as a query parameter value. Everything except alphanumerics and -_.!~*'() will be converted to "%XX". If |use_plus| is true (1) spaces will change to "+". The result is basically the same as encodeURIComponent in Javacript.

function CefUriDecode(const text: ustring; convertToUtf8: Boolean; unescapeRule: TCefUriUnescapeRule): ustring;

Unescapes |text| and returns the result. Unescaping consists of looking for the exact pattern "%XX" where each X is a hex digit and converting to the character with the numerical value of those digits (e.g. "i%20=%203%3b" unescapes to "i = 3;"). If |convert_to_utf8| is true (1) this function will attempt to interpret the initial decoded result as UTF-8. If the result is convertable into UTF-8 it will be returned as converted. Otherwise the initial decoded result will be returned. The |unescape_rule| parameter supports further customization the decoding process.

function CefGetPath(const aPathKey : TCefPathKey) : ustring;

Retrieve the path associated with the specified |aPathKey|. Can be called on any thread in the browser process.

function CefIsRTL: boolean;

Returns true (1) if the application text direction is right-to-left.

function CefCreateDirectory(const fullPath: ustring): Boolean;

Creates a directory and all parent directories if they don't already exist. Returns true (1) on successful creation or if the directory already exists. The directory is only readable by the current user. Calling this function on the browser process UI or IO threads is not allowed.

function CefGetTempDirectory(out tempDir: ustring): Boolean;

Get the temporary directory provided by the system. WARNING: In general, you should use the temp directory variants below instead of this function. Those variants will ensure that the proper permissions are set so that other users on the system can't edit them while they're open (which could lead to security issues).

function CefCreateNewTempDirectory(const prefix: ustring; out newTempPath: ustring): Boolean;

Creates a new directory. On Windows if |prefix| is provided the new directory name is in the format of "prefixyyyy". Returns true (1) on success and sets |newTempPath| to the full path of the directory that was created. The directory is only readable by the current user. Calling this function on the browser process UI or IO threads is not allowed.

function CefCreateTempDirectoryInDirectory(const baseDir, prefix: ustring; out newDir: ustring): Boolean;

Creates a directory within another directory. Extra characters will be appended to |prefix| to ensure that the new directory does not have the same name as an existing directory. Returns true (1) on success and sets |newDir| to the full path of the directory that was created. The directory is only readable by the current user. Calling this function on the browser process UI or IO threads is not allowed.

function CefDirectoryExists(const path: ustring): Boolean;

Returns true (1) if the given path exists and is a directory. Calling this function on the browser process UI or IO threads is not allowed.

function CefDeleteFile(const path: ustring; recursive: Boolean): Boolean;

Deletes the given path whether it's a file or a directory. If |path| is a directory all contents will be deleted. If |recursive| is true (1) any sub- directories and their contents will also be deleted (equivalent to executing "rm -rf", so use with caution). On POSIX environments if |path| is a symbolic link then only the symlink will be deleted. Returns true (1) on successful deletion or if |path| does not exist. Calling this function on the browser process UI or IO threads is not allowed.

function CefZipDirectory(const srcDir, destFile: ustring; includeHiddenFiles: Boolean): Boolean;

Writes the contents of |srcDir| into a zip archive at |destFile|. If |includeHiddenFiles| is true (1) files starting with "." will be included. Returns true (1) on success. Calling this function on the browser process UI or IO threads is not allowed.

procedure CefLoadCRLSetsFile(const path : ustring);

Loads the existing "Certificate Revocation Lists" file that is managed by Google Chrome. This file can generally be found in Chrome's User Data directory (e.g. "C:\Users\[User]\AppData\Local\Google\Chrome\User Data\" on Windows) and is updated periodically by Chrome's component updater service. Must be called in the browser process after the context has been initialized. See https://dev.chromium.org/Home/chromium-security/crlsets for background.

function GetDefaultCEFUserAgent: string;

Return a user-agent string.

This function tries to replicate the BuildUserAgentFromOSAndProduct function in Chromium but it's safer to call the 'Browser.getVersion' DevTools method.

<see href="https://source.chromium.org/chromium/chromium/src/+/main:content/common/user_agent.cc">Chromium source file: content/common/user_agent.cc (BuildUserAgentFromOSAndProduct))

<see href="https://chromedevtools.github.io/devtools-protocol/tot/Browser/#method-getVersion">See the Browser.getVersion article.)

function CefIsKeyDown(aWparam : WPARAM) : boolean;

This item has no description.

function CefIsKeyToggled(aWparam : WPARAM) : boolean;

This item has no description.

function GetCefMouseModifiers: TCefEventFlags; overload;

This item has no description.

function GetCefMouseModifiers(awparam : WPARAM) : TCefEventFlags; overload;

This item has no description.

function GetCefKeyboardModifiers(aWparam : WPARAM; aLparam : LPARAM) : TCefEventFlags;

This item has no description.

procedure CefCheckAltGrPressed(aWparam : WPARAM; var aEvent : TCefKeyEvent);

This item has no description.

procedure DropEffectToDragOperation(aEffect : Longint; var aAllowedOps : TCefDragOperations);

This item has no description.

procedure DragOperationToDropEffect(const aDragOperations : TCefDragOperations; var aEffect: Longint);

This item has no description.

function GetWindowsMajorMinorVersion(var wMajorVersion, wMinorVersion : DWORD) : boolean;

This item has no description.

function GetIsWow64Process2(var aProcessMachine, aNativeMachine : WORD) : boolean;

This item has no description.

function IsWowProcess: boolean;

This item has no description.

function RunningWindows10OrNewer: boolean;

This item has no description.

function GetDPIForHandle(aHandle : HWND; var aDPI : UINT) : boolean;

This item has no description.

function DeviceToLogical(aValue : integer; const aDeviceScaleFactor : double) : integer; overload;

This item has no description.

function DeviceToLogical(aValue : single; const aDeviceScaleFactor : double) : single; overload;

This item has no description.

procedure DeviceToLogical(var aEvent : TCEFMouseEvent; const aDeviceScaleFactor : double); overload;

This item has no description.

procedure DeviceToLogical(var aEvent : TCefTouchEvent; const aDeviceScaleFactor : double); overload;

This item has no description.

procedure DeviceToLogical(var aPoint : TPoint; const aDeviceScaleFactor : double); overload;

This item has no description.

function LogicalToDevice(aValue : integer; const aDeviceScaleFactor : double) : integer; overload;

This item has no description.

procedure LogicalToDevice(var aRect : TCEFRect; const aDeviceScaleFactor : double); overload;

This item has no description.

function GetScreenDPI: integer;

This item has no description.

function GetDeviceScaleFactor: single;

This item has no description.

function DeleteDirContents(const aDirectory : string; const aExcludeFiles : TStringList = nil) : boolean;

This item has no description.

function DeleteFileList(const aFileList : TStringList) : boolean;

This item has no description.

function MoveFileList(const aFileList : TStringList; const aSrcDirectory, aDstDirectory : string) : boolean;

This item has no description.

function CefGetDataURI(const aString, aMimeType : ustring) : ustring; overload;

Returns a URI with a DATA scheme using |aString| as the URI's data.

function CefGetDataURI(aData : pointer; aSize : integer; const aMimeType : ustring; const aCharset : ustring = '') : ustring; overload;

Returns a URI with a DATA scheme encoding |aData| as a base64 string.

function ValidCefWindowHandle(aHandle : TCefWindowHandle) : boolean;

This item has no description.

procedure InitializeWindowHandle(var aHandle : TCefWindowHandle);

This item has no description.

function GetCommandLineSwitchValue(const aKey : string; var aValue : ustring) : boolean;

Returns a command line switch value if it exists.

function IsCEFSubprocess: boolean;

Returns true if the command line switch has a "type" value.

function EditingCommandToString(aEditingCommand : TCefEditingCommand): ustring;

Convert an editting command to string.

Constants

Kernel32DLL = 'kernel32.dll';

This item has no description.

SHLWAPIDLL = 'shlwapi.dll';

This item has no description.

NTDLL = 'ntdll.dll';

This item has no description.

User32DLL = 'User32.dll';

This item has no description.

Netapi32DLL = 'Netapi32.dll';

This item has no description.

GWLP_WNDPROC = GWL_WNDPROC;

This item has no description.

GWLP_HWNDPARENT = GWL_HWNDPARENT;

This item has no description.


cef4delphi: uCEFNavigationEntry

Unit uCEFNavigationEntry

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefNavigationEntryRef |


cef4delphi: uCEFNavigationEntry: Class TCefNavigationEntryRef

Class TCefNavigationEntryRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFNavigationEntry

Declaration

type TCefNavigationEntryRef = class(TCefBaseRefCountedRef, ICefNavigationEntry)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefNavigationEntryRef

Overview

Methods

Protected | function IsValid: Boolean;
Protected | function GetUrl: ustring;
Protected | function GetDisplayUrl: ustring;
Protected | function GetOriginalUrl: ustring;
Protected | function GetTitle: ustring;
Protected | function GetTransitionType: TCefTransitionType;
Protected | function HasPostData: Boolean;
Protected | function GetCompletionTime: TDateTime;
Protected | function GetHttpStatusCode: Integer;
Protected | function GetSSLStatus: ICefSSLStatus;
Public | class function UnWrap(data: Pointer): ICefNavigationEntry;

Description

Methods

Protected function IsValid: Boolean;

This item has no description. Showing description inherited from ICefNavigationEntry.IsValid.

Returns true (1) if this object is valid. Do not call any other functions if this function returns false (0).

Protected function GetUrl: ustring;

This item has no description. Showing description inherited from ICefNavigationEntry.GetUrl.

Returns the actual URL of the page. For some pages this may be data: URL or similar. Use get_display_url() to return a display-friendly version.

Protected function GetDisplayUrl: ustring;

This item has no description. Showing description inherited from ICefNavigationEntry.GetDisplayUrl.

Returns a display-friendly version of the URL.

Protected function GetOriginalUrl: ustring;

This item has no description. Showing description inherited from ICefNavigationEntry.GetOriginalUrl.

Returns the original URL that was entered by the user before any redirects.

Protected function GetTitle: ustring;

This item has no description. Showing description inherited from ICefNavigationEntry.GetTitle.

Returns the title set by the page. This value may be NULL.

Protected function GetTransitionType: TCefTransitionType;

This item has no description. Showing description inherited from ICefNavigationEntry.GetTransitionType.

Returns the transition type which indicates what the user did to move to this page from the previous page.

Protected function HasPostData: Boolean;

This item has no description. Showing description inherited from ICefNavigationEntry.HasPostData.

Returns true (1) if this navigation includes post data.

Protected function GetCompletionTime: TDateTime;

This item has no description. Showing description inherited from ICefNavigationEntry.GetCompletionTime.

Returns the time for the last known successful navigation completion. A navigation may be completed more than once if the page is reloaded. May be 0 if the navigation has not yet completed.

Protected function GetHttpStatusCode: Integer;

This item has no description. Showing description inherited from ICefNavigationEntry.GetHttpStatusCode.

Returns the HTTP status code for the last known successful navigation response. May be 0 if the response has not yet been received or if the navigation has not yet completed.

Protected function GetSSLStatus: ICefSSLStatus;

This item has no description. Showing description inherited from ICefNavigationEntry.GetSSLStatus.

Returns the SSL information for this navigation entry.

Public class function UnWrap(data: Pointer): ICefNavigationEntry;

This item has no description.


cef4delphi: uCEFNavigationEntryVisitor

Unit uCEFNavigationEntryVisitor

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefNavigationEntryVisitorOwn |
Class TCefFastNavigationEntryVisitor |
Class TCustomCefNavigationEntryVisitor |


cef4delphi: uCEFNavigationEntryVisitor: Class TCefNavigationEntryVisitorOwn

Class TCefNavigationEntryVisitorOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFNavigationEntryVisitor

Declaration

type TCefNavigationEntryVisitorOwn = class(TCefBaseRefCountedOwn, ICefNavigationEntryVisitor)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefNavigationEntryVisitorOwn

Overview

Methods

Protected | function Visit(const entry: ICefNavigationEntry; current: Boolean; index, total: Integer): Boolean; virtual;
Public | constructor Create;

Description

Methods

Protected function Visit(const entry: ICefNavigationEntry; current: Boolean; index, total: Integer): Boolean; virtual;

This item has no description. Showing description inherited from ICefNavigationEntryVisitor.Visit.

Method that will be executed. Do not keep a reference to |entry| outside of this callback. Return true (1) to continue visiting entries or false (0) to stop. |current| is true (1) if this entry is the currently loaded navigation entry. |index| is the 0-based index of this entry and |total| is the total number of entries.

Public constructor Create;

This item has no description.


cef4delphi: uCEFNavigationEntryVisitor: Class TCefFastNavigationEntryVisitor

Class TCefFastNavigationEntryVisitor

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFNavigationEntryVisitor

Declaration

type TCefFastNavigationEntryVisitor = class(TCefNavigationEntryVisitorOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefNavigationEntryVisitorOwn
  • TCefFastNavigationEntryVisitor

Overview

Fields

Protected FVisitor: TCefNavigationEntryVisitorProc;

Methods

Protected | function Visit(const entry: ICefNavigationEntry; current: Boolean; index, total: Integer): Boolean; override;
Public | constructor Create(const proc: TCefNavigationEntryVisitorProc); reintroduce;

Description

Fields

Protected FVisitor: TCefNavigationEntryVisitorProc;

This item has no description.

Methods

Protected function Visit(const entry: ICefNavigationEntry; current: Boolean; index, total: Integer): Boolean; override;

This item has no description. Showing description inherited from ICefNavigationEntryVisitor.Visit.

Method that will be executed. Do not keep a reference to |entry| outside of this callback. Return true (1) to continue visiting entries or false (0) to stop. |current| is true (1) if this entry is the currently loaded navigation entry. |index| is the 0-based index of this entry and |total| is the total number of entries.

Public constructor Create(const proc: TCefNavigationEntryVisitorProc); reintroduce;

This item has no description.


cef4delphi: uCEFNavigationEntryVisitor: Class TCustomCefNavigationEntryVisitor

Class TCustomCefNavigationEntryVisitor

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFNavigationEntryVisitor

Declaration

type TCustomCefNavigationEntryVisitor = class(TCefNavigationEntryVisitorOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefNavigationEntryVisitorOwn
  • TCustomCefNavigationEntryVisitor

Overview

Fields

Protected FEvents: Pointer;

Methods

Protected | function Visit(const entry: ICefNavigationEntry; current: Boolean; index, total: Integer): Boolean; override;
Public | constructor Create(const aEvents : IChromiumEvents); reintroduce;
Public | destructor Destroy; override;

Description

Fields

Protected FEvents: Pointer;

This item has no description.

Methods

Protected function Visit(const entry: ICefNavigationEntry; current: Boolean; index, total: Integer): Boolean; override;

This item has no description. Showing description inherited from ICefNavigationEntryVisitor.Visit.

Method that will be executed. Do not keep a reference to |entry| outside of this callback. Return true (1) to continue visiting entries or false (0) to stop. |current| is true (1) if this entry is the currently loaded navigation entry. |index| is the 0-based index of this entry and |total| is the total number of entries.

Public constructor Create(const aEvents : IChromiumEvents); reintroduce;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFOAuth2Helper

Unit uCEFOAuth2Helper

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCEFOAuth2Helper |

Types

TOAuthChallengeMethod = (...);

Constants

DEFAULT_REDIRECT_IPV4_HOST = '127.0.0.1';
DEFAULT_REDIRECT_IPV6_HOST = '[::1]';
DEFAULT_REDIRECT_PORT = 50000;
GOOGLE_DISCOVERY_DOCUMENT = 'https://accounts.google.com/.well-known/openid-configuration';

Description

Types

TOAuthChallengeMethod = (...);

This item has no description.

Values
  • cmPlain
  • cmSHA256

Constants

DEFAULT_REDIRECT_IPV4_HOST = '127.0.0.1';

REFERENCES : ============ https://tools.ietf.org/html/rfc6749 https://tools.ietf.org/html/rfc6750 https://tools.ietf.org/html/rfc8252 https://tools.ietf.org/html/rfc6819 https://tools.ietf.org/html/rfc7636 https://tools.ietf.org/html/draft-ietf-oauth-native-apps-12 https://tools.ietf.org/html/draft-ietf-oauth-security-topics-13 https://developers.google.com/identity/protocols/OAuth2 https://developers.google.com/identity/protocols/OAuth2InstalledApp https://developers.google.com/identity/protocols/googlescopes https://developers.google.com/identity/protocols/OpenIDConnect https://aaronparecki.com/oauth-2-simplified/ https://example-app.com/pkce

DEFAULT_REDIRECT_IPV6_HOST = '[::1]';

This item has no description.

DEFAULT_REDIRECT_PORT = 50000;

This item has no description.

GOOGLE_DISCOVERY_DOCUMENT = 'https://accounts.google.com/.well-known/openid-configuration';

This item has no description.


cef4delphi: uCEFOAuth2Helper: Class TCEFOAuth2Helper

Class TCEFOAuth2Helper

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFOAuth2Helper

Declaration

type TCEFOAuth2Helper = class(TObject)

Description

This item has no description.

Hierarchy

  • TObject
  • TCEFOAuth2Helper

Overview

Fields

Protected | FRedirectHost: ustring;
Protected | FRedirectPort: integer;
Protected | FAuthEndpoint: ustring;
Protected | FTokenEndpoint: ustring;
Protected | FClientID: ustring;
Protected | FClientSecret: ustring;
Protected | FAuthCode: ustring;
Protected | FError: ustring;
Protected | FErrorDescription: ustring;
Protected | FCodeVerifier: ustring;
Protected | FCodeChallenge: ustring;
Protected | FScope: ustring;
Protected | FAccessToken: ustring;
Protected | FIDToken: ustring;
Protected | FState: ustring;
Protected | FIncState: ustring;
Protected | FRefreshToken: ustring;
Protected | FTokenExpiry: integer;
Protected | FTokenType: ustring;
Protected | FLoginHint: ustring;
Protected | FChallengeMethod: TOAuthChallengeMethod;

Methods

Protected | function GetRedirectURI: ustring; virtual;
Protected | function GetAuthCodeURI: ustring; virtual;
Protected | function GetRefreshParams: ustring; virtual;
Protected | function GetTokeExchangeParams: ustring; virtual;
Protected | function GetValidState: boolean; virtual;
Protected | procedure GenerateRandomCodeChallenge; virtual;
Protected | procedure GenerateRandomState; virtual;
Protected | function GenerateRandomString(aLength : cardinal) : ustring;
Protected | procedure ParseQueryPair(const aPair : ustring);
Protected | function ReadJSONString(const aDictionary : ICefDictionaryValue; const aKey : ustring) : ustring;
Protected | function ReadJSONInteger(const aDictionary : ICefDictionaryValue; const aKey : ustring) : integer;
Protected | function CalculateSHA256Hash(const aString : ustring) : TCefCustomByteArray;
Public | constructor Create;
Public | procedure Initialize; virtual;
Public | function ParseTokenExchangeResponse(const aResponse : ustring) : boolean; virtual;
Public | function ParseRefreshTokenResponse(const aResponse : ustring) : boolean; virtual;
Public | function ParseCodeRequestResponse(const aURL : ustring) : boolean; virtual;

Properties

Public | property AuthEndpoint : ustring read FAuthEndpoint write FAuthEndpoint;
Public | property TokenEndpoint : ustring read FTokenEndpoint write FTokenEndpoint;
Public | property ClientID : ustring read FClientID write FClientID;
Public | property ClientSecret : ustring read FClientSecret write FClientSecret;
Public | property RedirectHost : ustring read FRedirectHost write FRedirectHost;
Public | property RedirectPort : integer read FRedirectPort write FRedirectPort;
Public | property ChallengeMethod : TOAuthChallengeMethod read FChallengeMethod write FChallengeMethod;
Public | property Scope : ustring read FScope write FScope;
Public | property Error : ustring read FError;
Public | property ErrorDescription : ustring read FErrorDescription;
Public | property AccessToken : ustring read FAccessToken;
Public | property IDToken : ustring read FIDToken;
Public | property RefreshToken : ustring read FRefreshToken;
Public | property TokenExpiry : integer read FTokenExpiry;
Public | property TokenType : ustring read FTokenType;
Public | property CodeVerifier : ustring read FCodeVerifier;
Public | property CodeChallenge : ustring read FCodeChallenge;
Public | property RedirectURI : ustring read GetRedirectURI;
Public | property AuthCodeURI : ustring read GetAuthCodeURI;
Public | property TokeExchangeParams : ustring read GetTokeExchangeParams;
Public | property RefreshParams : ustring read GetRefreshParams;
Public | property ValidState : boolean read GetValidState;

Description

Fields

Protected FRedirectHost: ustring;

This item has no description.

Protected FRedirectPort: integer;

This item has no description.

Protected FAuthEndpoint: ustring;

This item has no description.

Protected FTokenEndpoint: ustring;

This item has no description.

Protected FClientID: ustring;

This item has no description.

Protected FClientSecret: ustring;

This item has no description.

Protected FAuthCode: ustring;

This item has no description.

Protected FError: ustring;

This item has no description.

Protected FErrorDescription: ustring;

This item has no description.

Protected FCodeVerifier: ustring;

This item has no description.

Protected FCodeChallenge: ustring;

This item has no description.

Protected FScope: ustring;

This item has no description.

Protected FAccessToken: ustring;

This item has no description.

Protected FIDToken: ustring;

This item has no description.

Protected FState: ustring;

This item has no description.

Protected FIncState: ustring;

This item has no description.

Protected FRefreshToken: ustring;

This item has no description.

Protected FTokenExpiry: integer;

This item has no description.

Protected FTokenType: ustring;

This item has no description.

Protected FLoginHint: ustring;

This item has no description.

Protected FChallengeMethod: TOAuthChallengeMethod;

This item has no description.

Methods

Protected function GetRedirectURI: ustring; virtual;

This item has no description.

Protected function GetAuthCodeURI: ustring; virtual;

This item has no description.

Protected function GetRefreshParams: ustring; virtual;

This item has no description.

Protected function GetTokeExchangeParams: ustring; virtual;

This item has no description.

Protected function GetValidState: boolean; virtual;

This item has no description.

Protected procedure GenerateRandomCodeChallenge; virtual;

This item has no description.

Protected procedure GenerateRandomState; virtual;

This item has no description.

Protected function GenerateRandomString(aLength : cardinal) : ustring;

This item has no description.

Protected procedure ParseQueryPair(const aPair : ustring);

This item has no description.

Protected function ReadJSONString(const aDictionary : ICefDictionaryValue; const aKey : ustring) : ustring;

This item has no description.

Protected function ReadJSONInteger(const aDictionary : ICefDictionaryValue; const aKey : ustring) : integer;

This item has no description.

Protected function CalculateSHA256Hash(const aString : ustring) : TCefCustomByteArray;

This item has no description.

Public constructor Create;

This item has no description.

Public procedure Initialize; virtual;

This item has no description.

Public function ParseTokenExchangeResponse(const aResponse : ustring) : boolean; virtual;

This item has no description.

Public function ParseRefreshTokenResponse(const aResponse : ustring) : boolean; virtual;

This item has no description.

Public function ParseCodeRequestResponse(const aURL : ustring) : boolean; virtual;

This item has no description.

Properties

Public property AuthEndpoint : ustring read FAuthEndpoint write FAuthEndpoint;

This item has no description.

Public property TokenEndpoint : ustring read FTokenEndpoint write FTokenEndpoint;

This item has no description.

Public property ClientID : ustring read FClientID write FClientID;

This item has no description.

Public property ClientSecret : ustring read FClientSecret write FClientSecret;

This item has no description.

Public property RedirectHost : ustring read FRedirectHost write FRedirectHost;

This item has no description.

Public property RedirectPort : integer read FRedirectPort write FRedirectPort;

This item has no description.

Public property ChallengeMethod : TOAuthChallengeMethod read FChallengeMethod write FChallengeMethod;

This item has no description.

Public property Scope : ustring read FScope write FScope;

This item has no description.

Public property Error : ustring read FError;

This item has no description.

Public property ErrorDescription : ustring read FErrorDescription;

This item has no description.

Public property AccessToken : ustring read FAccessToken;

This item has no description.

Public property IDToken : ustring read FIDToken;

This item has no description.

Public property RefreshToken : ustring read FRefreshToken;

This item has no description.

Public property TokenExpiry : integer read FTokenExpiry;

This item has no description.

Public property TokenType : ustring read FTokenType;

This item has no description.

Public property CodeVerifier : ustring read FCodeVerifier;

This item has no description.

Public property CodeChallenge : ustring read FCodeChallenge;

This item has no description.

Public property RedirectURI : ustring read GetRedirectURI;

This item has no description.

Public property AuthCodeURI : ustring read GetAuthCodeURI;

This item has no description.

Public property TokeExchangeParams : ustring read GetTokeExchangeParams;

This item has no description.

Public property RefreshParams : ustring read GetRefreshParams;

This item has no description.

Public property ValidState : boolean read GetValidState;

This item has no description.


cef4delphi: uCEFOLEDragAndDrop

Unit uCEFOLEDragAndDrop

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TOLEDragAndDropMgr |
Class TOLEEnumFormatEtc |
Class TOLEDropSource |
Class TOLEDataObject |
Class TOLEDropTarget |

Types

TOLEMediumArray = array [0..pred(CUSTOM_ARRAY_LENGTH)] of TStgMedium;
TOLEFormatArray = array [0..pred(CUSTOM_ARRAY_LENGTH)] of TFormatEtc;

Constants

CUSTOM_ARRAY_LENGTH = 25;

Description

Types

TOLEMediumArray = array [0..pred(CUSTOM_ARRAY_LENGTH)] of TStgMedium;

This item has no description.

TOLEFormatArray = array [0..pred(CUSTOM_ARRAY_LENGTH)] of TFormatEtc;

This item has no description.

Constants

CUSTOM_ARRAY_LENGTH = 25;

This item has no description.


cef4delphi: uCEFOLEDragAndDrop: Class TOLEDragAndDropMgr

Class TOLEDragAndDropMgr

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFOLEDragAndDrop

Declaration

type TOLEDragAndDropMgr = class(TObject)

Description

This item has no description.

Hierarchy

  • TObject
  • TOLEDragAndDropMgr

Overview

Methods

Protected | function GetStorageForBytes(var aMedium : TStgMedium; const aData : pointer; aLength : NativeUInt) : boolean;
Protected | function GetStorageForString(var aMedium : TStgMedium; const aData : WideString) : boolean; overload;
Protected | function GetStorageForString(var aMedium : TStgMedium; const aData : AnsiString) : boolean; overload;
Protected | function GetStorageForFileDescriptor(var aMedium : TStgMedium; const aFileName : string) : boolean;
Public | function DragEnter(const DataObj: IDataObject; grfKeyState: Longint; pt: TPoint; var dwEffect: Longint): HRESULT; virtual;
Public | function DragOver(grfKeyState: Longint; pt: TPoint; var dwEffect: Longint): HRESULT; virtual;
Public | function DragLeave: HRESULT; virtual;
Public | function Drop(const dataObj: IDataObject; grfKeyState: Longint; pt: TPoint; var dwEffect: Longint): HRESULT; virtual;

Description

Methods

Protected function GetStorageForBytes(var aMedium : TStgMedium; const aData : pointer; aLength : NativeUInt) : boolean;

This item has no description.

Protected function GetStorageForString(var aMedium : TStgMedium; const aData : WideString) : boolean; overload;

This item has no description.

Protected function GetStorageForString(var aMedium : TStgMedium; const aData : AnsiString) : boolean; overload;

This item has no description.

Protected function GetStorageForFileDescriptor(var aMedium : TStgMedium; const aFileName : string) : boolean;

This item has no description.

Public function DragEnter(const DataObj: IDataObject; grfKeyState: Longint; pt: TPoint; var dwEffect: Longint): HRESULT; virtual;

This item has no description.

Public function DragOver(grfKeyState: Longint; pt: TPoint; var dwEffect: Longint): HRESULT; virtual;

This item has no description.

Public function DragLeave: HRESULT; virtual;

This item has no description.

Public function Drop(const dataObj: IDataObject; grfKeyState: Longint; pt: TPoint; var dwEffect: Longint): HRESULT; virtual;

This item has no description.


cef4delphi: uCEFOLEDragAndDrop: Class TOLEEnumFormatEtc

Class TOLEEnumFormatEtc

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFOLEDragAndDrop

Declaration

type TOLEEnumFormatEtc = class(TInterfacedObject, IEnumFormatEtc)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TOLEEnumFormatEtc

Overview

Fields

Protected | FIndex: integer;
Protected | FNumFormats: integer;
Protected | FFormatArray: TOLEFormatArray;

Methods

Protected | procedure CopyFromFormatArray(const aSrcFormatArray : TOLEFormatArray);
Protected | procedure CopyFormatEtc(var aDstFormatEtc : TFormatEtc; const aSrcFormatEtc : TFormatEtc);
Public | constructor Create; overload;
Public | constructor Create(const aFormatArray : TOLEFormatArray; aNumFormats : integer; aIndex : integer = 0); overload;
Public | destructor Destroy; override;
Public | function Next(Celt: ULONG; out Rgelt: FormatEtc; pceltFetched: PULONG = nil): HRESULT; stdcall;
Public | function Skip(Celt: ULONG): HRESULT; stdcall;
Public | function Reset: HRESULT; stdcall;
Public | function Clone(out Enum: IEnumFormatEtc): HRESULT; stdcall;

Description

Fields

Protected FIndex: integer;

This item has no description.

Protected FNumFormats: integer;

This item has no description.

Protected FFormatArray: TOLEFormatArray;

This item has no description.

Methods

Protected procedure CopyFromFormatArray(const aSrcFormatArray : TOLEFormatArray);

This item has no description.

Protected procedure CopyFormatEtc(var aDstFormatEtc : TFormatEtc; const aSrcFormatEtc : TFormatEtc);

This item has no description.

Public constructor Create; overload;

This item has no description.

Public constructor Create(const aFormatArray : TOLEFormatArray; aNumFormats : integer; aIndex : integer = 0); overload;

This item has no description.

Public destructor Destroy; override;

This item has no description.

Public function Next(Celt: ULONG; out Rgelt: FormatEtc; pceltFetched: PULONG = nil): HRESULT; stdcall;

IEnumFormatEtc

Public function Skip(Celt: ULONG): HRESULT; stdcall;

This item has no description.

Public function Reset: HRESULT; stdcall;

This item has no description.

Public function Clone(out Enum: IEnumFormatEtc): HRESULT; stdcall;

This item has no description.


cef4delphi: uCEFOLEDragAndDrop: Class TOLEDropSource

Class TOLEDropSource

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFOLEDragAndDrop

Declaration

type TOLEDropSource = class(TInterfacedObject, IDropSource)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TOLEDropSource

Overview

Methods

Public | function QueryContinueDrag(fEscapePressed: BOOL; grfKeyState: DWORD): HRESULT; stdcall;
Public | function GiveFeedback(dwEffect: DWORD): HRESULT; stdcall;

Description

Methods

Public function QueryContinueDrag(fEscapePressed: BOOL; grfKeyState: DWORD): HRESULT; stdcall;

IDropSource

Public function GiveFeedback(dwEffect: DWORD): HRESULT; stdcall;

This item has no description.


cef4delphi: uCEFOLEDragAndDrop: Class TOLEDataObject

Class TOLEDataObject

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFOLEDragAndDrop

Declaration

type TOLEDataObject = class(TInterfacedObject, IDataObject)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TOLEDataObject

Overview

Fields

Protected | FNumFormats: integer;
Protected | FFormatArray: TOLEFormatArray;
Protected | FMediumArray: TOLEMediumArray;
Protected | FAsync: boolean;
Protected | FInOperation: boolean;

Methods

Protected | function LookupFormatEtc(const aFormatEtc : TFormatEtc) : integer;
Protected | function DupGlobalMem(hMem : HGLOBAL) : HGLOBAL;
Public | constructor Create(const aFormatArray : TOLEFormatArray; const aMediumArray : TOLEMediumArray; aNumFormats : integer); reintroduce;
Public | function GetData(const FormatEtcIn: TFormatEtc; out Medium: TStgMedium):HRESULT; stdcall;
Public | function GetDataHere(const FormatEtc: TFormatEtc; out Medium: TStgMedium):HRESULT; stdcall;
Public | function QueryGetData(const FormatEtc: TFormatEtc): HRESULT; stdcall;
Public | function GetCanonicalFormatEtc(const FormatEtc: TFormatEtc; out FormatEtcout: TFormatEtc): HRESULT; stdcall;
Public | function SetData(const pformatetc: FORMATETC; const medium: STGMEDIUM; FRelease: BOOL): HRESULT; stdcall;
Public | function EnumFormatEtc(dwDirection: DWORD; out aEnumFormatEtc: IENUMFORMATETC): HRESULT; stdcall;
Public | function DAdvise(const formatetc: FORMATETC; advf: DWORD; const AdvSink: IAdviseSink; out dwConnection: DWORD): HRESULT; stdcall;
Public | function DUnadvise(dwconnection: DWORD): HRESULT; stdcall;
Public | function EnumdAdvise(out EnumAdvise: IEnumStatData): HRESULT; stdcall;

Description

Fields

Protected FNumFormats: integer;

This item has no description.

Protected FFormatArray: TOLEFormatArray;

This item has no description.

Protected FMediumArray: TOLEMediumArray;

This item has no description.

Protected FAsync: boolean;

This item has no description.

Protected FInOperation: boolean;

This item has no description.

Methods

Protected function LookupFormatEtc(const aFormatEtc : TFormatEtc) : integer;

This item has no description.

Protected function DupGlobalMem(hMem : HGLOBAL) : HGLOBAL;

This item has no description.

Public constructor Create(const aFormatArray : TOLEFormatArray; const aMediumArray : TOLEMediumArray; aNumFormats : integer); reintroduce;

This item has no description.

Public function GetData(const FormatEtcIn: TFormatEtc; out Medium: TStgMedium):HRESULT; stdcall;

IDataObject

Public function GetDataHere(const FormatEtc: TFormatEtc; out Medium: TStgMedium):HRESULT; stdcall;

This item has no description.

Public function QueryGetData(const FormatEtc: TFormatEtc): HRESULT; stdcall;

This item has no description.

Public function GetCanonicalFormatEtc(const FormatEtc: TFormatEtc; out FormatEtcout: TFormatEtc): HRESULT; stdcall;

This item has no description.

Public function SetData(const pformatetc: FORMATETC; const medium: STGMEDIUM; FRelease: BOOL): HRESULT; stdcall;

This item has no description.

Public function EnumFormatEtc(dwDirection: DWORD; out aEnumFormatEtc: IENUMFORMATETC): HRESULT; stdcall;

This item has no description.

Public function DAdvise(const formatetc: FORMATETC; advf: DWORD; const AdvSink: IAdviseSink; out dwConnection: DWORD): HRESULT; stdcall;

This item has no description.

Public function DUnadvise(dwconnection: DWORD): HRESULT; stdcall;

This item has no description.

Public function EnumdAdvise(out EnumAdvise: IEnumStatData): HRESULT; stdcall;

This item has no description.


cef4delphi: uCEFOLEDragAndDrop: Class TOLEDropTarget

Class TOLEDropTarget

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFOLEDragAndDrop

Declaration

type TOLEDropTarget = class(TInterfacedObject, IDropTarget)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TOLEDropTarget

Overview

Fields

Protected FManager: TOLEDragAndDropMgr;

Methods

Public | constructor Create(const aManager : TOLEDragAndDropMgr); reintroduce;
Public | function DragEnter(const dataObj: IDataObject; grfKeyState: DWORD; pt: TPoint; var dwEffect: DWORD): HRESULT; stdcall;
Public | function DragOver(grfKeyState: DWORD; pt: TPoint; var dwEffect: DWORD): HRESULT; stdcall;
Public | function Drop(const dataObj: IDataObject; grfKeyState: DWORD; pt: TPoint; var dwEffect: DWORD): HRESULT; stdcall;
Public | function DragLeave: HRESULT; stdcall;

Description

Fields

Protected FManager: TOLEDragAndDropMgr;

This item has no description.

Methods

Public constructor Create(const aManager : TOLEDragAndDropMgr); reintroduce;

This item has no description.

Public function DragEnter(const dataObj: IDataObject; grfKeyState: DWORD; pt: TPoint; var dwEffect: DWORD): HRESULT; stdcall;

IDropTarget

Public function DragOver(grfKeyState: DWORD; pt: TPoint; var dwEffect: DWORD): HRESULT; stdcall;

This item has no description.

Public function Drop(const dataObj: IDataObject; grfKeyState: DWORD; pt: TPoint; var dwEffect: DWORD): HRESULT; stdcall;

This item has no description.

Public function DragLeave: HRESULT; stdcall;

This item has no description.


cef4delphi: uCEFOsrBrowserWindow

Unit uCEFOsrBrowserWindow

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TEmbeddedOsrChromium |
Class TOsrBrowserWindow |

Functions and Procedures

procedure Register;

Types

TBrowserMouseEvent = procedure(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer; var AHandled: Boolean) of Object;
TBrowserMouseMoveEvent = procedure(Sender: TObject; Shift: TShiftState; X, Y: Integer; var AHandled: Boolean) of Object;
TBrowserMouseWheelEvent = procedure(Sender: TObject; Shift: TShiftState; WheelDelta: Integer; MousePos: TPoint; var AHandled: Boolean) of Object;
TBrowserKeyEvent = procedure(Sender: TObject; var Key: Word; Shift: TShiftState; var AHandled: Boolean) of Object;
TBrowserUTF8KeyPressEvent = procedure(Sender: TObject; var UTF8Key: TUTF8Char; var AHandled: Boolean) of Object;

Description

Functions and Procedures

procedure Register;

This item has no description.

Types

TBrowserMouseEvent = procedure(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer; var AHandled: Boolean) of Object;

This item has no description.

TBrowserMouseMoveEvent = procedure(Sender: TObject; Shift: TShiftState; X, Y: Integer; var AHandled: Boolean) of Object;

This item has no description.

TBrowserMouseWheelEvent = procedure(Sender: TObject; Shift: TShiftState; WheelDelta: Integer; MousePos: TPoint; var AHandled: Boolean) of Object;

This item has no description.

TBrowserKeyEvent = procedure(Sender: TObject; var Key: Word; Shift: TShiftState; var AHandled: Boolean) of Object;

This item has no description.

TBrowserUTF8KeyPressEvent = procedure(Sender: TObject; var UTF8Key: TUTF8Char; var AHandled: Boolean) of Object;

TBrowserKeyPressEvent = procedure(Sender: TObject; var Key: char; var AHandled: Boolean) of Object;


cef4delphi: uCEFOsrBrowserWindow: Class TEmbeddedOsrChromium

Class TEmbeddedOsrChromium

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFOsrBrowserWindow

Declaration

type TEmbeddedOsrChromium = class(TEmbeddedChromium)

Description

TEmbeddedOsrChromium

Hides (THiddenPropertyEditor) any published event that is used by TOsrBrowserWindow * Hidden events must also not be used by user code *

Hierarchy

  • TObject
  • TPersistent
  • TComponent
  • TChromiumCore
  • TChromium
  • TEmbeddedChromium
  • TEmbeddedOsrChromium


cef4delphi: uCEFOsrBrowserWindow: Class TOsrBrowserWindow

Class TOsrBrowserWindow

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFOsrBrowserWindow

Declaration

type TOsrBrowserWindow = class(TBufferPanel)

Description

TOsrBrowserWindow - Off-Screen-Rendering

A simple "drop on the Form" component for an full embedded browser.

See notes an TBrowserWindow for requirements in user code. Further: - Some keystrokes may not be sent to KeyDown/KeyPress by the LCL. They may be available as WM_SYSKEYDOWN/UP message on the containing Form.

This component is still experimental. - On MacOS Keyboard support is not complete

Hierarchy

  • TCustomPanel
  • TBufferPanel
  • TOsrBrowserWindow

Overview

Methods

Protected | function GetChromium: TEmbeddedOsrChromium;
Protected | function getModifiers(Shift: TShiftState): TCefEventFlags;
Protected | function getKeyModifiers(Shift: TShiftState): TCefEventFlags;
Protected | function GetButton(Button: TMouseButton): TCefMouseButtonType;
Protected | procedure DestroyHandle; override;
Protected | procedure RealizeBounds; override;
Protected | procedure DoEnter; override;
Protected | procedure DoExit; override;
Protected | procedure Click; override;
Protected | procedure MouseDown(Button: TMouseButton; Shift: TShiftState; X, Y: Integer); override;
Protected | procedure MouseUp(Button: TMouseButton; Shift: TShiftState; X, Y: Integer); override;
Protected | procedure MouseMove(Shift: TShiftState; X, Y: Integer); override;
Protected | procedure MouseEnter; override;
Protected | procedure MouseLeave; override;
Protected | function DoMouseWheel(Shift: TShiftState; WheelDelta: Integer; MousePos: TPoint): Boolean; override;
Protected | procedure KeyDown(var Key: Word; Shift: TShiftState); override;
Protected | procedure UTF8KeyPress(var UTF8Key: TUTF8Char); override;
Protected | procedure KeyUp(var Key: Word; Shift: TShiftState); override;
Protected | procedure DoOnIMECancelComposition; override;
Protected | procedure DoOnIMECommitText(const aText : ustring; const replacement_range : PCefRange; relative_cursor_pos : integer); override;
Protected | procedure DoOnIMESetComposition(const aText : ustring; const underlines : TCefCompositionUnderlineDynArray; const replacement_range, selection_range : TCefRange); override;
Protected | procedure CaptureChanged; override;
Protected | procedure DoOnCreated(Sender: TObject);
Protected | procedure DoOnClosed(Sender: TObject);
Public | constructor Create(AOwner: TComponent); override;
Public | destructor Destroy; override;
Public | procedure CreateHandle; override;
Public | procedure CloseBrowser(aForceClose: boolean);
Public | procedure WaitForBrowserClosed;
Public | function IsClosed: boolean;
Public | procedure LoadURL(aURL: ustring);

Properties

Published | property Chromium : TEmbeddedOsrChromium read GetChromium;
Published | property OnBrowserCreated : TNotifyEvent read FOnBrowserCreated write FOnBrowserCreated;
Published | property OnBrowserClosed : TNotifyEvent read FOnBrowserClosed write FOnBrowserClosed;
Published | property OnMouseDown: TBrowserMouseEvent read FOnMouseDown write FOnMouseDown;
Published | property OnMouseUp: TBrowserMouseEvent read FOnMouseUp write FOnMouseUp;
Published | property OnMouseMove: TBrowserMouseMoveEvent read FOnMouseMove write FOnMouseMove;
Published | property OnMouseWheel: TBrowserMouseWheelEvent read FOnMouseWheel write FOnMouseWheel;
Published | property OnKeyDown: TBrowserKeyEvent read FOnKeyDown write FOnKeyDown;
Published | property OnKeyUp: TBrowserKeyEvent read FOnKeyUp write FOnKeyUp;
Published | property OnUtf8KeyPress: TBrowserUTF8KeyPressEvent read FOnUtf8KeyPress write FOnUtf8KeyPress;

Description

Methods

Protected function GetChromium: TEmbeddedOsrChromium;

This item has no description.

Protected function getModifiers(Shift: TShiftState): TCefEventFlags;

This item has no description.

Protected function getKeyModifiers(Shift: TShiftState): TCefEventFlags;

This item has no description.

Protected function GetButton(Button: TMouseButton): TCefMouseButtonType;

This item has no description.

Protected procedure DestroyHandle; override;

This item has no description.

Protected procedure RealizeBounds; override;

This item has no description.

Protected procedure DoEnter; override;

This item has no description.

Protected procedure DoExit; override;

This item has no description.

Protected procedure Click; override;

This item has no description.

Protected procedure MouseDown(Button: TMouseButton; Shift: TShiftState; X, Y: Integer); override;

This item has no description.

Protected procedure MouseUp(Button: TMouseButton; Shift: TShiftState; X, Y: Integer); override;

This item has no description.

Protected procedure MouseMove(Shift: TShiftState; X, Y: Integer); override;

This item has no description.

Protected procedure MouseEnter; override;

This item has no description.

Protected procedure MouseLeave; override;

This item has no description.

Protected function DoMouseWheel(Shift: TShiftState; WheelDelta: Integer; MousePos: TPoint): Boolean; override;

This item has no description.

Protected procedure KeyDown(var Key: Word; Shift: TShiftState); override;

Key input works only for windows.

Protected procedure UTF8KeyPress(var UTF8Key: TUTF8Char); override;

This item has no description.

Protected procedure KeyUp(var Key: Word; Shift: TShiftState); override;

This item has no description.

Protected procedure DoOnIMECancelComposition; override;

This item has no description.

Protected procedure DoOnIMECommitText(const aText : ustring; const replacement_range : PCefRange; relative_cursor_pos : integer); override;

This item has no description.

Protected procedure DoOnIMESetComposition(const aText : ustring; const underlines : TCefCompositionUnderlineDynArray; const replacement_range, selection_range : TCefRange); override;

This item has no description.

Protected procedure CaptureChanged; override;

This item has no description.

Protected procedure DoOnCreated(Sender: TObject);

This item has no description.

Protected procedure DoOnClosed(Sender: TObject);

This item has no description.

Public constructor Create(AOwner: TComponent); override;

This item has no description.

Public destructor Destroy; override;

This item has no description.

Public procedure CreateHandle; override;

This item has no description.

Public procedure CloseBrowser(aForceClose: boolean);

This item has no description.

Public procedure WaitForBrowserClosed;

This item has no description.

Public function IsClosed: boolean;

This item has no description.

Public procedure LoadURL(aURL: ustring);

This item has no description.

Properties

Published property Chromium : TEmbeddedOsrChromium read GetChromium;

This item has no description.

Published property OnBrowserCreated : TNotifyEvent read FOnBrowserCreated write FOnBrowserCreated;

This item has no description.

Published property OnBrowserClosed : TNotifyEvent read FOnBrowserClosed write FOnBrowserClosed;

This item has no description.

Published property OnMouseDown: TBrowserMouseEvent read FOnMouseDown write FOnMouseDown;

Mouse/Key events The below events can be used to see mouse/key input before it is sent to CEF. All events have a "AHandled" parameter, which can be used to prevent the event from being sent to CEF.

Published property OnMouseUp: TBrowserMouseEvent read FOnMouseUp write FOnMouseUp;

This item has no description.

Published property OnMouseMove: TBrowserMouseMoveEvent read FOnMouseMove write FOnMouseMove;

This item has no description.

Published property OnMouseWheel: TBrowserMouseWheelEvent read FOnMouseWheel write FOnMouseWheel;

This item has no description.

Published property OnKeyDown: TBrowserKeyEvent read FOnKeyDown write FOnKeyDown;

This item has no description.

Published property OnKeyUp: TBrowserKeyEvent read FOnKeyUp write FOnKeyUp;

This item has no description.

Published property OnUtf8KeyPress: TBrowserUTF8KeyPressEvent read FOnUtf8KeyPress write FOnUtf8KeyPress;

This item has no description.


cef4delphi: uCEFOSRIMEHandler

Unit uCEFOSRIMEHandler

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCEFOSRIMEHandler | Class used to handle the IME window.

Constants

DEFAULT_BLINK_UNDERLINE_COLOR = $FF000000;
DEFAULT_BLINK_BACKGROUND_COLOR = $00000000;
DEFAULT_BLINK_UNDERLINE_STYLE = CEF_CUS_SOLID;
KEYBOARD_LAYOUT_EN_US = $0409;

Description

Constants

DEFAULT_BLINK_UNDERLINE_COLOR = $FF000000;

This item has no description.

DEFAULT_BLINK_BACKGROUND_COLOR = $00000000;

Black SkColor

DEFAULT_BLINK_UNDERLINE_STYLE = CEF_CUS_SOLID;

White SkColor

KEYBOARD_LAYOUT_EN_US = $0409;

This item has no description.


cef4delphi: uCEFOSRIMEHandler: Class TCEFOSRIMEHandler

Class TCEFOSRIMEHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFOSRIMEHandler

Declaration

type TCEFOSRIMEHandler = class(TObject)

Description

Class used to handle the IME window.

Hierarchy

  • TObject
  • TCEFOSRIMEHandler

Overview

Fields

Protected | FHWND: HWND;
Protected | FCompositionRange: TCefRange;
Protected | FCursorIndex: cardinal;
Protected | FIMERect: TCefRect;
Protected | FSystemCaret: boolean;
Protected | FInputLanguageID: LANGID;
Protected | FCompositionBounds: TCefRectDynArray;
Protected | FIsComposing: boolean;
Protected | FIMM32DLL: THandle;

Methods

Protected | function GetPrimaryLangID: word;
Protected | function GetSubLangID: word;
Protected | function GetInitialized: boolean;
Protected | procedure GetCompositionInfo(imc : HIMC; aParam : LPARAM; var composition_text : ustring; var underlines : TCefCompositionUnderlineDynArray; var composition_start : integer);
Protected | function GetString(imc : HIMC; aParam : WParam; aType : integer; var aResult : ustring) : boolean;
Protected | function IsSelectionAttribute(aAttribute : AnsiChar) : boolean;
Protected | procedure GetCompositionSelectionRange(imc : HIMC; var target_start, target_end : cardinal);
Protected | procedure GetCompositionUnderlines(imc : HIMC; target_start, target_end : cardinal; var underlines : TCefCompositionUnderlineDynArray);
Public | constructor Create(aHWND : HWND);
Public | destructor Destroy; override;
Public | procedure SetInputLanguage;
Public | procedure CreateImeWindow;
Public | procedure DestroyImeWindow;
Public | procedure CleanupComposition;
Public | procedure ResetComposition;
Public | function GetResult(aParam : LPARAM; var aResult : ustring) : boolean;
Public | function GetComposition(aParam : LPARAM; var composition_text : ustring; var underlines : TCefCompositionUnderlineDynArray; var composition_start : integer) : boolean;
Public | procedure EnableIME;
Public | procedure DisableIME;
Public | procedure CancelIME;
Public | procedure UpdateCaretPosition(index : cardinal);
Public | procedure ChangeCompositionRange(const selection_range : TCefRange; const character_bounds : TCefRectDynArray);
Public | procedure MoveImeWindow;

Properties

Public | property IsComposing : boolean read FIsComposing;
Public | property InputLanguageID : LANGID read FInputLanguageID;
Public | property PrimaryLangID : word read GetPrimaryLangID;
Public | property SubLangID : word read GetSubLangID;
Public | property Initialized : boolean read GetInitialized;

Description

Fields

Protected FHWND: HWND;

This item has no description.

Protected FCompositionRange: TCefRange;

This item has no description.

Protected FCursorIndex: cardinal;

This item has no description.

Protected FIMERect: TCefRect;

This item has no description.

Protected FSystemCaret: boolean;

This item has no description.

Protected FInputLanguageID: LANGID;

This item has no description.

Protected FCompositionBounds: TCefRectDynArray;

This item has no description.

Protected FIsComposing: boolean;

This item has no description.

Protected FIMM32DLL: THandle;

This item has no description.

Methods

Protected function GetPrimaryLangID: word;

This item has no description.

Protected function GetSubLangID: word;

This item has no description.

Protected function GetInitialized: boolean;

This item has no description.

Protected procedure GetCompositionInfo(imc : HIMC; aParam : LPARAM; var composition_text : ustring; var underlines : TCefCompositionUnderlineDynArray; var composition_start : integer);

This item has no description.

Protected function GetString(imc : HIMC; aParam : WParam; aType : integer; var aResult : ustring) : boolean;

This item has no description.

Protected function IsSelectionAttribute(aAttribute : AnsiChar) : boolean;

This item has no description.

Protected procedure GetCompositionSelectionRange(imc : HIMC; var target_start, target_end : cardinal);

This item has no description.

Protected procedure GetCompositionUnderlines(imc : HIMC; target_start, target_end : cardinal; var underlines : TCefCompositionUnderlineDynArray);

This item has no description.

Public constructor Create(aHWND : HWND);

This item has no description.

Public destructor Destroy; override;

This item has no description.

Public procedure SetInputLanguage;

Sets InputLanguageID using the name of the active input locale identifier obtained from a GetKeyboardLayoutNameW call.

<see href="https://learn.microsoft.com/en-us/windows/win32/api/winuser/nf-winuser-getkeyboardlayoutnamew">See the GetKeyboardLayoutNameW article.)

Public procedure CreateImeWindow;

Calls CreateCaret for some languages in order to creates a new shape for the system caret and assigns ownership of the caret to the specified window.

<see href="https://learn.microsoft.com/en-us/windows/win32/api/winuser/nf-winuser-createcaret">See the CreateCaret article.)

Public procedure DestroyImeWindow;

Calls DestroyCaret for some languages in order to destroy the caret's current shape, frees the caret from the window, and removes the caret from the screen.

<see href="https://learn.microsoft.com/en-us/windows/win32/api/winuser/nf-winuser-destroycaret">See the DestroyCaret article.)

Public procedure CleanupComposition;

Cleans up the all resources attached to the given IMM32Manager object, and reset its composition status.

<see href="https://learn.microsoft.com/en-us/windows/win32/api/imm/nf-imm-immnotifyime">See the ImmNotifyIME article.)

Public procedure ResetComposition;

Reset the composition status. Cancel the ongoing composition if it exists.

Public function GetResult(aParam : LPARAM; var aResult : ustring) : boolean;

Retrieve a composition result of the ongoing composition if it exists.

Public function GetComposition(aParam : LPARAM; var composition_text : ustring; var underlines : TCefCompositionUnderlineDynArray; var composition_start : integer) : boolean;

Retrieve the current composition status of the ongoing composition. Includes composition text, underline information and selection range in the composition text. IMM32 does not support char selection.

Public procedure EnableIME;

Enable the IME attached to the given window, i.e. allows user-input events to be dispatched to the IME. In Chromium, this function is used when a renderer process moves its input focus to another edit control, or a renrerer process moves the position of the focused edit control.

Public procedure DisableIME;

Disable the IME attached to the given window, i.e. prohibits any user-input events from being dispatched to the IME. In Chromium, this function is used when a renreder process sets its input focus to a password input.

Public procedure CancelIME;

Cancels an ongoing composition of the IME.

Public procedure UpdateCaretPosition(index : cardinal);

Updates the IME caret position of the given window.

Public procedure ChangeCompositionRange(const selection_range : TCefRange; const character_bounds : TCefRectDynArray);

Updates the composition range. |selected_range| is the range of characters that have been selected. |character_bounds| is the bounds of each character in view device coordinates.

Public procedure MoveImeWindow;

Updates the position of the IME windows.

Properties

Public property IsComposing : boolean read FIsComposing;

Retrieves whether or not there is an ongoing composition.

Public property InputLanguageID : LANGID read FInputLanguageID;

The current input Language ID retrieved from Windows used for processing language-specific operations in IME.

Public property PrimaryLangID : word read GetPrimaryLangID;

Returns the primary language ID based on the InputLanguageID value.

Public property SubLangID : word read GetSubLangID;

Returns the sublanguage ID based on the InputLanguageID value.

Public property Initialized : boolean read GetInitialized;

Resturns True if the library was loaded successfully.


cef4delphi: uCEFOverlayController

Unit uCEFOverlayController

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefOverlayControllerRef | Controller for an overlay that contains a contents View added via ICefWindow.AddOverlayView. Methods exposed by this controller should be called in preference to functions of the same name exposed by the contents View unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.


cef4delphi: uCEFOverlayController: Class TCefOverlayControllerRef

Class TCefOverlayControllerRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFOverlayController

Declaration

type TCefOverlayControllerRef = class(TCefBaseRefCountedRef, ICefOverlayController)

Description

Controller for an overlay that contains a contents View added via ICefWindow.AddOverlayView. Methods exposed by this controller should be called in preference to functions of the same name exposed by the contents View unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_overlay_controller_capi.h">CEF source file: /include/capi/views/cef_overlay_controller_capi.h (cef_overlay_controller_t))

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefOverlayControllerRef

Overview

Methods

Public | function IsValid: boolean;
Public | function IsSame(const that: ICefOverlayController): boolean;
Public | function GetContentsView: ICefView;
Public | function GetWindow: ICefWindow;
Public | function GetDockingMode: TCefDockingMode;
Public | procedure DestroyOverlay;
Public | procedure SetBounds(const bounds: TCefRect);
Public | function GetBounds: TCefRect;
Public | function GetBoundsInScreen: TCefRect;
Public | procedure SetSize(const size: TCefSize);
Public | function GetSize: TCefSize;
Public | procedure SetPosition(const position: TCefPoint);
Public | function GetPosition: TCefPoint;
Public | procedure SetInsets(const insets: TCefInsets);
Public | function GetInsets: TCefInsets;
Public | procedure SizeToPreferredSize;
Public | procedure SetVisible(visible: boolean);
Public | function IsVisible: boolean;
Public | function IsDrawn: boolean;
Public | class function UnWrap(data: Pointer): ICefOverlayController;

Description

Methods

Public function IsValid: boolean;

Returns true (1) if this object is valid.

Public function IsSame(const that: ICefOverlayController): boolean;

Returns true (1) if this object is the same as |that| object.

Public function GetContentsView: ICefView;

Returns the contents View for this overlay.

Public function GetWindow: ICefWindow;

Returns the top-level Window hosting this overlay. Use this function instead of calling get_window() on the contents View.

Public function GetDockingMode: TCefDockingMode;

Returns the docking mode for this overlay.

Public procedure DestroyOverlay;

Destroy this overlay.

Public procedure SetBounds(const bounds: TCefRect);

Sets the bounds (size and position) of this overlay. This will set the bounds of the contents View to match and trigger a re-layout if necessary. |bounds| is in parent coordinates and any insets configured on this overlay will be ignored. Use this function only for overlays created with a docking mode value of CEF_DOCKING_MODE_CUSTOM. With other docking modes modify the insets of this overlay and/or layout of the contents View and call size_to_preferred_size() instead to calculate the new size and re- position the overlay if necessary.

Public function GetBounds: TCefRect;

Returns the bounds (size and position) of this overlay in parent coordinates.

Public function GetBoundsInScreen: TCefRect;

Returns the bounds (size and position) of this overlay in DIP screen coordinates.

Public procedure SetSize(const size: TCefSize);

Sets the size of this overlay without changing the position. This will set the size of the contents View to match and trigger a re-layout if necessary. |size| is in parent coordinates and any insets configured on this overlay will be ignored. Use this function only for overlays created with a docking mode value of CEF_DOCKING_MODE_CUSTOM. With other docking modes modify the insets of this overlay and/or layout of the contents View and call size_to_preferred_size() instead to calculate the new size and re-position the overlay if necessary.

Public function GetSize: TCefSize;

Returns the size of this overlay in parent coordinates.

Public procedure SetPosition(const position: TCefPoint);

Sets the position of this overlay without changing the size. |position| is in parent coordinates and any insets configured on this overlay will be ignored. Use this function only for overlays created with a docking mode value of CEF_DOCKING_MODE_CUSTOM. With other docking modes modify the insets of this overlay and/or layout of the contents View and call size_to_preferred_size() instead to calculate the new size and re-position the overlay if necessary.

Public function GetPosition: TCefPoint;

Returns the position of this overlay in parent coordinates.

Public procedure SetInsets(const insets: TCefInsets);

Sets the insets for this overlay. |insets| is in parent coordinates. Use this function only for overlays created with a docking mode value other than CEF_DOCKING_MODE_CUSTOM.

Public function GetInsets: TCefInsets;

Returns the insets for this overlay in parent coordinates.

Public procedure SizeToPreferredSize;

Size this overlay to its preferred size and trigger a re-layout if necessary. The position of overlays created with a docking mode value of CEF_DOCKING_MODE_CUSTOM will not be modified by calling this function. With other docking modes this function may re-position the overlay if necessary to accommodate the new size and any insets configured on the contents View.

Public procedure SetVisible(visible: boolean);

Sets whether this overlay is visible. Overlays are hidden by default. If this overlay is hidden then it and any child Views will not be drawn and, if any of those Views currently have focus, then focus will also be cleared. Painting is scheduled as needed.

Public function IsVisible: boolean;

Returns whether this overlay is visible. A View may be visible but still not drawn in a Window if any parent Views are hidden. Call is_drawn() to determine whether this overlay and all parent Views are visible and will be drawn.

Public function IsDrawn: boolean;

Returns whether this overlay is visible and drawn in a Window. A View is drawn if it and all parent Views are visible. To determine if the containing Window is visible to the user on-screen call is_visible() on the Window.

Public class function UnWrap(data: Pointer): ICefOverlayController;

Returns a ICefOverlayController instance using a PCefOverlayController data pointer.


cef4delphi: uCEFPanel

Unit uCEFPanel

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefPanelRef | A Panel is a container in the views hierarchy that can contain other Views as children. Methods must be called on the browser process UI thread unless otherwise indicated.


cef4delphi: uCEFPanel: Class TCefPanelRef

Class TCefPanelRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFPanel

Declaration

type TCefPanelRef = class(TCefViewRef, ICefPanel)

Description

A Panel is a container in the views hierarchy that can contain other Views as children. Methods must be called on the browser process UI thread unless otherwise indicated.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_panel_capi.h">CEF source file: /include/capi/views/cef_panel_capi.h (cef_panel_t))

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefViewRef
  • TCefPanelRef

Overview

Methods

Protected | function GetAsWindow: ICefWindow;
Protected | function SetToFillLayout: ICefFillLayout;
Protected | function SetToBoxLayout(const settings: TCefBoxLayoutSettings): ICefBoxLayout;
Protected | function GetLayout: ICefLayout;
Protected | procedure Layout;
Protected | procedure AddChildView(const view: ICefView);
Protected | procedure AddChildViewAt(const view: ICefView; index: Integer);
Protected | procedure ReorderChildView(const view: ICefView; index: Integer);
Protected | procedure RemoveChildView(const view: ICefView);
Protected | procedure RemoveAllChildViews;
Protected | function GetChildViewCount: NativeUInt;
Protected | function GetChildViewAt(index: Integer): ICefView;
Public | class function UnWrap(data: Pointer): ICefPanel;
Public | class function CreatePanel(const delegate: ICefPanelDelegate): ICefPanel;

Description

Methods

Protected function GetAsWindow: ICefWindow;

Returns this Panel as a Window or NULL if this is not a Window.

Protected function SetToFillLayout: ICefFillLayout;

Set this Panel's Layout to FillLayout and return the FillLayout object.

Protected function SetToBoxLayout(const settings: TCefBoxLayoutSettings): ICefBoxLayout;

Set this Panel's Layout to BoxLayout and return the BoxLayout object.

Protected function GetLayout: ICefLayout;

Get the Layout.

Protected procedure Layout;

Lay out the child Views (set their bounds based on sizing heuristics specific to the current Layout).

Protected procedure AddChildView(const view: ICefView);

Add a child View.

Protected procedure AddChildViewAt(const view: ICefView; index: Integer);

Add a child View at the specified |index|. If |index| matches the result of GetChildCount() then the View will be added at the end.

Protected procedure ReorderChildView(const view: ICefView; index: Integer);

Move the child View to the specified |index|. A negative value for |index| will move the View to the end.

Protected procedure RemoveChildView(const view: ICefView);

Remove a child View. The View can then be added to another Panel.

Protected procedure RemoveAllChildViews;

Remove all child Views. The removed Views will be deleted if the client holds no references to them.

Protected function GetChildViewCount: NativeUInt;

Returns the number of child Views.

Protected function GetChildViewAt(index: Integer): ICefView;

Returns the child View at the specified |index|.

Public class function UnWrap(data: Pointer): ICefPanel;

Returns a ICefPanel instance using a PCefPanel data pointer.

Public class function CreatePanel(const delegate: ICefPanelDelegate): ICefPanel;

Create a new Panel.


cef4delphi: uCEFPanelComponent

Unit uCEFPanelComponent

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCEFPanelComponent |

Functions and Procedures

procedure Register;

Description

Functions and Procedures

procedure Register;

This item has no description.


cef4delphi: uCEFPanelComponent: Class TCEFPanelComponent

Class TCEFPanelComponent

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFPanelComponent

Declaration

type TCEFPanelComponent = class(TCEFViewComponent, ICefPanelDelegateEvents)

Description

This item has no description.

Hierarchy

  • TObject
  • TPersistent
  • TComponent
  • TCEFViewComponent
  • TCEFPanelComponent

Overview

Fields

Protected FPanel: ICefPanel;

Methods

Protected | procedure DestroyView; override;
Protected | procedure Initialize; override;
Protected | function GetInitialized: boolean; override;
Protected | function GetAsView: ICefView; override;
Protected | function GetAsPanel: ICefPanel; override;
Protected | function GetAsWindow: ICefWindow; virtual;
Protected | function GetChildViewCount: NativeUInt;
Protected | procedure doCreateCustomView; override;
Public | procedure CreatePanel;
Public | function SetToFillLayout: ICefFillLayout;
Public | function SetToBoxLayout(const settings: TCefBoxLayoutSettings): ICefBoxLayout;
Public | function GetLayout: ICefLayout;
Public | procedure Layout;
Public | procedure AddChildView(const view: ICefView);
Public | procedure AddChildViewAt(const view: ICefView; index: Integer);
Public | procedure ReorderChildView(const view: ICefView; index: Integer);
Public | procedure RemoveChildView(const view: ICefView);
Public | procedure RemoveAllChildViews;
Public | function GetChildViewAt(index: Integer): ICefView;

Properties

Public | property AsWindow : ICefWindow read GetAsWindow;
Public | property ChildViewCount : NativeUInt read GetChildViewCount;

Description

Fields

Protected FPanel: ICefPanel;

This item has no description.

Methods

Protected procedure DestroyView; override;

This item has no description.

Protected procedure Initialize; override;

This item has no description.

Protected function GetInitialized: boolean; override;

This item has no description.

Protected function GetAsView: ICefView; override;

This item has no description.

Protected function GetAsPanel: ICefPanel; override;

This item has no description.

Protected function GetAsWindow: ICefWindow; virtual;

This item has no description.

Protected function GetChildViewCount: NativeUInt;

This item has no description.

Protected procedure doCreateCustomView; override;

ICefViewDelegateEvents

Public procedure CreatePanel;

Create a new Panel.

Public function SetToFillLayout: ICefFillLayout;

Set this Panel's Layout to FillLayout and return the FillLayout object.

Public function SetToBoxLayout(const settings: TCefBoxLayoutSettings): ICefBoxLayout;

Set this Panel's Layout to BoxLayout and return the BoxLayout object.

Public function GetLayout: ICefLayout;

Get the Layout.

Public procedure Layout;

Lay out the child Views (set their bounds based on sizing heuristics specific to the current Layout).

Public procedure AddChildView(const view: ICefView);

Add a child View.

Public procedure AddChildViewAt(const view: ICefView; index: Integer);

Add a child View at the specified |index|. If |index| matches the result of GetChildCount() then the View will be added at the end.

Public procedure ReorderChildView(const view: ICefView; index: Integer);

Move the child View to the specified |index|. A negative value for |index| will move the View to the end.

Public procedure RemoveChildView(const view: ICefView);

Remove a child View. The View can then be added to another Panel.

Public procedure RemoveAllChildViews;

Remove all child Views. The removed Views will be deleted if the client holds no references to them.

Public function GetChildViewAt(index: Integer): ICefView;

Returns the child View at the specified |index|.

Properties

Public property AsWindow : ICefWindow read GetAsWindow;

Returns this Panel as a Window or NULL if this is not a Window.

Public property ChildViewCount : NativeUInt read GetChildViewCount;

Returns the number of child Views.


cef4delphi: uCEFPanelDelegate

Unit uCEFPanelDelegate

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefPanelDelegateRef |
Class TCefPanelDelegateOwn | Implement this interface to handle Panel events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.
Class TCustomPanelDelegate | This class handles all the ICefPanelDelegate methods which call the ICefPanelDelegateEvents methods. ICefPanelDelegateEvents will be implemented by the control receiving the ICefPanelDelegate events.


cef4delphi: uCEFPanelDelegate: Class TCefPanelDelegateRef

Class TCefPanelDelegateRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFPanelDelegate

Declaration

type TCefPanelDelegateRef = class(TCefViewDelegateRef, ICefPanelDelegate)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefViewDelegateRef
  • TCefPanelDelegateRef

Overview

Methods

Public class function UnWrap(data: Pointer): ICefPanelDelegate;

Description

Methods

Public class function UnWrap(data: Pointer): ICefPanelDelegate;

Returns a ICefPanelDelegate instance using a PCefPanelDelegate data pointer.


cef4delphi: uCEFPanelDelegate: Class TCefPanelDelegateOwn

Class TCefPanelDelegateOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFPanelDelegate

Declaration

type TCefPanelDelegateOwn = class(TCefViewDelegateOwn, ICefPanelDelegate)

Description

Implement this interface to handle Panel events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_panel_delegate_capi.h">CEF source file: /include/capi/views/cef_panel_delegate_capi.h (cef_panel_delegate_t))

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefViewDelegateOwn
  • TCefPanelDelegateOwn

Overview

Methods

Public constructor Create; override;

Description

Methods

Public constructor Create; override;

This item has no description.


cef4delphi: uCEFPanelDelegate: Class TCustomPanelDelegate

Class TCustomPanelDelegate

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFPanelDelegate

Declaration

type TCustomPanelDelegate = class(TCefPanelDelegateOwn)

Description

This class handles all the ICefPanelDelegate methods which call the ICefPanelDelegateEvents methods. ICefPanelDelegateEvents will be implemented by the control receiving the ICefPanelDelegate events.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefViewDelegateOwn
  • TCefPanelDelegateOwn
  • TCustomPanelDelegate

Overview

Fields

Protected FEvents: Pointer;

Methods

Protected | procedure OnGetPreferredSize(const view: ICefView; var aResult : TCefSize); override;
Protected | procedure OnGetMinimumSize(const view: ICefView; var aResult : TCefSize); override;
Protected | procedure OnGetMaximumSize(const view: ICefView; var aResult : TCefSize); override;
Protected | procedure OnGetHeightForWidth(const view: ICefView; width: Integer; var aResult: Integer); override;
Protected | procedure OnParentViewChanged(const view: ICefView; added: boolean; const parent: ICefView); override;
Protected | procedure OnChildViewChanged(const view: ICefView; added: boolean; const child: ICefView); override;
Protected | procedure OnWindowChanged(const view: ICefView; added: boolean); override;
Protected | procedure OnLayoutChanged(const view: ICefView; new_bounds: TCefRect); override;
Protected | procedure OnFocus(const view: ICefView); override;
Protected | procedure OnBlur(const view: ICefView); override;
Protected | procedure OnThemeChanged(const view: ICefView); override;
Public | constructor Create(const events: ICefPanelDelegateEvents); reintroduce;

Description

Fields

Protected FEvents: Pointer;

This item has no description.

Methods

Protected procedure OnGetPreferredSize(const view: ICefView; var aResult : TCefSize); override;

ICefViewDelegate

Protected procedure OnGetMinimumSize(const view: ICefView; var aResult : TCefSize); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnGetMinimumSize.

Return the minimum size for |view|.

Protected procedure OnGetMaximumSize(const view: ICefView; var aResult : TCefSize); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnGetMaximumSize.

Return the maximum size for |view|.

Protected procedure OnGetHeightForWidth(const view: ICefView; width: Integer; var aResult: Integer); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnGetHeightForWidth.

Return the height necessary to display |view| with the provided |width|. If not specified the result of get_preferred_size().height will be used by default. Override if |view|'s preferred height depends upon the width (for example, with Labels).

Protected procedure OnParentViewChanged(const view: ICefView; added: boolean; const parent: ICefView); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnParentViewChanged.

Called when the parent of |view| has changed. If |view| is being added to |parent| then |added| will be true (1). If |view| is being removed from |parent| then |added| will be false (0). If |view| is being reparented the remove notification will be sent before the add notification. Do not modify the view hierarchy in this callback.

Protected procedure OnChildViewChanged(const view: ICefView; added: boolean; const child: ICefView); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnChildViewChanged.

Called when a child of |view| has changed. If |child| is being added to |view| then |added| will be true (1). If |child| is being removed from |view| then |added| will be false (0). If |child| is being reparented the remove notification will be sent to the old parent before the add notification is sent to the new parent. Do not modify the view hierarchy in this callback.

Protected procedure OnWindowChanged(const view: ICefView; added: boolean); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnWindowChanged.

Called when |view| is added or removed from the ICefWindow.

Protected procedure OnLayoutChanged(const view: ICefView; new_bounds: TCefRect); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnLayoutChanged.

Called when the layout of |view| has changed.

Protected procedure OnFocus(const view: ICefView); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnFocus.

Called when |view| gains focus.

Protected procedure OnBlur(const view: ICefView); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnBlur.

Called when |view| loses focus.

Protected procedure OnThemeChanged(const view: ICefView); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnThemeChanged.

(

Called when the theme for |view| has changed, after the new theme colors have already been applied. Views are notified via the component hierarchy in depth-first reverse order (children before parents).

This will be called in the following cases:

1. When |view|, or a parent of |view|, is added to a Window.
2. When the native/OS or Chrome theme changes for the Window that contains
   |view|. See ICefWindowDelegate.OnThemeColorsChanged documentation.
3. When the client explicitly calls ICefWindow.ThemeChanged on the
   Window that contains |view|.

Optionally use this callback to override the new per-View theme colors by calling ICefView.SetBackgroundColor or the appropriate component- specific function. See ICefWindow.SetThemeColor documentation for how to customize additional Window theme colors.

(

Public constructor Create(const events: ICefPanelDelegateEvents); reintroduce;

Creates an instance of this class liked to an interface that's implemented by a control receiving the events.


cef4delphi: uCEFPDFPrintCallback

Unit uCEFPDFPrintCallback

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefPdfPrintCallbackOwn |
Class TCefFastPdfPrintCallback |
Class TCefCustomPDFPrintCallBack |


cef4delphi: uCEFPDFPrintCallback: Class TCefPdfPrintCallbackOwn

Class TCefPdfPrintCallbackOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFPDFPrintCallback

Declaration

type TCefPdfPrintCallbackOwn = class(TCefBaseRefCountedOwn, ICefPdfPrintCallback)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefPdfPrintCallbackOwn

Overview

Methods

Protected | procedure OnPdfPrintFinished(const path: ustring; ok: Boolean); virtual; abstract;
Public | constructor Create; virtual;

Description

Methods

Protected procedure OnPdfPrintFinished(const path: ustring; ok: Boolean); virtual; abstract;

This item has no description. Showing description inherited from ICefPdfPrintCallback.OnPdfPrintFinished.

Method that will be executed when the PDF printing has completed. |path| is the output path. |ok| will be true (1) if the printing completed successfully or false (0) otherwise.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFPDFPrintCallback: Class TCefFastPdfPrintCallback

Class TCefFastPdfPrintCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFPDFPrintCallback

Declaration

type TCefFastPdfPrintCallback = class(TCefPdfPrintCallbackOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefPdfPrintCallbackOwn
  • TCefFastPdfPrintCallback

Overview

Fields

Protected FProc: TOnPdfPrintFinishedProc;

Methods

Protected | procedure OnPdfPrintFinished(const path: ustring; ok: Boolean); override;
Public | constructor Create(const proc: TOnPdfPrintFinishedProc); reintroduce;
Public | destructor Destroy; override;

Description

Fields

Protected FProc: TOnPdfPrintFinishedProc;

This item has no description.

Methods

Protected procedure OnPdfPrintFinished(const path: ustring; ok: Boolean); override;

This item has no description. Showing description inherited from ICefPdfPrintCallback.OnPdfPrintFinished.

Method that will be executed when the PDF printing has completed. |path| is the output path. |ok| will be true (1) if the printing completed successfully or false (0) otherwise.

Public constructor Create(const proc: TOnPdfPrintFinishedProc); reintroduce;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFPDFPrintCallback: Class TCefCustomPDFPrintCallBack

Class TCefCustomPDFPrintCallBack

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFPDFPrintCallback

Declaration

type TCefCustomPDFPrintCallBack = class(TCefPdfPrintCallbackOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefPdfPrintCallbackOwn
  • TCefCustomPDFPrintCallBack

Overview

Fields

Protected FEvents: Pointer;

Methods

Protected | procedure OnPdfPrintFinished(const path: ustring; aResultOK : Boolean); override;
Public | constructor Create(const aEvents : IChromiumEvents); reintroduce;
Public | destructor Destroy; override;

Description

Fields

Protected FEvents: Pointer;

This item has no description.

Methods

Protected procedure OnPdfPrintFinished(const path: ustring; aResultOK : Boolean); override;

This item has no description. Showing description inherited from ICefPdfPrintCallback.OnPdfPrintFinished.

Method that will be executed when the PDF printing has completed. |path| is the output path. |ok| will be true (1) if the printing completed successfully or false (0) otherwise.

Public constructor Create(const aEvents : IChromiumEvents); reintroduce;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFPDFPrintOptions

Unit uCEFPDFPrintOptions

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TPDFPrintOptions | The TPDFPrintOptions properties are used to fill the TCefPdfPrintSettings record which is used in the TChromiumCore.PrintToPDF call.


cef4delphi: uCEFPDFPrintOptions: Class TPDFPrintOptions

Class TPDFPrintOptions

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFPDFPrintOptions

Declaration

type TPDFPrintOptions = class(TObject)

Description

The TPDFPrintOptions properties are used to fill the TCefPdfPrintSettings record which is used in the TChromiumCore.PrintToPDF call.

Hierarchy

  • TObject
  • TPDFPrintOptions

Overview

Fields

Protected | FLandscape: boolean;
Protected | FPrintBackground: boolean;
Protected | FScale: double;
Protected | FPaperWidth: double;
Protected | FPaperHeight: double;
Protected | FPreferCSSPageSize: boolean;
Protected | FMarginType: TCefPdfPrintMarginType;
Protected | FMarginTop: double;
Protected | FMarginRight: double;
Protected | FMarginBottom: double;
Protected | FMarginLeft: double;
Protected | FPageRanges: ustring;
Protected | FDisplayHeaderFooter: boolean;
Protected | FHeaderTemplate: ustring;
Protected | FFooterTemplate: ustring;
Protected | FGenerateTaggedPDF: boolean;
Protected | FGenerateDocumentOutline: boolean;

Methods

Protected | function GetScalePct: double;
Protected | function GetPaperWidthMM: double;
Protected | function GetPaperHeightMM: double;
Protected | function GetMarginTopMM: double;
Protected | function GetMarginRightMM: double;
Protected | function GetMarginBottomMM: double;
Protected | function GetMarginLeftMM: double;
Protected | procedure SetScalePct(const aValue: double);
Protected | procedure SetPaperWidthMM(const aValue: double);
Protected | procedure SetPaperHeightMM(const aValue: double);
Protected | procedure SetMarginTopMM(const aValue: double);
Protected | procedure SetMarginRightMM(const aValue: double);
Protected | procedure SetMarginBottomMM(const aValue: double);
Protected | procedure SetMarginLeftMM(const aValue: double);
Protected | function InchesToMM(const aInches: double): double;
Protected | function MMToInches(const aMM: double): double;
Public | constructor Create; virtual;
Public | procedure CopyToSettings(var aSettings : TCefPdfPrintSettings);

Properties

Public | property Landscape : boolean read FLandscape write FLandscape;
Public | property PrintBackground : boolean read FPrintBackground write FPrintBackground;
Public | property PreferCSSPageSize : boolean read FPreferCSSPageSize write FPreferCSSPageSize;
Public | property PageRanges : ustring read FPageRanges write FPageRanges;
Public | property DisplayHeaderFooter : boolean read FDisplayHeaderFooter write FDisplayHeaderFooter;
Public | property HeaderTemplate : ustring read FHeaderTemplate write FHeaderTemplate;
Public | property FooterTemplate : ustring read FFooterTemplate write FFooterTemplate;
Public | property GenerateTaggedPDF : boolean read FGenerateTaggedPDF write FGenerateTaggedPDF;
Public | property GenerateDocumentOutline : boolean read FGenerateDocumentOutline write FGenerateDocumentOutline;
Public | property Scale : double read FScale write FScale;
Public | property ScalePct : double read GetScalePct write SetScalePct;
Public | property PaperWidthInch : double read FPaperWidth write FPaperWidth;
Public | property PaperHeightInch : double read FPaperHeight write FPaperHeight;
Public | property PaperWidthMM : double read GetPaperWidthMM write SetPaperWidthMM;
Public | property PaperHeightMM : double read GetPaperHeightMM write SetPaperHeightMM;
Public | property MarginType : TCefPdfPrintMarginType read FMarginType write FMarginType;
Public | property MarginTopInch : double read FMarginTop write FMarginTop;
Public | property MarginRightInch : double read FMarginRight write FMarginRight;
Public | property MarginBottomInch : double read FMarginBottom write FMarginBottom;
Public | property MarginLeftInch : double read FMarginLeft write FMarginLeft;
Public | property MarginTopMM : double read GetMarginTopMM write SetMarginTopMM;
Public | property MarginRightMM : double read GetMarginRightMM write SetMarginRightMM;
Public | property MarginBottomMM : double read GetMarginBottomMM write SetMarginBottomMM;
Public | property MarginLeftMM : double read GetMarginLeftMM write SetMarginLeftMM;

Description

Fields

Protected FLandscape: boolean;

This item has no description.

Protected FPrintBackground: boolean;

This item has no description.

Protected FScale: double;

This item has no description.

Protected FPaperWidth: double;

This item has no description.

Protected FPaperHeight: double;

This item has no description.

Protected FPreferCSSPageSize: boolean;

This item has no description.

Protected FMarginType: TCefPdfPrintMarginType;

This item has no description.

Protected FMarginTop: double;

This item has no description.

Protected FMarginRight: double;

This item has no description.

Protected FMarginBottom: double;

This item has no description.

Protected FMarginLeft: double;

This item has no description.

Protected FPageRanges: ustring;

This item has no description.

Protected FDisplayHeaderFooter: boolean;

This item has no description.

Protected FHeaderTemplate: ustring;

This item has no description.

Protected FFooterTemplate: ustring;

This item has no description.

Protected FGenerateTaggedPDF: boolean;

This item has no description.

Protected FGenerateDocumentOutline: boolean;

This item has no description.

Methods

Protected function GetScalePct: double;

This item has no description.

Protected function GetPaperWidthMM: double;

This item has no description.

Protected function GetPaperHeightMM: double;

This item has no description.

Protected function GetMarginTopMM: double;

This item has no description.

Protected function GetMarginRightMM: double;

This item has no description.

Protected function GetMarginBottomMM: double;

This item has no description.

Protected function GetMarginLeftMM: double;

This item has no description.

Protected procedure SetScalePct(const aValue: double);

This item has no description.

Protected procedure SetPaperWidthMM(const aValue: double);

This item has no description.

Protected procedure SetPaperHeightMM(const aValue: double);

This item has no description.

Protected procedure SetMarginTopMM(const aValue: double);

This item has no description.

Protected procedure SetMarginRightMM(const aValue: double);

This item has no description.

Protected procedure SetMarginBottomMM(const aValue: double);

This item has no description.

Protected procedure SetMarginLeftMM(const aValue: double);

This item has no description.

Protected function InchesToMM(const aInches: double): double;

This item has no description.

Protected function MMToInches(const aMM: double): double;

This item has no description.

Public constructor Create; virtual;

Constructor of TPDFPrintOptions

Public procedure CopyToSettings(var aSettings : TCefPdfPrintSettings);

Copy the fields of this class to the TCefPdfPrintSettings parameter.

Properties

Public property Landscape : boolean read FLandscape write FLandscape;

Set to true for landscape mode or false for portrait mode.

Public property PrintBackground : boolean read FPrintBackground write FPrintBackground;

Set to true to print background graphics.

Public property PreferCSSPageSize : boolean read FPreferCSSPageSize write FPreferCSSPageSize;

Set to true to prefer page size as defined by css. Defaults to false, in which case the content will be scaled to fit the paper size.

Public property PageRanges : ustring read FPageRanges write FPageRanges;

Paper ranges to print, one based, e.g., '1-5, 8, 11-13'. Pages are printed in the document order, not in the order specified, and no more than once. Defaults to empty string, which implies the entire document is printed.

The page numbers are quietly capped to actual page count of the document, and ranges beyond the end of the document are ignored. If this results in no pages to print, an error is reported. It is an error to specify a range with start greater than end.

Public property DisplayHeaderFooter : boolean read FDisplayHeaderFooter write FDisplayHeaderFooter;

Set to true to display the header and/or footer. Modify HeaderTemplate and/or FooterTemplate to customize the display.

Public property HeaderTemplate : ustring read FHeaderTemplate write FHeaderTemplate;

HTML template for the print header. Only displayed if DisplayHeaderFooter is true. Should be valid HTML markup with the following classes used to inject printing values into them:

- date: formatted print date
- title: document title
- url: document location
- pageNumber: current page number
- totalPages: total pages in the document

For example, "<span class=title></span>" would generate a span containing the title.

Public property FooterTemplate : ustring read FFooterTemplate write FFooterTemplate;

HTML template for the print footer. Only displayed if DisplayHeaderFooter is true. Uses the same format as HeaderTemplate.

Public property GenerateTaggedPDF : boolean read FGenerateTaggedPDF write FGenerateTaggedPDF;

Set to true to generate tagged (accessible) PDF.

Public property GenerateDocumentOutline : boolean read FGenerateDocumentOutline write FGenerateDocumentOutline;

Set to true to generate a document outline.

Public property Scale : double read FScale write FScale;

The percentage to scale the PDF by before printing (e.g. .5 is 50%). If this value is less than or equal to zero the default value of 1.0 will be used.

Public property ScalePct : double read GetScalePct write SetScalePct;

The percentage value to scale the PDF by before printing (e.g. 50 is 50%).

Public property PaperWidthInch : double read FPaperWidth write FPaperWidth;

Output paper width in inches. If either of these values is less than or equal to zero then the default paper size (letter, 8.5 x 11 inches) will be used.

Public property PaperHeightInch : double read FPaperHeight write FPaperHeight;

Output paper height in inches. If either of these values is less than or equal to zero then the default paper size (letter, 8.5 x 11 inches) will be used.

Public property PaperWidthMM : double read GetPaperWidthMM write SetPaperWidthMM;

Output paper width in mm.

Public property PaperHeightMM : double read GetPaperHeightMM write SetPaperHeightMM;

Output paper height in mm.

Public property MarginType : TCefPdfPrintMarginType read FMarginType write FMarginType;

Margin type.

Public property MarginTopInch : double read FMarginTop write FMarginTop;

Top margin in inches. Only used if MarginType is set to PDF_PRINT_MARGIN_CUSTOM.

Public property MarginRightInch : double read FMarginRight write FMarginRight;

Right margin in inches. Only used if MarginType is set to PDF_PRINT_MARGIN_CUSTOM.

Public property MarginBottomInch : double read FMarginBottom write FMarginBottom;

Bottom margin in inches. Only used if MarginType is set to PDF_PRINT_MARGIN_CUSTOM.

Public property MarginLeftInch : double read FMarginLeft write FMarginLeft;

Left margin in inches. Only used if MarginType is set to PDF_PRINT_MARGIN_CUSTOM.

Public property MarginTopMM : double read GetMarginTopMM write SetMarginTopMM;

Top margin in mm.

Public property MarginRightMM : double read GetMarginRightMM write SetMarginRightMM;

Right margin in mm.

Public property MarginBottomMM : double read GetMarginBottomMM write SetMarginBottomMM;

Bottom margin in mm.

Public property MarginLeftMM : double read GetMarginLeftMM write SetMarginLeftMM;

Left margin in mm.


cef4delphi: uCEFPermissionHandler

Unit uCEFPermissionHandler

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefPermissionHandlerOwn |
Class TCustomPermissionHandler |


cef4delphi: uCEFPermissionHandler: Class TCefPermissionHandlerOwn

Class TCefPermissionHandlerOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFPermissionHandler

Declaration

type TCefPermissionHandlerOwn = class(TCefBaseRefCountedOwn, ICefPermissionHandler)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefPermissionHandlerOwn

Overview

Methods

Protected | function OnRequestMediaAccessPermission(const browser: ICefBrowser; const frame: ICefFrame; const requesting_origin: ustring; requested_permissions: cardinal; const callback: ICefMediaAccessCallback): boolean; virtual;
Protected | function OnShowPermissionPrompt(const browser: ICefBrowser; prompt_id: uint64; const requesting_origin: ustring; requested_permissions: cardinal; const callback: ICefPermissionPromptCallback): boolean; virtual;
Protected | procedure OnDismissPermissionPrompt(const browser: ICefBrowser; prompt_id: uint64; result: TCefPermissionRequestResult); virtual;
Protected | procedure RemoveReferences; virtual;
Public | constructor Create; virtual;

Description

Methods

Protected function OnRequestMediaAccessPermission(const browser: ICefBrowser; const frame: ICefFrame; const requesting_origin: ustring; requested_permissions: cardinal; const callback: ICefMediaAccessCallback): boolean; virtual;

This item has no description. Showing description inherited from ICefPermissionHandler.OnRequestMediaAccessPermission.

Called when a page requests permission to access media.

|requesting_origin| is the URL origin requesting permission.

|requested_permissions| is a combination of values from TCefMediaAccessPermissionTypes that represent the requested permissions.

Return true (1) and call ICefMediaAccessCallback functions either in this function or at a later time to continue or cancel the request.

Return false (0) to proceed with default handling. With Chrome style, default handling will display the permission request UI.

With Alloy style, default handling will deny the request. This function will not be called if the "–enable-media-stream" command-line switch is used to grant all permissions.

Protected function OnShowPermissionPrompt(const browser: ICefBrowser; prompt_id: uint64; const requesting_origin: ustring; requested_permissions: cardinal; const callback: ICefPermissionPromptCallback): boolean; virtual;

This item has no description. Showing description inherited from ICefPermissionHandler.OnShowPermissionPrompt.

Called when a page should show a permission prompt. |prompt_id| uniquely identifies the prompt. |requesting_origin| is the URL origin requesting permission. |requested_permissions| is a combination of values from TCefPermissionRequestTypes that represent the requested permissions. Return true (1) and call ICefPermissionPromptCallback.Continue either in this function or at a later time to continue or cancel the request. Return false (0) to proceed with default handling. With Chrome style, default handling will display the permission prompt UI. With Alloy style, default handling is CEF_PERMISSION_RESULT_IGNORE.

Protected procedure OnDismissPermissionPrompt(const browser: ICefBrowser; prompt_id: uint64; result: TCefPermissionRequestResult); virtual;

This item has no description. Showing description inherited from ICefPermissionHandler.OnDismissPermissionPrompt.

Called when a permission prompt handled via OnShowPermissionPrompt is dismissed. |prompt_id| will match the value that was passed to OnShowPermissionPrompt. |result| will be the value passed to ICefPermissionPromptCallback.Continue or CEF_PERMISSION_RESULT_IGNORE if the dialog was dismissed for other reasons such as navigation, browser closure, etc. This function will not be called if OnShowPermissionPrompt returned false (0) for |prompt_id|.

Protected procedure RemoveReferences; virtual;

This item has no description. Showing description inherited from ICefPermissionHandler.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFPermissionHandler: Class TCustomPermissionHandler

Class TCustomPermissionHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFPermissionHandler

Declaration

type TCustomPermissionHandler = class(TCefPermissionHandlerOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefPermissionHandlerOwn
  • TCustomPermissionHandler

Overview

Fields

Protected FEvents: Pointer;

Methods

Protected | function OnRequestMediaAccessPermission(const browser: ICefBrowser; const frame: ICefFrame; const requesting_origin: ustring; requested_permissions: cardinal; const callback: ICefMediaAccessCallback): boolean; override;
Protected | function OnShowPermissionPrompt(const browser: ICefBrowser; prompt_id: uint64; const requesting_origin: ustring; requested_permissions: cardinal; const callback: ICefPermissionPromptCallback): boolean; override;
Protected | procedure OnDismissPermissionPrompt(const browser: ICefBrowser; prompt_id: uint64; result: TCefPermissionRequestResult); override;
Protected | procedure RemoveReferences; override;
Public | constructor Create(const events : IChromiumEvents); reintroduce;
Public | destructor Destroy; override;

Description

Fields

Protected FEvents: Pointer;

This item has no description.

Methods

Protected function OnRequestMediaAccessPermission(const browser: ICefBrowser; const frame: ICefFrame; const requesting_origin: ustring; requested_permissions: cardinal; const callback: ICefMediaAccessCallback): boolean; override;

This item has no description. Showing description inherited from ICefPermissionHandler.OnRequestMediaAccessPermission.

Called when a page requests permission to access media.

|requesting_origin| is the URL origin requesting permission.

|requested_permissions| is a combination of values from TCefMediaAccessPermissionTypes that represent the requested permissions.

Return true (1) and call ICefMediaAccessCallback functions either in this function or at a later time to continue or cancel the request.

Return false (0) to proceed with default handling. With Chrome style, default handling will display the permission request UI.

With Alloy style, default handling will deny the request. This function will not be called if the "–enable-media-stream" command-line switch is used to grant all permissions.

Protected function OnShowPermissionPrompt(const browser: ICefBrowser; prompt_id: uint64; const requesting_origin: ustring; requested_permissions: cardinal; const callback: ICefPermissionPromptCallback): boolean; override;

This item has no description. Showing description inherited from ICefPermissionHandler.OnShowPermissionPrompt.

Called when a page should show a permission prompt. |prompt_id| uniquely identifies the prompt. |requesting_origin| is the URL origin requesting permission. |requested_permissions| is a combination of values from TCefPermissionRequestTypes that represent the requested permissions. Return true (1) and call ICefPermissionPromptCallback.Continue either in this function or at a later time to continue or cancel the request. Return false (0) to proceed with default handling. With Chrome style, default handling will display the permission prompt UI. With Alloy style, default handling is CEF_PERMISSION_RESULT_IGNORE.

Protected procedure OnDismissPermissionPrompt(const browser: ICefBrowser; prompt_id: uint64; result: TCefPermissionRequestResult); override;

This item has no description. Showing description inherited from ICefPermissionHandler.OnDismissPermissionPrompt.

Called when a permission prompt handled via OnShowPermissionPrompt is dismissed. |prompt_id| will match the value that was passed to OnShowPermissionPrompt. |result| will be the value passed to ICefPermissionPromptCallback.Continue or CEF_PERMISSION_RESULT_IGNORE if the dialog was dismissed for other reasons such as navigation, browser closure, etc. This function will not be called if OnShowPermissionPrompt returned false (0) for |prompt_id|.

Protected procedure RemoveReferences; override;

This item has no description. Showing description inherited from ICefPermissionHandler.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create(const events : IChromiumEvents); reintroduce;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFPermissionPromptCallback

Unit uCEFPermissionPromptCallback

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefPermissionPromptCallbackRef |


cef4delphi: uCEFPermissionPromptCallback: Class TCefPermissionPromptCallbackRef

Class TCefPermissionPromptCallbackRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFPermissionPromptCallback

Declaration

type TCefPermissionPromptCallbackRef = class(TCefBaseRefCountedRef, ICefPermissionPromptCallback)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefPermissionPromptCallbackRef

Overview

Methods

Protected | procedure cont(result: TCefPermissionRequestResult);
Public | class function UnWrap(data: Pointer): ICefPermissionPromptCallback;

Description

Methods

Protected procedure cont(result: TCefPermissionRequestResult);

This item has no description. Showing description inherited from ICefPermissionPromptCallback.cont.

Complete the permissions request with the specified |result|.

Public class function UnWrap(data: Pointer): ICefPermissionPromptCallback;

This item has no description.


cef4delphi: uCEFPostData

Unit uCEFPostData

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefPostDataRef |


cef4delphi: uCEFPostData: Class TCefPostDataRef

Class TCefPostDataRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFPostData

Declaration

type TCefPostDataRef = class(TCefBaseRefCountedRef, ICefPostData)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefPostDataRef

Overview

Methods

Protected | function IsReadOnly: Boolean;
Protected | function HasExcludedElements: Boolean;
Protected | function GetElementCount: NativeUInt;
Protected | procedure GetElements(elementsCount: NativeUInt; var elements: TCefPostDataElementArray);
Protected | function RemoveElement(const element: ICefPostDataElement): Boolean;
Protected | function AddElement(const element: ICefPostDataElement): Boolean;
Protected | procedure RemoveElements;
Public | class function UnWrap(data: Pointer): ICefPostData;
Public | class function New: ICefPostData;

Description

Methods

Protected function IsReadOnly: Boolean;

This item has no description. Showing description inherited from ICefPostData.IsReadOnly.

Returns true (1) if this object is read-only.

Protected function HasExcludedElements: Boolean;

This item has no description. Showing description inherited from ICefPostData.HasExcludedElements.

Returns true (1) if the underlying POST data includes elements that are not represented by this ICefPostData object (for example, multi-part file upload data). Modifying ICefPostData objects with excluded elements may result in the request failing.

Protected function GetElementCount: NativeUInt;

This item has no description. Showing description inherited from ICefPostData.GetElementCount.

Returns the number of existing post data elements.

Protected procedure GetElements(elementsCount: NativeUInt; var elements: TCefPostDataElementArray);

This item has no description. Showing description inherited from ICefPostData.GetElements.

Retrieve the post data elements.

Protected function RemoveElement(const element: ICefPostDataElement): Boolean;

This item has no description. Showing description inherited from ICefPostData.RemoveElement.

Remove the specified post data element. Returns true (1) if the removal succeeds.

Protected function AddElement(const element: ICefPostDataElement): Boolean;

This item has no description. Showing description inherited from ICefPostData.AddElement.

Add the specified post data element. Returns true (1) if the add succeeds.

Protected procedure RemoveElements;

This item has no description. Showing description inherited from ICefPostData.RemoveElements.

Remove all existing post data elements.

Public class function UnWrap(data: Pointer): ICefPostData;

This item has no description.

Public class function New: ICefPostData;

This item has no description.


cef4delphi: uCEFPostDataElement

Unit uCEFPostDataElement

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefPostDataElementRef |
Class TCefPostDataElementOwn |


cef4delphi: uCEFPostDataElement: Class TCefPostDataElementRef

Class TCefPostDataElementRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFPostDataElement

Declaration

type TCefPostDataElementRef = class(TCefBaseRefCountedRef, ICefPostDataElement)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefPostDataElementRef

Overview

Methods

Protected | function IsReadOnly: Boolean;
Protected | procedure SetToEmpty;
Protected | procedure SetToFile(const fileName: ustring);
Protected | procedure SetToBytes(size: NativeUInt; const bytes: Pointer);
Protected | function GetType: TCefPostDataElementType;
Protected | function GetFile: ustring;
Protected | function GetBytesCount: NativeUInt;
Protected | function GetBytes(size: NativeUInt; bytes: Pointer): NativeUInt;
Public | class function UnWrap(data: Pointer): ICefPostDataElement;
Public | class function New: ICefPostDataElement;

Description

Methods

Protected function IsReadOnly: Boolean;

This item has no description. Showing description inherited from ICefPostDataElement.IsReadOnly.

Returns true (1) if this object is read-only.

Protected procedure SetToEmpty;

This item has no description. Showing description inherited from ICefPostDataElement.SetToEmpty.

Remove all contents from the post data element.

Protected procedure SetToFile(const fileName: ustring);

This item has no description. Showing description inherited from ICefPostDataElement.SetToFile.

The post data element will represent a file.

Protected procedure SetToBytes(size: NativeUInt; const bytes: Pointer);

This item has no description. Showing description inherited from ICefPostDataElement.SetToBytes.

The post data element will represent bytes. The bytes passed in will be copied.

Protected function GetType: TCefPostDataElementType;

This item has no description. Showing description inherited from ICefPostDataElement.GetType.

Return the type of this post data element.

Protected function GetFile: ustring;

This item has no description. Showing description inherited from ICefPostDataElement.GetFile.

Return the file name.

Protected function GetBytesCount: NativeUInt;

This item has no description. Showing description inherited from ICefPostDataElement.GetBytesCount.

Return the number of bytes.

Protected function GetBytes(size: NativeUInt; bytes: Pointer): NativeUInt;

This item has no description. Showing description inherited from ICefPostDataElement.GetBytes.

Read up to |size| bytes into |bytes| and return the number of bytes actually read.

Public class function UnWrap(data: Pointer): ICefPostDataElement;

This item has no description.

Public class function New: ICefPostDataElement;

This item has no description.


cef4delphi: uCEFPostDataElement: Class TCefPostDataElementOwn

Class TCefPostDataElementOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFPostDataElement

Declaration

type TCefPostDataElementOwn = class(TCefBaseRefCountedOwn, ICefPostDataElement)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefPostDataElementOwn

Overview

Fields

Protected | FDataType: TCefPostDataElementType;
Protected | FValueByte: Pointer;
Protected | FValueStr: TCefString;
Protected | FSize: NativeUInt;
Protected | FReadOnly: Boolean;

Methods

Protected | procedure Clear;
Protected | function IsReadOnly: Boolean; virtual;
Protected | procedure SetToEmpty; virtual;
Protected | procedure SetToFile(const fileName: ustring); virtual;
Protected | procedure SetToBytes(size: NativeUInt; const bytes: Pointer); virtual;
Protected | function GetType: TCefPostDataElementType; virtual;
Protected | function GetFile: ustring; virtual;
Protected | function GetBytesCount: NativeUInt; virtual;
Protected | function GetBytes(size: NativeUInt; bytes: Pointer): NativeUInt; virtual;
Public | constructor Create(readonly: Boolean); virtual;

Description

Fields

Protected FDataType: TCefPostDataElementType;

This item has no description.

Protected FValueByte: Pointer;

This item has no description.

Protected FValueStr: TCefString;

This item has no description.

Protected FSize: NativeUInt;

This item has no description.

Protected FReadOnly: Boolean;

This item has no description.

Methods

Protected procedure Clear;

This item has no description.

Protected function IsReadOnly: Boolean; virtual;

This item has no description. Showing description inherited from ICefPostDataElement.IsReadOnly.

Returns true (1) if this object is read-only.

Protected procedure SetToEmpty; virtual;

This item has no description. Showing description inherited from ICefPostDataElement.SetToEmpty.

Remove all contents from the post data element.

Protected procedure SetToFile(const fileName: ustring); virtual;

This item has no description. Showing description inherited from ICefPostDataElement.SetToFile.

The post data element will represent a file.

Protected procedure SetToBytes(size: NativeUInt; const bytes: Pointer); virtual;

This item has no description. Showing description inherited from ICefPostDataElement.SetToBytes.

The post data element will represent bytes. The bytes passed in will be copied.

Protected function GetType: TCefPostDataElementType; virtual;

This item has no description. Showing description inherited from ICefPostDataElement.GetType.

Return the type of this post data element.

Protected function GetFile: ustring; virtual;

This item has no description. Showing description inherited from ICefPostDataElement.GetFile.

Return the file name.

Protected function GetBytesCount: NativeUInt; virtual;

This item has no description. Showing description inherited from ICefPostDataElement.GetBytesCount.

Return the number of bytes.

Protected function GetBytes(size: NativeUInt; bytes: Pointer): NativeUInt; virtual;

This item has no description. Showing description inherited from ICefPostDataElement.GetBytes.

Read up to |size| bytes into |bytes| and return the number of bytes actually read.

Public constructor Create(readonly: Boolean); virtual;

This item has no description.


cef4delphi: uCEFPreferenceManager

Unit uCEFPreferenceManager

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefPreferenceManagerRef | Manage access to preferences. Many built-in preferences are registered by Chromium. Custom preferences can be registered in ICefBrowserProcessHandler.OnRegisterCustomPreferences.


cef4delphi: uCEFPreferenceManager: Class TCefPreferenceManagerRef

Class TCefPreferenceManagerRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFPreferenceManager

Declaration

type TCefPreferenceManagerRef = class(TCefBaseRefCountedRef, ICefPreferenceManager)

Description

Manage access to preferences. Many built-in preferences are registered by Chromium. Custom preferences can be registered in ICefBrowserProcessHandler.OnRegisterCustomPreferences.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_preference_capi.h">CEF source file: /include/capi/cef_preference_capi.h (cef_preference_manager_t))

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefPreferenceManagerRef

Overview

Methods

Protected | function HasPreference(const name: ustring): Boolean;
Protected | function GetPreference(const name: ustring): ICefValue;
Protected | function GetAllPreferences(includeDefaults: Boolean): ICefDictionaryValue;
Protected | function CanSetPreference(const name: ustring): Boolean;
Protected | function SetPreference(const name: ustring; const value: ICefValue; out error: ustring): Boolean;
Protected | function AddPreferenceObserver(const name: ustring; const observer: ICefPreferenceObserver): ICefRegistration;
Public | class function UnWrap(data: Pointer): ICefPreferenceManager;
Public | class function Global: ICefPreferenceManager;
Public | class procedure GetChromeVariationsAsSwitches(const switches: TStrings);
Public | class procedure GetChromeVariationsAsStrings(const strings: TStrings);

Description

Methods

Protected function HasPreference(const name: ustring): Boolean;

Returns true (1) if a preference with the specified |name| exists. This function must be called on the browser process UI thread.

Protected function GetPreference(const name: ustring): ICefValue;

Returns the value for the preference with the specified |name|. Returns NULL if the preference does not exist. The returned object contains a copy of the underlying preference value and modifications to the returned object will not modify the underlying preference value. This function must be called on the browser process UI thread.

Protected function GetAllPreferences(includeDefaults: Boolean): ICefDictionaryValue;

Returns the value for the preference with the specified |name|. Returns NULL if the preference does not exist. The returned object contains a copy of the underlying preference value and modifications to the returned object will not modify the underlying preference value. This function must be called on the browser process UI thread.

Protected function CanSetPreference(const name: ustring): Boolean;

Returns true (1) if the preference with the specified |name| can be modified using SetPreference. As one example preferences set via the command-line usually cannot be modified. This function must be called on the browser process UI thread.

Protected function SetPreference(const name: ustring; const value: ICefValue; out error: ustring): Boolean;

Returns true (1) if the preference with the specified |name| can be modified using SetPreference. As one example preferences set via the command-line usually cannot be modified. This function must be called on the browser process UI thread.

Protected function AddPreferenceObserver(const name: ustring; const observer: ICefPreferenceObserver): ICefRegistration;

Add an observer for preference changes. |name| is the name of the preference to observe. If |name| is NULL then all preferences will be observed. Observing all preferences has performance consequences and is not recommended outside of testing scenarios. The observer will remain registered until the returned Registration object is destroyed. This function must be called on the browser process UI thread.

Public class function UnWrap(data: Pointer): ICefPreferenceManager;

This item has no description.

Public class function Global: ICefPreferenceManager;

Returns the global preference manager object.

Public class procedure GetChromeVariationsAsSwitches(const switches: TStrings);

Returns the current Chrome Variations configuration (combination of field trials and chrome://flags) as equivalent command-line switches (`–[enable|disable]-features=XXXX`, etc). These switches can be used to apply the same configuration when launching a CEF-based application. See https://developer.chrome.com/docs/web-platform/chrome-variations for background and details. Note that field trial tests are disabled by default in Official CEF builds (via the `disable_fieldtrial_testing_config=true (1)` GN flag). This function must be called on the browser process UI thread.

Public class procedure GetChromeVariationsAsStrings(const strings: TStrings);

Returns the current Chrome Variations configuration (combination of field trials and chrome://flags) as human-readable strings. This is the human- readable equivalent of the "Active Variations" section of chrome://version. See https://developer.chrome.com/docs/web-platform/chrome-variations for background and details. Note that field trial tests are disabled by default in Official CEF builds (via the `disable_fieldtrial_testing_config=true (1)` GN flag). This function must be called on the browser process UI thread.


cef4delphi: uCEFPreferenceRegistrar

Unit uCEFPreferenceRegistrar

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefPreferenceRegistrarRef | Class that manages custom preference registrations.


cef4delphi: uCEFPreferenceRegistrar: Class TCefPreferenceRegistrarRef

Class TCefPreferenceRegistrarRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFPreferenceRegistrar

Declaration

type TCefPreferenceRegistrarRef = class(TCEFBaseScopedWrapperRef)

Description

Class that manages custom preference registrations.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_preference_capi.h">CEF source file: /include/capi/cef_preference_capi.h (cef_preference_registrar_t))

Hierarchy

  • TObject
  • TCEFBaseScopedWrapperRef
  • TCefPreferenceRegistrarRef

Overview

Methods

Public function AddPreference(const name: ustring; const default_value: ICefValue): Boolean;

Description

Methods

Public function AddPreference(const name: ustring; const default_value: ICefValue): Boolean;

Register a preference with the specified |name| and |default_value|. To avoid conflicts with built-in preferences the |name| value should contain an application-specific prefix followed by a period (e.g. "myapp.value"). The contents of |default_value| will be copied. The data type for the preference will be inferred from |default_value|'s type and cannot be changed after registration. Returns true (1) on success. Returns false (0) if |name| is already registered or if |default_value| has an invalid type. This function must be called from within the scope of the ICefBrowserProcessHandler.OnRegisterCustomPreferences callback.


cef4delphi: uCEFPrintDialogCallback

Unit uCEFPrintDialogCallback

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefPrintDialogCallbackRef |


cef4delphi: uCEFPrintDialogCallback: Class TCefPrintDialogCallbackRef

Class TCefPrintDialogCallbackRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFPrintDialogCallback

Declaration

type TCefPrintDialogCallbackRef = class(TCefBaseRefCountedRef, ICefPrintDialogCallback)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefPrintDialogCallbackRef

Overview

Methods

Protected | procedure cont(const settings: ICefPrintSettings);
Protected | procedure cancel;
Public | class function UnWrap(data: Pointer): ICefPrintDialogCallback;

Description

Methods

Protected procedure cont(const settings: ICefPrintSettings);

This item has no description. Showing description inherited from ICefPrintDialogCallback.cont.

Continue printing with the specified |settings|.

Protected procedure cancel;

This item has no description. Showing description inherited from ICefPrintDialogCallback.cancel.

Cancel the printing.

Public class function UnWrap(data: Pointer): ICefPrintDialogCallback;

This item has no description.


cef4delphi: uCEFPrintHandler

Unit uCEFPrintHandler

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefPrintHandlerOwn |
Class TCustomPrintHandler |


cef4delphi: uCEFPrintHandler: Class TCefPrintHandlerOwn

Class TCefPrintHandlerOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFPrintHandler

Declaration

type TCefPrintHandlerOwn = class(TCefBaseRefCountedOwn, ICefPrintHandler)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefPrintHandlerOwn

Overview

Methods

Protected | procedure OnPrintStart(const browser: ICefBrowser); virtual; abstract;
Protected | procedure OnPrintSettings(const browser: ICefBrowser; const settings: ICefPrintSettings; getDefaults: boolean); virtual; abstract;
Protected | procedure OnPrintDialog(const browser: ICefBrowser; hasSelection: boolean; const callback: ICefPrintDialogCallback; var aResult: boolean); virtual;
Protected | procedure OnPrintJob(const browser: ICefBrowser; const documentName, PDFFilePath: ustring; const callback: ICefPrintJobCallback; var aResult: boolean); virtual;
Protected | procedure OnPrintReset(const browser: ICefBrowser); virtual; abstract;
Protected | procedure GetPDFPaperSize(const browser: ICefBrowser; deviceUnitsPerInch: Integer; var aResult: TCefSize); virtual;
Protected | procedure RemoveReferences; virtual; abstract;
Public | constructor Create; virtual;

Description

Methods

Protected procedure OnPrintStart(const browser: ICefBrowser); virtual; abstract;

This item has no description. Showing description inherited from ICefPrintHandler.OnPrintStart.

Called when printing has started for the specified |browser|. This function will be called before the other OnPrint*() functions and irrespective of how printing was initiated (e.g. ICefBrowserHost.print(), JavaScript window.print() or PDF extension print button).

Protected procedure OnPrintSettings(const browser: ICefBrowser; const settings: ICefPrintSettings; getDefaults: boolean); virtual; abstract;

This item has no description. Showing description inherited from ICefPrintHandler.OnPrintSettings.

Synchronize |settings| with client state. If |get_defaults| is true (1) then populate |settings| with the default print settings. Do not keep a reference to |settings| outside of this callback.

Protected procedure OnPrintDialog(const browser: ICefBrowser; hasSelection: boolean; const callback: ICefPrintDialogCallback; var aResult: boolean); virtual;

This item has no description. Showing description inherited from ICefPrintHandler.OnPrintDialog.

Show the print dialog. Execute |callback| once the dialog is dismissed. Return true (1) if the dialog will be displayed or false (0) to cancel the printing immediately.

Protected procedure OnPrintJob(const browser: ICefBrowser; const documentName, PDFFilePath: ustring; const callback: ICefPrintJobCallback; var aResult: boolean); virtual;

This item has no description. Showing description inherited from ICefPrintHandler.OnPrintJob.

Send the print job to the printer. Execute |callback| once the job is completed. Return true (1) if the job will proceed or false (0) to cancel the job immediately.

Protected procedure OnPrintReset(const browser: ICefBrowser); virtual; abstract;

This item has no description. Showing description inherited from ICefPrintHandler.OnPrintReset.

Reset client state related to printing.

Protected procedure GetPDFPaperSize(const browser: ICefBrowser; deviceUnitsPerInch: Integer; var aResult: TCefSize); virtual;

This item has no description. Showing description inherited from ICefPrintHandler.GetPDFPaperSize.

Return the PDF paper size in device units. Used in combination with ICefBrowserHost.PrintToPdf().

Protected procedure RemoveReferences; virtual; abstract;

This item has no description. Showing description inherited from ICefPrintHandler.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFPrintHandler: Class TCustomPrintHandler

Class TCustomPrintHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFPrintHandler

Declaration

type TCustomPrintHandler = class(TCefPrintHandlerOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefPrintHandlerOwn
  • TCustomPrintHandler

Overview

Fields

Protected FEvents: Pointer;

Methods

Protected | procedure OnPrintStart(const browser: ICefBrowser); override;
Protected | procedure OnPrintSettings(const browser: ICefBrowser; const settings: ICefPrintSettings; getDefaults: boolean); override;
Protected | procedure OnPrintDialog(const browser: ICefBrowser; hasSelection: boolean; const callback: ICefPrintDialogCallback; var aResult: boolean); override;
Protected | procedure OnPrintJob(const browser: ICefBrowser; const documentName, PDFFilePath: ustring; const callback: ICefPrintJobCallback; var aResult: boolean); override;
Protected | procedure OnPrintReset(const browser: ICefBrowser); override;
Protected | procedure GetPDFPaperSize(const browser: ICefBrowser; deviceUnitsPerInch: Integer; var aResult: TCefSize); override;
Protected | procedure RemoveReferences; override;
Public | constructor Create(const events : IChromiumEvents); reintroduce; virtual;
Public | destructor Destroy; override;

Description

Fields

Protected FEvents: Pointer;

This item has no description.

Methods

Protected procedure OnPrintStart(const browser: ICefBrowser); override;

This item has no description. Showing description inherited from ICefPrintHandler.OnPrintStart.

Called when printing has started for the specified |browser|. This function will be called before the other OnPrint*() functions and irrespective of how printing was initiated (e.g. ICefBrowserHost.print(), JavaScript window.print() or PDF extension print button).

Protected procedure OnPrintSettings(const browser: ICefBrowser; const settings: ICefPrintSettings; getDefaults: boolean); override;

This item has no description. Showing description inherited from ICefPrintHandler.OnPrintSettings.

Synchronize |settings| with client state. If |get_defaults| is true (1) then populate |settings| with the default print settings. Do not keep a reference to |settings| outside of this callback.

Protected procedure OnPrintDialog(const browser: ICefBrowser; hasSelection: boolean; const callback: ICefPrintDialogCallback; var aResult: boolean); override;

This item has no description. Showing description inherited from ICefPrintHandler.OnPrintDialog.

Show the print dialog. Execute |callback| once the dialog is dismissed. Return true (1) if the dialog will be displayed or false (0) to cancel the printing immediately.

Protected procedure OnPrintJob(const browser: ICefBrowser; const documentName, PDFFilePath: ustring; const callback: ICefPrintJobCallback; var aResult: boolean); override;

This item has no description. Showing description inherited from ICefPrintHandler.OnPrintJob.

Send the print job to the printer. Execute |callback| once the job is completed. Return true (1) if the job will proceed or false (0) to cancel the job immediately.

Protected procedure OnPrintReset(const browser: ICefBrowser); override;

This item has no description. Showing description inherited from ICefPrintHandler.OnPrintReset.

Reset client state related to printing.

Protected procedure GetPDFPaperSize(const browser: ICefBrowser; deviceUnitsPerInch: Integer; var aResult: TCefSize); override;

This item has no description. Showing description inherited from ICefPrintHandler.GetPDFPaperSize.

Return the PDF paper size in device units. Used in combination with ICefBrowserHost.PrintToPdf().

Protected procedure RemoveReferences; override;

This item has no description. Showing description inherited from ICefPrintHandler.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create(const events : IChromiumEvents); reintroduce; virtual;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFPrintJobCallback

Unit uCEFPrintJobCallback

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefPrintJobCallbackRef |


cef4delphi: uCEFPrintJobCallback: Class TCefPrintJobCallbackRef

Class TCefPrintJobCallbackRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFPrintJobCallback

Declaration

type TCefPrintJobCallbackRef = class(TCefBaseRefCountedRef, ICefPrintJobCallback)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefPrintJobCallbackRef

Overview

Methods

Protected | procedure cont;
Public | class function UnWrap(data: Pointer): ICefPrintJobCallback;

Description

Methods

Protected procedure cont;

This item has no description. Showing description inherited from ICefPrintJobCallback.cont.

Indicate completion of the print job.

Public class function UnWrap(data: Pointer): ICefPrintJobCallback;

This item has no description.


cef4delphi: uCEFPrintSettings

Unit uCEFPrintSettings

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefPrintSettingsRef |


cef4delphi: uCEFPrintSettings: Class TCefPrintSettingsRef

Class TCefPrintSettingsRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFPrintSettings

Declaration

type TCefPrintSettingsRef = class(TCefBaseRefCountedRef, ICefPrintSettings)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefPrintSettingsRef

Overview

Methods

Protected | function IsValid: Boolean;
Protected | function IsReadOnly: Boolean;
Protected | procedure SetOrientation(landscape: Boolean);
Protected | function IsLandscape: Boolean;
Protected | procedure SetPrinterPrintableArea(const physicalSizeDeviceUnits: PCefSize; const printableAreaDeviceUnits: PCefRect; landscapeNeedsFlip: Boolean);
Protected | procedure SetDeviceName(const name: ustring);
Protected | function GetDeviceName: ustring;
Protected | procedure SetDpi(dpi: Integer);
Protected | function GetDpi: Integer;
Protected | procedure SetPageRanges(const ranges: TCefRangeArray);
Protected | function GetPageRangesCount: NativeUInt;
Protected | procedure GetPageRanges(out ranges: TCefRangeArray);
Protected | procedure SetSelectionOnly(selectionOnly: Boolean);
Protected | function IsSelectionOnly: Boolean;
Protected | procedure SetCollate(collate: Boolean);
Protected | function WillCollate: Boolean;
Protected | procedure SetColorModel(model: TCefColorModel);
Protected | function GetColorModel: TCefColorModel;
Protected | procedure SetCopies(copies: Integer);
Protected | function GetCopies: Integer;
Protected | procedure SetDuplexMode(mode: TCefDuplexMode);
Protected | function GetDuplexMode: TCefDuplexMode;
Public | class function New: ICefPrintSettings;
Public | class function UnWrap(data: Pointer): ICefPrintSettings;

Description

Methods

Protected function IsValid: Boolean;

This item has no description. Showing description inherited from ICefPrintSettings.IsValid.

Returns true (1) if this object is valid. Do not call any other functions if this function returns false (0).

Protected function IsReadOnly: Boolean;

This item has no description. Showing description inherited from ICefPrintSettings.IsReadOnly.

Returns true (1) if the values of this object are read-only. Some APIs may expose read-only objects.

Protected procedure SetOrientation(landscape: Boolean);

This item has no description. Showing description inherited from ICefPrintSettings.SetOrientation.

Set the page orientation.

Protected function IsLandscape: Boolean;

This item has no description. Showing description inherited from ICefPrintSettings.IsLandscape.

Returns true (1) if the orientation is landscape.

Protected procedure SetPrinterPrintableArea(const physicalSizeDeviceUnits: PCefSize; const printableAreaDeviceUnits: PCefRect; landscapeNeedsFlip: Boolean);

This item has no description. Showing description inherited from ICefPrintSettings.SetPrinterPrintableArea.

Set the printer printable area in device units. Some platforms already provide flipped area. Set |landscape_needs_flip| to false (0) on those platforms to avoid double flipping.

Protected procedure SetDeviceName(const name: ustring);

This item has no description. Showing description inherited from ICefPrintSettings.SetDeviceName.

Set the device name.

Protected function GetDeviceName: ustring;

This item has no description. Showing description inherited from ICefPrintSettings.GetDeviceName.

Get the device name.

Protected procedure SetDpi(dpi: Integer);

This item has no description. Showing description inherited from ICefPrintSettings.SetDpi.

Set the DPI (dots per inch).

Protected function GetDpi: Integer;

This item has no description. Showing description inherited from ICefPrintSettings.GetDpi.

Get the DPI (dots per inch).

Protected procedure SetPageRanges(const ranges: TCefRangeArray);

This item has no description. Showing description inherited from ICefPrintSettings.SetPageRanges.

Set the page ranges.

Protected function GetPageRangesCount: NativeUInt;

This item has no description. Showing description inherited from ICefPrintSettings.GetPageRangesCount.

Returns the number of page ranges that currently exist.

Protected procedure GetPageRanges(out ranges: TCefRangeArray);

This item has no description. Showing description inherited from ICefPrintSettings.GetPageRanges.

Retrieve the page ranges.

Protected procedure SetSelectionOnly(selectionOnly: Boolean);

This item has no description. Showing description inherited from ICefPrintSettings.SetSelectionOnly.

Set whether only the selection will be printed.

Protected function IsSelectionOnly: Boolean;

This item has no description. Showing description inherited from ICefPrintSettings.IsSelectionOnly.

Returns true (1) if only the selection will be printed.

Protected procedure SetCollate(collate: Boolean);

This item has no description. Showing description inherited from ICefPrintSettings.SetCollate.

Set whether pages will be collated.

Protected function WillCollate: Boolean;

This item has no description. Showing description inherited from ICefPrintSettings.WillCollate.

Returns true (1) if pages will be collated.

Protected procedure SetColorModel(model: TCefColorModel);

This item has no description. Showing description inherited from ICefPrintSettings.SetColorModel.

Set the color model.

Protected function GetColorModel: TCefColorModel;

This item has no description. Showing description inherited from ICefPrintSettings.GetColorModel.

Get the color model.

Protected procedure SetCopies(copies: Integer);

This item has no description. Showing description inherited from ICefPrintSettings.SetCopies.

Set the number of copies.

Protected function GetCopies: Integer;

This item has no description. Showing description inherited from ICefPrintSettings.GetCopies.

Get the number of copies.

Protected procedure SetDuplexMode(mode: TCefDuplexMode);

This item has no description. Showing description inherited from ICefPrintSettings.SetDuplexMode.

Set the duplex mode.

Protected function GetDuplexMode: TCefDuplexMode;

This item has no description. Showing description inherited from ICefPrintSettings.GetDuplexMode.

Get the duplex mode.

Public class function New: ICefPrintSettings;

This item has no description.

Public class function UnWrap(data: Pointer): ICefPrintSettings;

This item has no description.


cef4delphi: uCEFProcessMessage

Unit uCEFProcessMessage

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefProcessMessageRef |


cef4delphi: uCEFProcessMessage: Class TCefProcessMessageRef

Class TCefProcessMessageRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFProcessMessage

Declaration

type TCefProcessMessageRef = class(TCefBaseRefCountedRef, ICefProcessMessage)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefProcessMessageRef

Overview

Methods

Protected | function IsValid: Boolean;
Protected | function IsReadOnly: Boolean;
Protected | function Copy: ICefProcessMessage;
Protected | function GetName: ustring;
Protected | function GetArgumentList: ICefListValue;
Protected | function GetSharedMemoryRegion: ICefSharedMemoryRegion;
Public | class function UnWrap(data: Pointer): ICefProcessMessage;
Public | class function New(const name: ustring): ICefProcessMessage;

Description

Methods

Protected function IsValid: Boolean;

This item has no description. Showing description inherited from ICefProcessMessage.IsValid.

Returns true (1) if this object is valid. Do not call any other functions if this function returns false (0).

Protected function IsReadOnly: Boolean;

This item has no description. Showing description inherited from ICefProcessMessage.IsReadOnly.

Returns true (1) if the values of this object are read-only. Some APIs may expose read-only objects.

Protected function Copy: ICefProcessMessage;

This item has no description. Showing description inherited from ICefProcessMessage.Copy.

Returns a writable copy of this object. Returns nullptr when message contains a shared memory region.

Protected function GetName: ustring;

This item has no description. Showing description inherited from ICefProcessMessage.GetName.

Returns the message name.

Protected function GetArgumentList: ICefListValue;

This item has no description. Showing description inherited from ICefProcessMessage.GetArgumentList.

Returns the list of arguments. Returns nullptr when message contains a shared memory region.

Protected function GetSharedMemoryRegion: ICefSharedMemoryRegion;

This item has no description. Showing description inherited from ICefProcessMessage.GetSharedMemoryRegion.

Returns the shared memory region. Returns nullptr when message contains an argument list.

Public class function UnWrap(data: Pointer): ICefProcessMessage;

This item has no description.

Public class function New(const name: ustring): ICefProcessMessage;

This item has no description.


cef4delphi: uCEFRegistration

Unit uCEFRegistration

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefRegistrationRef |


cef4delphi: uCEFRegistration: Class TCefRegistrationRef

Class TCefRegistrationRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFRegistration

Declaration

type TCefRegistrationRef = class(TCefBaseRefCountedRef, ICefRegistration)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefRegistrationRef

Overview

Methods

Public class function UnWrap(data: Pointer): ICefRegistration;

Description

Methods

Public class function UnWrap(data: Pointer): ICefRegistration;

This item has no description.


cef4delphi: uCEFRenderHandler

Unit uCEFRenderHandler

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefRenderHandlerOwn |
Class TCustomRenderHandler |


cef4delphi: uCEFRenderHandler: Class TCefRenderHandlerOwn

Class TCefRenderHandlerOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFRenderHandler

Declaration

type TCefRenderHandlerOwn = class(TCefBaseRefCountedOwn, ICefRenderHandler)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefRenderHandlerOwn

Overview

Methods

Protected | procedure GetAccessibilityHandler(var aAccessibilityHandler : ICefAccessibilityHandler); virtual;
Protected | function GetRootScreenRect(const browser: ICefBrowser; var rect: TCefRect): Boolean; virtual;
Protected | procedure GetViewRect(const browser: ICefBrowser; var rect: TCefRect); virtual;
Protected | function GetScreenPoint(const browser: ICefBrowser; viewX, viewY: Integer; var screenX, screenY: Integer): Boolean; virtual;
Protected | function GetScreenInfo(const browser: ICefBrowser; var screenInfo: TCefScreenInfo): Boolean; virtual;
Protected | procedure OnPopupShow(const browser: ICefBrowser; show: Boolean); virtual;
Protected | procedure OnPopupSize(const browser: ICefBrowser; const rect: PCefRect); virtual;
Protected | procedure OnPaint(const browser: ICefBrowser; kind: TCefPaintElementType; dirtyRectsCount: NativeUInt; const dirtyRects: PCefRectArray; const buffer: Pointer; width, height: Integer); virtual;
Protected | procedure OnAcceleratedPaint(const browser: ICefBrowser; kind: TCefPaintElementType; dirtyRectsCount: NativeUInt; const dirtyRects: PCefRectArray; const info: PCefAcceleratedPaintInfo); virtual;
Protected | procedure GetTouchHandleSize(const browser: ICefBrowser; orientation: TCefHorizontalAlignment; var size: TCefSize); virtual;
Protected | procedure OnTouchHandleStateChanged(const browser: ICefBrowser; const state: TCefTouchHandleState); virtual;
Protected | function OnStartDragging(const browser: ICefBrowser; const dragData: ICefDragData; allowedOps: TCefDragOperations; x, y: Integer): Boolean; virtual;
Protected | procedure OnUpdateDragCursor(const browser: ICefBrowser; operation: TCefDragOperation); virtual;
Protected | procedure OnScrollOffsetChanged(const browser: ICefBrowser; x, y: Double); virtual;
Protected | procedure OnIMECompositionRangeChanged(const browser: ICefBrowser; const selected_range: PCefRange; character_boundsCount: NativeUInt; const character_bounds: PCefRect); virtual;
Protected | procedure OnTextSelectionChanged(const browser: ICefBrowser; const selected_text: ustring; const selected_range: PCefRange); virtual;
Protected | procedure OnVirtualKeyboardRequested(const browser: ICefBrowser; input_mode: TCefTextInpuMode); virtual;
Protected | procedure RemoveReferences; virtual;
Public | constructor Create; virtual;

Description

Methods

Protected procedure GetAccessibilityHandler(var aAccessibilityHandler : ICefAccessibilityHandler); virtual;

This item has no description. Showing description inherited from ICefRenderHandler.GetAccessibilityHandler.

Return the handler for accessibility notifications. If no handler is provided the default implementation will be used.

Protected function GetRootScreenRect(const browser: ICefBrowser; var rect: TCefRect): Boolean; virtual;

This item has no description. Showing description inherited from ICefRenderHandler.GetRootScreenRect.

Called to retrieve the root window rectangle in screen DIP coordinates. Return true (1) if the rectangle was provided. If this function returns false (0) the rectangle from GetViewRect will be used.

Protected procedure GetViewRect(const browser: ICefBrowser; var rect: TCefRect); virtual;

This item has no description. Showing description inherited from ICefRenderHandler.GetViewRect.

Called to retrieve the view rectangle in screen DIP coordinates. This function must always provide a non-NULL rectangle.

Protected function GetScreenPoint(const browser: ICefBrowser; viewX, viewY: Integer; var screenX, screenY: Integer): Boolean; virtual;

This item has no description. Showing description inherited from ICefRenderHandler.GetScreenPoint.

Called to retrieve the translation from view DIP coordinates to screen coordinates. Windows/Linux should provide screen device (pixel) coordinates and MacOS should provide screen DIP coordinates. Return true (1) if the requested coordinates were provided.

Protected function GetScreenInfo(const browser: ICefBrowser; var screenInfo: TCefScreenInfo): Boolean; virtual;

This item has no description. Showing description inherited from ICefRenderHandler.GetScreenInfo.

Called to allow the client to fill in the CefScreenInfo object with appropriate values. Return true (1) if the |screen_info| structure has been modified.

If the screen info rectangle is left NULL the rectangle from GetViewRect will be used. If the rectangle is still NULL or invalid popups may not be drawn correctly.

Protected procedure OnPopupShow(const browser: ICefBrowser; show: Boolean); virtual;

This item has no description. Showing description inherited from ICefRenderHandler.OnPopupShow.

Called when the browser wants to show or hide the popup widget. The popup should be shown if |show| is true (1) and hidden if |show| is false (0).

Protected procedure OnPopupSize(const browser: ICefBrowser; const rect: PCefRect); virtual;

This item has no description. Showing description inherited from ICefRenderHandler.OnPopupSize.

Called when the browser wants to move or resize the popup widget. |rect| contains the new location and size in view coordinates.

Protected procedure OnPaint(const browser: ICefBrowser; kind: TCefPaintElementType; dirtyRectsCount: NativeUInt; const dirtyRects: PCefRectArray; const buffer: Pointer; width, height: Integer); virtual;

This item has no description. Showing description inherited from ICefRenderHandler.OnPaint.

Called when an element should be painted. Pixel values passed to this function are scaled relative to view coordinates based on the value of TCefScreenInfo.device_scale_factor returned from GetScreenInfo. |type| indicates whether the element is the view or the popup widget. |buffer| contains the pixel data for the whole image. |dirtyRects| contains the set of rectangles in pixel coordinates that need to be repainted. |buffer| will be |width|*|height|*4 bytes in size and represents a BGRA image with an upper-left origin. This function is only called when TCefWindowInfo.shared_texture_enabled is set to false (0).

Protected procedure OnAcceleratedPaint(const browser: ICefBrowser; kind: TCefPaintElementType; dirtyRectsCount: NativeUInt; const dirtyRects: PCefRectArray; const info: PCefAcceleratedPaintInfo); virtual;

This item has no description. Showing description inherited from ICefRenderHandler.OnAcceleratedPaint.

Called when an element has been rendered to the shared texture handle. |type| indicates whether the element is the view or the popup widget. |dirtyRects| contains the set of rectangles in pixel coordinates that need to be repainted. |info| contains the shared handle; on Windows it is a HANDLE to a texture that can be opened with D3D11 OpenSharedResource, on macOS it is an IOSurface pointer that can be opened with Metal or OpenGL, and on Linux it contains several planes, each with an fd to the underlying system native buffer.

The underlying implementation uses a pool to deliver frames. As a result, the handle may differ every frame depending on how many frames are in- progress. The handle's resource cannot be cached and cannot be accessed outside of this callback. It should be reopened each time this callback is executed and the contents should be copied to a texture owned by the client application. The contents of |info| will be released back to the pool after this callback returns.

Protected procedure GetTouchHandleSize(const browser: ICefBrowser; orientation: TCefHorizontalAlignment; var size: TCefSize); virtual;

This item has no description. Showing description inherited from ICefRenderHandler.GetTouchHandleSize.

Called to retrieve the size of the touch handle for the specified |orientation|.

Protected procedure OnTouchHandleStateChanged(const browser: ICefBrowser; const state: TCefTouchHandleState); virtual;

This item has no description. Showing description inherited from ICefRenderHandler.OnTouchHandleStateChanged.

Called when touch handle state is updated. The client is responsible for rendering the touch handles.

Protected function OnStartDragging(const browser: ICefBrowser; const dragData: ICefDragData; allowedOps: TCefDragOperations; x, y: Integer): Boolean; virtual;

This item has no description. Showing description inherited from ICefRenderHandler.OnStartDragging.

Called when the user starts dragging content in the web view. Contextual information about the dragged content is supplied by |drag_data|. (|x|, |y|) is the drag start location in screen coordinates. OS APIs that run a system message loop may be used within the StartDragging call.

Return false (0) to abort the drag operation. Don't call any of ICefBrowserHost.DragSource*Ended* functions after returning false (0).

Return true (1) to handle the drag operation. Call ICefBrowserHost.DragSourceEndedAt and DragSourceSystemDragEnded either synchronously or asynchronously to inform the web view that the drag operation has ended.

Protected procedure OnUpdateDragCursor(const browser: ICefBrowser; operation: TCefDragOperation); virtual;

This item has no description. Showing description inherited from ICefRenderHandler.OnUpdateDragCursor.

Called when the web view wants to update the mouse cursor during a drag & drop operation. |operation| describes the allowed operation (none, move, copy, link).

Protected procedure OnScrollOffsetChanged(const browser: ICefBrowser; x, y: Double); virtual;

This item has no description. Showing description inherited from ICefRenderHandler.OnScrollOffsetChanged.

Called when the scroll offset has changed.

Protected procedure OnIMECompositionRangeChanged(const browser: ICefBrowser; const selected_range: PCefRange; character_boundsCount: NativeUInt; const character_bounds: PCefRect); virtual;

This item has no description. Showing description inherited from ICefRenderHandler.OnIMECompositionRangeChanged.

Called when the IME composition range has changed. |selected_range| is the range of characters that have been selected. |character_bounds| is the bounds of each character in view coordinates.

Protected procedure OnTextSelectionChanged(const browser: ICefBrowser; const selected_text: ustring; const selected_range: PCefRange); virtual;

This item has no description. Showing description inherited from ICefRenderHandler.OnTextSelectionChanged.

Called when text selection has changed for the specified |browser|. |selected_text| is the currently selected text and |selected_range| is the character range.

Protected procedure OnVirtualKeyboardRequested(const browser: ICefBrowser; input_mode: TCefTextInpuMode); virtual;

This item has no description. Showing description inherited from ICefRenderHandler.OnVirtualKeyboardRequested.

Called when an on-screen keyboard should be shown or hidden for the specified |browser|. |input_mode| specifies what kind of keyboard should be opened. If |input_mode| is CEF_TEXT_INPUT_MODE_NONE, any existing keyboard for this browser should be hidden.

Protected procedure RemoveReferences; virtual;

This item has no description. Showing description inherited from ICefRenderHandler.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFRenderHandler: Class TCustomRenderHandler

Class TCustomRenderHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFRenderHandler

Declaration

type TCustomRenderHandler = class(TCefRenderHandlerOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefRenderHandlerOwn
  • TCustomRenderHandler

Overview

Fields

Protected FEvents: Pointer;

Methods

Protected | procedure GetAccessibilityHandler(var aAccessibilityHandler : ICefAccessibilityHandler); override;
Protected | function GetRootScreenRect(const browser: ICefBrowser; var rect: TCefRect): Boolean; override;
Protected | procedure GetViewRect(const browser: ICefBrowser; var rect: TCefRect); override;
Protected | function GetScreenPoint(const browser: ICefBrowser; viewX, viewY: Integer; var screenX, screenY: Integer): Boolean; override;
Protected | procedure OnPopupShow(const browser: ICefBrowser; show: Boolean); override;
Protected | procedure OnPopupSize(const browser: ICefBrowser; const rect: PCefRect); override;
Protected | procedure OnPaint(const browser: ICefBrowser; kind: TCefPaintElementType; dirtyRectsCount: NativeUInt; const dirtyRects: PCefRectArray; const buffer: Pointer; width, height: Integer); override;
Protected | procedure OnAcceleratedPaint(const browser: ICefBrowser; kind: TCefPaintElementType; dirtyRectsCount: NativeUInt; const dirtyRects: PCefRectArray; const info: PCefAcceleratedPaintInfo); override;
Protected | procedure GetTouchHandleSize(const browser: ICefBrowser; orientation: TCefHorizontalAlignment; var size: TCefSize); override;
Protected | procedure OnTouchHandleStateChanged(const browser: ICefBrowser; const state: TCefTouchHandleState); override;
Protected | function GetScreenInfo(const browser: ICefBrowser; var screenInfo: TCefScreenInfo): Boolean; override;
Protected | function OnStartDragging(const browser: ICefBrowser; const dragData: ICefDragData; allowedOps: TCefDragOperations; x, y: Integer): Boolean; override;
Protected | procedure OnUpdateDragCursor(const browser: ICefBrowser; operation: TCefDragOperation); override;
Protected | procedure OnScrollOffsetChanged(const browser: ICefBrowser; x, y: Double); override;
Protected | procedure OnIMECompositionRangeChanged(const browser: ICefBrowser; const selected_range: PCefRange; character_boundsCount: NativeUInt; const character_bounds: PCefRect); override;
Protected | procedure OnTextSelectionChanged(const browser: ICefBrowser; const selected_text: ustring; const selected_range: PCefRange); override;
Protected | procedure OnVirtualKeyboardRequested(const browser: ICefBrowser; input_mode: TCefTextInpuMode); override;
Protected | procedure RemoveReferences; override;
Public | constructor Create(const events : IChromiumEvents); reintroduce; virtual;
Public | destructor Destroy; override;

Description

Fields

Protected FEvents: Pointer;

This item has no description.

Methods

Protected procedure GetAccessibilityHandler(var aAccessibilityHandler : ICefAccessibilityHandler); override;

This item has no description. Showing description inherited from ICefRenderHandler.GetAccessibilityHandler.

Return the handler for accessibility notifications. If no handler is provided the default implementation will be used.

Protected function GetRootScreenRect(const browser: ICefBrowser; var rect: TCefRect): Boolean; override;

This item has no description. Showing description inherited from ICefRenderHandler.GetRootScreenRect.

Called to retrieve the root window rectangle in screen DIP coordinates. Return true (1) if the rectangle was provided. If this function returns false (0) the rectangle from GetViewRect will be used.

Protected procedure GetViewRect(const browser: ICefBrowser; var rect: TCefRect); override;

This item has no description. Showing description inherited from ICefRenderHandler.GetViewRect.

Called to retrieve the view rectangle in screen DIP coordinates. This function must always provide a non-NULL rectangle.

Protected function GetScreenPoint(const browser: ICefBrowser; viewX, viewY: Integer; var screenX, screenY: Integer): Boolean; override;

This item has no description. Showing description inherited from ICefRenderHandler.GetScreenPoint.

Called to retrieve the translation from view DIP coordinates to screen coordinates. Windows/Linux should provide screen device (pixel) coordinates and MacOS should provide screen DIP coordinates. Return true (1) if the requested coordinates were provided.

Protected procedure OnPopupShow(const browser: ICefBrowser; show: Boolean); override;

This item has no description. Showing description inherited from ICefRenderHandler.OnPopupShow.

Called when the browser wants to show or hide the popup widget. The popup should be shown if |show| is true (1) and hidden if |show| is false (0).

Protected procedure OnPopupSize(const browser: ICefBrowser; const rect: PCefRect); override;

This item has no description. Showing description inherited from ICefRenderHandler.OnPopupSize.

Called when the browser wants to move or resize the popup widget. |rect| contains the new location and size in view coordinates.

Protected procedure OnPaint(const browser: ICefBrowser; kind: TCefPaintElementType; dirtyRectsCount: NativeUInt; const dirtyRects: PCefRectArray; const buffer: Pointer; width, height: Integer); override;

This item has no description. Showing description inherited from ICefRenderHandler.OnPaint.

Called when an element should be painted. Pixel values passed to this function are scaled relative to view coordinates based on the value of TCefScreenInfo.device_scale_factor returned from GetScreenInfo. |type| indicates whether the element is the view or the popup widget. |buffer| contains the pixel data for the whole image. |dirtyRects| contains the set of rectangles in pixel coordinates that need to be repainted. |buffer| will be |width|*|height|*4 bytes in size and represents a BGRA image with an upper-left origin. This function is only called when TCefWindowInfo.shared_texture_enabled is set to false (0).

Protected procedure OnAcceleratedPaint(const browser: ICefBrowser; kind: TCefPaintElementType; dirtyRectsCount: NativeUInt; const dirtyRects: PCefRectArray; const info: PCefAcceleratedPaintInfo); override;

This item has no description. Showing description inherited from ICefRenderHandler.OnAcceleratedPaint.

Called when an element has been rendered to the shared texture handle. |type| indicates whether the element is the view or the popup widget. |dirtyRects| contains the set of rectangles in pixel coordinates that need to be repainted. |info| contains the shared handle; on Windows it is a HANDLE to a texture that can be opened with D3D11 OpenSharedResource, on macOS it is an IOSurface pointer that can be opened with Metal or OpenGL, and on Linux it contains several planes, each with an fd to the underlying system native buffer.

The underlying implementation uses a pool to deliver frames. As a result, the handle may differ every frame depending on how many frames are in- progress. The handle's resource cannot be cached and cannot be accessed outside of this callback. It should be reopened each time this callback is executed and the contents should be copied to a texture owned by the client application. The contents of |info| will be released back to the pool after this callback returns.

Protected procedure GetTouchHandleSize(const browser: ICefBrowser; orientation: TCefHorizontalAlignment; var size: TCefSize); override;

This item has no description. Showing description inherited from ICefRenderHandler.GetTouchHandleSize.

Called to retrieve the size of the touch handle for the specified |orientation|.

Protected procedure OnTouchHandleStateChanged(const browser: ICefBrowser; const state: TCefTouchHandleState); override;

This item has no description. Showing description inherited from ICefRenderHandler.OnTouchHandleStateChanged.

Called when touch handle state is updated. The client is responsible for rendering the touch handles.

Protected function GetScreenInfo(const browser: ICefBrowser; var screenInfo: TCefScreenInfo): Boolean; override;

This item has no description. Showing description inherited from ICefRenderHandler.GetScreenInfo.

Called to allow the client to fill in the CefScreenInfo object with appropriate values. Return true (1) if the |screen_info| structure has been modified.

If the screen info rectangle is left NULL the rectangle from GetViewRect will be used. If the rectangle is still NULL or invalid popups may not be drawn correctly.

Protected function OnStartDragging(const browser: ICefBrowser; const dragData: ICefDragData; allowedOps: TCefDragOperations; x, y: Integer): Boolean; override;

This item has no description. Showing description inherited from ICefRenderHandler.OnStartDragging.

Called when the user starts dragging content in the web view. Contextual information about the dragged content is supplied by |drag_data|. (|x|, |y|) is the drag start location in screen coordinates. OS APIs that run a system message loop may be used within the StartDragging call.

Return false (0) to abort the drag operation. Don't call any of ICefBrowserHost.DragSource*Ended* functions after returning false (0).

Return true (1) to handle the drag operation. Call ICefBrowserHost.DragSourceEndedAt and DragSourceSystemDragEnded either synchronously or asynchronously to inform the web view that the drag operation has ended.

Protected procedure OnUpdateDragCursor(const browser: ICefBrowser; operation: TCefDragOperation); override;

This item has no description. Showing description inherited from ICefRenderHandler.OnUpdateDragCursor.

Called when the web view wants to update the mouse cursor during a drag & drop operation. |operation| describes the allowed operation (none, move, copy, link).

Protected procedure OnScrollOffsetChanged(const browser: ICefBrowser; x, y: Double); override;

This item has no description. Showing description inherited from ICefRenderHandler.OnScrollOffsetChanged.

Called when the scroll offset has changed.

Protected procedure OnIMECompositionRangeChanged(const browser: ICefBrowser; const selected_range: PCefRange; character_boundsCount: NativeUInt; const character_bounds: PCefRect); override;

This item has no description. Showing description inherited from ICefRenderHandler.OnIMECompositionRangeChanged.

Called when the IME composition range has changed. |selected_range| is the range of characters that have been selected. |character_bounds| is the bounds of each character in view coordinates.

Protected procedure OnTextSelectionChanged(const browser: ICefBrowser; const selected_text: ustring; const selected_range: PCefRange); override;

This item has no description. Showing description inherited from ICefRenderHandler.OnTextSelectionChanged.

Called when text selection has changed for the specified |browser|. |selected_text| is the currently selected text and |selected_range| is the character range.

Protected procedure OnVirtualKeyboardRequested(const browser: ICefBrowser; input_mode: TCefTextInpuMode); override;

This item has no description. Showing description inherited from ICefRenderHandler.OnVirtualKeyboardRequested.

Called when an on-screen keyboard should be shown or hidden for the specified |browser|. |input_mode| specifies what kind of keyboard should be opened. If |input_mode| is CEF_TEXT_INPUT_MODE_NONE, any existing keyboard for this browser should be hidden.

Protected procedure RemoveReferences; override;

This item has no description. Showing description inherited from ICefRenderHandler.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create(const events : IChromiumEvents); reintroduce; virtual;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFRenderProcessHandler

Unit uCEFRenderProcessHandler

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefRenderProcessHandlerOwn |
Class TCefCustomRenderProcessHandler |


cef4delphi: uCEFRenderProcessHandler: Class TCefRenderProcessHandlerOwn

Class TCefRenderProcessHandlerOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFRenderProcessHandler

Declaration

type TCefRenderProcessHandlerOwn = class(TCefBaseRefCountedOwn, ICefRenderProcessHandler)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefRenderProcessHandlerOwn

Overview

Methods

Protected | procedure OnWebKitInitialized; virtual; abstract;
Protected | procedure OnBrowserCreated(const browser: ICefBrowser; const extra_info: ICefDictionaryValue); virtual; abstract;
Protected | procedure OnBrowserDestroyed(const browser: ICefBrowser); virtual; abstract;
Protected | function GetLoadHandler: ICefLoadHandler; virtual;
Protected | procedure OnContextCreated(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context); virtual; abstract;
Protected | procedure OnContextReleased(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context); virtual; abstract;
Protected | procedure OnUncaughtException(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context; const V8Exception: ICefV8Exception; const stackTrace: ICefV8StackTrace); virtual; abstract;
Protected | procedure OnFocusedNodeChanged(const browser: ICefBrowser; const frame: ICefFrame; const node: ICefDomNode); virtual; abstract;
Protected | function OnProcessMessageReceived(const browser: ICefBrowser; const frame: ICefFrame; sourceProcess: TCefProcessId; const aMessage: ICefProcessMessage): Boolean; virtual;
Protected | procedure RemoveReferences; virtual; abstract;
Public | constructor Create; virtual;

Description

Methods

Protected procedure OnWebKitInitialized; virtual; abstract;

This item has no description. Showing description inherited from ICefRenderProcessHandler.OnWebKitInitialized.

Called after WebKit has been initialized.

Protected procedure OnBrowserCreated(const browser: ICefBrowser; const extra_info: ICefDictionaryValue); virtual; abstract;

This item has no description. Showing description inherited from ICefRenderProcessHandler.OnBrowserCreated.

Called after a browser has been created. When browsing cross-origin a new browser will be created before the old browser with the same identifier is destroyed. |extra_info| is an optional read-only value originating from cef_browser_host_create_browser(), cef_browser_host_create_browser_sync(), ICefLifeSpanHandler.OnBeforePopup or cef_browser_view_create().

Protected procedure OnBrowserDestroyed(const browser: ICefBrowser); virtual; abstract;

This item has no description. Showing description inherited from ICefRenderProcessHandler.OnBrowserDestroyed.

Called before a browser is destroyed.

Protected function GetLoadHandler: ICefLoadHandler; virtual;

This item has no description. Showing description inherited from ICefRenderProcessHandler.GetLoadHandler.

Return the handler for browser load status events.

Protected procedure OnContextCreated(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context); virtual; abstract;

This item has no description. Showing description inherited from ICefRenderProcessHandler.OnContextCreated.

Called immediately after the V8 context for a frame has been created. To retrieve the JavaScript 'window' object use the ICefv8context.GetGlobal function. V8 handles can only be accessed from the thread on which they are created. A task runner for posting tasks on the associated thread can be retrieved via the ICefv8context.GetTaskRunner() function.

Protected procedure OnContextReleased(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context); virtual; abstract;

This item has no description. Showing description inherited from ICefRenderProcessHandler.OnContextReleased.

Called immediately before the V8 context for a frame is released. No references to the context should be kept after this function is called.

Protected procedure OnUncaughtException(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context; const V8Exception: ICefV8Exception; const stackTrace: ICefV8StackTrace); virtual; abstract;

This item has no description. Showing description inherited from ICefRenderProcessHandler.OnUncaughtException.

Called for global uncaught exceptions in a frame. Execution of this callback is disabled by default. To enable set TCefSettings.uncaught_exception_stack_size > 0.

Protected procedure OnFocusedNodeChanged(const browser: ICefBrowser; const frame: ICefFrame; const node: ICefDomNode); virtual; abstract;

This item has no description. Showing description inherited from ICefRenderProcessHandler.OnFocusedNodeChanged.

Called when a new node in the the browser gets focus. The |node| value may be NULL if no specific node has gained focus. The node object passed to this function represents a snapshot of the DOM at the time this function is executed. DOM objects are only valid for the scope of this function. Do not keep references to or attempt to access any DOM objects outside the scope of this function.

Protected function OnProcessMessageReceived(const browser: ICefBrowser; const frame: ICefFrame; sourceProcess: TCefProcessId; const aMessage: ICefProcessMessage): Boolean; virtual;

This item has no description. Showing description inherited from ICefRenderProcessHandler.OnProcessMessageReceived.

Called when a new message is received from a different process. Return true (1) if the message was handled or false (0) otherwise. It is safe to keep a reference to |message| outside of this callback.

Protected procedure RemoveReferences; virtual; abstract;

This item has no description. Showing description inherited from ICefRenderProcessHandler.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFRenderProcessHandler: Class TCefCustomRenderProcessHandler

Class TCefCustomRenderProcessHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFRenderProcessHandler

Declaration

type TCefCustomRenderProcessHandler = class(TCefRenderProcessHandlerOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefRenderProcessHandlerOwn
  • TCefCustomRenderProcessHandler

Overview

Fields

Protected | FCefApp: TCefApplicationCore;
Protected | FLoadHandler: ICefLoadHandler;

Methods

Protected | procedure OnWebKitInitialized; override;
Protected | procedure OnBrowserCreated(const browser: ICefBrowser; const extra_info: ICefDictionaryValue); override;
Protected | procedure OnBrowserDestroyed(const browser: ICefBrowser); override;
Protected | function GetLoadHandler: ICefLoadHandler; override;
Protected | procedure OnContextCreated(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context); override;
Protected | procedure OnContextReleased(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context); override;
Protected | procedure OnUncaughtException(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context; const V8Exception: ICefV8Exception; const stackTrace: ICefV8StackTrace); override;
Protected | procedure OnFocusedNodeChanged(const browser: ICefBrowser; const frame: ICefFrame; const node: ICefDomNode); override;
Protected | function OnProcessMessageReceived(const browser: ICefBrowser; const frame: ICefFrame; sourceProcess: TCefProcessId; const aMessage : ICefProcessMessage): Boolean; override;
Protected | procedure RemoveReferences; override;
Public | constructor Create(const aCefApp : TCefApplicationCore); reintroduce;
Public | destructor Destroy; override;

Description

Fields

Protected FCefApp: TCefApplicationCore;

This item has no description.

Protected FLoadHandler: ICefLoadHandler;

This item has no description.

Methods

Protected procedure OnWebKitInitialized; override;

This item has no description. Showing description inherited from ICefRenderProcessHandler.OnWebKitInitialized.

Called after WebKit has been initialized.

Protected procedure OnBrowserCreated(const browser: ICefBrowser; const extra_info: ICefDictionaryValue); override;

This item has no description. Showing description inherited from ICefRenderProcessHandler.OnBrowserCreated.

Called after a browser has been created. When browsing cross-origin a new browser will be created before the old browser with the same identifier is destroyed. |extra_info| is an optional read-only value originating from cef_browser_host_create_browser(), cef_browser_host_create_browser_sync(), ICefLifeSpanHandler.OnBeforePopup or cef_browser_view_create().

Protected procedure OnBrowserDestroyed(const browser: ICefBrowser); override;

This item has no description. Showing description inherited from ICefRenderProcessHandler.OnBrowserDestroyed.

Called before a browser is destroyed.

Protected function GetLoadHandler: ICefLoadHandler; override;

This item has no description. Showing description inherited from ICefRenderProcessHandler.GetLoadHandler.

Return the handler for browser load status events.

Protected procedure OnContextCreated(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context); override;

This item has no description. Showing description inherited from ICefRenderProcessHandler.OnContextCreated.

Called immediately after the V8 context for a frame has been created. To retrieve the JavaScript 'window' object use the ICefv8context.GetGlobal function. V8 handles can only be accessed from the thread on which they are created. A task runner for posting tasks on the associated thread can be retrieved via the ICefv8context.GetTaskRunner() function.

Protected procedure OnContextReleased(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context); override;

This item has no description. Showing description inherited from ICefRenderProcessHandler.OnContextReleased.

Called immediately before the V8 context for a frame is released. No references to the context should be kept after this function is called.

Protected procedure OnUncaughtException(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context; const V8Exception: ICefV8Exception; const stackTrace: ICefV8StackTrace); override;

This item has no description. Showing description inherited from ICefRenderProcessHandler.OnUncaughtException.

Called for global uncaught exceptions in a frame. Execution of this callback is disabled by default. To enable set TCefSettings.uncaught_exception_stack_size > 0.

Protected procedure OnFocusedNodeChanged(const browser: ICefBrowser; const frame: ICefFrame; const node: ICefDomNode); override;

This item has no description. Showing description inherited from ICefRenderProcessHandler.OnFocusedNodeChanged.

Called when a new node in the the browser gets focus. The |node| value may be NULL if no specific node has gained focus. The node object passed to this function represents a snapshot of the DOM at the time this function is executed. DOM objects are only valid for the scope of this function. Do not keep references to or attempt to access any DOM objects outside the scope of this function.

Protected function OnProcessMessageReceived(const browser: ICefBrowser; const frame: ICefFrame; sourceProcess: TCefProcessId; const aMessage : ICefProcessMessage): Boolean; override;

This item has no description. Showing description inherited from ICefRenderProcessHandler.OnProcessMessageReceived.

Called when a new message is received from a different process. Return true (1) if the message was handled or false (0) otherwise. It is safe to keep a reference to |message| outside of this callback.

Protected procedure RemoveReferences; override;

This item has no description. Showing description inherited from ICefRenderProcessHandler.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create(const aCefApp : TCefApplicationCore); reintroduce;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFRequest

Unit uCEFRequest

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefRequestRef |


cef4delphi: uCEFRequest: Class TCefRequestRef

Class TCefRequestRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFRequest

Declaration

type TCefRequestRef = class(TCefBaseRefCountedRef, ICefRequest)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefRequestRef

Overview

Methods

Protected | function IsReadOnly: Boolean;
Protected | function GetUrl: ustring;
Protected | function GetMethod: ustring;
Protected | function GetPostData: ICefPostData;
Protected | procedure GetHeaderMap(const HeaderMap: ICefStringMultimap);
Protected | procedure SetUrl(const value: ustring);
Protected | procedure SetMethod(const value: ustring);
Protected | procedure SetReferrer(const referrerUrl: ustring; policy: TCefReferrerPolicy);
Protected | function GetReferrerUrl: ustring;
Protected | function GetReferrerPolicy: TCefReferrerPolicy;
Protected | procedure SetPostData(const value: ICefPostData);
Protected | procedure SetHeaderMap(const HeaderMap: ICefStringMultimap);
Protected | function GetHeaderByName(const name: ustring): ustring;
Protected | procedure SetHeaderByName(const name, value: ustring; overwrite: boolean);
Protected | function GetFlags: TCefUrlRequestFlags;
Protected | procedure SetFlags(flags: TCefUrlRequestFlags);
Protected | function GetFirstPartyForCookies: ustring;
Protected | procedure SetFirstPartyForCookies(const url: ustring);
Protected | procedure Assign(const url, method: ustring; const postData: ICefPostData; const headerMap: ICefStringMultimap);
Protected | function GetResourceType: TCefResourceType;
Protected | function GetTransitionType: TCefTransitionType;
Protected | function GetIdentifier: UInt64;
Public | class function UnWrap(data: Pointer): ICefRequest;
Public | class function New: ICefRequest;

Description

Methods

Protected function IsReadOnly: Boolean;

This item has no description. Showing description inherited from ICefRequest.IsReadOnly.

Returns true (1) if this object is read-only.

Protected function GetUrl: ustring;

This item has no description. Showing description inherited from ICefRequest.GetUrl.

Get the fully qualified URL.

Protected function GetMethod: ustring;

This item has no description. Showing description inherited from ICefRequest.GetMethod.

Get the request function type. The value will default to POST if post data is provided and GET otherwise.

Protected function GetPostData: ICefPostData;

This item has no description. Showing description inherited from ICefRequest.GetPostData.

Get the post data.

Protected procedure GetHeaderMap(const HeaderMap: ICefStringMultimap);

This item has no description. Showing description inherited from ICefRequest.GetHeaderMap.

Get the header values. Will not include the Referer value if any.

Protected procedure SetUrl(const value: ustring);

This item has no description. Showing description inherited from ICefRequest.SetUrl.

Set the fully qualified URL.

Protected procedure SetMethod(const value: ustring);

This item has no description. Showing description inherited from ICefRequest.SetMethod.

Set the request function type.

Protected procedure SetReferrer(const referrerUrl: ustring; policy: TCefReferrerPolicy);

This item has no description. Showing description inherited from ICefRequest.SetReferrer.

Set the referrer URL and policy. If non-NULL the referrer URL must be fully qualified with an HTTP or HTTPS scheme component. Any username, password or ref component will be removed.

Protected function GetReferrerUrl: ustring;

This item has no description. Showing description inherited from ICefRequest.GetReferrerUrl.

Get the referrer URL.

Protected function GetReferrerPolicy: TCefReferrerPolicy;

This item has no description. Showing description inherited from ICefRequest.GetReferrerPolicy.

Get the referrer policy.

Protected procedure SetPostData(const value: ICefPostData);

This item has no description. Showing description inherited from ICefRequest.SetPostData.

Set the post data.

Protected procedure SetHeaderMap(const HeaderMap: ICefStringMultimap);

This item has no description. Showing description inherited from ICefRequest.SetHeaderMap.

Set the header values. If a Referer value exists in the header map it will be removed and ignored.

Protected function GetHeaderByName(const name: ustring): ustring;

This item has no description. Showing description inherited from ICefRequest.GetHeaderByName.

Returns the first header value for |name| or an NULL string if not found. Will not return the Referer value if any. Use GetHeaderMap instead if |name| might have multiple values.

Protected procedure SetHeaderByName(const name, value: ustring; overwrite: boolean);

This item has no description. Showing description inherited from ICefRequest.SetHeaderByName.

Set the header |name| to |value|. If |overwrite| is true (1) any existing values will be replaced with the new value. If |overwrite| is false (0) any existing values will not be overwritten. The Referer value cannot be set using this function.

Protected function GetFlags: TCefUrlRequestFlags;

This item has no description. Showing description inherited from ICefRequest.GetFlags.

Get the flags used in combination with ICefUrlRequest. See TCefUrlRequestFlags for supported values.

Protected procedure SetFlags(flags: TCefUrlRequestFlags);

This item has no description. Showing description inherited from ICefRequest.SetFlags.

Set the flags used in combination with ICefUrlRequest. See TCefUrlRequestFlags for supported values.

Protected function GetFirstPartyForCookies: ustring;

This item has no description. Showing description inherited from ICefRequest.GetFirstPartyForCookies.

Get the URL to the first party for cookies used in combination with ICefUrlRequest.

Protected procedure SetFirstPartyForCookies(const url: ustring);

This item has no description. Showing description inherited from ICefRequest.SetFirstPartyForCookies.

Set the URL to the first party for cookies used in combination with ICefUrlRequest.

Protected procedure Assign(const url, method: ustring; const postData: ICefPostData; const headerMap: ICefStringMultimap);

This item has no description. Showing description inherited from ICefRequest.Assign.

Set all values at one time. This method corresponds to TCefRequest.set_ and cef_request_t.set

Protected function GetResourceType: TCefResourceType;

This item has no description. Showing description inherited from ICefRequest.GetResourceType.

Get the resource type for this request. Only available in the browser process.

Protected function GetTransitionType: TCefTransitionType;

This item has no description. Showing description inherited from ICefRequest.GetTransitionType.

Get the transition type for this request. Only available in the browser process and only applies to requests that represent a main frame or sub- frame navigation.

Protected function GetIdentifier: UInt64;

This item has no description. Showing description inherited from ICefRequest.GetIdentifier.

Returns the globally unique identifier for this request or 0 if not specified. Can be used by ICefResourceRequestHandler implementations in the browser process to track a single request across multiple callbacks.

Public class function UnWrap(data: Pointer): ICefRequest;

This item has no description.

Public class function New: ICefRequest;

This item has no description.


cef4delphi: uCEFRequestContext

Unit uCEFRequestContext

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefRequestContextRef | A request context provides request handling for a set of related browser or URL request objects. A request context can be specified when creating a new browser via the cef_browser_host_t static factory functions or when creating a new URL request via the cef_urlrequest_t static factory functions. Browser objects with different request contexts will never be hosted in the same render process. Browser objects with the same request context may or may not be hosted in the same render process depending on the process model. Browser objects created indirectly via the JavaScript window.open function or targeted links will share the same render process and the same request context as the source browser. When running in single-process mode there is only a single render process (the main process) and so all browsers created in single-process mode will share the same request context. This will be the first request context passed into a cef_browser_host_t static factory function and all other request context objects will be ignored.
Class TCefClearCertificateExceptionsCompletionCallback
Class TCefClearHttpAuthCredentialsCompletionCallback
Class TCefCloseAllConnectionsCompletionCallback


cef4delphi: uCEFRequestContext: Class TCefRequestContextRef

Class TCefRequestContextRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFRequestContext

Declaration

type TCefRequestContextRef = class(TCefPreferenceManagerRef, ICefRequestContext)

Description

A request context provides request handling for a set of related browser or URL request objects. A request context can be specified when creating a new browser via the cef_browser_host_t static factory functions or when creating a new URL request via the cef_urlrequest_t static factory functions. Browser objects with different request contexts will never be hosted in the same render process. Browser objects with the same request context may or may not be hosted in the same render process depending on the process model. Browser objects created indirectly via the JavaScript window.open function or targeted links will share the same render process and the same request context as the source browser. When running in single-process mode there is only a single render process (the main process) and so all browsers created in single-process mode will share the same request context. This will be the first request context passed into a cef_browser_host_t static factory function and all other request context objects will be ignored.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefPreferenceManagerRef
  • TCefRequestContextRef

Overview

Methods

Protected | function IsSame(const other: ICefRequestContext): Boolean;
Protected | function IsSharingWith(const other: ICefRequestContext): Boolean;
Protected | function IsGlobal: Boolean;
Protected | function GetHandler: ICefRequestContextHandler;
Protected | function GetCachePath: ustring;
Protected | function GetCookieManager(const callback: ICefCompletionCallback): ICefCookieManager;
Protected | function GetCookieManagerProc(const callback: TCefCompletionCallbackProc): ICefCookieManager;
Protected | function RegisterSchemeHandlerFactory(const schemeName, domainName: ustring; const factory: ICefSchemeHandlerFactory): Boolean;
Protected | function ClearSchemeHandlerFactories: Boolean;
Protected | procedure ClearCertificateExceptions(const callback: ICefCompletionCallback);
Protected | procedure ClearHttpAuthCredentials(const callback: ICefCompletionCallback);
Protected | procedure CloseAllConnections(const callback: ICefCompletionCallback);
Protected | procedure ResolveHost(const origin: ustring; const callback: ICefResolveCallback);
Protected | function GetMediaRouter(const callback: ICefCompletionCallback): ICefMediaRouter;
Protected | function GetWebsiteSetting(const requesting_url, top_level_url: ustring; content_type: TCefContentSettingTypes): ICefValue;
Protected | procedure SetWebsiteSetting(const requesting_url, top_level_url: ustring; content_type: TCefContentSettingTypes; const value: ICefValue);
Protected | function GetContentSetting(const requesting_url, top_level_url: ustring; content_type: TCefContentSettingTypes): TCefContentSettingValues;
Protected | procedure SetContentSetting(const requesting_url, top_level_url: ustring; content_type: TCefContentSettingTypes; value: TCefContentSettingValues);
Protected | procedure SetChromeColorScheme(variant: TCefColorVariant; user_color: TCefColor);
Protected | function GetChromeColorSchemeMode: TCefColorVariant;
Protected | function GetChromeColorSchemeColor: TCefColor;
Protected | function GetChromeColorSchemeVariant: TCefColorVariant;
Protected | function AddSettingObserver(const observer: ICefSettingObserver): ICefRegistration;
Public | class function UnWrap(data: Pointer): ICefRequestContext; reintroduce;
Public | class function Global: ICefRequestContext; reintroduce;
Public | class function New(const settings: PCefRequestContextSettings; const handler: ICefRequestContextHandler = nil): ICefRequestContext; overload;
Public | class function New(const aCache, aAcceptLanguageList, aCookieableSchemesList : ustring; aCookieableSchemesExcludeDefaults, aPersistSessionCookies : boolean; const handler: ICefRequestContextHandler = nil): ICefRequestContext; overload;
Public | class function Shared(const other: ICefRequestContext; const handler: ICefRequestContextHandler): ICefRequestContext;

Description

Methods

Protected function IsSame(const other: ICefRequestContext): Boolean;

Returns true (1) if this object is pointing to the same context as |that| object.

Protected function IsSharingWith(const other: ICefRequestContext): Boolean;

Returns true (1) if this object is sharing the same storage as |that| object.

Protected function IsGlobal: Boolean;

Returns true (1) if this object is the global context. The global context is used by default when creating a browser or URL request with a NULL context argument.

Protected function GetHandler: ICefRequestContextHandler;

Returns the handler for this context if any.

Protected function GetCachePath: ustring;

Returns the cache path for this object. If NULL an "incognito mode" in- memory cache is being used.

Protected function GetCookieManager(const callback: ICefCompletionCallback): ICefCookieManager;

Returns the cookie manager for this object. If |callback| is non-NULL it will be executed asnychronously on the UI thread after the manager's storage has been initialized.

Protected function GetCookieManagerProc(const callback: TCefCompletionCallbackProc): ICefCookieManager;

This item has no description. Showing description inherited from ICefRequestContext.GetCookieManagerProc.

Returns the cookie manager for this object. If |callback| is non-NULL it will be executed asnychronously on the UI thread after the manager's storage has been initialized.

Protected function RegisterSchemeHandlerFactory(const schemeName, domainName: ustring; const factory: ICefSchemeHandlerFactory): Boolean;

Register a scheme handler factory for the specified |scheme_name| and optional |domain_name|. An NULL |domain_name| value for a standard scheme will cause the factory to match all domain names. The |domain_name| value will be ignored for non-standard schemes. If |scheme_name| is a built-in scheme and no handler is returned by |factory| then the built-in scheme handler factory will be called. If |scheme_name| is a custom scheme then you must also implement the cef_app_t::on_register_custom_schemes() function in all processes. This function may be called multiple times to change or remove the factory that matches the specified |scheme_name| and optional |domain_name|. Returns false (0) if an error occurs. This function may be called on any thread in the browser process.

Protected function ClearSchemeHandlerFactories: Boolean;

Clear all registered scheme handler factories. Returns false (0) on error. This function may be called on any thread in the browser process.

Protected procedure ClearCertificateExceptions(const callback: ICefCompletionCallback);

Clears all certificate exceptions that were added as part of handling cef_request_handler_t::on_certificate_error(). If you call this it is recommended that you also call close_all_connections() or you risk not being prompted again for server certificates if you reconnect quickly. If |callback| is non-NULL it will be executed on the UI thread after completion.

Protected procedure ClearHttpAuthCredentials(const callback: ICefCompletionCallback);

Clears all HTTP authentication credentials that were added as part of handling GetAuthCredentials. If |callback| is non-NULL it will be executed on the UI thread after completion.

Protected procedure CloseAllConnections(const callback: ICefCompletionCallback);

Clears all active and idle connections that Chromium currently has. This is only recommended if you have released all other CEF objects but don't yet want to call cef_shutdown(). If |callback| is non-NULL it will be executed on the UI thread after completion.

Protected procedure ResolveHost(const origin: ustring; const callback: ICefResolveCallback);

Attempts to resolve |origin| to a list of associated IP addresses. |callback| will be executed on the UI thread after completion.

Protected function GetMediaRouter(const callback: ICefCompletionCallback): ICefMediaRouter;

Returns the MediaRouter object associated with this context. If |callback| is non-NULL it will be executed asnychronously on the UI thread after the manager's context has been initialized.

Protected function GetWebsiteSetting(const requesting_url, top_level_url: ustring; content_type: TCefContentSettingTypes): ICefValue;

Returns the current value for |content_type| that applies for the specified URLs. If both URLs are NULL the default value will be returned. Returns nullptr if no value is configured. Must be called on the browser process UI thread.

Protected procedure SetWebsiteSetting(const requesting_url, top_level_url: ustring; content_type: TCefContentSettingTypes; const value: ICefValue);

Sets the current value for |content_type| for the specified URLs in the default scope. If both URLs are NULL, and the context is not incognito, the default value will be set. Pass nullptr for |value| to remove the default value for this content type.

WARNING: Incorrect usage of this function may cause instability or security issues in Chromium. Make sure that you first understand the potential impact of any changes to |content_type| by reviewing the related source code in Chromium. For example, if you plan to modify CEF_CONTENT_SETTING_TYPE_POPUPS, first review and understand the usage of ContentSettingsType::POPUPS in Chromium: https://source.chromium.org/search?q=ContentSettingsType::POPUPS

Protected function GetContentSetting(const requesting_url, top_level_url: ustring; content_type: TCefContentSettingTypes): TCefContentSettingValues;

Returns the current value for |content_type| that applies for the specified URLs. If both URLs are NULL the default value will be returned. Returns CEF_CONTENT_SETTING_VALUE_DEFAULT if no value is configured. Must be called on the browser process UI thread.

Protected procedure SetContentSetting(const requesting_url, top_level_url: ustring; content_type: TCefContentSettingTypes; value: TCefContentSettingValues);

Sets the current value for |content_type| for the specified URLs in the default scope. If both URLs are NULL, and the context is not incognito, the default value will be set. Pass CEF_CONTENT_SETTING_VALUE_DEFAULT for |value| to use the default value for this content type.

WARNING: Incorrect usage of this function may cause instability or security issues in Chromium. Make sure that you first understand the potential impact of any changes to |content_type| by reviewing the related source code in Chromium. For example, if you plan to modify CEF_CONTENT_SETTING_TYPE_POPUPS, first review and understand the usage of ContentSettingsType::POPUPS in Chromium: https://source.chromium.org/search?q=ContentSettingsType::POPUPS

Protected procedure SetChromeColorScheme(variant: TCefColorVariant; user_color: TCefColor);

Sets the Chrome color scheme for all browsers that share this request context. |variant| values of SYSTEM, LIGHT and DARK change the underlying color mode (e.g. light vs dark). Other |variant| values determine how |user_color| will be applied in the current color mode. If |user_color| is transparent (0) the default color will be used.

Protected function GetChromeColorSchemeMode: TCefColorVariant;

Returns the current Chrome color scheme mode (SYSTEM, LIGHT or DARK). Must be called on the browser process UI thread.

Protected function GetChromeColorSchemeColor: TCefColor;

Returns the current Chrome color scheme color, or transparent (0) for the default color. Must be called on the browser process UI thread.

Protected function GetChromeColorSchemeVariant: TCefColorVariant;

Returns the current Chrome color scheme variant. Must be called on the browser process UI thread.

Protected function AddSettingObserver(const observer: ICefSettingObserver): ICefRegistration;

Add an observer for content and website setting changes. The observer will remain registered until the returned Registration object is destroyed. This function must be called on the browser process UI thread.

Public class function UnWrap(data: Pointer): ICefRequestContext; reintroduce;

This item has no description.

Public class function Global: ICefRequestContext; reintroduce;

Returns the global context object.

Public class function New(const settings: PCefRequestContextSettings; const handler: ICefRequestContextHandler = nil): ICefRequestContext; overload;

Creates a new context object with the specified |settings| and optional |handler|.

Parameters
settings
Pointer to TCefRequestContextSettings.
handler
Optional handler for the request context.
Public class function New(const aCache, aAcceptLanguageList, aCookieableSchemesList : ustring; aCookieableSchemesExcludeDefaults, aPersistSessionCookies : boolean; const handler: ICefRequestContextHandler = nil): ICefRequestContext; overload;

Creates a new context object with the specified settings and optional |handler|.

Parameters
aCache
The directory where cache data for this request context will be stored on disk. See TCefRequestContextSettings.cache_path for more information.
aAcceptLanguageList
Comma delimited ordered list of language codes without any whitespace that will be used in the "Accept-Language" HTTP header. See TCefRequestContextSettings.accept_language_list for more information.
aCookieableSchemesList
Comma delimited list of schemes supported by the associated ICefCookieManager. See TCefRequestContextSettings.cookieable_schemes_list for more information.
aCookieableSchemesExcludeDefaults
Setting this parameter to true will disable all loading and saving of cookies. See TCefRequestContextSettings.cookieable_schemes_list for more information.
aPersistSessionCookies
To persist session cookies (cookies without an expiry date or validity interval) by default when using the global cookie manager set this value to true. See TCefRequestContextSettings.persist_session_cookies for more information.
handler
Optional handler for the request context.
Public class function Shared(const other: ICefRequestContext; const handler: ICefRequestContextHandler): ICefRequestContext;

Creates a new context object that shares storage with |other| and uses an optional |handler|.

Parameters
other
Another ICefRequestContext instance that will share storage with the new ICefRequestContext instance.
handler
Optional handler for the request context.


cef4delphi: uCEFRequestContext: Class TCefClearCertificateExceptionsCompletionCallback

Class TCefClearCertificateExceptionsCompletionCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFRequestContext

Declaration

type TCefClearCertificateExceptionsCompletionCallback = class(TCefCustomCompletionCallback)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefCompletionCallbackOwn
  • TCefCustomCompletionCallback
  • TCefClearCertificateExceptionsCompletionCallback

Overview

Methods

Protected procedure OnComplete; override;

Description

Methods

Protected procedure OnComplete; override;

This item has no description. Showing description inherited from ICefCompletionCallback.OnComplete.

Method that will be called once the task is complete.


cef4delphi: uCEFRequestContext: Class TCefClearHttpAuthCredentialsCompletionCallback

Class TCefClearHttpAuthCredentialsCompletionCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFRequestContext

Declaration

type TCefClearHttpAuthCredentialsCompletionCallback = class(TCefCustomCompletionCallback)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefCompletionCallbackOwn
  • TCefCustomCompletionCallback
  • TCefClearHttpAuthCredentialsCompletionCallback

Overview

Methods

Protected procedure OnComplete; override;

Description

Methods

Protected procedure OnComplete; override;

This item has no description. Showing description inherited from ICefCompletionCallback.OnComplete.

Method that will be called once the task is complete.


cef4delphi: uCEFRequestContext: Class TCefCloseAllConnectionsCompletionCallback

Class TCefCloseAllConnectionsCompletionCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFRequestContext

Declaration

type TCefCloseAllConnectionsCompletionCallback = class(TCefCustomCompletionCallback)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefCompletionCallbackOwn
  • TCefCustomCompletionCallback
  • TCefCloseAllConnectionsCompletionCallback

Overview

Methods

Protected procedure OnComplete; override;

Description

Methods

Protected procedure OnComplete; override;

This item has no description. Showing description inherited from ICefCompletionCallback.OnComplete.

Method that will be called once the task is complete.


cef4delphi: uCEFRequestContextHandler

Unit uCEFRequestContextHandler

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefRequestContextHandlerRef |
Class TCefRequestContextHandlerOwn |
Class TCustomRequestContextHandler |


cef4delphi: uCEFRequestContextHandler: Class TCefRequestContextHandlerRef

Class TCefRequestContextHandlerRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFRequestContextHandler

Declaration

type TCefRequestContextHandlerRef = class(TCefBaseRefCountedRef, ICefRequestContextHandler)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefRequestContextHandlerRef

Overview

Methods

Protected | procedure OnRequestContextInitialized(const request_context: ICefRequestContext);
Protected | procedure GetResourceRequestHandler(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; is_navigation, is_download: boolean; const request_initiator: ustring; var disable_default_handling: boolean; var aResourceRequestHandler : ICefResourceRequestHandler);
Protected | procedure RemoveReferences; virtual;
Public | class function UnWrap(data: Pointer): ICefRequestContextHandler;

Description

Methods

Protected procedure OnRequestContextInitialized(const request_context: ICefRequestContext);

This item has no description. Showing description inherited from ICefRequestContextHandler.OnRequestContextInitialized.

Called on the browser process UI thread immediately after the request context has been initialized.

Protected procedure GetResourceRequestHandler(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; is_navigation, is_download: boolean; const request_initiator: ustring; var disable_default_handling: boolean; var aResourceRequestHandler : ICefResourceRequestHandler);

This item has no description. Showing description inherited from ICefRequestContextHandler.GetResourceRequestHandler.

Called on the browser process IO thread before a resource request is initiated. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. |request| represents the request contents and cannot be modified in this callback. |is_navigation| will be true (1) if the resource request is a navigation. |is_download| will be true (1) if the resource request is a download. |request_initiator| is the origin (scheme + domain) of the page that initiated the request. Set |disable_default_handling| to true (1) to disable default handling of the request, in which case it will need to be handled via ICefResourceRequestHandler.GetResourceHandler or it will be canceled. To allow the resource load to proceed with default handling return NULL. To specify a handler for the resource return a ICefResourceRequestHandler object. This function will not be called if the client associated with |browser| returns a non-NULL value from ICefRequestHandler.GetResourceRequestHandler for the same request (identified by ICefRequest.GetIdentifier).

Protected procedure RemoveReferences; virtual;

This item has no description. Showing description inherited from ICefRequestContextHandler.RemoveReferences.

Custom procedure to clear all references.

Public class function UnWrap(data: Pointer): ICefRequestContextHandler;

This item has no description.


cef4delphi: uCEFRequestContextHandler: Class TCefRequestContextHandlerOwn

Class TCefRequestContextHandlerOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFRequestContextHandler

Declaration

type TCefRequestContextHandlerOwn = class(TCefBaseRefCountedOwn, ICefRequestContextHandler)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefRequestContextHandlerOwn

Overview

Methods

Protected | procedure OnRequestContextInitialized(const request_context: ICefRequestContext); virtual;
Protected | procedure GetResourceRequestHandler(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; is_navigation, is_download: boolean; const request_initiator: ustring; var disable_default_handling: boolean; var aResourceRequestHandler : ICefResourceRequestHandler); virtual;
Protected | procedure RemoveReferences; virtual;
Public | constructor Create; virtual;

Description

Methods

Protected procedure OnRequestContextInitialized(const request_context: ICefRequestContext); virtual;

This item has no description. Showing description inherited from ICefRequestContextHandler.OnRequestContextInitialized.

Called on the browser process UI thread immediately after the request context has been initialized.

Protected procedure GetResourceRequestHandler(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; is_navigation, is_download: boolean; const request_initiator: ustring; var disable_default_handling: boolean; var aResourceRequestHandler : ICefResourceRequestHandler); virtual;

This item has no description. Showing description inherited from ICefRequestContextHandler.GetResourceRequestHandler.

Called on the browser process IO thread before a resource request is initiated. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. |request| represents the request contents and cannot be modified in this callback. |is_navigation| will be true (1) if the resource request is a navigation. |is_download| will be true (1) if the resource request is a download. |request_initiator| is the origin (scheme + domain) of the page that initiated the request. Set |disable_default_handling| to true (1) to disable default handling of the request, in which case it will need to be handled via ICefResourceRequestHandler.GetResourceHandler or it will be canceled. To allow the resource load to proceed with default handling return NULL. To specify a handler for the resource return a ICefResourceRequestHandler object. This function will not be called if the client associated with |browser| returns a non-NULL value from ICefRequestHandler.GetResourceRequestHandler for the same request (identified by ICefRequest.GetIdentifier).

Protected procedure RemoveReferences; virtual;

This item has no description. Showing description inherited from ICefRequestContextHandler.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFRequestContextHandler: Class TCustomRequestContextHandler

Class TCustomRequestContextHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFRequestContextHandler

Declaration

type TCustomRequestContextHandler = class(TCefRequestContextHandlerOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefRequestContextHandlerOwn
  • TCustomRequestContextHandler

Overview

Fields

Protected FEvents: Pointer;

Methods

Protected | procedure OnRequestContextInitialized(const request_context: ICefRequestContext); override;
Protected | procedure GetResourceRequestHandler(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; is_navigation, is_download: boolean; const request_initiator: ustring; var disable_default_handling: boolean; var aResourceRequestHandler : ICefResourceRequestHandler); override;
Public | constructor Create(const events : IChromiumEvents); reintroduce; virtual;
Public | procedure BeforeDestruction; override;
Public | procedure RemoveReferences; override;

Description

Fields

Protected FEvents: Pointer;

This item has no description.

Methods

Protected procedure OnRequestContextInitialized(const request_context: ICefRequestContext); override;

This item has no description. Showing description inherited from ICefRequestContextHandler.OnRequestContextInitialized.

Called on the browser process UI thread immediately after the request context has been initialized.

Protected procedure GetResourceRequestHandler(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; is_navigation, is_download: boolean; const request_initiator: ustring; var disable_default_handling: boolean; var aResourceRequestHandler : ICefResourceRequestHandler); override;

This item has no description. Showing description inherited from ICefRequestContextHandler.GetResourceRequestHandler.

Called on the browser process IO thread before a resource request is initiated. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. |request| represents the request contents and cannot be modified in this callback. |is_navigation| will be true (1) if the resource request is a navigation. |is_download| will be true (1) if the resource request is a download. |request_initiator| is the origin (scheme + domain) of the page that initiated the request. Set |disable_default_handling| to true (1) to disable default handling of the request, in which case it will need to be handled via ICefResourceRequestHandler.GetResourceHandler or it will be canceled. To allow the resource load to proceed with default handling return NULL. To specify a handler for the resource return a ICefResourceRequestHandler object. This function will not be called if the client associated with |browser| returns a non-NULL value from ICefRequestHandler.GetResourceRequestHandler for the same request (identified by ICefRequest.GetIdentifier).

Public constructor Create(const events : IChromiumEvents); reintroduce; virtual;

This item has no description.

Public procedure BeforeDestruction; override;

This item has no description.

Public procedure RemoveReferences; override;

This item has no description. Showing description inherited from ICefRequestContextHandler.RemoveReferences.

Custom procedure to clear all references.


cef4delphi: uCEFRequestHandler

Unit uCEFRequestHandler

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefRequestHandlerOwn |
Class TCustomRequestHandler |


cef4delphi: uCEFRequestHandler: Class TCefRequestHandlerOwn

Class TCefRequestHandlerOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFRequestHandler

Declaration

type TCefRequestHandlerOwn = class(TCefBaseRefCountedOwn, ICefRequestHandler)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefRequestHandlerOwn

Overview

Methods

Protected | function OnBeforeBrowse(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; user_gesture, isRedirect: Boolean): Boolean; virtual;
Protected | function OnOpenUrlFromTab(const browser: ICefBrowser; const frame: ICefFrame; const targetUrl: ustring; targetDisposition: TCefWindowOpenDisposition; userGesture: Boolean): Boolean; virtual;
Protected | procedure GetResourceRequestHandler(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; is_navigation, is_download: boolean; const request_initiator: ustring; var disable_default_handling: boolean; var aResourceRequestHandler : ICefResourceRequestHandler); virtual;
Protected | function GetAuthCredentials(const browser: ICefBrowser; const originUrl: ustring; isProxy: Boolean; const host: ustring; port: Integer; const realm, scheme: ustring; const callback: ICefAuthCallback): Boolean; virtual;
Protected | function OnCertificateError(const browser: ICefBrowser; certError: TCefErrorcode; const requestUrl: ustring; const sslInfo: ICefSslInfo; const callback: ICefCallback): Boolean; virtual;
Protected | function OnSelectClientCertificate(const browser: ICefBrowser; isProxy: boolean; const host: ustring; port: integer; certificatesCount: NativeUInt; const certificates: TCefX509CertificateArray; const callback: ICefSelectClientCertificateCallback): boolean; virtual;
Protected | procedure OnRenderViewReady(const browser: ICefBrowser); virtual;
Protected | function OnRenderProcessUnresponsive(const browser: ICefBrowser; const callback: ICefUnresponsiveProcessCallback): boolean; virtual;
Protected | procedure OnRenderProcessResponsive(const browser: ICefBrowser); virtual;
Protected | procedure OnRenderProcessTerminated(const browser: ICefBrowser; status: TCefTerminationStatus; error_code: integer; const error_string: ustring); virtual;
Protected | procedure OnDocumentAvailableInMainFrame(const browser: ICefBrowser); virtual;
Protected | procedure RemoveReferences; virtual;
Public | constructor Create; virtual;

Description

Methods

Protected function OnBeforeBrowse(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; user_gesture, isRedirect: Boolean): Boolean; virtual;

This item has no description. Showing description inherited from ICefRequestHandler.OnBeforeBrowse.

Called on the UI thread before browser navigation. Return true (1) to cancel the navigation or false (0) to allow the navigation to proceed. The |request| object cannot be modified in this callback. ICefLoadHandler.OnLoadingStateChange will be called twice in all cases. If the navigation is allowed ICefLoadHandler.OnLoadStart and ICefLoadHandler.OnLoadEnd will be called. If the navigation is canceled ICefLoadHandler.OnLoadError will be called with an |errorCode| value of ERR_ABORTED. The |user_gesture| value will be true (1) if the browser navigated via explicit user gesture (e.g. clicking a link) or false (0) if it navigated automatically (e.g. via the DomContentLoaded event).

Protected function OnOpenUrlFromTab(const browser: ICefBrowser; const frame: ICefFrame; const targetUrl: ustring; targetDisposition: TCefWindowOpenDisposition; userGesture: Boolean): Boolean; virtual;

This item has no description. Showing description inherited from ICefRequestHandler.OnOpenUrlFromTab.

Called on the UI thread before OnBeforeBrowse in certain limited cases where navigating a new or different browser might be desirable. This includes user-initiated navigation that might open in a special way (e.g. links clicked via middle-click or ctrl + left-click) and certain types of cross-origin navigation initiated from the renderer process (e.g. navigating the top-level frame to/from a file URL). The |browser| and |frame| values represent the source of the navigation. The |target_disposition| value indicates where the user intended to navigate the browser based on standard Chromium behaviors (e.g. current tab, new tab, etc). The |user_gesture| value will be true (1) if the browser navigated via explicit user gesture (e.g. clicking a link) or false (0) if it navigated automatically (e.g. via the DomContentLoaded event). Return true (1) to cancel the navigation or false (0) to allow the navigation to proceed in the source browser's top-level frame.

Protected procedure GetResourceRequestHandler(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; is_navigation, is_download: boolean; const request_initiator: ustring; var disable_default_handling: boolean; var aResourceRequestHandler : ICefResourceRequestHandler); virtual;

This item has no description. Showing description inherited from ICefRequestHandler.GetResourceRequestHandler.

Called on the browser process IO thread before a resource request is initiated. The |browser| and |frame| values represent the source of the request. |request| represents the request contents and cannot be modified in this callback. |is_navigation| will be true (1) if the resource request is a navigation. |is_download| will be true (1) if the resource request is a download. |request_initiator| is the origin (scheme + domain) of the page that initiated the request. Set |disable_default_handling| to true (1) to disable default handling of the request, in which case it will need to be handled via ICefResourceRequestHandler.GetResourceHandler or it will be canceled. To allow the resource load to proceed with default handling return NULL. To specify a handler for the resource return a ICefResourceRequestHandler object. If this callback returns NULL the same function will be called on the associated ICefRequestContextHandler, if any.

Protected function GetAuthCredentials(const browser: ICefBrowser; const originUrl: ustring; isProxy: Boolean; const host: ustring; port: Integer; const realm, scheme: ustring; const callback: ICefAuthCallback): Boolean; virtual;

This item has no description. Showing description inherited from ICefRequestHandler.GetAuthCredentials.

Called on the IO thread when the browser needs credentials from the user. |origin_url| is the origin making this authentication request. |isProxy| indicates whether the host is a proxy server. |host| contains the hostname and |port| contains the port number. |realm| is the realm of the challenge and may be NULL. |scheme| is the authentication scheme used, such as "basic" or "digest", and will be NULL if the source of the request is an FTP server. Return true (1) to continue the request and call ICefAuthCallback.cont() either in this function or at a later time when the authentication information is available. Return false (0) to cancel the request immediately.

Protected function OnCertificateError(const browser: ICefBrowser; certError: TCefErrorcode; const requestUrl: ustring; const sslInfo: ICefSslInfo; const callback: ICefCallback): Boolean; virtual;

This item has no description. Showing description inherited from ICefRequestHandler.OnCertificateError.

Called on the UI thread to handle requests for URLs with an invalid SSL certificate. Return true (1) and call ICefCallback functions either in this function or at a later time to continue or cancel the request. Return false (0) to cancel the request immediately. If TCefSettings.ignore_certificate_errors is set all invalid certificates will be accepted without calling this function.

Protected function OnSelectClientCertificate(const browser: ICefBrowser; isProxy: boolean; const host: ustring; port: integer; certificatesCount: NativeUInt; const certificates: TCefX509CertificateArray; const callback: ICefSelectClientCertificateCallback): boolean; virtual;

This item has no description. Showing description inherited from ICefRequestHandler.OnSelectClientCertificate.

Called on the UI thread when a client certificate is being requested for authentication. Return false (0) to use the default behavior. If the |certificates| list is not NULL the default behavior will be to display a dialog for certificate selection. If the |certificates| list is NULL then the default behavior will be not to show a dialog and it will continue without using any certificate. Return true (1) and call ICefSelectClientCertificateCallback.Select either in this function or at a later time to select a certificate. Do not call Select or call it with NULL to continue without using any certificate. |isProxy| indicates whether the host is an HTTPS proxy or the origin server. |host| and |port| contains the hostname and port of the SSL server. |certificates| is the list of certificates to choose from; this list has already been pruned by Chromium so that it only contains certificates from issuers that the server trusts.

Protected procedure OnRenderViewReady(const browser: ICefBrowser); virtual;

This item has no description. Showing description inherited from ICefRequestHandler.OnRenderViewReady.

Called on the browser process UI thread when the render view associated with |browser| is ready to receive/handle IPC messages in the render process.

Protected function OnRenderProcessUnresponsive(const browser: ICefBrowser; const callback: ICefUnresponsiveProcessCallback): boolean; virtual;

This item has no description. Showing description inherited from ICefRequestHandler.OnRenderProcessUnresponsive.

Called on the browser process UI thread when the render process is unresponsive as indicated by a lack of input event processing for at least 15 seconds. Return false (0) for the default behavior which is to continue waiting with Alloy style or display of the "Page unresponsive" dialog with Chrome style. Return true (1) and don't execute the callback to continue waiting without display of the Chrome style dialog. Return true (1) and call ICefUnresponsiveProcessCallback.Wait either in this function or at a later time to reset the wait timer. In cases where you continue waiting there may be another call to this function if the process remains unresponsive. Return true (1) and call ICefUnresponsiveProcessCallback.Terminate either in this function or at a later time to terminate the unresponsive process, resulting in a call to OnRenderProcessTerminated. OnRenderProcessResponsive will be called if the process becomes responsive after this function is called. This functionality depends on the hang monitor which can be disabled by passing the `–disable-hang-monitor` command-line flag.

Protected procedure OnRenderProcessResponsive(const browser: ICefBrowser); virtual;

This item has no description. Showing description inherited from ICefRequestHandler.OnRenderProcessResponsive.

Called on the browser process UI thread when the render process becomes responsive after previously being unresponsive. See documentation on OnRenderProcessUnresponsive.

Protected procedure OnRenderProcessTerminated(const browser: ICefBrowser; status: TCefTerminationStatus; error_code: integer; const error_string: ustring); virtual;

This item has no description. Showing description inherited from ICefRequestHandler.OnRenderProcessTerminated.

Called on the browser process UI thread when the render process terminates unexpectedly. |status| indicates how the process terminated. |error_code| and |error_string| represent the error that would be displayed in Chrome's "Aw, Snap!" view. Possible |error_code| values include TCefResultCode non-normal exit values and platform-specific crash values (for example, a Posix signal or Windows hardware exception).

Protected procedure OnDocumentAvailableInMainFrame(const browser: ICefBrowser); virtual;

This item has no description. Showing description inherited from ICefRequestHandler.OnDocumentAvailableInMainFrame.

Called on the browser process UI thread when the window.document object of the main frame has been created.

Protected procedure RemoveReferences; virtual;

This item has no description. Showing description inherited from ICefRequestHandler.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFRequestHandler: Class TCustomRequestHandler

Class TCustomRequestHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFRequestHandler

Declaration

type TCustomRequestHandler = class(TCefRequestHandlerOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefRequestHandlerOwn
  • TCustomRequestHandler

Overview

Fields

Protected FEvents: Pointer;

Methods

Protected | function OnBeforeBrowse(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; user_gesture, isRedirect: Boolean): Boolean; override;
Protected | function OnOpenUrlFromTab(const browser: ICefBrowser; const frame: ICefFrame; const targetUrl: ustring; targetDisposition: TCefWindowOpenDisposition; userGesture: Boolean): Boolean; override;
Protected | procedure GetResourceRequestHandler(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; is_navigation, is_download: boolean; const request_initiator: ustring; var disable_default_handling: boolean; var aResourceRequestHandler : ICefResourceRequestHandler); override;
Protected | function GetAuthCredentials(const browser: ICefBrowser; const originUrl: ustring; isProxy: Boolean; const host: ustring; port: Integer; const realm, scheme: ustring; const callback: ICefAuthCallback): Boolean; override;
Protected | function OnCertificateError(const browser: ICefBrowser; certError: TCefErrorcode; const requestUrl: ustring; const sslInfo: ICefSslInfo; const callback: ICefCallback): Boolean; override;
Protected | function OnSelectClientCertificate(const browser: ICefBrowser; isProxy: boolean; const host: ustring; port: integer; certificatesCount: NativeUInt; const certificates: TCefX509CertificateArray; const callback: ICefSelectClientCertificateCallback): boolean; override;
Protected | procedure OnRenderViewReady(const browser: ICefBrowser); override;
Protected | function OnRenderProcessUnresponsive(const browser: ICefBrowser; const callback: ICefUnresponsiveProcessCallback): boolean; override;
Protected | procedure OnRenderProcessResponsive(const browser: ICefBrowser); override;
Protected | procedure OnRenderProcessTerminated(const browser: ICefBrowser; status: TCefTerminationStatus; error_code: integer; const error_string: ustring); override;
Protected | procedure OnDocumentAvailableInMainFrame(const browser: ICefBrowser); override;
Public | constructor Create(const events : IChromiumEvents); reintroduce; virtual;
Public | procedure BeforeDestruction; override;
Public | procedure RemoveReferences; override;

Description

Fields

Protected FEvents: Pointer;

This item has no description.

Methods

Protected function OnBeforeBrowse(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; user_gesture, isRedirect: Boolean): Boolean; override;

This item has no description. Showing description inherited from ICefRequestHandler.OnBeforeBrowse.

Called on the UI thread before browser navigation. Return true (1) to cancel the navigation or false (0) to allow the navigation to proceed. The |request| object cannot be modified in this callback. ICefLoadHandler.OnLoadingStateChange will be called twice in all cases. If the navigation is allowed ICefLoadHandler.OnLoadStart and ICefLoadHandler.OnLoadEnd will be called. If the navigation is canceled ICefLoadHandler.OnLoadError will be called with an |errorCode| value of ERR_ABORTED. The |user_gesture| value will be true (1) if the browser navigated via explicit user gesture (e.g. clicking a link) or false (0) if it navigated automatically (e.g. via the DomContentLoaded event).

Protected function OnOpenUrlFromTab(const browser: ICefBrowser; const frame: ICefFrame; const targetUrl: ustring; targetDisposition: TCefWindowOpenDisposition; userGesture: Boolean): Boolean; override;

This item has no description. Showing description inherited from ICefRequestHandler.OnOpenUrlFromTab.

Called on the UI thread before OnBeforeBrowse in certain limited cases where navigating a new or different browser might be desirable. This includes user-initiated navigation that might open in a special way (e.g. links clicked via middle-click or ctrl + left-click) and certain types of cross-origin navigation initiated from the renderer process (e.g. navigating the top-level frame to/from a file URL). The |browser| and |frame| values represent the source of the navigation. The |target_disposition| value indicates where the user intended to navigate the browser based on standard Chromium behaviors (e.g. current tab, new tab, etc). The |user_gesture| value will be true (1) if the browser navigated via explicit user gesture (e.g. clicking a link) or false (0) if it navigated automatically (e.g. via the DomContentLoaded event). Return true (1) to cancel the navigation or false (0) to allow the navigation to proceed in the source browser's top-level frame.

Protected procedure GetResourceRequestHandler(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; is_navigation, is_download: boolean; const request_initiator: ustring; var disable_default_handling: boolean; var aResourceRequestHandler : ICefResourceRequestHandler); override;

This item has no description. Showing description inherited from ICefRequestHandler.GetResourceRequestHandler.

Called on the browser process IO thread before a resource request is initiated. The |browser| and |frame| values represent the source of the request. |request| represents the request contents and cannot be modified in this callback. |is_navigation| will be true (1) if the resource request is a navigation. |is_download| will be true (1) if the resource request is a download. |request_initiator| is the origin (scheme + domain) of the page that initiated the request. Set |disable_default_handling| to true (1) to disable default handling of the request, in which case it will need to be handled via ICefResourceRequestHandler.GetResourceHandler or it will be canceled. To allow the resource load to proceed with default handling return NULL. To specify a handler for the resource return a ICefResourceRequestHandler object. If this callback returns NULL the same function will be called on the associated ICefRequestContextHandler, if any.

Protected function GetAuthCredentials(const browser: ICefBrowser; const originUrl: ustring; isProxy: Boolean; const host: ustring; port: Integer; const realm, scheme: ustring; const callback: ICefAuthCallback): Boolean; override;

This item has no description. Showing description inherited from ICefRequestHandler.GetAuthCredentials.

Called on the IO thread when the browser needs credentials from the user. |origin_url| is the origin making this authentication request. |isProxy| indicates whether the host is a proxy server. |host| contains the hostname and |port| contains the port number. |realm| is the realm of the challenge and may be NULL. |scheme| is the authentication scheme used, such as "basic" or "digest", and will be NULL if the source of the request is an FTP server. Return true (1) to continue the request and call ICefAuthCallback.cont() either in this function or at a later time when the authentication information is available. Return false (0) to cancel the request immediately.

Protected function OnCertificateError(const browser: ICefBrowser; certError: TCefErrorcode; const requestUrl: ustring; const sslInfo: ICefSslInfo; const callback: ICefCallback): Boolean; override;

This item has no description. Showing description inherited from ICefRequestHandler.OnCertificateError.

Called on the UI thread to handle requests for URLs with an invalid SSL certificate. Return true (1) and call ICefCallback functions either in this function or at a later time to continue or cancel the request. Return false (0) to cancel the request immediately. If TCefSettings.ignore_certificate_errors is set all invalid certificates will be accepted without calling this function.

Protected function OnSelectClientCertificate(const browser: ICefBrowser; isProxy: boolean; const host: ustring; port: integer; certificatesCount: NativeUInt; const certificates: TCefX509CertificateArray; const callback: ICefSelectClientCertificateCallback): boolean; override;

This item has no description. Showing description inherited from ICefRequestHandler.OnSelectClientCertificate.

Called on the UI thread when a client certificate is being requested for authentication. Return false (0) to use the default behavior. If the |certificates| list is not NULL the default behavior will be to display a dialog for certificate selection. If the |certificates| list is NULL then the default behavior will be not to show a dialog and it will continue without using any certificate. Return true (1) and call ICefSelectClientCertificateCallback.Select either in this function or at a later time to select a certificate. Do not call Select or call it with NULL to continue without using any certificate. |isProxy| indicates whether the host is an HTTPS proxy or the origin server. |host| and |port| contains the hostname and port of the SSL server. |certificates| is the list of certificates to choose from; this list has already been pruned by Chromium so that it only contains certificates from issuers that the server trusts.

Protected procedure OnRenderViewReady(const browser: ICefBrowser); override;

This item has no description. Showing description inherited from ICefRequestHandler.OnRenderViewReady.

Called on the browser process UI thread when the render view associated with |browser| is ready to receive/handle IPC messages in the render process.

Protected function OnRenderProcessUnresponsive(const browser: ICefBrowser; const callback: ICefUnresponsiveProcessCallback): boolean; override;

This item has no description. Showing description inherited from ICefRequestHandler.OnRenderProcessUnresponsive.

Called on the browser process UI thread when the render process is unresponsive as indicated by a lack of input event processing for at least 15 seconds. Return false (0) for the default behavior which is to continue waiting with Alloy style or display of the "Page unresponsive" dialog with Chrome style. Return true (1) and don't execute the callback to continue waiting without display of the Chrome style dialog. Return true (1) and call ICefUnresponsiveProcessCallback.Wait either in this function or at a later time to reset the wait timer. In cases where you continue waiting there may be another call to this function if the process remains unresponsive. Return true (1) and call ICefUnresponsiveProcessCallback.Terminate either in this function or at a later time to terminate the unresponsive process, resulting in a call to OnRenderProcessTerminated. OnRenderProcessResponsive will be called if the process becomes responsive after this function is called. This functionality depends on the hang monitor which can be disabled by passing the `–disable-hang-monitor` command-line flag.

Protected procedure OnRenderProcessResponsive(const browser: ICefBrowser); override;

This item has no description. Showing description inherited from ICefRequestHandler.OnRenderProcessResponsive.

Called on the browser process UI thread when the render process becomes responsive after previously being unresponsive. See documentation on OnRenderProcessUnresponsive.

Protected procedure OnRenderProcessTerminated(const browser: ICefBrowser; status: TCefTerminationStatus; error_code: integer; const error_string: ustring); override;

This item has no description. Showing description inherited from ICefRequestHandler.OnRenderProcessTerminated.

Called on the browser process UI thread when the render process terminates unexpectedly. |status| indicates how the process terminated. |error_code| and |error_string| represent the error that would be displayed in Chrome's "Aw, Snap!" view. Possible |error_code| values include TCefResultCode non-normal exit values and platform-specific crash values (for example, a Posix signal or Windows hardware exception).

Protected procedure OnDocumentAvailableInMainFrame(const browser: ICefBrowser); override;

This item has no description. Showing description inherited from ICefRequestHandler.OnDocumentAvailableInMainFrame.

Called on the browser process UI thread when the window.document object of the main frame has been created.

Public constructor Create(const events : IChromiumEvents); reintroduce; virtual;

This item has no description.

Public procedure BeforeDestruction; override;

This item has no description.

Public procedure RemoveReferences; override;

This item has no description. Showing description inherited from ICefRequestHandler.RemoveReferences.

Custom procedure to clear all references.


cef4delphi: uCEFResolveCallback

Unit uCEFResolveCallback

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefResolveCallbackOwn |
Class TCefCustomResolveCallback |


cef4delphi: uCEFResolveCallback: Class TCefResolveCallbackOwn

Class TCefResolveCallbackOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFResolveCallback

Declaration

type TCefResolveCallbackOwn = class(TCefBaseRefCountedOwn, ICefResolveCallback)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefResolveCallbackOwn

Overview

Methods

Protected | procedure OnResolveCompleted(result: TCefErrorCode; const resolvedIps: TStrings); virtual; abstract;
Public | constructor Create; virtual;

Description

Methods

Protected procedure OnResolveCompleted(result: TCefErrorCode; const resolvedIps: TStrings); virtual; abstract;

This item has no description. Showing description inherited from ICefResolveCallback.OnResolveCompleted.

Called on the UI thread after the ResolveHost request has completed. |result| will be the result code. |resolved_ips| will be the list of resolved IP addresses or NULL if the resolution failed.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFResolveCallback: Class TCefCustomResolveCallback

Class TCefCustomResolveCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFResolveCallback

Declaration

type TCefCustomResolveCallback = class(TCefResolveCallbackOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefResolveCallbackOwn
  • TCefCustomResolveCallback

Overview

Fields

Protected FEvents: Pointer;

Methods

Protected | procedure OnResolveCompleted(result: TCefErrorCode; const resolvedIps: TStrings); override;
Public | constructor Create(const aEvents : IChromiumEvents); reintroduce;
Public | destructor Destroy; override;

Description

Fields

Protected FEvents: Pointer;

This item has no description.

Methods

Protected procedure OnResolveCompleted(result: TCefErrorCode; const resolvedIps: TStrings); override;

This item has no description. Showing description inherited from ICefResolveCallback.OnResolveCompleted.

Called on the UI thread after the ResolveHost request has completed. |result| will be the result code. |resolved_ips| will be the list of resolved IP addresses or NULL if the resolution failed.

Public constructor Create(const aEvents : IChromiumEvents); reintroduce;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFResourceBundle

Unit uCEFResourceBundle

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefResourceBundleRef |


cef4delphi: uCEFResourceBundle: Class TCefResourceBundleRef

Class TCefResourceBundleRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFResourceBundle

Declaration

type TCefResourceBundleRef = class(TCefBaseRefCountedRef, ICefResourceBundle)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefResourceBundleRef

Overview

Methods

Protected | function GetLocalizedString(stringId: Integer): ustring;
Protected | function GetDataResource(resourceId: Integer): ICefBinaryValue;
Protected | function GetDataResourceForScale(resourceId: Integer; scaleFactor: TCefScaleFactor): ICefBinaryValue;
Public | class function UnWrap(data: Pointer): ICefResourceBundle;
Public | class function Global: ICefResourceBundle;

Description

Methods

Protected function GetLocalizedString(stringId: Integer): ustring;

This item has no description. Showing description inherited from ICefResourceBundle.GetLocalizedString.

Returns the localized string for the specified |string_id| or an NULL string if the value is not found. Use the cef_id_for_pack_string_name() function for version-safe mapping of string IDS names from cef_pack_strings.h to version-specific numerical |string_id| values.

Protected function GetDataResource(resourceId: Integer): ICefBinaryValue;

This item has no description. Showing description inherited from ICefResourceBundle.GetDataResource.

Returns a cef_binary_value_t containing the decompressed contents of the specified scale independent |resource_id| or NULL if not found. Use the cef_id_for_pack_resource_name() function for version-safe mapping of resource IDR names from cef_pack_resources.h to version-specific numerical |resource_id| values.

Protected function GetDataResourceForScale(resourceId: Integer; scaleFactor: TCefScaleFactor): ICefBinaryValue;

This item has no description. Showing description inherited from ICefResourceBundle.GetDataResourceForScale.

Returns a cef_binary_value_t containing the decompressed contents of the specified |resource_id| nearest the scale factor |scale_factor| or NULL if not found. Use a |scale_factor| value of SCALE_FACTOR_NONE for scale independent resources or call GetDataResource instead. Use the cef_id_for_pack_resource_name() function for version-safe mapping of resource IDR names from cef_pack_resources.h to version-specific numerical |resource_id| values.

Public class function UnWrap(data: Pointer): ICefResourceBundle;

This item has no description.

Public class function Global: ICefResourceBundle;

This item has no description.


cef4delphi: uCEFResourceBundleHandler

Unit uCEFResourceBundleHandler

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefResourceBundleHandlerOwn |
Class TCefCustomResourceBundleHandler |


cef4delphi: uCEFResourceBundleHandler: Class TCefResourceBundleHandlerOwn

Class TCefResourceBundleHandlerOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFResourceBundleHandler

Declaration

type TCefResourceBundleHandlerOwn = class(TCefBaseRefCountedOwn, ICefResourceBundleHandler)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefResourceBundleHandlerOwn

Overview

Methods

Protected | function GetLocalizedString(stringid: Integer; var stringVal: ustring): Boolean; virtual; abstract;
Protected | function GetDataResource(resourceId: Integer; var data: Pointer; var dataSize: NativeUInt): Boolean; virtual; abstract;
Protected | function GetDataResourceForScale(resourceId: Integer; scaleFactor: TCefScaleFactor; var data: Pointer; var dataSize: NativeUInt): Boolean; virtual; abstract;
Protected | procedure RemoveReferences; virtual; abstract;
Public | constructor Create; virtual;

Description

Methods

Protected function GetLocalizedString(stringid: Integer; var stringVal: ustring): Boolean; virtual; abstract;

This item has no description. Showing description inherited from ICefResourceBundleHandler.GetLocalizedString.

Called to retrieve a localized translation for the specified |string_id|. To provide the translation set |string| to the translation string and return true (1). To use the default translation return false (0). Use the cef_id_for_pack_string_name() function for version-safe mapping of string IDS names from cef_pack_strings.h to version-specific numerical |string_id| values.

Protected function GetDataResource(resourceId: Integer; var data: Pointer; var dataSize: NativeUInt): Boolean; virtual; abstract;

This item has no description. Showing description inherited from ICefResourceBundleHandler.GetDataResource.

Called to retrieve data for the specified scale independent |resource_id|. To provide the resource data set |data| and |data_size| to the data pointer and size respectively and return true (1). To use the default resource data return false (0). The resource data will not be copied and must remain resident in memory. Use the cef_id_for_pack_resource_name() function for version-safe mapping of resource IDR names from cef_pack_resources.h to version-specific numerical |resource_id| values.

Protected function GetDataResourceForScale(resourceId: Integer; scaleFactor: TCefScaleFactor; var data: Pointer; var dataSize: NativeUInt): Boolean; virtual; abstract;

This item has no description. Showing description inherited from ICefResourceBundleHandler.GetDataResourceForScale.

Called to retrieve data for the specified |resource_id| nearest the scale factor |scale_factor|. To provide the resource data set |data| and |data_size| to the data pointer and size respectively and return true (1). To use the default resource data return false (0). The resource data will not be copied and must remain resident in memory. Use the cef_id_for_pack_resource_name() function for version-safe mapping of resource IDR names from cef_pack_resources.h to version-specific numerical |resource_id| values.

Protected procedure RemoveReferences; virtual; abstract;

This item has no description. Showing description inherited from ICefResourceBundleHandler.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFResourceBundleHandler: Class TCefCustomResourceBundleHandler

Class TCefCustomResourceBundleHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFResourceBundleHandler

Declaration

type TCefCustomResourceBundleHandler = class(TCefResourceBundleHandlerOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefResourceBundleHandlerOwn
  • TCefCustomResourceBundleHandler

Overview

Fields

Protected FCefApp: TCefApplicationCore;

Methods

Protected | function GetLocalizedString(stringid: Integer; var stringVal: ustring): Boolean; override;
Protected | function GetDataResource(resourceId: Integer; var data: Pointer; var dataSize: NativeUInt): Boolean; override;
Protected | function GetDataResourceForScale(resourceId: Integer; scaleFactor: TCefScaleFactor; var data: Pointer; var dataSize: NativeUInt): Boolean; override;
Protected | procedure RemoveReferences; override;
Public | constructor Create(const aCefApp : TCefApplicationCore); reintroduce;
Public | destructor Destroy; override;

Description

Fields

Protected FCefApp: TCefApplicationCore;

This item has no description.

Methods

Protected function GetLocalizedString(stringid: Integer; var stringVal: ustring): Boolean; override;

This item has no description. Showing description inherited from ICefResourceBundleHandler.GetLocalizedString.

Called to retrieve a localized translation for the specified |string_id|. To provide the translation set |string| to the translation string and return true (1). To use the default translation return false (0). Use the cef_id_for_pack_string_name() function for version-safe mapping of string IDS names from cef_pack_strings.h to version-specific numerical |string_id| values.

Protected function GetDataResource(resourceId: Integer; var data: Pointer; var dataSize: NativeUInt): Boolean; override;

This item has no description. Showing description inherited from ICefResourceBundleHandler.GetDataResource.

Called to retrieve data for the specified scale independent |resource_id|. To provide the resource data set |data| and |data_size| to the data pointer and size respectively and return true (1). To use the default resource data return false (0). The resource data will not be copied and must remain resident in memory. Use the cef_id_for_pack_resource_name() function for version-safe mapping of resource IDR names from cef_pack_resources.h to version-specific numerical |resource_id| values.

Protected function GetDataResourceForScale(resourceId: Integer; scaleFactor: TCefScaleFactor; var data: Pointer; var dataSize: NativeUInt): Boolean; override;

This item has no description. Showing description inherited from ICefResourceBundleHandler.GetDataResourceForScale.

Called to retrieve data for the specified |resource_id| nearest the scale factor |scale_factor|. To provide the resource data set |data| and |data_size| to the data pointer and size respectively and return true (1). To use the default resource data return false (0). The resource data will not be copied and must remain resident in memory. Use the cef_id_for_pack_resource_name() function for version-safe mapping of resource IDR names from cef_pack_resources.h to version-specific numerical |resource_id| values.

Protected procedure RemoveReferences; override;

This item has no description. Showing description inherited from ICefResourceBundleHandler.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create(const aCefApp : TCefApplicationCore); reintroduce;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFResourceHandler

Unit uCEFResourceHandler

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefResourceHandlerRef |
Class TCefResourceHandlerOwn |

Types

TCefResourceHandlerClass = class of TCefResourceHandlerOwn;

Description

Types

TCefResourceHandlerClass = class of TCefResourceHandlerOwn;

This item has no description.


cef4delphi: uCEFResourceHandler: Class TCefResourceHandlerRef

Class TCefResourceHandlerRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFResourceHandler

Declaration

type TCefResourceHandlerRef = class(TCefBaseRefCountedRef, ICefResourceHandler)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefResourceHandlerRef

Overview

Methods

Protected | function open(const request: ICefRequest; var handle_request: boolean; const callback: ICefCallback): boolean;
Protected | function ProcessRequest(const request: ICefRequest; const callback: ICefCallback): Boolean;
Protected | procedure GetResponseHeaders(const response: ICefResponse; out responseLength: Int64; out redirectUrl: ustring);
Protected | function skip(bytes_to_skip: int64; var bytes_skipped: Int64; const callback: ICefResourceSkipCallback): boolean;
Protected | function read(const data_out: Pointer; bytes_to_read: Integer; var bytes_read: Integer; const callback: ICefResourceReadCallback): boolean;
Protected | function ReadResponse(const dataOut: Pointer; bytesToRead: Integer; var bytesRead: Integer; const callback: ICefCallback): Boolean;
Protected | procedure Cancel;
Public | class function UnWrap(data: Pointer): ICefResourceHandler;

Description

Methods

Protected function open(const request: ICefRequest; var handle_request: boolean; const callback: ICefCallback): boolean;

This item has no description. Showing description inherited from ICefResourceHandler.open.

Open the response stream. To handle the request immediately set |handle_request| to true (1) and return true (1). To decide at a later time set |handle_request| to false (0), return true (1), and execute |callback| to continue or cancel the request. To cancel the request immediately set |handle_request| to true (1) and return false (0). This function will be called in sequence but not from a dedicated thread. For backwards compatibility set |handle_request| to false (0) and return false (0) and the ProcessRequest function will be called.

Protected function ProcessRequest(const request: ICefRequest; const callback: ICefCallback): Boolean;

This item has no description. Showing description inherited from ICefResourceHandler.ProcessRequest.

Begin processing the request. To handle the request return true (1) and call ICefCallback.cont() once the response header information is available (ICefCallback.cont() can also be called from inside this function if header information is available immediately). To cancel the request return false (0).

WARNING: This function is deprecated. Use Open instead.

Protected procedure GetResponseHeaders(const response: ICefResponse; out responseLength: Int64; out redirectUrl: ustring);

deprecated

Protected function skip(bytes_to_skip: int64; var bytes_skipped: Int64; const callback: ICefResourceSkipCallback): boolean;

This item has no description. Showing description inherited from ICefResourceHandler.skip.

Skip response data when requested by a Range header. Skip over and discard |bytes_to_skip| bytes of response data. If data is available immediately set |bytes_skipped| to the number of bytes skipped and return true (1). To read the data at a later time set |bytes_skipped| to 0, return true (1) and execute |callback| when the data is available. To indicate failure set |bytes_skipped| to < 0 (e.g. -2 for ERR_FAILED) and return false (0). This function will be called in sequence but not from a dedicated thread.

Protected function read(const data_out: Pointer; bytes_to_read: Integer; var bytes_read: Integer; const callback: ICefResourceReadCallback): boolean;

This item has no description. Showing description inherited from ICefResourceHandler.read.

Read response data. If data is available immediately copy up to |bytes_to_read| bytes into |data_out|, set |bytes_read| to the number of bytes copied, and return true (1). To read the data at a later time keep a pointer to |data_out|, set |bytes_read| to 0, return true (1) and execute |callback| when the data is available (|data_out| will remain valid until the callback is executed). To indicate response completion set |bytes_read| to 0 and return false (0). To indicate failure set |bytes_read| to < 0 (e.g. -2 for ERR_FAILED) and return false (0). This function will be called in sequence but not from a dedicated thread. For backwards compatibility set |bytes_read| to -1 and return false (0) and the ReadResponse function will be called.

Protected function ReadResponse(const dataOut: Pointer; bytesToRead: Integer; var bytesRead: Integer; const callback: ICefCallback): Boolean;

This item has no description. Showing description inherited from ICefResourceHandler.ReadResponse.

Read response data. If data is available immediately copy up to |bytes_to_read| bytes into |data_out|, set |bytes_read| to the number of bytes copied, and return true (1). To read the data at a later time set |bytes_read| to 0, return true (1) and call ICefCallback.cont() when the data is available. To indicate response completion return false (0).

WARNING: This function is deprecated. Use Skip and Read instead.

Protected procedure Cancel;

deprecated

Public class function UnWrap(data: Pointer): ICefResourceHandler;

This item has no description.


cef4delphi: uCEFResourceHandler: Class TCefResourceHandlerOwn

Class TCefResourceHandlerOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFResourceHandler

Declaration

type TCefResourceHandlerOwn = class(TCefBaseRefCountedOwn, ICefResourceHandler)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefResourceHandlerOwn

Overview

Methods

Protected | function open(const request: ICefRequest; var handle_request: boolean; const callback: ICefCallback): boolean; virtual;
Protected | function ProcessRequest(const request: ICefRequest; const callback: ICefCallback): Boolean; virtual;
Protected | procedure GetResponseHeaders(const response: ICefResponse; out responseLength: Int64; out redirectUrl: ustring); virtual;
Protected | function skip(bytes_to_skip: int64; var bytes_skipped: Int64; const callback: ICefResourceSkipCallback): boolean; virtual;
Protected | function read(const data_out: Pointer; bytes_to_read: Integer; var bytes_read: Integer; const callback: ICefResourceReadCallback): boolean; virtual;
Protected | function ReadResponse(const dataOut: Pointer; bytesToRead: Integer; var bytesRead: Integer; const callback: ICefCallback): Boolean; virtual;
Protected | procedure Cancel; virtual;
Public | constructor Create(const browser: ICefBrowser; const frame: ICefFrame; const schemeName: ustring; const request: ICefRequest); virtual;

Description

Methods

Protected function open(const request: ICefRequest; var handle_request: boolean; const callback: ICefCallback): boolean; virtual;

This item has no description. Showing description inherited from ICefResourceHandler.open.

Open the response stream. To handle the request immediately set |handle_request| to true (1) and return true (1). To decide at a later time set |handle_request| to false (0), return true (1), and execute |callback| to continue or cancel the request. To cancel the request immediately set |handle_request| to true (1) and return false (0). This function will be called in sequence but not from a dedicated thread. For backwards compatibility set |handle_request| to false (0) and return false (0) and the ProcessRequest function will be called.

Protected function ProcessRequest(const request: ICefRequest; const callback: ICefCallback): Boolean; virtual;

This item has no description. Showing description inherited from ICefResourceHandler.ProcessRequest.

Begin processing the request. To handle the request return true (1) and call ICefCallback.cont() once the response header information is available (ICefCallback.cont() can also be called from inside this function if header information is available immediately). To cancel the request return false (0).

WARNING: This function is deprecated. Use Open instead.

Protected procedure GetResponseHeaders(const response: ICefResponse; out responseLength: Int64; out redirectUrl: ustring); virtual;

deprecated

Protected function skip(bytes_to_skip: int64; var bytes_skipped: Int64; const callback: ICefResourceSkipCallback): boolean; virtual;

This item has no description. Showing description inherited from ICefResourceHandler.skip.

Skip response data when requested by a Range header. Skip over and discard |bytes_to_skip| bytes of response data. If data is available immediately set |bytes_skipped| to the number of bytes skipped and return true (1). To read the data at a later time set |bytes_skipped| to 0, return true (1) and execute |callback| when the data is available. To indicate failure set |bytes_skipped| to < 0 (e.g. -2 for ERR_FAILED) and return false (0). This function will be called in sequence but not from a dedicated thread.

Protected function read(const data_out: Pointer; bytes_to_read: Integer; var bytes_read: Integer; const callback: ICefResourceReadCallback): boolean; virtual;

This item has no description. Showing description inherited from ICefResourceHandler.read.

Read response data. If data is available immediately copy up to |bytes_to_read| bytes into |data_out|, set |bytes_read| to the number of bytes copied, and return true (1). To read the data at a later time keep a pointer to |data_out|, set |bytes_read| to 0, return true (1) and execute |callback| when the data is available (|data_out| will remain valid until the callback is executed). To indicate response completion set |bytes_read| to 0 and return false (0). To indicate failure set |bytes_read| to < 0 (e.g. -2 for ERR_FAILED) and return false (0). This function will be called in sequence but not from a dedicated thread. For backwards compatibility set |bytes_read| to -1 and return false (0) and the ReadResponse function will be called.

Protected function ReadResponse(const dataOut: Pointer; bytesToRead: Integer; var bytesRead: Integer; const callback: ICefCallback): Boolean; virtual;

This item has no description. Showing description inherited from ICefResourceHandler.ReadResponse.

Read response data. If data is available immediately copy up to |bytes_to_read| bytes into |data_out|, set |bytes_read| to the number of bytes copied, and return true (1). To read the data at a later time set |bytes_read| to 0, return true (1) and call ICefCallback.cont() when the data is available. To indicate response completion return false (0).

WARNING: This function is deprecated. Use Skip and Read instead.

Protected procedure Cancel; virtual;

deprecated

Public constructor Create(const browser: ICefBrowser; const frame: ICefFrame; const schemeName: ustring; const request: ICefRequest); virtual;

This item has no description.


cef4delphi: uCEFResourceReadCallback

Unit uCEFResourceReadCallback

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefResourceReadCallbackRef |


cef4delphi: uCEFResourceReadCallback: Class TCefResourceReadCallbackRef

Class TCefResourceReadCallbackRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFResourceReadCallback

Declaration

type TCefResourceReadCallbackRef = class(TCefBaseRefCountedRef, ICefResourceReadCallback)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefResourceReadCallbackRef

Overview

Methods

Protected | procedure Cont(bytes_read: int64);
Public | class function UnWrap(data: Pointer): ICefResourceReadCallback;

Description

Methods

Protected procedure Cont(bytes_read: int64);

This item has no description. Showing description inherited from ICefResourceReadCallback.Cont.

Callback for asynchronous continuation of read(). If |bytes_read| == 0 the response will be considered complete. If |bytes_read| > 0 then read() will be called again until the request is complete (based on either the result or the expected content length). If |bytes_read| < 0 then the request will fail and the |bytes_read| value will be treated as the error code.

Public class function UnWrap(data: Pointer): ICefResourceReadCallback;

This item has no description.


cef4delphi: uCEFResourceRequestHandler

Unit uCEFResourceRequestHandler

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefResourceRequestHandlerRef |
Class TCefResourceRequestHandlerOwn |
Class TCustomResourceRequestHandler |


cef4delphi: uCEFResourceRequestHandler: Class TCefResourceRequestHandlerRef

Class TCefResourceRequestHandlerRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFResourceRequestHandler

Declaration

type TCefResourceRequestHandlerRef = class(TCefBaseRefCountedRef, ICefResourceRequestHandler)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefResourceRequestHandlerRef

Overview

Methods

Protected | procedure GetCookieAccessFilter(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; var aFilter: ICefCookieAccessFilter);
Protected | function OnBeforeResourceLoad(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const callback: ICefCallback): TCefReturnValue;
Protected | procedure GetResourceHandler(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; var aResourceHandler : ICefResourceHandler);
Protected | procedure OnResourceRedirect(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; var newUrl: ustring);
Protected | function OnResourceResponse(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse): Boolean;
Protected | procedure GetResourceResponseFilter(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; var aResponseFilter: ICefResponseFilter);
Protected | procedure OnResourceLoadComplete(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; status: TCefUrlRequestStatus; receivedContentLength: Int64);
Protected | procedure OnProtocolExecution(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; var allowOsExecution: Boolean);
Protected | procedure RemoveReferences;
Public | class function UnWrap(data: Pointer): ICefResourceRequestHandler;

Description

Methods

Protected procedure GetCookieAccessFilter(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; var aFilter: ICefCookieAccessFilter);

This item has no description. Showing description inherited from ICefResourceRequestHandler.GetCookieAccessFilter.

Called on the IO thread before a resource request is loaded. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. To optionally filter cookies for the request return a ICefCookieAccessFilter object. The |request| object cannot not be modified in this callback.

Protected function OnBeforeResourceLoad(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const callback: ICefCallback): TCefReturnValue;

This item has no description. Showing description inherited from ICefResourceRequestHandler.OnBeforeResourceLoad.

Called on the IO thread before a resource request is loaded. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. To redirect or change the resource load optionally modify |request|. Modification of the request URL will be treated as a redirect. Return RV_CONTINUE to continue the request immediately. Return RV_CONTINUE_ASYNC and call ICefCallback functions at a later time to continue or cancel the request asynchronously. Return RV_CANCEL to cancel the request immediately.

Protected procedure GetResourceHandler(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; var aResourceHandler : ICefResourceHandler);

This item has no description. Showing description inherited from ICefResourceRequestHandler.GetResourceHandler.

Called on the IO thread before a resource is loaded. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. To allow the resource to load using the default network loader return NULL. To specify a handler for the resource return a ICefResourceHandler object. The |request| object cannot not be modified in this callback.

Protected procedure OnResourceRedirect(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; var newUrl: ustring);

This item has no description. Showing description inherited from ICefResourceRequestHandler.OnResourceRedirect.

Called on the IO thread when a resource load is redirected. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. The |request| parameter will contain the old URL and other request-related information. The |response| parameter will contain the response that resulted in the redirect. The |new_url| parameter will contain the new URL and can be changed if desired. The |request| and |response| objects cannot be modified in this callback.

Protected function OnResourceResponse(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse): Boolean;

This item has no description. Showing description inherited from ICefResourceRequestHandler.OnResourceResponse.

Called on the IO thread when a resource response is received. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. To allow the resource load to proceed without modification return false (0). To redirect or retry the resource load optionally modify |request| and return true (1). Modification of the request URL will be treated as a redirect. Requests handled using the default network loader cannot be redirected in this callback. The |response| object cannot be modified in this callback.

WARNING: Redirecting using this function is deprecated. Use OnBeforeResourceLoad or GetResourceHandler to perform redirects.

Protected procedure GetResourceResponseFilter(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; var aResponseFilter: ICefResponseFilter);

This item has no description. Showing description inherited from ICefResourceRequestHandler.GetResourceResponseFilter.

Called on the IO thread to optionally filter resource response content. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. |request| and |response| represent the request and response respectively and cannot be modified in this callback.

Protected procedure OnResourceLoadComplete(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; status: TCefUrlRequestStatus; receivedContentLength: Int64);

This item has no description. Showing description inherited from ICefResourceRequestHandler.OnResourceLoadComplete.

Called on the IO thread when a resource load has completed. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. |request| and |response| represent the request and response respectively and cannot be modified in this callback. |status| indicates the load completion status. |received_content_length| is the number of response bytes actually read. This function will be called for all requests, including requests that are aborted due to CEF shutdown or destruction of the associated browser. In cases where the associated browser is destroyed this callback may arrive after the ICefLifeSpanHandler.OnBeforeClose callback for that browser. The ICefFrame.IsValid function can be used to test for this situation, and care should be taken not to call |browser| or |frame| functions that modify state (like LoadURL, SendProcessMessage, etc.) if the frame is invalid.

Protected procedure OnProtocolExecution(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; var allowOsExecution: Boolean);

This item has no description. Showing description inherited from ICefResourceRequestHandler.OnProtocolExecution.

Called on the IO thread to handle requests for URLs with an unknown protocol component. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. |request| cannot be modified in this callback. Set |allow_os_execution| to true (1) to attempt execution via the registered OS protocol handler, if any. SECURITY WARNING: YOU SHOULD USE THIS METHOD TO ENFORCE RESTRICTIONS BASED ON SCHEME, HOST OR OTHER URL ANALYSIS BEFORE ALLOWING OS EXECUTION.

Protected procedure RemoveReferences;

This item has no description. Showing description inherited from ICefResourceRequestHandler.RemoveReferences.

Custom procedure to clear all references.

Public class function UnWrap(data: Pointer): ICefResourceRequestHandler;

This item has no description.


cef4delphi: uCEFResourceRequestHandler: Class TCefResourceRequestHandlerOwn

Class TCefResourceRequestHandlerOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFResourceRequestHandler

Declaration

type TCefResourceRequestHandlerOwn = class(TCefBaseRefCountedOwn, ICefResourceRequestHandler)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefResourceRequestHandlerOwn

Overview

Methods

Protected | procedure GetCookieAccessFilter(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; var aFilter: ICefCookieAccessFilter); virtual;
Protected | function OnBeforeResourceLoad(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const callback: ICefCallback): TCefReturnValue; virtual;
Protected | procedure GetResourceHandler(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; var aResourceHandler : ICefResourceHandler); virtual;
Protected | procedure OnResourceRedirect(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; var newUrl: ustring); virtual;
Protected | function OnResourceResponse(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse): Boolean; virtual;
Protected | procedure GetResourceResponseFilter(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; var aResponseFilter: ICefResponseFilter); virtual;
Protected | procedure OnResourceLoadComplete(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; status: TCefUrlRequestStatus; receivedContentLength: Int64); virtual;
Protected | procedure OnProtocolExecution(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; var allowOsExecution: Boolean); virtual;
Protected | procedure RemoveReferences; virtual;
Public | constructor Create; virtual;

Description

Methods

Protected procedure GetCookieAccessFilter(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; var aFilter: ICefCookieAccessFilter); virtual;

This item has no description. Showing description inherited from ICefResourceRequestHandler.GetCookieAccessFilter.

Called on the IO thread before a resource request is loaded. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. To optionally filter cookies for the request return a ICefCookieAccessFilter object. The |request| object cannot not be modified in this callback.

Protected function OnBeforeResourceLoad(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const callback: ICefCallback): TCefReturnValue; virtual;

This item has no description. Showing description inherited from ICefResourceRequestHandler.OnBeforeResourceLoad.

Called on the IO thread before a resource request is loaded. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. To redirect or change the resource load optionally modify |request|. Modification of the request URL will be treated as a redirect. Return RV_CONTINUE to continue the request immediately. Return RV_CONTINUE_ASYNC and call ICefCallback functions at a later time to continue or cancel the request asynchronously. Return RV_CANCEL to cancel the request immediately.

Protected procedure GetResourceHandler(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; var aResourceHandler : ICefResourceHandler); virtual;

This item has no description. Showing description inherited from ICefResourceRequestHandler.GetResourceHandler.

Called on the IO thread before a resource is loaded. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. To allow the resource to load using the default network loader return NULL. To specify a handler for the resource return a ICefResourceHandler object. The |request| object cannot not be modified in this callback.

Protected procedure OnResourceRedirect(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; var newUrl: ustring); virtual;

This item has no description. Showing description inherited from ICefResourceRequestHandler.OnResourceRedirect.

Called on the IO thread when a resource load is redirected. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. The |request| parameter will contain the old URL and other request-related information. The |response| parameter will contain the response that resulted in the redirect. The |new_url| parameter will contain the new URL and can be changed if desired. The |request| and |response| objects cannot be modified in this callback.

Protected function OnResourceResponse(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse): Boolean; virtual;

This item has no description. Showing description inherited from ICefResourceRequestHandler.OnResourceResponse.

Called on the IO thread when a resource response is received. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. To allow the resource load to proceed without modification return false (0). To redirect or retry the resource load optionally modify |request| and return true (1). Modification of the request URL will be treated as a redirect. Requests handled using the default network loader cannot be redirected in this callback. The |response| object cannot be modified in this callback.

WARNING: Redirecting using this function is deprecated. Use OnBeforeResourceLoad or GetResourceHandler to perform redirects.

Protected procedure GetResourceResponseFilter(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; var aResponseFilter: ICefResponseFilter); virtual;

This item has no description. Showing description inherited from ICefResourceRequestHandler.GetResourceResponseFilter.

Called on the IO thread to optionally filter resource response content. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. |request| and |response| represent the request and response respectively and cannot be modified in this callback.

Protected procedure OnResourceLoadComplete(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; status: TCefUrlRequestStatus; receivedContentLength: Int64); virtual;

This item has no description. Showing description inherited from ICefResourceRequestHandler.OnResourceLoadComplete.

Called on the IO thread when a resource load has completed. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. |request| and |response| represent the request and response respectively and cannot be modified in this callback. |status| indicates the load completion status. |received_content_length| is the number of response bytes actually read. This function will be called for all requests, including requests that are aborted due to CEF shutdown or destruction of the associated browser. In cases where the associated browser is destroyed this callback may arrive after the ICefLifeSpanHandler.OnBeforeClose callback for that browser. The ICefFrame.IsValid function can be used to test for this situation, and care should be taken not to call |browser| or |frame| functions that modify state (like LoadURL, SendProcessMessage, etc.) if the frame is invalid.

Protected procedure OnProtocolExecution(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; var allowOsExecution: Boolean); virtual;

This item has no description. Showing description inherited from ICefResourceRequestHandler.OnProtocolExecution.

Called on the IO thread to handle requests for URLs with an unknown protocol component. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. |request| cannot be modified in this callback. Set |allow_os_execution| to true (1) to attempt execution via the registered OS protocol handler, if any. SECURITY WARNING: YOU SHOULD USE THIS METHOD TO ENFORCE RESTRICTIONS BASED ON SCHEME, HOST OR OTHER URL ANALYSIS BEFORE ALLOWING OS EXECUTION.

Protected procedure RemoveReferences; virtual;

This item has no description. Showing description inherited from ICefResourceRequestHandler.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFResourceRequestHandler: Class TCustomResourceRequestHandler

Class TCustomResourceRequestHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFResourceRequestHandler

Declaration

type TCustomResourceRequestHandler = class(TCefResourceRequestHandlerOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefResourceRequestHandlerOwn
  • TCustomResourceRequestHandler

Overview

Fields

Protected | FEvents: Pointer;
Protected | FCookieAccessFilter: ICefCookieAccessFilter;

Methods

Protected | procedure GetCookieAccessFilter(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; var aFilter: ICefCookieAccessFilter); override;
Protected | function OnBeforeResourceLoad(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const callback: ICefCallback): TCefReturnValue; override;
Protected | procedure GetResourceHandler(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; var aResourceHandler : ICefResourceHandler); override;
Protected | procedure OnResourceRedirect(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; var newUrl: ustring); override;
Protected | function OnResourceResponse(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse): Boolean; override;
Protected | procedure GetResourceResponseFilter(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; var aResponseFilter: ICefResponseFilter); override;
Protected | procedure OnResourceLoadComplete(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; status: TCefUrlRequestStatus; receivedContentLength: Int64); override;
Protected | procedure OnProtocolExecution(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; var allowOsExecution: Boolean); override;
Protected | procedure InitializeVars;
Public | constructor Create(const events : IChromiumEvents); reintroduce;
Public | procedure BeforeDestruction; override;
Public | procedure RemoveReferences; override;

Description

Fields

Protected FEvents: Pointer;

This item has no description.

Protected FCookieAccessFilter: ICefCookieAccessFilter;

This item has no description.

Methods

Protected procedure GetCookieAccessFilter(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; var aFilter: ICefCookieAccessFilter); override;

This item has no description. Showing description inherited from ICefResourceRequestHandler.GetCookieAccessFilter.

Called on the IO thread before a resource request is loaded. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. To optionally filter cookies for the request return a ICefCookieAccessFilter object. The |request| object cannot not be modified in this callback.

Protected function OnBeforeResourceLoad(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const callback: ICefCallback): TCefReturnValue; override;

This item has no description. Showing description inherited from ICefResourceRequestHandler.OnBeforeResourceLoad.

Called on the IO thread before a resource request is loaded. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. To redirect or change the resource load optionally modify |request|. Modification of the request URL will be treated as a redirect. Return RV_CONTINUE to continue the request immediately. Return RV_CONTINUE_ASYNC and call ICefCallback functions at a later time to continue or cancel the request asynchronously. Return RV_CANCEL to cancel the request immediately.

Protected procedure GetResourceHandler(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; var aResourceHandler : ICefResourceHandler); override;

This item has no description. Showing description inherited from ICefResourceRequestHandler.GetResourceHandler.

Called on the IO thread before a resource is loaded. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. To allow the resource to load using the default network loader return NULL. To specify a handler for the resource return a ICefResourceHandler object. The |request| object cannot not be modified in this callback.

Protected procedure OnResourceRedirect(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; var newUrl: ustring); override;

This item has no description. Showing description inherited from ICefResourceRequestHandler.OnResourceRedirect.

Called on the IO thread when a resource load is redirected. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. The |request| parameter will contain the old URL and other request-related information. The |response| parameter will contain the response that resulted in the redirect. The |new_url| parameter will contain the new URL and can be changed if desired. The |request| and |response| objects cannot be modified in this callback.

Protected function OnResourceResponse(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse): Boolean; override;

This item has no description. Showing description inherited from ICefResourceRequestHandler.OnResourceResponse.

Called on the IO thread when a resource response is received. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. To allow the resource load to proceed without modification return false (0). To redirect or retry the resource load optionally modify |request| and return true (1). Modification of the request URL will be treated as a redirect. Requests handled using the default network loader cannot be redirected in this callback. The |response| object cannot be modified in this callback.

WARNING: Redirecting using this function is deprecated. Use OnBeforeResourceLoad or GetResourceHandler to perform redirects.

Protected procedure GetResourceResponseFilter(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; var aResponseFilter: ICefResponseFilter); override;

This item has no description. Showing description inherited from ICefResourceRequestHandler.GetResourceResponseFilter.

Called on the IO thread to optionally filter resource response content. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. |request| and |response| represent the request and response respectively and cannot be modified in this callback.

Protected procedure OnResourceLoadComplete(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; status: TCefUrlRequestStatus; receivedContentLength: Int64); override;

This item has no description. Showing description inherited from ICefResourceRequestHandler.OnResourceLoadComplete.

Called on the IO thread when a resource load has completed. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. |request| and |response| represent the request and response respectively and cannot be modified in this callback. |status| indicates the load completion status. |received_content_length| is the number of response bytes actually read. This function will be called for all requests, including requests that are aborted due to CEF shutdown or destruction of the associated browser. In cases where the associated browser is destroyed this callback may arrive after the ICefLifeSpanHandler.OnBeforeClose callback for that browser. The ICefFrame.IsValid function can be used to test for this situation, and care should be taken not to call |browser| or |frame| functions that modify state (like LoadURL, SendProcessMessage, etc.) if the frame is invalid.

Protected procedure OnProtocolExecution(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; var allowOsExecution: Boolean); override;

This item has no description. Showing description inherited from ICefResourceRequestHandler.OnProtocolExecution.

Called on the IO thread to handle requests for URLs with an unknown protocol component. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. |request| cannot be modified in this callback. Set |allow_os_execution| to true (1) to attempt execution via the registered OS protocol handler, if any. SECURITY WARNING: YOU SHOULD USE THIS METHOD TO ENFORCE RESTRICTIONS BASED ON SCHEME, HOST OR OTHER URL ANALYSIS BEFORE ALLOWING OS EXECUTION.

Protected procedure InitializeVars;

This item has no description.

Public constructor Create(const events : IChromiumEvents); reintroduce;

This item has no description.

Public procedure BeforeDestruction; override;

This item has no description.

Public procedure RemoveReferences; override;

This item has no description. Showing description inherited from ICefResourceRequestHandler.RemoveReferences.

Custom procedure to clear all references.


cef4delphi: uCEFResourceSkipCallback

Unit uCEFResourceSkipCallback

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefResourceSkipCallbackRef |


cef4delphi: uCEFResourceSkipCallback: Class TCefResourceSkipCallbackRef

Class TCefResourceSkipCallbackRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFResourceSkipCallback

Declaration

type TCefResourceSkipCallbackRef = class(TCefBaseRefCountedRef, ICefResourceSkipCallback)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefResourceSkipCallbackRef

Overview

Methods

Protected | procedure Cont(bytes_skipped: int64);
Public | class function UnWrap(data: Pointer): ICefResourceSkipCallback;

Description

Methods

Protected procedure Cont(bytes_skipped: int64);

This item has no description. Showing description inherited from ICefResourceSkipCallback.Cont.

Callback for asynchronous continuation of skip(). If |bytes_skipped| > 0 then either skip() will be called again until the requested number of bytes have been skipped or the request will proceed. If |bytes_skipped| <= 0 the request will fail with ERR_REQUEST_RANGE_NOT_SATISFIABLE.

Public class function UnWrap(data: Pointer): ICefResourceSkipCallback;

This item has no description.


cef4delphi: uCEFResponse

Unit uCEFResponse

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefResponseRef |


cef4delphi: uCEFResponse: Class TCefResponseRef

Class TCefResponseRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFResponse

Declaration

type TCefResponseRef = class(TCefBaseRefCountedRef, ICefResponse)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefResponseRef

Overview

Methods

Protected | function IsReadOnly: Boolean;
Protected | function GetError: TCefErrorCode;
Protected | procedure SetError(error: TCefErrorCode);
Protected | function GetStatus: Integer;
Protected | procedure SetStatus(status: Integer);
Protected | function GetStatusText: ustring;
Protected | procedure SetStatusText(const StatusText: ustring);
Protected | function GetMimeType: ustring;
Protected | procedure SetMimeType(const mimetype: ustring);
Protected | function GetCharset: ustring;
Protected | procedure SetCharset(const charset: ustring);
Protected | function GetHeaderByName(const name: ustring): ustring;
Protected | procedure SetHeaderByName(const name, value: ustring; overwrite: boolean);
Protected | procedure GetHeaderMap(const headerMap: ICefStringMultimap);
Protected | procedure SetHeaderMap(const headerMap: ICefStringMultimap);
Protected | function GetURL: ustring;
Protected | procedure SetURL(const url: ustring);
Public | class function UnWrap(data: Pointer): ICefResponse;
Public | class function New: ICefResponse;

Description

Methods

Protected function IsReadOnly: Boolean;

This item has no description. Showing description inherited from ICefResponse.IsReadOnly.

Returns true (1) if this object is read-only.

Protected function GetError: TCefErrorCode;

This item has no description. Showing description inherited from ICefResponse.GetError.

Get the response error code. Returns ERR_NONE if there was no error.

Protected procedure SetError(error: TCefErrorCode);

This item has no description. Showing description inherited from ICefResponse.SetError.

Set the response error code. This can be used by custom scheme handlers to return errors during initial request processing.

Protected function GetStatus: Integer;

This item has no description. Showing description inherited from ICefResponse.GetStatus.

Get the response status code.

Protected procedure SetStatus(status: Integer);

This item has no description. Showing description inherited from ICefResponse.SetStatus.

Set the response status code.

Protected function GetStatusText: ustring;

This item has no description. Showing description inherited from ICefResponse.GetStatusText.

Get the response status text.

Protected procedure SetStatusText(const StatusText: ustring);

This item has no description. Showing description inherited from ICefResponse.SetStatusText.

Set the response status text.

Protected function GetMimeType: ustring;

This item has no description. Showing description inherited from ICefResponse.GetMimeType.

Get the response mime type.

Protected procedure SetMimeType(const mimetype: ustring);

This item has no description. Showing description inherited from ICefResponse.SetMimeType.

Set the response mime type.

Protected function GetCharset: ustring;

This item has no description. Showing description inherited from ICefResponse.GetCharset.

Get the response charset.

Protected procedure SetCharset(const charset: ustring);

This item has no description. Showing description inherited from ICefResponse.SetCharset.

Set the response charset.

Protected function GetHeaderByName(const name: ustring): ustring;

This item has no description. Showing description inherited from ICefResponse.GetHeaderByName.

Get the value for the specified response header field.

Protected procedure SetHeaderByName(const name, value: ustring; overwrite: boolean);

This item has no description. Showing description inherited from ICefResponse.SetHeaderByName.

Set the header |name| to |value|. If |overwrite| is true (1) any existing values will be replaced with the new value. If |overwrite| is false (0) any existing values will not be overwritten.

Protected procedure GetHeaderMap(const headerMap: ICefStringMultimap);

This item has no description. Showing description inherited from ICefResponse.GetHeaderMap.

Get all response header fields.

Protected procedure SetHeaderMap(const headerMap: ICefStringMultimap);

This item has no description. Showing description inherited from ICefResponse.SetHeaderMap.

Set all response header fields.

Protected function GetURL: ustring;

This item has no description. Showing description inherited from ICefResponse.GetURL.

Get the resolved URL after redirects or changed as a result of HSTS.

Protected procedure SetURL(const url: ustring);

This item has no description. Showing description inherited from ICefResponse.SetURL.

Set the resolved URL after redirects or changed as a result of HSTS.

Public class function UnWrap(data: Pointer): ICefResponse;

This item has no description.

Public class function New: ICefResponse;

This item has no description.


cef4delphi: uCEFResponseFilter

Unit uCEFResponseFilter

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefResponseFilterRef | Reference class implementing a resource filter.
Class TCefResponseFilterOwn | Owned class implementing a resource filter.
Class TCustomResponseFilter | Custom class implementing a resource filter with events.

Types

TOnFilterEvent = procedure(Sender: TObject; data_in: Pointer; data_in_size: NativeUInt; var data_in_read: NativeUInt; data_out: Pointer; data_out_size : NativeUInt; var data_out_written: NativeUInt; var aResult : TCefResponseFilterStatus) of object;
TOnInitFilterEvent = procedure(Sender: TObject; var aResult : boolean) of object;

Description

Types

TOnFilterEvent = procedure(Sender: TObject; data_in: Pointer; data_in_size: NativeUInt; var data_in_read: NativeUInt; data_out: Pointer; data_out_size : NativeUInt; var data_out_written: NativeUInt; var aResult : TCefResponseFilterStatus) of object;

This item has no description.

TOnInitFilterEvent = procedure(Sender: TObject; var aResult : boolean) of object;

This item has no description.


cef4delphi: uCEFResponseFilter: Class TCefResponseFilterRef

Class TCefResponseFilterRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFResponseFilter

Declaration

type TCefResponseFilterRef = class(TCefBaseRefCountedRef, ICefResponseFilter)

Description

Reference class implementing a resource filter.

The functions of this interface will be called on the browser process IO thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_response_filter_capi.h">CEF source file: /include/capi/cef_response_filter_capi.h (cef_response_filter_t))

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefResponseFilterRef

Overview

Methods

Protected | function InitFilter: Boolean; virtual;
Protected | function Filter(data_in: Pointer; data_in_size: NativeUInt; var data_in_read: NativeUInt; data_out: Pointer; data_out_size : NativeUInt; var data_out_written: NativeUInt): TCefResponseFilterStatus; virtual;
Public | class function UnWrap(data: Pointer): ICefResponseFilter;

Description

Methods

Protected function InitFilter: Boolean; virtual;

Initialize the response filter. Will only be called a single time. The filter will not be installed if this function returns false (0).

Protected function Filter(data_in: Pointer; data_in_size: NativeUInt; var data_in_read: NativeUInt; data_out: Pointer; data_out_size : NativeUInt; var data_out_written: NativeUInt): TCefResponseFilterStatus; virtual;

Called to filter a chunk of data. Expected usage is as follows:

1. Read input data from |data_in| and set |data_in_read| to the number of
   bytes that were read up to a maximum of |data_in_size|. |data_in| will
   be NULL if |data_in_size| is zero.
2. Write filtered output data to |data_out| and set |data_out_written| to
   the number of bytes that were written up to a maximum of
   |data_out_size|. If no output data was written then all data must be
   read from |data_in| (user must set |data_in_read| = |data_in_size|).
3. Return RESPONSE_FILTER_DONE if all output data was written or
   RESPONSE_FILTER_NEED_MORE_DATA if output data is still pending.

This function will be called repeatedly until the input buffer has been fully read (user sets |data_in_read| = |data_in_size|) and there is no more input data to filter (the resource response is complete). This function may then be called an additional time with an NULL input buffer if the user filled the output buffer (set |data_out_written| = |data_out_size|) and returned RESPONSE_FILTER_NEED_MORE_DATA to indicate that output data is still pending.

Calls to this function will stop when one of the following conditions is met:

1. There is no more input data to filter (the resource response is
   complete) and the user sets |data_out_written| = 0 or returns
   RESPONSE_FILTER_DONE to indicate that all data has been written, or;
2. The user returns RESPONSE_FILTER_ERROR to indicate an error.

Do not keep a reference to the buffers passed to this function.

Public class function UnWrap(data: Pointer): ICefResponseFilter;

This item has no description.


cef4delphi: uCEFResponseFilter: Class TCefResponseFilterOwn

Class TCefResponseFilterOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFResponseFilter

Declaration

type TCefResponseFilterOwn = class(TCefBaseRefCountedOwn, ICefResponseFilter)

Description

Owned class implementing a resource filter.

The functions of this interface will be called on the browser process IO thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_response_filter_capi.h">CEF source file: /include/capi/cef_response_filter_capi.h (cef_response_filter_t))

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefResponseFilterOwn

Overview

Methods

Protected | function InitFilter: Boolean; virtual; abstract;
Protected | function Filter(data_in: Pointer; data_in_size: NativeUInt; var data_in_read: NativeUInt; data_out: Pointer; data_out_size : NativeUInt; var data_out_written: NativeUInt): TCefResponseFilterStatus; virtual; abstract;
Public | constructor Create; virtual;

Description

Methods

Protected function InitFilter: Boolean; virtual; abstract;

Initialize the response filter. Will only be called a single time. The filter will not be installed if this function returns false (0).

Protected function Filter(data_in: Pointer; data_in_size: NativeUInt; var data_in_read: NativeUInt; data_out: Pointer; data_out_size : NativeUInt; var data_out_written: NativeUInt): TCefResponseFilterStatus; virtual; abstract;

Called to filter a chunk of data. Expected usage is as follows:

1. Read input data from |data_in| and set |data_in_read| to the number of
   bytes that were read up to a maximum of |data_in_size|. |data_in| will
   be NULL if |data_in_size| is zero.
2. Write filtered output data to |data_out| and set |data_out_written| to
   the number of bytes that were written up to a maximum of
   |data_out_size|. If no output data was written then all data must be
   read from |data_in| (user must set |data_in_read| = |data_in_size|).
3. Return RESPONSE_FILTER_DONE if all output data was written or
   RESPONSE_FILTER_NEED_MORE_DATA if output data is still pending.

This function will be called repeatedly until the input buffer has been fully read (user sets |data_in_read| = |data_in_size|) and there is no more input data to filter (the resource response is complete). This function may then be called an additional time with an NULL input buffer if the user filled the output buffer (set |data_out_written| = |data_out_size|) and returned RESPONSE_FILTER_NEED_MORE_DATA to indicate that output data is still pending.

Calls to this function will stop when one of the following conditions is met:

1. There is no more input data to filter (the resource response is
   complete) and the user sets |data_out_written| = 0 or returns
   RESPONSE_FILTER_DONE to indicate that all data has been written, or;
2. The user returns RESPONSE_FILTER_ERROR to indicate an error.

Do not keep a reference to the buffers passed to this function.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFResponseFilter: Class TCustomResponseFilter

Class TCustomResponseFilter

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFResponseFilter

Declaration

type TCustomResponseFilter = class(TCefResponseFilterOwn)

Description

Custom class implementing a resource filter with events.

The functions and events of this interface will be called on the browser process IO thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_response_filter_capi.h">CEF source file: /include/capi/cef_response_filter_capi.h (cef_response_filter_t))

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefResponseFilterOwn
  • TCustomResponseFilter

Overview

Fields

Protected | FOnFilter: TOnFilterEvent;
Protected | FOnInitFilter: TOnInitFilterEvent;

Methods

Protected | function InitFilter: Boolean; override;
Protected | function Filter(data_in: Pointer; data_in_size: NativeUInt; var data_in_read: NativeUInt; data_out: Pointer; data_out_size : NativeUInt; var data_out_written: NativeUInt): TCefResponseFilterStatus; override;
Public | constructor Create; override;

Properties

Public | property OnFilter : TOnFilterEvent read FOnFilter write FOnFilter;
Public | property OnInitFilter : TOnInitFilterEvent read FOnInitFilter write FOnInitFilter;

Description

Fields

Protected FOnFilter: TOnFilterEvent;

This item has no description.

Protected FOnInitFilter: TOnInitFilterEvent;

This item has no description.

Methods

Protected function InitFilter: Boolean; override;

This item has no description. Showing description inherited from TCefResponseFilterOwn.InitFilter.

Initialize the response filter. Will only be called a single time. The filter will not be installed if this function returns false (0).

Protected function Filter(data_in: Pointer; data_in_size: NativeUInt; var data_in_read: NativeUInt; data_out: Pointer; data_out_size : NativeUInt; var data_out_written: NativeUInt): TCefResponseFilterStatus; override;

This item has no description. Showing description inherited from TCefResponseFilterOwn.Filter.

Called to filter a chunk of data. Expected usage is as follows:

1. Read input data from |data_in| and set |data_in_read| to the number of
   bytes that were read up to a maximum of |data_in_size|. |data_in| will
   be NULL if |data_in_size| is zero.
2. Write filtered output data to |data_out| and set |data_out_written| to
   the number of bytes that were written up to a maximum of
   |data_out_size|. If no output data was written then all data must be
   read from |data_in| (user must set |data_in_read| = |data_in_size|).
3. Return RESPONSE_FILTER_DONE if all output data was written or
   RESPONSE_FILTER_NEED_MORE_DATA if output data is still pending.

This function will be called repeatedly until the input buffer has been fully read (user sets |data_in_read| = |data_in_size|) and there is no more input data to filter (the resource response is complete). This function may then be called an additional time with an NULL input buffer if the user filled the output buffer (set |data_out_written| = |data_out_size|) and returned RESPONSE_FILTER_NEED_MORE_DATA to indicate that output data is still pending.

Calls to this function will stop when one of the following conditions is met:

1. There is no more input data to filter (the resource response is
   complete) and the user sets |data_out_written| = 0 or returns
   RESPONSE_FILTER_DONE to indicate that all data has been written, or;
2. The user returns RESPONSE_FILTER_ERROR to indicate an error.

Do not keep a reference to the buffers passed to this function.

Public constructor Create; override;

This item has no description.

Properties

Public property OnFilter : TOnFilterEvent read FOnFilter write FOnFilter;

OnFilter is triggered when ICefResponseFilter.Filter is executed to filter a chunk of data.

Expected usage is as follows:

1. Read input data from |data_in| and set |data_in_read| to the number of
   bytes that were read up to a maximum of |data_in_size|. |data_in| will
   be NULL if |data_in_size| is zero.
2. Write filtered output data to |data_out| and set |data_out_written| to
   the number of bytes that were written up to a maximum of
   |data_out_size|. If no output data was written then all data must be
   read from |data_in| (user must set |data_in_read| = |data_in_size|).
3. Return RESPONSE_FILTER_DONE if all output data was written or
   RESPONSE_FILTER_NEED_MORE_DATA if output data is still pending.

This function will be called repeatedly until the input buffer has been fully read (user sets |data_in_read| = |data_in_size|) and there is no more input data to filter (the resource response is complete). This function may then be called an additional time with an NULL input buffer if the user filled the output buffer (set |data_out_written| = |data_out_size|) and returned RESPONSE_FILTER_NEED_MORE_DATA to indicate that output data is still pending.

Calls to this function will stop when one of the following conditions is met:

1. There is no more input data to filter (the resource response is
   complete) and the user sets |data_out_written| = 0 or returns
   RESPONSE_FILTER_DONE to indicate that all data has been written, or;
2. The user returns RESPONSE_FILTER_ERROR to indicate an error.

Do not keep a reference to the buffers passed to this function.

Public property OnInitFilter : TOnInitFilterEvent read FOnInitFilter write FOnInitFilter;

OnInitFilter is triggered when ICefResponseFilter.InitFilter is executed. Set the aResult parameter to install the filter.


cef4delphi: uCEFRunContextMenuCallback

Unit uCEFRunContextMenuCallback

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefRunContextMenuCallbackRef |


cef4delphi: uCEFRunContextMenuCallback: Class TCefRunContextMenuCallbackRef

Class TCefRunContextMenuCallbackRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFRunContextMenuCallback

Declaration

type TCefRunContextMenuCallbackRef = class(TCefBaseRefCountedRef, ICefRunContextMenuCallback)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefRunContextMenuCallbackRef

Overview

Methods

Protected | procedure Cont(commandId: Integer; eventFlags: TCefEventFlags);
Protected | procedure Cancel;
Public | class function UnWrap(data: Pointer): ICefRunContextMenuCallback;

Description

Methods

Protected procedure Cont(commandId: Integer; eventFlags: TCefEventFlags);

This item has no description. Showing description inherited from ICefRunContextMenuCallback.Cont.

Complete context menu display by selecting the specified |command_id| and |event_flags|.

Protected procedure Cancel;

This item has no description. Showing description inherited from ICefRunContextMenuCallback.Cancel.

Cancel context menu display.

Public class function UnWrap(data: Pointer): ICefRunContextMenuCallback;

This item has no description.


cef4delphi: uCEFRunFileDialogCallback

Unit uCEFRunFileDialogCallback

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefRunFileDialogCallbackOwn |
Class TCefFastRunFileDialogCallback |


cef4delphi: uCEFRunFileDialogCallback: Class TCefRunFileDialogCallbackOwn

Class TCefRunFileDialogCallbackOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFRunFileDialogCallback

Declaration

type TCefRunFileDialogCallbackOwn = class(TCefBaseRefCountedOwn, ICefRunFileDialogCallback)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefRunFileDialogCallbackOwn

Overview

Methods

Protected | procedure OnFileDialogDismissed(const filePaths: TStrings); virtual;
Public | constructor Create;

Description

Methods

Protected procedure OnFileDialogDismissed(const filePaths: TStrings); virtual;

This item has no description. Showing description inherited from ICefRunFileDialogCallback.OnFileDialogDismissed.

Called asynchronously after the file dialog is dismissed. |file_paths| will be a single value or a list of values depending on the dialog mode. If the selection was cancelled |file_paths| will be NULL.

Public constructor Create;

This item has no description.


cef4delphi: uCEFRunFileDialogCallback: Class TCefFastRunFileDialogCallback

Class TCefFastRunFileDialogCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFRunFileDialogCallback

Declaration

type TCefFastRunFileDialogCallback = class(TCefRunFileDialogCallbackOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefRunFileDialogCallbackOwn
  • TCefFastRunFileDialogCallback

Overview

Fields

Protected FCallback: TCefRunFileDialogCallbackProc;

Methods

Protected | procedure OnFileDialogDismissed(const filePaths: TStrings); override;
Public | constructor Create(callback: TCefRunFileDialogCallbackProc); reintroduce; virtual;

Description

Fields

Protected FCallback: TCefRunFileDialogCallbackProc;

This item has no description.

Methods

Protected procedure OnFileDialogDismissed(const filePaths: TStrings); override;

This item has no description. Showing description inherited from ICefRunFileDialogCallback.OnFileDialogDismissed.

Called asynchronously after the file dialog is dismissed. |file_paths| will be a single value or a list of values depending on the dialog mode. If the selection was cancelled |file_paths| will be NULL.

Public constructor Create(callback: TCefRunFileDialogCallbackProc); reintroduce; virtual;

This item has no description.


cef4delphi: uCEFRunQuickMenuCallback

Unit uCEFRunQuickMenuCallback

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefRunQuickMenuCallbackRef |


cef4delphi: uCEFRunQuickMenuCallback: Class TCefRunQuickMenuCallbackRef

Class TCefRunQuickMenuCallbackRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFRunQuickMenuCallback

Declaration

type TCefRunQuickMenuCallbackRef = class(TCefBaseRefCountedRef, ICefRunQuickMenuCallback)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefRunQuickMenuCallbackRef

Overview

Methods

Protected | procedure Cont(command_id: Integer; event_flags: TCefEventFlags);
Protected | procedure Cancel;
Public | class function UnWrap(data: Pointer): ICefRunQuickMenuCallback;

Description

Methods

Protected procedure Cont(command_id: Integer; event_flags: TCefEventFlags);

This item has no description. Showing description inherited from ICefRunQuickMenuCallback.Cont.

Complete quick menu display by selecting the specified |command_id| and |event_flags|.

Protected procedure Cancel;

This item has no description. Showing description inherited from ICefRunQuickMenuCallback.Cancel.

Cancel quick menu display.

Public class function UnWrap(data: Pointer): ICefRunQuickMenuCallback;

This item has no description.


cef4delphi: uCEFSchemeHandlerFactory

Unit uCEFSchemeHandlerFactory

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefSchemeHandlerFactoryOwn | Class that creates ICefResourceHandler instances for handling scheme requests.


cef4delphi: uCEFSchemeHandlerFactory: Class TCefSchemeHandlerFactoryOwn

Class TCefSchemeHandlerFactoryOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFSchemeHandlerFactory

Declaration

type TCefSchemeHandlerFactoryOwn = class(TCefBaseRefCountedOwn, ICefSchemeHandlerFactory)

Description

Class that creates ICefResourceHandler instances for handling scheme requests.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_scheme_capi.h">CEF source file: /include/capi/cef_scheme_capi.h (cef_scheme_handler_factory_t))

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefSchemeHandlerFactoryOwn

Overview

Fields

Protected FClass: TCefResourceHandlerClass;

Methods

Protected | function New(const browser: ICefBrowser; const frame: ICefFrame; const schemeName: ustring; const request: ICefRequest): ICefResourceHandler; virtual;
Public | constructor Create(const AClass: TCefResourceHandlerClass); virtual;

Description

Fields

Protected FClass: TCefResourceHandlerClass;

This item has no description.

Methods

Protected function New(const browser: ICefBrowser; const frame: ICefFrame; const schemeName: ustring; const request: ICefRequest): ICefResourceHandler; virtual;

Return a new resource handler instance to handle the request or an NULL reference to allow default handling of the request. |browser| and |frame| will be the browser window and frame respectively that originated the request or NULL if the request did not originate from a browser window (for example, if the request came from ICefUrlRequest). The |request| object passed to this function cannot be modified.

Public constructor Create(const AClass: TCefResourceHandlerClass); virtual;

Constructor of the scheme handler factory.

Parameters
AClass
Class of the custom resource handler used to handle custom scheme requests.


cef4delphi: uCEFSchemeRegistrar

Unit uCEFSchemeRegistrar

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefSchemeRegistrarRef | Class that manages custom scheme registrations.


cef4delphi: uCEFSchemeRegistrar: Class TCefSchemeRegistrarRef

Class TCefSchemeRegistrarRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFSchemeRegistrar

Declaration

type TCefSchemeRegistrarRef = class(TCEFBaseScopedWrapperRef)

Description

Class that manages custom scheme registrations.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_scheme_capi.h">CEF source file: /include/capi/cef_scheme_capi.h (cef_scheme_registrar_t))

Hierarchy

  • TObject
  • TCEFBaseScopedWrapperRef
  • TCefSchemeRegistrarRef

Overview

Methods

Public function AddCustomScheme(const schemeName: ustring; options : TCefSchemeOptions): Boolean;

Description

Methods

Public function AddCustomScheme(const schemeName: ustring; options : TCefSchemeOptions): Boolean;

Register a custom scheme. This function should not be called for the built-in HTTP, HTTPS, FILE, FTP, ABOUT and DATA schemes.

This function may be called on any thread. It should only be called once per unique |scheme_name| value. If |scheme_name| is already registered or if an error occurs this function will return false (0).

<see>See the CEF_SCHEME_OPTION_* constants in the uCEFConstants unit for possible values for |options|.)


cef4delphi: uCEFScrollView

Unit uCEFScrollView

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefScrollViewRef | A ScrollView will show horizontal and/or vertical scrollbars when necessary based on the size of the attached content view. Methods must be called on the browser process UI thread unless otherwise indicated.


cef4delphi: uCEFScrollView: Class TCefScrollViewRef

Class TCefScrollViewRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFScrollView

Declaration

type TCefScrollViewRef = class(TCefViewRef, ICefScrollView)

Description

A ScrollView will show horizontal and/or vertical scrollbars when necessary based on the size of the attached content view. Methods must be called on the browser process UI thread unless otherwise indicated.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_scroll_view_capi.h">CEF source file: /include/capi/views/cef_scroll_view_capi.h (cef_scroll_view_t))

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefViewRef
  • TCefScrollViewRef

Overview

Methods

Protected | procedure SetContentView(const view: ICefView);
Protected | function GetContentView: ICefView;
Protected | function GetVisibleContentRect: TCefRect;
Protected | function HasHorizontalScrollbar: boolean;
Protected | function GetHorizontalScrollbarHeight: Integer;
Protected | function HasVerticalScrollbar: boolean;
Protected | function GetVerticalScrollbarWidth: Integer;
Public | class function UnWrap(data: Pointer): ICefScrollView;
Public | class function CreateScrollView(const delegate: ICefViewDelegate): ICefScrollView;

Description

Methods

Protected procedure SetContentView(const view: ICefView);

Set the content View. The content View must have a specified size (e.g. via ICefView.SetBounds or ICefViewDelegate.GetPreferredSize).

Protected function GetContentView: ICefView;

Returns the content View.

Protected function GetVisibleContentRect: TCefRect;

Returns the visible region of the content View.

Protected function HasHorizontalScrollbar: boolean;

Returns true (1) if the horizontal scrollbar is currently showing.

Protected function GetHorizontalScrollbarHeight: Integer;

Returns the height of the horizontal scrollbar.

Protected function HasVerticalScrollbar: boolean;

Returns true (1) if the vertical scrollbar is currently showing.

Protected function GetVerticalScrollbarWidth: Integer;

Returns the width of the vertical scrollbar.

Public class function UnWrap(data: Pointer): ICefScrollView;

Returns a ICefScrollView instance using a PCefScrollView data pointer.

Public class function CreateScrollView(const delegate: ICefViewDelegate): ICefScrollView;

Create a new ScrollView.


cef4delphi: uCEFScrollViewComponent

Unit uCEFScrollViewComponent

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCEFScrollViewComponent |

Functions and Procedures

procedure Register;

Description

Functions and Procedures

procedure Register;

This item has no description.


cef4delphi: uCEFScrollViewComponent: Class TCEFScrollViewComponent

Class TCEFScrollViewComponent

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFScrollViewComponent

Declaration

type TCEFScrollViewComponent = class(TCEFViewComponent)

Description

This item has no description.

Hierarchy

  • TObject
  • TPersistent
  • TComponent
  • TCEFViewComponent
  • TCEFScrollViewComponent

Overview

Fields

Protected FScrollView: ICefScrollView;

Methods

Protected | procedure DestroyView; override;
Protected | procedure Initialize; override;
Protected | function GetInitialized: boolean; override;
Protected | function GetAsView: ICefView; override;
Protected | function GetAsScrollView: ICefScrollView; override;
Protected | function GetContentView: ICefView;
Protected | function GetVisibleContentRect: TCefRect;
Protected | function GetHasHorizontalScrollbar: boolean;
Protected | function GetHorizontalScrollbarHeight: Integer;
Protected | function GetHasVerticalScrollbar: boolean;
Protected | function GetVerticalScrollbarWidth: Integer;
Protected | procedure SetContentView(const view: ICefView);
Protected | procedure doCreateCustomView; override;
Public | procedure CreateScrollView;

Properties

Public | property ContentView : ICefView read GetContentView write SetContentView;
Public | property VisibleContentRect : TCefRect read GetVisibleContentRect;
Public | property HorizontalScrollbarHeight : Integer read GetHorizontalScrollbarHeight;
Public | property VerticalScrollbarWidth : Integer read GetVerticalScrollbarWidth;
Public | property HasHorizontalScrollbar : boolean read GetHasHorizontalScrollbar;
Public | property HasVerticalScrollbar : boolean read GetHasVerticalScrollbar;

Description

Fields

Protected FScrollView: ICefScrollView;

This item has no description.

Methods

Protected procedure DestroyView; override;

This item has no description.

Protected procedure Initialize; override;

This item has no description.

Protected function GetInitialized: boolean; override;

This item has no description.

Protected function GetAsView: ICefView; override;

This item has no description.

Protected function GetAsScrollView: ICefScrollView; override;

This item has no description.

Protected function GetContentView: ICefView;

This item has no description.

Protected function GetVisibleContentRect: TCefRect;

This item has no description.

Protected function GetHasHorizontalScrollbar: boolean;

This item has no description.

Protected function GetHorizontalScrollbarHeight: Integer;

This item has no description.

Protected function GetHasVerticalScrollbar: boolean;

This item has no description.

Protected function GetVerticalScrollbarWidth: Integer;

This item has no description.

Protected procedure SetContentView(const view: ICefView);

This item has no description.

Protected procedure doCreateCustomView; override;

ICefViewDelegateEvents

Public procedure CreateScrollView;

Create a new ScrollView.

Properties

Public property ContentView : ICefView read GetContentView write SetContentView;

Get and set the content View. The content View must have a specified size (e.g. via ICefView.SetBounds or ICefViewDelegate.GetPreferredSize).

Public property VisibleContentRect : TCefRect read GetVisibleContentRect;

Returns the visible region of the content View.

Public property HorizontalScrollbarHeight : Integer read GetHorizontalScrollbarHeight;

Returns the height of the horizontal scrollbar.

Public property VerticalScrollbarWidth : Integer read GetVerticalScrollbarWidth;

Returns the width of the vertical scrollbar.

Public property HasHorizontalScrollbar : boolean read GetHasHorizontalScrollbar;

Returns true (1) if the horizontal scrollbar is currently showing.

Public property HasVerticalScrollbar : boolean read GetHasVerticalScrollbar;

Returns true (1) if the vertical scrollbar is currently showing.


cef4delphi: uCEFSelectClientCertificateCallback

Unit uCEFSelectClientCertificateCallback

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefSelectClientCertificateCallbackRef |


cef4delphi: uCEFSelectClientCertificateCallback: Class TCefSelectClientCertificateCallbackRef

Class TCefSelectClientCertificateCallbackRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFSelectClientCertificateCallback

Declaration

type TCefSelectClientCertificateCallbackRef = class(TCefBaseRefCountedRef, ICefSelectClientCertificateCallback)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefSelectClientCertificateCallbackRef

Overview

Methods

Protected | procedure Select(const cert: ICefX509Certificate);
Public | class function UnWrap(data: Pointer): ICefSelectClientCertificateCallback;

Description

Methods

Protected procedure Select(const cert: ICefX509Certificate);

This item has no description. Showing description inherited from ICefSelectClientCertificateCallback.Select.

Chooses the specified certificate for client certificate authentication. NULL value means that no client certificate should be used.

Public class function UnWrap(data: Pointer): ICefSelectClientCertificateCallback;

This item has no description.


cef4delphi: uCEFSentinel

Unit uCEFSentinel

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCEFSentinel | TCEFSentinel is used as a timer that checks the number of running CEF processes when you close all browsers before shutdown. This component is only used as a last resort when there's an unresolved shutdown issue in CEF or CEF4Delphi that generates exceptions when the application is closed.

Functions and Procedures

procedure Register;

Types

TSentinelStatus = (...);

Constants

CEFSENTINEL_DEFAULT_DELAYPERPROCMS = 200;
CEFSENTINEL_DEFAULT_MININITDELAYMS = 1500;
CEFSENTINEL_DEFAULT_FINALDELAYMS = 100;
CEFSENTINEL_DEFAULT_MINCHILDPROCS = 2;
CEFSENTINEL_DEFAULT_MAXCHECKCOUNTS = 10;

Description

Functions and Procedures

procedure Register;

This item has no description.

Types

TSentinelStatus = (...);

This item has no description.

Values
  • ssIdle
  • ssInitialDelay
  • ssCheckingChildren
  • ssClosing

Constants

CEFSENTINEL_DEFAULT_DELAYPERPROCMS = 200;

This item has no description.

CEFSENTINEL_DEFAULT_MININITDELAYMS = 1500;

This item has no description.

CEFSENTINEL_DEFAULT_FINALDELAYMS = 100;

This item has no description.

CEFSENTINEL_DEFAULT_MINCHILDPROCS = 2;

This item has no description.

CEFSENTINEL_DEFAULT_MAXCHECKCOUNTS = 10;

This item has no description.


cef4delphi: uCEFSentinel: Class TCEFSentinel

Class TCEFSentinel

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFSentinel

Declaration

type TCEFSentinel = class(TComponent)

Description

TCEFSentinel is used as a timer that checks the number of running CEF processes when you close all browsers before shutdown. This component is only used as a last resort when there's an unresolved shutdown issue in CEF or CEF4Delphi that generates exceptions when the application is closed.

Hierarchy

  • TObject
  • TPersistent
  • TComponent
  • TCEFSentinel

Overview

Fields

Protected | FCompHandle: HWND;
Protected | FStatus: TSentinelStatus;
Protected | FStatusCS: TCriticalSection;
Protected | FDelayPerProcMs: cardinal;
Protected | FMinInitDelayMs: cardinal;
Protected | FFinalDelayMs: cardinal;
Protected | FMinChildProcs: integer;
Protected | FMaxCheckCount: integer;
Protected | FCheckCount: integer;
Protected | FOnClose: TNotifyEvent;
Protected | FTimer: TTimer;

Methods

Protected | function GetStatus: TSentinelStatus;
Protected | function GetChildProcCount: integer;
Protected | procedure WndProc(var aMessage: TMessage);
Protected | procedure doStartMsg(var aMessage : TMessage); virtual;
Protected | procedure doCloseMsg(var aMessage : TMessage); virtual;
Protected | function SendCompMessage(aMsg : cardinal) : boolean;
Protected | function CanClose: boolean; virtual;
Protected | procedure Timer_OnTimer(Sender: TObject); virtual;
Public | constructor Create(AOwner: TComponent); override;
Public | destructor Destroy; override;
Public | procedure AfterConstruction; override;
Public | procedure Start; virtual;

Properties

Public | property Status : TSentinelStatus read GetStatus;
Public | property ChildProcCount : integer read GetChildProcCount;
Published | property DelayPerProcMs : cardinal read FDelayPerProcMs write FDelayPerProcMs default CEFSENTINEL_DEFAULT_DELAYPERPROCMS;
Published | property MinInitDelayMs : cardinal read FMinInitDelayMs write FMinInitDelayMs default CEFSENTINEL_DEFAULT_MININITDELAYMS;
Published | property FinalDelayMs : cardinal read FFinalDelayMs write FFinalDelayMs default CEFSENTINEL_DEFAULT_FINALDELAYMS;
Published | property MinChildProcs : integer read FMinChildProcs write FMinChildProcs default CEFSENTINEL_DEFAULT_MINCHILDPROCS;
Published | property MaxCheckCount : integer read FMaxCheckCount write FMaxCheckCount default CEFSENTINEL_DEFAULT_MAXCHECKCOUNTS;
Published | property OnClose : TNotifyEvent read FOnClose write FOnClose;

Description

Fields

Protected FCompHandle: HWND;

This item has no description.

Protected FStatus: TSentinelStatus;

This item has no description.

Protected FStatusCS: TCriticalSection;

This item has no description.

Protected FDelayPerProcMs: cardinal;

This item has no description.

Protected FMinInitDelayMs: cardinal;

This item has no description.

Protected FFinalDelayMs: cardinal;

This item has no description.

Protected FMinChildProcs: integer;

This item has no description.

Protected FMaxCheckCount: integer;

This item has no description.

Protected FCheckCount: integer;

This item has no description.

Protected FOnClose: TNotifyEvent;

This item has no description.

Protected FTimer: TTimer;

This item has no description.

Methods

Protected function GetStatus: TSentinelStatus;

This item has no description.

Protected function GetChildProcCount: integer;

This item has no description.

Protected procedure WndProc(var aMessage: TMessage);

This item has no description.

Protected procedure doStartMsg(var aMessage : TMessage); virtual;

This item has no description.

Protected procedure doCloseMsg(var aMessage : TMessage); virtual;

This item has no description.

Protected function SendCompMessage(aMsg : cardinal) : boolean;

This item has no description.

Protected function CanClose: boolean; virtual;

This item has no description.

Protected procedure Timer_OnTimer(Sender: TObject); virtual;

This item has no description.

Public constructor Create(AOwner: TComponent); override;

This item has no description.

Public destructor Destroy; override;

This item has no description.

Public procedure AfterConstruction; override;

This item has no description.

Public procedure Start; virtual;

Start checking all the CEF subprocesses.

Properties

Public property Status : TSentinelStatus read GetStatus;

Status of this component.

Public property ChildProcCount : integer read GetChildProcCount;

Number of CEF subprocesses.

Published property DelayPerProcMs : cardinal read FDelayPerProcMs write FDelayPerProcMs default CEFSENTINEL_DEFAULT_DELAYPERPROCMS;

Delay per subprocess in milliseconds. This delay is used to calculate how much time to wait until this component checks the CEF subprocesses again.

Published property MinInitDelayMs : cardinal read FMinInitDelayMs write FMinInitDelayMs default CEFSENTINEL_DEFAULT_MININITDELAYMS;

Minimum initial delay in milliseconds. This is the minimum time to wait until this component checks the CEF subprocesses again.

Published property FinalDelayMs : cardinal read FFinalDelayMs write FFinalDelayMs default CEFSENTINEL_DEFAULT_FINALDELAYMS;

Final delay in milliseconds. This is an extra delay to wait after enough CEF subprocesses are closed.

Published property MinChildProcs : integer read FMinChildProcs write FMinChildProcs default CEFSENTINEL_DEFAULT_MINCHILDPROCS;

Minimum number of CEF subprocesses. When ChildProcCount reaches this value it's considered safe to trigger OnClose.

Published property MaxCheckCount : integer read FMaxCheckCount write FMaxCheckCount default CEFSENTINEL_DEFAULT_MAXCHECKCOUNTS;

Maximum number of times this component will check the CEF subprocesses.

Published property OnClose : TNotifyEvent read FOnClose write FOnClose;

Event triggered when enought CEF subprocesses are closed.


cef4delphi: uCEFServer

Unit uCEFServer

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCEFServerRef |


cef4delphi: uCEFServer: Class TCEFServerRef

Class TCEFServerRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFServer

Declaration

type TCEFServerRef = class(TCefBaseRefCountedRef, ICefServer)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCEFServerRef

Overview

Methods

Protected | function GetTaskRunner: ICefTaskRunner; virtual;
Protected | procedure Shutdown; virtual;
Protected | function IsRunning: boolean; virtual;
Protected | function GetAddress: ustring; virtual;
Protected | function HasConnection: boolean; virtual;
Protected | function IsValidConnection(connection_id: Integer) : boolean; virtual;
Protected | procedure SendHttp200response(connection_id: Integer; const content_type: ustring; const data: Pointer; data_size: NativeUInt); virtual;
Protected | procedure SendHttp404response(connection_id: Integer); virtual;
Protected | procedure SendHttp500response(connection_id: Integer; const error_message: ustring); virtual;
Protected | procedure SendHttpResponse(connection_id, response_code: Integer; const content_type: ustring; content_length: int64; const extra_headers: ICefStringMultimap); virtual;
Protected | procedure SendRawData(connection_id: Integer; const data: Pointer; data_size: NativeUInt); virtual;
Protected | procedure CloseConnection(connection_id: Integer); virtual;
Protected | procedure SendWebSocketMessage(connection_id: Integer; const data: Pointer; data_size: NativeUInt); virtual;
Public | class function UnWrap(data: Pointer): ICefServer;

Description

Methods

Protected function GetTaskRunner: ICefTaskRunner; virtual;

This item has no description. Showing description inherited from ICefServer.GetTaskRunner.

Returns the task runner for the dedicated server thread.

Protected procedure Shutdown; virtual;

This item has no description. Showing description inherited from ICefServer.Shutdown.

Stop the server and shut down the dedicated server thread. See ICefServerHandler.OnServerCreated documentation for a description of server lifespan.

Protected function IsRunning: boolean; virtual;

This item has no description. Showing description inherited from ICefServer.IsRunning.

Returns true (1) if the server is currently running and accepting incoming connections. See ICefServerHandler.OnServerCreated documentation for a description of server lifespan. This function must be called on the dedicated server thread.

Protected function GetAddress: ustring; virtual;

This item has no description. Showing description inherited from ICefServer.GetAddress.

Returns the server address including the port number.

Protected function HasConnection: boolean; virtual;

This item has no description. Showing description inherited from ICefServer.HasConnection.

Returns true (1) if the server currently has a connection. This function must be called on the dedicated server thread.

Protected function IsValidConnection(connection_id: Integer) : boolean; virtual;

This item has no description. Showing description inherited from ICefServer.IsValidConnection.

Returns true (1) if |connection_id| represents a valid connection. This function must be called on the dedicated server thread.

Protected procedure SendHttp200response(connection_id: Integer; const content_type: ustring; const data: Pointer; data_size: NativeUInt); virtual;

This item has no description. Showing description inherited from ICefServer.SendHttp200response.

Send an HTTP 200 "OK" response to the connection identified by |connection_id|. |content_type| is the response content type (e.g. "text/html"), |data| is the response content, and |data_size| is the size of |data| in bytes. The contents of |data| will be copied. The connection will be closed automatically after the response is sent.

Protected procedure SendHttp404response(connection_id: Integer); virtual;

This item has no description. Showing description inherited from ICefServer.SendHttp404response.

Send an HTTP 404 "Not Found" response to the connection identified by |connection_id|. The connection will be closed automatically after the response is sent.

Protected procedure SendHttp500response(connection_id: Integer; const error_message: ustring); virtual;

This item has no description. Showing description inherited from ICefServer.SendHttp500response.

Send an HTTP 500 "Internal Server Error" response to the connection identified by |connection_id|. |error_message| is the associated error message. The connection will be closed automatically after the response is sent.

Protected procedure SendHttpResponse(connection_id, response_code: Integer; const content_type: ustring; content_length: int64; const extra_headers: ICefStringMultimap); virtual;

This item has no description. Showing description inherited from ICefServer.SendHttpResponse.

Send a custom HTTP response to the connection identified by |connection_id|. |response_code| is the HTTP response code sent in the status line (e.g. 200), |content_type| is the response content type sent as the "Content-Type" header (e.g. "text/html"), |content_length| is the expected content length, and |extra_headers| is the map of extra response headers. If |content_length| is >= 0 then the "Content-Length" header will be sent. If |content_length| is 0 then no content is expected and the connection will be closed automatically after the response is sent. If |content_length| is < 0 then no "Content-Length" header will be sent and the client will continue reading until the connection is closed. Use the SendRawData function to send the content, if applicable, and call CloseConnection after all content has been sent.

Protected procedure SendRawData(connection_id: Integer; const data: Pointer; data_size: NativeUInt); virtual;

This item has no description. Showing description inherited from ICefServer.SendRawData.

Send raw data directly to the connection identified by |connection_id|. |data| is the raw data and |data_size| is the size of |data| in bytes. The contents of |data| will be copied. No validation of |data| is performed internally so the client should be careful to send the amount indicated by the "Content-Length" header, if specified. See SendHttpResponse documentation for intended usage.

Protected procedure CloseConnection(connection_id: Integer); virtual;

This item has no description. Showing description inherited from ICefServer.CloseConnection.

Close the connection identified by |connection_id|. See SendHttpResponse documentation for intended usage.

Protected procedure SendWebSocketMessage(connection_id: Integer; const data: Pointer; data_size: NativeUInt); virtual;

This item has no description. Showing description inherited from ICefServer.SendWebSocketMessage.

Send a WebSocket message to the connection identified by |connection_id|. |data| is the response content and |data_size| is the size of |data| in bytes. The contents of |data| will be copied. See ICefServerHandler.OnWebSocketRequest documentation for intended usage.

Public class function UnWrap(data: Pointer): ICefServer;

This item has no description.


cef4delphi: uCEFServerComponent

Unit uCEFServerComponent

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCEFServerComponent | The TCEFServerComponent class puts together all CEF server procedures, functions, properties and events in one place.

Functions and Procedures

procedure Register;

Constants

DEFAULT_CEFSERVER_ADDRESS = '127.0.0.1';
DEFAULT_CEFSERVER_PORT = 8099;
DEFAULT_CEFSERVER_BACKLOG = 10;

Description

Functions and Procedures

procedure Register;

This item has no description.

Constants

DEFAULT_CEFSERVER_ADDRESS = '127.0.0.1';

This item has no description.

DEFAULT_CEFSERVER_PORT = 8099;

This item has no description.

DEFAULT_CEFSERVER_BACKLOG = 10;

This item has no description.


cef4delphi: uCEFServerComponent: Class TCEFServerComponent

Class TCEFServerComponent

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFServerComponent

Declaration

type TCEFServerComponent = class(TComponent, IServerEvents)

Description

The TCEFServerComponent class puts together all CEF server procedures, functions, properties and events in one place.

Hierarchy

  • TObject
  • TPersistent
  • TComponent
  • TCEFServerComponent

Overview

Fields

Protected | FHandler: ICefServerHandler;
Protected | FServer: ICefServer;
Protected | FInitialized: boolean;
Protected | FOnServerCreated: TOnServerCreated;
Protected | FOnServerDestroyed: TOnServerDestroyed;
Protected | FOnClientConnected: TOnClientConnected;
Protected | FOnClientDisconnected: TOnClientDisconnected;
Protected | FOnHttpRequest: TOnHttpRequest;
Protected | FOnWebSocketRequest: TOnWebSocketRequest;
Protected | FOnWebSocketConnected: TOnWebSocketConnected;
Protected | FOnWebSocketMessage: TOnWebSocketMessage;

Methods

Protected | function GetInitialized: boolean;
Protected | function GetIsRunning: boolean;
Protected | function GetAddress: ustring;
Protected | function GetHasConnection: boolean;
Protected | procedure doOnServerCreated(const server: ICefServer); virtual;
Protected | procedure doOnServerDestroyed(const server: ICefServer); virtual;
Protected | procedure doOnClientConnected(const server: ICefServer; connection_id: Integer); virtual;
Protected | procedure doOnClientDisconnected(const server: ICefServer; connection_id: Integer); virtual;
Protected | procedure doOnHttpRequest(const server: ICefServer; connection_id: Integer; const client_address: ustring; const request: ICefRequest); virtual;
Protected | procedure doOnWebSocketRequest(const server: ICefServer; connection_id: Integer; const client_address: ustring; const request: ICefRequest; const callback: ICefCallback); virtual;
Protected | procedure doOnWebSocketConnected(const server: ICefServer; connection_id: Integer); virtual;
Protected | procedure doOnWebSocketMessage(const server: ICefServer; connection_id: Integer; const data: Pointer; data_size: NativeUInt); virtual;
Protected | procedure InitializeEvents;
Public | constructor Create(AOwner: TComponent); override;
Public | destructor Destroy; override;
Public | procedure CreateServer(const address : ustring = DEFAULT_CEFSERVER_ADDRESS; port : uint16 = DEFAULT_CEFSERVER_PORT; backlog : Integer = DEFAULT_CEFSERVER_BACKLOG);
Public | procedure Shutdown;
Public | function IsValidConnection(connection_id: Integer) : boolean;
Public | procedure SendHttp200response(connection_id: Integer; const content_type: ustring; const data: Pointer; data_size: NativeUInt);
Public | procedure SendHttp404response(connection_id: Integer);
Public | procedure SendHttp500response(connection_id: Integer; const error_message: ustring);
Public | procedure SendHttpResponse(connection_id, response_code: Integer; const content_type: ustring; content_length: int64; const extra_headers: ICefStringMultimap);
Public | procedure SendRawData(connection_id: Integer; const data: Pointer; data_size: NativeUInt);
Public | procedure CloseConnection(connection_id: Integer);
Public | procedure SendWebSocketMessage(connection_id: Integer; const data: Pointer; data_size: NativeUInt);

Properties

Public | property Initialized : boolean read GetInitialized;
Public | property IsRunning : boolean read GetIsRunning;
Public | property Address : ustring read GetAddress;
Public | property HasConnection : boolean read GetHasConnection;
Published | property OnServerCreated : TOnServerCreated read FOnServerCreated write FOnServerCreated;
Published | property OnServerDestroyed : TOnServerDestroyed read FOnServerDestroyed write FOnServerDestroyed;
Published | property OnClientConnected : TOnClientConnected read FOnClientConnected write FOnClientConnected;
Published | property OnClientDisconnected : TOnClientDisconnected read FOnClientDisconnected write FOnClientDisconnected;
Published | property OnHttpRequest : TOnHttpRequest read FOnHttpRequest write FOnHttpRequest;
Published | property OnWebSocketRequest : TOnWebSocketRequest read FOnWebSocketRequest write FOnWebSocketRequest;
Published | property OnWebSocketConnected : TOnWebSocketConnected read FOnWebSocketConnected write FOnWebSocketConnected;
Published | property OnWebSocketMessage : TOnWebSocketMessage read FOnWebSocketMessage write FOnWebSocketMessage;

Description

Fields

Protected FHandler: ICefServerHandler;

This item has no description.

Protected FServer: ICefServer;

This item has no description.

Protected FInitialized: boolean;

This item has no description.

Protected FOnServerCreated: TOnServerCreated;

IServerEvents

Protected FOnServerDestroyed: TOnServerDestroyed;

This item has no description.

Protected FOnClientConnected: TOnClientConnected;

This item has no description.

Protected FOnClientDisconnected: TOnClientDisconnected;

This item has no description.

Protected FOnHttpRequest: TOnHttpRequest;

This item has no description.

Protected FOnWebSocketRequest: TOnWebSocketRequest;

This item has no description.

Protected FOnWebSocketConnected: TOnWebSocketConnected;

This item has no description.

Protected FOnWebSocketMessage: TOnWebSocketMessage;

This item has no description.

Methods

Protected function GetInitialized: boolean;

This item has no description.

Protected function GetIsRunning: boolean;

This item has no description.

Protected function GetAddress: ustring;

This item has no description.

Protected function GetHasConnection: boolean;

This item has no description.

Protected procedure doOnServerCreated(const server: ICefServer); virtual;

IServerEvents

Protected procedure doOnServerDestroyed(const server: ICefServer); virtual;

This item has no description.

Protected procedure doOnClientConnected(const server: ICefServer; connection_id: Integer); virtual;

This item has no description.

Protected procedure doOnClientDisconnected(const server: ICefServer; connection_id: Integer); virtual;

This item has no description.

Protected procedure doOnHttpRequest(const server: ICefServer; connection_id: Integer; const client_address: ustring; const request: ICefRequest); virtual;

This item has no description.

Protected procedure doOnWebSocketRequest(const server: ICefServer; connection_id: Integer; const client_address: ustring; const request: ICefRequest; const callback: ICefCallback); virtual;

This item has no description.

Protected procedure doOnWebSocketConnected(const server: ICefServer; connection_id: Integer); virtual;

This item has no description.

Protected procedure doOnWebSocketMessage(const server: ICefServer; connection_id: Integer; const data: Pointer; data_size: NativeUInt); virtual;

This item has no description.

Protected procedure InitializeEvents;

This item has no description.

Public constructor Create(AOwner: TComponent); override;

This item has no description.

Public destructor Destroy; override;

This item has no description.

Public procedure CreateServer(const address : ustring = DEFAULT_CEFSERVER_ADDRESS; port : uint16 = DEFAULT_CEFSERVER_PORT; backlog : Integer = DEFAULT_CEFSERVER_BACKLOG);

Create a new server that binds to |address| and |port|. |address| must be a valid IPv4 or IPv6 address (e.g. 127.0.0.1 or ::1) and |port| must be a port number outside of the reserved range (e.g. between 1025 and 65535 on most platforms). |backlog| is the maximum number of pending connections. A new thread will be created for each CreateServer call (the "dedicated server thread"). It is therefore recommended to use a different ICefServerHandler instance for each CreateServer call to avoid thread safety issues in the ICefServerHandler implementation. The ICefServerHandler.OnServerCreated function will be called on the dedicated server thread to report success or failure. See ICefServerHandler.OnServerCreated documentation for a description of server lifespan.

Public procedure Shutdown;

Stop the server and shut down the dedicated server thread. See ICefServerHandler.OnServerCreated documentation for a description of server lifespan.

Public function IsValidConnection(connection_id: Integer) : boolean;

Returns true (1) if |connection_id| represents a valid connection. This function must be called on the dedicated server thread.

Public procedure SendHttp200response(connection_id: Integer; const content_type: ustring; const data: Pointer; data_size: NativeUInt);

Send an HTTP 200 "OK" response to the connection identified by |connection_id|. |content_type| is the response content type (e.g. "text/html"), |data| is the response content, and |data_size| is the size of |data| in bytes. The contents of |data| will be copied. The connection will be closed automatically after the response is sent.

Public procedure SendHttp404response(connection_id: Integer);

Send an HTTP 404 "Not Found" response to the connection identified by |connection_id|. The connection will be closed automatically after the response is sent.

Public procedure SendHttp500response(connection_id: Integer; const error_message: ustring);

Send an HTTP 500 "Internal Server Error" response to the connection identified by |connection_id|. |error_message| is the associated error message. The connection will be closed automatically after the response is sent.

Public procedure SendHttpResponse(connection_id, response_code: Integer; const content_type: ustring; content_length: int64; const extra_headers: ICefStringMultimap);

Send a custom HTTP response to the connection identified by |connection_id|. |response_code| is the HTTP response code sent in the status line (e.g. 200), |content_type| is the response content type sent as the "Content-Type" header (e.g. "text/html"), |content_length| is the expected content length, and |extra_headers| is the map of extra response headers. If |content_length| is >= 0 then the "Content-Length" header will be sent. If |content_length| is 0 then no content is expected and the connection will be closed automatically after the response is sent. If |content_length| is < 0 then no "Content-Length" header will be sent and the client will continue reading until the connection is closed. Use the SendRawData function to send the content, if applicable, and call CloseConnection after all content has been sent.

Public procedure SendRawData(connection_id: Integer; const data: Pointer; data_size: NativeUInt);

Send raw data directly to the connection identified by |connection_id|. |data| is the raw data and |data_size| is the size of |data| in bytes. The contents of |data| will be copied. No validation of |data| is performed internally so the client should be careful to send the amount indicated by the "Content-Length" header, if specified. See SendHttpResponse documentation for intended usage.

Public procedure CloseConnection(connection_id: Integer);

Close the connection identified by |connection_id|. See SendHttpResponse documentation for intended usage.

Public procedure SendWebSocketMessage(connection_id: Integer; const data: Pointer; data_size: NativeUInt);

Send a WebSocket message to the connection identified by |connection_id|. |data| is the response content and |data_size| is the size of |data| in bytes. The contents of |data| will be copied. See ICefServerHandler.OnWebSocketRequest documentation for intended usage.

Properties

Public property Initialized : boolean read GetInitialized;

Returns true when the server and the handler are initialized.

Public property IsRunning : boolean read GetIsRunning;

Returns true (1) if the server is currently running and accepting incoming connections. See ICefServerHandler.OnServerCreated documentation for a description of server lifespan. This function must be called on the dedicated server thread.

Public property Address : ustring read GetAddress;

Returns the server address including the port number.

Public property HasConnection : boolean read GetHasConnection;

Returns true (1) if the server currently has a connection. This function must be called on the dedicated server thread.

Published property OnServerCreated : TOnServerCreated read FOnServerCreated write FOnServerCreated;

Called when |server| is created. If the server was started successfully then ICefServer.IsRunning will return true (1). The server will continue running until ICefServerShutdown is called, after which time OnServerDestroyed will be called. If the server failed to start then OnServerDestroyed will be called immediately after this function returns.

This event will be called on the CEF server thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_server_capi.h">CEF source file: /include/capi/cef_server_capi.h (cef_server_handler_t))

Published property OnServerDestroyed : TOnServerDestroyed read FOnServerDestroyed write FOnServerDestroyed;

Called when |server| is destroyed. The server thread will be stopped after this function returns. The client should release any references to |server| when this function is called. See OnServerCreated documentation for a description of server lifespan.

This event will be called on the CEF server thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_server_capi.h">CEF source file: /include/capi/cef_server_capi.h (cef_server_handler_t))

Published property OnClientConnected : TOnClientConnected read FOnClientConnected write FOnClientConnected;

Called when a client connects to |server|. |connection_id| uniquely identifies the connection. Each call to this function will have a matching call to OnClientDisconnected.

This event will be called on the CEF server thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_server_capi.h">CEF source file: /include/capi/cef_server_capi.h (cef_server_handler_t))

Published property OnClientDisconnected : TOnClientDisconnected read FOnClientDisconnected write FOnClientDisconnected;

Called when a client disconnects from |server|. |connection_id| uniquely identifies the connection. The client should release any data associated with |connection_id| when this function is called and |connection_id| should no longer be passed to ICefServer functions. Disconnects can originate from either the client or the server. For example, the server will disconnect automatically after a ICefServer.SendHttpXXXResponse function is called.

This event will be called on the CEF server thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_server_capi.h">CEF source file: /include/capi/cef_server_capi.h (cef_server_handler_t))

Published property OnHttpRequest : TOnHttpRequest read FOnHttpRequest write FOnHttpRequest;

Called when |server| receives an HTTP request. |connection_id| uniquely identifies the connection, |client_address| is the requesting IPv4 or IPv6 client address including port number, and |request| contains the request contents (URL, function, headers and optional POST data). Call ICefServer functions either synchronously or asynchronusly to send a response.

This event will be called on the CEF server thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_server_capi.h">CEF source file: /include/capi/cef_server_capi.h (cef_server_handler_t))

Published property OnWebSocketRequest : TOnWebSocketRequest read FOnWebSocketRequest write FOnWebSocketRequest;

Called when |server| receives a WebSocket request. |connection_id| uniquely identifies the connection, |client_address| is the requesting IPv4 or IPv6 client address including port number, and |request| contains the request contents (URL, function, headers and optional POST data). Execute |callback| either synchronously or asynchronously to accept or decline the WebSocket connection. If the request is accepted then OnWebSocketConnected will be called after the WebSocket has connected and incoming messages will be delivered to the OnWebSocketMessage callback. If the request is declined then the client will be disconnected and OnClientDisconnected will be called. Call the ICefServer.SendWebSocketMessage function after receiving the OnWebSocketConnected callback to respond with WebSocket messages.

This event will be called on the CEF server thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_server_capi.h">CEF source file: /include/capi/cef_server_capi.h (cef_server_handler_t))

Published property OnWebSocketConnected : TOnWebSocketConnected read FOnWebSocketConnected write FOnWebSocketConnected;

Called after the client has accepted the WebSocket connection for |server| and |connection_id| via the OnWebSocketRequest callback. See OnWebSocketRequest documentation for intended usage.

This event will be called on the CEF server thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_server_capi.h">CEF source file: /include/capi/cef_server_capi.h (cef_server_handler_t))

Published property OnWebSocketMessage : TOnWebSocketMessage read FOnWebSocketMessage write FOnWebSocketMessage;

Called when |server| receives an WebSocket message. |connection_id| uniquely identifies the connection, |data| is the message content and |data_size| is the size of |data| in bytes. Do not keep a reference to |data| outside of this function. See OnWebSocketRequest documentation for intended usage.

This event will be called on the CEF server thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_server_capi.h">CEF source file: /include/capi/cef_server_capi.h (cef_server_handler_t))


cef4delphi: uCEFServerEvents

Unit uCEFServerEvents

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Types

TOnServerCreated = procedure(Sender: TObject; const server: ICefServer) of object;
TOnServerDestroyed = procedure(Sender: TObject; const server: ICefServer) of object;
TOnClientConnected = procedure(Sender: TObject; const server: ICefServer; connection_id: Integer) of object;
TOnClientDisconnected = procedure(Sender: TObject; const server: ICefServer; connection_id: Integer) of object;
TOnHttpRequest = procedure(Sender: TObject; const server: ICefServer; connection_id: Integer; const client_address: ustring; const request: ICefRequest) of object;
TOnWebSocketRequest = procedure(Sender: TObject; const server: ICefServer; connection_id: Integer; const client_address: ustring; const request: ICefRequest; const callback: ICefCallback) of object;
TOnWebSocketConnected = procedure(Sender: TObject; const server: ICefServer; connection_id: Integer) of object;
TOnWebSocketMessage = procedure(Sender: TObject; const server: ICefServer; connection_id: Integer; const data: Pointer; data_size: NativeUInt) of object;

Description

Types

TOnServerCreated = procedure(Sender: TObject; const server: ICefServer) of object;

This item has no description.

TOnServerDestroyed = procedure(Sender: TObject; const server: ICefServer) of object;

This item has no description.

TOnClientConnected = procedure(Sender: TObject; const server: ICefServer; connection_id: Integer) of object;

This item has no description.

TOnClientDisconnected = procedure(Sender: TObject; const server: ICefServer; connection_id: Integer) of object;

This item has no description.

TOnHttpRequest = procedure(Sender: TObject; const server: ICefServer; connection_id: Integer; const client_address: ustring; const request: ICefRequest) of object;

This item has no description.

TOnWebSocketRequest = procedure(Sender: TObject; const server: ICefServer; connection_id: Integer; const client_address: ustring; const request: ICefRequest; const callback: ICefCallback) of object;

This item has no description.

TOnWebSocketConnected = procedure(Sender: TObject; const server: ICefServer; connection_id: Integer) of object;

This item has no description.

TOnWebSocketMessage = procedure(Sender: TObject; const server: ICefServer; connection_id: Integer; const data: Pointer; data_size: NativeUInt) of object;

This item has no description.


cef4delphi: uCEFServerHandler

Unit uCEFServerHandler

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCEFServerHandlerOwn |
Class TCustomServerHandler |


cef4delphi: uCEFServerHandler: Class TCEFServerHandlerOwn

Class TCEFServerHandlerOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFServerHandler

Declaration

type TCEFServerHandlerOwn = class(TCefBaseRefCountedOwn, ICefServerHandler)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCEFServerHandlerOwn

Overview

Methods

Protected | procedure OnServerCreated(const server: ICefServer); virtual;
Protected | procedure OnServerDestroyed(const server: ICefServer); virtual;
Protected | procedure OnClientConnected(const server: ICefServer; connection_id: Integer); virtual;
Protected | procedure OnClientDisconnected(const server: ICefServer; connection_id: Integer); virtual;
Protected | procedure OnHttpRequest(const server: ICefServer; connection_id: Integer; const client_address: ustring; const request: ICefRequest); virtual;
Protected | procedure OnWebSocketRequest(const server: ICefServer; connection_id: Integer; const client_address: ustring; const request: ICefRequest; const callback: ICefCallback); virtual;
Protected | procedure OnWebSocketConnected(const server: ICefServer; connection_id: Integer); virtual;
Protected | procedure OnWebSocketMessage(const server: ICefServer; connection_id: Integer; const data: Pointer; data_size: NativeUInt); virtual;
Public | constructor Create; virtual;

Description

Methods

Protected procedure OnServerCreated(const server: ICefServer); virtual;

This item has no description. Showing description inherited from ICefServerHandler.OnServerCreated.

Called when |server| is created. If the server was started successfully then ICefServer.IsRunning will return true (1). The server will continue running until ICefServerShutdown is called, after which time OnServerDestroyed will be called. If the server failed to start then OnServerDestroyed will be called immediately after this function returns.

Protected procedure OnServerDestroyed(const server: ICefServer); virtual;

This item has no description. Showing description inherited from ICefServerHandler.OnServerDestroyed.

Called when |server| is destroyed. The server thread will be stopped after this function returns. The client should release any references to |server| when this function is called. See OnServerCreated documentation for a description of server lifespan.

Protected procedure OnClientConnected(const server: ICefServer; connection_id: Integer); virtual;

This item has no description. Showing description inherited from ICefServerHandler.OnClientConnected.

Called when a client connects to |server|. |connection_id| uniquely identifies the connection. Each call to this function will have a matching call to OnClientDisconnected.

Protected procedure OnClientDisconnected(const server: ICefServer; connection_id: Integer); virtual;

This item has no description. Showing description inherited from ICefServerHandler.OnClientDisconnected.

Called when a client disconnects from |server|. |connection_id| uniquely identifies the connection. The client should release any data associated with |connection_id| when this function is called and |connection_id| should no longer be passed to ICefServer functions. Disconnects can originate from either the client or the server. For example, the server will disconnect automatically after a ICefServer.SendHttpXXXResponse function is called.

Protected procedure OnHttpRequest(const server: ICefServer; connection_id: Integer; const client_address: ustring; const request: ICefRequest); virtual;

This item has no description. Showing description inherited from ICefServerHandler.OnHttpRequest.

Called when |server| receives an HTTP request. |connection_id| uniquely identifies the connection, |client_address| is the requesting IPv4 or IPv6 client address including port number, and |request| contains the request contents (URL, function, headers and optional POST data). Call ICefServer functions either synchronously or asynchronusly to send a response.

Protected procedure OnWebSocketRequest(const server: ICefServer; connection_id: Integer; const client_address: ustring; const request: ICefRequest; const callback: ICefCallback); virtual;

This item has no description. Showing description inherited from ICefServerHandler.OnWebSocketRequest.

Called when |server| receives a WebSocket request. |connection_id| uniquely identifies the connection, |client_address| is the requesting IPv4 or IPv6 client address including port number, and |request| contains the request contents (URL, function, headers and optional POST data). Execute |callback| either synchronously or asynchronously to accept or decline the WebSocket connection. If the request is accepted then OnWebSocketConnected will be called after the WebSocket has connected and incoming messages will be delivered to the OnWebSocketMessage callback. If the request is declined then the client will be disconnected and OnClientDisconnected will be called. Call the ICefServer.SendWebSocketMessage function after receiving the OnWebSocketConnected callback to respond with WebSocket messages.

Protected procedure OnWebSocketConnected(const server: ICefServer; connection_id: Integer); virtual;

This item has no description. Showing description inherited from ICefServerHandler.OnWebSocketConnected.

Called after the client has accepted the WebSocket connection for |server| and |connection_id| via the OnWebSocketRequest callback. See OnWebSocketRequest documentation for intended usage.

Protected procedure OnWebSocketMessage(const server: ICefServer; connection_id: Integer; const data: Pointer; data_size: NativeUInt); virtual;

This item has no description. Showing description inherited from ICefServerHandler.OnWebSocketMessage.

Called when |server| receives an WebSocket message. |connection_id| uniquely identifies the connection, |data| is the message content and |data_size| is the size of |data| in bytes. Do not keep a reference to |data| outside of this function. See OnWebSocketRequest documentation for intended usage.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFServerHandler: Class TCustomServerHandler

Class TCustomServerHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFServerHandler

Declaration

type TCustomServerHandler = class(TCEFServerHandlerOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCEFServerHandlerOwn
  • TCustomServerHandler

Overview

Fields

Protected FEvents: Pointer;

Methods

Protected | procedure OnServerCreated(const server: ICefServer); override;
Protected | procedure OnServerDestroyed(const server: ICefServer); override;
Protected | procedure OnClientConnected(const server: ICefServer; connection_id: Integer); override;
Protected | procedure OnClientDisconnected(const server: ICefServer; connection_id: Integer); override;
Protected | procedure OnHttpRequest(const server: ICefServer; connection_id: Integer; const client_address: ustring; const request: ICefRequest); override;
Protected | procedure OnWebSocketRequest(const server: ICefServer; connection_id: Integer; const client_address: ustring; const request: ICefRequest; const callback: ICefCallback); override;
Protected | procedure OnWebSocketConnected(const server: ICefServer; connection_id: Integer); override;
Protected | procedure OnWebSocketMessage(const server: ICefServer; connection_id: Integer; const data: Pointer; data_size: NativeUInt); override;
Public | constructor Create(const events: IServerEvents); reintroduce;
Public | destructor Destroy; override;

Description

Fields

Protected FEvents: Pointer;

This item has no description.

Methods

Protected procedure OnServerCreated(const server: ICefServer); override;

This item has no description. Showing description inherited from ICefServerHandler.OnServerCreated.

Called when |server| is created. If the server was started successfully then ICefServer.IsRunning will return true (1). The server will continue running until ICefServerShutdown is called, after which time OnServerDestroyed will be called. If the server failed to start then OnServerDestroyed will be called immediately after this function returns.

Protected procedure OnServerDestroyed(const server: ICefServer); override;

This item has no description. Showing description inherited from ICefServerHandler.OnServerDestroyed.

Called when |server| is destroyed. The server thread will be stopped after this function returns. The client should release any references to |server| when this function is called. See OnServerCreated documentation for a description of server lifespan.

Protected procedure OnClientConnected(const server: ICefServer; connection_id: Integer); override;

This item has no description. Showing description inherited from ICefServerHandler.OnClientConnected.

Called when a client connects to |server|. |connection_id| uniquely identifies the connection. Each call to this function will have a matching call to OnClientDisconnected.

Protected procedure OnClientDisconnected(const server: ICefServer; connection_id: Integer); override;

This item has no description. Showing description inherited from ICefServerHandler.OnClientDisconnected.

Called when a client disconnects from |server|. |connection_id| uniquely identifies the connection. The client should release any data associated with |connection_id| when this function is called and |connection_id| should no longer be passed to ICefServer functions. Disconnects can originate from either the client or the server. For example, the server will disconnect automatically after a ICefServer.SendHttpXXXResponse function is called.

Protected procedure OnHttpRequest(const server: ICefServer; connection_id: Integer; const client_address: ustring; const request: ICefRequest); override;

This item has no description. Showing description inherited from ICefServerHandler.OnHttpRequest.

Called when |server| receives an HTTP request. |connection_id| uniquely identifies the connection, |client_address| is the requesting IPv4 or IPv6 client address including port number, and |request| contains the request contents (URL, function, headers and optional POST data). Call ICefServer functions either synchronously or asynchronusly to send a response.

Protected procedure OnWebSocketRequest(const server: ICefServer; connection_id: Integer; const client_address: ustring; const request: ICefRequest; const callback: ICefCallback); override;

This item has no description. Showing description inherited from ICefServerHandler.OnWebSocketRequest.

Called when |server| receives a WebSocket request. |connection_id| uniquely identifies the connection, |client_address| is the requesting IPv4 or IPv6 client address including port number, and |request| contains the request contents (URL, function, headers and optional POST data). Execute |callback| either synchronously or asynchronously to accept or decline the WebSocket connection. If the request is accepted then OnWebSocketConnected will be called after the WebSocket has connected and incoming messages will be delivered to the OnWebSocketMessage callback. If the request is declined then the client will be disconnected and OnClientDisconnected will be called. Call the ICefServer.SendWebSocketMessage function after receiving the OnWebSocketConnected callback to respond with WebSocket messages.

Protected procedure OnWebSocketConnected(const server: ICefServer; connection_id: Integer); override;

This item has no description. Showing description inherited from ICefServerHandler.OnWebSocketConnected.

Called after the client has accepted the WebSocket connection for |server| and |connection_id| via the OnWebSocketRequest callback. See OnWebSocketRequest documentation for intended usage.

Protected procedure OnWebSocketMessage(const server: ICefServer; connection_id: Integer; const data: Pointer; data_size: NativeUInt); override;

This item has no description. Showing description inherited from ICefServerHandler.OnWebSocketMessage.

Called when |server| receives an WebSocket message. |connection_id| uniquely identifies the connection, |data| is the message content and |data_size| is the size of |data| in bytes. Do not keep a reference to |data| outside of this function. See OnWebSocketRequest documentation for intended usage.

Public constructor Create(const events: IServerEvents); reintroduce;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFSetCookieCallback

Unit uCEFSetCookieCallback

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefSetCookieCallbackOwn |
Class TCefFastSetCookieCallback |
Class TCefCustomSetCookieCallback |


cef4delphi: uCEFSetCookieCallback: Class TCefSetCookieCallbackOwn

Class TCefSetCookieCallbackOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFSetCookieCallback

Declaration

type TCefSetCookieCallbackOwn = class(TCefBaseRefCountedOwn, ICefSetCookieCallback)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefSetCookieCallbackOwn

Overview

Methods

Protected | procedure OnComplete(success: Boolean); virtual; abstract;
Public | constructor Create; virtual;

Description

Methods

Protected procedure OnComplete(success: Boolean); virtual; abstract;

This item has no description. Showing description inherited from ICefSetCookieCallback.OnComplete.

Method that will be called upon completion. |success| will be true (1) if the cookie was set successfully.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFSetCookieCallback: Class TCefFastSetCookieCallback

Class TCefFastSetCookieCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFSetCookieCallback

Declaration

type TCefFastSetCookieCallback = class(TCefSetCookieCallbackOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefSetCookieCallbackOwn
  • TCefFastSetCookieCallback

Overview

Fields

Protected FCallback: TCefSetCookieCallbackProc;

Methods

Protected | procedure OnComplete(success: Boolean); override;
Public | constructor Create(const callback: TCefSetCookieCallbackProc); reintroduce;

Description

Fields

Protected FCallback: TCefSetCookieCallbackProc;

This item has no description.

Methods

Protected procedure OnComplete(success: Boolean); override;

This item has no description. Showing description inherited from ICefSetCookieCallback.OnComplete.

Method that will be called upon completion. |success| will be true (1) if the cookie was set successfully.

Public constructor Create(const callback: TCefSetCookieCallbackProc); reintroduce;

This item has no description.


cef4delphi: uCEFSetCookieCallback: Class TCefCustomSetCookieCallback

Class TCefCustomSetCookieCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFSetCookieCallback

Declaration

type TCefCustomSetCookieCallback = class(TCefSetCookieCallbackOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefSetCookieCallbackOwn
  • TCefCustomSetCookieCallback

Overview

Fields

Protected | FEvents: Pointer;
Protected | FID: integer;

Methods

Protected | procedure OnComplete(success: Boolean); override;
Public | constructor Create(const aEvents : IChromiumEvents; aID : integer); reintroduce;
Public | destructor Destroy; override;

Description

Fields

Protected FEvents: Pointer;

This item has no description.

Protected FID: integer;

This item has no description.

Methods

Protected procedure OnComplete(success: Boolean); override;

This item has no description. Showing description inherited from ICefSetCookieCallback.OnComplete.

Method that will be called upon completion. |success| will be true (1) if the cookie was set successfully.

Public constructor Create(const aEvents : IChromiumEvents; aID : integer); reintroduce;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFSharedMemoryRegion

Unit uCEFSharedMemoryRegion

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefSharedMemoryRegionRef |


cef4delphi: uCEFSharedMemoryRegion: Class TCefSharedMemoryRegionRef

Class TCefSharedMemoryRegionRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFSharedMemoryRegion

Declaration

type TCefSharedMemoryRegionRef = class(TCefBaseRefCountedRef, ICefSharedMemoryRegion)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefSharedMemoryRegionRef

Overview

Methods

Protected | function IsValid: boolean;
Protected | function Size: NativeUInt;
Protected | function Memory: pointer;
Public | class function UnWrap(data: Pointer): ICefSharedMemoryRegion;

Description

Methods

Protected function IsValid: boolean;

This item has no description. Showing description inherited from ICefSharedMemoryRegion.IsValid.

Returns true (1) if the mapping is valid.

Protected function Size: NativeUInt;

This item has no description. Showing description inherited from ICefSharedMemoryRegion.Size.

Returns the size of the mapping in bytes. Returns 0 for invalid instances.

Protected function Memory: pointer;

This item has no description. Showing description inherited from ICefSharedMemoryRegion.Memory.

Returns the pointer to the memory. Returns nullptr for invalid instances. The returned pointer is only valid for the life span of this object.

Public class function UnWrap(data: Pointer): ICefSharedMemoryRegion;

This item has no description.


cef4delphi: uCEFSharedProcessMessageBuilder

Unit uCEFSharedProcessMessageBuilder

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefSharedProcessMessageBuilderRef |


cef4delphi: uCEFSharedProcessMessageBuilder: Class TCefSharedProcessMessageBuilderRef

Class TCefSharedProcessMessageBuilderRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFSharedProcessMessageBuilder

Declaration

type TCefSharedProcessMessageBuilderRef = class(TCefBaseRefCountedRef, ICefSharedProcessMessageBuilder)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefSharedProcessMessageBuilderRef

Overview

Methods

Protected | function IsValid: boolean;
Protected | function Size: NativeUInt;
Protected | function Memory: pointer;
Protected | function Build: ICefProcessMessage;
Public | class function UnWrap(data: Pointer): ICefSharedProcessMessageBuilder;
Public | class function CreateBuilder(const name: ustring; byte_size: NativeUInt): ICefSharedProcessMessageBuilder;

Description

Methods

Protected function IsValid: boolean;

This item has no description. Showing description inherited from ICefSharedProcessMessageBuilder.IsValid.

Returns true (1) if the builder is valid.

Protected function Size: NativeUInt;

This item has no description. Showing description inherited from ICefSharedProcessMessageBuilder.Size.

Returns the size of the shared memory region in bytes. Returns 0 for invalid instances.

Protected function Memory: pointer;

This item has no description. Showing description inherited from ICefSharedProcessMessageBuilder.Memory.

Returns the pointer to the writable memory. Returns nullptr for invalid instances. The returned pointer is only valid for the life span of this object.

Protected function Build: ICefProcessMessage;

This item has no description. Showing description inherited from ICefSharedProcessMessageBuilder.Build.

Creates a new ICefProcessMessage from the data provided to the builder. Returns nullptr for invalid instances. Invalidates the builder instance.

Public class function UnWrap(data: Pointer): ICefSharedProcessMessageBuilder;

This item has no description.

Public class function CreateBuilder(const name: ustring; byte_size: NativeUInt): ICefSharedProcessMessageBuilder;

This item has no description.


cef4delphi: uCEFSslInfo

Unit uCEFSslInfo

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefSslInfoRef |


cef4delphi: uCEFSslInfo: Class TCefSslInfoRef

Class TCefSslInfoRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFSslInfo

Declaration

type TCefSslInfoRef = class(TCefBaseRefCountedRef, ICefSslInfo)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefSslInfoRef

Overview

Methods

Protected | function GetCertStatus: TCefCertStatus;
Protected | function GetX509Certificate: ICefX509Certificate;
Public | class function UnWrap(data: Pointer): ICefSslInfo;

Description

Methods

Protected function GetCertStatus: TCefCertStatus;

This item has no description. Showing description inherited from ICefSslInfo.GetCertStatus.

Returns a bitmask containing any and all problems verifying the server certificate.

Protected function GetX509Certificate: ICefX509Certificate;

This item has no description. Showing description inherited from ICefSslInfo.GetX509Certificate.

Returns the X.509 certificate.

Public class function UnWrap(data: Pointer): ICefSslInfo;

This item has no description.


cef4delphi: uCEFSSLStatus

Unit uCEFSSLStatus

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefSSLStatusRef |


cef4delphi: uCEFSSLStatus: Class TCefSSLStatusRef

Class TCefSSLStatusRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFSSLStatus

Declaration

type TCefSSLStatusRef = class(TCefBaseRefCountedRef, ICefSSLStatus)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefSSLStatusRef

Overview

Methods

Protected | function IsSecureConnection: boolean;
Protected | function GetCertStatus: TCefCertStatus;
Protected | function GetSSLVersion: TCefSSLVersion;
Protected | function GetContentStatus: TCefSSLContentStatus;
Protected | function GetX509Certificate: ICefX509Certificate;
Public | class function UnWrap(data: Pointer): ICefSSLStatus;

Description

Methods

Protected function IsSecureConnection: boolean;

This item has no description. Showing description inherited from ICefSSLStatus.IsSecureConnection.

Returns true (1) if the status is related to a secure SSL/TLS connection.

Protected function GetCertStatus: TCefCertStatus;

This item has no description. Showing description inherited from ICefSSLStatus.GetCertStatus.

Returns a bitmask containing any and all problems verifying the server certificate.

Protected function GetSSLVersion: TCefSSLVersion;

This item has no description. Showing description inherited from ICefSSLStatus.GetSSLVersion.

Returns the SSL version used for the SSL connection.

Protected function GetContentStatus: TCefSSLContentStatus;

This item has no description. Showing description inherited from ICefSSLStatus.GetContentStatus.

Returns a bitmask containing the page security content status.

Protected function GetX509Certificate: ICefX509Certificate;

This item has no description. Showing description inherited from ICefSSLStatus.GetX509Certificate.

Returns the X.509 certificate.

Public class function UnWrap(data: Pointer): ICefSSLStatus;

This item has no description.


cef4delphi: uCEFStreamReader

Unit uCEFStreamReader

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefStreamReaderRef |


cef4delphi: uCEFStreamReader: Class TCefStreamReaderRef

Class TCefStreamReaderRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFStreamReader

Declaration

type TCefStreamReaderRef = class(TCefBaseRefCountedRef, ICefStreamReader)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefStreamReaderRef

Overview

Methods

Protected | function Read(ptr: Pointer; size, n: NativeUInt): NativeUInt;
Protected | function Seek(offset: Int64; whence: Integer): Integer;
Protected | function Tell: Int64;
Protected | function Eof: Boolean;
Protected | function MayBlock: Boolean;
Public | class function UnWrap(data: Pointer): ICefStreamReader;
Public | class function CreateForFile(const filename: ustring): ICefStreamReader;
Public | class function CreateForCustomStream(const stream: ICefCustomStreamReader): ICefStreamReader;
Public | class function CreateForStream(const stream: TSTream; owned: Boolean): ICefStreamReader;
Public | class function CreateForData(data: Pointer; size: NativeUInt): ICefStreamReader;
Public | class function CreateForHandler(const handler: ICefReadHandler): ICefStreamReader;

Description

Methods

Protected function Read(ptr: Pointer; size, n: NativeUInt): NativeUInt;

This item has no description. Showing description inherited from ICefStreamReader.Read.

Read raw binary data.

Protected function Seek(offset: Int64; whence: Integer): Integer;

This item has no description. Showing description inherited from ICefStreamReader.Seek.

Seek to the specified offset position. |whence| may be any one of SEEK_CUR, SEEK_END or SEEK_SET. Return zero on success and non-zero on failure.

Protected function Tell: Int64;

This item has no description. Showing description inherited from ICefStreamReader.Tell.

Return the current offset position.

Protected function Eof: Boolean;

This item has no description. Showing description inherited from ICefStreamReader.Eof.

Return non-zero if at end of file.

Protected function MayBlock: Boolean;

This item has no description. Showing description inherited from ICefStreamReader.MayBlock.

Return true (1) if this handler performs work like accessing the file system which may block. Used as a hint for determining the thread to access the handler from.

Public class function UnWrap(data: Pointer): ICefStreamReader;

This item has no description.

Public class function CreateForFile(const filename: ustring): ICefStreamReader;

This item has no description.

Public class function CreateForCustomStream(const stream: ICefCustomStreamReader): ICefStreamReader;

This item has no description.

Public class function CreateForStream(const stream: TSTream; owned: Boolean): ICefStreamReader;

This item has no description.

Public class function CreateForData(data: Pointer; size: NativeUInt): ICefStreamReader;

This item has no description.

Public class function CreateForHandler(const handler: ICefReadHandler): ICefStreamReader;

This item has no description.


cef4delphi: uCEFStreamWriter

Unit uCEFStreamWriter

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefStreamWriterRef |


cef4delphi: uCEFStreamWriter: Class TCefStreamWriterRef

Class TCefStreamWriterRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFStreamWriter

Declaration

type TCefStreamWriterRef = class(TCefBaseRefCountedRef, ICefStreamWriter)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefStreamWriterRef

Overview

Methods

Protected | function write(const ptr: Pointer; size, n: NativeUInt): NativeUInt;
Protected | function Seek(offset: Int64; whence: Integer): Integer;
Protected | function Tell: Int64;
Protected | function Flush: Integer;
Protected | function MayBlock: Boolean;
Public | class function UnWrap(data: Pointer): ICefStreamWriter;
Public | class function CreateForFile(const fileName: ustring): ICefStreamWriter;
Public | class function CreateForHandler(const handler: ICefWriteHandler): ICefStreamWriter;

Description

Methods

Protected function write(const ptr: Pointer; size, n: NativeUInt): NativeUInt;

This item has no description. Showing description inherited from ICefStreamWriter.Write.

Write raw binary data.

Protected function Seek(offset: Int64; whence: Integer): Integer;

This item has no description. Showing description inherited from ICefStreamWriter.Seek.

Seek to the specified offset position. |whence| may be any one of SEEK_CUR, SEEK_END or SEEK_SET. Returns zero on success and non-zero on failure.

Protected function Tell: Int64;

This item has no description. Showing description inherited from ICefStreamWriter.Tell.

Return the current offset position.

Protected function Flush: Integer;

This item has no description. Showing description inherited from ICefStreamWriter.Flush.

Flush the stream.

Protected function MayBlock: Boolean;

This item has no description. Showing description inherited from ICefStreamWriter.MayBlock.

Returns true (1) if this writer performs work like accessing the file system which may block. Used as a hint for determining the thread to access the writer from.

Public class function UnWrap(data: Pointer): ICefStreamWriter;

This item has no description.

Public class function CreateForFile(const fileName: ustring): ICefStreamWriter;

This item has no description.

Public class function CreateForHandler(const handler: ICefWriteHandler): ICefStreamWriter;

This item has no description.


cef4delphi: uCEFStringList

Unit uCEFStringList

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefCustomStringList | CEF string maps are a set of key/value string pairs.
Class TCefStringListOwn |
Class TCefStringListRef |


cef4delphi: uCEFStringList: Class TCefCustomStringList

Class TCefCustomStringList

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFStringList

Declaration

type TCefCustomStringList = class(TInterfacedObject, ICefStringList)

Description

CEF string maps are a set of key/value string pairs.

Hierarchy

  • TInterfacedObject
  • TCefCustomStringList

Overview

Fields

Protected FHandle: TCefStringList;

Methods

Protected | function GetHandle: TCefStringList; virtual;
Protected | function GetSize: NativeUInt; virtual;
Protected | function GetValue(index: NativeUInt): ustring; virtual;
Protected | procedure Append(const value: ustring); virtual;
Protected | procedure Clear; virtual;
Protected | function Copy: TCefStringList; virtual;
Protected | procedure CopyToStrings(const aStrings : TStrings); virtual;
Protected | procedure AddStrings(const aStrings : TStrings); virtual;
Public | constructor Create; virtual;

Description

Fields

Protected FHandle: TCefStringList;

This item has no description.

Methods

Protected function GetHandle: TCefStringList; virtual;

This item has no description.

Protected function GetSize: NativeUInt; virtual;

Return the number of elements in the string list.

Protected function GetValue(index: NativeUInt): ustring; virtual;

Retrieve the value at the specified zero-based string list index. Returns true (1) if the value was successfully retrieved.

Protected procedure Append(const value: ustring); virtual;

Append a new value at the end of the string list.

Protected procedure Clear; virtual;

Clear the string list.

Protected function Copy: TCefStringList; virtual;

Creates a copy of an existing string list.

Protected procedure CopyToStrings(const aStrings : TStrings); virtual;

This item has no description.

Protected procedure AddStrings(const aStrings : TStrings); virtual;

This item has no description.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFStringList: Class TCefStringListOwn

Class TCefStringListOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFStringList

Declaration

type TCefStringListOwn = class(TCefCustomStringList)

Description

This item has no description. Showing description inherited from TCefCustomStringList.

CEF string maps are a set of key/value string pairs.

Hierarchy

  • TInterfacedObject
  • TCefCustomStringList
  • TCefStringListOwn

Overview

Methods

Public | constructor Create; override;
Public | destructor Destroy; override;

Description

Methods

Public constructor Create; override;

Allocate a new string map.

Public destructor Destroy; override;

Free the string list.


cef4delphi: uCEFStringList: Class TCefStringListRef

Class TCefStringListRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFStringList

Declaration

type TCefStringListRef = class(TCefCustomStringList)

Description

This item has no description. Showing description inherited from TCefCustomStringList.

CEF string maps are a set of key/value string pairs.

Hierarchy

  • TInterfacedObject
  • TCefCustomStringList
  • TCefStringListRef

Overview

Methods

Public constructor Create(aHandle : TCefStringList); reintroduce;

Description

Methods

Public constructor Create(aHandle : TCefStringList); reintroduce;

This item has no description.


cef4delphi: uCEFStringMap

Unit uCEFStringMap

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefCustomStringMap | CEF string maps are a set of key/value string pairs.
Class TCefStringMapOwn |
Class TCefStringMapRef |


cef4delphi: uCEFStringMap: Class TCefCustomStringMap

Class TCefCustomStringMap

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFStringMap

Declaration

type TCefCustomStringMap = class(TInterfacedObject, ICefStringMap)

Description

CEF string maps are a set of key/value string pairs.

Hierarchy

  • TInterfacedObject
  • TCefCustomStringMap

Overview

Fields

Protected FHandle: TCefStringMap;

Methods

Protected | function GetHandle: TCefStringMap; virtual;
Protected | function GetSize: NativeUInt; virtual;
Protected | function Find(const key: ustring): ustring; virtual;
Protected | function GetKey(index: NativeUInt): ustring; virtual;
Protected | function GetValue(index: NativeUInt): ustring; virtual;
Protected | function Append(const key, value: ustring) : boolean; virtual;
Protected | procedure Clear; virtual;
Public | constructor Create; virtual;

Description

Fields

Protected FHandle: TCefStringMap;

This item has no description.

Methods

Protected function GetHandle: TCefStringMap; virtual;

This item has no description.

Protected function GetSize: NativeUInt; virtual;

Return the number of elements in the string map.

Protected function Find(const key: ustring): ustring; virtual;

Return the value assigned to the specified key.

Protected function GetKey(index: NativeUInt): ustring; virtual;

Return the key at the specified zero-based string map index.

Protected function GetValue(index: NativeUInt): ustring; virtual;

Return the value at the specified zero-based string map index.

Protected function Append(const key, value: ustring) : boolean; virtual;

Append a new key/value pair at the end of the string map. If the key exists, overwrite the existing value with a new value w/o changing the pair order.

Protected procedure Clear; virtual;

Clear the string map.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFStringMap: Class TCefStringMapOwn

Class TCefStringMapOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFStringMap

Declaration

type TCefStringMapOwn = class(TCefCustomStringMap)

Description

This item has no description. Showing description inherited from TCefCustomStringMap.

CEF string maps are a set of key/value string pairs.

Hierarchy

  • TInterfacedObject
  • TCefCustomStringMap
  • TCefStringMapOwn

Overview

Methods

Public | constructor Create; override;
Public | destructor Destroy; override;

Description

Methods

Public constructor Create; override;

Allocate a new string map.

Public destructor Destroy; override;

Free the string map.


cef4delphi: uCEFStringMap: Class TCefStringMapRef

Class TCefStringMapRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFStringMap

Declaration

type TCefStringMapRef = class(TCefCustomStringMap)

Description

This item has no description. Showing description inherited from TCefCustomStringMap.

CEF string maps are a set of key/value string pairs.

Hierarchy

  • TInterfacedObject
  • TCefCustomStringMap
  • TCefStringMapRef

Overview

Methods

Public constructor Create(aHandle : TCefStringMap); reintroduce;

Description

Methods

Public constructor Create(aHandle : TCefStringMap); reintroduce;

This item has no description.


cef4delphi: uCEFStringMultimap

Unit uCEFStringMultimap

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefCustomStringMultimap | CEF string multimaps are a set of key/value string pairs. More than one value can be assigned to a single key.
Class TCefStringMultimapOwn |
Class TCefStringMultimapRef |


cef4delphi: uCEFStringMultimap: Class TCefCustomStringMultimap

Class TCefCustomStringMultimap

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFStringMultimap

Declaration

type TCefCustomStringMultimap = class(TInterfacedObject, ICefStringMultimap)

Description

CEF string multimaps are a set of key/value string pairs. More than one value can be assigned to a single key.

Hierarchy

  • TInterfacedObject
  • TCefCustomStringMultimap

Overview

Fields

Protected FHandle: TCefStringMultimap;

Methods

Protected | function GetHandle: TCefStringMultimap; virtual;
Protected | function GetSize: NativeUInt; virtual;
Protected | function FindCount(const Key: ustring): NativeUInt; virtual;
Protected | function GetEnumerate(const Key: ustring; ValueIndex: NativeUInt): ustring; virtual;
Protected | function GetKey(Index: NativeUInt): ustring; virtual;
Protected | function GetValue(Index: NativeUInt): ustring; virtual;
Protected | function Append(const Key, Value: ustring) : boolean; virtual;
Protected | procedure Clear; virtual;
Public | constructor Create; virtual;

Description

Fields

Protected FHandle: TCefStringMultimap;

This item has no description.

Methods

Protected function GetHandle: TCefStringMultimap; virtual;

This item has no description.

Protected function GetSize: NativeUInt; virtual;

Return the number of elements in the string multimap.

Protected function FindCount(const Key: ustring): NativeUInt; virtual;

Return the number of values with the specified key.

Protected function GetEnumerate(const Key: ustring; ValueIndex: NativeUInt): ustring; virtual;

Return the value_index-th value with the specified key.

Protected function GetKey(Index: NativeUInt): ustring; virtual;

Return the key at the specified zero-based string multimap index.

Protected function GetValue(Index: NativeUInt): ustring; virtual;

Return the value at the specified zero-based string multimap index.

Protected function Append(const Key, Value: ustring) : boolean; virtual;

Append a new key/value pair at the end of the string multimap.

Protected procedure Clear; virtual;

Clear the string multimap.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFStringMultimap: Class TCefStringMultimapOwn

Class TCefStringMultimapOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFStringMultimap

Declaration

type TCefStringMultimapOwn = class(TCefCustomStringMultimap)

Description

This item has no description. Showing description inherited from TCefCustomStringMultimap.

CEF string multimaps are a set of key/value string pairs. More than one value can be assigned to a single key.

Hierarchy

  • TInterfacedObject
  • TCefCustomStringMultimap
  • TCefStringMultimapOwn

Overview

Methods

Public | constructor Create; override;
Public | destructor Destroy; override;

Description

Methods

Public constructor Create; override;

Allocate a new string multimap.

Public destructor Destroy; override;

Free the string multimap.


cef4delphi: uCEFStringMultimap: Class TCefStringMultimapRef

Class TCefStringMultimapRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFStringMultimap

Declaration

type TCefStringMultimapRef = class(TCefCustomStringMultimap)

Description

This item has no description. Showing description inherited from TCefCustomStringMultimap.

CEF string multimaps are a set of key/value string pairs. More than one value can be assigned to a single key.

Hierarchy

  • TInterfacedObject
  • TCefCustomStringMultimap
  • TCefStringMultimapRef

Overview

Methods

Public constructor Create(aHandle : TCefStringMultimap); reintroduce;

Description

Methods

Public constructor Create(aHandle : TCefStringMultimap); reintroduce;

This item has no description.


cef4delphi: uCEFStringVisitor

Unit uCEFStringVisitor

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefStringVisitorOwn |
Class TCefFastStringVisitor |
Class TCustomCefStringVisitor |


cef4delphi: uCEFStringVisitor: Class TCefStringVisitorOwn

Class TCefStringVisitorOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFStringVisitor

Declaration

type TCefStringVisitorOwn = class(TCefBaseRefCountedOwn, ICefStringVisitor)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefStringVisitorOwn

Overview

Methods

Protected | procedure Visit(const str: ustring); virtual;
Public | constructor Create; virtual;

Description

Methods

Protected procedure Visit(const str: ustring); virtual;

This item has no description. Showing description inherited from ICefStringVisitor.Visit.

Method that will be executed.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFStringVisitor: Class TCefFastStringVisitor

Class TCefFastStringVisitor

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFStringVisitor

Declaration

type TCefFastStringVisitor = class(TCefStringVisitorOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefStringVisitorOwn
  • TCefFastStringVisitor

Overview

Fields

Protected FVisit: TCefStringVisitorProc;

Methods

Protected | procedure Visit(const str: ustring); override;
Public | constructor Create(const callback: TCefStringVisitorProc); reintroduce;

Description

Fields

Protected FVisit: TCefStringVisitorProc;

This item has no description.

Methods

Protected procedure Visit(const str: ustring); override;

This item has no description. Showing description inherited from ICefStringVisitor.Visit.

Method that will be executed.

Public constructor Create(const callback: TCefStringVisitorProc); reintroduce;

This item has no description.


cef4delphi: uCEFStringVisitor: Class TCustomCefStringVisitor

Class TCustomCefStringVisitor

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFStringVisitor

Declaration

type TCustomCefStringVisitor = class(TCefStringVisitorOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefStringVisitorOwn
  • TCustomCefStringVisitor

Overview

Fields

Protected FEvents: Pointer;

Methods

Protected | procedure Visit(const str: ustring); override;
Public | constructor Create(const aEvents : IChromiumEvents); reintroduce;
Public | destructor Destroy; override;

Description

Fields

Protected FEvents: Pointer;

This item has no description.

Methods

Protected procedure Visit(const str: ustring); override;

This item has no description. Showing description inherited from ICefStringVisitor.Visit.

Method that will be executed.

Public constructor Create(const aEvents : IChromiumEvents); reintroduce;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFTask

Unit uCEFTask

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefTaskOwn |
Class TCefTaskRef |
Class TCefFastTask |
Class TCefManagedTask | Custom class used to execute CEF tasks with CEF4Delphi components.
Class TCefChromiumTask | Custom class used to execute CEF tasks with a TChromiumCore component.
Class TCefViewDelegateTask | Custom class used to execute CEF tasks with a TCEFViewComponent component.
Class TCefURLRequestClientTask | Custom class used to execute CEF tasks with a TCEFUrlRequestClientComponent component.
Class TCefUpdatePrefsTask |
Class TCefSavePrefsTask |
Class TCefURLRequestTask |
Class TCefGenericTask |
Class TCefUpdateZoomStepTask |
Class TCefUpdateZoomPctTask |
Class TCefReadZoomTask |
Class TCefSetZoomLevelTask |
Class TCefSetZoomPctTask |
Class TCefSetZoomStepTask |
Class TCefCreateCustomViewTask |
Class TCefBrowserNavigationTask |
Class TCefSetAudioMutedTask |
Class TCefToggleAudioMutedTask |
Class TCefEnableFocusTask |
Class TCefTryCloseBrowserTask |
Class TCefAddPreferenceObserverTask |


cef4delphi: uCEFTask: Class TCefTaskOwn

Class TCefTaskOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTask

Declaration

type TCefTaskOwn = class(TCefBaseRefCountedOwn, ICefTask)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefTaskOwn

Overview

Methods

Protected | procedure Execute; virtual;
Public | constructor Create; virtual;

Description

Methods

Protected procedure Execute; virtual;

This item has no description. Showing description inherited from ICefTask.Execute.

Method that will be executed on the target thread.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFTask: Class TCefTaskRef

Class TCefTaskRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTask

Declaration

type TCefTaskRef = class(TCefBaseRefCountedRef, ICefTask)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefTaskRef

Overview

Methods

Protected | procedure Execute; virtual;
Public | class function UnWrap(data: Pointer): ICefTask;

Description

Methods

Protected procedure Execute; virtual;

This item has no description. Showing description inherited from ICefTask.Execute.

Method that will be executed on the target thread.

Public class function UnWrap(data: Pointer): ICefTask;

This item has no description.


cef4delphi: uCEFTask: Class TCefFastTask

Class TCefFastTask

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTask

Declaration

type TCefFastTask = class(TCefTaskOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefTaskOwn
  • TCefFastTask

Overview

Fields

Protected FMethod: TCefFastTaskProc;

Methods

Protected | procedure Execute; override;
Public | class procedure New(threadId: TCefThreadId; const method: TCefFastTaskProc);
Public | class procedure NewDelayed(threadId: TCefThreadId; Delay: Int64; const method: TCefFastTaskProc);
Public | constructor Create(const method: TCefFastTaskProc); reintroduce;

Description

Fields

Protected FMethod: TCefFastTaskProc;

This item has no description.

Methods

Protected procedure Execute; override;

This item has no description. Showing description inherited from ICefTask.Execute.

Method that will be executed on the target thread.

Public class procedure New(threadId: TCefThreadId; const method: TCefFastTaskProc);

This item has no description.

Public class procedure NewDelayed(threadId: TCefThreadId; Delay: Int64; const method: TCefFastTaskProc);

This item has no description.

Public constructor Create(const method: TCefFastTaskProc); reintroduce;

This item has no description.


cef4delphi: uCEFTask: Class TCefManagedTask

Class TCefManagedTask

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTask

Declaration

type TCefManagedTask = class(TCefTaskOwn)

Description

Custom class used to execute CEF tasks with CEF4Delphi components.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefTaskOwn
  • TCefManagedTask

Overview

Fields

Protected | FComponentID: integer;
Protected | FEvents: Pointer;

Methods

Protected | function CanExecute: boolean; virtual;
Public | constructor Create; override;
Public | destructor Destroy; override;

Description

Fields

Protected FComponentID: integer;

This item has no description.

Protected FEvents: Pointer;

This item has no description.

Methods

Protected function CanExecute: boolean; virtual;

This item has no description.

Public constructor Create; override;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFTask: Class TCefChromiumTask

Class TCefChromiumTask

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTask

Declaration

type TCefChromiumTask = class(TCefManagedTask)

Description

Custom class used to execute CEF tasks with a TChromiumCore component.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefTaskOwn
  • TCefManagedTask
  • TCefChromiumTask

Overview

Methods

Public constructor Create(const aEvents : IChromiumEvents); reintroduce;

Description

Methods

Public constructor Create(const aEvents : IChromiumEvents); reintroduce;

This item has no description.


cef4delphi: uCEFTask: Class TCefViewDelegateTask

Class TCefViewDelegateTask

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTask

Declaration

type TCefViewDelegateTask = class(TCefManagedTask)

Description

Custom class used to execute CEF tasks with a TCEFViewComponent component.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefTaskOwn
  • TCefManagedTask
  • TCefViewDelegateTask

Overview

Methods

Public constructor Create(const aEvents : ICefViewDelegateEvents); reintroduce;

Description

Methods

Public constructor Create(const aEvents : ICefViewDelegateEvents); reintroduce;

This item has no description.


cef4delphi: uCEFTask: Class TCefURLRequestClientTask

Class TCefURLRequestClientTask

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTask

Declaration

type TCefURLRequestClientTask = class(TCefManagedTask)

Description

Custom class used to execute CEF tasks with a TCEFUrlRequestClientComponent component.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefTaskOwn
  • TCefManagedTask
  • TCefURLRequestClientTask

Overview

Methods

Public constructor Create(const aEvents : ICEFUrlRequestClientEvents); reintroduce;

Description

Methods

Public constructor Create(const aEvents : ICEFUrlRequestClientEvents); reintroduce;

This item has no description.


cef4delphi: uCEFTask: Class TCefUpdatePrefsTask

Class TCefUpdatePrefsTask

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTask

Declaration

type TCefUpdatePrefsTask = class(TCefChromiumTask)

Description

This item has no description. Showing description inherited from TCefChromiumTask.

Custom class used to execute CEF tasks with a TChromiumCore component.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefTaskOwn
  • TCefManagedTask
  • TCefChromiumTask
  • TCefUpdatePrefsTask

Overview

Methods

Protected procedure Execute; override;

Description

Methods

Protected procedure Execute; override;

This item has no description. Showing description inherited from ICefTask.Execute.

Method that will be executed on the target thread.


cef4delphi: uCEFTask: Class TCefSavePrefsTask

Class TCefSavePrefsTask

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTask

Declaration

type TCefSavePrefsTask = class(TCefChromiumTask)

Description

This item has no description. Showing description inherited from TCefChromiumTask.

Custom class used to execute CEF tasks with a TChromiumCore component.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefTaskOwn
  • TCefManagedTask
  • TCefChromiumTask
  • TCefSavePrefsTask

Overview

Methods

Protected procedure Execute; override;

Description

Methods

Protected procedure Execute; override;

This item has no description. Showing description inherited from ICefTask.Execute.

Method that will be executed on the target thread.


cef4delphi: uCEFTask: Class TCefURLRequestTask

Class TCefURLRequestTask

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTask

Declaration

type TCefURLRequestTask = class(TCefURLRequestClientTask)

Description

This item has no description. Showing description inherited from TCefURLRequestClientTask.

Custom class used to execute CEF tasks with a TCEFUrlRequestClientComponent component.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefTaskOwn
  • TCefManagedTask
  • TCefURLRequestClientTask
  • TCefURLRequestTask

Overview

Methods

Protected procedure Execute; override;

Description

Methods

Protected procedure Execute; override;

This item has no description. Showing description inherited from ICefTask.Execute.

Method that will be executed on the target thread.


cef4delphi: uCEFTask: Class TCefGenericTask

Class TCefGenericTask

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTask

Declaration

type TCefGenericTask = class(TCefChromiumTask)

Description

This item has no description. Showing description inherited from TCefChromiumTask.

Custom class used to execute CEF tasks with a TChromiumCore component.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefTaskOwn
  • TCefManagedTask
  • TCefChromiumTask
  • TCefGenericTask

Overview

Fields

Protected FTaskID: cardinal;

Methods

Protected | procedure Execute; override;
Public | constructor Create(const aEvents : IChromiumEvents; aTaskID : cardinal); reintroduce;

Description

Fields

Protected FTaskID: cardinal;

This item has no description.

Methods

Protected procedure Execute; override;

This item has no description. Showing description inherited from ICefTask.Execute.

Method that will be executed on the target thread.

Public constructor Create(const aEvents : IChromiumEvents; aTaskID : cardinal); reintroduce;

This item has no description.


cef4delphi: uCEFTask: Class TCefUpdateZoomStepTask

Class TCefUpdateZoomStepTask

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTask

Declaration

type TCefUpdateZoomStepTask = class(TCefChromiumTask)

Description

This item has no description. Showing description inherited from TCefChromiumTask.

Custom class used to execute CEF tasks with a TChromiumCore component.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefTaskOwn
  • TCefManagedTask
  • TCefChromiumTask
  • TCefUpdateZoomStepTask

Overview

Fields

Protected FInc: boolean;

Methods

Protected | procedure Execute; override;
Public | constructor Create(const aEvents : IChromiumEvents; aInc : boolean); reintroduce;

Description

Fields

Protected FInc: boolean;

This item has no description.

Methods

Protected procedure Execute; override;

This item has no description. Showing description inherited from ICefTask.Execute.

Method that will be executed on the target thread.

Public constructor Create(const aEvents : IChromiumEvents; aInc : boolean); reintroduce;

This item has no description.


cef4delphi: uCEFTask: Class TCefUpdateZoomPctTask

Class TCefUpdateZoomPctTask

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTask

Declaration

type TCefUpdateZoomPctTask = class(TCefChromiumTask)

Description

This item has no description. Showing description inherited from TCefChromiumTask.

Custom class used to execute CEF tasks with a TChromiumCore component.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefTaskOwn
  • TCefManagedTask
  • TCefChromiumTask
  • TCefUpdateZoomPctTask

Overview

Fields

Protected FInc: boolean;

Methods

Protected | procedure Execute; override;
Public | constructor Create(const aEvents : IChromiumEvents; aInc : boolean); reintroduce;

Description

Fields

Protected FInc: boolean;

This item has no description.

Methods

Protected procedure Execute; override;

This item has no description. Showing description inherited from ICefTask.Execute.

Method that will be executed on the target thread.

Public constructor Create(const aEvents : IChromiumEvents; aInc : boolean); reintroduce;

This item has no description.


cef4delphi: uCEFTask: Class TCefReadZoomTask

Class TCefReadZoomTask

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTask

Declaration

type TCefReadZoomTask = class(TCefChromiumTask)

Description

This item has no description. Showing description inherited from TCefChromiumTask.

Custom class used to execute CEF tasks with a TChromiumCore component.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefTaskOwn
  • TCefManagedTask
  • TCefChromiumTask
  • TCefReadZoomTask

Overview

Methods

Protected procedure Execute; override;

Description

Methods

Protected procedure Execute; override;

This item has no description. Showing description inherited from ICefTask.Execute.

Method that will be executed on the target thread.


cef4delphi: uCEFTask: Class TCefSetZoomLevelTask

Class TCefSetZoomLevelTask

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTask

Declaration

type TCefSetZoomLevelTask = class(TCefChromiumTask)

Description

This item has no description. Showing description inherited from TCefChromiumTask.

Custom class used to execute CEF tasks with a TChromiumCore component.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefTaskOwn
  • TCefManagedTask
  • TCefChromiumTask
  • TCefSetZoomLevelTask

Overview

Fields

Protected FValue: double;

Methods

Protected | procedure Execute; override;
Public | constructor Create(const aEvents : IChromiumEvents; const aValue : double); reintroduce;

Description

Fields

Protected FValue: double;

This item has no description.

Methods

Protected procedure Execute; override;

This item has no description. Showing description inherited from ICefTask.Execute.

Method that will be executed on the target thread.

Public constructor Create(const aEvents : IChromiumEvents; const aValue : double); reintroduce;

This item has no description.


cef4delphi: uCEFTask: Class TCefSetZoomPctTask

Class TCefSetZoomPctTask

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTask

Declaration

type TCefSetZoomPctTask = class(TCefChromiumTask)

Description

This item has no description. Showing description inherited from TCefChromiumTask.

Custom class used to execute CEF tasks with a TChromiumCore component.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefTaskOwn
  • TCefManagedTask
  • TCefChromiumTask
  • TCefSetZoomPctTask

Overview

Fields

Protected FValue: double;

Methods

Protected | procedure Execute; override;
Public | constructor Create(const aEvents : IChromiumEvents; const aValue : double); reintroduce;

Description

Fields

Protected FValue: double;

This item has no description.

Methods

Protected procedure Execute; override;

This item has no description. Showing description inherited from ICefTask.Execute.

Method that will be executed on the target thread.

Public constructor Create(const aEvents : IChromiumEvents; const aValue : double); reintroduce;

This item has no description.


cef4delphi: uCEFTask: Class TCefSetZoomStepTask

Class TCefSetZoomStepTask

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTask

Declaration

type TCefSetZoomStepTask = class(TCefChromiumTask)

Description

This item has no description. Showing description inherited from TCefChromiumTask.

Custom class used to execute CEF tasks with a TChromiumCore component.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefTaskOwn
  • TCefManagedTask
  • TCefChromiumTask
  • TCefSetZoomStepTask

Overview

Fields

Protected FValue: byte;

Methods

Protected | procedure Execute; override;
Public | constructor Create(const aEvents : IChromiumEvents; aValue : byte); reintroduce;

Description

Fields

Protected FValue: byte;

This item has no description.

Methods

Protected procedure Execute; override;

This item has no description. Showing description inherited from ICefTask.Execute.

Method that will be executed on the target thread.

Public constructor Create(const aEvents : IChromiumEvents; aValue : byte); reintroduce;

This item has no description.


cef4delphi: uCEFTask: Class TCefCreateCustomViewTask

Class TCefCreateCustomViewTask

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTask

Declaration

type TCefCreateCustomViewTask = class(TCefViewDelegateTask)

Description

This item has no description. Showing description inherited from TCefViewDelegateTask.

Custom class used to execute CEF tasks with a TCEFViewComponent component.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefTaskOwn
  • TCefManagedTask
  • TCefViewDelegateTask
  • TCefCreateCustomViewTask

Overview

Methods

Protected procedure Execute; override;

Description

Methods

Protected procedure Execute; override;

This item has no description. Showing description inherited from ICefTask.Execute.

Method that will be executed on the target thread.


cef4delphi: uCEFTask: Class TCefBrowserNavigationTask

Class TCefBrowserNavigationTask

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTask

Declaration

type TCefBrowserNavigationTask = class(TCefChromiumTask)

Description

This item has no description. Showing description inherited from TCefChromiumTask.

Custom class used to execute CEF tasks with a TChromiumCore component.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefTaskOwn
  • TCefManagedTask
  • TCefChromiumTask
  • TCefBrowserNavigationTask

Overview

Fields

Protected FTask: TCefBrowserNavigation;

Methods

Protected | procedure Execute; override;
Public | constructor Create(const aEvents : IChromiumEvents; aTask : TCefBrowserNavigation); reintroduce;

Description

Fields

Protected FTask: TCefBrowserNavigation;

This item has no description.

Methods

Protected procedure Execute; override;

This item has no description. Showing description inherited from ICefTask.Execute.

Method that will be executed on the target thread.

Public constructor Create(const aEvents : IChromiumEvents; aTask : TCefBrowserNavigation); reintroduce;

This item has no description.


cef4delphi: uCEFTask: Class TCefSetAudioMutedTask

Class TCefSetAudioMutedTask

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTask

Declaration

type TCefSetAudioMutedTask = class(TCefChromiumTask)

Description

This item has no description. Showing description inherited from TCefChromiumTask.

Custom class used to execute CEF tasks with a TChromiumCore component.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefTaskOwn
  • TCefManagedTask
  • TCefChromiumTask
  • TCefSetAudioMutedTask

Overview

Fields

Protected FValue: boolean;

Methods

Protected | procedure Execute; override;
Public | constructor Create(const aEvents : IChromiumEvents; aValue : boolean); reintroduce;

Description

Fields

Protected FValue: boolean;

This item has no description.

Methods

Protected procedure Execute; override;

This item has no description. Showing description inherited from ICefTask.Execute.

Method that will be executed on the target thread.

Public constructor Create(const aEvents : IChromiumEvents; aValue : boolean); reintroduce;

This item has no description.


cef4delphi: uCEFTask: Class TCefToggleAudioMutedTask

Class TCefToggleAudioMutedTask

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTask

Declaration

type TCefToggleAudioMutedTask = class(TCefChromiumTask)

Description

This item has no description. Showing description inherited from TCefChromiumTask.

Custom class used to execute CEF tasks with a TChromiumCore component.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefTaskOwn
  • TCefManagedTask
  • TCefChromiumTask
  • TCefToggleAudioMutedTask

Overview

Methods

Protected procedure Execute; override;

Description

Methods

Protected procedure Execute; override;

This item has no description. Showing description inherited from ICefTask.Execute.

Method that will be executed on the target thread.


cef4delphi: uCEFTask: Class TCefEnableFocusTask

Class TCefEnableFocusTask

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTask

Declaration

type TCefEnableFocusTask = class(TCefChromiumTask)

Description

This item has no description. Showing description inherited from TCefChromiumTask.

Custom class used to execute CEF tasks with a TChromiumCore component.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefTaskOwn
  • TCefManagedTask
  • TCefChromiumTask
  • TCefEnableFocusTask

Overview

Methods

Protected procedure Execute; override;

Description

Methods

Protected procedure Execute; override;

This item has no description. Showing description inherited from ICefTask.Execute.

Method that will be executed on the target thread.


cef4delphi: uCEFTask: Class TCefTryCloseBrowserTask

Class TCefTryCloseBrowserTask

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTask

Declaration

type TCefTryCloseBrowserTask = class(TCefChromiumTask)

Description

This item has no description. Showing description inherited from TCefChromiumTask.

Custom class used to execute CEF tasks with a TChromiumCore component.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefTaskOwn
  • TCefManagedTask
  • TCefChromiumTask
  • TCefTryCloseBrowserTask

Overview

Methods

Protected procedure Execute; override;

Description

Methods

Protected procedure Execute; override;

This item has no description. Showing description inherited from ICefTask.Execute.

Method that will be executed on the target thread.


cef4delphi: uCEFTask: Class TCefAddPreferenceObserverTask

Class TCefAddPreferenceObserverTask

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTask

Declaration

type TCefAddPreferenceObserverTask = class(TCefChromiumTask)

Description

This item has no description. Showing description inherited from TCefChromiumTask.

Custom class used to execute CEF tasks with a TChromiumCore component.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefTaskOwn
  • TCefManagedTask
  • TCefChromiumTask
  • TCefAddPreferenceObserverTask

Overview

Fields

Protected FName: ustring;

Methods

Protected | procedure Execute; override;
Public | constructor Create(const aEvents : IChromiumEvents; const aName : ustring); reintroduce;

Description

Fields

Protected FName: ustring;

This item has no description.

Methods

Protected procedure Execute; override;

This item has no description. Showing description inherited from ICefTask.Execute.

Method that will be executed on the target thread.

Public constructor Create(const aEvents : IChromiumEvents; const aName : ustring); reintroduce;

This item has no description.


cef4delphi: uCEFTaskManager

Unit uCEFTaskManager

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefTaskManagerRef | Class that facilitates managing the browser-related tasks.


cef4delphi: uCEFTaskManager: Class TCefTaskManagerRef

Class TCefTaskManagerRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTaskManager

Declaration

type TCefTaskManagerRef = class(TCefBaseRefCountedRef, ICefTaskManager)

Description

Class that facilitates managing the browser-related tasks.

The functions of this class may only be called on the CEF UI thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_task_manager_capi.h">CEF source file: /include/capi/cef_task_manager_capi.h (cef_task_manager_t))

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefTaskManagerRef

Overview

Methods

Protected | function GetTasksCount: NativeUInt;
Protected | function GetTaskIdsList(var task_ids: TCefCustomInt64Array): boolean;
Protected | function GetTaskInfo(const task_id: int64; var info: TCustomTaskInfo): boolean;
Protected | function KillTask(task_id: int64): boolean;
Protected | function GetTaskIdForBrowserId(browser_id: Integer): int64;
Public | class function UnWrap(data: Pointer): ICefTaskManager;
Public | class function New(): ICefTaskManager;

Description

Methods

Protected function GetTasksCount: NativeUInt;

Returns the number of tasks currently tracked by the task manager. Returns 0 if the function was called from the incorrect thread.

This function may only be called on the CEF UI thread.

Protected function GetTaskIdsList(var task_ids: TCefCustomInt64Array): boolean;

Gets the list of task IDs currently tracked by the task manager. Tasks that share the same process id will always be consecutive. The list will be sorted in a way that reflects the process tree: the browser process will be first, followed by the gpu process if it exists. Related processes (e.g., a subframe process and its parent) will be kept together if possible. Callers can expect this ordering to be stable when a process is added or removed. The task IDs are unique within the application lifespan. Returns false (0) if the function was called from the incorrect thread.

This function may only be called on the CEF UI thread.

Protected function GetTaskInfo(const task_id: int64; var info: TCustomTaskInfo): boolean;

Gets information about the task with |task_id|. Returns true (1) if the information about the task was successfully retrieved and false (0) if the |task_id| is invalid or the function was called from the incorrect thread.

This function may only be called on the CEF UI thread.

Protected function KillTask(task_id: int64): boolean;

Attempts to terminate a task with |task_id|. Returns false (0) if the |task_id| is invalid, the call is made from an incorrect thread, or if the task cannot be terminated.

This function may only be called on the CEF UI thread.

Protected function GetTaskIdForBrowserId(browser_id: Integer): int64;

Returns the task ID associated with the main task for |browser_id| (value from cef_browser_t::GetIdentifier). Returns -1 if |browser_id| is invalid, does not currently have an associated task, or the function was called from the incorrect thread.

This function may only be called on the CEF UI thread.

Public class function UnWrap(data: Pointer): ICefTaskManager;

This item has no description.

Public class function New(): ICefTaskManager;

Returns the global task manager.

This function may only be called on the CEF UI thread.


cef4delphi: uCEFTaskRunner

Unit uCEFTaskRunner

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefTaskRunnerRef |


cef4delphi: uCEFTaskRunner: Class TCefTaskRunnerRef

Class TCefTaskRunnerRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTaskRunner

Declaration

type TCefTaskRunnerRef = class(TCefBaseRefCountedRef, ICefTaskRunner)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefTaskRunnerRef

Overview

Methods

Protected | function IsSame(const that: ICefTaskRunner): Boolean;
Protected | function BelongsToCurrentThread: Boolean;
Protected | function BelongsToThread(threadId: TCefThreadId): Boolean;
Protected | function PostTask(const task: ICefTask): Boolean;
Protected | function PostDelayedTask(const task: ICefTask; delayMs: Int64): Boolean;
Public | class function UnWrap(data: Pointer): ICefTaskRunner;
Public | class function GetForCurrentThread: ICefTaskRunner;
Public | class function GetForThread(threadId: TCefThreadId): ICefTaskRunner;

Description

Methods

Protected function IsSame(const that: ICefTaskRunner): Boolean;

This item has no description. Showing description inherited from ICefTaskRunner.IsSame.

Returns true (1) if this object is pointing to the same task runner as |that| object.

Protected function BelongsToCurrentThread: Boolean;

This item has no description. Showing description inherited from ICefTaskRunner.BelongsToCurrentThread.

Returns true (1) if this task runner belongs to the current thread.

Protected function BelongsToThread(threadId: TCefThreadId): Boolean;

This item has no description. Showing description inherited from ICefTaskRunner.BelongsToThread.

Returns true (1) if this task runner is for the specified CEF thread.

Protected function PostTask(const task: ICefTask): Boolean;

This item has no description. Showing description inherited from ICefTaskRunner.PostTask.

Post a task for execution on the thread associated with this task runner. Execution will occur asynchronously.

Protected function PostDelayedTask(const task: ICefTask; delayMs: Int64): Boolean;

This item has no description. Showing description inherited from ICefTaskRunner.PostDelayedTask.

Post a task for delayed execution on the thread associated with this task runner. Execution will occur asynchronously. Delayed tasks are not supported on V8 WebWorker threads and will be executed without the specified delay.

Public class function UnWrap(data: Pointer): ICefTaskRunner;

Returns a ICefTaskRunner instance using a PCefTaskRunner data pointer.

Public class function GetForCurrentThread: ICefTaskRunner;

Returns the task runner for the current thread. Only CEF threads will have task runners. An NULL reference will be returned if this function is called on an invalid thread.

Public class function GetForThread(threadId: TCefThreadId): ICefTaskRunner;

Returns the task runner for the specified CEF thread.


cef4delphi: uCEFTextfield

Unit uCEFTextfield

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefTextfieldRef | A Textfield supports editing of text. This control is custom rendered with no platform-specific code. Methods must be called on the browser process UI thread unless otherwise indicated.


cef4delphi: uCEFTextfield: Class TCefTextfieldRef

Class TCefTextfieldRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTextfield

Declaration

type TCefTextfieldRef = class(TCefViewRef, ICefTextfield)

Description

A Textfield supports editing of text. This control is custom rendered with no platform-specific code. Methods must be called on the browser process UI thread unless otherwise indicated.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_textfield_capi.h">CEF source file: /include/capi/views/cef_textfield_capi.h (cef_textfield_t))

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefViewRef
  • TCefTextfieldRef

Overview

Methods

Protected | procedure SetPasswordInput(password_input: boolean);
Protected | function IsPasswordInput: boolean;
Protected | procedure SetReadOnly(read_only: boolean);
Protected | function IsReadOnly: boolean;
Protected | function GetText: ustring;
Protected | procedure SetText(const text_: ustring);
Protected | procedure AppendText(const text_: ustring);
Protected | procedure InsertOrReplaceText(const text_: ustring);
Protected | function HasSelection: boolean;
Protected | function GetSelectedText: ustring;
Protected | procedure SelectAll(reversed: boolean);
Protected | procedure ClearSelection;
Protected | function GetSelectedRange: TCefRange;
Protected | procedure SelectRange(const range: TCefRange);
Protected | function GetCursorPosition: NativeUInt;
Protected | procedure SetTextColor(color: TCefColor);
Protected | function GetTextColor: TCefColor;
Protected | procedure SetSelectionTextColor(color: TCefColor);
Protected | function GetSelectionTextColor: TCefColor;
Protected | procedure SetSelectionBackgroundColor(color: TCefColor);
Protected | function GetSelectionBackgroundColor: TCefColor;
Protected | procedure SetFontList(const font_list: ustring);
Protected | procedure ApplyTextColor(color: TCefColor; const range: TCefRange);
Protected | procedure ApplyTextStyle(style: TCefTextStyle; add: boolean; const range: TCefRange);
Protected | function IsCommandEnabled(command_id: TCefTextFieldCommands): boolean;
Protected | procedure ExecuteCommand(command_id: TCefTextFieldCommands);
Protected | procedure ClearEditHistory;
Protected | procedure SetPlaceholderText(const text_: ustring);
Protected | function GetPlaceholderText: ustring;
Protected | procedure SetPlaceholderTextColor(color: TCefColor);
Protected | procedure SetAccessibleName(const name: ustring);
Public | class function UnWrap(data: Pointer): ICefTextfield;
Public | class function CreateTextField(const delegate: ICefTextfieldDelegate): ICefTextfield;

Description

Methods

Protected procedure SetPasswordInput(password_input: boolean);

Sets whether the text will be displayed as asterisks.

Protected function IsPasswordInput: boolean;

Returns true (1) if the text will be displayed as asterisks.

Protected procedure SetReadOnly(read_only: boolean);

Sets whether the text will read-only.

Protected function IsReadOnly: boolean;

Returns true (1) if the text is read-only.

Protected function GetText: ustring;

Returns the currently displayed text.

Protected procedure SetText(const text_: ustring);

Sets the contents to |text|. The cursor will be moved to end of the text if the current position is outside of the text range.

Protected procedure AppendText(const text_: ustring);

Appends |text| to the previously-existing text.

Protected procedure InsertOrReplaceText(const text_: ustring);

Inserts |text| at the current cursor position replacing any selected text.

Protected function HasSelection: boolean;

Returns true (1) if there is any selected text.

Protected function GetSelectedText: ustring;

Returns the currently selected text.

Protected procedure SelectAll(reversed: boolean);

Selects all text. If |reversed| is true (1) the range will end at the logical beginning of the text; this generally shows the leading portion of text that overflows its display area.

Protected procedure ClearSelection;

Clears the text selection and sets the caret to the end.

Protected function GetSelectedRange: TCefRange;

Returns the selected logical text range.

Protected procedure SelectRange(const range: TCefRange);

Selects the specified logical text range.

Protected function GetCursorPosition: NativeUInt;

Returns the current cursor position.

Protected procedure SetTextColor(color: TCefColor);

Sets the text color.

Protected function GetTextColor: TCefColor;

Returns the text color.

Protected procedure SetSelectionTextColor(color: TCefColor);

Sets the selection text color.

Protected function GetSelectionTextColor: TCefColor;

Returns the selection text color.

Protected procedure SetSelectionBackgroundColor(color: TCefColor);

Sets the selection background color.

Protected function GetSelectionBackgroundColor: TCefColor;

Returns the selection background color.

Protected procedure SetFontList(const font_list: ustring);

Sets the font list. The format is "<FONT_FAMILY_LIST>,[STYLES] <SIZE>", where: - FONT_FAMILY_LIST is a comma-separated list of font family names, - STYLES is an optional space-separated list of style names (case-sensitive "Bold" and "Italic" are supported), and - SIZE is an integer font size in pixels with the suffix "px".

Here are examples of valid font description strings: - "Arial, Helvetica, Bold Italic 14px" - "Arial, 14px"

Protected procedure ApplyTextColor(color: TCefColor; const range: TCefRange);

Applies |color| to the specified |range| without changing the default color. If |range| is NULL the color will be set on the complete text contents.

Protected procedure ApplyTextStyle(style: TCefTextStyle; add: boolean; const range: TCefRange);

Applies |style| to the specified |range| without changing the default style. If |add| is true (1) the style will be added, otherwise the style will be removed. If |range| is NULL the style will be set on the complete text contents.

Protected function IsCommandEnabled(command_id: TCefTextFieldCommands): boolean;

Returns true (1) if the action associated with the specified command id is enabled. See additional comments on execute_command().

Protected procedure ExecuteCommand(command_id: TCefTextFieldCommands);

Performs the action associated with the specified command id.

Protected procedure ClearEditHistory;

Clears Edit history.

Protected procedure SetPlaceholderText(const text_: ustring);

Sets the placeholder text that will be displayed when the Textfield is NULL.

Protected function GetPlaceholderText: ustring;

Returns the placeholder text that will be displayed when the Textfield is NULL.

Protected procedure SetPlaceholderTextColor(color: TCefColor);

Sets the placeholder text color.

Protected procedure SetAccessibleName(const name: ustring);

Set the accessible name that will be exposed to assistive technology (AT).

Public class function UnWrap(data: Pointer): ICefTextfield;

Returns a ICefTextfield instance using a PCefTextfield data pointer.

Public class function CreateTextField(const delegate: ICefTextfieldDelegate): ICefTextfield;

Create a new Textfield.


cef4delphi: uCEFTextfieldComponent

Unit uCEFTextfieldComponent

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCEFTextfieldComponent |

Functions and Procedures

procedure Register;

Description

Functions and Procedures

procedure Register;

This item has no description.


cef4delphi: uCEFTextfieldComponent: Class TCEFTextfieldComponent

Class TCEFTextfieldComponent

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTextfieldComponent

Declaration

type TCEFTextfieldComponent = class(TCEFViewComponent, ICefTextfieldDelegateEvents)

Description

This item has no description.

Hierarchy

  • TObject
  • TPersistent
  • TComponent
  • TCEFViewComponent
  • TCEFTextfieldComponent

Overview

Fields

Protected | FTextfield: ICefTextfield;
Protected | FOnTextfieldKeyEvent: TOnTextfieldKeyEventEvent;
Protected | FOnAfterUserAction: TOnAfterUserActionEvent;

Methods

Protected | procedure DestroyView; override;
Protected | procedure Initialize; override;
Protected | function GetInitialized: boolean; override;
Protected | function GetAsView: ICefView; override;
Protected | function GetAsTextfield: ICefTextfield; override;
Protected | function GetIsPasswordInput: boolean;
Protected | function GetIsReadOnly: boolean;
Protected | function GetText: ustring;
Protected | function GetHasSelection: boolean;
Protected | function GetSelectedText: ustring;
Protected | function GetSelectedRange: TCefRange;
Protected | function GetCursorPosition: NativeUInt;
Protected | function GetTextColor: TCefColor;
Protected | function GetSelectionTextColor: TCefColor;
Protected | function GetSelectionBackgroundColor: TCefColor;
Protected | function GetPlaceholderText: ustring;
Protected | procedure SetPasswordInput(password_input: boolean);
Protected | procedure SetReadOnly(read_only: boolean);
Protected | procedure SetText(const text_: ustring);
Protected | procedure SetTextColor(color: TCefColor);
Protected | procedure SetSelectionTextColor(color: TCefColor);
Protected | procedure SetSelectionBackgroundColor(color: TCefColor);
Protected | procedure SetPlaceholderText(const text_: ustring);
Protected | procedure SetSelectedRange(const range: TCefRange);
Protected | procedure doOnKeyEvent(const textfield: ICefTextfield; const event: TCefKeyEvent; var aResult : boolean);
Protected | procedure doOnAfterUserAction(const textfield: ICefTextfield);
Protected | procedure doCreateCustomView; override;
Public | procedure CreateTextField;
Public | procedure AppendText(const text_: ustring);
Public | procedure InsertOrReplaceText(const text_: ustring);
Public | procedure SelectAll(reversed: boolean);
Public | procedure ClearSelection;
Public | procedure SetFontList(const font_list: ustring);
Public | procedure ApplyTextColor(color: TCefColor; const range: TCefRange);
Public | procedure ApplyTextStyle(style: TCefTextStyle; add: boolean; const range: TCefRange);
Public | function IsCommandEnabled(command_id: TCefTextFieldCommands): boolean;
Public | procedure ExecuteCommand(command_id: TCefTextFieldCommands);
Public | procedure ClearEditHistory;
Public | procedure SetAccessibleName(const name_: ustring);
Public | procedure SetPlaceholderTextColor(color: TCefColor);

Properties

Public | property PasswordInput : boolean read GetIsPasswordInput write SetPasswordInput;
Public | property ReadOnly : boolean read GetIsReadOnly write SetReadOnly;
Public | property Text : ustring read GetText write SetText;
Public | property SelectedText : ustring read GetSelectedText;
Public | property SelectedRange : TCefRange read GetSelectedRange write SetSelectedRange;
Public | property CursorPosition : NativeUInt read GetCursorPosition;
Public | property TextColor : TCefColor read GetTextColor write SetTextColor;
Public | property SelectionTextColor : TCefColor read GetSelectionTextColor write SetSelectionTextColor;
Public | property SelectionBackgroundColor : TCefColor read GetSelectionBackgroundColor write SetSelectionBackgroundColor;
Public | property PlaceholderText : ustring read GetPlaceholderText write SetPlaceholderText;
Public | property HasSelection : boolean read GetHasSelection;
Published | property OnTextfieldKeyEvent : TOnTextfieldKeyEventEvent read FOnTextfieldKeyEvent write FOnTextfieldKeyEvent;
Published | property OnAfterUserAction : TOnAfterUserActionEvent read FOnAfterUserAction write FOnAfterUserAction;

Description

Fields

Protected FTextfield: ICefTextfield;

This item has no description.

Protected FOnTextfieldKeyEvent: TOnTextfieldKeyEventEvent;

ICefTextfieldDelegateEvents

Protected FOnAfterUserAction: TOnAfterUserActionEvent;

This item has no description.

Methods

Protected procedure DestroyView; override;

This item has no description.

Protected procedure Initialize; override;

This item has no description.

Protected function GetInitialized: boolean; override;

This item has no description.

Protected function GetAsView: ICefView; override;

This item has no description.

Protected function GetAsTextfield: ICefTextfield; override;

This item has no description.

Protected function GetIsPasswordInput: boolean;

This item has no description.

Protected function GetIsReadOnly: boolean;

This item has no description.

Protected function GetText: ustring;

This item has no description.

Protected function GetHasSelection: boolean;

This item has no description.

Protected function GetSelectedText: ustring;

This item has no description.

Protected function GetSelectedRange: TCefRange;

This item has no description.

Protected function GetCursorPosition: NativeUInt;

This item has no description.

Protected function GetTextColor: TCefColor;

This item has no description.

Protected function GetSelectionTextColor: TCefColor;

This item has no description.

Protected function GetSelectionBackgroundColor: TCefColor;

This item has no description.

Protected function GetPlaceholderText: ustring;

This item has no description.

Protected procedure SetPasswordInput(password_input: boolean);

This item has no description.

Protected procedure SetReadOnly(read_only: boolean);

This item has no description.

Protected procedure SetText(const text_: ustring);

This item has no description.

Protected procedure SetTextColor(color: TCefColor);

This item has no description.

Protected procedure SetSelectionTextColor(color: TCefColor);

This item has no description.

Protected procedure SetSelectionBackgroundColor(color: TCefColor);

This item has no description.

Protected procedure SetPlaceholderText(const text_: ustring);

This item has no description.

Protected procedure SetSelectedRange(const range: TCefRange);

This item has no description.

Protected procedure doOnKeyEvent(const textfield: ICefTextfield; const event: TCefKeyEvent; var aResult : boolean);

ICefTextfieldDelegateEvents

Protected procedure doOnAfterUserAction(const textfield: ICefTextfield);

This item has no description.

Protected procedure doCreateCustomView; override;

ICefViewDelegateEvents

Public procedure CreateTextField;

Create a new Textfield.

Public procedure AppendText(const text_: ustring);

Appends |text| to the previously-existing text.

Public procedure InsertOrReplaceText(const text_: ustring);

Inserts |text| at the current cursor position replacing any selected text.

Public procedure SelectAll(reversed: boolean);

Selects all text. If |reversed| is true (1) the range will end at the logical beginning of the text; this generally shows the leading portion of text that overflows its display area.

Public procedure ClearSelection;

Clears the text selection and sets the caret to the end.

Public procedure SetFontList(const font_list: ustring);

Sets the font list. The format is "<FONT_FAMILY_LIST>,[STYLES] <SIZE>", where:

- FONT_FAMILY_LIST is a comma-separated list of font family names,
- STYLES is an optional space-separated list of style names (case-sensitive
  "Bold" and "Italic" are supported), and
- SIZE is an integer font size in pixels with the suffix "px".

Here are examples of valid font description strings:

- "Arial, Helvetica, Bold Italic 14px"
- "Arial, 14px"

Public procedure ApplyTextColor(color: TCefColor; const range: TCefRange);

Applies |color| to the specified |range| without changing the default color. If |range| is NULL the color will be set on the complete text contents.

Public procedure ApplyTextStyle(style: TCefTextStyle; add: boolean; const range: TCefRange);

Applies |style| to the specified |range| without changing the default style. If |add| is true (1) the style will be added, otherwise the style will be removed. If |range| is NULL the style will be set on the complete text contents.

Public function IsCommandEnabled(command_id: TCefTextFieldCommands): boolean;

Returns true (1) if the action associated with the specified command id is enabled. See additional comments on execute_command().

Public procedure ExecuteCommand(command_id: TCefTextFieldCommands);

Performs the action associated with the specified command id.

Public procedure ClearEditHistory;

Clears Edit history.

Public procedure SetAccessibleName(const name_: ustring);

Set the accessible name that will be exposed to assistive technology (AT).

Public procedure SetPlaceholderTextColor(color: TCefColor);

Sets the placeholder text color.

Properties

Public property PasswordInput : boolean read GetIsPasswordInput write SetPasswordInput;

Returns true (1) if the text will be displayed as asterisks.

Public property ReadOnly : boolean read GetIsReadOnly write SetReadOnly;

Returns true (1) if the text is read-only.

Public property Text : ustring read GetText write SetText;

Returns the currently displayed text.

Public property SelectedText : ustring read GetSelectedText;

Returns the currently selected text.

Public property SelectedRange : TCefRange read GetSelectedRange write SetSelectedRange;

Returns the selected logical text range.

Public property CursorPosition : NativeUInt read GetCursorPosition;

Returns the current cursor position.

Public property TextColor : TCefColor read GetTextColor write SetTextColor;

Returns the text color.

Public property SelectionTextColor : TCefColor read GetSelectionTextColor write SetSelectionTextColor;

Returns the selection text color.

Public property SelectionBackgroundColor : TCefColor read GetSelectionBackgroundColor write SetSelectionBackgroundColor;

Returns the selection background color.

Public property PlaceholderText : ustring read GetPlaceholderText write SetPlaceholderText;

Returns the placeholder text that will be displayed when the Textfield is NULL.

Public property HasSelection : boolean read GetHasSelection;

Returns true (1) if there is any selected text.

Published property OnTextfieldKeyEvent : TOnTextfieldKeyEventEvent read FOnTextfieldKeyEvent write FOnTextfieldKeyEvent;

Called when |textfield| recieves a keyboard event. |event| contains information about the keyboard event. Return true (1) if the keyboard event was handled or false (0) otherwise for default handling.

Published property OnAfterUserAction : TOnAfterUserActionEvent read FOnAfterUserAction write FOnAfterUserAction;

Called after performing a user action that may change |textfield|.


cef4delphi: uCEFTextfieldDelegate

Unit uCEFTextfieldDelegate

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefTextfieldDelegateRef |
Class TCefTextfieldDelegateOwn | Implement this interface to handle Textfield events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.
Class TCustomTextfieldDelegate | This class handles all the ICefTextfieldDelegate and ICefViewDelegate methods which call the ICefTextfieldDelegateEvents methods. ICefTextfieldDelegateEvents will be implemented by the control receiving the ICefTextfieldDelegate events.


cef4delphi: uCEFTextfieldDelegate: Class TCefTextfieldDelegateRef

Class TCefTextfieldDelegateRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTextfieldDelegate

Declaration

type TCefTextfieldDelegateRef = class(TCefViewDelegateRef, ICefTextfieldDelegate)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefViewDelegateRef
  • TCefTextfieldDelegateRef

Overview

Methods

Protected | procedure OnKeyEvent(const textfield: ICefTextfield; const event: TCefKeyEvent; var aResult : boolean);
Protected | procedure OnAfterUserAction(const textfield: ICefTextfield);
Public | class function UnWrap(data: Pointer): ICefTextfieldDelegate;

Description

Methods

Protected procedure OnKeyEvent(const textfield: ICefTextfield; const event: TCefKeyEvent; var aResult : boolean);

This item has no description. Showing description inherited from ICefTextfieldDelegate.OnKeyEvent.

Called when |textfield| receives a keyboard event. |event| contains information about the keyboard event. Return true (1) if the keyboard event was handled or false (0) otherwise for default handling.

Protected procedure OnAfterUserAction(const textfield: ICefTextfield);

This item has no description. Showing description inherited from ICefTextfieldDelegate.OnAfterUserAction.

Called after performing a user action that may change |textfield|.

Public class function UnWrap(data: Pointer): ICefTextfieldDelegate;

Returns a ICefTextfieldDelegate instance using a PCefTextfieldDelegate data pointer.


cef4delphi: uCEFTextfieldDelegate: Class TCefTextfieldDelegateOwn

Class TCefTextfieldDelegateOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTextfieldDelegate

Declaration

type TCefTextfieldDelegateOwn = class(TCefViewDelegateOwn, ICefTextfieldDelegate)

Description

Implement this interface to handle Textfield events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_textfield_delegate_capi.h">CEF source file: /include/capi/views/cef_textfield_delegate_capi.h (cef_textfield_delegate_t))

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefViewDelegateOwn
  • TCefTextfieldDelegateOwn

Overview

Methods

Protected | procedure OnKeyEvent(const textfield: ICefTextfield; const event: TCefKeyEvent; var aResult : boolean); virtual;
Protected | procedure OnAfterUserAction(const textfield: ICefTextfield); virtual;
Protected | procedure InitializeCEFMethods; override;
Public | constructor Create; override;

Description

Methods

Protected procedure OnKeyEvent(const textfield: ICefTextfield; const event: TCefKeyEvent; var aResult : boolean); virtual;

Called when |textfield| receives a keyboard event. |event| contains information about the keyboard event. Return true (1) if the keyboard event was handled or false (0) otherwise for default handling.

Protected procedure OnAfterUserAction(const textfield: ICefTextfield); virtual;

Called after performing a user action that may change |textfield|.

Protected procedure InitializeCEFMethods; override;

Links the methods in the internal CEF record data pointer with the methods in this class.

Public constructor Create; override;

This item has no description.


cef4delphi: uCEFTextfieldDelegate: Class TCustomTextfieldDelegate

Class TCustomTextfieldDelegate

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTextfieldDelegate

Declaration

type TCustomTextfieldDelegate = class(TCefTextfieldDelegateOwn)

Description

This class handles all the ICefTextfieldDelegate and ICefViewDelegate methods which call the ICefTextfieldDelegateEvents methods. ICefTextfieldDelegateEvents will be implemented by the control receiving the ICefTextfieldDelegate events.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefViewDelegateOwn
  • TCefTextfieldDelegateOwn
  • TCustomTextfieldDelegate

Overview

Fields

Protected FEvents: Pointer;

Methods

Protected | procedure OnGetPreferredSize(const view: ICefView; var aResult : TCefSize); override;
Protected | procedure OnGetMinimumSize(const view: ICefView; var aResult : TCefSize); override;
Protected | procedure OnGetMaximumSize(const view: ICefView; var aResult : TCefSize); override;
Protected | procedure OnGetHeightForWidth(const view: ICefView; width: Integer; var aResult: Integer); override;
Protected | procedure OnParentViewChanged(const view: ICefView; added: boolean; const parent: ICefView); override;
Protected | procedure OnChildViewChanged(const view: ICefView; added: boolean; const child: ICefView); override;
Protected | procedure OnWindowChanged(const view: ICefView; added: boolean); override;
Protected | procedure OnLayoutChanged(const view: ICefView; new_bounds: TCefRect); override;
Protected | procedure OnFocus(const view: ICefView); override;
Protected | procedure OnBlur(const view: ICefView); override;
Protected | procedure OnThemeChanged(const view: ICefView); override;
Protected | procedure OnKeyEvent(const textfield: ICefTextfield; const event: TCefKeyEvent; var aResult : boolean); override;
Protected | procedure OnAfterUserAction(const textfield: ICefTextfield); override;
Public | constructor Create(const events: ICefTextfieldDelegateEvents); reintroduce;

Description

Fields

Protected FEvents: Pointer;

This item has no description.

Methods

Protected procedure OnGetPreferredSize(const view: ICefView; var aResult : TCefSize); override;

ICefViewDelegate

Protected procedure OnGetMinimumSize(const view: ICefView; var aResult : TCefSize); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnGetMinimumSize.

Return the minimum size for |view|.

Protected procedure OnGetMaximumSize(const view: ICefView; var aResult : TCefSize); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnGetMaximumSize.

Return the maximum size for |view|.

Protected procedure OnGetHeightForWidth(const view: ICefView; width: Integer; var aResult: Integer); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnGetHeightForWidth.

Return the height necessary to display |view| with the provided |width|. If not specified the result of get_preferred_size().height will be used by default. Override if |view|'s preferred height depends upon the width (for example, with Labels).

Protected procedure OnParentViewChanged(const view: ICefView; added: boolean; const parent: ICefView); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnParentViewChanged.

Called when the parent of |view| has changed. If |view| is being added to |parent| then |added| will be true (1). If |view| is being removed from |parent| then |added| will be false (0). If |view| is being reparented the remove notification will be sent before the add notification. Do not modify the view hierarchy in this callback.

Protected procedure OnChildViewChanged(const view: ICefView; added: boolean; const child: ICefView); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnChildViewChanged.

Called when a child of |view| has changed. If |child| is being added to |view| then |added| will be true (1). If |child| is being removed from |view| then |added| will be false (0). If |child| is being reparented the remove notification will be sent to the old parent before the add notification is sent to the new parent. Do not modify the view hierarchy in this callback.

Protected procedure OnWindowChanged(const view: ICefView; added: boolean); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnWindowChanged.

Called when |view| is added or removed from the ICefWindow.

Protected procedure OnLayoutChanged(const view: ICefView; new_bounds: TCefRect); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnLayoutChanged.

Called when the layout of |view| has changed.

Protected procedure OnFocus(const view: ICefView); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnFocus.

Called when |view| gains focus.

Protected procedure OnBlur(const view: ICefView); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnBlur.

Called when |view| loses focus.

Protected procedure OnThemeChanged(const view: ICefView); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnThemeChanged.

(

Called when the theme for |view| has changed, after the new theme colors have already been applied. Views are notified via the component hierarchy in depth-first reverse order (children before parents).

This will be called in the following cases:

1. When |view|, or a parent of |view|, is added to a Window.
2. When the native/OS or Chrome theme changes for the Window that contains
   |view|. See ICefWindowDelegate.OnThemeColorsChanged documentation.
3. When the client explicitly calls ICefWindow.ThemeChanged on the
   Window that contains |view|.

Optionally use this callback to override the new per-View theme colors by calling ICefView.SetBackgroundColor or the appropriate component- specific function. See ICefWindow.SetThemeColor documentation for how to customize additional Window theme colors.

(

Protected procedure OnKeyEvent(const textfield: ICefTextfield; const event: TCefKeyEvent; var aResult : boolean); override;

ICefTextfieldDelegate

Protected procedure OnAfterUserAction(const textfield: ICefTextfield); override;

This item has no description. Showing description inherited from TCefTextfieldDelegateOwn.OnAfterUserAction.

Called after performing a user action that may change |textfield|.

Public constructor Create(const events: ICefTextfieldDelegateEvents); reintroduce;

Creates an instance of this class liked to an interface that's implemented by a control receiving the events.


cef4delphi: uCEFThread

Unit uCEFThread

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefThreadRef |


cef4delphi: uCEFThread: Class TCefThreadRef

Class TCefThreadRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFThread

Declaration

type TCefThreadRef = class(TCefBaseRefCountedRef, ICefThread)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefThreadRef

Overview

Methods

Protected | function GetTaskRunner: ICefTaskRunner;
Protected | function GetPlatformThreadID: TCefPlatformThreadId;
Protected | procedure Stop;
Protected | function IsRunning: boolean;
Public | class function UnWrap(data: Pointer): ICefThread;
Public | class function New(const display_name: ustring; priority: TCefThreadPriority; message_loop_type: TCefMessageLoopType; stoppable: integer; com_init_mode: TCefCOMInitMode): ICefThread;

Description

Methods

Protected function GetTaskRunner: ICefTaskRunner;

This item has no description. Showing description inherited from ICefThread.GetTaskRunner.

Returns the ICefTaskRunner that will execute code on this thread's message loop. This function is safe to call from any thread.

Protected function GetPlatformThreadID: TCefPlatformThreadId;

This item has no description. Showing description inherited from ICefThread.GetPlatformThreadID.

Returns the platform thread ID. It will return the same value after stop() is called. This function is safe to call from any thread.

Protected procedure Stop;

This item has no description. Showing description inherited from ICefThread.Stop.

Stop and join the thread. This function must be called from the same thread that called cef_thread_create(). Do not call this function if cef_thread_create() was called with a |stoppable| value of false (0).

Protected function IsRunning: boolean;

This item has no description. Showing description inherited from ICefThread.IsRunning.

Returns true (1) if the thread is currently running. This function must be called from the same thread that called cef_thread_create().

Public class function UnWrap(data: Pointer): ICefThread;

This item has no description.

Public class function New(const display_name: ustring; priority: TCefThreadPriority; message_loop_type: TCefMessageLoopType; stoppable: integer; com_init_mode: TCefCOMInitMode): ICefThread;

This item has no description.


cef4delphi: uCEFTimerWorkScheduler

Unit uCEFTimerWorkScheduler

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCEFTimerWorkScheduler |

Functions and Procedures

procedure DestroyGlobalCEFTimerWorkScheduler;

Types

TOnAllowEvent = procedure(Sender: TObject; var allow : boolean) of object;

Variables

GlobalCEFTimerWorkScheduler: TCEFTimerWorkScheduler = nil;

Description

Functions and Procedures

procedure DestroyGlobalCEFTimerWorkScheduler;

This item has no description.

Types

TOnAllowEvent = procedure(Sender: TObject; var allow : boolean) of object;

This item has no description.

Variables

GlobalCEFTimerWorkScheduler: TCEFTimerWorkScheduler = nil;

This item has no description.


cef4delphi: uCEFTimerWorkScheduler: Class TCEFTimerWorkScheduler

Class TCEFTimerWorkScheduler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTimerWorkScheduler

Declaration

type TCEFTimerWorkScheduler = class(TObject)

Description

This item has no description.

Hierarchy

  • TObject
  • TCEFTimerWorkScheduler

Overview

Fields

Protected | FTimer: TTimer;
Protected | FDepleteWorkCycles: cardinal;
Protected | FDepleteWorkDelay: cardinal;
Protected | FStopped: boolean;
Protected | FIsActive: boolean;
Protected | FReentrancyDetected: boolean;
Protected | FOnAllowDoWork: TOnAllowEvent;
Protected | FCompHandle: HWND;

Methods

Protected | function GetIsTimerPending: boolean;
Protected | procedure Timer_OnTimer(Sender: TObject);
Protected | procedure Initialize;
Protected | procedure CreateTimer;
Protected | procedure DestroyTimer;
Protected | procedure KillTimer;
Protected | procedure SetTimer(aInterval : integer);
Protected | procedure DoWork;
Protected | function PerformMessageLoopWork: boolean;
Protected | procedure DoMessageLoopWork;
Protected | procedure OnScheduleWork(delay_ms : integer);
Protected | procedure DepleteWork;
Protected | procedure WndProc(var aMessage: TMessage);
Protected | procedure AllocateWindowHandle;
Protected | procedure DeallocateWindowHandle;
Public | constructor Create;
Public | destructor Destroy; override;
Public | procedure StopScheduler;
Public | procedure ScheduleMessagePumpWork(const delay_ms : int64);

Properties

Public | property DepleteWorkCycles : cardinal read FDepleteWorkCycles write FDepleteWorkCycles;
Public | property DepleteWorkDelay : cardinal read FDepleteWorkDelay write FDepleteWorkDelay;
Public | property IsTimerPending : boolean read GetIsTimerPending;
Public | property OnAllowDoWork : TOnAllowEvent read FOnAllowDoWork write FOnAllowDoWork;

Description

Fields

Protected FTimer: TTimer;

This item has no description.

Protected FDepleteWorkCycles: cardinal;

This item has no description.

Protected FDepleteWorkDelay: cardinal;

This item has no description.

Protected FStopped: boolean;

This item has no description.

Protected FIsActive: boolean;

This item has no description.

Protected FReentrancyDetected: boolean;

This item has no description.

Protected FOnAllowDoWork: TOnAllowEvent;

This item has no description.

Protected FCompHandle: HWND;

This item has no description.

Methods

Protected function GetIsTimerPending: boolean;

This item has no description.

Protected procedure Timer_OnTimer(Sender: TObject);

This item has no description.

Protected procedure Initialize;

This item has no description.

Protected procedure CreateTimer;

This item has no description.

Protected procedure DestroyTimer;

This item has no description.

Protected procedure KillTimer;

This item has no description.

Protected procedure SetTimer(aInterval : integer);

This item has no description.

Protected procedure DoWork;

This item has no description.

Protected function PerformMessageLoopWork: boolean;

This item has no description.

Protected procedure DoMessageLoopWork;

This item has no description.

Protected procedure OnScheduleWork(delay_ms : integer);

This item has no description.

Protected procedure DepleteWork;

This item has no description.

Protected procedure WndProc(var aMessage: TMessage);

This item has no description.

Protected procedure AllocateWindowHandle;

This item has no description.

Protected procedure DeallocateWindowHandle;

This item has no description.

Public constructor Create;

This item has no description.

Public destructor Destroy; override;

This item has no description.

Public procedure StopScheduler;

This item has no description.

Public procedure ScheduleMessagePumpWork(const delay_ms : int64);

This item has no description.

Properties

Public property DepleteWorkCycles : cardinal read FDepleteWorkCycles write FDepleteWorkCycles;

This item has no description.

Public property DepleteWorkDelay : cardinal read FDepleteWorkDelay write FDepleteWorkDelay;

This item has no description.

Public property IsTimerPending : boolean read GetIsTimerPending;

This item has no description.

Public property OnAllowDoWork : TOnAllowEvent read FOnAllowDoWork write FOnAllowDoWork;

This item has no description.


cef4delphi: uCEFTypes

Unit uCEFTypes

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Record TCefSize | Structure representing a size.
Record TCefRect | Structure representing a rectangle.
Record TCefAcceleratedPaintInfoCommon | Structure containing shared texture common metadata. For documentation on each field, please refer to src/media/base/video_frame_metadata.h for actual details.
Record TCefAcceleratedPaintInfo | Structure containing shared texture information for the OnAcceleratedPaint callback. Resources will be released to the underlying pool for reuse when the callback returns from client code.
Record TCefVersionInfoEx | Structure representing all CEF version information.
Record TMyMemoryStatusEx | Record used with GetGlobalMemoryStatusEx to get the memory status.
Record TOSVersionInfoEx | Record used with RtlGetVersion to get the Windows version information.
Record TCefStringWide | CEF wide string type definition. Whomever allocates |str| is responsible for providing an appropriate |dtor| implementation that will free the string in the same memory space. When reusing an existing string structure make sure to call |dtor| for the old value before assigning new |str| and |dtor| values. Static strings will have a NULL |dtor| value. Using the below functions if you want this managed for you.
Record TCefStringUtf8 | CEF utf8 string type definition. Whomever allocates |str| is responsible for providing an appropriate |dtor| implementation that will free the string in the same memory space. When reusing an existing string structure make sure to call |dtor| for the old value before assigning new |str| and |dtor| values. Static strings will have a NULL |dtor| value. Using the below functions if you want this managed for you.
Record TCefStringUtf16 | CEF utf16 string type definition. Whomever allocates |str| is responsible for providing an appropriate |dtor| implementation that will free the string in the same memory space. When reusing an existing string structure make sure to call |dtor| for the old value before assigning new |str| and |dtor| values. Static strings will have a NULL |dtor| value. Using the below functions if you want this managed for you.
Record TFileVersionInfo | Record used by GetDLLVersion to get the DLL version information
Record TCefVersionInfo | Record used by cef_version_info to get the CEF version information
Record TChromiumVersionInfo | Record used by cef_version_info to get the Chromium version information
Record TCefMainArgs | Structure representing CefExecuteProcess arguments.
Record TCefPoint | Structure representing a point.
Record TCefRange | Structure representing a range.
Record TCefCursorInfo | Structure representing cursor information. |buffer| will be |size.width|*|size.height|*4 bytes in size and represents a BGRA image with an upper-left origin.
Record TCefLinuxWindowProperties | Linux window properties, such as X11's WM_CLASS or Wayland's app_id. Those are passed to CefWindowDelegate, so the client can set them for the CefWindow's top-level. Thus, allowing window managers to correctly display the application's information (e.g., icons).
Record TLinuxWindowProperties | String version of TCefLinuxWindowProperties
Record TCefUrlParts | URL component parts.
Record TUrlParts | String version of TCefUrlParts
Record TCefInsets | Structure representing insets.
Record TCefTaskInfo | Structure representing task information provided by ICefTaskManager.
Record TCustomTaskInfo | Pascal version of TCefTaskInfo.
Record TCefTouchHandleState | Touch handle state.
Record TCefCompositionUnderline | Structure representing IME composition underline information. This is a thin wrapper around Blink's WebCompositionUnderline class and should be kept in sync with that.
Record TCefTime | Time information. Values should always be in UTC.
Record TCefBoxLayoutSettings | Initialization settings. Specify NULL or 0 to get the recommended default values. Many of these and other settings can also configured using command- line switches.
Record TCefSettings | Initialization settings. Specify NULL or 0 to get the recommended default values. Many of these and other settings can also configured using command- line switches.
Record TCefWindowInfo | Structure representing window information.
Record TCefDraggableRegion | Structure representing a draggable region.
Record TCefKeyEvent | Structure representing keyboard event information.
Record TCefPopupFeatures | Popup window features.
Record TCefBrowserSettings | Browser initialization settings. Specify NULL or 0 to get the recommended default values. The consequences of using custom values may not be well tested. Many of these and other settings can also configured using command- line switches.
Record TCefScreenInfo | Screen information used when window rendering is disabled. This structure is passed as a parameter to ICefRenderHandler.GetScreenInfo and should be filled in by the client.
Record TCefRequestContextSettings | Request context initialization settings. Specify NULL or 0 to get the recommended default values.
Record TCefCookie | Cookie information.
Record TCookie | Cookie information.
Record TCefPdfPrintSettings | Structure representing PDF print settings. These values match the parameters supported by the DevTools Page.printToPDF function. See https://chromedevtools.github.io/devtools-protocol/tot/Page/#method-printToPDF
Record TCefMouseEvent | Structure representing mouse event information.
Record TCefTouchEvent | Structure representing touch event information.
Record TCefSimulatedTouchPoint | Structure representing a simulated touch point.
Record TCefAudioParameters | Structure representing the audio parameters for setting up the audio handler.
Record TCefMediaSinkDeviceInfo | Device information for a MediaSink object. handler.
Record TCefBaseRefCounted | All ref-counted framework structures must include this structure first.
Record TCefBaseScoped | All scoped framework structures must include this structure first.
Record TCefStreamWriter Structure used to write data to a stream. The functions of this structure may be called on any thread.

NOTE: This struct is allocated DLL-side.

Record TCefX509CertPrincipal Structure representing the issuer or subject field of an X.509 certificate.

NOTE: This struct is allocated DLL-side.

Record TCefX509Certificate Structure representing a X.509 certificate.

NOTE: This struct is allocated DLL-side.

Record TCefSslInfo Structure representing SSL information.

NOTE: This struct is allocated DLL-side.

Record TCefSSLStatus Structure representing the SSL information for a navigation entry.

NOTE: This struct is allocated DLL-side.

Record TCefSelectClientCertificateCallback Callback structure used to select a client certificate for authentication.

NOTE: This struct is allocated DLL-side.

Record TCefRunContextMenuCallback Callback structure used for continuation of custom context menu display.

NOTE: This struct is allocated DLL-side.

Record TCefFileDialogCallback Callback structure for asynchronous continuation of file dialog requests.

NOTE: This struct is allocated DLL-side.

Record TCefUnresponsiveProcessCallback Callback structure for asynchronous handling of an unresponsive process.

NOTE: This struct is allocated DLL-side.

Record TCefDialogHandler Implement this structure to handle dialog events. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

Record TCefDisplayHandler Implement this structure to handle events related to browser display state. The functions of this structure will be called on the UI thread.

NOTE: This struct is allocated client-side.

Record TCefDownloadHandler Structure used to handle file downloads. The functions of this structure will called on the browser process UI thread.

NOTE: This struct is allocated client-side.

Record TCefDragHandler Implement this structure to handle events related to dragging. The functions of this structure will be called on the UI thread.

NOTE: This struct is allocated client-side.

Record TCefFindHandler Implement this structure to handle events related to find results. The functions of this structure will be called on the UI thread.

NOTE: This struct is allocated client-side.

Record TCefFocusHandler Implement this structure to handle events related to focus. The functions of this structure will be called on the UI thread.

NOTE: This struct is allocated client-side.

Record TCefJsDialogHandler Implement this structure to handle events related to JavaScript dialogs. The functions of this structure will be called on the UI thread.

NOTE: This struct is allocated client-side.

Record TCefJsDialogCallback Callback structure used for asynchronous continuation of JavaScript dialog requests.

NOTE: This struct is allocated DLL-side.

Record TCefKeyboardHandler Implement this structure to handle events related to keyboard input. The functions of this structure will be called on the UI thread.

NOTE: This struct is allocated client-side.

Record TCefLifeSpanHandler Implement this structure to handle events related to browser life span. The functions of this structure will be called on the UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

Record TCefRegistration Generic callback structure used for managing the lifespan of a registration.

NOTE: This struct is allocated DLL-side.

Record TCefDevToolsMessageObserver Callback structure for ICefBrowserHost.AddDevToolsMessageObserver. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

Record TCefMediaRouter Supports discovery of and communication with media devices on the local network via the Cast and DIAL protocols. The functions of this structure may be called on any browser process thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Record TCefMediaObserver Implemented by the client to observe MediaRouter events and registered via ICefMediaRouter.AddObserver. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

Record TCefMediaRoute Represents the route between a media source and sink. Instances of this object are created via ICefMediaRouter.CreateRoute and retrieved via ICefMediaObserver.OnRoutes. Contains the status and metadata of a routing operation. The functions of this structure may be called on any browser process thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Record TCefMediaRouteCreateCallback Callback structure for ICefMediaRouter.CreateRoute. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

Record TCefMediaSink Represents a sink to which media can be routed. Instances of this object are retrieved via ICefMediaObserver.OnSinks. The functions of this structure may be called on any browser process thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Record TCefMediaSinkDeviceInfoCallback Callback structure for ICefMediaSink.GetDeviceInfo. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

Record TCefMediaSource Represents a source from which media can be routed. Instances of this object are retrieved via ICefMediaRouter.GetSource. The functions of this structure may be called on any browser process thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Record TCefAudioHandler Implement this structure to handle audio events.

NOTE: This struct is allocated client-side.

Record TCefLoadHandler Implement this structure to handle events related to browser load status. The functions of this structure will be called on the browser process UI thread or render process main thread (TID_RENDERER).

NOTE: This struct is allocated client-side.

Record TCefRenderHandler Implement this structure to handle events when window rendering is disabled. The functions of this structure will be called on the UI thread.

NOTE: This struct is allocated client-side.

Record TCefPreferenceRegistrar Structure that manages custom preference registrations.

NOTE: This struct is allocated DLL-side.

Record TCefPreferenceObserver
Record TCefPreferenceManager Manage access to preferences. Many built-in preferences are registered by Chromium. Custom preferences can be registered in ICefBrowserProcessHandler.OnRegisterCustomPreferences.

NOTE: This struct is allocated DLL-side.

Record TCefV8StackTrace Structure representing a V8 stack trace handle. V8 handles can only be accessed from the thread on which they are created. Valid threads for creating a V8 handle include the render process main thread (TID_RENDERER) and WebWorker threads. A task runner for posting tasks on the associated thread can be retrieved via the ICefv8context.GetTaskRunner() function.

NOTE: This struct is allocated DLL-side.

Record TCefV8StackFrame Structure representing a V8 stack frame handle. V8 handles can only be accessed from the thread on which they are created. Valid threads for creating a V8 handle include the render process main thread (TID_RENDERER) and WebWorker threads. A task runner for posting tasks on the associated thread can be retrieved via the ICefv8context.GetTaskRunner() function.

NOTE: This struct is allocated DLL-side.

Record TCefStreamReader Structure used to read data from a stream. The functions of this structure may be called on any thread.

NOTE: This struct is allocated DLL-side.

Record TCefReadHandler Structure the client can implement to provide a custom stream reader. The functions of this structure may be called on any thread.

NOTE: This struct is allocated client-side.

Record TCefWriteHandler Structure the client can implement to provide a custom stream writer. The functions of this structure may be called on any thread.

NOTE: This struct is allocated client-side.

Record TCefXmlReader Structure that supports the reading of XML data via the libxml streaming API. The functions of this structure should only be called on the thread that creates the object.

NOTE: This struct is allocated DLL-side.

Record TCefZipReader Structure that supports the reading of zip archives via the zlib unzip API. The functions of this structure should only be called on the thread that creates the object.

NOTE: This struct is allocated DLL-side.

Record TCefUrlrequestClient Structure that should be implemented by the ICefUrlRequest client. The functions of this structure will be called on the same thread that created the request unless otherwise documented.

NOTE: This struct is allocated client-side.

Record TCefUrlRequest Structure used to make a URL request. URL requests are not associated with a browser instance so no ICefClient callbacks will be executed. URL requests can be created on any valid CEF thread in either the browser or render process. Once created the functions of the URL request object must be accessed on the same thread that created it.

NOTE: This struct is allocated DLL-side.

Record TCefThread A simple thread abstraction that establishes a message loop on a new thread. The consumer uses ICefTaskRunner to execute code on the thread's message loop. The thread is terminated when the ICefThread object is destroyed or stop() is called. All pending tasks queued on the thread's message loop will run to completion before the thread is terminated. cef_thread_create() can be called on any valid CEF thread in either the browser or render process. This structure should only be used for tasks that require a dedicated thread. In most cases you can post tasks to an existing CEF thread instead of creating a new one; see cef_task.h for details.

NOTE: This struct is allocated DLL-side.

Record TCefWaitableEvent WaitableEvent is a thread synchronization tool that allows one thread to wait for another thread to finish some work. This is equivalent to using a Lock+ConditionVariable to protect a simple boolean value. However, using WaitableEvent in conjunction with a Lock to wait for a more complex state change (e.g., for an item to be added to a queue) is not recommended. In that case consider using a ConditionVariable instead of a WaitableEvent. It is safe to create and/or signal a WaitableEvent from any thread. Blocking on a WaitableEvent by calling the *wait() functions is not allowed on the browser process UI or IO threads.

NOTE: This struct is allocated DLL-side.

Record TCefTaskRunner Structure that asynchronously executes tasks on the associated thread. It is safe to call the functions of this structure on any thread.

CEF maintains multiple internal threads that are used for handling different types of tasks in different processes. The TCefThreadId definitions in cef_types.h list the common CEF threads. Task runners are also available for other CEF threads as appropriate (for example, V8 WebWorker threads).

NOTE: This struct is allocated DLL-side.

Record TCefEndTracingCallback Implement this structure to receive notification when tracing has completed. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

Record TCefResourceBundle Structure used for retrieving resources from the resource bundle (*.pak) files loaded by CEF during startup or via the ICefResourceBundleHandler returned from ICefApp.GetResourceBundleHandler. See TCefSettings for additional options related to resource bundle loading. The functions of this structure may be called on any thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Record TCefMenuModelDelegate Implement this structure to handle menu model events. The functions of this structure will be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

Record TCefProcessMessage Structure representing a message. Can be used on any process and thread.

NOTE: This struct is allocated DLL-side.

Record TCefRenderProcessHandler Structure used to implement render process callbacks. The functions of this structure will be called on the render process main thread (TID_RENDERER) unless otherwise indicated.

NOTE: This struct is allocated client-side.

Record TCefRequestHandler Implement this structure to handle events related to browser requests. The functions of this structure will be called on the thread indicated.

NOTE: This struct is allocated client-side.

Record TCefMediaAccessCallback Callback structure used for asynchronous continuation of media access permission requests.

NOTE: This struct is allocated DLL-side.

Record TCefPermissionPromptCallback Callback structure used for asynchronous continuation of permission prompts.

NOTE: This struct is allocated DLL-side.

Record TCefPermissionHandler Implement this structure to handle events related to permission requests. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

Record TCefSharedMemoryRegion Structure that wraps platform-dependent share memory region mapping.

NOTE: This struct is allocated DLL-side.

Record TCefSharedProcessMessageBuilder Structure that builds a ICefProcessMessage containing a shared memory region. This structure is not thread-safe but may be used exclusively on a different thread from the one which constructed it.

NOTE: This struct is allocated DLL-side.

Record TCefResourceSkipCallback Callback for asynchronous continuation of ICefResourceHandler.skip().

NOTE: This struct is allocated DLL-side.

Record TCefResourceReadCallback Callback for asynchronous continuation of ICefResourceHandler.read().

NOTE: This struct is allocated DLL-side.

Record TCefResourceHandler Structure used to implement a custom request handler structure. The functions of this structure will be called on the IO thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

Record TCefResourceRequestHandler Implement this structure to handle events related to browser requests. The functions of this structure will be called on the IO thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

Record TCefCookieAccessFilter Implement this structure to filter cookies that may be sent or received from resource requests. The functions of this structure will be called on the IO thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

Record TCefResponse Structure used to represent a web response. The functions of this structure may be called on any thread.

NOTE: This struct is allocated DLL-side.

Record TCefResponseFilter Implement this structure to filter resource response content. The functions of this structure will be called on the browser process IO thread.

NOTE: This struct is allocated client-side.

Record TCefAuthCallback Callback structure used for asynchronous continuation of authentication requests.

NOTE: This struct is allocated DLL-side.

Record TCefCallback Generic callback structure used for asynchronous continuation.

NOTE: This struct is allocated DLL-side.

Record TCefSettingObserver
Record TCefRequestContext A request context provides request handling for a set of related browser or URL request objects. A request context can be specified when creating a new browser via the ICefBrowserHost static factory functions or when creating a new URL request via the ICefUrlRequest static factory functions. Browser objects with different request contexts will never be hosted in the same render process. Browser objects with the same request context may or may not be hosted in the same render process depending on the process model. Browser objects created indirectly via the JavaScript window.open function or targeted links will share the same render process and the same request context as the source browser. When running in single-process mode there is only a single render process (the main process) and so all browsers created in single-process mode will share the same request context. This will be the first request context passed into a ICefBrowserHost static factory function and all other request context objects will be ignored.

NOTE: This struct is allocated DLL-side.

Record TCefRequestContextHandler Implement this structure to provide handler implementations. The handler instance will not be released until all objects related to the context have been destroyed.

NOTE: This struct is allocated client-side.

Record TCefCompletionCallback Generic callback structure used for asynchronous completion.

NOTE: This struct is allocated client-side.

Record TCefCookieManager Structure used for managing cookies. The functions of this structure may be called on any thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Record TCefSchemeHandlerFactory Structure that creates ICefResourceHandler instances for handling scheme requests. The functions of this structure will always be called on the IO thread.

NOTE: This struct is allocated client-side.

Record TCefResolveCallback Callback structure for ICefRequestContext.ResolveHost.

NOTE: This struct is allocated client-side.

Record TCefCookieVisitor Structure to implement for visiting cookie values. The functions of this structure will always be called on the UI thread.

NOTE: This struct is allocated client-side.

Record TCefSetCookieCallback Structure to implement to be notified of asynchronous completion via ICefCookieManager.SetCookie().

NOTE: This struct is allocated client-side.

Record TCefDeleteCookiesCallback Structure to implement to be notified of asynchronous completion via ICefCookieManager.DeleteCookies().

NOTE: This struct is allocated client-side.

Record TCefRunFileDialogCallback Callback structure for ICefBrowserHost.RunFileDialog. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

Record TCefDownloadImageCallback Callback structure for ICefBrowserHost.DownloadImage. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

Record TCefImage Container for a single image represented at different scale factors. All image representations should be the same size in density independent pixel (DIP) units. For example, if the image at scale factor 1.0 is 100x100 pixels then the image at scale factor 2.0 should be 200x200 pixels – both images will display with a DIP size of 100x100 units. The functions of this structure can be called on any browser process thread.

NOTE: This struct is allocated DLL-side.

Record TCefPdfPrintCallback Callback structure for ICefBrowserHost.PrintToPDF. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

Record TCefNavigationEntryVisitor Callback structure for ICefBrowserHost.GetNavigationEntries. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

Record TCefNavigationEntry Structure used to represent an entry in navigation history.

NOTE: This struct is allocated DLL-side.

Record TCefPrintSettings Structure representing print settings.

NOTE: This struct is allocated DLL-side.

Record TCefPrintDialogCallback Callback structure for asynchronous continuation of print dialog requests.

NOTE: This struct is allocated DLL-side.

Record TCefPrintJobCallback Callback structure for asynchronous continuation of print job requests.

NOTE: This struct is allocated DLL-side.

Record TCefPrintHandler Implement this structure to handle printing on Linux. Each browser will have only one print job in progress at a time. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

Record TCefDragData Structure used to represent drag data. The functions of this structure may be called on any thread.

NOTE: This struct is allocated DLL-side.

Record TCefCommandLine Structure used to create and/or parse command line arguments. Arguments with "–", "-" and, on Windows, "/" prefixes are considered switches. Switches will always precede any arguments without switch prefixes. Switches can optionally have a value specified using the "=" delimiter (e.g. "-switch=value"). An argument of "–" will terminate switch parsing with all subsequent tokens, regardless of prefix, being interpreted as non-switch arguments. Switch names should be lowercase ASCII and will be converted to such if necessary. Switch values will retain the original case and UTF8 encoding. This structure can be used before cef_initialize() is called.

NOTE: This struct is allocated DLL-side.

Record TCefCommandHandler Implement this structure to handle events related to commands. The functions of this structure will be called on the UI thread.

NOTE: This struct is allocated client-side.

Record TCefSchemeRegistrar Structure that manages custom scheme registrations.

NOTE: This struct is allocated DLL-side.

Record TCefBinaryValue Structure representing a binary value. Can be used on any process and thread.

NOTE: This struct is allocated DLL-side.

Record TCefValue Structure that wraps other data value types. Complex types (binary, dictionary and list) will be referenced but not owned by this object. Can be used on any process and thread.

NOTE: This struct is allocated DLL-side.

Record TCefDictionaryValue Structure representing a dictionary value. Can be used on any process and thread.

NOTE: This struct is allocated DLL-side.

Record TCefListValue Structure representing a list value. Can be used on any process and thread.

NOTE: This struct is allocated DLL-side.

Record TCefStringVisitor Implement this structure to receive string values asynchronously.

NOTE: This struct is allocated client-side.

Record TCefPostDataElement Structure used to represent a single element in the request post data. The functions of this structure may be called on any thread.

NOTE: This struct is allocated DLL-side.

Record TCefPostData Structure used to represent post data for a web request. The functions of this structure may be called on any thread.

NOTE: This struct is allocated DLL-side.

Record TCefRequest Structure used to represent a web request. The functions of this structure may be called on any thread.

NOTE: This struct is allocated DLL-side.

Record TCefTask Implement this structure for asynchronous task execution. If the task is posted successfully and if the associated message loop is still running then the execute() function will be called on the target thread. If the task fails to post then the task object may be destroyed on the source thread instead of the target thread. For this reason be cautious when performing work in the task object destructor.

NOTE: This struct is allocated client-side.

Record TCefTaskManager Structure that facilitates managing the browser-related tasks. The functions of this structure may only be called on the UI thread.

NOTE: This struct is allocated DLL-side.

Record TCefDomVisitor Structure to implement for visiting the DOM. The functions of this structure will be called on the render process main thread.

NOTE: This struct is allocated client-side.

Record TCefMenuModel Supports creation and modification of menus. See TCefMenuId (cef_menu_id_t) for the command ids that have default implementations. All user-defined command ids should be between MENU_ID_USER_FIRST and MENU_ID_USER_LAST. The functions of this structure can only be accessed on the browser process the UI thread.

NOTE: This struct is allocated DLL-side.

Record TCefContextMenuParams Provides information about the context menu state. The functions of this structure can only be accessed on browser process the UI thread.

NOTE: This struct is allocated DLL-side.

Record TCefDownloadItem Structure used to represent a download item.

NOTE: This struct is allocated DLL-side.

Record TCefBeforeDownloadCallback Callback structure used to asynchronously continue a download.

NOTE: This struct is allocated DLL-side.

Record TCefDownloadItemCallback Callback structure used to asynchronously cancel a download.

NOTE: This struct is allocated DLL-side.

Record TCefDomNode Structure used to represent a DOM node. The functions of this structure should only be called on the render process main thread.

NOTE: This struct is allocated DLL-side.

Record TCefDomDocument Structure used to represent a DOM document. The functions of this structure should only be called on the render process main thread thread.

NOTE: This struct is allocated DLL-side.

Record TCefv8Handler Structure that should be implemented to handle V8 function calls. The functions of this structure will be called on the thread associated with the V8 function.

NOTE: This struct is allocated client-side.

Record TCefV8Exception Structure representing a V8 exception. The functions of this structure may be called on any render process thread.

NOTE: This struct is allocated DLL-side.

Record TCefv8ArrayBufferReleaseCallback Callback structure that is passed to ICefv8value.CreateArrayBuffer.

NOTE: This struct is allocated client-side.

Record TCefv8Value Structure representing a V8 value handle. V8 handles can only be accessed from the thread on which they are created. Valid threads for creating a V8 handle include the render process main thread (TID_RENDERER) and WebWorker threads. A task runner for posting tasks on the associated thread can be retrieved via the ICefv8context.GetTaskRunner() function.

NOTE: This struct is allocated DLL-side.

Record TCefV8Context Structure representing a V8 context handle. V8 handles can only be accessed from the thread on which they are created. Valid threads for creating a V8 handle include the render process main thread (TID_RENDERER) and WebWorker threads. A task runner for posting tasks on the associated thread can be retrieved via the ICefv8context.GetTaskRunner() function.

NOTE: This struct is allocated DLL-side.

Record TCefV8Interceptor Structure that should be implemented to handle V8 interceptor calls. The functions of this structure will be called on the thread associated with the V8 interceptor. Interceptor's named property handlers (with first argument of type CefString) are called when object is indexed by string. Indexed property handlers (with first argument of type int) are called when object is indexed by integer.

NOTE: This struct is allocated client-side.

Record TCefV8Accessor Structure that should be implemented to handle V8 accessor calls. Accessor identifiers are registered by calling ICefv8value.SetValue(). The functions of this structure will be called on the thread associated with the V8 accessor.

NOTE: This struct is allocated client-side.

Record TCefFrame Structure used to represent a frame in the browser window. When used in the browser process the functions of this structure may be called on any thread unless otherwise indicated in the comments. When used in the render process the functions of this structure may only be called on the main thread.

NOTE: This struct is allocated DLL-side.

Record TCefFrameHandler Implement this STRUCTURE to handle events related to ICefFrame life span. The order of callbacks is:

(1) During initial ICefBrowserHost creation and navigation of the main frame: - ICefFrameHandler.OnFrameCreated => The initial main frame object has been created. Any commands will be queued until the frame is attached. - ICefFrameHandler.OnMainFrameChanged => The initial main frame object has been assigned to the browser. - ICefLifeSpanHandler.OnAfterCreated => The browser is now valid and can be used. - ICefFrameHandler.OnFrameAttached => The initial main frame object is now connected to its peer in the renderer process. Commands can be routed.

(2) During further ICefBrowserHost navigation/loading of the main frame and/or sub-frames: - ICefFrameHandler.OnFrameCreated => A new main frame or sub-frame object has been created. Any commands will be queued until the frame is attached. - ICefFrameHandler.OnFrameAttached => A new main frame or sub-frame object is now connected to its peer in the renderer process. Commands can be routed. - ICefFrameHandler.OnFrameDetached => An existing main frame or sub- frame object has lost its connection to the renderer process. If multiple objects are detached at the same time then notifications will be sent for any sub-frame objects before the main frame object. Commands can no longer be routed and will be discarded. - ICefFrameHandler.OnMainFrameChanged => A new main frame object has been assigned to the browser. This will only occur with cross-origin navigation or re-navigation after renderer process termination (due to crashes, etc).

(3) During final ICefBrowserHost destruction of the main frame: - ICefFrameHandler.OnFrameDetached => Any sub-frame objects have lost their connection to the renderer process. Commands can no longer be routed and will be discarded. - ICefLifeSpanHandler.OnBeforeClose => The browser has been destroyed. - ICefFrameHandler.OnFrameDetached => The main frame object have lost its connection to the renderer process. Notifications will be sent for any sub-frame objects before the main frame object. Commands can no longer be routed and will be discarded. - ICefFrameHandler.OnMainFrameChanged => The final main frame object has been removed from the browser.

Cross-origin navigation and/or loading receives special handling.

When the main frame navigates to a different origin the OnMainFrameChanged callback (2) will be executed with the old and new main frame objects.

When a new sub-frame is loaded in, or an existing sub-frame is navigated to, a different origin from the parent frame, a temporary sub-frame object will first be created in the parent's renderer process. That temporary sub-frame will then be discarded after the real cross-origin sub-frame is created in the new/target renderer process. The client will receive cross-origin navigation callbacks (2) for the transition from the temporary sub-frame to the real sub-frame. The temporary sub-frame will not recieve or execute commands during this transitional period (any sent commands will be discarded).

When a new popup browser is created in a different origin from the parent browser, a temporary main frame object for the popup will first be created in the parent's renderer process. That temporary main frame will then be discarded after the real cross-origin main frame is created in the new/target renderer process. The client will recieve creation and initial navigation callbacks (1) for the temporary main frame, followed by cross- origin navigation callbacks (2) for the transition from the temporary main frame to the real main frame. The temporary main frame may receive and execute commands during this transitional period (any sent commands may be executed, but the behavior is potentially undesirable since they execute in the parent browser's renderer process and not the new/target renderer process).

Callbacks will not be executed for placeholders that may be created during pre-commit navigation for sub-frames that do not yet exist in the renderer process. Placeholders will have ICefFrame.GetIdentifier() == -4.

The functions of this interface will be called on the UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

Record TCefAccessibilityHandler Implement this structure to receive accessibility notification when accessibility events have been registered. The functions of this structure will be called on the UI thread.

NOTE: This struct is allocated client-side.

Record TCefContextMenuHandler Implement this structure to handle context menu events. The functions of this structure will be called on the UI thread.

NOTE: This struct is allocated client-side.

Record TCefRunQuickMenuCallback Callback structure used for continuation of custom quick menu display.

NOTE: This struct is allocated DLL-side.

Record TCefClient Implement this structure to provide handler implementations.

NOTE: This struct is allocated client-side.

Record TCefBrowserHost Structure used to represent the browser process aspects of a browser. The functions of this structure can only be called in the browser process. They may be called on any thread in that process unless otherwise indicated in the comments.

NOTE: This struct is allocated DLL-side.

Record TCefBrowser Structure used to represent a browser. When used in the browser process the functions of this structure may be called on any thread unless otherwise indicated in the comments. When used in the render process the functions of this structure may only be called on the main thread.

NOTE: This struct is allocated DLL-side.

Record TCefResourceBundleHandler Structure used to implement a custom resource bundle structure. See TCefSettings for additional options related to resource bundle loading. The functions of this structure may be called on multiple threads.

NOTE: This struct is allocated client-side.

Record TCefBrowserProcessHandler Structure used to implement browser process callbacks. The functions of this structure will be called on the browser process main thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

Record TCefApp Implement this structure to provide handler implementations. Methods will be called by the process and/or thread indicated.

NOTE: This struct is allocated client-side.

Record TCefServer Structure representing a server that supports HTTP and WebSocket requests. Server capacity is limited and is intended to handle only a small number of simultaneous connections (e.g. for communicating between applications on localhost). The functions of this structure are safe to call from any thread in the brower process unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Record TCefServerHandler Implement this structure to handle HTTP server requests. A new thread will be created for each ICefServer.CreateServer call (the "dedicated server thread"), and the functions of this structure will be called on that thread. It is therefore recommended to use a different ICefServerHandler instance for each ICefServer.CreateServer call to avoid thread safety issues in the ICefServerHandler implementation.

NOTE: This struct is allocated client-side.

Record TCefDisplay This structure typically, but not always, corresponds to a physical display connected to the system. A fake Display may exist on a headless system, or a Display may correspond to a remote, virtual display. All size and position values are in density independent pixel (DIP) coordinates unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Record TCefLayout A Layout handles the sizing of the children of a Panel according to implementation-specific heuristics. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Record TCefBoxLayout A Layout manager that arranges child views vertically or horizontally in a side-by-side fashion with spacing around and between the child views. The child views are always sized according to their preferred size. If the host's bounds provide insufficient space, child views will be clamped. Excess space will not be distributed. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Record TCefFillLayout A simple Layout that causes the associated Panel's one child to be sized to match the bounds of its parent. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Record TCefOverlayController Controller for an overlay that contains a contents View added via ICefWindow.AddOverlayView. Methods exposed by this controller should be called in preference to functions of the same name exposed by the contents View unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Record TCefView A View is a rectangle within the views View hierarchy. It is the base structure for all Views. All size and position values are in density independent pixels (DIP) unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Record TCefViewDelegate Implement this structure to handle view events. All size and position values are in density independent pixels (DIP) unless otherwise indicated. The functions of this structure will be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

Record TCefTextfield A Textfield supports editing of text. This control is custom rendered with no platform-specific code. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Record TCefTextfieldDelegate Implement this structure to handle Textfield events. The functions of this structure will be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

Record TCefScrollView A ScrollView will show horizontal and/or vertical scrollbars when necessary based on the size of the attached content view. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Record TCefPanel A Panel is a container in the views hierarchy that can contain other Views as children. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Record TCefPanelDelegate Implement this structure to handle Panel events. The functions of this structure will be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

Record TCefBrowserView A View hosting a ICefBrowser instance. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Record TCefBrowserViewDelegate Implement this structure to handle BrowserView events. The functions of this structure will be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

Record TCefButton A View representing a button. Depending on the specific type, the button could be implemented by a native control or custom rendered. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Record TCefButtonDelegate Implement this structure to handle Button events. The functions of this structure will be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

Record TCefLabelButton LabelButton is a button with optional text and/or icon. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Record TCefMenuButton MenuButton is a button with optional text, icon and/or menu marker that shows a menu when clicked with the left mouse button. All size and position values are in density independent pixels (DIP) unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Record TCefMenuButtonPressedLock MenuButton pressed lock is released when this object is destroyed.

NOTE: This struct is allocated DLL-side.

Record TCefMenuButtonDelegate Implement this structure to handle MenuButton events. The functions of this structure will be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

Record TCefWindow A Window is a top-level Window/widget in the Views hierarchy. By default it will have a non-client area with title bar, icon and buttons that supports moving and resizing. All size and position values are in density independent pixels (DIP) unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Record TCefWindowDelegate Implement this structure to handle window events. The functions of this structure will be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

Types

PCefStringWide = ˆTCefStringWide;
PCefDictionaryValue = ˆTCefDictionaryValue;
PCefListValue = ˆTCefListValue;
PCefBrowser = ˆTCefBrowser;
PCefValue = ˆTCefValue;
PCefBinaryValue = ˆTCefBinaryValue;
PCefSchemeRegistrar = ˆTCefSchemeRegistrar;
PCefPreferenceRegistrar = ˆTCefPreferenceRegistrar;
PCefPreferenceObserver = ˆTCefPreferenceObserver;
PCefPreferenceManager = ˆTCefPreferenceManager;
PCefCommandLine = ˆTCefCommandLine;
PCefCommandHandler = ˆTCefCommandHandler;
PCefBaseRefCounted = ˆTCefBaseRefCounted;
PCefBaseScoped = ˆTCefBaseScoped;
PCefWindowInfo = ˆTCefWindowInfo;
PCefSettings = ˆTCefSettings;
PCefStringUtf8 = ˆTCefStringUtf8;
PCefStringUtf16 = ˆTCefStringUtf16;
PCefStringUserFreeWide = ˆTCefStringUserFreeWide;
PCefStringUserFreeUtf8 = ˆTCefStringUserFreeUtf8;
PCefStringUserFreeUtf16 = ˆTCefStringUserFreeUtf16;
PCefMainArgs = ˆTCefMainArgs;
PCefColor = ˆTCefColor;
PCefBrowserHost = ˆTCefBrowserHost;
PCefClient = ˆTCefClient;
PCefPrintHandler = ˆTCefPrintHandler;
PCefResourceBundleHandler = ˆTCefResourceBundleHandler;
PCefBrowserProcessHandler = ˆTCefBrowserProcessHandler;
PCefContextMenuHandler = ˆTCefContextMenuHandler;
PCefRunQuickMenuCallback = ˆTCefRunQuickMenuCallback;
PCefAccessibilityHandler = ˆTCefAccessibilityHandler;
PCefFrame = ˆTCefFrame;
PCefFrameHandler = ˆTCefFrameHandler;
PCefApp = ˆTCefApp;
PCefServer = ˆTCefServer;
PCefServerHandler = ˆTCefServerHandler;
PCefStringVisitor = ˆTCefStringVisitor;
PCefRequest = ˆTCefRequest;
PCefPostData = ˆTCefPostData;
PCefPostDataElement = ˆTCefPostDataElement;
PPCefPostDataElement = ˆPCefPostDataElement;
PCefv8Context = ˆTCefv8Context;
PCefV8Interceptor = ˆTCefV8Interceptor;
PCefTask = ˆTCefTask;
PCefTaskManager = ˆTCefTaskManager;
PCefv8Value = ˆTCefv8Value;
PCefBaseTime = ˆTCefBaseTime;
PCefTime = ˆTCefTime;
PCefV8Exception = ˆTCefV8Exception;
PCefv8ArrayBufferReleaseCallback = ˆTCefv8ArrayBufferReleaseCallback;
PCefv8Handler = ˆTCefv8Handler;
PPCefV8Value = ˆPCefV8ValueArray;
PCefDomVisitor = ˆTCefDomVisitor;
PCefDomDocument = ˆTCefDomDocument;
PCefDomNode = ˆTCefDomNode;
PCefContextMenuParams = ˆTCefContextMenuParams;
PCefMenuModel = ˆTCefMenuModel;
PCefRunContextMenuCallback = ˆTCefRunContextMenuCallback;
PCefDialogHandler = ˆTCefDialogHandler;
PCefFileDialogCallback = ˆTCefFileDialogCallback;
PCefUnresponsiveProcessCallback = ˆTCefUnresponsiveProcessCallback;
PCefDisplayHandler = ˆTCefDisplayHandler;
PCefDownloadHandler = ˆTCefDownloadHandler;
PCefDownloadItem = ˆTCefDownloadItem;
PCefBeforeDownloadCallback = ˆTCefBeforeDownloadCallback;
PCefDownloadItemCallback = ˆTCefDownloadItemCallback;
PCefDragHandler = ˆTCefDragHandler;
PCefDragData = ˆTCefDragData;
PCefDraggableRegionArray = ˆTCefDraggableRegionArray;
PCefDraggableRegion = ˆTCefDraggableRegion;
PCefRect = ˆTCefRect;
PCefPoint = ˆTCefPoint;
PCefSize = ˆTCefSize;
PCefRectArray = ˆTCefRectArray;
PCefRange = ˆTCefRange;
PCefStreamWriter = ˆTCefStreamWriter;
PCefFindHandler = ˆTCefFindHandler;
PCefFocusHandler = ˆTCefFocusHandler;
PCefJsDialogHandler = ˆTCefJsDialogHandler;
PCefJsDialogCallback = ˆTCefJsDialogCallback;
PCefKeyboardHandler = ˆTCefKeyboardHandler;
PCefKeyEvent = ˆTCefKeyEvent;
PCefLifeSpanHandler = ˆTCefLifeSpanHandler;
PCefAudioHandler = ˆTCefAudioHandler;
PCefAudioParameters = ˆTCefAudioParameters;
PCefPopupFeatures = ˆTCefPopupFeatures;
PCefBrowserSettings = ˆTCefBrowserSettings;
PCefLoadHandler = ˆTCefLoadHandler;
PCefRenderHandler = ˆTCefRenderHandler;
PCefScreenInfo = ˆTCefScreenInfo;
PCefRenderProcessHandler = ˆTCefRenderProcessHandler;
PCefCursorInfo = ˆTCefCursorInfo;
PCefThread = ˆTCefThread;
PCefWaitableEvent = ˆTCefWaitableEvent;
PCefV8StackTrace = ˆTCefV8StackTrace;
PCefV8StackFrame = ˆTCefV8StackFrame;
PCefProcessMessage = ˆTCefProcessMessage;
PCefRequestHandler = ˆTCefRequestHandler;
PCefMediaAccessCallback = ˆTCefMediaAccessCallback;
PCefPermissionHandler = ˆTCefPermissionHandler;
PCefSharedMemoryRegion = ˆTCefSharedMemoryRegion;
PCefSharedProcessMessageBuilder = ˆTCefSharedProcessMessageBuilder;
PCefPermissionPromptCallback = ˆTCefPermissionPromptCallback;
PCefResourceSkipCallback = ˆTCefResourceSkipCallback;
PCefResourceReadCallback = ˆTCefResourceReadCallback;
PCefResourceHandler = ˆTCefResourceHandler;
PCefResourceRequestHandler = ˆTCefResourceRequestHandler;
PCefCookieAccessFilter = ˆTCefCookieAccessFilter;
PCefResponse = ˆTCefResponse;
PCefResponseFilter = ˆTCefResponseFilter;
PCefAuthCallback = ˆTCefAuthCallback;
PCefSslInfo = ˆTCefSslInfo;
PCefSSLStatus = ˆTCefSSLStatus;
PCefSelectClientCertificateCallback = ˆTCefSelectClientCertificateCallback;
PCefCallback = ˆTCefCallback;
PCefSettingObserver = ˆTCefSettingObserver;
PCefCookie = ˆTCefCookie;
PCefRequestContext = ˆTCefRequestContext;
PCefRequestContextHandler = ˆTCefRequestContextHandler;
PCefCompletionCallback = ˆTCefCompletionCallback;
PCefCookieManager = ˆTCefCookieManager;
PCefSchemeHandlerFactory = ˆTCefSchemeHandlerFactory;
PCefResolveCallback = ˆTCefResolveCallback;
PCefCookieVisitor = ˆTCefCookieVisitor;
PCefSetCookieCallback = ˆTCefSetCookieCallback;
PCefDeleteCookiesCallback = ˆTCefDeleteCookiesCallback;
PCefRunFileDialogCallback = ˆTCefRunFileDialogCallback;
PCefDownloadImageCallback = ˆTCefDownloadImageCallback;
PCefImage = ˆTCefImage;
PCefPdfPrintSettings = ˆTCefPdfPrintSettings;
PCefPdfPrintCallback = ˆTCefPdfPrintCallback;
PCefNavigationEntryVisitor = ˆTCefNavigationEntryVisitor;
PCefNavigationEntry = ˆTCefNavigationEntry;
PCefMouseEvent = ˆTCefMouseEvent;
PCefTouchEvent = ˆTCefTouchEvent;
PCefTouchHandleState = ˆTCefTouchHandleState;
PCefPrintSettings = ˆTCefPrintSettings;
PCefPrintDialogCallback = ˆTCefPrintDialogCallback;
PCefPrintJobCallback = ˆTCefPrintJobCallback;
PCefUrlParts = ˆTCefUrlParts;
PCefStreamReader = ˆTCefStreamReader;
PCefReadHandler = ˆTCefReadHandler;
PCefWriteHandler = ˆTCefWriteHandler;
PCefV8Accessor = ˆTCefV8Accessor;
PCefXmlReader = ˆTCefXmlReader;
PCefZipReader = ˆTCefZipReader;
PCefUrlRequestClient = ˆTCefUrlRequestClient;
PCefUrlRequest = ˆTCefUrlRequest;
PCefTaskRunner = ˆTCefTaskRunner;
PCefEndTracingCallback = ˆTCefEndTracingCallback;
PCefRequestContextSettings = ˆTCefRequestContextSettings;
PCefResourceBundle = ˆTCefResourceBundle;
PCefMenuModelDelegate = ˆTCefMenuModelDelegate;
PCefInsets = ˆTCefInsets;
PCefCompositionUnderline = ˆTCefCompositionUnderline;
PCefX509CertPrincipal = ˆTCefX509CertPrincipal;
PCefX509Certificate = ˆTCefX509Certificate;
PPCefX509Certificate = ˆPCefX509Certificate;
PCefDisplay = ˆTCefDisplay;
PPCefDisplay = ˆPCefDisplay;
PCefLayout = ˆTCefLayout;
PCefBoxLayout = ˆTCefBoxLayout;
PCefFillLayout = ˆTCefFillLayout;
PCefOverlayController = ˆTCefOverlayController;
PCefView = ˆTCefView;
PCefViewDelegate = ˆTCefViewDelegate;
PCefTextfield = ˆTCefTextfield;
PCefTextfieldDelegate = ˆTCefTextfieldDelegate;
PCefScrollView = ˆTCefScrollView;
PCefPanel = ˆTCefPanel;
PCefPanelDelegate = ˆTCefPanelDelegate;
PCefBrowserView = ˆTCefBrowserView;
PCefBrowserViewDelegate = ˆTCefBrowserViewDelegate;
PCefButton = ˆTCefButton;
PCefButtonDelegate = ˆTCefButtonDelegate;
PCefLabelButton = ˆTCefLabelButton;
PCefMenuButton = ˆTCefMenuButton;
PCefMenuButtonPressedLock = ˆTCefMenuButtonPressedLock;
PCefMenuButtonDelegate = ˆTCefMenuButtonDelegate;
PCefWindow = ˆTCefWindow;
PCefWindowDelegate = ˆTCefWindowDelegate;
PCefBoxLayoutSettings = ˆTCefBoxLayoutSettings;
PCefRegistration = ˆTCefRegistration;
PCefDevToolsMessageObserver = ˆTCefDevToolsMessageObserver;
PCefMediaRouter = ˆTCefMediaRouter;
PCefMediaRoute = ˆTCefMediaRoute;
PPCefMediaRoute = ˆPCefMediaRoute;
PCefMediaRouteCreateCallback = ˆTCefMediaRouteCreateCallback;
PCefMediaObserver = ˆTCefMediaObserver;
PCefMediaSink = ˆTCefMediaSink;
PPCefMediaSink = ˆPCefMediaSink;
PCefMediaSinkDeviceInfoCallback = ˆTCefMediaSinkDeviceInfoCallback;
PCefMediaSource = ˆTCefMediaSource;
PCefMediaSinkDeviceInfo = ˆTCefMediaSinkDeviceInfo;
PCefAcceleratedPaintInfo = ˆTCefAcceleratedPaintInfo;
PCefLinuxWindowProperties = ˆTCefLinuxWindowProperties;
PCefTaskInfo = ˆTCefTaskInfo;
PCefVersionInfoEx = ˆTCefVersionInfoEx;
NativeInt = PtrInt;
NativeUInt = PtrUInt;
PNativeInt = ˆNativeInt;
PNativeUInt = ˆNativeUInt;
ustring = type UnicodeString;
rbstring = type AnsiString;
TCefWindowHandle = type HWND;
TCefCursorHandle = type HCURSOR;
TCefEventHandle = type PMsg;
TCefSharedTextureHandle = type HANDLE;
TCefColorType = (...);
TCefRectArray = array[0..(High(Integer) div SizeOf(TCefRect))-1] of TCefRect;
TCefRectDynArray = array of TCefRect;
TCefPlatformThreadId = type DWORD;
TCefPlatformThreadHandle = type DWORD;
TCefTransitionType = type Cardinal;
TCefColor = type Cardinal;
TCefErrorCode = type Integer;
TCefCertStatus = type Integer;
TCefSSLVersion = type integer;
TCefStringList = type Pointer;
TCefStringMap = type Pointer;
TCefStringMultimap = type Pointer;
TCefUriUnescapeRule = type Integer;
TCefDomEventCategory = type Integer;
TCefEventFlags = type Cardinal;
TCefDragOperations = type Cardinal;
TCefDragOperation = type Cardinal;
TCefV8PropertyAttributes = type Cardinal;
TCefUrlRequestFlags = type Cardinal;
TCefContextMenuTypeFlags = type Cardinal;
TCefContextMenuMediaStateFlags = type Cardinal;
TCefContextMenuEditStateFlags = type Cardinal;
TCefJsonWriterOptions = type Cardinal;
TCefSSLContentStatus = type Cardinal;
TCefLogSeverity = type Cardinal;
TCefFileDialogMode = type Cardinal;
TCefDuplexMode = type Integer;
TCefSchemeOptions = type Integer;
TCefMediaRouterCreateResult = type Integer;
TCefMediaRouteConnectionState = type Integer;
TCefCookiePriority = type Integer;
TCefTextFieldCommands = type Integer;
TCefChromeToolbarType = type Integer;
TCefDockingMode = type Integer;
TCefShowState = type Integer;
TCefQuickMenuEditStateFlags = type Integer;
TCefTouchHandleStateFlags = type Integer;
TCefMediaAccessPermissionTypes = type Cardinal;
TCefPermissionRequestTypes = type Integer;
TCefDownloadInterruptReason = type Integer;
TCefMenuId = type Integer;
TCefLogItems = type Cardinal;
TCefResultCode = type Integer;
TCefCustomByteArray = array of byte;
TCefCustomInt64Array = array of int64;
LPMEMORYSTATUSEX = ˆTMyMemoryStatusEx;
PPSingle = ˆPSingle;
Char16 = WideChar;
PChar16 = PWideChar;
TCefString = TCefStringUtf16;
PCefString = PCefStringUtf16;
TCefStringUserFreeWide = type TCefStringWide;
TCefStringUserFreeUtf8 = type TCefStringUtf8;
TCefStringUserFreeUtf16 = type TCefStringUtf16;
TCefChar = Char16;
PCefChar = PChar16;
TCefStringUserFree = TCefStringUserFreeUtf16;
PCefStringUserFree = PCefStringUserFreeUtf16;
TCefCloseBrowserAction = (...);
TCefProcessType = (...);
TCefCookiePref = (...);
TCefBrowserNavigation = (...);
TCefAplicationStatus = (...);
TCefUIColorMode = (...);
TCefProxyScheme = (...);
TSimulatedCefKeyEventType = (...);
TCefClearDataStorageTypes = (...);
TCefAutoplayPolicy = (...);
TCefWebRTCHandlingPolicy = (...);
TCefNetLogCaptureMode = (...);
TCefBatterySaverModeState = (...);
TCefHighEfficiencyModeState = (...);
TCEFDialogType = (...);
TCefMediaType = (...);
TCefRangeArray = array of TCefRange;
TCefState = (...);
TCefScaleFactor = (...);
TCefValueType = (...);
TCefMediaSinkIconType = (...);
TCefReferrerPolicy = (...);
TCefPostDataElementType = (...);
TCefResourceType = (...);
TCefDomDocumentType = (...);
TCefDomNodeType = (...);
TCefDomFormControlType = (...);
TCefContextMenuMediaType = (...);
TCefMenuItemType = (...);
TCefFocusSource = (...);
TCefJsDialogType = (...);
TCefKeyEventType = (...);
TCefWindowOpenDisposition = (...);
TCefTextInpuMode = (...);
TCefTouchEeventType = (...);
TCefPointerType = (...);
TCefSimulatedTouchEventType = (...);
TCefSimulatedMouseEventType = (...);
TCefSimulatedMouseButton = (...);
TCefSimulatedPointerType = (...);
TCefKeyLocation = (...);
TCefEditingCommand = (...);
TCefChannelLayout = (...);
TCefCookieSameSite = (...);
TCefPaintElementType = (...);
TCefCursorType = (...);
TCefNavigationType = (...);
TCefProcessId = (...);
TCefThreadId = (...);
TCefThreadPriority = (...);
TCefMessageLoopType = (...);
TCefCOMInitMode = (...);
TCefMouseButtonType = (...);
TCefReturnValue = (...);
TCefUrlRequestStatus = (...);
TCefTerminationStatus = (...);
TCefPathKey = (...);
TCefStorageType = (...);
TCefResponseFilterStatus = (...);
TCefAlphaType = (...);
TCefTextStyle = (...);
TCefAxisAlignment = (...);
TCefPdfPrintMarginType = (...);
TCefColorModel = (...);
TCefJsonParserOptions = (...);
TCefXmlEncodingType = (...);
TCefXmlNodeType = (...);
TCefDomEventPhase = (...);
TCefButtonState = (...);
TCefHorizontalAlignment = (...);
TCefMenuAnchorPosition = (...);
TCefMenuColorType = (...);
TCefCompositionUnderlineStyle = (...);
TCefPermissionRequestResult = (...);
TCefPreferencesType = (...);
TCefGestureCommand = (...);
TCefZoomCommand = (...);
TCefColorVariant = (...);
TCefTestCertType = (...);
TCefChromePageActionIconType = (...);
TCefTaskType = (...);
TCefChromeToolbarButtonType = (...);
TCefCompositionUnderlineDynArray = array of TCefCompositionUnderline;
TCefBaseTime = type int64;
TCefRuntimeStyle = (...);
TCefDraggableRegionArray = array[0..(High(Integer) div SizeOf(TCefDraggableRegion))-1] of TCefDraggableRegion;
TCefSimulatedTouchPointArray = array of TCefSimulatedTouchPoint;
TCefContentSettingTypes = (...);
TCefContentSettingValues = (...);
PCefV8ValueArray = array[0..(High(Integer) div SizeOf(Pointer)) - 1] of PCefV8Value;

Description

Types

PCefStringWide = ˆTCefStringWide;

This item has no description.

PCefDictionaryValue = ˆTCefDictionaryValue;

This item has no description.

PCefListValue = ˆTCefListValue;

This item has no description.

PCefBrowser = ˆTCefBrowser;

This item has no description.

PCefValue = ˆTCefValue;

This item has no description.

PCefBinaryValue = ˆTCefBinaryValue;

This item has no description.

PCefSchemeRegistrar = ˆTCefSchemeRegistrar;

This item has no description.

PCefPreferenceRegistrar = ˆTCefPreferenceRegistrar;

This item has no description.

PCefPreferenceObserver = ˆTCefPreferenceObserver;

This item has no description.

PCefPreferenceManager = ˆTCefPreferenceManager;

This item has no description.

PCefCommandLine = ˆTCefCommandLine;

This item has no description.

PCefCommandHandler = ˆTCefCommandHandler;

This item has no description.

PCefBaseRefCounted = ˆTCefBaseRefCounted;

This item has no description.

PCefBaseScoped = ˆTCefBaseScoped;

This item has no description.

PCefWindowInfo = ˆTCefWindowInfo;

This item has no description.

PCefSettings = ˆTCefSettings;

This item has no description.

PCefStringUtf8 = ˆTCefStringUtf8;

This item has no description.

PCefStringUtf16 = ˆTCefStringUtf16;

This item has no description.

PCefStringUserFreeWide = ˆTCefStringUserFreeWide;

This item has no description.

PCefStringUserFreeUtf8 = ˆTCefStringUserFreeUtf8;

This item has no description.

PCefStringUserFreeUtf16 = ˆTCefStringUserFreeUtf16;

This item has no description.

PCefMainArgs = ˆTCefMainArgs;

This item has no description.

PCefColor = ˆTCefColor;

This item has no description.

PCefBrowserHost = ˆTCefBrowserHost;

This item has no description.

PCefClient = ˆTCefClient;

This item has no description.

PCefPrintHandler = ˆTCefPrintHandler;

This item has no description.

PCefResourceBundleHandler = ˆTCefResourceBundleHandler;

This item has no description.

PCefBrowserProcessHandler = ˆTCefBrowserProcessHandler;

This item has no description.

PCefContextMenuHandler = ˆTCefContextMenuHandler;

This item has no description.

PCefRunQuickMenuCallback = ˆTCefRunQuickMenuCallback;

This item has no description.

PCefAccessibilityHandler = ˆTCefAccessibilityHandler;

This item has no description.

PCefFrame = ˆTCefFrame;

This item has no description.

PCefFrameHandler = ˆTCefFrameHandler;

This item has no description.

PCefApp = ˆTCefApp;

This item has no description.

PCefServer = ˆTCefServer;

This item has no description.

PCefServerHandler = ˆTCefServerHandler;

This item has no description.

PCefStringVisitor = ˆTCefStringVisitor;

This item has no description.

PCefRequest = ˆTCefRequest;

This item has no description.

PCefPostData = ˆTCefPostData;

This item has no description.

PCefPostDataElement = ˆTCefPostDataElement;

This item has no description.

PPCefPostDataElement = ˆPCefPostDataElement;

This item has no description.

PCefv8Context = ˆTCefv8Context;

This item has no description.

PCefV8Interceptor = ˆTCefV8Interceptor;

This item has no description.

PCefTask = ˆTCefTask;

This item has no description.

PCefTaskManager = ˆTCefTaskManager;

This item has no description.

PCefv8Value = ˆTCefv8Value;

This item has no description.

PCefBaseTime = ˆTCefBaseTime;

This item has no description.

PCefTime = ˆTCefTime;

This item has no description.

PCefV8Exception = ˆTCefV8Exception;

This item has no description.

PCefv8ArrayBufferReleaseCallback = ˆTCefv8ArrayBufferReleaseCallback;

This item has no description.

PCefv8Handler = ˆTCefv8Handler;

This item has no description.

PPCefV8Value = ˆPCefV8ValueArray;

This item has no description.

PCefDomVisitor = ˆTCefDomVisitor;

This item has no description.

PCefDomDocument = ˆTCefDomDocument;

This item has no description.

PCefDomNode = ˆTCefDomNode;

This item has no description.

PCefContextMenuParams = ˆTCefContextMenuParams;

This item has no description.

PCefMenuModel = ˆTCefMenuModel;

This item has no description.

PCefRunContextMenuCallback = ˆTCefRunContextMenuCallback;

This item has no description.

PCefDialogHandler = ˆTCefDialogHandler;

This item has no description.

PCefFileDialogCallback = ˆTCefFileDialogCallback;

This item has no description.

PCefUnresponsiveProcessCallback = ˆTCefUnresponsiveProcessCallback;

This item has no description.

PCefDisplayHandler = ˆTCefDisplayHandler;

This item has no description.

PCefDownloadHandler = ˆTCefDownloadHandler;

This item has no description.

PCefDownloadItem = ˆTCefDownloadItem;

This item has no description.

PCefBeforeDownloadCallback = ˆTCefBeforeDownloadCallback;

This item has no description.

PCefDownloadItemCallback = ˆTCefDownloadItemCallback;

This item has no description.

PCefDragHandler = ˆTCefDragHandler;

This item has no description.

PCefDragData = ˆTCefDragData;

This item has no description.

PCefDraggableRegionArray = ˆTCefDraggableRegionArray;

This item has no description.

PCefDraggableRegion = ˆTCefDraggableRegion;

This item has no description.

PCefRect = ˆTCefRect;

This item has no description.

PCefPoint = ˆTCefPoint;

This item has no description.

PCefSize = ˆTCefSize;

This item has no description.

PCefRectArray = ˆTCefRectArray;

This item has no description.

PCefRange = ˆTCefRange;

This item has no description.

PCefStreamWriter = ˆTCefStreamWriter;

This item has no description.

PCefFindHandler = ˆTCefFindHandler;

This item has no description.

PCefFocusHandler = ˆTCefFocusHandler;

This item has no description.

PCefJsDialogHandler = ˆTCefJsDialogHandler;

This item has no description.

PCefJsDialogCallback = ˆTCefJsDialogCallback;

This item has no description.

PCefKeyboardHandler = ˆTCefKeyboardHandler;

This item has no description.

PCefKeyEvent = ˆTCefKeyEvent;

This item has no description.

PCefLifeSpanHandler = ˆTCefLifeSpanHandler;

This item has no description.

PCefAudioHandler = ˆTCefAudioHandler;

This item has no description.

PCefAudioParameters = ˆTCefAudioParameters;

This item has no description.

PCefPopupFeatures = ˆTCefPopupFeatures;

This item has no description.

PCefBrowserSettings = ˆTCefBrowserSettings;

This item has no description.

PCefLoadHandler = ˆTCefLoadHandler;

This item has no description.

PCefRenderHandler = ˆTCefRenderHandler;

This item has no description.

PCefScreenInfo = ˆTCefScreenInfo;

This item has no description.

PCefRenderProcessHandler = ˆTCefRenderProcessHandler;

This item has no description.

PCefCursorInfo = ˆTCefCursorInfo;

This item has no description.

PCefThread = ˆTCefThread;

This item has no description.

PCefWaitableEvent = ˆTCefWaitableEvent;

This item has no description.

PCefV8StackTrace = ˆTCefV8StackTrace;

This item has no description.

PCefV8StackFrame = ˆTCefV8StackFrame;

This item has no description.

PCefProcessMessage = ˆTCefProcessMessage;

This item has no description.

PCefRequestHandler = ˆTCefRequestHandler;

This item has no description.

PCefMediaAccessCallback = ˆTCefMediaAccessCallback;

This item has no description.

PCefPermissionHandler = ˆTCefPermissionHandler;

This item has no description.

PCefSharedMemoryRegion = ˆTCefSharedMemoryRegion;

This item has no description.

PCefSharedProcessMessageBuilder = ˆTCefSharedProcessMessageBuilder;

This item has no description.

PCefPermissionPromptCallback = ˆTCefPermissionPromptCallback;

This item has no description.

PCefResourceSkipCallback = ˆTCefResourceSkipCallback;

This item has no description.

PCefResourceReadCallback = ˆTCefResourceReadCallback;

This item has no description.

PCefResourceHandler = ˆTCefResourceHandler;

This item has no description.

PCefResourceRequestHandler = ˆTCefResourceRequestHandler;

This item has no description.

PCefCookieAccessFilter = ˆTCefCookieAccessFilter;

This item has no description.

PCefResponse = ˆTCefResponse;

This item has no description.

PCefResponseFilter = ˆTCefResponseFilter;

This item has no description.

PCefAuthCallback = ˆTCefAuthCallback;

This item has no description.

PCefSslInfo = ˆTCefSslInfo;

This item has no description.

PCefSSLStatus = ˆTCefSSLStatus;

This item has no description.

PCefSelectClientCertificateCallback = ˆTCefSelectClientCertificateCallback;

This item has no description.

PCefCallback = ˆTCefCallback;

This item has no description.

PCefSettingObserver = ˆTCefSettingObserver;

This item has no description.

PCefCookie = ˆTCefCookie;

This item has no description.

PCefRequestContext = ˆTCefRequestContext;

This item has no description.

PCefRequestContextHandler = ˆTCefRequestContextHandler;

This item has no description.

PCefCompletionCallback = ˆTCefCompletionCallback;

This item has no description.

PCefCookieManager = ˆTCefCookieManager;

This item has no description.

PCefSchemeHandlerFactory = ˆTCefSchemeHandlerFactory;

This item has no description.

PCefResolveCallback = ˆTCefResolveCallback;

This item has no description.

PCefCookieVisitor = ˆTCefCookieVisitor;

This item has no description.

PCefSetCookieCallback = ˆTCefSetCookieCallback;

This item has no description.

PCefDeleteCookiesCallback = ˆTCefDeleteCookiesCallback;

This item has no description.

PCefRunFileDialogCallback = ˆTCefRunFileDialogCallback;

This item has no description.

PCefDownloadImageCallback = ˆTCefDownloadImageCallback;

This item has no description.

PCefImage = ˆTCefImage;

This item has no description.

PCefPdfPrintSettings = ˆTCefPdfPrintSettings;

This item has no description.

PCefPdfPrintCallback = ˆTCefPdfPrintCallback;

This item has no description.

PCefNavigationEntryVisitor = ˆTCefNavigationEntryVisitor;

This item has no description.

PCefNavigationEntry = ˆTCefNavigationEntry;

This item has no description.

PCefMouseEvent = ˆTCefMouseEvent;

This item has no description.

PCefTouchEvent = ˆTCefTouchEvent;

This item has no description.

PCefTouchHandleState = ˆTCefTouchHandleState;

This item has no description.

PCefPrintSettings = ˆTCefPrintSettings;

This item has no description.

PCefPrintDialogCallback = ˆTCefPrintDialogCallback;

This item has no description.

PCefPrintJobCallback = ˆTCefPrintJobCallback;

This item has no description.

PCefUrlParts = ˆTCefUrlParts;

This item has no description.

PCefStreamReader = ˆTCefStreamReader;

This item has no description.

PCefReadHandler = ˆTCefReadHandler;

This item has no description.

PCefWriteHandler = ˆTCefWriteHandler;

This item has no description.

PCefV8Accessor = ˆTCefV8Accessor;

This item has no description.

PCefXmlReader = ˆTCefXmlReader;

This item has no description.

PCefZipReader = ˆTCefZipReader;

This item has no description.

PCefUrlRequestClient = ˆTCefUrlRequestClient;

This item has no description.

PCefUrlRequest = ˆTCefUrlRequest;

This item has no description.

PCefTaskRunner = ˆTCefTaskRunner;

This item has no description.

PCefEndTracingCallback = ˆTCefEndTracingCallback;

This item has no description.

PCefRequestContextSettings = ˆTCefRequestContextSettings;

This item has no description.

PCefResourceBundle = ˆTCefResourceBundle;

This item has no description.

PCefMenuModelDelegate = ˆTCefMenuModelDelegate;

This item has no description.

PCefInsets = ˆTCefInsets;

This item has no description.

PCefCompositionUnderline = ˆTCefCompositionUnderline;

This item has no description.

PCefX509CertPrincipal = ˆTCefX509CertPrincipal;

This item has no description.

PCefX509Certificate = ˆTCefX509Certificate;

This item has no description.

PPCefX509Certificate = ˆPCefX509Certificate;

This item has no description.

PCefDisplay = ˆTCefDisplay;

This item has no description.

PPCefDisplay = ˆPCefDisplay;

This item has no description.

PCefLayout = ˆTCefLayout;

This item has no description.

PCefBoxLayout = ˆTCefBoxLayout;

This item has no description.

PCefFillLayout = ˆTCefFillLayout;

This item has no description.

PCefOverlayController = ˆTCefOverlayController;

This item has no description.

PCefView = ˆTCefView;

This item has no description.

PCefViewDelegate = ˆTCefViewDelegate;

This item has no description.

PCefTextfield = ˆTCefTextfield;

This item has no description.

PCefTextfieldDelegate = ˆTCefTextfieldDelegate;

This item has no description.

PCefScrollView = ˆTCefScrollView;

This item has no description.

PCefPanel = ˆTCefPanel;

This item has no description.

PCefPanelDelegate = ˆTCefPanelDelegate;

This item has no description.

PCefBrowserView = ˆTCefBrowserView;

This item has no description.

PCefBrowserViewDelegate = ˆTCefBrowserViewDelegate;

This item has no description.

PCefButton = ˆTCefButton;

This item has no description.

PCefButtonDelegate = ˆTCefButtonDelegate;

This item has no description.

PCefLabelButton = ˆTCefLabelButton;

This item has no description.

PCefMenuButton = ˆTCefMenuButton;

This item has no description.

PCefMenuButtonPressedLock = ˆTCefMenuButtonPressedLock;

This item has no description.

PCefMenuButtonDelegate = ˆTCefMenuButtonDelegate;

This item has no description.

PCefWindow = ˆTCefWindow;

This item has no description.

PCefWindowDelegate = ˆTCefWindowDelegate;

This item has no description.

PCefBoxLayoutSettings = ˆTCefBoxLayoutSettings;

This item has no description.

PCefRegistration = ˆTCefRegistration;

This item has no description.

PCefDevToolsMessageObserver = ˆTCefDevToolsMessageObserver;

This item has no description.

PCefMediaRouter = ˆTCefMediaRouter;

This item has no description.

PCefMediaRoute = ˆTCefMediaRoute;

This item has no description.

PPCefMediaRoute = ˆPCefMediaRoute;

This item has no description.

PCefMediaRouteCreateCallback = ˆTCefMediaRouteCreateCallback;

This item has no description.

PCefMediaObserver = ˆTCefMediaObserver;

This item has no description.

PCefMediaSink = ˆTCefMediaSink;

This item has no description.

PPCefMediaSink = ˆPCefMediaSink;

This item has no description.

PCefMediaSinkDeviceInfoCallback = ˆTCefMediaSinkDeviceInfoCallback;

This item has no description.

PCefMediaSource = ˆTCefMediaSource;

This item has no description.

PCefMediaSinkDeviceInfo = ˆTCefMediaSinkDeviceInfo;

This item has no description.

PCefAcceleratedPaintInfo = ˆTCefAcceleratedPaintInfo;

This item has no description.

PCefLinuxWindowProperties = ˆTCefLinuxWindowProperties;

This item has no description.

PCefTaskInfo = ˆTCefTaskInfo;

This item has no description.

PCefVersionInfoEx = ˆTCefVersionInfoEx;

This item has no description.

NativeInt = PtrInt;

This item has no description.

NativeUInt = PtrUInt;

This item has no description.

PNativeInt = ˆNativeInt;

This item has no description.

PNativeUInt = ˆNativeUInt;

This item has no description.

ustring = type UnicodeString;

String type used by CEF. ustring was created to use the same type in Delphi and Lazarus.

rbstring = type AnsiString;

This item has no description.

TCefWindowHandle = type HWND;

Native Window handle.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types_win.h">CEF source file: /include/internal/cef_types_win.h (cef_window_handle_t))

TCefCursorHandle = type HCURSOR;

Native Cursor handle.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types_win.h">CEF source file: /include/internal/cef_types_win.h (cef_cursor_handle_t))

TCefEventHandle = type PMsg;

Native event handle.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types_win.h">CEF source file: /include/internal/cef_types_win.h (cef_event_handle_t))

TCefSharedTextureHandle = type HANDLE;

Native texture handle.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types_win.h">CEF source file: /include/internal/cef_types_win.h (cef_shared_texture_handle_t))

TCefColorType = (...);

Describes how to interpret the components of a pixel.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types_color.h">CEF source file: /include/internal/cef_types_color.h (cef_color_type_t))

Values
  • CEF_COLOR_TYPE_RGBA_8888: RGBA with 8 bits per pixel (32bits total).
  • CEF_COLOR_TYPE_BGRA_8888: BGRA with 8 bits per pixel (32bits total).
  • CEF_COLOR_TYPE_NUM_VALUES
TCefRectArray = array[0..(High(Integer) div SizeOf(TCefRect))-1] of TCefRect;

This item has no description.

TCefRectDynArray = array of TCefRect;

This item has no description.

TCefPlatformThreadId = type DWORD;

Platform thread ID.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_thread_internal.h">CEF source file: /include/internal/cef_thread_internal.h (cef_platform_thread_id_t))

TCefPlatformThreadHandle = type DWORD;

Platform thread handle.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_thread_internal.h">CEF source file: /include/internal/cef_thread_internal.h (cef_platform_thread_handle_t))

TCefTransitionType = type Cardinal;

Transition type for a request. Made up of one source value and 0 or more qualifiers.

See the uCEFConstants unit for all possible values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_transition_type_t))

TCefColor = type Cardinal;

32-bit ARGB color value, not premultiplied. The color components are always in a known order. Equivalent to the SkColor type.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_color_t))

TCefErrorCode = type Integer;

Supported error code values.

Ranges:
    0- 99 System related errors
  100-199 Connection related errors
  200-299 Certificate errors
  300-399 HTTP errors
  400-499 Cache errors
  500-599 ?
  600-699 <Obsolete: FTP errors>
  700-799 Certificate manager errors
  800-899 DNS resolver errors
  900-999 Blob errors

See the uCEFConstants unit for all possible values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_errorcode_t))

<see href="https://chromium.googlesource.com/chromium/src/+/master/net/base/net_error_list.h">For the complete list of error values see include/base/internal/cef_net_error_list.h which includes this Chromium source file /net/base/net_error_list.h)

TCefCertStatus = type Integer;

Supported certificate status code values. See net\cert\cert_status_flags.h for more information. CERT_STATUS_NONE is new in CEF because we use an enum while cert_status_flags.h uses a typedef and static const variables.

See the uCEFConstants unit for all possible values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_cert_status_t))

TCefSSLVersion = type integer;

Supported SSL version values.

See the uCEFConstants unit for all possible values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_ssl_version_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:net/ssl/ssl_connection_status_flags.h">See net/ssl/ssl_connection_status_flags.h for more information.)

TCefStringList = type Pointer;

CEF string maps are a set of key/value string pairs.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_string_list.h">CEF source file: /include/internal/cef_string_list.h (cef_string_list_t))

TCefStringMap = type Pointer;

CEF string maps are a set of key/value string pairs.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_string_map.h">CEF source file: /include/internal/cef_string_map.h (cef_string_map_t))

TCefStringMultimap = type Pointer;

CEF string multimaps are a set of key/value string pairs. More than one value can be assigned to a single key.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_string_multimap.h">CEF source file: /include/internal/cef_string_multimap.h (cef_string_multimap_t))

TCefUriUnescapeRule = type Integer;

URI unescape rules passed to CefURIDecode().

See the uCEFConstants unit for all possible values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_uri_unescape_rule_t))

TCefDomEventCategory = type Integer;

DOM event category flags.

See the uCEFConstants unit for all possible values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_dom_event_category_t))

TCefEventFlags = type Cardinal;

Supported event bit flags.

See the uCEFConstants unit for all possible values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_event_flags_t))

TCefDragOperations = type Cardinal;

"Verb" of a drag-and-drop operation as negotiated between the source and destination. These constants match their equivalents in WebCore's DragActions.h and should not be renumbered.

See the uCEFConstants unit for all possible values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_drag_operations_mask_t))

TCefDragOperation = type Cardinal;

This item has no description.

TCefV8PropertyAttributes = type Cardinal;

V8 property attribute values.

See the uCEFConstants unit for all possible values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_v8_propertyattribute_t))

TCefUrlRequestFlags = type Cardinal;

Flags used to customize the behavior of CefURLRequest.

See the uCEFConstants unit for all possible values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_urlrequest_flags_t))

TCefContextMenuTypeFlags = type Cardinal;

Supported context menu type flags.

See the uCEFConstants unit for all possible values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_context_menu_type_flags_t))

TCefContextMenuMediaStateFlags = type Cardinal;

Supported context menu media state bit flags. These constants match their equivalents in Chromium's ContextMenuData::MediaFlags and should not be renumbered.

See the uCEFConstants unit for all possible values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_context_menu_media_state_flags_t))

TCefContextMenuEditStateFlags = type Cardinal;

Supported context menu edit state bit flags. These constants match their equivalents in Chromium's ContextMenuDataEditFlags and should not be renumbered.

See the uCEFConstants unit for all possible values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_context_menu_edit_state_flags_t))

TCefJsonWriterOptions = type Cardinal;

Options that can be passed to CefWriteJSON.

See the uCEFConstants unit for all possible values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_json_writer_options_t))

TCefSSLContentStatus = type Cardinal;

Supported SSL content status flags. See content/public/common/ssl_status.h for more information.

See the uCEFConstants unit for all possible values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_ssl_content_status_t))

TCefLogSeverity = type Cardinal;

Log severity levels.

See the uCEFConstants unit for all possible values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_log_severity_t))

TCefFileDialogMode = type Cardinal;

Supported file dialog modes.

See the uCEFConstants unit for all possible values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_file_dialog_mode_t))

TCefDuplexMode = type Integer;

Print job duplex mode values.

See the uCEFConstants unit for all possible values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_duplex_mode_t))

TCefSchemeOptions = type Integer;

Configuration options for registering a custom scheme. These values are used when calling AddCustomScheme.

See the uCEFConstants unit for all possible values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_scheme_options_t))

TCefMediaRouterCreateResult = type Integer;

Result codes for ICefMediaRouter.CreateRoute. Should be kept in sync with Chromium's media_router::mojom::RouteRequestResultCode type.

See the uCEFConstants unit for all possible values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_media_route_create_result_t))

TCefMediaRouteConnectionState = type Integer;

Connection state for a MediaRoute object. Should be kept in sync with Chromium's blink::mojom::PresentationConnectionState type.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_media_route_connection_state_t))

TCefCookiePriority = type Integer;

Cookie priority values.

See the uCEFConstants unit for all possible values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_cookie_priority_t))

TCefTextFieldCommands = type Integer;

Represents commands available to TextField. Should be kept in sync with Chromium's views::TextField::MenuCommands type.

See the uCEFConstants unit for all possible values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_text_field_commands_t))

TCefChromeToolbarType = type Integer;

Chrome toolbar types.

See the uCEFConstants unit for all possible values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_chrome_toolbar_type_t))

TCefDockingMode = type Integer;

Docking modes supported by ICefWindow.AddOverlay.

See the uCEFConstants unit for all possible values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_docking_mode_t))

TCefShowState = type Integer;

Show states supported by ICefWindowDelegate.GetInitialShowState.

See the uCEFConstants unit for all possible values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_show_state_t))

TCefQuickMenuEditStateFlags = type Integer;

Supported quick menu state bit flags.

See the uCEFConstants unit for all possible values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_quick_menu_edit_state_flags_t))

TCefTouchHandleStateFlags = type Integer;

Values indicating what state of the touch handle is set.

See the uCEFConstants unit for all possible values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_touch_handle_state_flags_t))

TCefMediaAccessPermissionTypes = type Cardinal;

Media access permissions used by OnRequestMediaAccessPermission.

See the uCEFConstants unit for all possible values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_media_access_permission_types_t))

TCefPermissionRequestTypes = type Integer;

Permission types used with OnShowPermissionPrompt. Some types are platform-specific or only supported with Chrome style. Should be kept in sync with Chromium's permissions::RequestType type.

See the uCEFConstants unit for all possible values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_permission_request_types_t))

TCefDownloadInterruptReason = type Integer;

Download interrupt reasons. Should be kept in sync with Chromium's download::DownloadInterruptReason type.

See the uCEFConstants unit for all possible values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_download_interrupt_reason_t))

TCefMenuId = type Integer;

Supported menu IDs. Non-English translations can be provided for the IDS_MENU_* strings in ICefResourceBundleHandler.GetLocalizedString().

See the uCEFConstants unit for all possible values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_menu_id_t))

TCefLogItems = type Cardinal;

Log items prepended to each log line.

See the uCEFConstants unit for all possible values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_log_items_t))

TCefResultCode = type Integer;

Process result codes. This is not a comprehensive list, as result codes might also include platform-specific crash values (Posix signal or Windows hardware exception), or internal-only implementation values.

See the uCEFConstants unit for all possible values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resultcode_t))

<see href="https://source.chromium.org/chromium/chromium/src/+/main:content/public/common/result_codes.h">See Chromium's content::ResultCode type.)

<see href="https://source.chromium.org/chromium/chromium/src/+/main:chrome/common/chrome_result_codes.h">See chrome::ResultCode type.)

<see href="https://source.chromium.org/chromium/chromium/src/+/main:sandbox/win/src/sandbox_types.h">See sandbox::TerminationCodes type.)

TCefCustomByteArray = array of byte;

Array of byte. Needed only for backwards compatibility with old Delphi versions.

TCefCustomInt64Array = array of int64;

Custom array of int64.

LPMEMORYSTATUSEX = ˆTMyMemoryStatusEx;

This item has no description.

PPSingle = ˆPSingle;

This item has no description.

Char16 = WideChar;

This item has no description.

PChar16 = PWideChar;

This item has no description.

TCefString = TCefStringUtf16;

String record used by the CEF C API. The CEF interface is built with the UTF16 string type as the default.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_string.h">CEF source file: /include/internal/cef_string.h (cef_string_t))

PCefString = PCefStringUtf16;

This item has no description.

TCefStringUserFreeWide = type TCefStringWide;

This item has no description.

TCefStringUserFreeUtf8 = type TCefStringUtf8;

This item has no description.

TCefStringUserFreeUtf16 = type TCefStringUtf16;

This item has no description.

TCefChar = Char16;

This item has no description.

PCefChar = PChar16;

This item has no description.

TCefStringUserFree = TCefStringUserFreeUtf16;

This item has no description.

PCefStringUserFree = PCefStringUserFreeUtf16;

This item has no description.

TCefCloseBrowserAction = (...);

Action taken after the TChromium.Onclose event.

cbaCancel : stop closing the browser.

cbaClose : continue closing the browser.

cbaDelay : stop closing the browser momentarily. Used when the application needs to execute some custom processes before closing the browser. This is usually needed to destroy a TCEFWindowParent in the main thread before closing the browser.

Values
  • cbaClose
  • cbaDelay
  • cbaCancel
TCefProcessType = (...);

Sub-process types of Chromium.

Values
  • ptBrowser
  • ptRenderer
  • ptZygote
  • ptGPU
  • ptUtility
  • ptBroker
  • ptCrashpad
  • ptOther
TCefCookiePref = (...);

Used in TChromium preferences to allow or block cookies.

Values
  • cpDefault
  • cpAllow
  • cpBlock
TCefBrowserNavigation = (...);

Used by TCefBrowserNavigationTask to navigate in the right CEF thread.

Values
  • bnBack
  • bnForward
  • bnReload
  • bnReloadIgnoreCache
  • bnStopLoad
TCefAplicationStatus = (...);

Status of TCefAplicationCore.

Values
  • asLoading
  • asLoaded
  • asInitialized
  • asShuttingDown
  • asUnloaded
  • asErrorMissingFiles
  • asErrorDLLVersion
  • asErrorWindowsVersion
  • asErrorLoadingLibrary
  • asErrorInitializingLibrary
  • asErrorExecutingProcess
TCefUIColorMode = (...);

Color mode in UI for platforms that support it.

Values
  • uicmSystemDefault: System default.
  • uicmForceLight: Forces light color mode in UI for platforms that support it.
  • uicmForceDark: Forces dark color mode in UI for platforms that support it.
TCefProxyScheme = (...);

Supported proxy schemes in Chromium.

Values
  • psHTTP
  • psSOCKS4
  • psSOCKS5
TSimulatedCefKeyEventType = (...);

Event type used by TChromiumCore.SimulateKeyEvent

Values
  • ketKeyDown
  • ketKeyUp
  • ketRawKeyDown
  • ketChar
TCefClearDataStorageTypes = (...);

Storage types used by the Storage.clearDataForOrigin DevTools method in TChromiumCore.ClearDataForOrigin.

Values
  • cdstAppCache
  • cdstCookies
  • cdstFileSystems
  • cdstIndexeddb
  • cdstLocalStorage
  • cdstShaderCache
  • cdstWebsql
  • cdstServiceWorkers
  • cdstCacheStorage
  • cdstAll
TCefAutoplayPolicy = (...);

Autoplay policy types used by TCefApplicationCore.AutoplayPolicy. See the –autoplay-policy switch.

Values
  • appDefault
  • appDocumentUserActivationRequired: Autoplay policy that requires a document user activation.
  • appNoUserGestureRequired: Autoplay policy that does not require any user gesture.
  • appUserGestureRequired: Autoplay policy to require a user gesture in order to play.
TCefWebRTCHandlingPolicy = (...);

WebRTC handling policy types used by TChromiumCore.WebRTCIPHandlingPolicy.

Values
  • hpDefault: WebRTC will use all available interfaces when searching for the best path.
  • hpDefaultPublicAndPrivateInterfaces: WebRTC will only use the interface connecting to the public Internet, but may connect using private IP addresses.
  • hpDefaultPublicInterfaceOnly: WebRTC will only use the interface connecting to the public Internet, and will not connect using private IP addresses.
  • hpDisableNonProxiedUDP: WebRTC will use TCP on the public-facing interface, and will only use UDP if supported by a configured proxy.
TCefNetLogCaptureMode = (...);

Values used by the –net-log-capture-mode command line switch. Sets the granularity of events to capture in the network log.

<see href="https://source.chromium.org/chromium/chromium/src/+/main:content/browser/network_service_instance_impl.cc">network_service_instance_impl.cc)

<see href="https://source.chromium.org/chromium/chromium/src/+/main:net/log/net_log_capture_mode.h">net_log_capture_mode.h)

Values
  • nlcmDefault:

    Default logging level, which is expected to be light-weight and does best-effort stripping of privacy/security sensitive data.

    * Includes most HTTP request/response headers, but strips cookies and
  auth.
* Does not include the full bytes read/written to sockets.

  • nlcmIncludeSensitive:

    Logging level that includes everything from kDefault, plus sensitive data that it may have strippped.

    * Includes cookies and authentication headers.
* Does not include the full bytes read/written to sockets.

  • nlcmEverything:

    Logging level that includes everything that is possible to be logged.

    * Includes the actual bytes read/written to sockets
* Will result in large log files.

TCefBatterySaverModeState = (...);

Values used by the battery saver mode state preference.

<see href="https://source.chromium.org/chromium/chromium/src/+/main:components/performance_manager/public/user_tuning/prefs.h">components/performance_manager/public/user_tuning/prefs.h)

Values
  • bsmsDisabled = 0
  • bsmsEnabledBelowThreshold = 1
  • bsmsEnabledOnBattery = 2
  • bsmsEnabled = 3
  • bsmsDefault = 4: Custom value used to update the preferences only when there's a non-default value.
TCefHighEfficiencyModeState = (...);

Values used by the high efficiency mode state preference.

<see href="https://source.chromium.org/chromium/chromium/src/+/main:components/performance_manager/public/user_tuning/prefs.h">components/performance_manager/public/user_tuning/prefs.h)

Values
  • kDisabled = 0
  • kEnabled = 1
  • kEnabledOnTimer = 2
  • kDefault = 3: Custom value used to update the preferences only when there's a non-default value.
TCEFDialogType = (...);

Used by TCEFFileDialogInfo.

Values
  • dtOpen
  • dtOpenMultiple
  • dtOpenFolder
  • dtSave
TCefMediaType = (...);

Used by TCefMediaSinkInfo and TCefMediaSourceInfo.

Values
  • mtCast
  • mtDial
  • mtUnknown
TCefRangeArray = array of TCefRange;

This item has no description.

TCefState = (...);

Represents the state of a setting.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_state_t))

Values
  • STATE_DEFAULT = 0: Use the default state for the setting.
  • STATE_ENABLED: Enable or allow the setting.
  • STATE_DISABLED: Disable or disallow the setting.
TCefScaleFactor = (...);

Supported UI scale factors for the platform. SCALE_FACTOR_NONE is used for density independent resources such as string, html/js files or an image that can be used for any scale factors (such as wallpapers).

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_scale_factor_t))

Values
  • SCALE_FACTOR_NONE
  • SCALE_FACTOR_100P
  • SCALE_FACTOR_125P
  • SCALE_FACTOR_133P
  • SCALE_FACTOR_140P
  • SCALE_FACTOR_150P
  • SCALE_FACTOR_180P
  • SCALE_FACTOR_200P
  • SCALE_FACTOR_250P
  • SCALE_FACTOR_300P
  • SCALE_FACTOR_NUM_VALUES
TCefValueType = (...);

Supported value types.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_value_type_t))

Values
  • VTYPE_INVALID
  • VTYPE_NULL
  • VTYPE_BOOL
  • VTYPE_INT
  • VTYPE_DOUBLE
  • VTYPE_STRING
  • VTYPE_BINARY
  • VTYPE_DICTIONARY
  • VTYPE_LIST
  • VTYPE_NUM_VALUES
TCefMediaSinkIconType = (...);

Icon types for a MediaSink object. Should be kept in sync with Chromium's media_router::SinkIconType type.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_media_sink_icon_type_t))

Values
  • CEF_MSIT_CAST
  • CEF_MSIT_CAST_AUDIO_GROUP
  • CEF_MSIT_CAST_AUDIO
  • CEF_MSIT_MEETING
  • CEF_MSIT_HANGOUT
  • CEF_MSIT_EDUCATION
  • CEF_MSIT_WIRED_DISPLAY
  • CEF_MSIT_GENERIC
  • CEF_MSIT_NUM_VALUES
TCefReferrerPolicy = (...);

Policy for how the Referrer HTTP header value will be sent during navigation. If the `–no-referrers` command-line flag is specified then the policy value will be ignored and the Referrer value will never be sent. Must be kept synchronized with net::URLRequest::ReferrerPolicy from Chromium.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_referrer_policy_t))

Values
  • REFERRER_POLICY_CLEAR_REFERRER_ON_TRANSITION_FROM_SECURE_TO_INSECURE: Clear the referrer header if the header value is HTTPS but the request destination is HTTP. This is the default behavior. It has the same value as REFERRER_POLICY_DEFAULT.
  • REFERRER_POLICY_REDUCE_REFERRER_GRANULARITY_ON_TRANSITION_CROSS_ORIGIN: A slight variant on CLEAR_REFERRER_ON_TRANSITION_FROM_SECURE_TO_INSECURE: If the request destination is HTTP, an HTTPS referrer will be cleared. If the request's destination is cross-origin with the referrer (but does not downgrade), the referrer's granularity will be stripped down to an origin rather than a full URL. Same-origin requests will send the full referrer.
  • REFERRER_POLICY_ORIGIN_ONLY_ON_TRANSITION_CROSS_ORIGIN: Strip the referrer down to an origin when the origin of the referrer is different from the destination's origin.
  • REFERRER_POLICY_NEVER_CLEAR_REFERRER: Never change the referrer.
  • REFERRER_POLICY_ORIGIN: Strip the referrer down to the origin regardless of the redirect location.
  • REFERRER_POLICY_CLEAR_REFERRER_ON_TRANSITION_CROSS_ORIGIN: Clear the referrer when the request's referrer is cross-origin with the request's destination.
  • REFERRER_POLICY_ORIGIN_CLEAR_ON_TRANSITION_FROM_SECURE_TO_INSECURE: Strip the referrer down to the origin, but clear it entirely if the referrer value is HTTPS and the destination is HTTP.
  • REFERRER_POLICY_NO_REFERRER: Always clear the referrer regardless of the request destination. It has the same value as REFERRER_POLICY_LAST_VALUE
  • REFERRER_POLICY_NUM_VALUES
TCefPostDataElementType = (...);

Post data elements may represent either bytes or files.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_postdataelement_type_t))

Values
  • PDE_TYPE_EMPTY = 0
  • PDE_TYPE_BYTES
  • PDE_TYPE_FILE
  • PDE_TYPE_NUM_VALUES
TCefResourceType = (...);

Resource type for a request. These constants match their equivalents in Chromium's ResourceType and should not be renumbered.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_resource_type_t))

Values
  • RT_MAIN_FRAME: Top level page.
  • RT_SUB_FRAME: Frame or iframe.
  • RT_STYLESHEET: CSS stylesheet.
  • RT_SCRIPT: External script.
  • RT_IMAGE: Image (jpg/gif/png/etc).
  • RT_FONT_RESOURCE: Font.
  • RT_SUB_RESOURCE: Some other subresource. This is the default type if the actual type is unknown.
  • RT_OBJECT: Object (or embed) tag for a plugin, or a resource that a plugin requested.
  • RT_MEDIA: Media resource.
  • RT_WORKER: Main resource of a dedicated worker.
  • RT_SHARED_WORKER: Main resource of a shared worker.
  • RT_PREFETCH: Explicitly requested prefetch.
  • RT_FAVICON: Favicon.
  • RT_XHR: XMLHttpRequest.
  • RT_PING: A request for a "<ping>".
  • RT_SERVICE_WORKER: Main resource of a service worker.
  • RT_CSP_REPORT: A report of Content Security Policy violations.
  • RT_PLUGIN_RESOURCE: A resource that a plugin requested.
  • RT_EMPTY_FILLER_TYPE_DO_NOT_USE: This type doesn't exist in CEF and it's here just to fill this position.
  • RT_NAVIGATION_PRELOAD_MAIN_FRAME: A main-frame service worker navigation preload request.
  • RT_NAVIGATION_PRELOAD_SUB_FRAME: A sub-frame service worker navigation preload request.
  • RT_NUM_VALUES
TCefDomDocumentType = (...);

DOM document types.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_dom_document_type_t))

Values
  • DOM_DOCUMENT_TYPE_UNKNOWN = 0
  • DOM_DOCUMENT_TYPE_HTML
  • DOM_DOCUMENT_TYPE_XHTML
  • DOM_DOCUMENT_TYPE_PLUGIN
  • DOM_DOCUMENT_TYPE_NUM_VALUES
TCefDomNodeType = (...);

DOM node types.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_dom_node_type_t))

Values
  • DOM_NODE_TYPE_UNSUPPORTED
  • DOM_NODE_TYPE_ELEMENT
  • DOM_NODE_TYPE_ATTRIBUTE
  • DOM_NODE_TYPE_TEXT
  • DOM_NODE_TYPE_CDATA_SECTION
  • DOM_NODE_TYPE_PROCESSING_INSTRUCTIONS
  • DOM_NODE_TYPE_COMMENT
  • DOM_NODE_TYPE_DOCUMENT
  • DOM_NODE_TYPE_DOCUMENT_TYPE
  • DOM_NODE_TYPE_DOCUMENT_FRAGMENT
  • DOM_NODE_TYPE_NUM_VALUES
TCefDomFormControlType = (...);

DOM form control types. Should be kept in sync with Chromium's blink::mojom::FormControlType type.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_dom_form_control_type_t))

Values
  • DOM_FORM_CONTROL_TYPE_UNSUPPORTED
  • DOM_FORM_CONTROL_TYPE_BUTTON_BUTTON
  • DOM_FORM_CONTROL_TYPE_BUTTON_SUBMIT
  • DOM_FORM_CONTROL_TYPE_BUTTON_RESET
  • DOM_FORM_CONTROL_TYPE_BUTTON_POPOVER
  • DOM_FORM_CONTROL_TYPE_FIELDSET
  • DOM_FORM_CONTROL_TYPE_INPUT_BUTTON
  • DOM_FORM_CONTROL_TYPE_INPUT_CHECKBOX
  • DOM_FORM_CONTROL_TYPE_INPUT_COLOR
  • DOM_FORM_CONTROL_TYPE_INPUT_DATE
  • DOM_FORM_CONTROL_TYPE_INPUT_DATETIME_LOCAL
  • DOM_FORM_CONTROL_TYPE_INPUT_EMAIL
  • DOM_FORM_CONTROL_TYPE_INPUT_FILE
  • DOM_FORM_CONTROL_TYPE_INPUT_HIDDEN
  • DOM_FORM_CONTROL_TYPE_INPUT_IMAGE
  • DOM_FORM_CONTROL_TYPE_INPUT_MONTH
  • DOM_FORM_CONTROL_TYPE_INPUT_NUMBER
  • DOM_FORM_CONTROL_TYPE_INPUT_PASSWORD
  • DOM_FORM_CONTROL_TYPE_INPUT_RADIO
  • DOM_FORM_CONTROL_TYPE_INPUT_RANGE
  • DOM_FORM_CONTROL_TYPE_INPUT_RESET
  • DOM_FORM_CONTROL_TYPE_INPUT_SEARCH
  • DOM_FORM_CONTROL_TYPE_INPUT_SUBMIT
  • DOM_FORM_CONTROL_TYPE_INPUT_TELEPHONE
  • DOM_FORM_CONTROL_TYPE_INPUT_TEXT
  • DOM_FORM_CONTROL_TYPE_INPUT_TIME
  • DOM_FORM_CONTROL_TYPE_INPUT_URL
  • DOM_FORM_CONTROL_TYPE_INPUT_WEEK
  • DOM_FORM_CONTROL_TYPE_OUTPUT
  • DOM_FORM_CONTROL_TYPE_SELECT_ONE
  • DOM_FORM_CONTROL_TYPE_SELECT_MULTIPLE
  • DOM_FORM_CONTROL_TYPE_TEXT_AREA
  • DOM_FORM_CONTROL_TYPE_NUM_VALUES
TCefContextMenuMediaType = (...);

Supported context menu media types. These constants match their equivalents in Chromium's ContextMenuDataMediaType and should not be renumbered.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_context_menu_media_type_t))

Values
  • CM_MEDIATYPE_NONE: No special node is in context.
  • CM_MEDIATYPE_IMAGE: An image node is selected.
  • CM_MEDIATYPE_VIDEO: A video node is selected.
  • CM_MEDIATYPE_AUDIO: An audio node is selected.
  • CM_MEDIATYPE_CANVAS: An canvas node is selected.
  • CM_MEDIATYPE_FILE: A file node is selected.
  • CM_MEDIATYPE_PLUGIN: A plugin node is selected.
  • CM_MEDIATYPE_NUM_VALUES
TCefMenuItemType = (...);

Supported menu item types.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_menu_item_type_t))

Values
  • MENUITEMTYPE_NONE
  • MENUITEMTYPE_COMMAND
  • MENUITEMTYPE_CHECK
  • MENUITEMTYPE_RADIO
  • MENUITEMTYPE_SEPARATOR
  • MENUITEMTYPE_SUBMENU
TCefFocusSource = (...);

Focus sources.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_focus_source_t))

Values
  • FOCUS_SOURCE_NAVIGATION = 0: The source is explicit navigation via the API (LoadURL(), etc).
  • FOCUS_SOURCE_SYSTEM: The source is a system-generated focus event.
  • FOCUS_SOURCE_NUM_VALUES
TCefJsDialogType = (...);

Supported JavaScript dialog types.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_jsdialog_type_t))

Values
  • JSDIALOGTYPE_ALERT
  • JSDIALOGTYPE_CONFIRM
  • JSDIALOGTYPE_PROMPT
  • JSDIALOGTYPE_NUM_VALUES
TCefKeyEventType = (...);

Notification that a character was typed. Use this for text input. Key down events may generate 0, 1, or more than one character event depending on the key, locale, and operating system.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_key_event_type_t))

Values
  • KEYEVENT_RAWKEYDOWN = 0: Notification that a key transitioned from "up" to "down".
  • KEYEVENT_KEYDOWN: Notification that a key was pressed. This does not necessarily correspond to a character depending on the key and language. Use KEYEVENT_CHAR for character input.
  • KEYEVENT_KEYUP: Notification that a key was released.
  • KEYEVENT_CHAR: Notification that a character was typed. Use this for text input. Key down events may generate 0, 1, or more than one character event depending on the key, locale, and operating system.
TCefWindowOpenDisposition = (...);

The manner in which a link click should be opened. These constants match their equivalents in Chromium's window_open_disposition.h and should not be renumbered.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_window_open_disposition_t))

Values
  • CEF_WOD_UNKNOWN: Unknown disposition.
  • CEF_WOD_CURRENT_TAB: Current tab. This is the default in most cases.
  • CEF_WOD_SINGLETON_TAB: Indicates that only one tab with the url should exist in the same window.
  • CEF_WOD_NEW_FOREGROUND_TAB: Shift key + Middle mouse button or meta/ctrl key while clicking.
  • CEF_WOD_NEW_BACKGROUND_TAB: Middle mouse button or meta/ctrl key while clicking.
  • CEF_WOD_NEW_POPUP: New popup window.
  • CEF_WOD_NEW_WINDOW: Shift key while clicking.
  • CEF_WOD_SAVE_TO_DISK: Alt key while clicking.
  • CEF_WOD_OFF_THE_RECORD: New off-the-record (incognito) window.
  • CEF_WOD_IGNORE_ACTION: Special case error condition from the renderer.
  • CEF_WOD_SWITCH_TO_TAB: Activates an existing tab containing the url, rather than navigating. This is similar to SINGLETON_TAB, but searches across all windows from the current profile and anonymity (instead of just the current one); closes the current tab on switching if the current tab was the NTP with no session history; and behaves like CURRENT_TAB instead of NEW_FOREGROUND_TAB when no existing tab is found.
  • CEF_WOD_NEW_PICTURE_IN_PICTURE: Creates a new document picture-in-picture window showing a child WebView.
  • CEF_WOD_NUM_VALUES
TCefTextInpuMode = (...);

Input mode of a virtual keyboard. These constants match their equivalents in Chromium's text_input_mode.h and should not be renumbered. See https://html.spec.whatwg.org/#input-modalities:-the-inputmode-attribute

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_text_input_mode_t))

Values
  • CEF_TEXT_INPUT_MODE_DEFAULT
  • CEF_TEXT_INPUT_MODE_NONE
  • CEF_TEXT_INPUT_MODE_TEXT
  • CEF_TEXT_INPUT_MODE_TEL
  • CEF_TEXT_INPUT_MODE_URL
  • CEF_TEXT_INPUT_MODE_EMAIL
  • CEF_TEXT_INPUT_MODE_NUMERIC
  • CEF_TEXT_INPUT_MODE_DECIMAL
  • CEF_TEXT_INPUT_MODE_SEARCH
  • CEF_TEXT_INPUT_MODE_NUM_VALUES
TCefTouchEeventType = (...);

Touch points states types.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_touch_event_type_t))

Values
  • CEF_TET_RELEASED = 0
  • CEF_TET_PRESSED
  • CEF_TET_MOVED
  • CEF_TET_CANCELLED
TCefPointerType = (...);

The device type that caused the event.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_pointer_type_t))

Values
  • CEF_POINTER_TYPE_TOUCH = 0
  • CEF_POINTER_TYPE_MOUSE
  • CEF_POINTER_TYPE_PEN
  • CEF_POINTER_TYPE_ERASER
  • CEF_POINTER_TYPE_UNKNOWN
TCefSimulatedTouchEventType = (...);

Type of touch event in the TChromiumCore.SimulateTouchEvent function.

<see href="https://chromedevtools.github.io/devtools-protocol/tot/Input/#method-dispatchTouchEvent">See the Input.dispatchTouchEvent DevTools method)

Values
  • touchStart
  • touchEnd
  • touchMove
  • touchCancel
TCefSimulatedMouseEventType = (...);

Type of mouse event in the TChromiumCore.SimulateMouseEvent function.

<see href="https://chromedevtools.github.io/devtools-protocol/tot/Input/#method-dispatchMouseEvent">See the Input.dispatchMouseEvent DevTools method)

Values
  • mousePressed
  • mouseReleased
  • mouseMoved
  • mouseWheel
TCefSimulatedMouseButton = (...);

Mouse button in the TChromiumCore.SimulateMouseEvent function.

<see href="https://chromedevtools.github.io/devtools-protocol/tot/Input/#method-dispatchMouseEvent">See the Input.dispatchMouseEvent DevTools method)

Values
  • CEF_SIMULATEDMOUSEBUTTON_NONE
  • CEF_SIMULATEDMOUSEBUTTON_LEFT
  • CEF_SIMULATEDMOUSEBUTTON_MIDDLE
  • CEF_SIMULATEDMOUSEBUTTON_RIGHT
  • CEF_SIMULATEDMOUSEBUTTON_BACK
  • CEF_SIMULATEDMOUSEBUTTON_FORWARD
TCefSimulatedPointerType = (...);

Pointer type in the TChromiumCore.SimulateMouseEvent function.

<see href="https://chromedevtools.github.io/devtools-protocol/tot/Input/#method-dispatchMouseEvent">See the Input.dispatchMouseEvent DevTools method)

Values
  • CEF_SIMULATEDPOINTERTYPE_MOUSE
  • CEF_SIMULATEDPOINTERTYPE_PEN
TCefKeyLocation = (...);

Key location value used in the TChromiumCore.dispatchKeyEvent DevTools method.

<see href="https://chromedevtools.github.io/devtools-protocol/1-3/Input/#method-dispatchKeyEvent">See the "Input.dispatchKeyEvent" DevTools method.)

Values
  • CEF_KEYLOCATION_NONE
  • CEF_KEYLOCATION_LEFT
  • CEF_KEYLOCATION_RIGHT
TCefEditingCommand = (...);

Blink editing commands used by the "Input.dispatchKeyEvent" DevTools method.

<see href="https://chromedevtools.github.io/devtools-protocol/1-3/Input/#method-dispatchKeyEvent">See the "Input.dispatchKeyEvent" DevTools method.)

<see href="https://source.chromium.org/chromium/chromium/src/+/master:third_party/blink/renderer/core/editing/commands/editor_command_names.h">See the Chromium sources.)

Values
  • ecNone
  • ecAlignCenter
  • ecAlignJustified
  • ecAlignLeft
  • ecAlignRight
  • ecBackColor
  • ecBackwardDelete
  • ecBold
  • ecCopy
  • ecCreateLink
  • ecCut
  • ecDefaultParagraphSeparator
  • ecDelete
  • ecDeleteBackward
  • ecDeleteBackwardByDecomposingPreviousCharacter
  • ecDeleteForward
  • ecDeleteToBeginningOfLine
  • ecDeleteToBeginningOfParagraph
  • ecDeleteToEndOfLine
  • ecDeleteToEndOfParagraph
  • ecDeleteToMark
  • ecDeleteWordBackward
  • ecDeleteWordForward
  • ecFindString
  • ecFontName
  • ecFontSize
  • ecFontSizeDelta
  • ecForeColor
  • ecFormatBlock
  • ecForwardDelete
  • ecHiliteColor
  • ecIgnoreSpelling
  • ecIndent
  • ecInsertBacktab
  • ecInsertHorizontalRule
  • ecInsertHTML
  • ecInsertImage
  • ecInsertLineBreak
  • ecInsertNewline
  • ecInsertNewlineInQuotedContent
  • ecInsertOrderedList
  • ecInsertParagraph
  • ecInsertTab
  • ecInsertText
  • ecInsertUnorderedList
  • ecItalic
  • ecJustifyCenter
  • ecJustifyFull
  • ecJustifyLeft
  • ecJustifyNone
  • ecJustifyRight
  • ecMakeTextWritingDirectionLeftToRight
  • ecMakeTextWritingDirectionNatural
  • ecMakeTextWritingDirectionRightToLeft
  • ecMoveBackward
  • ecMoveBackwardAndModifySelection
  • ecMoveDown
  • ecMoveDownAndModifySelection
  • ecMoveForward
  • ecMoveForwardAndModifySelection
  • ecMoveLeft
  • ecMoveLeftAndModifySelection
  • ecMovePageDown
  • ecMovePageDownAndModifySelection
  • ecMovePageUp
  • ecMovePageUpAndModifySelection
  • ecMoveParagraphBackward
  • ecMoveParagraphBackwardAndModifySelection
  • ecMoveParagraphForward
  • ecMoveParagraphForwardAndModifySelection
  • ecMoveRight
  • ecMoveRightAndModifySelection
  • ecMoveToBeginningOfDocument
  • ecMoveToBeginningOfDocumentAndModifySelection
  • ecMoveToBeginningOfLine
  • ecMoveToBeginningOfLineAndModifySelection
  • ecMoveToBeginningOfParagraph
  • ecMoveToBeginningOfParagraphAndModifySelection
  • ecMoveToBeginningOfSentence
  • ecMoveToBeginningOfSentenceAndModifySelection
  • ecMoveToEndOfDocument
  • ecMoveToEndOfDocumentAndModifySelection
  • ecMoveToEndOfLine
  • ecMoveToEndOfLineAndModifySelection
  • ecMoveToEndOfParagraph
  • ecMoveToEndOfParagraphAndModifySelection
  • ecMoveToEndOfSentence
  • ecMoveToEndOfSentenceAndModifySelection
  • ecMoveToLeftEndOfLine
  • ecMoveToLeftEndOfLineAndModifySelection
  • ecMoveToRightEndOfLine
  • ecMoveToRightEndOfLineAndModifySelection
  • ecMoveUp
  • ecMoveUpAndModifySelection
  • ecMoveWordBackward
  • ecMoveWordBackwardAndModifySelection
  • ecMoveWordForward
  • ecMoveWordForwardAndModifySelection
  • ecMoveWordLeft
  • ecMoveWordLeftAndModifySelection
  • ecMoveWordRight
  • ecMoveWordRightAndModifySelection
  • ecOutdent
  • ecOverWrite
  • ecPaste
  • ecPasteAndMatchStyle
  • ecPasteGlobalSelection
  • ecPrint
  • ecRedo
  • ecRemoveFormat
  • ecScrollLineDown
  • ecScrollLineUp
  • ecScrollPageBackward
  • ecScrollPageForward
  • ecScrollToBeginningOfDocument
  • ecScrollToEndOfDocument
  • ecSelectAll
  • ecSelectLine
  • ecSelectParagraph
  • ecSelectSentence
  • ecSelectToMark
  • ecSelectWord
  • ecSetMark
  • ecStrikethrough
  • ecStyleWithCSS
  • ecSubscript
  • ecSuperscript
  • ecSwapWithMark
  • ecToggleBold
  • ecToggleItalic
  • ecToggleUnderline
  • ecTranspose
  • ecUnderline
  • ecUndo
  • ecUnlink
  • ecUnscript
  • ecUnselect
  • ecUseCSS
  • ecYank
  • ecYankAndSelect
TCefChannelLayout = (...);

Enumerates the various representations of the ordering of audio channels. Must be kept synchronized with media::ChannelLayout from Chromium. See media\base\channel_layout.h

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_channel_layout_t))

Values
  • CEF_CHANNEL_LAYOUT_NONE
  • CEF_CHANNEL_LAYOUT_UNSUPPORTED
  • CEF_CHANNEL_LAYOUT_MONO: Front C
  • CEF_CHANNEL_LAYOUT_STEREO: Front L, Front R
  • CEF_CHANNEL_LAYOUT_2_1: Front L, Front R, Back C
  • CEF_CHANNEL_LAYOUT_SURROUND: Front L, Front R, Front C
  • CEF_CHANNEL_LAYOUT_4_0: Front L, Front R, Front C, Back C
  • CEF_CHANNEL_LAYOUT_2_2: Front L, Front R, Side L, Side R
  • CEF_CHANNEL_LAYOUT_QUAD: Front L, Front R, Back L, Back R
  • CEF_CHANNEL_LAYOUT_5_0: Front L, Front R, Front C, Side L, Side R
  • CEF_CHANNEL_LAYOUT_5_1: Front L, Front R, Front C, LFE, Side L, Side R
  • CEF_CHANNEL_LAYOUT_5_0_BACK: Front L, Front R, Front C, Back L, Back R
  • CEF_CHANNEL_LAYOUT_5_1_BACK: Front L, Front R, Front C, LFE, Back L, Back R
  • CEF_CHANNEL_LAYOUT_7_0: Front L, Front R, Front C, Back L, Back R, Side L, Side R
  • CEF_CHANNEL_LAYOUT_7_1: Front L, Front R, Front C, LFE, Back L, Back R, Side L, Side R
  • CEF_CHANNEL_LAYOUT_7_1_WIDE: Front L, Front R, Front C, LFE, Front LofC, Front RofC, Side L, Side R
  • CEF_CHANNEL_LAYOUT_STEREO_DOWNMIX: Front L, Front R
  • CEF_CHANNEL_LAYOUT_2POINT1: Front L, Front R, LFE
  • CEF_CHANNEL_LAYOUT_3_1: Front L, Front R, Front C, LFE
  • CEF_CHANNEL_LAYOUT_4_1: Front L, Front R, Front C, LFE, Back C
  • CEF_CHANNEL_LAYOUT_6_0: Front L, Front R, Front C, Back C, Side L, Side R
  • CEF_CHANNEL_LAYOUT_6_0_FRONT: Front L, Front R, Front LofC, Front RofC, Side L, Side R
  • CEF_CHANNEL_LAYOUT_HEXAGONAL: Front L, Front R, Front C, Back L, Back R, Back C
  • CEF_CHANNEL_LAYOUT_6_1: Front L, Front R, Front C, LFE, Back C, Side L, Side R
  • CEF_CHANNEL_LAYOUT_6_1_BACK: Front L, Front R, Front C, LFE, Back L, Back R, Back C
  • CEF_CHANNEL_LAYOUT_6_1_FRONT: Front L, Front R, LFE, Front LofC, Front RofC, Side L, Side R
  • CEF_CHANNEL_LAYOUT_7_0_FRONT: Front L, Front R, Front C, Front LofC, Front RofC, Side L, Side R
  • CEF_CHANNEL_LAYOUT_7_1_WIDE_BACK: Front L, Front R, Front C, LFE, Back L, Back R, Front LofC, Front RofC
  • CEF_CHANNEL_LAYOUT_OCTAGONAL: Front L, Front R, Front C, Back L, Back R, Back C, Side L, Side R
  • CEF_CHANNEL_LAYOUT_DISCRETE: Channels are not explicitly mapped to speakers.
  • CEF_CHANNEL_LAYOUT_STEREO_AND_KEYBOARD_MIC: Deprecated, but keeping the enum value for UMA consistency. Front L, Front R, Front C. Front C contains the keyboard mic audio. This layout is only intended for input for WebRTC. The Front C channel is stripped away in the WebRTC audio input pipeline and never seen outside of that.
  • CEF_CHANNEL_LAYOUT_4_1_QUAD_SIDE: Front L, Front R, LFE, Side L, Side R
  • CEF_CHANNEL_LAYOUT_BITSTREAM: Actual channel layout is specified in the bitstream and the actual channel count is unknown at Chromium media pipeline level (useful for audio pass-through mode).
  • CEF_CHANNEL_LAYOUT_5_1_4_DOWNMIX: Front L, Front R, Front C, LFE, Side L, Side R, Front Height L, Front Height R, Rear Height L, Rear Height R Will be represented as six channels (5.1) due to eight channel limit kMaxConcurrentChannels
  • CEF_CHANNEL_LAYOUT_1_1: Front C, LFE
  • CEF_CHANNEL_LAYOUT_3_1_BACK: Front L, Front R, LFE, Back C
  • CEF_CHANNEL_NUM_VALUES
TCefCookieSameSite = (...);

Cookie same site values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_cookie_same_site_t))

Values
  • CEF_COOKIE_SAME_SITE_UNSPECIFIED
  • CEF_COOKIE_SAME_SITE_NO_RESTRICTION
  • CEF_COOKIE_SAME_SITE_LAX_MODE
  • CEF_COOKIE_SAME_SITE_STRICT_MODE
  • CEF_COOKIE_SAME_SITE_NUM_VALUES
TCefPaintElementType = (...);

Paint element types.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_paint_element_type_t))

Values
  • PET_VIEW
  • PET_POPUP
TCefCursorType = (...);

Cursor type values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_cursor_type_t))

Values
  • CT_POINTER
  • CT_CROSS
  • CT_HAND
  • CT_IBEAM
  • CT_WAIT
  • CT_HELP
  • CT_EASTRESIZE
  • CT_NORTHRESIZE
  • CT_NORTHEASTRESIZE
  • CT_NORTHWESTRESIZE
  • CT_SOUTHRESIZE
  • CT_SOUTHEASTRESIZE
  • CT_SOUTHWESTRESIZE
  • CT_WESTRESIZE
  • CT_NORTHSOUTHRESIZE
  • CT_EASTWESTRESIZE
  • CT_NORTHEASTSOUTHWESTRESIZE
  • CT_NORTHWESTSOUTHEASTRESIZE
  • CT_COLUMNRESIZE
  • CT_ROWRESIZE
  • CT_MIDDLEPANNING
  • CT_EASTPANNING
  • CT_NORTHPANNING
  • CT_NORTHEASTPANNING
  • CT_NORTHWESTPANNING
  • CT_SOUTHPANNING
  • CT_SOUTHEASTPANNING
  • CT_SOUTHWESTPANNING
  • CT_WESTPANNING
  • CT_MOVE
  • CT_VERTICALTEXT
  • CT_CELL
  • CT_CONTEXTMENU
  • CT_ALIAS
  • CT_PROGRESS
  • CT_NODROP
  • CT_COPY
  • CT_NONE
  • CT_NOTALLOWED
  • CT_ZOOMIN
  • CT_ZOOMOUT
  • CT_GRAB
  • CT_GRABBING
  • CT_MIDDLE_PANNING_VERTICAL
  • CT_MIDDLE_PANNING_HORIZONTAL
  • CT_CUSTOM
  • CT_DND_NONE
  • CT_DND_MOVE
  • CT_DND_COPY
  • CT_DND_LIN
  • CT_NUM_VALUES
TCefNavigationType = (...);

Navigation types.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_navigation_type_t))

Values
  • NAVIGATION_LINK_CLICKED
  • NAVIGATION_FORM_SUBMITTED
  • NAVIGATION_BACK_FORWARD
  • NAVIGATION_RELOAD
  • NAVIGATION_FORM_RESUBMITTED
  • NAVIGATION_OTHER
  • NAVIGATION_NUM_VALUES
TCefProcessId = (...);

Existing process IDs.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_process_id_t))

Values
  • PID_BROWSER: Browser process.
  • PID_RENDERER: Renderer process.
TCefThreadId = (...);

Existing thread IDs.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_thread_id_t))

Values
  • TID_UI: BROWSER PROCESS THREADS – Only available in the browser process. <summary> The main thread in the browser. This will be the same as the main application thread if CefInitialize() is called with a TCefSettings.multi_threaded_message_loop value of false. Do not perform blocking tasks on this thread. All tasks posted after ICefBrowserProcessHandler.OnContextInitialized() and before CefShutdown() are guaranteed to run. This thread will outlive all other CEF threads. </summary>
  • TID_FILE_BACKGROUND: Used for blocking tasks like file system access where the user won't notice if the task takes an arbitrarily long time to complete. All tasks posted after ICefBrowserProcessHandler.OnContextInitialized() and before CefShutdown() are guaranteed to run.
  • TID_FILE_USER_VISIBLE: Used for blocking tasks like file system access that affect UI or responsiveness of future user interactions. Do not use if an immediate response to a user interaction is expected. All tasks posted after ICefBrowserProcessHandler.OnContextInitialized() and before CefShutdown() are guaranteed to run. Examples: - Updating the UI to reflect progress on a long task. - Loading data that might be shown in the UI after a future user interaction.
  • TID_FILE_USER_BLOCKING: Used for blocking tasks like file system access that affect UI immediately after a user interaction. All tasks posted after ICefBrowserProcessHandler.OnContextInitialized() and before CefShutdown() are guaranteed to run. Example: Generating data shown in the UI immediately after a click.
  • TID_PROCESS_LAUNCHER: Used to launch and terminate browser processes.
  • TID_IO: Used to process IPC and network messages. Do not perform blocking tasks on this thread. All tasks posted after ICefBrowserProcessHandler.OnContextInitialized() and before CefShutdown() are guaranteed to run.
  • TID_RENDERER: RENDER PROCESS THREADS – Only available in the render process. <summary> The main thread in the renderer. Used for all WebKit and V8 interaction. Tasks may be posted to this thread after ICefRenderProcessHandler.OnWebKitInitialized but are not guaranteed to run before sub-process termination (sub-processes may be killed at any time without warning). </summary>
  • TID_NUM_VALUES
TCefThreadPriority = (...);

Thread priority values listed in increasing order of importance.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_thread_priority_t))

Values
  • TP_BACKGROUND: Suitable for threads that shouldn't disrupt high priority work.
  • TP_NORMAL: Default priority level.
  • TP_DISPLAY: Suitable for threads which generate data for the display (at ~60Hz).
  • TP_REALTIME_AUDIO: Suitable for low-latency, glitch-resistant audio.
  • TP_NUM_VALUES
TCefMessageLoopType = (...);

Flags used to customize the behavior of CefURLRequest.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_message_loop_type_t))

Values
  • ML_TYPE_DEFAULT: Supports tasks and timers.
  • ML_TYPE_UI: Supports tasks, timers and native UI events (e.g. Windows messages).
  • ML_TYPE_IO: Supports tasks, timers and asynchronous IO events.
  • ML_NUM_VALUES
TCefCOMInitMode = (...);

Flags used to customize the behavior of CefURLRequest.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_com_init_mode_t))

Values
  • COM_INIT_MODE_NONE: No COM initialization.
  • COM_INIT_MODE_STA: Initialize COM using single-threaded apartments.
  • COM_INIT_MODE_MTA: Initialize COM using multi-threaded apartments.
TCefMouseButtonType = (...);

Mouse button types.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_mouse_button_type_t))

Values
  • MBT_LEFT
  • MBT_MIDDLE
  • MBT_RIGHT
TCefReturnValue = (...);

Return value types.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_return_value_t))

Values
  • RV_CANCEL = 0: Cancel immediately.
  • RV_CONTINUE: Continue immediately.
  • RV_CONTINUE_ASYNC: Continue asynchronously (usually via a callback).
TCefUrlRequestStatus = (...);

Flags that represent CefURLRequest status.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_urlrequest_status_t))

Values
  • UR_UNKNOWN = 0: Unknown status.
  • UR_SUCCESS: Request succeeded.
  • UR_IO_PENDING: An IO request is pending, and the caller will be informed when it is completed.
  • UR_CANCELED: Request was canceled programatically.
  • UR_FAILED: Request failed for some reason.
  • UR_NUM_VALUES
TCefTerminationStatus = (...);

Process termination status values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_termination_status_t))

Values
  • TS_ABNORMAL_TERMINATION: Non-zero exit status.
  • TS_PROCESS_WAS_KILLED: SIGKILL or task manager kill.
  • TS_PROCESS_CRASHED: Segmentation fault.
  • TS_PROCESS_OOM: Out of memory. Some platforms may use TS_PROCESS_CRASHED instead.
  • TS_LAUNCH_FAILED: Child process never launched.
  • TS_INTEGRITY_FAILURE: On Windows, the OS terminated the process due to code integrity failure.
  • TS_NUM_VALUES
TCefPathKey = (...);

Process termination status values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_path_key_t))

Values
  • PK_DIR_CURRENT: Current directory.
  • PK_DIR_EXE: Directory containing PK_FILE_EXE.
  • PK_DIR_MODULE: Directory containing PK_FILE_MODULE.
  • PK_DIR_TEMP: Temporary directory.
  • PK_FILE_EXE: Path and filename of the current executable.
  • PK_FILE_MODULE: Path and filename of the module containing the CEF code (usually the libcef module).
  • PK_LOCAL_APP_DATA: "Local Settings\Application Data" directory under the user profile directory on Windows.
  • PK_USER_DATA: "Application Data" directory under the user profile directory on Windows and "~/Library/Application Support" directory on MacOS.
  • PK_DIR_RESOURCES: Directory containing application resources. Can be configured via TCefSettings.resources_dir_path.
  • PK_NUM_VALUES
TCefStorageType = (...);

Storage types.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_storage_type_t))

Values
  • ST_LOCALSTORAGE = 0
  • ST_SESSIONSTORAGE
TCefResponseFilterStatus = (...);

Return values for ICefResponseFilter.Filter().

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_response_filter_status_t))

Values
  • RESPONSE_FILTER_NEED_MORE_DATA: Some or all of the pre-filter data was read successfully but more data is needed in order to continue filtering (filtered output is pending).
  • RESPONSE_FILTER_DONE: Some or all of the pre-filter data was read successfully and all available filtered output has been written.
  • RESPONSE_FILTER_ERROR: An error occurred during filtering.
TCefAlphaType = (...);

Describes how to interpret the alpha component of a pixel.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_alpha_type_t))

Values
  • CEF_ALPHA_TYPE_OPAQUE: No transparency. The alpha component is ignored.
  • CEF_ALPHA_TYPE_PREMULTIPLIED: Transparency with pre-multiplied alpha component.
  • CEF_ALPHA_TYPE_POSTMULTIPLIED: Transparency with post-multiplied alpha component.
TCefTextStyle = (...);

Text style types. Should be kepy in sync with gfx::TextStyle.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_text_style_t))

Values
  • CEF_TEXT_STYLE_BOLD
  • CEF_TEXT_STYLE_ITALIC
  • CEF_TEXT_STYLE_STRIKE
  • CEF_TEXT_STYLE_DIAGONAL_STRIKE
  • CEF_TEXT_STYLE_UNDERLINE
  • CEF_TEXT_STYLE_NUM_VALUES
TCefAxisAlignment = (...);

Specifies where along the axis the CefBoxLayout child views should be laid out. Should be kept in sync with Chromium's views::LayoutAlignment type.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_axis_alignment_t))

Values
  • CEF_AXIS_ALIGNMENT_START: Child views will be left/top-aligned.
  • CEF_AXIS_ALIGNMENT_CENTER: Child views will be center-aligned.
  • CEF_AXIS_ALIGNMENT_END: Child views will be right/bottom-aligned.
  • CEF_AXIS_ALIGNMENT_STRETCH: Child views will be stretched to fit.
  • CEF_AXIS_ALIGNMENT_NUM_VALUES
TCefPdfPrintMarginType = (...);

Margin type for PDF printing.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_pdf_print_margin_type_t))

Values
  • PDF_PRINT_MARGIN_DEFAULT: Default margins of 1cm (~0.4 inches).
  • PDF_PRINT_MARGIN_NONE: No margins.
  • PDF_PRINT_MARGIN_CUSTOM: Custom margins using the |margin_*| values from TCefPdfPrintSettings.
TCefColorModel = (...);

Print job color mode values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_color_model_t))

Values
  • COLOR_MODEL_UNKNOWN
  • COLOR_MODEL_GRAY
  • COLOR_MODEL_COLOR
  • COLOR_MODEL_CMYK
  • COLOR_MODEL_CMY
  • COLOR_MODEL_KCMY
  • COLOR_MODEL_CMY_K: CMY_K represents CMY+K.
  • COLOR_MODEL_BLACK
  • COLOR_MODEL_GRAYSCALE
  • COLOR_MODEL_RGB
  • COLOR_MODEL_RGB16
  • COLOR_MODEL_RGBA
  • COLOR_MODEL_COLORMODE_COLOR: Used in samsung printer ppds.
  • COLOR_MODEL_COLORMODE_MONOCHROME: Used in samsung printer ppds.
  • COLOR_MODEL_HP_COLOR_COLOR: Used in HP color printer ppds.
  • COLOR_MODEL_HP_COLOR_BLACK: Used in HP color printer ppds.
  • COLOR_MODEL_PRINTOUTMODE_NORMAL: Used in foomatic ppds.
  • COLOR_MODEL_PRINTOUTMODE_NORMAL_GRAY: Used in foomatic ppds.
  • COLOR_MODEL_PROCESSCOLORMODEL_CMYK: Used in canon printer ppds.
  • COLOR_MODEL_PROCESSCOLORMODEL_GREYSCALE: Used in canon printer ppds.
  • COLOR_MODEL_PROCESSCOLORMODEL_RGB: Used in canon printer ppds
  • COLOR_MODEL_NUM_VALUES
TCefJsonParserOptions = (...);

Options that can be passed to CefParseJSON.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_json_parser_options_t))

Values
  • JSON_PARSER_RFC = 0: Parses the input strictly according to RFC 4627. See comments in Chromium's base/json/json_reader.h file for known limitations/ deviations from the RFC.
  • JSON_PARSER_ALLOW_TRAILING_COMMAS = 1shl0: Allows commas to exist after the last element in structures.
TCefXmlEncodingType = (...);

Supported XML encoding types. The parser supports ASCII, ISO-8859-1, and UTF16 (LE and BE) by default. All other types must be translated to UTF8 before being passed to the parser. If a BOM is detected and the correct decoder is available then that decoder will be used automatically.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_xml_encoding_type_t))

Values
  • XML_ENCODING_NONE = 0
  • XML_ENCODING_UTF8
  • XML_ENCODING_UTF16LE
  • XML_ENCODING_UTF16BE
  • XML_ENCODING_ASCII
  • XML_ENCODING_NUM_VALUES
TCefXmlNodeType = (...);

XML node types.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_xml_node_type_t))

Values
  • XML_NODE_UNSUPPORTED = 0
  • XML_NODE_PROCESSING_INSTRUCTION
  • XML_NODE_DOCUMENT_TYPE
  • XML_NODE_ELEMENT_START
  • XML_NODE_ELEMENT_END
  • XML_NODE_ATTRIBUTE
  • XML_NODE_TEXT
  • XML_NODE_CDATA
  • XML_NODE_ENTITY_REFERENCE
  • XML_NODE_WHITESPACE
  • XML_NODE_COMMENT
  • XML_NODE_NUM_VALUES
TCefDomEventPhase = (...);

DOM event processing phases.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_dom_event_phase_t))

Values
  • DOM_EVENT_PHASE_UNKNOWN
  • DOM_EVENT_PHASE_CAPTURING
  • DOM_EVENT_PHASE_AT_TARGET
  • DOM_EVENT_PHASE_BUBBLING
  • DOM_EVENT_PHASE_NUM_VALUES
TCefButtonState = (...);

Specifies the button display state.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_button_state_t))

Values
  • CEF_BUTTON_STATE_NORMAL
  • CEF_BUTTON_STATE_HOVERED
  • CEF_BUTTON_STATE_PRESSED
  • CEF_BUTTON_STATE_DISABLED
  • CEF_BUTTON_STATE_NUM_VALUES
TCefHorizontalAlignment = (...);

Specifies the horizontal text alignment mode.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_horizontal_alignment_t))

Values
  • CEF_HORIZONTAL_ALIGNMENT_LEFT: Align the text's left edge with that of its display area.
  • CEF_HORIZONTAL_ALIGNMENT_CENTER: Align the text's center with that of its display area.
  • CEF_HORIZONTAL_ALIGNMENT_RIGHT: Align the text's right edge with that of its display area.
TCefMenuAnchorPosition = (...);

Specifies how a menu will be anchored for non-RTL languages. The opposite position will be used for RTL languages.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_menu_anchor_position_t))

Values
  • CEF_MENU_ANCHOR_TOPLEFT
  • CEF_MENU_ANCHOR_TOPRIGHT
  • CEF_MENU_ANCHOR_BOTTOMCENTER
  • CEF_MENU_ANCHOR_NUM_VALUES
TCefMenuColorType = (...);

Supported color types for menu items.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_menu_color_type_t))

Values
  • CEF_MENU_COLOR_TEXT
  • CEF_MENU_COLOR_TEXT_HOVERED
  • CEF_MENU_COLOR_TEXT_ACCELERATOR
  • CEF_MENU_COLOR_TEXT_ACCELERATOR_HOVERED
  • CEF_MENU_COLOR_BACKGROUND
  • CEF_MENU_COLOR_BACKGROUND_HOVERED
  • CEF_MENU_COLOR_NUM_VALUES
TCefCompositionUnderlineStyle = (...);

Composition underline style.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_composition_underline_style_t))

Values
  • CEF_CUS_SOLID
  • CEF_CUS_DOT
  • CEF_CUS_DASH
  • CEF_CUS_NONE
  • CEF_CUS_NUM_VALUES
TCefPermissionRequestResult = (...);

Permission request results.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_permission_request_result_t))

Values
  • CEF_PERMISSION_RESULT_ACCEPT: Accept the permission request as an explicit user action.
  • CEF_PERMISSION_RESULT_DENY: Deny the permission request as an explicit user action.
  • CEF_PERMISSION_RESULT_DISMISS: Dismiss the permission request as an explicit user action.
  • CEF_PERMISSION_RESULT_IGNORE: Ignore the permission request. If the prompt remains unhandled (e.g. OnShowPermissionPrompt returns false and there is no default permissions UI) then any related promises may remain unresolved.
  • CEF_PERMISSION_RESULT_NUM_VALUES
TCefPreferencesType = (...);

Preferences type passed to ICefBrowserProcessHandler.OnRegisterCustomPreferences.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_preferences_type_t))

Values
  • CEF_PREFERENCES_TYPE_GLOBAL: Global preferences registered a single time at application startup.
  • CEF_PREFERENCES_TYPE_REQUEST_CONTEXT: Request context preferences registered each time a new CefRequestContext is created.
  • CEF_PREFERENCES_TYPE_NUM_VALUES
TCefGestureCommand = (...);

Specifies the gesture commands.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_gesture_command_t))

Values
  • CEF_GESTURE_COMMAND_BACK
  • CEF_GESTURE_COMMAND_FORWARD
TCefZoomCommand = (...);

Specifies the zoom commands supported by ICefBrowserHost.Zoom.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_zoom_command_t))

Values
  • CEF_ZOOM_COMMAND_OUT
  • CEF_ZOOM_COMMAND_RESET
  • CEF_ZOOM_COMMAND_IN
TCefColorVariant = (...);

Specifies the color variants supported by ICefRequestContext.SetChromeThemeColor.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_color_variant_t))

Values
  • CEF_COLOR_VARIANT_SYSTEM
  • CEF_COLOR_VARIANT_LIGHT
  • CEF_COLOR_VARIANT_DARK
  • CEF_COLOR_VARIANT_TONAL_SPOT
  • CEF_COLOR_VARIANT_NEUTRAL
  • CEF_COLOR_VARIANT_VIBRANT
  • CEF_COLOR_VARIANT_EXPRESSIVE
  • CEF_COLOR_VARIANT_NUM_VALUES
TCefTestCertType = (...);

Specifies the gesture commands.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_test_cert_type_t))

Values
  • CEF_TEST_CERT_OK_IP: Valid certificate using the IP (127.0.0.1). Loads the "ok_cert.pem" file.
  • CEF_TEST_CERT_OK_DOMAIN: Valid certificate using the domain ("localhost"). Loads the "localhost_cert.pem" file.
  • CEF_TEST_CERT_EXPIRED: Expired certificate. Loads the "expired_cert.pem" file.
  • CEF_TEST_CERT_NUM_VALUES
TCefChromePageActionIconType = (...);

Chrome page action icon types. Should be kept in sync with Chromium's PageActionIconType type.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_chrome_page_action_icon_type_t))

Values
  • CEF_CPAIT_BOOKMARK_STAR
  • CEF_CPAIT_CLICK_TO_CALL
  • CEF_CPAIT_COOKIE_CONTROLS
  • CEF_CPAIT_FILE_SYSTEM_ACCESS
  • CEF_CPAIT_FIND
  • CEF_CPAIT_MEMORY_SAVER
  • CEF_CPAIT_INTENT_PICKER
  • CEF_CPAIT_LOCAL_CARD_MIGRATION
  • CEF_CPAIT_MANAGE_PASSWORDS
  • CEF_CPAIT_PAYMENTS_OFFER_NOTIFICATION
  • CEF_CPAIT_PRICE_TRACKING
  • CEF_CPAIT_PWA_INSTALL
  • CEF_CPAIT_QR_CODE_GENERATOR_DEPRECATED
  • CEF_CPAIT_READER_MODE_DEPRECATED
  • CEF_CPAIT_SAVE_AUTOFILL_ADDRESS
  • CEF_CPAIT_SAVE_CARD
  • CEF_CPAIT_SEND_TAB_TO_SELF_DEPRECATED
  • CEF_CPAIT_SHARING_HUB
  • CEF_CPAIT_SIDE_SEARCH_DEPRECATED
  • CEF_CPAIT_SMS_REMOTE_FETCHER
  • CEF_CPAIT_TRANSLATE
  • CEF_CPAIT_VIRTUAL_CARD_ENROLL
  • CEF_CPAIT_VIRTUAL_CARD_INFORMATION
  • CEF_CPAIT_ZOOM
  • CEF_CPAIT_SAVE_IBAN
  • CEF_CPAIT_MANDATORY_REAUTH
  • CEF_CPAIT_PRICE_INSIGHTS
  • CEF_CPAIT_READ_ANYTHING_DEPRECATED
  • CEF_CPAIT_PRODUCT_SPECIFICATIONS
  • CEF_CPAIT_LENS_OVERLAY
  • CEF_CPAIT_DISCOUNTS
  • CEF_CPAIT_OPTIMIZATION_GUIDE
  • CEF_CPAIT_COLLABORATION_MESSAGING
  • CEF_CPAIT_CHANGE_PASSWORD: * CEF_API_ADDED(13304) *
  • CEF_CPAIT_LENS_OVERLAY_HOMEWORK: * CEF_API_ADDED(13400) *
  • CEF_CPAIT_NUM_VALUES: * CEF_API_ADDED(13800) *
TCefTaskType = (...);

Specifies the task type variants supported by CefTaskManager. Should be kept in sync with Chromium's task_manager::Task::Type type.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_task_type_t))

Values
  • CEF_TASK_TYPE_UNKNOWN
  • CEF_TASK_TYPE_BROWSER: The main browser process.
  • CEF_TASK_TYPE_GPU: A graphics process.
  • CEF_TASK_TYPE_ZYGOTE: A Linux zygote process.
  • CEF_TASK_TYPE_UTILITY: A browser utility process.
  • CEF_TASK_TYPE_RENDERER: A normal WebContents renderer process.
  • CEF_TASK_TYPE_EXTENSION: An extension or app process.
  • CEF_TASK_TYPE_GUEST: A browser plugin guest process.
  • CEF_TASK_TYPE_PLUGIN: A plugin process.
  • CEF_TASK_TYPE_SANDBOX_HELPER: A sandbox helper process.
  • CEF_TASK_TYPE_DEDICATED_WORKER: A dedicated worker running on the renderer process.
  • CEF_TASK_TYPE_SHARED_WORKER: A shared worker running on the renderer process.
  • CEF_TASK_TYPE_SERVICE_WORKER: A service worker running on the renderer process.
  • CEF_TASK_TYPE_NUM_VALUES
TCefChromeToolbarButtonType = (...);

Chrome toolbar button types. Should be kept in sync with CEF's internal ToolbarButtonType type.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_time.h">CEF source file: /include/internal/cef_time.h (cef_chrome_toolbar_button_type_t))

Values
  • CEF_CTBT_CAST
  • CEF_CTBT_DOWNLOAD_DEPRECATED
  • CEF_CTBT_SEND_TAB_TO_SELF_DEPRECATED
  • CEF_CTBT_SIDE_PANEL
  • CEF_CTBT_NUM_VALUES
TCefCompositionUnderlineDynArray = array of TCefCompositionUnderline;

This item has no description.

TCefBaseTime = type int64;

Represents a wall clock time in UTC. Values are not guaranteed to be monotonically non-decreasing and are subject to large amounts of skew. Time is stored internally as microseconds since the Windows epoch (1601).

This is equivalent of Chromium `base::Time` (see base/time/time.h).

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_time.h">CEF source file: /include/internal/cef_time.h (cef_basetime_t))

TCefRuntimeStyle = (...);

CEF supports both a Chrome runtime style (based on the Chrome UI layer) and an Alloy runtime style (based on the Chromium content layer). Chrome style provides the full Chrome UI and browser functionality whereas Alloy style provides less default browser functionality but adds additional client callbacks and support for windowless (off-screen) rendering. The style type is individually configured for each window/browser at creation time and different styles can be mixed during runtime. For additional comparative details on runtime styles see https://bitbucket.org/chromiumembedded/cef/wiki/Architecture.md#markdown-header-cef3

Windowless rendering will always use Alloy style. Windowed rendering with a default window or client-provided parent window can configure the style via TCefWindowInfo.runtime_style. Windowed rendering with the Views framework can configure the style via ICefWindowDelegate.GetWindowRuntimeStyle and ICefBrowserViewDelegate.GetBrowserRuntimeStyle. Alloy style Windows with the Views framework can host only Alloy style BrowserViews but Chrome style Windows can host both style BrowserViews. Additionally, a Chrome style Window can host at most one Chrome style BrowserView but potentially multiple Alloy style BrowserViews. See TCefWindowInfo.runtime_style documentation for any additional platform-specific limitations.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types_runtime.h">CEF source file: /include/internal/cef_types_runtime.h (cef_runtime_style_t))

Values
  • CEF_RUNTIME_STYLE_DEFAULT: Use the default style. See above documentation for exceptions.
  • CEF_RUNTIME_STYLE_CHROME: Use Chrome style.
  • CEF_RUNTIME_STYLE_ALLOY: Use Alloy style.
TCefDraggableRegionArray = array[0..(High(Integer) div SizeOf(TCefDraggableRegion))-1] of TCefDraggableRegion;

This item has no description.

TCefSimulatedTouchPointArray = array of TCefSimulatedTouchPoint;

This item has no description.

TCefContentSettingTypes = (...);

Supported content setting types. Some types are platform-specific or only supported with Chrome style. Should be kept in sync with Chromium's ContentSettingsType type.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types_content_settings.h">CEF source file: /include/internal/cef_types_content_settings.h (cef_content_setting_types_t))

Values
  • CEF_CONTENT_SETTING_TYPE_COOKIES: This setting governs whether cookies are enabled by the user in the provided context. However, it may be overridden by other settings. This enum should NOT be read directly to determine whether cookies are enabled; the client should instead rely on the CookieSettings API.
  • CEF_CONTENT_SETTING_TYPE_IMAGES
  • CEF_CONTENT_SETTING_TYPE_JAVASCRIPT
  • CEF_CONTENT_SETTING_TYPE_POPUPS: This setting governs both popups and unwanted redirects like tab-unders and framebusting.
  • CEF_CONTENT_SETTING_TYPE_GEOLOCATION
  • CEF_CONTENT_SETTING_TYPE_NOTIFICATIONS
  • CEF_CONTENT_SETTING_TYPE_AUTO_SELECT_CERTIFICATE
  • CEF_CONTENT_SETTING_TYPE_MIXEDSCRIPT
  • CEF_CONTENT_SETTING_TYPE_MEDIASTREAM_MIC
  • CEF_CONTENT_SETTING_TYPE_MEDIASTREAM_CAMERA
  • CEF_CONTENT_SETTING_TYPE_PROTOCOL_HANDLERS
  • CEF_CONTENT_SETTING_TYPE_DEPRECATED_PPAPI_BROKER
  • CEF_CONTENT_SETTING_TYPE_AUTOMATIC_DOWNLOADS
  • CEF_CONTENT_SETTING_TYPE_MIDI_SYSEX: Advanced device-specific functions on MIDI devices. MIDI-SysEx communications can be used for changing the MIDI device's persistent state such as firmware.
  • CEF_CONTENT_SETTING_TYPE_SSL_CERT_DECISIONS
  • CEF_CONTENT_SETTING_TYPE_PROTECTED_MEDIA_IDENTIFIER
  • CEF_CONTENT_SETTING_TYPE_APP_BANNER
  • CEF_CONTENT_SETTING_TYPE_SITE_ENGAGEMENT
  • CEF_CONTENT_SETTING_TYPE_DURABLE_STORAGE
  • CEF_CONTENT_SETTING_TYPE_USB_CHOOSER_DATA
  • CEF_CONTENT_SETTING_TYPE_BLUETOOTH_GUARD
  • CEF_CONTENT_SETTING_TYPE_BACKGROUND_SYNC
  • CEF_CONTENT_SETTING_TYPE_AUTOPLAY
  • CEF_CONTENT_SETTING_TYPE_IMPORTANT_SITE_INFO
  • CEF_CONTENT_SETTING_TYPE_PERMISSION_AUTOBLOCKER_DATA
  • CEF_CONTENT_SETTING_TYPE_ADS
  • CEF_CONTENT_SETTING_TYPE_ADS_DATA: Website setting which stores metadata for the subresource filter to aid in decisions for whether or not to show the UI.
  • CEF_CONTENT_SETTING_TYPE_MIDI: MIDI stands for Musical Instrument Digital Interface. It is a standard that allows electronic musical instruments, computers, and other devices to communicate with each other.
  • CEF_CONTENT_SETTING_TYPE_PASSWORD_PROTECTION: This content setting type is for caching password protection service's verdicts of each origin.
  • CEF_CONTENT_SETTING_TYPE_MEDIA_ENGAGEMENT: Website setting which stores engagement data for media related to a specific origin.
  • CEF_CONTENT_SETTING_TYPE_SOUND: Content setting which stores whether or not the site can play audible sound. This will not block playback but instead the user will not hear it.
  • CEF_CONTENT_SETTING_TYPE_CLIENT_HINTS: Website setting which stores the list of client hints that the origin requested the browser to remember. The browser is expected to send all client hints in the HTTP request headers for every resource requested from that origin.
  • CEF_CONTENT_SETTING_TYPE_SENSORS: Generic Sensor API covering ambient-light-sensor, accelerometer, gyroscope and magnetometer are all mapped to a single content_settings_type. Setting for the Generic Sensor API covering ambient-light-sensor, accelerometer, gyroscope and magnetometer. These are all mapped to a single ContentSettingsType.
  • CEF_CONTENT_SETTING_TYPE_DEPRECATED_ACCESSIBILITY_EVENTS: Content setting which stores whether or not the user has granted the site permission to respond to accessibility events, which can be used to provide a custom accessibility experience. Requires explicit user consent because some users may not want sites to know they're using assistive technology. Deprecated in M131.
  • CEF_CONTENT_SETTING_TYPE_PAYMENT_HANDLER: Used to store whether to allow a website to install a payment handler.
  • CEF_CONTENT_SETTING_TYPE_USB_GUARD: Content setting which stores whether to allow sites to ask for permission to access USB devices. If this is allowed specific device permissions are stored under USB_CHOOSER_DATA.
  • CEF_CONTENT_SETTING_TYPE_BACKGROUND_FETCH: Nothing is stored in this setting at present. Please refer to BackgroundFetchPermissionContext for details on how this permission is ascertained.
  • CEF_CONTENT_SETTING_TYPE_INTENT_PICKER_DISPLAY: Website setting which stores the amount of times the user has dismissed intent picker UI without explicitly choosing an option.
  • CEF_CONTENT_SETTING_TYPE_IDLE_DETECTION: Used to store whether to allow a website to detect user active/idle state.
  • CEF_CONTENT_SETTING_TYPE_SERIAL_GUARD: Content settings for access to serial ports. The "guard" content setting stores whether to allow sites to ask for permission to access a port. The permissions granted to access particular ports are stored in the "chooser data" website setting.
  • CEF_CONTENT_SETTING_TYPE_SERIAL_CHOOSER_DATA
  • CEF_CONTENT_SETTING_TYPE_PERIODIC_BACKGROUND_SYNC: Nothing is stored in this setting at present. Please refer to PeriodicBackgroundSyncPermissionContext for details on how this permission is ascertained. This content setting is not registered because it does not require access to any existing providers.
  • CEF_CONTENT_SETTING_TYPE_BLUETOOTH_SCANNING: Content setting which stores whether to allow sites to ask for permission to do Bluetooth scanning.
  • CEF_CONTENT_SETTING_TYPE_HID_GUARD: Content settings for access to HID devices. The "guard" content setting stores whether to allow sites to ask for permission to access a device. The permissions granted to access particular devices are stored in the "chooser data" website setting.
  • CEF_CONTENT_SETTING_TYPE_HID_CHOOSER_DATA
  • CEF_CONTENT_SETTING_TYPE_WAKE_LOCK_SCREEN: Wake Lock API, which has two lock types: screen and system locks. Currently, screen locks do not need any additional permission, and system locks are always denied while the right UI is worked out.
  • CEF_CONTENT_SETTING_TYPE_WAKE_LOCK_SYSTEM
  • CEF_CONTENT_SETTING_TYPE_LEGACY_COOKIE_ACCESS:

    Legacy SameSite cookie behavior. This disables SameSite=Lax-by-default, SameSite=None requires Secure, and Schemeful Same-Site, forcing the legacy behavior wherein 1

    cookies that don't specify SameSite are treated as SameSite=None, 2) SameSite=None cookies are not required to be Secure, and 3) schemeful same-site is not active.

    This will also be used to revert to legacy behavior when future changes in cookie handling are introduced.

    )

  • CEF_CONTENT_SETTING_TYPE_FILE_SYSTEM_WRITE_GUARD: Content settings which stores whether to allow sites to ask for permission to save changes to an original file selected by the user through the File System Access API.
  • CEF_CONTENT_SETTING_TYPE_NFC: Used to store whether to allow a website to exchange data with NFC devices.
  • CEF_CONTENT_SETTING_TYPE_BLUETOOTH_CHOOSER_DATA: Website setting to store permissions granted to access particular Bluetooth devices.
  • CEF_CONTENT_SETTING_TYPE_CLIPBOARD_READ_WRITE: Full access to the system clipboard (sanitized read without user gesture, and unsanitized read and write with user gesture).
  • CEF_CONTENT_SETTING_TYPE_CLIPBOARD_SANITIZED_WRITE: This is special-cased in the permissions layer to always allow, and as such doesn't have associated prefs data.
  • CEF_CONTENT_SETTING_TYPE_SAFE_BROWSING_URL_CHECK_DATA: This content setting type is for caching safe browsing real time url check's verdicts of each origin.
  • CEF_CONTENT_SETTING_TYPE_VR: Used to store whether a site is allowed to request AR or VR sessions with the WebXr Device API.
  • CEF_CONTENT_SETTING_TYPE_AR
  • CEF_CONTENT_SETTING_TYPE_FILE_SYSTEM_READ_GUARD: Content setting which stores whether to allow site to open and read files and directories selected through the File System Access API.
  • CEF_CONTENT_SETTING_TYPE_STORAGE_ACCESS: Access to first party storage in a third-party context. Exceptions are scoped to the combination of requesting/top-level origin, and are managed through the Storage Access API. For the time being, this content setting exists in parallel to third-party cookie rules stored in COOKIES.
  • CEF_CONTENT_SETTING_TYPE_CAMERA_PAN_TILT_ZOOM: Content setting which stores whether to allow a site to control camera movements. It does not give access to camera.
  • CEF_CONTENT_SETTING_TYPE_WINDOW_MANAGEMENT: Content setting for Screen Enumeration and Screen Detail functionality. Permits access to detailed multi-screen information, like size and position. Permits placing fullscreen and windowed content on specific screens. See also: https://w3c.github.io/window-placement
  • CEF_CONTENT_SETTING_TYPE_INSECURE_PRIVATE_NETWORK_DEPRECATED: Stores whether to allow insecure websites to make private network requests. See also: https://wicg.github.io/cors-rfc1918 Set through enterprise policies only.
  • CEF_CONTENT_SETTING_TYPE_LOCAL_FONTS: Content setting which stores whether or not a site can access low-level locally installed font data using the Local Fonts Access API.
  • CEF_CONTENT_SETTING_TYPE_PERMISSION_AUTOREVOCATION_DATA: Stores per-origin state for permission auto-revocation (for all permission types).
  • CEF_CONTENT_SETTING_TYPE_FILE_SYSTEM_LAST_PICKED_DIRECTORY: Stores per-origin state of the most recently selected directory for the use by the File System Access API.
  • CEF_CONTENT_SETTING_TYPE_DISPLAY_CAPTURE: Controls access to the getDisplayMedia API.
  • CEF_CONTENT_SETTING_TYPE_FILE_SYSTEM_ACCESS_CHOOSER_DATA: Website setting to store permissions metadata granted to paths on the local file system via the File System Access API. |FILE_SYSTEM_WRITE_GUARD| is the corresponding "guard" setting. The stored data represents valid permission only if |FILE_SYSTEM_ACCESS_EXTENDED_PERMISSION| is enabled via user opt-in. Otherwise, they represent "recently granted but revoked permission", which are used to restore the permission.
  • CEF_CONTENT_SETTING_TYPE_FEDERATED_IDENTITY_SHARING: Stores a grant that allows a relying party to send a request for identity information to specified identity providers, potentially through any anti-tracking measures that would otherwise prevent it. This setting is associated with the relying party's origin.
  • CEF_CONTENT_SETTING_TYPE_JAVASCRIPT_JIT: Whether to use the v8 optimized JIT for running JavaScript on the page.
  • CEF_CONTENT_SETTING_TYPE_HTTP_ALLOWED: Content setting which stores user decisions to allow loading a site over HTTP. Entries are added by hostname when a user bypasses the HTTPS-First Mode interstitial warning when a site does not support HTTPS. Allowed hosts are exact hostname matches – subdomains of a host on the allowlist must be separately allowlisted.
  • CEF_CONTENT_SETTING_TYPE_FORMFILL_METADATA: Stores metadata related to form fill, such as e.g. whether user data was autofilled on a specific website.
  • CEF_CONTENT_SETTING_TYPE_DEPRECATED_FEDERATED_IDENTITY_ACTIVE_SESSION: Setting to indicate that there is an active federated sign-in session between a specified relying party and a specified identity provider for a specified account. When this is present it allows access to session management capabilities between the sites. This setting is associated with the relying party's origin. Obsolete on Nov 2023.
  • CEF_CONTENT_SETTING_TYPE_AUTO_DARK_WEB_CONTENT: Setting to indicate whether Chrome should automatically apply darkening to web content.
  • CEF_CONTENT_SETTING_TYPE_REQUEST_DESKTOP_SITE: Setting to indicate whether Chrome should request the desktop view of a site instead of the mobile one.
  • CEF_CONTENT_SETTING_TYPE_FEDERATED_IDENTITY_API: Setting to indicate whether browser should allow signing into a website via the browser FedCM API.
  • CEF_CONTENT_SETTING_TYPE_NOTIFICATION_INTERACTIONS: Stores notification interactions per origin for the past 90 days. Interactions per origin are pre-aggregated over seven-day windows: A notification interaction or display is assigned to the last Monday midnight in local time.
  • CEF_CONTENT_SETTING_TYPE_REDUCED_ACCEPT_LANGUAGE: Website setting which stores the last reduced accept language negotiated for a given origin, to be used on future visits to the origin.
  • CEF_CONTENT_SETTING_TYPE_NOTIFICATION_PERMISSION_REVIEW: Website setting which is used for NotificationPermissionReviewService to store origin blocklist from review notification permissions feature.
  • CEF_CONTENT_SETTING_TYPE_PRIVATE_NETWORK_GUARD: Website setting to store permissions granted to access particular devices in private network.
  • CEF_CONTENT_SETTING_TYPE_PRIVATE_NETWORK_CHOOSER_DATA
  • CEF_CONTENT_SETTING_TYPE_FEDERATED_IDENTITY_IDENTITY_PROVIDER_SIGNIN_STATUS: Website setting which stores whether the browser has observed the user signing into an identity-provider based on observing the IdP-SignIn-Status HTTP header.
  • CEF_CONTENT_SETTING_TYPE_REVOKED_UNUSED_SITE_PERMISSIONS: Website setting which is used for RevokedPermissionsService to store revoked permissions of unused sites from unused site permissions feature.
  • CEF_CONTENT_SETTING_TYPE_TOP_LEVEL_STORAGE_ACCESS: Similar to STORAGE_ACCESS, but applicable at the page-level rather than being specific to a frame.
  • CEF_CONTENT_SETTING_TYPE_FEDERATED_IDENTITY_AUTO_REAUTHN_PERMISSION: Setting to indicate whether user has opted in to allowing auto re-authn via the FedCM API.
  • CEF_CONTENT_SETTING_TYPE_FEDERATED_IDENTITY_IDENTITY_PROVIDER_REGISTRATION: Website setting which stores whether the user has explicitly registered a website as an identity-provider.
  • CEF_CONTENT_SETTING_TYPE_ANTI_ABUSE: Content setting which is used to indicate whether anti-abuse functionality should be enabled.
  • CEF_CONTENT_SETTING_TYPE_THIRD_PARTY_STORAGE_PARTITIONING: Content setting used to indicate whether third-party storage partitioning should be enabled.
  • CEF_CONTENT_SETTING_TYPE_HTTPS_ENFORCED: Used to indicate whether HTTPS-First Mode is enabled on the hostname.
  • CEF_CONTENT_SETTING_TYPE_ALL_SCREEN_CAPTURE: Setting for enabling the `getAllScreensMedia` API. Spec link: https://github.com/screen-share/capture-all-screens
  • CEF_CONTENT_SETTING_TYPE_COOKIE_CONTROLS_METADATA: Stores per origin metadata for cookie controls.
  • CEF_CONTENT_SETTING_TYPE_TPCD_HEURISTICS_GRANTS: Content Setting for temporary 3PC accesses granted by user behavior heuristics.
  • CEF_CONTENT_SETTING_TYPE_TPCD_METADATA_GRANTS: Content Setting for 3PC accesses granted by metadata delivered via the component updater service. This type will only be used when `net::features::kTpcdMetadataGrants` is enabled.
  • CEF_CONTENT_SETTING_TYPE_TPCD_TRIAL: Content Setting for 3PC accesses granted via 3PC deprecation trial.
  • CEF_CONTENT_SETTING_TYPE_TOP_LEVEL_TPCD_TRIAL: Content Setting for 3PC accesses granted via top-level 3PC deprecation trial. Similar to TPCD_TRIAL, but applicable at the page-level for the lifetime of the page that served the token, rather than being specific to a requesting-origin/top-level-site combination and persistent.
  • CEF_CONTENT_SETTING_TYPE_TOP_LEVEL_TPCD_ORIGIN_TRIAL:

    Content Setting for a first-party origin trial that allows websites to enable third-party cookie deprecation.

    ALLOW (default): no effect (e.g. third-party cookies allowed, if not blocked otherwise).

    BLOCK: third-party cookies blocked, but 3PCD mitigations enabled.

  • CEF_CONTENT_SETTING_TYPE_AUTO_PICTURE_IN_PICTURE: Content setting used to indicate whether entering picture-in-picture automatically should be enabled.
  • CEF_CONTENT_SETTING_TYPE_FILE_SYSTEM_ACCESS_EXTENDED_PERMISSION: Whether user has opted into keeping file/directory permissions persistent between visits for a given origin. When enabled, permission metadata stored under |FILE_SYSTEM_ACCESS_CHOOSER_DATA| can auto-grant incoming permission request.
  • CEF_CONTENT_SETTING_TYPE_FILE_SYSTEM_ACCESS_RESTORE_PERMISSION: Whether the FSA Persistent Permissions restore prompt is eligible to be shown to the user, for a given origin.
  • CEF_CONTENT_SETTING_TYPE_CAPTURED_SURFACE_CONTROL: Whether an application capturing another tab, may scroll and zoom the captured tab.
  • CEF_CONTENT_SETTING_TYPE_SMART_CARD_GUARD: Content setting for access to smart card readers. The "guard" content setting stores whether to allow sites to access the Smart Card API.
  • CEF_CONTENT_SETTING_TYPE_SMART_CARD_DATA
  • CEF_CONTENT_SETTING_TYPE_WEB_PRINTING: Content settings for access to printers for the Web Printing API.
  • CEF_CONTENT_SETTING_TYPE_AUTOMATIC_FULLSCREEN: Content setting used to indicate whether entering HTML Fullscreen automatically (i.e. without transient activation) should be enabled.
  • CEF_CONTENT_SETTING_TYPE_SUB_APP_INSTALLATION_PROMPTS: Content settings used to indicate that a web app is allowed to prompt the user for the installation of sub apps.
  • CEF_CONTENT_SETTING_TYPE_SPEAKER_SELECTION: Whether an application can enumerate audio output device.
  • CEF_CONTENT_SETTING_TYPE_DIRECT_SOCKETS: Content settings for access to the Direct Sockets API.
  • CEF_CONTENT_SETTING_TYPE_KEYBOARD_LOCK: Keyboard Lock API allows a site to capture keyboard inputs that would otherwise be handled by the OS or the browser.
  • CEF_CONTENT_SETTING_TYPE_POINTER_LOCK: Pointer Lock API allows a site to hide the cursor and have exclusive access to mouse inputs.
  • CEF_CONTENT_SETTING_TYPE_REVOKED_ABUSIVE_NOTIFICATION_PERMISSIONS: Website setting which is used for RevokedPermissionsService to store auto-revoked notification permissions from abusive sites.
  • CEF_CONTENT_SETTING_TYPE_TRACKING_PROTECTION:

    Content setting that controls tracking protection status per site.

    BLOCK: Protections enabled. This is the default state.

    ALLOW: Protections disabled.

  • CEF_CONTENT_SETTING_TYPE_DISPLAY_MEDIA_SYSTEM_AUDIO: With this permission, when the application calls `getDisplayMedia()`, a system audio track can be returned without showing the display media selection picker. The application can explicitly specify `systemAudio: 'exclude'` or `video: true` to still show the display media selection picker if needed. Please note that the setting only works for WebUI.
  • CEF_CONTENT_SETTING_TYPE_JAVASCRIPT_OPTIMIZER: Whether to use the higher-tier v8 optimizers for running JavaScript on the page.
  • CEF_CONTENT_SETTING_TYPE_STORAGE_ACCESS_HEADER_ORIGIN_TRIAL:

    Content Setting for the Storage Access Headers persistent origin trial that allows origins to opt into the storage access header behavior. Should be scoped to `REQUESTING_ORIGIN_AND_TOP_SCHEMEFUL_SITE_SCOPE` in order to correspond to the design of persistent origin trials.

    ALLOW: storage access request headers will be attached to cross-site requests, and url requests will look for response headers from origins to retry a request or load with storage access.

    BLOCK (default): no effect.

    <see href="https://github.com/cfredric/storage-access-headers">See also: https://github.com/cfredric/storage-access-headers.)

  • CEF_CONTENT_SETTING_TYPE_HAND_TRACKING: Whether or not sites can request Hand Tracking data within WebXR Sessions.
  • CEF_CONTENT_SETTING_TYPE_WEB_APP_INSTALLATION: Website setting to indicate whether user has opted in to allow web apps to install other web apps.
  • CEF_CONTENT_SETTING_TYPE_DIRECT_SOCKETS_PRIVATE_NETWORK_ACCESS: Content settings for private network access in the context of the Direct Sockets API.
  • CEF_CONTENT_SETTING_TYPE_LEGACY_COOKIE_SCOPE: Content settings for legacy cookie scope. Checks whether cookies scope is handled according to origin-bound cookies or legacy behavior.
  • CEF_CONTENT_SETTING_TYPE_ARE_SUSPICIOUS_NOTIFICATIONS_ALLOWLISTED_BY_USER: Website setting to indicate whether the user has allowlisted suspicious notifications for the origin.
  • CEF_CONTENT_SETTING_TYPE_CONTROLLED_FRAME: Content settings for access to the Controlled Frame API.
  • CEF_CONTENT_SETTING_TYPE_REVOKED_DISRUPTIVE_NOTIFICATION_PERMISSIONS: Website setting which is used for RevokedPermissionsService to store revoked notification permissions of disruptive sites.
  • CEF_CONTENT_SETTING_TYPE_LOCAL_NETWORK_ACCESS: Content setting for whether the site is allowed to make local network requests.
  • CEF_CONTENT_SETTING_TYPE_ON_DEVICE_SPEECH_RECOGNITION_LANGUAGES_DOWNLOADED: Stores information on-device language packs for which a site has installed using the Web Speech API.
  • CEF_CONTENT_SETTING_TYPE_INITIALIZED_TRANSLATIONS: Stores which Translator API language packs the site has initialized.
  • CEF_CONTENT_SETTING_TYPE_SUSPICIOUS_NOTIFICATION_IDS: Stores a list of notification ids where content detection found the notification to be suspicious and a warning has already been shown for the site. Used for recovering notification contents from the database if the user decides they would like to see all of these notifications.
  • CEF_CONTENT_SETTING_TYPE_NUM_VALUES: * CEF_API_ADDED(13800) *
TCefContentSettingValues = (...);

Supported content setting values. Should be kept in sync with Chromium's ContentSetting type.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types_content_settings.h">CEF source file: /include/internal/cef_types_content_settings.h (cef_content_setting_values_t))

Values
  • CEF_CONTENT_SETTING_VALUE_DEFAULT
  • CEF_CONTENT_SETTING_VALUE_ALLOW
  • CEF_CONTENT_SETTING_VALUE_BLOCK
  • CEF_CONTENT_SETTING_VALUE_ASK
  • CEF_CONTENT_SETTING_VALUE_SESSION_ONLY
  • CEF_CONTENT_SETTING_VALUE_DETECT_IMPORTANT_CONTENT
  • CEF_CONTENT_SETTING_VALUE_NUM_VALUES
PCefV8ValueArray = array[0..(High(Integer) div SizeOf(Pointer)) - 1] of PCefV8Value;

This item has no description.


cef4delphi: uCEFTypes: Record TCefSize

Record TCefSize

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefSize = record

Description

Structure representing a size.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types_geometry.h">CEF source file: /include/internal/cef_types_geometry.h (cef_size_t))

Overview

Fields

Public | width: Integer;
Public | height: Integer;

Description

Fields

Public width: Integer;

This item has no description.

Public height: Integer;

This item has no description.


cef4delphi: uCEFTypes: Record TCefRect

Record TCefRect

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefRect = record

Description

Structure representing a rectangle.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types_geometry.h">CEF source file: /include/internal/cef_types_geometry.h (cef_rect_t))

Overview

Fields

Public | x: Integer;
Public | y: Integer;
Public | width: Integer;
Public | height: Integer;

Description

Fields

Public x: Integer;

This item has no description.

Public y: Integer;

This item has no description.

Public width: Integer;

This item has no description.

Public height: Integer;

This item has no description.


cef4delphi: uCEFTypes: Record TCefAcceleratedPaintInfoCommon

Record TCefAcceleratedPaintInfoCommon

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefAcceleratedPaintInfoCommon = record

Description

Structure containing shared texture common metadata. For documentation on each field, please refer to src/media/base/video_frame_metadata.h for actual details.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types_osr.h">CEF source file: /include/internal/cef_types_osr.h (cef_accelerated_paint_info_common_t))

Overview

Fields

Public | size: NativeUInt;
Public | timestamp: uint64;
Public | coded_size: TCefSize;
Public | visible_rect: TCefRect;
Public | content_rect: TCefRect;
Public | source_size: TCefSize;
Public | capture_update_rect: TCefRect;
Public | region_capture_rect: TCefRect;
Public | capture_counter: uint64;
Public | has_capture_update_rect: byte;
Public | has_region_capture_rect: byte;
Public | has_source_size: byte;
Public | has_capture_counter: byte;

Description

Fields

Public size: NativeUInt;

Size of this structure.

Public timestamp: uint64;

Timestamp of the frame in microseconds since capture start.

Public coded_size: TCefSize;

The full dimensions of the video frame.

Public visible_rect: TCefRect;

The visible area of the video frame.

Public content_rect: TCefRect;

The region of the video frame that capturer would like to populate.

Public source_size: TCefSize;

Full size of the source frame.

Public capture_update_rect: TCefRect;

Updated area of frame, can be considered as the `dirty` area.

Public region_capture_rect: TCefRect;

May reflects where the frame's contents originate from if region capture is used internally.

Public capture_counter: uint64;

The increamental counter of the frame.

Public has_capture_update_rect: byte;

Optional flag of capture_update_rect

Public has_region_capture_rect: byte;

Optional flag of region_capture_rect

Public has_source_size: byte;

Optional flag of source_size

Public has_capture_counter: byte;

Optional flag of capture_counter


cef4delphi: uCEFTypes: Record TCefAcceleratedPaintInfo

Record TCefAcceleratedPaintInfo

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefAcceleratedPaintInfo = record

Description

Structure containing shared texture information for the OnAcceleratedPaint callback. Resources will be released to the underlying pool for reuse when the callback returns from client code.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types_win.h">CEF source file: /include/internal/cef_types_win.h (cef_accelerated_paint_info_t))

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types_mac.h">CEF source file: /include/internal/cef_types_mac.h (cef_accelerated_paint_info_t))

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types_linux.h">CEF source file: /include/internal/cef_types_linux.h (cef_accelerated_paint_info_t))

Overview

Fields

Public | size: NativeUInt;
Public | shared_texture_handle: TCefSharedTextureHandle;
Public | format: TCefColorType;
Public | extra: TCefAcceleratedPaintInfoCommon;

Description

Fields

Public size: NativeUInt;

Size of this structure.

Public shared_texture_handle: TCefSharedTextureHandle;

Handle for the shared texture. The shared texture is instantiated without a keyed mutex.

Public format: TCefColorType;

The pixel format of the texture.

Public extra: TCefAcceleratedPaintInfoCommon;

The extra common info.


cef4delphi: uCEFTypes: Record TCefVersionInfoEx

Record TCefVersionInfoEx

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefVersionInfoEx = record

Description

Structure representing all CEF version information.

CEF4Delphi already had a TCefVersionInfo type. This record has more information than TCefVersionInfo so we call it TCefVersionInfoEx.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/cef_version_info.h">CEF source file: /include/cef_version_info.h (cef_version_info_t))

Overview

Fields

Public | size: NativeUInt;
Public | cef_version_major: integer;
Public | cef_version_minor: integer;
Public | cef_version_patch: integer;
Public | cef_commit_number: integer;
Public | chrome_version_major: integer;
Public | chrome_version_minor: integer;
Public | chrome_version_build: integer;
Public | chrome_version_patch: integer;

Description

Fields

Public size: NativeUInt;

Size of this structure.

Public cef_version_major: integer;

This item has no description.

Public cef_version_minor: integer;

This item has no description.

Public cef_version_patch: integer;

This item has no description.

Public cef_commit_number: integer;

This item has no description.

Public chrome_version_major: integer;

This item has no description.

Public chrome_version_minor: integer;

This item has no description.

Public chrome_version_build: integer;

This item has no description.

Public chrome_version_patch: integer;

This item has no description.


cef4delphi: uCEFTypes: Record TMyMemoryStatusEx

Record TMyMemoryStatusEx

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TMyMemoryStatusEx = record

Description

Record used with GetGlobalMemoryStatusEx to get the memory status.

<see href="https://learn.microsoft.com/en-us/windows/win32/api/sysinfoapi/ns-sysinfoapi-memorystatusex">See the MEMORYSTATUSEX structure.)

Overview

Fields

Public | dwLength: DWORD;
Public | dwMemoryLoad: DWORD;
Public | ullTotalPhys: uint64;
Public | ullAvailPhys: uint64;
Public | ullTotalPageFile: uint64;
Public | ullAvailPageFile: uint64;
Public | ullTotalVirtual: uint64;
Public | ullAvailVirtual: uint64;
Public | ullAvailExtendedVirtual: uint64;

Description

Fields

Public dwLength: DWORD;

This item has no description.

Public dwMemoryLoad: DWORD;

This item has no description.

Public ullTotalPhys: uint64;

This item has no description.

Public ullAvailPhys: uint64;

This item has no description.

Public ullTotalPageFile: uint64;

This item has no description.

Public ullAvailPageFile: uint64;

This item has no description.

Public ullTotalVirtual: uint64;

This item has no description.

Public ullAvailVirtual: uint64;

This item has no description.

Public ullAvailExtendedVirtual: uint64;

This item has no description.


cef4delphi: uCEFTypes: Record TOSVersionInfoEx

Record TOSVersionInfoEx

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TOSVersionInfoEx = record

Description

Record used with RtlGetVersion to get the Windows version information.

<see href="https://learn.microsoft.com/en-us/windows-hardware/drivers/ddi/wdm/ns-wdm-_osversioninfoexw">See the OSVERSIONINFOEXW structure.)

Overview

Fields

Public | dwOSVersionInfoSize: DWORD;
Public | dwMajorVersion: DWORD;
Public | dwMinorVersion: DWORD;
Public | dwBuildNumber: DWORD;
Public | dwPlatformId: DWORD;
Public | szCSDVersion: array[0..127] of WideChar;
Public | wServicePackMajor: WORD;
Public | wServicePackMinor: WORD;
Public | wSuiteMask: WORD;
Public | wProductType: BYTE;
Public | wReserved:BYTE;

Description

Fields

Public dwOSVersionInfoSize: DWORD;

This item has no description.

Public dwMajorVersion: DWORD;

This item has no description.

Public dwMinorVersion: DWORD;

This item has no description.

Public dwBuildNumber: DWORD;

This item has no description.

Public dwPlatformId: DWORD;

This item has no description.

Public szCSDVersion: array[0..127] of WideChar;

This item has no description.

Public wServicePackMajor: WORD;

This item has no description.

Public wServicePackMinor: WORD;

This item has no description.

Public wSuiteMask: WORD;

This item has no description.

Public wProductType: BYTE;

This item has no description.

Public wReserved:BYTE;

This item has no description.


cef4delphi: uCEFTypes: Record TCefStringWide

Record TCefStringWide

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefStringWide = record

Description

CEF wide string type definition. Whomever allocates |str| is responsible for providing an appropriate |dtor| implementation that will free the string in the same memory space. When reusing an existing string structure make sure to call |dtor| for the old value before assigning new |str| and |dtor| values. Static strings will have a NULL |dtor| value. Using the below functions if you want this managed for you.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_string_types.h">CEF source file: /include/internal/cef_string_types.h (cef_string_wide_t))

Overview

Fields

Public | str: PWideChar;
Public | length: NativeUInt;
Public | dtor: procedure(str: PWideChar); stdcall;

Description

Fields

Public str: PWideChar;

This item has no description.

Public length: NativeUInt;

This item has no description.

Public dtor: procedure(str: PWideChar); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefStringUtf8

Record TCefStringUtf8

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefStringUtf8 = record

Description

CEF utf8 string type definition. Whomever allocates |str| is responsible for providing an appropriate |dtor| implementation that will free the string in the same memory space. When reusing an existing string structure make sure to call |dtor| for the old value before assigning new |str| and |dtor| values. Static strings will have a NULL |dtor| value. Using the below functions if you want this managed for you.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_string_types.h">CEF source file: /include/internal/cef_string_types.h (cef_string_utf8_t))

Overview

Fields

Public | str: PAnsiChar;
Public | length: NativeUInt;
Public | dtor: procedure(str: PAnsiChar); stdcall;

Description

Fields

Public str: PAnsiChar;

This item has no description.

Public length: NativeUInt;

This item has no description.

Public dtor: procedure(str: PAnsiChar); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefStringUtf16

Record TCefStringUtf16

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefStringUtf16 = record

Description

CEF utf16 string type definition. Whomever allocates |str| is responsible for providing an appropriate |dtor| implementation that will free the string in the same memory space. When reusing an existing string structure make sure to call |dtor| for the old value before assigning new |str| and |dtor| values. Static strings will have a NULL |dtor| value. Using the below functions if you want this managed for you.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_string_types.h">CEF source file: /include/internal/cef_string_types.h (cef_string_utf16_t))

Overview

Fields

Public | str: PChar16;
Public | length: NativeUInt;
Public | dtor: procedure(str: PChar16); stdcall;

Description

Fields

Public str: PChar16;

This item has no description.

Public length: NativeUInt;

This item has no description.

Public dtor: procedure(str: PChar16); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TFileVersionInfo

Record TFileVersionInfo

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TFileVersionInfo = record

Description

Record used by GetDLLVersion to get the DLL version information

Overview

Fields

Public | MajorVer: uint16;
Public | MinorVer: uint16;
Public | Release: uint16;
Public | Build: uint16;

Description

Fields

Public MajorVer: uint16;

This item has no description.

Public MinorVer: uint16;

This item has no description.

Public Release: uint16;

This item has no description.

Public Build: uint16;

This item has no description.


cef4delphi: uCEFTypes: Record TCefVersionInfo

Record TCefVersionInfo

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefVersionInfo = record

Description

Record used by cef_version_info to get the CEF version information

Overview

Fields

Public | VersionMajor: integer;
Public | VersionMinor: integer;
Public | VersionPatch: integer;
Public | CommitNumber: integer;

Description

Fields

Public VersionMajor: integer;

This item has no description.

Public VersionMinor: integer;

This item has no description.

Public VersionPatch: integer;

This item has no description.

Public CommitNumber: integer;

This item has no description.


cef4delphi: uCEFTypes: Record TChromiumVersionInfo

Record TChromiumVersionInfo

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TChromiumVersionInfo = record

Description

Record used by cef_version_info to get the Chromium version information

Overview

Fields

Public | VersionMajor: integer;
Public | VersionMinor: integer;
Public | VersionBuild: integer;
Public | VersionPatch: integer;

Description

Fields

Public VersionMajor: integer;

This item has no description.

Public VersionMinor: integer;

This item has no description.

Public VersionBuild: integer;

This item has no description.

Public VersionPatch: integer;

This item has no description.


cef4delphi: uCEFTypes: Record TCefMainArgs

Record TCefMainArgs

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefMainArgs = record

Description

Structure representing CefExecuteProcess arguments.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types_win.h">CEF source file: /include/internal/cef_types_win.h (cef_main_args_t))

Overview

Fields

Public instance: HINST;

Description

Fields

Public instance: HINST;

This item has no description.


cef4delphi: uCEFTypes: Record TCefPoint

Record TCefPoint

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefPoint = record

Description

Structure representing a point.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types_geometry.h">CEF source file: /include/internal/cef_types_geometry.h (cef_point_t))

Overview

Fields

Public | x: Integer;
Public | y: Integer;

Description

Fields

Public x: Integer;

This item has no description.

Public y: Integer;

This item has no description.


cef4delphi: uCEFTypes: Record TCefRange

Record TCefRange

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefRange = record

Description

Structure representing a range.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_range_t))

Overview

Fields

Public | from: cardinal;
Public | to_: cardinal;

Description

Fields

Public from: cardinal;

This item has no description.

Public to_: cardinal;

This item has no description.


cef4delphi: uCEFTypes: Record TCefCursorInfo

Record TCefCursorInfo

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefCursorInfo = record

Description

Structure representing cursor information. |buffer| will be |size.width|*|size.height|*4 bytes in size and represents a BGRA image with an upper-left origin.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_cursor_info_t))

Overview

Fields

Public | hotspot: TCefPoint;
Public | image_scale_factor: Single;
Public | buffer: Pointer;
Public | size: TCefSize;

Description

Fields

Public hotspot: TCefPoint;

This item has no description.

Public image_scale_factor: Single;

This item has no description.

Public buffer: Pointer;

This item has no description.

Public size: TCefSize;

This item has no description.


cef4delphi: uCEFTypes: Record TCefLinuxWindowProperties

Record TCefLinuxWindowProperties

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefLinuxWindowProperties = record

Description

Linux window properties, such as X11's WM_CLASS or Wayland's app_id. Those are passed to CefWindowDelegate, so the client can set them for the CefWindow's top-level. Thus, allowing window managers to correctly display the application's information (e.g., icons).

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_linux_window_properties_t))

Overview

Fields

Public | size: NativeUInt;
Public | wayland_app_id: TCefString;
Public | wm_class_class: TCefString;
Public | wm_class_name: TCefString;
Public | wm_role_name: TCefString;

Description

Fields

Public size: NativeUInt;

Size of this structure.

Public wayland_app_id: TCefString;

Main window's Wayland's app_id

Public wm_class_class: TCefString;

Main window's WM_CLASS_CLASS in X11

Public wm_class_name: TCefString;

Main window's WM_CLASS_NAME in X11

Public wm_role_name: TCefString;

Main window's WM_WINDOW_ROLE in X11


cef4delphi: uCEFTypes: Record TLinuxWindowProperties

Record TLinuxWindowProperties

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TLinuxWindowProperties = record

Description

String version of TCefLinuxWindowProperties

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_linux_window_properties_t))

Overview

Fields

Public | wayland_app_id: ustring;
Public | wm_class_class: ustring;
Public | wm_class_name: ustring;
Public | wm_role_name: ustring;

Description

Fields

Public wayland_app_id: ustring;

Main window's Wayland's app_id

Public wm_class_class: ustring;

Main window's WM_CLASS_CLASS in X11

Public wm_class_name: ustring;

Main window's WM_CLASS_NAME in X11

Public wm_role_name: ustring;

Main window's WM_WINDOW_ROLE in X11


cef4delphi: uCEFTypes: Record TCefUrlParts

Record TCefUrlParts

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefUrlParts = record

Description

URL component parts.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_urlparts_t))

Overview

Fields

Public | size: NativeUInt;
Public | spec: TCefString;
Public | scheme: TCefString;
Public | username: TCefString;
Public | password: TCefString;
Public | host: TCefString;
Public | port: TCefString;
Public | origin: TCefString;
Public | path: TCefString;
Public | query: TCefString;
Public | fragment: TCefString;

Description

Fields

Public size: NativeUInt;

Size of this structure.

Public spec: TCefString;

The complete URL specification.

Public scheme: TCefString;

Scheme component not including the colon (e.g., "http").

Public username: TCefString;

User name component.

Public password: TCefString;

Password component.

Public host: TCefString;

Host component. This may be a hostname, an IPv4 address or an IPv6 literal surrounded by square brackets (e.g., "[2001:db8::1]").

Public port: TCefString;

Port number component.

Public origin: TCefString;

Origin contains just the scheme, host, and port from a URL. Equivalent to clearing any username and password, replacing the path with a slash, and clearing everything after that. This value will be empty for non-standard URLs.

Public path: TCefString;

Path component including the first slash following the host.

Public query: TCefString;

Query string component (i.e., everything following the '?').

Public fragment: TCefString;

Fragment (hash) identifier component (i.e., the string following the '#').


cef4delphi: uCEFTypes: Record TUrlParts

Record TUrlParts

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TUrlParts = record

Description

String version of TCefUrlParts

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_urlparts_t))

Overview

Fields

Public | spec: ustring;
Public | scheme: ustring;
Public | username: ustring;
Public | password: ustring;
Public | host: ustring;
Public | port: ustring;
Public | origin: ustring;
Public | path: ustring;
Public | query: ustring;
Public | fragment: ustring;

Description

Fields

Public spec: ustring;

The complete URL specification.

Public scheme: ustring;

Scheme component not including the colon (e.g., "http").

Public username: ustring;

User name component.

Public password: ustring;

Password component.

Public host: ustring;

Host component. This may be a hostname, an IPv4 address or an IPv6 literal surrounded by square brackets (e.g., "[2001:db8::1]").

Public port: ustring;

Port number component.

Public origin: ustring;

Origin contains just the scheme, host, and port from a URL. Equivalent to clearing any username and password, replacing the path with a slash, and clearing everything after that. This value will be empty for non-standard URLs.

Public path: ustring;

Path component including the first slash following the host.

Public query: ustring;

Query string component (i.e., everything following the '?').

Public fragment: ustring;

Fragment (hash) identifier component (i.e., the string following the '#').


cef4delphi: uCEFTypes: Record TCefInsets

Record TCefInsets

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefInsets = record

Description

Structure representing insets.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types_geometry.h">CEF source file: /include/internal/cef_types_geometry.h (cef_insets_t))

Overview

Fields

Public | top: Integer;
Public | left: Integer;
Public | bottom: Integer;
Public | right: Integer;

Description

Fields

Public top: Integer;

This item has no description.

Public left: Integer;

This item has no description.

Public bottom: Integer;

This item has no description.

Public right: Integer;

This item has no description.


cef4delphi: uCEFTypes: Record TCefTaskInfo

Record TCefTaskInfo

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefTaskInfo = record

Description

Structure representing task information provided by ICefTaskManager.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_task_info_t))

Overview

Fields

Public | size: NativeUInt;
Public | id: int64;
Public | type_: TCefTaskType;
Public | is_killable: integer;
Public | title: TCefString;
Public | cpu_usage: double;
Public | number_of_processors: integer;
Public | memory: int64;
Public | gpu_memory: int64;
Public | is_gpu_memory_inflated: integer;

Description

Fields

Public size: NativeUInt;

Size of this structure.

Public id: int64;

The task ID.

Public type_: TCefTaskType;

The task type.

Public is_killable: integer;

Set to true (1) if the task is killable.

Public title: TCefString;

The task title.

Public cpu_usage: double;

The CPU usage of the process on which the task is running. The value is in the range zero to number_of_processors * 100%.

Public number_of_processors: integer;

The number of processors available on the system.

Public memory: int64;

The memory footprint of the task in bytes. A value of -1 means no valid value is currently available.

Public gpu_memory: int64;

The GPU memory usage of the task in bytes. A value of -1 means no valid value is currently available.

Public is_gpu_memory_inflated: integer;

Set to true (1) if this task process' GPU resource count is inflated because it is counting other processes' resources (e.g, the GPU process has this value set to true because it is the aggregate of all processes).


cef4delphi: uCEFTypes: Record TCustomTaskInfo

Record TCustomTaskInfo

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCustomTaskInfo = record

Description

Pascal version of TCefTaskInfo.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_task_info_t))

Overview

Fields

Public | id: int64;
Public | type_: TCefTaskType;
Public | is_killable: boolean;
Public | title: ustring;
Public | cpu_usage: double;
Public | number_of_processors: integer;
Public | memory: int64;
Public | gpu_memory: int64;
Public | is_gpu_memory_inflated: boolean;

Description

Fields

Public id: int64;

The task ID.

Public type_: TCefTaskType;

The task type.

Public is_killable: boolean;

Set to true (1) if the task is killable.

Public title: ustring;

The task title.

Public cpu_usage: double;

The CPU usage of the process on which the task is running. The value is in the range zero to number_of_processors * 100%.

Public number_of_processors: integer;

The number of processors available on the system.

Public memory: int64;

The memory footprint of the task in bytes. A value of -1 means no valid value is currently available.

Public gpu_memory: int64;

The GPU memory usage of the task in bytes. A value of -1 means no valid value is currently available.

Public is_gpu_memory_inflated: boolean;

Set to true (1) if this task process' GPU resource count is inflated because it is counting other processes' resources (e.g, the GPU process has this value set to true because it is the aggregate of all processes).


cef4delphi: uCEFTypes: Record TCefTouchHandleState

Record TCefTouchHandleState

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefTouchHandleState = record

Description

Touch handle state.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_time.h">CEF source file: /include/internal/cef_time.h (cef_touch_handle_state_t))

Overview

Fields

Public | size: NativeUInt;
Public | touch_handle_id: integer;
Public | flags: cardinal;
Public | enabled: integer;
Public | orientation: TCefHorizontalAlignment;
Public | mirror_vertical: integer;
Public | mirror_horizontal: integer;
Public | origin: TCefPoint;
Public | alpha: single;

Description

Fields

Public size: NativeUInt;

Size of this structure.

Public touch_handle_id: integer;

Touch handle id. Increments for each new touch handle.

Public flags: cardinal;

Combination of TCefTouchHandleStateFlags values indicating what state is set.

Public enabled: integer;

Enabled state. Only set if |flags| contains CEF_THS_FLAG_ENABLED.

Public orientation: TCefHorizontalAlignment;

Orientation state. Only set if |flags| contains CEF_THS_FLAG_ORIENTATION.

Public mirror_vertical: integer;

This item has no description.

Public mirror_horizontal: integer;

This item has no description.

Public origin: TCefPoint;

Origin state. Only set if |flags| contains CEF_THS_FLAG_ORIGIN.

Public alpha: single;

Alpha state. Only set if |flags| contains CEF_THS_FLAG_ALPHA.


cef4delphi: uCEFTypes: Record TCefCompositionUnderline

Record TCefCompositionUnderline

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefCompositionUnderline = record

Description

Structure representing IME composition underline information. This is a thin wrapper around Blink's WebCompositionUnderline class and should be kept in sync with that.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_time.h">CEF source file: /include/internal/cef_time.h (cef_composition_underline_t))

Overview

Fields

Public | size: NativeUInt;
Public | range: TCefRange;
Public | color: TCefColor;
Public | background_color: TCefColor;
Public | thick: integer;
Public | style: TCefCompositionUnderlineStyle;

Description

Fields

Public size: NativeUInt;

Size of this structure.

Public range: TCefRange;

Underline character range.

Public color: TCefColor;

Text color.

Public background_color: TCefColor;

Background color.

Public thick: integer;

Set to true (1) for thick underline.

Public style: TCefCompositionUnderlineStyle;

Style.


cef4delphi: uCEFTypes: Record TCefTime

Record TCefTime

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefTime = record

Description

Time information. Values should always be in UTC.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_time.h">CEF source file: /include/internal/cef_time.h (cef_time_t))

Overview

Fields

Public | year: Integer;
Public | month: Integer;
Public | day_of_week: Integer;
Public | day_of_month: Integer;
Public | hour: Integer;
Public | minute: Integer;
Public | second: Integer;
Public | millisecond: Integer;

Description

Fields

Public year: Integer;

Four or five digit year "2007" (1601 to 30827 on Windows, 1970 to 2038 on 32-bit POSIX)

Public month: Integer;

1-based month (values 1 = January, etc.)

Public day_of_week: Integer;

0-based day of week (0 = Sunday, etc.)

Public day_of_month: Integer;

1-based day of month (1-31)

Public hour: Integer;

Hour within the current day (0-23)

Public minute: Integer;

Minute within the current hour (0-59)

Public second: Integer;

Second within the current minute (0-59 plus leap seconds which may take it up to 60).

Public millisecond: Integer;

Milliseconds within the current second (0-999)


cef4delphi: uCEFTypes: Record TCefBoxLayoutSettings

Record TCefBoxLayoutSettings

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefBoxLayoutSettings = record

Description

Initialization settings. Specify NULL or 0 to get the recommended default values. Many of these and other settings can also configured using command- line switches.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_box_layout_settings_t))

Overview

Fields

Public | size: NativeUInt;
Public | horizontal: Integer;
Public | inside_border_horizontal_spacing: Integer;
Public | inside_border_vertical_spacing: Integer;
Public | inside_border_insets: TCefInsets;
Public | between_child_spacing: Integer;
Public | main_axis_alignment: TCefAxisAlignment;
Public | cross_axis_alignment: TCefAxisAlignment;
Public | minimum_cross_axis_size: Integer;
Public | default_flex: Integer;

Description

Fields

Public size: NativeUInt;

Size of this structure.

Public horizontal: Integer;

If true (1) the layout will be horizontal, otherwise the layout will be vertical.

Public inside_border_horizontal_spacing: Integer;

Adds additional horizontal space between the child view area and the host view border.

Public inside_border_vertical_spacing: Integer;

Adds additional vertical space between the child view area and the host view border.

Public inside_border_insets: TCefInsets;

Adds additional space around the child view area.

Public between_child_spacing: Integer;

Adds additional space between child views.

Public main_axis_alignment: TCefAxisAlignment;

Specifies where along the main axis the child views should be laid out.

Public cross_axis_alignment: TCefAxisAlignment;

Specifies where along the cross axis the child views should be laid out.

Public minimum_cross_axis_size: Integer;

Minimum cross axis size.

Public default_flex: Integer;

Default flex for views when none is specified via CefBoxLayout methods. Using the preferred size as the basis, free space along the main axis is distributed to views in the ratio of their flex weights. Similarly, if the views will overflow the parent, space is subtracted in these ratios. A flex of 0 means this view is not resized. Flex values must not be negative.


cef4delphi: uCEFTypes: Record TCefSettings

Record TCefSettings

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefSettings = record

Description

Initialization settings. Specify NULL or 0 to get the recommended default values. Many of these and other settings can also configured using command- line switches.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_settings_t))

Overview

Fields

Public | size: NativeUInt;
Public | no_sandbox: Integer;
Public | browser_subprocess_path: TCefString;
Public | framework_dir_path: TCefString;
Public | main_bundle_path: TCefString;
Public | multi_threaded_message_loop: Integer;
Public | external_message_pump: Integer;
Public | windowless_rendering_enabled: Integer;
Public | command_line_args_disabled: Integer;
Public | cache_path: TCefString;
Public | root_cache_path: TCefString;
Public | persist_session_cookies: Integer;
Public | user_agent: TCefString;
Public | user_agent_product: TCefString;
Public | locale: TCefString;
Public | log_file: TCefString;
Public | log_severity: TCefLogSeverity;
Public | log_items: TCefLogItems;
Public | javascript_flags: TCefString;
Public | resources_dir_path: TCefString;
Public | locales_dir_path: TCefString;
Public | remote_debugging_port: Integer;
Public | uncaught_exception_stack_size: Integer;
Public | background_color: TCefColor;
Public | accept_language_list: TCefString;
Public | cookieable_schemes_list: TCefString;
Public | cookieable_schemes_exclude_defaults: integer;
Public | chrome_policy_id: TCefString;
Public | chrome_app_icon_id: Integer;
Public | disable_signal_handlers: Integer;

Description

Fields

Public size: NativeUInt;

Size of this structure.

Public no_sandbox: Integer;

Set to true (1) to disable the sandbox for sub-processes. See cef_sandbox_win.h for requirements to enable the sandbox on Windows. Also configurable using the "no-sandbox" command-line switch.

Public browser_subprocess_path: TCefString;

The path to a separate executable that will be launched for sub-processes. If this value is empty on Windows or Linux then the main process executable will be used. If this value is empty on macOS then a helper executable must exist at "Contents/Frameworks/<app> Helper.app/Contents/MacOS/<app> Helper" in the top-level app bundle. See the comments on CefExecuteProcess() for details. If this value is non-empty then it must be an absolute path. Also configurable using the "browser-subprocess-path" command-line switch.

Public framework_dir_path: TCefString;

The path to the CEF framework directory on macOS. If this value is empty then the framework must exist at "Contents/Frameworks/Chromium Embedded Framework.framework" in the top-level app bundle. If this value is non-empty then it must be an absolute path. Also configurable using the "framework-dir-path" command-line switch.

Public main_bundle_path: TCefString;

The path to the main bundle on macOS. If this value is empty then it defaults to the top-level app bundle. If this value is non-empty then it must be an absolute path. Also configurable using the "main-bundle-path" command-line switch.

Public multi_threaded_message_loop: Integer;

Set to true (1) to have the browser process message loop run in a separate thread. If false (0) then the CefDoMessageLoopWork() function must be called from your application message loop. This option is only supported on Windows and Linux.

Public external_message_pump: Integer;

Set to true (1) to control browser process main (UI) thread message pump scheduling via the ICefBrowserProcessHandler.OnScheduleMessagePumpWork() callback. This option is recommended for use in combination with the CefDoMessageLoopWork() function in cases where the CEF message loop must be integrated into an existing application message loop (see additional comments and warnings on CefDoMessageLoopWork). Enabling this option is not recommended for most users; leave this option disabled and use either the CefRunMessageLoop() function or multi_threaded_message_loop if possible.

Public windowless_rendering_enabled: Integer;

Set to true (1) to enable windowless (off-screen) rendering support. Do not enable this value if the application does not use windowless rendering as it may reduce rendering performance on some systems.

Public command_line_args_disabled: Integer;

Set to true (1) to disable configuration of browser process features using standard CEF and Chromium command-line arguments. Configuration can still be specified using CEF data structures or via the ICefApp.OnBeforeCommandLineProcessing() method.

Public cache_path: TCefString;

The directory where data for the global browser cache will be stored on disk. If this value is non-empty then it must be an absolute path that is either equal to or a child directory of CefSettings.root_cache_path. If this value is empty then browsers will be created in "incognito mode" where in-memory caches are used for storage and no profile-specific data is persisted to disk (installation-specific data will still be persisted in root_cache_path). HTML5 databases such as localStorage will only persist across sessions if a cache path is specified. Can be overridden for individual CefRequestContext instances via the TCefRequestContextSettings.cache_path value. Any child directory value will be ignored and the "default" profile (also a child directory) will be used instead.

Public root_cache_path: TCefString;

The root directory for installation-specific data and the parent directory for profile-specific data. All TCefSettings.cache_path and TCefRequestContextSettings.cache_path values must have this parent directory in common. If this value is empty and TCefSettings.cache_path is non-empty then it will default to the TCefSettings.cache_path value. Any non-empty value must be an absolute path. If both values are empty then the default platform-specific directory will be used ("~/.config/cef_user_data" directory on Linux, "~/Library/Application Support/CEF/User Data" directory on MacOS, "AppData\Local\CEF\User Data" directory under the user profile directory on Windows). Use of the default directory is not recommended in production applications (see below).

Multiple application instances writing to the same root_cache_path directory could result in data corruption. A process singleton lock based on the root_cache_path value is therefore used to protect against this. This singleton behavior applies to all CEF-based applications using version 120 or newer. You should customize root_cache_path for your application and implement ICefBrowserProcessHandler.OnAlreadyRunningAppRelaunch, which will then be called on any app relaunch with the same root_cache_path value.

Failure to set the root_cache_path value correctly may result in startup crashes or other unexpected behaviors (for example, the sandbox blocking read/write access to certain files).

Public persist_session_cookies: Integer;

To persist session cookies (cookies without an expiry date or validity interval) by default when using the global cookie manager set this value to true (1). Session cookies are generally intended to be transient and most Web browsers do not persist them. A |cache_path| value must also be specified to enable this feature. Also configurable using the "persist-session-cookies" command-line switch. Can be overridden for individual CefRequestContext instances via the TCefRequestContextSettings.persist_session_cookies value.

Public user_agent: TCefString;

Value that will be returned as the User-Agent HTTP header. If empty the default User-Agent string will be used. Also configurable using the "user-agent" command-line switch.

Public user_agent_product: TCefString;

Value that will be inserted as the product portion of the default User-Agent string. If empty the Chromium product version will be used. If |userAgent| is specified this value will be ignored. Also configurable using the "user-agent-product" command-line switch.

Public locale: TCefString;

The locale string that will be passed to WebKit. If empty the default locale of "en-US" will be used. This value is ignored on Linux where locale is determined using environment variable parsing with the precedence order: LANGUAGE, LC_ALL, LC_MESSAGES and LANG. Also configurable using the "lang" command-line switch.

Public log_file: TCefString;

The directory and file name to use for the debug log. If empty a default log file name and location will be used. On Windows and Linux a "debug.log" file will be written in the main executable directory. On MacOS a "~/Library/Logs/[app name]_debug.log" file will be written where [app name] is the name of the main app executable. Also configurable using the "log-file" command-line switch.

Public log_severity: TCefLogSeverity;

The log severity. Only messages of this severity level or higher will be logged. When set to DISABLE no messages will be written to the log file, but FATAL messages will still be output to stderr. Also configurable using the "log-severity" command-line switch with a value of "verbose", "info", "warning", "error", "fatal" or "disable".

Public log_items: TCefLogItems;

The log items prepended to each log line. If not set the default log items will be used. Also configurable using the "log-items" command-line switch with a value of "none" for no log items, or a comma-delimited list of values "pid", "tid", "timestamp" or "tickcount" for custom log items.

Public javascript_flags: TCefString;

Custom flags that will be used when initializing the V8 JavaScript engine. The consequences of using custom flags may not be well tested. Also configurable using the "js-flags" command-line switch.

Public resources_dir_path: TCefString;

The fully qualified path for the resources directory. If this value is empty the *.pak files must be located in the module directory on Windows/Linux or the app bundle Resources directory on MacOS. If this value is non-empty then it must be an absolute path. Also configurable using the "resources-dir-path" command-line switch.

Public locales_dir_path: TCefString;

The fully qualified path for the locales directory. If this value is empty the locales directory must be located in the module directory. If this value is non-empty then it must be an absolute path. This value is ignored on MacOS where pack files are always loaded from the app bundle Resources directory. Also configurable using the "locales-dir-path" command-line switch.

Public remote_debugging_port: Integer;

Set to a value between 1024 and 65535 to enable remote debugging on the specified port. Also configurable using the "remote-debugging-port" command-line switch. Specifying 0 via the command-line switch will result in the selection of an ephemeral port and the port number will be printed as part of the WebSocket endpoint URL to stderr. If a cache directory path is provided the port will also be written to the <cache-dir>/DevToolsActivePort file. Remote debugging can be accessed by loading the chrome://inspect page in Google Chrome. Port numbers 9222 and 9229 are discoverable by default. Other port numbers may need to be configured via "Discover network targets" on the Devices tab.

Public uncaught_exception_stack_size: Integer;

The number of stack trace frames to capture for uncaught exceptions. Specify a positive value to enable the ICefRenderProcessHandler.OnUncaughtException() callback. Specify 0 (default value) and OnUncaughtException() will not be called. Also configurable using the "uncaught-exception-stack-size" command-line switch.

Public background_color: TCefColor;

Background color used for the browser before a document is loaded and when no document color is specified. The alpha component must be either fully opaque (0xFF) or fully transparent (0x00). If the alpha component is fully opaque then the RGB components will be used as the background color. If the alpha component is fully transparent for a windowed browser then the default value of opaque white be used. If the alpha component is fully transparent for a windowless (off-screen) browser then transparent painting will be enabled.

Public accept_language_list: TCefString;

Comma delimited ordered list of language codes without any whitespace that will be used in the "Accept-Language" HTTP request header and "navigator.language" JS attribute. Can be overridden for individual ICefRequestContext instances via the TCefRequestContextSettings.accept_language_list value.

Public cookieable_schemes_list: TCefString;

Comma delimited list of schemes supported by the associated ICefCookieManager. If |cookieable_schemes_exclude_defaults| is false (0) the default schemes ("http", "https", "ws" and "wss") will also be supported. Not specifying a |cookieable_schemes_list| value and setting |cookieable_schemes_exclude_defaults| to true (1) will disable all loading and saving of cookies. These settings will only impact the global ICefRequestContext. Individual ICefRequestContext instances can be configured via the TCefRequestContextSettings.cookieable_schemes_list and TCefRequestContextSettings.cookieable_schemes_exclude_defaults values.

Public cookieable_schemes_exclude_defaults: integer;

This item has no description.

Public chrome_policy_id: TCefString;

Specify an ID to enable Chrome policy management via Platform and OS-user policies. On Windows, this is a registry key like "SOFTWARE\\Policies\\Google\\Chrome". On MacOS, this is a bundle ID like "com.google.Chrome". On Linux, this is an absolute directory path like "/etc/opt/chrome/policies". Only supported with Chrome style. See https://support.google.com/chrome/a/answer/9037717 for details.

Chrome Browser Cloud Management integration, when enabled via the "enable-chrome-browser-cloud-management" command-line flag, will also use the specified ID. See https://support.google.com/chrome/a/answer/9116814 for details.

Public chrome_app_icon_id: Integer;

Specify an ID for an ICON resource that can be loaded from the main executable and used when creating default Chrome windows such as DevTools and Task Manager. If unspecified the default Chromium ICON (IDR_MAINFRAME [101]) will be loaded from libcef.dll. Only supported with Chrome style on Windows.

Public disable_signal_handlers: Integer;

Specify whether signal handlers must be disabled on POSIX systems.


cef4delphi: uCEFTypes: Record TCefWindowInfo

Record TCefWindowInfo

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefWindowInfo = record

Description

Structure representing window information.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types_win.h">CEF source file: /include/internal/cef_types_win.h (cef_window_info_t))

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types_mac.h">CEF source file: /include/internal/cef_types_mac.h (cef_window_info_t))

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types_linux.h">CEF source file: /include/internal/cef_types_linux.h (cef_window_info_t))

Overview

Fields

Public | size: NativeUInt;
Public | ex_style: DWORD;
Public | window_name: TCefString;
Public | style: DWORD;
Public | bounds: TCefRect;
Public | parent_window: TCefWindowHandle;
Public | menu: HMENU;
Public | windowless_rendering_enabled: Integer;
Public | shared_texture_enabled: Integer;
Public | external_begin_frame_enabled: Integer;
Public | window: TCefWindowHandle;
Public | runtime_style: TCefRuntimeStyle;

Description

Fields

Public size: NativeUInt;

Size of this structure.

Public ex_style: DWORD;

Standard parameters required by CreateWindowEx()

Public window_name: TCefString;

This item has no description.

Public style: DWORD;

This item has no description.

Public bounds: TCefRect;

This item has no description.

Public parent_window: TCefWindowHandle;

This item has no description.

Public menu: HMENU;

This item has no description.

Public windowless_rendering_enabled: Integer;

Set to true (1) to create the browser using windowless (off-screen) rendering. No window will be created for the browser and all rendering will occur via the ICefRenderHandler interface. The |parent_window| value will be used to identify monitor info and to act as the parent window for dialogs, context menus, etc. If |parent_window| is not provided then the main screen monitor will be used and some functionality that requires a parent window may not function correctly. In order to create windowless browsers the TCefSettings.windowless_rendering_enabled value must be set to true. Transparent painting is enabled by default but can be disabled by setting TCefBrowserSettings.background_color to an opaque value.

Public shared_texture_enabled: Integer;

Set to true (1) to enable shared textures for windowless rendering. Only valid if windowless_rendering_enabled above is also set to true. Currently only supported on Windows (D3D11).

Public external_begin_frame_enabled: Integer;

Set to true (1) to enable the ability to issue BeginFrame requests from the client application by calling ICefBrowserHost.SendExternalBeginFrame.

Public window: TCefWindowHandle;

Handle for the new browser window. Only used with windowed rendering.

Public runtime_style: TCefRuntimeStyle;

Optionally change the runtime style. Alloy style will always be used if |windowless_rendering_enabled| is true. See TCefRuntimeStyle documentation for details.


cef4delphi: uCEFTypes: Record TCefDraggableRegion

Record TCefDraggableRegion

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefDraggableRegion = record

Description

Structure representing a draggable region.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_draggable_region_t))

Overview

Fields

Public | bounds: TCefRect;
Public | draggable: Integer;

Description

Fields

Public bounds: TCefRect;

Bounds of the region.

Public draggable: Integer;

True (1) this this region is draggable and false (0) otherwise.


cef4delphi: uCEFTypes: Record TCefKeyEvent

Record TCefKeyEvent

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefKeyEvent = record

Description

Structure representing keyboard event information.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_key_event_t))

Overview

Fields

Public | size: NativeUInt;
Public | kind: TCefKeyEventType;
Public | modifiers: TCefEventFlags;
Public | windows_key_code: Integer;
Public | native_key_code: Integer;
Public | is_system_key: Integer;
Public | character: WideChar;
Public | unmodified_character: WideChar;
Public | focus_on_editable_field: Integer;

Description

Fields

Public size: NativeUInt;

Size of this structure.

Public kind: TCefKeyEventType;

The type of keyboard event. It's called 'type' in the original CEF source code.

Public modifiers: TCefEventFlags;

Bit flags describing any pressed modifier keys. See TCefEventFlags for values.

Public windows_key_code: Integer;

The Windows key code for the key event. This value is used by the DOM specification. Sometimes it comes directly from the event (i.e. on Windows) and sometimes it's determined using a mapping function. See WebCore/platform/chromium/KeyboardCodes.h for the list of values.

Public native_key_code: Integer;

The actual key code genenerated by the platform.

Public is_system_key: Integer;

Indicates whether the event is considered a "system key" event (see http://msdn.microsoft.com/en-us/library/ms646286(VS.85).aspx for details). This value will always be false on non-Windows platforms.

Public character: WideChar;

The character generated by the keystroke.

Public unmodified_character: WideChar;

Same as |character| but unmodified by any concurrently-held modifiers (except shift). This is useful for working out shortcut keys.

Public focus_on_editable_field: Integer;

True if the focus is currently on an editable field on the page. This is useful for determining if standard key events should be intercepted.


cef4delphi: uCEFTypes: Record TCefPopupFeatures

Record TCefPopupFeatures

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefPopupFeatures = record

Description

Popup window features.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_popup_features_t))

Overview

Fields

Public | size: NativeUInt;
Public | x: Integer;
Public | xSet: Integer;
Public | y: Integer;
Public | ySet: Integer;
Public | width: Integer;
Public | widthSet: Integer;
Public | height: Integer;
Public | heightSet: Integer;
Public | isPopup: Integer;

Description

Fields

Public size: NativeUInt;

Size of this structure.

Public x: Integer;

This item has no description.

Public xSet: Integer;

This item has no description.

Public y: Integer;

This item has no description.

Public ySet: Integer;

This item has no description.

Public width: Integer;

This item has no description.

Public widthSet: Integer;

This item has no description.

Public height: Integer;

This item has no description.

Public heightSet: Integer;

This item has no description.

Public isPopup: Integer;

True (1) if browser interface elements should be hidden.


cef4delphi: uCEFTypes: Record TCefBrowserSettings

Record TCefBrowserSettings

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefBrowserSettings = record

Description

Browser initialization settings. Specify NULL or 0 to get the recommended default values. The consequences of using custom values may not be well tested. Many of these and other settings can also configured using command- line switches.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_browser_settings_t))

Overview

Fields

Public | size: NativeUInt;
Public | windowless_frame_rate: Integer;
Public | standard_font_family: TCefString;
Public | fixed_font_family: TCefString;
Public | serif_font_family: TCefString;
Public | sans_serif_font_family: TCefString;
Public | cursive_font_family: TCefString;
Public | fantasy_font_family: TCefString;
Public | default_font_size: Integer;
Public | default_fixed_font_size: Integer;
Public | minimum_font_size: Integer;
Public | minimum_logical_font_size: Integer;
Public | default_encoding: TCefString;
Public | remote_fonts: TCefState;
Public | javascript: TCefState;
Public | javascript_close_windows: TCefState;
Public | javascript_access_clipboard: TCefState;
Public | javascript_dom_paste: TCefState;
Public | image_loading: TCefState;
Public | image_shrink_standalone_to_fit: TCefState;
Public | text_area_resize: TCefState;
Public | tab_to_links: TCefState;
Public | local_storage: TCefState;
Public | databases_deprecated: TCefState;
Public | webgl: TCefState;
Public | background_color: TCefColor;
Public | chrome_status_bubble: TCefState;
Public | chrome_zoom_bubble: TCefState;

Description

Fields

Public size: NativeUInt;

Size of this structure.

Public windowless_frame_rate: Integer;

The maximum rate in frames per second (fps) that ICefRenderHandler.OnPaint will be called for a windowless browser. The actual fps may be lower if the browser cannot generate frames at the requested rate. The minimum value is 1 and the maximum value is 60 (default 30). This value can also be changed dynamically via ICefBrowserHost.SetWindowlessFrameRate.

Public standard_font_family: TCefString;

Font settings.

Public fixed_font_family: TCefString;

This item has no description.

Public serif_font_family: TCefString;

This item has no description.

Public sans_serif_font_family: TCefString;

This item has no description.

Public cursive_font_family: TCefString;

This item has no description.

Public fantasy_font_family: TCefString;

This item has no description.

Public default_font_size: Integer;

This item has no description.

Public default_fixed_font_size: Integer;

This item has no description.

Public minimum_font_size: Integer;

This item has no description.

Public minimum_logical_font_size: Integer;

This item has no description.

Public default_encoding: TCefString;

Default encoding for Web content. If empty "ISO-8859-1" will be used. Also configurable using the "default-encoding" command-line switch.

Public remote_fonts: TCefState;

Controls the loading of fonts from remote sources. Also configurable using the "disable-remote-fonts" command-line switch.

Public javascript: TCefState;

Controls whether JavaScript can be executed. Also configurable using the "disable-javascript" command-line switch.

Public javascript_close_windows: TCefState;

Controls whether JavaScript can be used to close windows that were not opened via JavaScript. JavaScript can still be used to close windows that were opened via JavaScript or that have no back/forward history. Also configurable using the "disable-javascript-close-windows" command-line switch.

Public javascript_access_clipboard: TCefState;

Controls whether JavaScript can access the clipboard. Also configurable using the "disable-javascript-access-clipboard" command-line switch.

Public javascript_dom_paste: TCefState;

Controls whether DOM pasting is supported in the editor via execCommand("paste"). The |javascript_access_clipboard| setting must also be enabled. Also configurable using the "disable-javascript-dom-paste" command-line switch.

Public image_loading: TCefState;

Controls whether image URLs will be loaded from the network. A cached image will still be rendered if requested. Also configurable using the "disable-image-loading" command-line switch.

Public image_shrink_standalone_to_fit: TCefState;

Controls whether standalone images will be shrunk to fit the page. Also configurable using the "image-shrink-standalone-to-fit" command-line switch.

Public text_area_resize: TCefState;

Controls whether text areas can be resized. Also configurable using the "disable-text-area-resize" command-line switch.

Public tab_to_links: TCefState;

Controls whether the tab key can advance focus to links. Also configurable using the "disable-tab-to-links" command-line switch.

Public local_storage: TCefState;

Controls whether local storage can be used. Also configurable using the "disable-local-storage" command-line switch.

Public databases_deprecated: TCefState;

Controls whether databases can be used. Also configurable using the "disable-databases" command-line switch.

Public webgl: TCefState;

Controls whether WebGL can be used. Note that WebGL requires hardware support and may not work on all systems even when enabled. Also configurable using the "disable-webgl" command-line switch.

Public background_color: TCefColor;

Background color used for the browser before a document is loaded and when no document color is specified. The alpha component must be either fully opaque (0xFF) or fully transparent (0x00). If the alpha component is fully opaque then the RGB components will be used as the background color. If the alpha component is fully transparent for a windowed browser then the TCefSettings.background_color value will be used. If the alpha component is fully transparent for a windowless (off-screen) browser then transparent painting will be enabled.

Public chrome_status_bubble: TCefState;

Controls whether the Chrome status bubble will be used. Only supported with Chrome style. For details about the status bubble see https://www.chromium.org/user-experience/status-bubble/

Public chrome_zoom_bubble: TCefState;

Controls whether the Chrome zoom bubble will be shown when zooming. Only supported with Chrome style.


cef4delphi: uCEFTypes: Record TCefScreenInfo

Record TCefScreenInfo

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefScreenInfo = record

Description

Screen information used when window rendering is disabled. This structure is passed as a parameter to ICefRenderHandler.GetScreenInfo and should be filled in by the client.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_screen_info_t))

Overview

Fields

Public | size: NativeUInt;
Public | device_scale_factor: single;
Public | depth: integer;
Public | depth_per_component: integer;
Public | is_monochrome: integer;
Public | rect: TCefRect;
Public | available_rect: TCefRect;

Description

Fields

Public size: NativeUInt;

Size of this structure.

Public device_scale_factor: single;

Device scale factor. Specifies the ratio between physical and logical pixels.

Public depth: integer;

The screen depth in bits per pixel.

Public depth_per_component: integer;

The bits per color component. This assumes that the colors are balanced equally.

Public is_monochrome: integer;

This can be true for black and white printers.

Public rect: TCefRect;

This is set from the rcMonitor member of MONITORINFOEX, to whit: "A RECT structure that specifies the display monitor rectangle, expressed in virtual-screen coordinates. Note that if the monitor is not the primary display monitor, some of the rectangle's coordinates may be negative values."

The |rect| and |available_rect| properties are used to determine the available surface for rendering popup views.

Public available_rect: TCefRect;

This is set from the rcWork member of MONITORINFOEX, to whit: "A RECT structure that specifies the work area rectangle of the display monitor that can be used by applications, expressed in virtual-screen coordinates. Windows uses this rectangle to maximize an application on the monitor. The rest of the area in rcMonitor contains system windows such as the task bar and side bars. Note that if the monitor is not the primary display monitor, some of the rectangle's coordinates may be negative values".

The |rect| and |available_rect| properties are used to determine the available surface for rendering popup views.


cef4delphi: uCEFTypes: Record TCefRequestContextSettings

Record TCefRequestContextSettings

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefRequestContextSettings = record

Description

Request context initialization settings. Specify NULL or 0 to get the recommended default values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_request_context_settings_t))

Overview

Fields

Public | size: NativeUInt;
Public | cache_path: TCefString;
Public | persist_session_cookies: Integer;
Public | accept_language_list: TCefString;
Public | cookieable_schemes_list: TCefString;
Public | cookieable_schemes_exclude_defaults: integer;

Description

Fields

Public size: NativeUInt;

Size of this structure.

Public cache_path: TCefString;

The directory where cache data for this request context will be stored on disk. If this value is non-empty then it must be an absolute path that is either equal to or a child directory of TCefSettings.root_cache_path. If this value is empty then browsers will be created in "incognito mode" where in-memory caches are used for storage and no profile-specific data is persisted to disk (installation-specific data will still be persisted in root_cache_path). HTML5 databases such as localStorage will only persist across sessions if a cache path is specified. To share the global browser cache and related configuration set this value to match the TCefSettings.cache_path value.

Public persist_session_cookies: Integer;

To persist session cookies (cookies without an expiry date or validity interval) by default when using the global cookie manager set this value to true (1). Session cookies are generally intended to be transient and most Web browsers do not persist them. Can be set globally using the TCefSettings.persist_session_cookies value. This value will be ignored if |cache_path| is empty or if it matches the TCefSettings.cache_path value.

Public accept_language_list: TCefString;

Comma delimited ordered list of language codes without any whitespace that will be used in the "Accept-Language" HTTP header. Can be set globally using the TCefSettings.accept_language_list value or overridden on a per- browser basis using the TCefBrowserSettings.accept_language_list value. If all values are empty then "en-US,en" will be used. This value will be ignored if |cache_path| matches the TCefSettings.cache_path value.

Public cookieable_schemes_list: TCefString;

Comma delimited list of schemes supported by the associated ICefCookieManager. If |cookieable_schemes_exclude_defaults| is false (0) the default schemes ("http", "https", "ws" and "wss") will also be supported. Not specifying a |cookieable_schemes_list| value and setting |cookieable_schemes_exclude_defaults| to true (1) will disable all loading and saving of cookies. These values will be ignored if |cache_path| matches the TCefSettings.cache_path value.

Public cookieable_schemes_exclude_defaults: integer;

This item has no description.


cef4delphi: uCEFTypes: Record TCefCookie

Record TCefCookie

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefCookie = record

Description

Cookie information.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_cookie_t))

Overview

Fields

Public | size: NativeUInt;
Public | name: TCefString;
Public | value: TCefString;
Public | domain: TCefString;
Public | path: TCefString;
Public | secure: Integer;
Public | httponly: Integer;
Public | creation: TCefBaseTime;
Public | last_access: TCefBaseTime;
Public | has_expires: Integer;
Public | expires: TCefBaseTime;
Public | same_site: TCefCookieSameSite;
Public | priority: TCefCookiePriority;

Description

Fields

Public size: NativeUInt;

Size of this structure.

Public name: TCefString;

The cookie name.

Public value: TCefString;

The cookie value.

Public domain: TCefString;

If |domain| is empty a host cookie will be created instead of a domain cookie. Domain cookies are stored with a leading "." and are visible to sub-domains whereas host cookies are not.

Public path: TCefString;

If |path| is non-empty only URLs at or below the path will get the cookie value.

Public secure: Integer;

If |secure| is true the cookie will only be sent for HTTPS requests.

Public httponly: Integer;

If |httponly| is true the cookie will only be sent for HTTP requests.

Public creation: TCefBaseTime;

The cookie creation date. This is automatically populated by the system on cookie creation.

Public last_access: TCefBaseTime;

The cookie last access date. This is automatically populated by the system on access.

Public has_expires: Integer;

The cookie expiration date is only valid if |has_expires| is true.

Public expires: TCefBaseTime;

This item has no description.

Public same_site: TCefCookieSameSite;

Same site.

Public priority: TCefCookiePriority;

Priority.


cef4delphi: uCEFTypes: Record TCookie

Record TCookie

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCookie = record

Description

Cookie information.

Overview

Fields

Public | name: ustring;
Public | value: ustring;
Public | domain: ustring;
Public | path: ustring;
Public | creation: TDateTime;
Public | last_access: TDateTime;
Public | expires: TDateTime;
Public | secure: boolean;
Public | httponly: boolean;
Public | has_expires: boolean;
Public | same_site: TCefCookieSameSite;
Public | priority: TCefCookiePriority;

Description

Fields

Public name: ustring;

This item has no description.

Public value: ustring;

This item has no description.

Public domain: ustring;

This item has no description.

Public path: ustring;

This item has no description.

Public creation: TDateTime;

This item has no description.

Public last_access: TDateTime;

This item has no description.

Public expires: TDateTime;

This item has no description.

Public secure: boolean;

This item has no description.

Public httponly: boolean;

This item has no description.

Public has_expires: boolean;

This item has no description.

Public same_site: TCefCookieSameSite;

This item has no description.

Public priority: TCefCookiePriority;

This item has no description.


cef4delphi: uCEFTypes: Record TCefPdfPrintSettings

Record TCefPdfPrintSettings

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefPdfPrintSettings = record

Description

Structure representing PDF print settings. These values match the parameters supported by the DevTools Page.printToPDF function. See https://chromedevtools.github.io/devtools-protocol/tot/Page/#method-printToPDF

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_pdf_print_settings_t))

Overview

Fields

Public | size: NativeUInt;
Public | landscape: Integer;
Public | print_background: Integer;
Public | scale: double;
Public | paper_width: double;
Public | paper_height: double;
Public | prefer_css_page_size: Integer;
Public | margin_type: TCefPdfPrintMarginType;
Public | margin_top: double;
Public | margin_right: double;
Public | margin_bottom: double;
Public | margin_left: double;
Public | page_ranges: TCefString;
Public | display_header_footer: Integer;
Public | header_template: TCefString;
Public | footer_template: TCefString;
Public | generate_tagged_pdf: integer;
Public | generate_document_outline: integer;

Description

Fields

Public size: NativeUInt;

Size of this structure.

Public landscape: Integer;

Set to true (1) for landscape mode or false (0) for portrait mode.

Public print_background: Integer;

Set to true (1) to print background graphics.

Public scale: double;

The percentage to scale the PDF by before printing (e.g. .5 is 50%). If this value is less than or equal to zero the default value of 1.0 will be used.

Public paper_width: double;

Output paper size in inches. If either of these values is less than or equal to zero then the default paper size (letter, 8.5 x 11 inches) will be used.

Public paper_height: double;

This item has no description.

Public prefer_css_page_size: Integer;

Set to true (1) to prefer page size as defined by css. Defaults to false (0), in which case the content will be scaled to fit the paper size.

Public margin_type: TCefPdfPrintMarginType;

Margin type.

Public margin_top: double;

Margins in inches. Only used if |margin_type| is set to PDF_PRINT_MARGIN_CUSTOM.

Public margin_right: double;

This item has no description.

Public margin_bottom: double;

This item has no description.

Public margin_left: double;

This item has no description.

Public page_ranges: TCefString;

Paper ranges to print, one based, e.g., '1-5, 8, 11-13'. Pages are printed in the document order, not in the order specified, and no more than once. Defaults to empty string, which implies the entire document is printed. The page numbers are quietly capped to actual page count of the document, and ranges beyond the end of the document are ignored. If this results in no pages to print, an error is reported. It is an error to specify a range with start greater than end.

Public display_header_footer: Integer;

Set to true (1) to display the header and/or footer. Modify |header_template| and/or |footer_template| to customize the display.

Public header_template: TCefString;

HTML template for the print header. Only displayed if |display_header_footer| is true (1). Should be valid HTML markup with the following classes used to inject printing values into them:

- date: formatted print date - title: document title - url: document location - pageNumber: current page number - totalPages: total pages in the document

For example, "<span class=title></span>" would generate a span containing the title.

Public footer_template: TCefString;

HTML template for the print footer. Only displayed if |display_header_footer| is true (1). Uses the same format as |header_template|.

Public generate_tagged_pdf: integer;

Set to true (1) to generate tagged (accessible) PDF.

Public generate_document_outline: integer;

Set to true (1) to generate a document outline.


cef4delphi: uCEFTypes: Record TCefMouseEvent

Record TCefMouseEvent

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefMouseEvent = record

Description

Structure representing mouse event information.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_mouse_event_t))

Overview

Fields

Public | x: Integer;
Public | y: Integer;
Public | modifiers: TCefEventFlags;

Description

Fields

Public x: Integer;

X coordinate relative to the left side of the view.

Public y: Integer;

Y coordinate relative to the top side of the view.

Public modifiers: TCefEventFlags;

Bit flags describing any pressed modifier keys. See TCefEventFlags for values.


cef4delphi: uCEFTypes: Record TCefTouchEvent

Record TCefTouchEvent

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefTouchEvent = record

Description

Structure representing touch event information.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_touch_event_t))

Overview

Fields

Public | id: integer;
Public | x: single;
Public | y: single;
Public | radius_x: single;
Public | radius_y: single;
Public | rotation_angle: single;
Public | pressure: single;
Public | type_: TCefTouchEeventType;
Public | modifiers: TCefEventFlags;
Public | pointer_type: TCefPointerType;

Description

Fields

Public id: integer;

Id of a touch point. Must be unique per touch, can be any number except -1. Note that a maximum of 16 concurrent touches will be tracked; touches beyond that will be ignored.

Public x: single;

X coordinate relative to the left side of the view.

Public y: single;

Y coordinate relative to the top side of the view.

Public radius_x: single;

X radius in pixels. Set to 0 if not applicable.

Public radius_y: single;

Y radius in pixels. Set to 0 if not applicable.

Public rotation_angle: single;

Rotation angle in radians. Set to 0 if not applicable.

Public pressure: single;

The normalized pressure of the pointer input in the range of [0,1]. Set to 0 if not applicable.

Public type_: TCefTouchEeventType;

The state of the touch point. Touches begin with one CEF_TET_PRESSED event followed by zero or more CEF_TET_MOVED events and finally one CEF_TET_RELEASED or CEF_TET_CANCELLED event. Events not respecting this order will be ignored.

Public modifiers: TCefEventFlags;

Bit flags describing any pressed modifier keys. See TCefEventFlags for values.

Public pointer_type: TCefPointerType;

The device type that caused the event.


cef4delphi: uCEFTypes: Record TCefSimulatedTouchPoint

Record TCefSimulatedTouchPoint

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefSimulatedTouchPoint = record

Description

Structure representing a simulated touch point.

<see href="https://chromedevtools.github.io/devtools-protocol/tot/Input/#type-TouchPoint">See the Input.TouchPoint type in the DevTools docs.)

Overview

Fields

Public | id: integer;
Public | x: integer;
Public | y: integer;
Public | radiusX: single;
Public | radiusY: single;
Public | rotationAngle: single;
Public | force: single;
Public | tangentialPressure: single;
Public | tiltX: integer;
Public | tiltY: integer;
Public | twist: integer;

Description

Fields

Public id: integer;

Identifier used to track touch sources between events, must be unique within an event. This is an optional value.

Public x: integer;

X coordinate of the event relative to the main frame's viewport in CSS pixels.

Public y: integer;

Y coordinate of the event relative to the main frame's viewport in CSS pixels. 0 refers to the top of the viewport and Y increases as it proceeds towards the bottom of the viewport.

Public radiusX: single;

X radius of the touch area (default: 1.0). This is an optional value.

Public radiusY: single;

Y radius of the touch area (default: 1.0). This is an optional value.

Public rotationAngle: single;

Rotation angle (default: 0.0). This is an optional value.

Public force: single;

Force (default: 1.0). This is an optional value.

Public tangentialPressure: single;

The normalized tangential pressure, which has a range of [-1,1] (default: 0). This is an optional value.

Public tiltX: integer;

The plane angle between the Y-Z plane and the plane containing both the stylus axis and the Y axis, in degrees of the range [-90,90], a positive tiltX is to the right (default: 0) This is an optional value.

Public tiltY: integer;

The plane angle between the X-Z plane and the plane containing both the stylus axis and the X axis, in degrees of the range [-90,90], a positive tiltY is towards the user (default: 0). This is an optional value.

Public twist: integer;

The clockwise rotation of a pen stylus around its own major axis, in degrees in the range [0,359] (default: 0). This is an optional value.


cef4delphi: uCEFTypes: Record TCefAudioParameters

Record TCefAudioParameters

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefAudioParameters = record

Description

Structure representing the audio parameters for setting up the audio handler.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_audio_parameters_t))

Overview

Fields

Public | size: NativeUInt;
Public | channel_layout: TCefChannelLayout;
Public | sample_rate: integer;
Public | frames_per_buffer: integer;

Description

Fields

Public size: NativeUInt;

Size of this structure.

Public channel_layout: TCefChannelLayout;

Layout of the audio channels

Public sample_rate: integer;

Sample rate

Public frames_per_buffer: integer;

Number of frames per buffer


cef4delphi: uCEFTypes: Record TCefMediaSinkDeviceInfo

Record TCefMediaSinkDeviceInfo

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefMediaSinkDeviceInfo = record

Description

Device information for a MediaSink object. handler.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_media_sink_device_info_t))

Overview

Fields

Public | size: NativeUInt;
Public | ip_address: TCefString;
Public | port: integer;
Public | model_name: TCefString;

Description

Fields

Public size: NativeUInt;

Size of this structure.

Public ip_address: TCefString;

This item has no description.

Public port: integer;

This item has no description.

Public model_name: TCefString;

This item has no description.


cef4delphi: uCEFTypes: Record TCefBaseRefCounted

Record TCefBaseRefCounted

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefBaseRefCounted = record

Description

All ref-counted framework structures must include this structure first.

Implemented by ICefBaseRefCounted.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_base_capi.h">CEF source file: /include/capi/cef_base_capi.h (cef_base_ref_counted_t))

Overview

Fields

Public | size: NativeUInt;
Public | add_ref: procedure(self: PCefBaseRefCounted); stdcall;
Public | release: function(self: PCefBaseRefCounted): Integer; stdcall;
Public | has_one_ref: function(self: PCefBaseRefCounted): Integer; stdcall;
Public | has_at_least_one_ref: function(self: PCefBaseRefCounted): Integer; stdcall;

Description

Fields

Public size: NativeUInt;

This item has no description.

Public add_ref: procedure(self: PCefBaseRefCounted); stdcall;

This item has no description.

Public release: function(self: PCefBaseRefCounted): Integer; stdcall;

This item has no description.

Public has_one_ref: function(self: PCefBaseRefCounted): Integer; stdcall;

This item has no description.

Public has_at_least_one_ref: function(self: PCefBaseRefCounted): Integer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefBaseScoped

Record TCefBaseScoped

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefBaseScoped = record

Description

All scoped framework structures must include this structure first.

Implemented by ICefBaseScoped.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_base_capi.h">CEF source file: /include/capi/cef_base_capi.h (cef_base_scoped_t))

Overview

Fields

Public | size: NativeUInt;
Public | del: procedure(self: PCefBaseScoped); stdcall;

Description

Fields

Public size: NativeUInt;

This item has no description.

Public del: procedure(self: PCefBaseScoped); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefStreamWriter

Record TCefStreamWriter

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefStreamWriter = record

Description

Structure used to write data to a stream. The functions of this structure may be called on any thread.

NOTE: This struct is allocated DLL-side.

Implemented by ICefStreamWriter.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_stream_capi.h">CEF source file: /include/capi/cef_stream_capi.h (cef_stream_writer_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | write: function(self: PCefStreamWriter; const ptr: Pointer; size, n: NativeUInt): NativeUInt; stdcall;
Public | seek: function(self: PCefStreamWriter; offset: Int64; whence: Integer): Integer; stdcall;
Public | tell: function(self: PCefStreamWriter): Int64; stdcall;
Public | flush: function(self: PCefStreamWriter): Integer; stdcall;
Public | may_block: function(self: PCefStreamWriter): Integer; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public write: function(self: PCefStreamWriter; const ptr: Pointer; size, n: NativeUInt): NativeUInt; stdcall;

This item has no description.

Public seek: function(self: PCefStreamWriter; offset: Int64; whence: Integer): Integer; stdcall;

This item has no description.

Public tell: function(self: PCefStreamWriter): Int64; stdcall;

This item has no description.

Public flush: function(self: PCefStreamWriter): Integer; stdcall;

This item has no description.

Public may_block: function(self: PCefStreamWriter): Integer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefX509CertPrincipal

Record TCefX509CertPrincipal

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefX509CertPrincipal = record

Description

Structure representing the issuer or subject field of an X.509 certificate.

NOTE: This struct is allocated DLL-side.

Implemented by ICefX509CertPrincipal.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_x509_certificate_capi.h">CEF source file: /include/capi/cef_x509_certificate_capi.h (cef_x509_cert_principal_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | get_display_name: function(self: PCefX509CertPrincipal): PCefStringUserFree; stdcall;
Public | get_common_name: function(self: PCefX509CertPrincipal): PCefStringUserFree; stdcall;
Public | get_locality_name: function(self: PCefX509CertPrincipal): PCefStringUserFree; stdcall;
Public | get_state_or_province_name: function(self: PCefX509CertPrincipal): PCefStringUserFree; stdcall;
Public | get_country_name: function(self: PCefX509CertPrincipal): PCefStringUserFree; stdcall;
Public | get_organization_names: procedure(self: PCefX509CertPrincipal; names: TCefStringList); stdcall;
Public | get_organization_unit_names: procedure(self: PCefX509CertPrincipal; names: TCefStringList); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public get_display_name: function(self: PCefX509CertPrincipal): PCefStringUserFree; stdcall;

This item has no description.

Public get_common_name: function(self: PCefX509CertPrincipal): PCefStringUserFree; stdcall;

This item has no description.

Public get_locality_name: function(self: PCefX509CertPrincipal): PCefStringUserFree; stdcall;

This item has no description.

Public get_state_or_province_name: function(self: PCefX509CertPrincipal): PCefStringUserFree; stdcall;

This item has no description.

Public get_country_name: function(self: PCefX509CertPrincipal): PCefStringUserFree; stdcall;

This item has no description.

Public get_organization_names: procedure(self: PCefX509CertPrincipal; names: TCefStringList); stdcall;

This item has no description.

Public get_organization_unit_names: procedure(self: PCefX509CertPrincipal; names: TCefStringList); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefX509Certificate

Record TCefX509Certificate

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefX509Certificate = record

Description

Structure representing a X.509 certificate.

NOTE: This struct is allocated DLL-side.

Implemented by ICefX509Certificate.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_x509_certificate_capi.h">CEF source file: /include/capi/cef_x509_certificate_capi.h (cef_x509_certificate_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | get_subject: function(self: PCefX509Certificate): PCefX509CertPrincipal; stdcall;
Public | get_issuer: function(self: PCefX509Certificate): PCefX509CertPrincipal; stdcall;
Public | get_serial_number: function(self: PCefX509Certificate): PCefBinaryValue; stdcall;
Public | get_valid_start: function(self: PCefX509Certificate): TCefBaseTime; stdcall;
Public | get_valid_expiry: function(self: PCefX509Certificate): TCefBaseTime; stdcall;
Public | get_derencoded: function(self: PCefX509Certificate): PCefBinaryValue; stdcall;
Public | get_pemencoded: function(self: PCefX509Certificate): PCefBinaryValue; stdcall;
Public | get_issuer_chain_size: function(self: PCefX509Certificate): NativeUInt; stdcall;
Public | get_derencoded_issuer_chain: procedure(self: PCefX509Certificate; var chainCount: NativeUInt; var chain: PCefBinaryValue); stdcall;
Public | get_pemencoded_issuer_chain: procedure(self: PCefX509Certificate; var chainCount: NativeUInt; var chain: PCefBinaryValue); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public get_subject: function(self: PCefX509Certificate): PCefX509CertPrincipal; stdcall;

This item has no description.

Public get_issuer: function(self: PCefX509Certificate): PCefX509CertPrincipal; stdcall;

This item has no description.

Public get_serial_number: function(self: PCefX509Certificate): PCefBinaryValue; stdcall;

This item has no description.

Public get_valid_start: function(self: PCefX509Certificate): TCefBaseTime; stdcall;

This item has no description.

Public get_valid_expiry: function(self: PCefX509Certificate): TCefBaseTime; stdcall;

This item has no description.

Public get_derencoded: function(self: PCefX509Certificate): PCefBinaryValue; stdcall;

This item has no description.

Public get_pemencoded: function(self: PCefX509Certificate): PCefBinaryValue; stdcall;

This item has no description.

Public get_issuer_chain_size: function(self: PCefX509Certificate): NativeUInt; stdcall;

This item has no description.

Public get_derencoded_issuer_chain: procedure(self: PCefX509Certificate; var chainCount: NativeUInt; var chain: PCefBinaryValue); stdcall;

This item has no description.

Public get_pemencoded_issuer_chain: procedure(self: PCefX509Certificate; var chainCount: NativeUInt; var chain: PCefBinaryValue); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefSslInfo

Record TCefSslInfo

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefSslInfo = record

Description

Structure representing SSL information.

NOTE: This struct is allocated DLL-side.

Implemented by ICefSslInfo

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_ssl_info_capi.h">CEF source file: /include/capi/cef_ssl_info_capi.h (cef_sslinfo_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | get_cert_status: function(self: PCefSslInfo): TCefCertStatus; stdcall;
Public | get_x509certificate: function(self: PCefSslInfo): PCefX509Certificate; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public get_cert_status: function(self: PCefSslInfo): TCefCertStatus; stdcall;

This item has no description.

Public get_x509certificate: function(self: PCefSslInfo): PCefX509Certificate; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefSSLStatus

Record TCefSSLStatus

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefSSLStatus = record

Description

Structure representing the SSL information for a navigation entry.

NOTE: This struct is allocated DLL-side.

Implemented by ICefSSLStatus.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_ssl_status_capi.h">CEF source file: /include/capi/cef_ssl_status_capi.h (cef_sslstatus_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | is_secure_connection: function(self: PCefSSLStatus): integer; stdcall;
Public | get_cert_status: function(self: PCefSSLStatus): TCefCertStatus; stdcall;
Public | get_sslversion: function(self: PCefSSLStatus): TCefSSLVersion; stdcall;
Public | get_content_status: function(self: PCefSSLStatus): TCefSSLContentStatus; stdcall;
Public | get_x509_certificate: function(self: PCefSSLStatus): PCefX509Certificate; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public is_secure_connection: function(self: PCefSSLStatus): integer; stdcall;

This item has no description.

Public get_cert_status: function(self: PCefSSLStatus): TCefCertStatus; stdcall;

This item has no description.

Public get_sslversion: function(self: PCefSSLStatus): TCefSSLVersion; stdcall;

This item has no description.

Public get_content_status: function(self: PCefSSLStatus): TCefSSLContentStatus; stdcall;

This item has no description.

Public get_x509_certificate: function(self: PCefSSLStatus): PCefX509Certificate; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefSelectClientCertificateCallback

Record TCefSelectClientCertificateCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefSelectClientCertificateCallback = record

Description

Callback structure used to select a client certificate for authentication.

NOTE: This struct is allocated DLL-side.

Implemented by ICefSelectClientCertificateCallback.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_request_handler_capi.h">CEF source file: /include/capi/cef_request_handler_capi.h (cef_select_client_certificate_callback_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | select: procedure(self: PCefSelectClientCertificateCallback; cert: PCefX509Certificate); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public select: procedure(self: PCefSelectClientCertificateCallback; cert: PCefX509Certificate); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefRunContextMenuCallback

Record TCefRunContextMenuCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefRunContextMenuCallback = record

Description

Callback structure used for continuation of custom context menu display.

NOTE: This struct is allocated DLL-side.

Implemented by ICefRunContextMenuCallback.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_context_menu_handler_capi.h">CEF source file: /include/capi/cef_context_menu_handler_capi.h (cef_run_context_menu_callback_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | cont: procedure(self: PCefRunContextMenuCallback; command_id: Integer; event_flags: TCefEventFlags); stdcall;
Public | cancel: procedure(self: PCefRunContextMenuCallback); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public cont: procedure(self: PCefRunContextMenuCallback; command_id: Integer; event_flags: TCefEventFlags); stdcall;

This item has no description.

Public cancel: procedure(self: PCefRunContextMenuCallback); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefFileDialogCallback

Record TCefFileDialogCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefFileDialogCallback = record

Description

Callback structure for asynchronous continuation of file dialog requests.

NOTE: This struct is allocated DLL-side.

Implemented by ICefFileDialogCallback.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_dialog_handler_capi.h">CEF source file: /include/capi/cef_dialog_handler_capi.h (cef_file_dialog_callback_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | cont: procedure(self: PCefFileDialogCallback; file_paths: TCefStringList); stdcall;
Public | cancel: procedure(self: PCefFileDialogCallback); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public cont: procedure(self: PCefFileDialogCallback; file_paths: TCefStringList); stdcall;

This item has no description.

Public cancel: procedure(self: PCefFileDialogCallback); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefUnresponsiveProcessCallback

Record TCefUnresponsiveProcessCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefUnresponsiveProcessCallback = record

Description

Callback structure for asynchronous handling of an unresponsive process.

NOTE: This struct is allocated DLL-side.

Implemented by ICefUnresponsiveProcessCallback.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_unresponsive_process_callback_capi.h">CEF source file: /include/capi/cef_unresponsive_process_callback_capi.h (cef_unresponsive_process_callback_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | wait: procedure(self: PCefUnresponsiveProcessCallback); stdcall;
Public | terminate: procedure(self: PCefUnresponsiveProcessCallback); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public wait: procedure(self: PCefUnresponsiveProcessCallback); stdcall;

This item has no description.

Public terminate: procedure(self: PCefUnresponsiveProcessCallback); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefDialogHandler

Record TCefDialogHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefDialogHandler = record

Description

Implement this structure to handle dialog events. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

Implemented by ICefDialogHandler.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_dialog_handler_capi.h">CEF source file: /include/capi/cef_dialog_handler_capi.h (cef_dialog_handler_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | on_file_dialog: function(self: PCefDialogHandler; browser: PCefBrowser; mode: TCefFileDialogMode; const title, default_file_path: PCefString; accept_filters, accept_extensions, accept_descriptions: TCefStringList; callback: PCefFileDialogCallback): Integer; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public on_file_dialog: function(self: PCefDialogHandler; browser: PCefBrowser; mode: TCefFileDialogMode; const title, default_file_path: PCefString; accept_filters, accept_extensions, accept_descriptions: TCefStringList; callback: PCefFileDialogCallback): Integer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefDisplayHandler

Record TCefDisplayHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefDisplayHandler = record

Description

Implement this structure to handle events related to browser display state. The functions of this structure will be called on the UI thread.

NOTE: This struct is allocated client-side.

Implemented by ICefDisplayHandler.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_display_handler_capi.h">CEF source file: /include/capi/cef_display_handler_capi.h (cef_display_handler_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | on_address_change: procedure(self: PCefDisplayHandler; browser: PCefBrowser; frame: PCefFrame; const url: PCefString); stdcall;
Public | on_title_change: procedure(self: PCefDisplayHandler; browser: PCefBrowser; const title: PCefString); stdcall;
Public | on_favicon_urlchange: procedure(self: PCefDisplayHandler; browser: PCefBrowser; icon_urls: TCefStringList); stdcall;
Public | on_fullscreen_mode_change: procedure(self: PCefDisplayHandler; browser: PCefBrowser; fullscreen: Integer); stdcall;
Public | on_tooltip: function(self: PCefDisplayHandler; browser: PCefBrowser; text: PCefString): Integer; stdcall;
Public | on_status_message: procedure(self: PCefDisplayHandler; browser: PCefBrowser; const value: PCefString); stdcall;
Public | on_console_message: function(self: PCefDisplayHandler; browser: PCefBrowser; level: TCefLogSeverity; const message_, source: PCefString; line: Integer): Integer; stdcall;
Public | on_auto_resize: function(self: PCefDisplayHandler; browser: PCefBrowser; const new_size: PCefSize): Integer; stdcall;
Public | on_loading_progress_change: procedure(self: PCefDisplayHandler; browser: PCefBrowser; progress: double); stdcall;
Public | on_cursor_change: function(self: PCefDisplayHandler; browser: PCefBrowser; cursor: TCefCursorHandle; type_: TCefCursorType; const custom_cursor_info: PCefCursorInfo): Integer; stdcall;
Public | on_media_access_change: procedure(self: PCefDisplayHandler; browser: PCefBrowser; has_video_access, has_audio_access: integer); stdcall;
Public | on_contents_bounds_change: function(self: PCefDisplayHandler; browser: PCefBrowser; const new_bounds: PCefRect): integer; stdcall;
Public | get_root_window_screen_rect: function(self: PCefDisplayHandler; browser: PCefBrowser; rect: PCefRect): integer; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public on_address_change: procedure(self: PCefDisplayHandler; browser: PCefBrowser; frame: PCefFrame; const url: PCefString); stdcall;

This item has no description.

Public on_title_change: procedure(self: PCefDisplayHandler; browser: PCefBrowser; const title: PCefString); stdcall;

This item has no description.

Public on_favicon_urlchange: procedure(self: PCefDisplayHandler; browser: PCefBrowser; icon_urls: TCefStringList); stdcall;

This item has no description.

Public on_fullscreen_mode_change: procedure(self: PCefDisplayHandler; browser: PCefBrowser; fullscreen: Integer); stdcall;

This item has no description.

Public on_tooltip: function(self: PCefDisplayHandler; browser: PCefBrowser; text: PCefString): Integer; stdcall;

This item has no description.

Public on_status_message: procedure(self: PCefDisplayHandler; browser: PCefBrowser; const value: PCefString); stdcall;

This item has no description.

Public on_console_message: function(self: PCefDisplayHandler; browser: PCefBrowser; level: TCefLogSeverity; const message_, source: PCefString; line: Integer): Integer; stdcall;

This item has no description.

Public on_auto_resize: function(self: PCefDisplayHandler; browser: PCefBrowser; const new_size: PCefSize): Integer; stdcall;

This item has no description.

Public on_loading_progress_change: procedure(self: PCefDisplayHandler; browser: PCefBrowser; progress: double); stdcall;

This item has no description.

Public on_cursor_change: function(self: PCefDisplayHandler; browser: PCefBrowser; cursor: TCefCursorHandle; type_: TCefCursorType; const custom_cursor_info: PCefCursorInfo): Integer; stdcall;

This item has no description.

Public on_media_access_change: procedure(self: PCefDisplayHandler; browser: PCefBrowser; has_video_access, has_audio_access: integer); stdcall;

This item has no description.

Public on_contents_bounds_change: function(self: PCefDisplayHandler; browser: PCefBrowser; const new_bounds: PCefRect): integer; stdcall;

This item has no description.

Public get_root_window_screen_rect: function(self: PCefDisplayHandler; browser: PCefBrowser; rect: PCefRect): integer; stdcall;

* CEF_API_ADDED(13700) *


cef4delphi: uCEFTypes: Record TCefDownloadHandler

Record TCefDownloadHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefDownloadHandler = record

Description

Structure used to handle file downloads. The functions of this structure will called on the browser process UI thread.

NOTE: This struct is allocated client-side.

Implemented by ICefDownloadHandler.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_download_handler_capi.h">CEF source file: /include/capi/cef_download_handler_capi.h (cef_download_handler_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | can_download: function(self: PCefDownloadHandler; browser: PCefBrowser; const url, request_method: PCefString): integer; stdcall;
Public | on_before_download: function(self: PCefDownloadHandler; browser: PCefBrowser; download_item: PCefDownloadItem; const suggested_name: PCefString; callback: PCefBeforeDownloadCallback): Integer; stdcall;
Public | on_download_updated: procedure(self: PCefDownloadHandler; browser: PCefBrowser; download_item: PCefDownloadItem; callback: PCefDownloadItemCallback); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public can_download: function(self: PCefDownloadHandler; browser: PCefBrowser; const url, request_method: PCefString): integer; stdcall;

This item has no description.

Public on_before_download: function(self: PCefDownloadHandler; browser: PCefBrowser; download_item: PCefDownloadItem; const suggested_name: PCefString; callback: PCefBeforeDownloadCallback): Integer; stdcall;

This item has no description.

Public on_download_updated: procedure(self: PCefDownloadHandler; browser: PCefBrowser; download_item: PCefDownloadItem; callback: PCefDownloadItemCallback); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefDragHandler

Record TCefDragHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefDragHandler = record

Description

Implement this structure to handle events related to dragging. The functions of this structure will be called on the UI thread.

NOTE: This struct is allocated client-side.

Implemented by ICefDragHandler.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_drag_handler_capi.h">CEF source file: /include/capi/cef_drag_handler_capi.h (cef_drag_handler_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | on_drag_enter: function(self: PCefDragHandler; browser: PCefBrowser; dragData: PCefDragData; mask: TCefDragOperations): Integer; stdcall;
Public | on_draggable_regions_changed: procedure(self: PCefDragHandler; browser: PCefBrowser; frame: PCefFrame; regionsCount: NativeUInt; const regions: PCefDraggableRegionArray); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public on_drag_enter: function(self: PCefDragHandler; browser: PCefBrowser; dragData: PCefDragData; mask: TCefDragOperations): Integer; stdcall;

This item has no description.

Public on_draggable_regions_changed: procedure(self: PCefDragHandler; browser: PCefBrowser; frame: PCefFrame; regionsCount: NativeUInt; const regions: PCefDraggableRegionArray); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefFindHandler

Record TCefFindHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefFindHandler = record

Description

Implement this structure to handle events related to find results. The functions of this structure will be called on the UI thread.

NOTE: This struct is allocated client-side.

Implemented by ICefFindHandler.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_find_handler_capi.h">CEF source file: /include/capi/cef_find_handler_capi.h (cef_find_handler_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | on_find_result: procedure(self: PCefFindHandler; browser: PCefBrowser; identifier, count: Integer; const selection_rect: PCefRect; active_match_ordinal, final_update: Integer); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public on_find_result: procedure(self: PCefFindHandler; browser: PCefBrowser; identifier, count: Integer; const selection_rect: PCefRect; active_match_ordinal, final_update: Integer); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefFocusHandler

Record TCefFocusHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefFocusHandler = record

Description

Implement this structure to handle events related to focus. The functions of this structure will be called on the UI thread.

NOTE: This struct is allocated client-side.

Implemented by ICefFocusHandler.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_focus_handler_capi.h">CEF source file: /include/capi/cef_focus_handler_capi.h (cef_focus_handler_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | on_take_focus: procedure(self: PCefFocusHandler; browser: PCefBrowser; next: Integer); stdcall;
Public | on_set_focus: function(self: PCefFocusHandler; browser: PCefBrowser; source: TCefFocusSource): Integer; stdcall;
Public | on_got_focus: procedure(self: PCefFocusHandler; browser: PCefBrowser); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public on_take_focus: procedure(self: PCefFocusHandler; browser: PCefBrowser; next: Integer); stdcall;

This item has no description.

Public on_set_focus: function(self: PCefFocusHandler; browser: PCefBrowser; source: TCefFocusSource): Integer; stdcall;

This item has no description.

Public on_got_focus: procedure(self: PCefFocusHandler; browser: PCefBrowser); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefJsDialogHandler

Record TCefJsDialogHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefJsDialogHandler = record

Description

Implement this structure to handle events related to JavaScript dialogs. The functions of this structure will be called on the UI thread.

NOTE: This struct is allocated client-side.

Implemented by ICefJsDialogHandler.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_jsdialog_handler_capi.h">CEF source file: /include/capi/cef_jsdialog_handler_capi.h (cef_jsdialog_handler_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | on_jsdialog: function(self: PCefJsDialogHandler; browser: PCefBrowser; const origin_url: PCefString; dialog_type: TCefJsDialogType; const message_text, default_prompt_text: PCefString; callback: PCefJsDialogCallback; suppress_message: PInteger): Integer; stdcall;
Public | on_before_unload_dialog: function(self: PCefJsDialogHandler; browser: PCefBrowser; const message_text: PCefString; is_reload: Integer; callback: PCefJsDialogCallback): Integer; stdcall;
Public | on_reset_dialog_state: procedure(self: PCefJsDialogHandler; browser: PCefBrowser); stdcall;
Public | on_dialog_closed: procedure(self: PCefJsDialogHandler; browser: PCefBrowser); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public on_jsdialog: function(self: PCefJsDialogHandler; browser: PCefBrowser; const origin_url: PCefString; dialog_type: TCefJsDialogType; const message_text, default_prompt_text: PCefString; callback: PCefJsDialogCallback; suppress_message: PInteger): Integer; stdcall;

This item has no description.

Public on_before_unload_dialog: function(self: PCefJsDialogHandler; browser: PCefBrowser; const message_text: PCefString; is_reload: Integer; callback: PCefJsDialogCallback): Integer; stdcall;

This item has no description.

Public on_reset_dialog_state: procedure(self: PCefJsDialogHandler; browser: PCefBrowser); stdcall;

This item has no description.

Public on_dialog_closed: procedure(self: PCefJsDialogHandler; browser: PCefBrowser); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefJsDialogCallback

Record TCefJsDialogCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefJsDialogCallback = record

Description

Callback structure used for asynchronous continuation of JavaScript dialog requests.

NOTE: This struct is allocated DLL-side.

Implemented by ICefJsDialogCallback.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_jsdialog_handler_capi.h">CEF source file: /include/capi/cef_jsdialog_handler_capi.h (cef_jsdialog_callback_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | cont: procedure(self: PCefJsDialogCallback; success: Integer; const user_input: PCefString); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public cont: procedure(self: PCefJsDialogCallback; success: Integer; const user_input: PCefString); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefKeyboardHandler

Record TCefKeyboardHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefKeyboardHandler = record

Description

Implement this structure to handle events related to keyboard input. The functions of this structure will be called on the UI thread.

NOTE: This struct is allocated client-side.

Implemented by ICefKeyboardHandler.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_keyboard_handler_capi.h">CEF source file: /include/capi/cef_keyboard_handler_capi.h (cef_keyboard_handler_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | on_pre_key_event: function(self: PCefKeyboardHandler; browser: PCefBrowser; const event: PCefKeyEvent; os_event: TCefEventHandle; is_keyboard_shortcut: PInteger): Integer; stdcall;
Public | on_key_event: function(self: PCefKeyboardHandler; browser: PCefBrowser; const event: PCefKeyEvent; os_event: TCefEventHandle): Integer; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public on_pre_key_event: function(self: PCefKeyboardHandler; browser: PCefBrowser; const event: PCefKeyEvent; os_event: TCefEventHandle; is_keyboard_shortcut: PInteger): Integer; stdcall;

This item has no description.

Public on_key_event: function(self: PCefKeyboardHandler; browser: PCefBrowser; const event: PCefKeyEvent; os_event: TCefEventHandle): Integer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefLifeSpanHandler

Record TCefLifeSpanHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefLifeSpanHandler = record

Description

Implement this structure to handle events related to browser life span. The functions of this structure will be called on the UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

Implemented by ICefLifeSpanHandler.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_life_span_handler_capi.h">CEF source file: /include/capi/cef_life_span_handler_capi.h (cef_life_span_handler_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | on_before_popup: function(self: PCefLifeSpanHandler; browser: PCefBrowser; frame: PCefFrame; popup_id: Integer; const target_url, target_frame_name: PCefString; target_disposition: TCefWindowOpenDisposition; user_gesture: Integer; const popupFeatures: PCefPopupFeatures; windowInfo: PCefWindowInfo; var client: PCefClient; settings: PCefBrowserSettings; var extra_info: PCefDictionaryValue; no_javascript_access: PInteger): Integer; stdcall;
Public | on_before_popup_aborted: procedure(self: PCefLifeSpanHandler; browser: PCefBrowser; popup_id: Integer); stdcall;
Public | on_before_dev_tools_popup: procedure(self: PCefLifeSpanHandler; browser: PCefBrowser; windowInfo: PCefWindowInfo; var client: PCefClient; settings: PCefBrowserSettings; var extra_info: PCefDictionaryValue; use_default_window: PInteger); stdcall;
Public | on_after_created: procedure(self: PCefLifeSpanHandler; browser: PCefBrowser); stdcall;
Public | do_close: function(self: PCefLifeSpanHandler; browser: PCefBrowser): Integer; stdcall;
Public | on_before_close: procedure(self: PCefLifeSpanHandler; browser: PCefBrowser); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public on_before_popup: function(self: PCefLifeSpanHandler; browser: PCefBrowser; frame: PCefFrame; popup_id: Integer; const target_url, target_frame_name: PCefString; target_disposition: TCefWindowOpenDisposition; user_gesture: Integer; const popupFeatures: PCefPopupFeatures; windowInfo: PCefWindowInfo; var client: PCefClient; settings: PCefBrowserSettings; var extra_info: PCefDictionaryValue; no_javascript_access: PInteger): Integer; stdcall;

This item has no description.

Public on_before_popup_aborted: procedure(self: PCefLifeSpanHandler; browser: PCefBrowser; popup_id: Integer); stdcall;

This item has no description.

Public on_before_dev_tools_popup: procedure(self: PCefLifeSpanHandler; browser: PCefBrowser; windowInfo: PCefWindowInfo; var client: PCefClient; settings: PCefBrowserSettings; var extra_info: PCefDictionaryValue; use_default_window: PInteger); stdcall;

This item has no description.

Public on_after_created: procedure(self: PCefLifeSpanHandler; browser: PCefBrowser); stdcall;

This item has no description.

Public do_close: function(self: PCefLifeSpanHandler; browser: PCefBrowser): Integer; stdcall;

This item has no description.

Public on_before_close: procedure(self: PCefLifeSpanHandler; browser: PCefBrowser); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefRegistration

Record TCefRegistration

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefRegistration = record

Description

Generic callback structure used for managing the lifespan of a registration.

NOTE: This struct is allocated DLL-side.

Implemented by ICefRegistration.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_registration_capi.h">CEF source file: /include/capi/cef_registration_capi.h (cef_registration_t))

Overview

Fields

Public base: TCefBaseRefCounted;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.


cef4delphi: uCEFTypes: Record TCefDevToolsMessageObserver

Record TCefDevToolsMessageObserver

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefDevToolsMessageObserver = record

Description

Callback structure for ICefBrowserHost.AddDevToolsMessageObserver. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

Implemented by ICefDevToolsMessageObserver.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_devtools_message_observer_capi.h">CEF source file: /include/capi/cef_devtools_message_observer_capi.h (cef_dev_tools_message_observer_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | on_dev_tools_message: function(self: PCefDevToolsMessageObserver; browser: PCefBrowser; const message_: Pointer; message_size: NativeUInt): Integer; stdcall;
Public | on_dev_tools_method_result: procedure(self: PCefDevToolsMessageObserver; browser: PCefBrowser; message_id, success: Integer; const result: Pointer; result_size: NativeUInt); stdcall;
Public | on_dev_tools_event: procedure(self: PCefDevToolsMessageObserver; browser: PCefBrowser; const method: PCefString; const params: Pointer; params_size: NativeUInt); stdcall;
Public | on_dev_tools_agent_attached: procedure(self: PCefDevToolsMessageObserver; browser: PCefBrowser); stdcall;
Public | on_dev_tools_agent_detached: procedure(self: PCefDevToolsMessageObserver; browser: PCefBrowser); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public on_dev_tools_message: function(self: PCefDevToolsMessageObserver; browser: PCefBrowser; const message_: Pointer; message_size: NativeUInt): Integer; stdcall;

This item has no description.

Public on_dev_tools_method_result: procedure(self: PCefDevToolsMessageObserver; browser: PCefBrowser; message_id, success: Integer; const result: Pointer; result_size: NativeUInt); stdcall;

This item has no description.

Public on_dev_tools_event: procedure(self: PCefDevToolsMessageObserver; browser: PCefBrowser; const method: PCefString; const params: Pointer; params_size: NativeUInt); stdcall;

This item has no description.

Public on_dev_tools_agent_attached: procedure(self: PCefDevToolsMessageObserver; browser: PCefBrowser); stdcall;

This item has no description.

Public on_dev_tools_agent_detached: procedure(self: PCefDevToolsMessageObserver; browser: PCefBrowser); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefMediaRouter

Record TCefMediaRouter

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefMediaRouter = record

Description

Supports discovery of and communication with media devices on the local network via the Cast and DIAL protocols. The functions of this structure may be called on any browser process thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Implemented by ICefMediaRouter.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_media_router_capi.h">CEF source file: /include/capi/cef_media_router_capi.h (cef_media_router_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | add_observer: function(self: PCefMediaRouter; observer: PCefMediaObserver): PCefRegistration; stdcall;
Public | get_source: function(self: PCefMediaRouter; const urn: PCefString): PCefMediaSource; stdcall;
Public | notify_current_sinks: procedure(self: PCefMediaRouter); stdcall;
Public | create_route: procedure(self: PCefMediaRouter; source: PCefMediaSource; sink: PCefMediaSink; callback: PCefMediaRouteCreateCallback); stdcall;
Public | notify_current_routes: procedure(self: PCefMediaRouter); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public add_observer: function(self: PCefMediaRouter; observer: PCefMediaObserver): PCefRegistration; stdcall;

This item has no description.

Public get_source: function(self: PCefMediaRouter; const urn: PCefString): PCefMediaSource; stdcall;

This item has no description.

Public notify_current_sinks: procedure(self: PCefMediaRouter); stdcall;

This item has no description.

Public create_route: procedure(self: PCefMediaRouter; source: PCefMediaSource; sink: PCefMediaSink; callback: PCefMediaRouteCreateCallback); stdcall;

This item has no description.

Public notify_current_routes: procedure(self: PCefMediaRouter); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefMediaObserver

Record TCefMediaObserver

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefMediaObserver = record

Description

Implemented by the client to observe MediaRouter events and registered via ICefMediaRouter.AddObserver. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

Implemented by ICefMediaObserver.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_media_router_capi.h">CEF source file: /include/capi/cef_media_router_capi.h (cef_media_observer_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | on_sinks: procedure(self: PCefMediaObserver; sinksCount: NativeUInt; const sinks: PPCefMediaSink); stdcall;
Public | on_routes: procedure(self: PCefMediaObserver; routesCount: NativeUInt; const routes: PPCefMediaRoute); stdcall;
Public | on_route_state_changed: procedure(self: PCefMediaObserver; route: PCefMediaRoute; state: TCefMediaRouteConnectionState); stdcall;
Public | on_route_message_received: procedure(self: PCefMediaObserver; route: PCefMediaRoute; const message_: Pointer; message_size: NativeUInt); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public on_sinks: procedure(self: PCefMediaObserver; sinksCount: NativeUInt; const sinks: PPCefMediaSink); stdcall;

This item has no description.

Public on_routes: procedure(self: PCefMediaObserver; routesCount: NativeUInt; const routes: PPCefMediaRoute); stdcall;

This item has no description.

Public on_route_state_changed: procedure(self: PCefMediaObserver; route: PCefMediaRoute; state: TCefMediaRouteConnectionState); stdcall;

This item has no description.

Public on_route_message_received: procedure(self: PCefMediaObserver; route: PCefMediaRoute; const message_: Pointer; message_size: NativeUInt); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefMediaRoute

Record TCefMediaRoute

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefMediaRoute = record

Description

Represents the route between a media source and sink. Instances of this object are created via ICefMediaRouter.CreateRoute and retrieved via ICefMediaObserver.OnRoutes. Contains the status and metadata of a routing operation. The functions of this structure may be called on any browser process thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Implemented by ICefMediaRoute.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_media_router_capi.h">CEF source file: /include/capi/cef_media_router_capi.h (cef_media_route_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | get_id: function(self: PCefMediaRoute): PCefStringUserFree; stdcall;
Public | get_source: function(self: PCefMediaRoute): PCefMediaSource; stdcall;
Public | get_sink: function(self: PCefMediaRoute): PCefMediaSink; stdcall;
Public | send_route_message: procedure(self: PCefMediaRoute; const message_: Pointer; message_size: NativeUInt); stdcall;
Public | terminate: procedure(self: PCefMediaRoute); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public get_id: function(self: PCefMediaRoute): PCefStringUserFree; stdcall;

This item has no description.

Public get_source: function(self: PCefMediaRoute): PCefMediaSource; stdcall;

This item has no description.

Public get_sink: function(self: PCefMediaRoute): PCefMediaSink; stdcall;

This item has no description.

Public send_route_message: procedure(self: PCefMediaRoute; const message_: Pointer; message_size: NativeUInt); stdcall;

This item has no description.

Public terminate: procedure(self: PCefMediaRoute); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefMediaRouteCreateCallback

Record TCefMediaRouteCreateCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefMediaRouteCreateCallback = record

Description

Callback structure for ICefMediaRouter.CreateRoute. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

Implemented by ICefMediaRouteCreateCallback.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_media_router_capi.h">CEF source file: /include/capi/cef_media_router_capi.h (cef_media_route_create_callback_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | on_media_route_create_finished: procedure(self: PCefMediaRouteCreateCallback; result: TCefMediaRouterCreateResult; const error: PCefString; route: PCefMediaRoute); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public on_media_route_create_finished: procedure(self: PCefMediaRouteCreateCallback; result: TCefMediaRouterCreateResult; const error: PCefString; route: PCefMediaRoute); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefMediaSink

Record TCefMediaSink

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefMediaSink = record

Description

Represents a sink to which media can be routed. Instances of this object are retrieved via ICefMediaObserver.OnSinks. The functions of this structure may be called on any browser process thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Implemented by ICefMediaSink.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_media_router_capi.h">CEF source file: /include/capi/cef_media_router_capi.h (cef_media_sink_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | get_id: function(self: PCefMediaSink): PCefStringUserFree; stdcall;
Public | get_name: function(self: PCefMediaSink): PCefStringUserFree; stdcall;
Public | get_icon_type: function(self: PCefMediaSink): TCefMediaSinkIconType; stdcall;
Public | get_device_info: procedure(self: PCefMediaSink; callback: PCefMediaSinkDeviceInfoCallback); stdcall;
Public | is_cast_sink: function(self: PCefMediaSink): Integer; stdcall;
Public | is_dial_sink: function(self: PCefMediaSink): Integer; stdcall;
Public | is_compatible_with: function(self: PCefMediaSink; source: PCefMediaSource): Integer; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public get_id: function(self: PCefMediaSink): PCefStringUserFree; stdcall;

This item has no description.

Public get_name: function(self: PCefMediaSink): PCefStringUserFree; stdcall;

This item has no description.

Public get_icon_type: function(self: PCefMediaSink): TCefMediaSinkIconType; stdcall;

This item has no description.

Public get_device_info: procedure(self: PCefMediaSink; callback: PCefMediaSinkDeviceInfoCallback); stdcall;

This item has no description.

Public is_cast_sink: function(self: PCefMediaSink): Integer; stdcall;

This item has no description.

Public is_dial_sink: function(self: PCefMediaSink): Integer; stdcall;

This item has no description.

Public is_compatible_with: function(self: PCefMediaSink; source: PCefMediaSource): Integer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefMediaSinkDeviceInfoCallback

Record TCefMediaSinkDeviceInfoCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefMediaSinkDeviceInfoCallback = record

Description

Callback structure for ICefMediaSink.GetDeviceInfo. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

Implemented by ICefMediaSinkDeviceInfoCallback.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_media_router_capi.h">CEF source file: /include/capi/cef_media_router_capi.h (cef_media_sink_device_info_callback_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | on_media_sink_device_info: procedure(self: PCefMediaSinkDeviceInfoCallback; device_info: PCefMediaSinkDeviceInfo); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public on_media_sink_device_info: procedure(self: PCefMediaSinkDeviceInfoCallback; device_info: PCefMediaSinkDeviceInfo); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefMediaSource

Record TCefMediaSource

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefMediaSource = record

Description

Represents a source from which media can be routed. Instances of this object are retrieved via ICefMediaRouter.GetSource. The functions of this structure may be called on any browser process thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Implemented by ICefMediaSource.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_media_router_capi.h">CEF source file: /include/capi/cef_media_router_capi.h (cef_media_source_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | get_id: function(self: PCefMediaSource): PCefStringUserFree; stdcall;
Public | is_cast_source: function(self: PCefMediaSource): Integer; stdcall;
Public | is_dial_source: function(self: PCefMediaSource): Integer; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public get_id: function(self: PCefMediaSource): PCefStringUserFree; stdcall;

This item has no description.

Public is_cast_source: function(self: PCefMediaSource): Integer; stdcall;

This item has no description.

Public is_dial_source: function(self: PCefMediaSource): Integer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefAudioHandler

Record TCefAudioHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefAudioHandler = record

Description

Implement this structure to handle audio events.

NOTE: This struct is allocated client-side.

Implemented by ICefAudioHandler.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_audio_handler_capi.h">CEF source file: /include/capi/cef_audio_handler_capi.h (cef_audio_handler_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | get_audio_parameters: function(self: PCefAudioHandler; browser: PCefBrowser; params: PCefAudioParameters): Integer; stdcall;
Public | on_audio_stream_started: procedure(self: PCefAudioHandler; browser: PCefBrowser; const params: PCefAudioParameters; channels: integer); stdcall;
Public | on_audio_stream_packet: procedure(self: PCefAudioHandler; browser: PCefBrowser; const data : PPSingle; frames: integer; pts: int64); stdcall;
Public | on_audio_stream_stopped: procedure(self: PCefAudioHandler; browser: PCefBrowser); stdcall;
Public | on_audio_stream_error: procedure(self: PCefAudioHandler; browser: PCefBrowser; const message_: PCefString); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public get_audio_parameters: function(self: PCefAudioHandler; browser: PCefBrowser; params: PCefAudioParameters): Integer; stdcall;

This item has no description.

Public on_audio_stream_started: procedure(self: PCefAudioHandler; browser: PCefBrowser; const params: PCefAudioParameters; channels: integer); stdcall;

This item has no description.

Public on_audio_stream_packet: procedure(self: PCefAudioHandler; browser: PCefBrowser; const data : PPSingle; frames: integer; pts: int64); stdcall;

This item has no description.

Public on_audio_stream_stopped: procedure(self: PCefAudioHandler; browser: PCefBrowser); stdcall;

This item has no description.

Public on_audio_stream_error: procedure(self: PCefAudioHandler; browser: PCefBrowser; const message_: PCefString); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefLoadHandler

Record TCefLoadHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefLoadHandler = record

Description

Implement this structure to handle events related to browser load status. The functions of this structure will be called on the browser process UI thread or render process main thread (TID_RENDERER).

NOTE: This struct is allocated client-side.

Implemented by ICefLoadHandler.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_load_handler_capi.h">CEF source file: /include/capi/cef_load_handler_capi.h (cef_load_handler_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | on_loading_state_change: procedure(self: PCefLoadHandler; browser: PCefBrowser; isLoading, canGoBack, canGoForward: Integer); stdcall;
Public | on_load_start: procedure(self: PCefLoadHandler; browser: PCefBrowser; frame: PCefFrame; transition_type: TCefTransitionType); stdcall;
Public | on_load_end: procedure(self: PCefLoadHandler; browser: PCefBrowser; frame: PCefFrame; httpStatusCode: Integer); stdcall;
Public | on_load_error: procedure(self: PCefLoadHandler; browser: PCefBrowser; frame: PCefFrame; errorCode: TCefErrorCode; const errorText, failedUrl: PCefString); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public on_loading_state_change: procedure(self: PCefLoadHandler; browser: PCefBrowser; isLoading, canGoBack, canGoForward: Integer); stdcall;

This item has no description.

Public on_load_start: procedure(self: PCefLoadHandler; browser: PCefBrowser; frame: PCefFrame; transition_type: TCefTransitionType); stdcall;

This item has no description.

Public on_load_end: procedure(self: PCefLoadHandler; browser: PCefBrowser; frame: PCefFrame; httpStatusCode: Integer); stdcall;

This item has no description.

Public on_load_error: procedure(self: PCefLoadHandler; browser: PCefBrowser; frame: PCefFrame; errorCode: TCefErrorCode; const errorText, failedUrl: PCefString); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefRenderHandler

Record TCefRenderHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefRenderHandler = record

Description

Implement this structure to handle events when window rendering is disabled. The functions of this structure will be called on the UI thread.

NOTE: This struct is allocated client-side.

Implemented by ICefRenderHandler.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_render_handler_capi.h">CEF source file: /include/capi/cef_render_handler_capi.h (cef_render_handler_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | get_accessibility_handler: function(self: PCefRenderHandler): PCefAccessibilityHandler; stdcall;
Public | get_root_screen_rect: function(self: PCefRenderHandler; browser: PCefBrowser; rect: PCefRect): Integer; stdcall;
Public | get_view_rect: procedure(self: PCefRenderHandler; browser: PCefBrowser; rect: PCefRect); stdcall;
Public | get_screen_point: function(self: PCefRenderHandler; browser: PCefBrowser; viewX, viewY: Integer; screenX, screenY: PInteger): Integer; stdcall;
Public | get_screen_info: function(self: PCefRenderHandler; browser: PCefBrowser; screen_info: PCefScreenInfo): Integer; stdcall;
Public | on_popup_show: procedure(self: PCefRenderHandler; browser: PCefBrowser; show: Integer); stdcall;
Public | on_popup_size: procedure(self: PCefRenderHandler; browser: PCefBrowser; const rect: PCefRect); stdcall;
Public | on_paint: procedure(self: PCefRenderHandler; browser: PCefBrowser; type_: TCefPaintElementType; dirtyRectsCount: NativeUInt; const dirtyRects: PCefRectArray; const buffer: Pointer; width, height: Integer); stdcall;
Public | on_accelerated_paint: procedure(self: PCefRenderHandler; browser: PCefBrowser; type_: TCefPaintElementType; dirtyRectsCount: NativeUInt; const dirtyRects: PCefRectArray; const info: PCefAcceleratedPaintInfo); stdcall;
Public | get_touch_handle_size: procedure(self: PCefRenderHandler; browser: PCefBrowser; orientation: TCefHorizontalAlignment; size: PCefSize); stdcall;
Public | on_touch_handle_state_changed: procedure(self: PCefRenderHandler; browser: PCefBrowser; const state: PCefTouchHandleState); stdcall;
Public | start_dragging: function(self: PCefRenderHandler; browser: PCefBrowser; drag_data: PCefDragData; allowed_ops: TCefDragOperations; x, y: Integer): Integer; stdcall;
Public | update_drag_cursor: procedure(self: PCefRenderHandler; browser: PCefBrowser; operation: TCefDragOperation); stdcall;
Public | on_scroll_offset_changed: procedure(self: PCefRenderHandler; browser: PCefBrowser; x, y: Double); stdcall;
Public | on_ime_composition_range_changed: procedure(self: PCefRenderHandler; browser: PCefBrowser; const selected_range: PCefRange; character_boundsCount: NativeUInt; const character_bounds: PCefRect); stdcall;
Public | on_text_selection_changed: procedure(self: PCefRenderHandler; browser: PCefBrowser; const selected_text: PCefString; const selected_range: PCefRange); stdcall;
Public | on_virtual_keyboard_requested: procedure(self: PCefRenderHandler; browser: PCefBrowser; input_mode: TCefTextInpuMode); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public get_accessibility_handler: function(self: PCefRenderHandler): PCefAccessibilityHandler; stdcall;

This item has no description.

Public get_root_screen_rect: function(self: PCefRenderHandler; browser: PCefBrowser; rect: PCefRect): Integer; stdcall;

This item has no description.

Public get_view_rect: procedure(self: PCefRenderHandler; browser: PCefBrowser; rect: PCefRect); stdcall;

This item has no description.

Public get_screen_point: function(self: PCefRenderHandler; browser: PCefBrowser; viewX, viewY: Integer; screenX, screenY: PInteger): Integer; stdcall;

This item has no description.

Public get_screen_info: function(self: PCefRenderHandler; browser: PCefBrowser; screen_info: PCefScreenInfo): Integer; stdcall;

This item has no description.

Public on_popup_show: procedure(self: PCefRenderHandler; browser: PCefBrowser; show: Integer); stdcall;

This item has no description.

Public on_popup_size: procedure(self: PCefRenderHandler; browser: PCefBrowser; const rect: PCefRect); stdcall;

This item has no description.

Public on_paint: procedure(self: PCefRenderHandler; browser: PCefBrowser; type_: TCefPaintElementType; dirtyRectsCount: NativeUInt; const dirtyRects: PCefRectArray; const buffer: Pointer; width, height: Integer); stdcall;

This item has no description.

Public on_accelerated_paint: procedure(self: PCefRenderHandler; browser: PCefBrowser; type_: TCefPaintElementType; dirtyRectsCount: NativeUInt; const dirtyRects: PCefRectArray; const info: PCefAcceleratedPaintInfo); stdcall;

This item has no description.

Public get_touch_handle_size: procedure(self: PCefRenderHandler; browser: PCefBrowser; orientation: TCefHorizontalAlignment; size: PCefSize); stdcall;

This item has no description.

Public on_touch_handle_state_changed: procedure(self: PCefRenderHandler; browser: PCefBrowser; const state: PCefTouchHandleState); stdcall;

This item has no description.

Public start_dragging: function(self: PCefRenderHandler; browser: PCefBrowser; drag_data: PCefDragData; allowed_ops: TCefDragOperations; x, y: Integer): Integer; stdcall;

This item has no description.

Public update_drag_cursor: procedure(self: PCefRenderHandler; browser: PCefBrowser; operation: TCefDragOperation); stdcall;

This item has no description.

Public on_scroll_offset_changed: procedure(self: PCefRenderHandler; browser: PCefBrowser; x, y: Double); stdcall;

This item has no description.

Public on_ime_composition_range_changed: procedure(self: PCefRenderHandler; browser: PCefBrowser; const selected_range: PCefRange; character_boundsCount: NativeUInt; const character_bounds: PCefRect); stdcall;

This item has no description.

Public on_text_selection_changed: procedure(self: PCefRenderHandler; browser: PCefBrowser; const selected_text: PCefString; const selected_range: PCefRange); stdcall;

This item has no description.

Public on_virtual_keyboard_requested: procedure(self: PCefRenderHandler; browser: PCefBrowser; input_mode: TCefTextInpuMode); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefPreferenceRegistrar

Record TCefPreferenceRegistrar

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefPreferenceRegistrar = record

Description

Structure that manages custom preference registrations.

NOTE: This struct is allocated DLL-side.

Implemented by TCefPreferenceRegistrarRef.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_preference_capi.h">CEF source file: /include/capi/cef_preference_capi.h (cef_preference_registrar_t))

Overview

Fields

Public | base: TCefBaseScoped;
Public | add_preference: function(self: PCefPreferenceRegistrar; const name: PCefString; default_value: PCefValue): Integer; stdcall;

Description

Fields

Public base: TCefBaseScoped;

This item has no description.

Public add_preference: function(self: PCefPreferenceRegistrar; const name: PCefString; default_value: PCefValue): Integer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefPreferenceObserver

Record TCefPreferenceObserver

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefPreferenceObserver = record

Description

* CEF_API_ADDED(13401) *

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | on_preference_changed: procedure(self: PCefPreferenceObserver; const name: PCefString); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public on_preference_changed: procedure(self: PCefPreferenceObserver; const name: PCefString); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefPreferenceManager

Record TCefPreferenceManager

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefPreferenceManager = record

Description

Manage access to preferences. Many built-in preferences are registered by Chromium. Custom preferences can be registered in ICefBrowserProcessHandler.OnRegisterCustomPreferences.

NOTE: This struct is allocated DLL-side.

Implemented by ICefPreferenceManager.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_preference_capi.h">CEF source file: /include/capi/cef_preference_capi.h (cef_preference_manager_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | has_preference: function(self: PCefPreferenceManager; const name: PCefString): Integer; stdcall;
Public | get_preference: function(self: PCefPreferenceManager; const name: PCefString): PCefValue; stdcall;
Public | get_all_preferences: function(self: PCefPreferenceManager; include_defaults: Integer): PCefDictionaryValue; stdcall;
Public | can_set_preference: function(self: PCefPreferenceManager; const name: PCefString): Integer; stdcall;
Public | set_preference: function(self: PCefPreferenceManager; const name: PCefString; value: PCefValue; error: PCefString): Integer; stdcall;
Public | add_preference_observer: function(self: PCefPreferenceManager; const name: PCefString; observer: PCefPreferenceObserver): PCefRegistration; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public has_preference: function(self: PCefPreferenceManager; const name: PCefString): Integer; stdcall;

This item has no description.

Public get_preference: function(self: PCefPreferenceManager; const name: PCefString): PCefValue; stdcall;

This item has no description.

Public get_all_preferences: function(self: PCefPreferenceManager; include_defaults: Integer): PCefDictionaryValue; stdcall;

This item has no description.

Public can_set_preference: function(self: PCefPreferenceManager; const name: PCefString): Integer; stdcall;

This item has no description.

Public set_preference: function(self: PCefPreferenceManager; const name: PCefString; value: PCefValue; error: PCefString): Integer; stdcall;

This item has no description.

Public add_preference_observer: function(self: PCefPreferenceManager; const name: PCefString; observer: PCefPreferenceObserver): PCefRegistration; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefV8StackTrace

Record TCefV8StackTrace

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefV8StackTrace = record

Description

Structure representing a V8 stack trace handle. V8 handles can only be accessed from the thread on which they are created. Valid threads for creating a V8 handle include the render process main thread (TID_RENDERER) and WebWorker threads. A task runner for posting tasks on the associated thread can be retrieved via the ICefv8context.GetTaskRunner() function.

NOTE: This struct is allocated DLL-side.

Implemented by ICefV8StackTrace.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_v8_capi.h">CEF source file: /include/capi/cef_v8_capi.h (cef_v8_stack_trace_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | is_valid: function(self: PCefV8StackTrace): Integer; stdcall;
Public | get_frame_count: function(self: PCefV8StackTrace): Integer; stdcall;
Public | get_frame: function(self: PCefV8StackTrace; index: Integer): PCefV8StackFrame; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public is_valid: function(self: PCefV8StackTrace): Integer; stdcall;

This item has no description.

Public get_frame_count: function(self: PCefV8StackTrace): Integer; stdcall;

This item has no description.

Public get_frame: function(self: PCefV8StackTrace; index: Integer): PCefV8StackFrame; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefV8StackFrame

Record TCefV8StackFrame

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefV8StackFrame = record

Description

Structure representing a V8 stack frame handle. V8 handles can only be accessed from the thread on which they are created. Valid threads for creating a V8 handle include the render process main thread (TID_RENDERER) and WebWorker threads. A task runner for posting tasks on the associated thread can be retrieved via the ICefv8context.GetTaskRunner() function.

NOTE: This struct is allocated DLL-side.

Implemented by ICefV8StackFrame.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_v8_capi.h">CEF source file: /include/capi/cef_v8_capi.h (cef_v8_stack_frame_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | is_valid: function(self: PCefV8StackFrame): Integer; stdcall;
Public | get_script_name: function(self: PCefV8StackFrame): PCefStringUserFree; stdcall;
Public | get_script_name_or_source_url: function(self: PCefV8StackFrame): PCefStringUserFree; stdcall;
Public | get_function_name: function(self: PCefV8StackFrame): PCefStringUserFree; stdcall;
Public | get_line_number: function(self: PCefV8StackFrame): Integer; stdcall;
Public | get_column: function(self: PCefV8StackFrame): Integer; stdcall;
Public | is_eval: function(self: PCefV8StackFrame): Integer; stdcall;
Public | is_constructor: function(self: PCefV8StackFrame): Integer; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public is_valid: function(self: PCefV8StackFrame): Integer; stdcall;

This item has no description.

Public get_script_name: function(self: PCefV8StackFrame): PCefStringUserFree; stdcall;

This item has no description.

Public get_script_name_or_source_url: function(self: PCefV8StackFrame): PCefStringUserFree; stdcall;

This item has no description.

Public get_function_name: function(self: PCefV8StackFrame): PCefStringUserFree; stdcall;

This item has no description.

Public get_line_number: function(self: PCefV8StackFrame): Integer; stdcall;

This item has no description.

Public get_column: function(self: PCefV8StackFrame): Integer; stdcall;

This item has no description.

Public is_eval: function(self: PCefV8StackFrame): Integer; stdcall;

This item has no description.

Public is_constructor: function(self: PCefV8StackFrame): Integer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefStreamReader

Record TCefStreamReader

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefStreamReader = record

Description

Structure used to read data from a stream. The functions of this structure may be called on any thread.

NOTE: This struct is allocated DLL-side.

Implemented by ICefStreamReader and ICefCustomStreamReader.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_stream_capi.h">CEF source file: /include/capi/cef_stream_capi.h (cef_stream_reader_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | read: function(self: PCefStreamReader; ptr: Pointer; size, n: NativeUInt): NativeUInt; stdcall;
Public | seek: function(self: PCefStreamReader; offset: Int64; whence: Integer): Integer; stdcall;
Public | tell: function(self: PCefStreamReader): Int64; stdcall;
Public | eof: function(self: PCefStreamReader): Integer; stdcall;
Public | may_block: function(self: PCefStreamReader): Integer; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public read: function(self: PCefStreamReader; ptr: Pointer; size, n: NativeUInt): NativeUInt; stdcall;

This item has no description.

Public seek: function(self: PCefStreamReader; offset: Int64; whence: Integer): Integer; stdcall;

This item has no description.

Public tell: function(self: PCefStreamReader): Int64; stdcall;

This item has no description.

Public eof: function(self: PCefStreamReader): Integer; stdcall;

This item has no description.

Public may_block: function(self: PCefStreamReader): Integer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefReadHandler

Record TCefReadHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefReadHandler = record

Description

Structure the client can implement to provide a custom stream reader. The functions of this structure may be called on any thread.

NOTE: This struct is allocated client-side.

Implemented by ICefReadHandler.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_stream_capi.h">CEF source file: /include/capi/cef_stream_capi.h (cef_read_handler_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | read: function(self: PCefReadHandler; ptr: Pointer; size, n: NativeUInt): NativeUInt; stdcall;
Public | seek: function(self: PCefReadHandler; offset: Int64; whence: Integer): Integer; stdcall;
Public | tell: function(self: PCefReadHandler): Int64; stdcall;
Public | eof: function(self: PCefReadHandler): Integer; stdcall;
Public | may_block: function(self: PCefReadHandler): Integer; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public read: function(self: PCefReadHandler; ptr: Pointer; size, n: NativeUInt): NativeUInt; stdcall;

This item has no description.

Public seek: function(self: PCefReadHandler; offset: Int64; whence: Integer): Integer; stdcall;

This item has no description.

Public tell: function(self: PCefReadHandler): Int64; stdcall;

This item has no description.

Public eof: function(self: PCefReadHandler): Integer; stdcall;

This item has no description.

Public may_block: function(self: PCefReadHandler): Integer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefWriteHandler

Record TCefWriteHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefWriteHandler = record

Description

Structure the client can implement to provide a custom stream writer. The functions of this structure may be called on any thread.

NOTE: This struct is allocated client-side.

Implemented by ICefWriteHandler.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_stream_capi.h">CEF source file: /include/capi/cef_stream_capi.h (cef_write_handler_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | write: function(self: PCefWriteHandler; const ptr: Pointer; size, n: NativeUInt): NativeUInt; stdcall;
Public | seek: function(self: PCefWriteHandler; offset: Int64; whence: Integer): Integer; stdcall;
Public | tell: function(self: PCefWriteHandler): Int64; stdcall;
Public | flush: function(self: PCefWriteHandler): Integer; stdcall;
Public | may_block: function(self: PCefWriteHandler): Integer; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public write: function(self: PCefWriteHandler; const ptr: Pointer; size, n: NativeUInt): NativeUInt; stdcall;

This item has no description.

Public seek: function(self: PCefWriteHandler; offset: Int64; whence: Integer): Integer; stdcall;

This item has no description.

Public tell: function(self: PCefWriteHandler): Int64; stdcall;

This item has no description.

Public flush: function(self: PCefWriteHandler): Integer; stdcall;

This item has no description.

Public may_block: function(self: PCefWriteHandler): Integer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefXmlReader

Record TCefXmlReader

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefXmlReader = record

Description

Structure that supports the reading of XML data via the libxml streaming API. The functions of this structure should only be called on the thread that creates the object.

NOTE: This struct is allocated DLL-side.

Implemented by ICefXmlReader.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_xml_reader_capi.h">CEF source file: /include/capi/cef_xml_reader_capi.h (cef_xml_reader_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | move_to_next_node: function(self: PCefXmlReader): Integer; stdcall;
Public | close: function(self: PCefXmlReader): Integer; stdcall;
Public | has_error: function(self: PCefXmlReader): Integer; stdcall;
Public | get_error: function(self: PCefXmlReader): PCefStringUserFree; stdcall;
Public | get_type: function(self: PCefXmlReader): TCefXmlNodeType; stdcall;
Public | get_depth: function(self: PCefXmlReader): Integer; stdcall;
Public | get_local_name: function(self: PCefXmlReader): PCefStringUserFree; stdcall;
Public | get_prefix: function(self: PCefXmlReader): PCefStringUserFree; stdcall;
Public | get_qualified_name: function(self: PCefXmlReader): PCefStringUserFree; stdcall;
Public | get_namespace_uri: function(self: PCefXmlReader): PCefStringUserFree; stdcall;
Public | get_base_uri: function(self: PCefXmlReader): PCefStringUserFree; stdcall;
Public | get_xml_lang: function(self: PCefXmlReader): PCefStringUserFree; stdcall;
Public | is_empty_element: function(self: PCefXmlReader): Integer; stdcall;
Public | has_value: function(self: PCefXmlReader): Integer; stdcall;
Public | get_value: function(self: PCefXmlReader): PCefStringUserFree; stdcall;
Public | has_attributes: function(self: PCefXmlReader): Integer; stdcall;
Public | get_attribute_count: function(self: PCefXmlReader): NativeUInt; stdcall;
Public | get_attribute_byindex: function(self: PCefXmlReader; index: Integer): PCefStringUserFree; stdcall;
Public | get_attribute_byqname: function(self: PCefXmlReader; const qualifiedName: PCefString): PCefStringUserFree; stdcall;
Public | get_attribute_bylname: function(self: PCefXmlReader; const localName, namespaceURI: PCefString): PCefStringUserFree; stdcall;
Public | get_inner_xml: function(self: PCefXmlReader): PCefStringUserFree; stdcall;
Public | get_outer_xml: function(self: PCefXmlReader): PCefStringUserFree; stdcall;
Public | get_line_number: function(self: PCefXmlReader): Integer; stdcall;
Public | move_to_attribute_byindex: function(self: PCefXmlReader; index: Integer): Integer; stdcall;
Public | move_to_attribute_byqname: function(self: PCefXmlReader; const qualifiedName: PCefString): Integer; stdcall;
Public | move_to_attribute_bylname: function(self: PCefXmlReader; const localName, namespaceURI: PCefString): Integer; stdcall;
Public | move_to_first_attribute: function(self: PCefXmlReader): Integer; stdcall;
Public | move_to_next_attribute: function(self: PCefXmlReader): Integer; stdcall;
Public | move_to_carrying_element: function(self: PCefXmlReader): Integer; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public move_to_next_node: function(self: PCefXmlReader): Integer; stdcall;

This item has no description.

Public close: function(self: PCefXmlReader): Integer; stdcall;

This item has no description.

Public has_error: function(self: PCefXmlReader): Integer; stdcall;

This item has no description.

Public get_error: function(self: PCefXmlReader): PCefStringUserFree; stdcall;

This item has no description.

Public get_type: function(self: PCefXmlReader): TCefXmlNodeType; stdcall;

This item has no description.

Public get_depth: function(self: PCefXmlReader): Integer; stdcall;

This item has no description.

Public get_local_name: function(self: PCefXmlReader): PCefStringUserFree; stdcall;

This item has no description.

Public get_prefix: function(self: PCefXmlReader): PCefStringUserFree; stdcall;

This item has no description.

Public get_qualified_name: function(self: PCefXmlReader): PCefStringUserFree; stdcall;

This item has no description.

Public get_namespace_uri: function(self: PCefXmlReader): PCefStringUserFree; stdcall;

This item has no description.

Public get_base_uri: function(self: PCefXmlReader): PCefStringUserFree; stdcall;

This item has no description.

Public get_xml_lang: function(self: PCefXmlReader): PCefStringUserFree; stdcall;

This item has no description.

Public is_empty_element: function(self: PCefXmlReader): Integer; stdcall;

This item has no description.

Public has_value: function(self: PCefXmlReader): Integer; stdcall;

This item has no description.

Public get_value: function(self: PCefXmlReader): PCefStringUserFree; stdcall;

This item has no description.

Public has_attributes: function(self: PCefXmlReader): Integer; stdcall;

This item has no description.

Public get_attribute_count: function(self: PCefXmlReader): NativeUInt; stdcall;

This item has no description.

Public get_attribute_byindex: function(self: PCefXmlReader; index: Integer): PCefStringUserFree; stdcall;

This item has no description.

Public get_attribute_byqname: function(self: PCefXmlReader; const qualifiedName: PCefString): PCefStringUserFree; stdcall;

This item has no description.

Public get_attribute_bylname: function(self: PCefXmlReader; const localName, namespaceURI: PCefString): PCefStringUserFree; stdcall;

This item has no description.

Public get_inner_xml: function(self: PCefXmlReader): PCefStringUserFree; stdcall;

This item has no description.

Public get_outer_xml: function(self: PCefXmlReader): PCefStringUserFree; stdcall;

This item has no description.

Public get_line_number: function(self: PCefXmlReader): Integer; stdcall;

This item has no description.

Public move_to_attribute_byindex: function(self: PCefXmlReader; index: Integer): Integer; stdcall;

This item has no description.

Public move_to_attribute_byqname: function(self: PCefXmlReader; const qualifiedName: PCefString): Integer; stdcall;

This item has no description.

Public move_to_attribute_bylname: function(self: PCefXmlReader; const localName, namespaceURI: PCefString): Integer; stdcall;

This item has no description.

Public move_to_first_attribute: function(self: PCefXmlReader): Integer; stdcall;

This item has no description.

Public move_to_next_attribute: function(self: PCefXmlReader): Integer; stdcall;

This item has no description.

Public move_to_carrying_element: function(self: PCefXmlReader): Integer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefZipReader

Record TCefZipReader

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefZipReader = record

Description

Structure that supports the reading of zip archives via the zlib unzip API. The functions of this structure should only be called on the thread that creates the object.

NOTE: This struct is allocated DLL-side.

Implemented by ICefZipReader.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_zip_reader_capi.h">CEF source file: /include/capi/cef_zip_reader_capi.h (cef_zip_reader_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | move_to_first_file: function(self: PCefZipReader): Integer; stdcall;
Public | move_to_next_file: function(self: PCefZipReader): Integer; stdcall;
Public | move_to_file: function(self: PCefZipReader; const fileName: PCefString; caseSensitive: Integer): Integer; stdcall;
Public | close: function(Self: PCefZipReader): Integer; stdcall;
Public | get_file_name: function(Self: PCefZipReader): PCefStringUserFree; stdcall;
Public | get_file_size: function(Self: PCefZipReader): Int64; stdcall;
Public | get_file_last_modified: function(Self: PCefZipReader): TCefBaseTime; stdcall;
Public | open_file: function(Self: PCefZipReader; const password: PCefString): Integer; stdcall;
Public | close_file: function(Self: PCefZipReader): Integer; stdcall;
Public | read_file: function(Self: PCefZipReader; buffer: Pointer; bufferSize: NativeUInt): Integer; stdcall;
Public | tell: function(Self: PCefZipReader): Int64; stdcall;
Public | eof: function(Self: PCefZipReader): Integer; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public move_to_first_file: function(self: PCefZipReader): Integer; stdcall;

This item has no description.

Public move_to_next_file: function(self: PCefZipReader): Integer; stdcall;

This item has no description.

Public move_to_file: function(self: PCefZipReader; const fileName: PCefString; caseSensitive: Integer): Integer; stdcall;

This item has no description.

Public close: function(Self: PCefZipReader): Integer; stdcall;

This item has no description.

Public get_file_name: function(Self: PCefZipReader): PCefStringUserFree; stdcall;

This item has no description.

Public get_file_size: function(Self: PCefZipReader): Int64; stdcall;

This item has no description.

Public get_file_last_modified: function(Self: PCefZipReader): TCefBaseTime; stdcall;

This item has no description.

Public open_file: function(Self: PCefZipReader; const password: PCefString): Integer; stdcall;

This item has no description.

Public close_file: function(Self: PCefZipReader): Integer; stdcall;

This item has no description.

Public read_file: function(Self: PCefZipReader; buffer: Pointer; bufferSize: NativeUInt): Integer; stdcall;

This item has no description.

Public tell: function(Self: PCefZipReader): Int64; stdcall;

This item has no description.

Public eof: function(Self: PCefZipReader): Integer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefUrlrequestClient

Record TCefUrlrequestClient

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefUrlrequestClient = record

Description

Structure that should be implemented by the ICefUrlRequest client. The functions of this structure will be called on the same thread that created the request unless otherwise documented.

NOTE: This struct is allocated client-side.

Implemented by ICefUrlrequestClient.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_urlrequest_capi.h">CEF source file: /include/capi/cef_urlrequest_capi.h (cef_urlrequest_client_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | on_request_complete: procedure(self: PCefUrlRequestClient; request: PCefUrlRequest); stdcall;
Public | on_upload_progress: procedure(self: PCefUrlRequestClient; request: PCefUrlRequest; current, total: Int64); stdcall;
Public | on_download_progress: procedure(self: PCefUrlRequestClient; request: PCefUrlRequest; current, total: Int64); stdcall;
Public | on_download_data: procedure(self: PCefUrlRequestClient; request: PCefUrlRequest; const data: Pointer; data_length: NativeUInt); stdcall;
Public | get_auth_credentials: function(self: PCefUrlRequestClient; isProxy: Integer; const host: PCefString; port: Integer; const realm, scheme: PCefString; callback: PCefAuthCallback): Integer; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public on_request_complete: procedure(self: PCefUrlRequestClient; request: PCefUrlRequest); stdcall;

This item has no description.

Public on_upload_progress: procedure(self: PCefUrlRequestClient; request: PCefUrlRequest; current, total: Int64); stdcall;

This item has no description.

Public on_download_progress: procedure(self: PCefUrlRequestClient; request: PCefUrlRequest; current, total: Int64); stdcall;

This item has no description.

Public on_download_data: procedure(self: PCefUrlRequestClient; request: PCefUrlRequest; const data: Pointer; data_length: NativeUInt); stdcall;

This item has no description.

Public get_auth_credentials: function(self: PCefUrlRequestClient; isProxy: Integer; const host: PCefString; port: Integer; const realm, scheme: PCefString; callback: PCefAuthCallback): Integer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefUrlRequest

Record TCefUrlRequest

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefUrlRequest = record

Description

Structure used to make a URL request. URL requests are not associated with a browser instance so no ICefClient callbacks will be executed. URL requests can be created on any valid CEF thread in either the browser or render process. Once created the functions of the URL request object must be accessed on the same thread that created it.

NOTE: This struct is allocated DLL-side.

Implemented by ICefUrlRequest.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_urlrequest_capi.h">CEF source file: /include/capi/cef_urlrequest_capi.h (cef_urlrequest_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | get_request: function(self: PCefUrlRequest): PCefRequest; stdcall;
Public | get_client: function(self: PCefUrlRequest): PCefUrlRequestClient; stdcall;
Public | get_request_status: function(self: PCefUrlRequest): TCefUrlRequestStatus; stdcall;
Public | get_request_error: function(self: PCefUrlRequest): TCefErrorcode; stdcall;
Public | get_response: function(self: PCefUrlRequest): PCefResponse; stdcall;
Public | response_was_cached: function(self: PCefUrlRequest): integer; stdcall;
Public | cancel: procedure(self: PCefUrlRequest); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public get_request: function(self: PCefUrlRequest): PCefRequest; stdcall;

This item has no description.

Public get_client: function(self: PCefUrlRequest): PCefUrlRequestClient; stdcall;

This item has no description.

Public get_request_status: function(self: PCefUrlRequest): TCefUrlRequestStatus; stdcall;

This item has no description.

Public get_request_error: function(self: PCefUrlRequest): TCefErrorcode; stdcall;

This item has no description.

Public get_response: function(self: PCefUrlRequest): PCefResponse; stdcall;

This item has no description.

Public response_was_cached: function(self: PCefUrlRequest): integer; stdcall;

This item has no description.

Public cancel: procedure(self: PCefUrlRequest); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefThread

Record TCefThread

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefThread = record

Description

A simple thread abstraction that establishes a message loop on a new thread. The consumer uses ICefTaskRunner to execute code on the thread's message loop. The thread is terminated when the ICefThread object is destroyed or stop() is called. All pending tasks queued on the thread's message loop will run to completion before the thread is terminated. cef_thread_create() can be called on any valid CEF thread in either the browser or render process. This structure should only be used for tasks that require a dedicated thread. In most cases you can post tasks to an existing CEF thread instead of creating a new one; see cef_task.h for details.

NOTE: This struct is allocated DLL-side.

Implemented by ICefThread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_thread_capi.h">CEF source file: /include/capi/cef_thread_capi.h (cef_thread_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | get_task_runner: function(self: PCefThread): PCefTaskRunner; stdcall;
Public | get_platform_thread_id: function(self: PCefThread): TCefPlatformThreadId; stdcall;
Public | stop: procedure(self: PCefThread); stdcall;
Public | is_running: function(self: PCefThread): integer; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public get_task_runner: function(self: PCefThread): PCefTaskRunner; stdcall;

This item has no description.

Public get_platform_thread_id: function(self: PCefThread): TCefPlatformThreadId; stdcall;

This item has no description.

Public stop: procedure(self: PCefThread); stdcall;

This item has no description.

Public is_running: function(self: PCefThread): integer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefWaitableEvent

Record TCefWaitableEvent

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefWaitableEvent = record

Description

WaitableEvent is a thread synchronization tool that allows one thread to wait for another thread to finish some work. This is equivalent to using a Lock+ConditionVariable to protect a simple boolean value. However, using WaitableEvent in conjunction with a Lock to wait for a more complex state change (e.g., for an item to be added to a queue) is not recommended. In that case consider using a ConditionVariable instead of a WaitableEvent. It is safe to create and/or signal a WaitableEvent from any thread. Blocking on a WaitableEvent by calling the *wait() functions is not allowed on the browser process UI or IO threads.

NOTE: This struct is allocated DLL-side.

Implemented by ICefWaitableEvent.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_waitable_event_capi.h">CEF source file: /include/capi/cef_waitable_event_capi.h (cef_waitable_event_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | reset: procedure(self: PCefWaitableEvent); stdcall;
Public | signal: procedure(self: PCefWaitableEvent); stdcall;
Public | is_signaled: function(self: PCefWaitableEvent): integer; stdcall;
Public | wait: procedure(self: PCefWaitableEvent); stdcall;
Public | timed_wait: function(self: PCefWaitableEvent; max_ms: int64): integer; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public reset: procedure(self: PCefWaitableEvent); stdcall;

This item has no description.

Public signal: procedure(self: PCefWaitableEvent); stdcall;

This item has no description.

Public is_signaled: function(self: PCefWaitableEvent): integer; stdcall;

This item has no description.

Public wait: procedure(self: PCefWaitableEvent); stdcall;

This item has no description.

Public timed_wait: function(self: PCefWaitableEvent; max_ms: int64): integer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefTaskRunner

Record TCefTaskRunner

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefTaskRunner = record

Description

Structure that asynchronously executes tasks on the associated thread. It is safe to call the functions of this structure on any thread.

CEF maintains multiple internal threads that are used for handling different types of tasks in different processes. The TCefThreadId definitions in cef_types.h list the common CEF threads. Task runners are also available for other CEF threads as appropriate (for example, V8 WebWorker threads).

NOTE: This struct is allocated DLL-side.

Implemented by ICefTaskRunner.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_task_capi.h">CEF source file: /include/capi/cef_task_capi.h (cef_task_runner_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | is_same: function(self, that: PCefTaskRunner): Integer; stdcall;
Public | belongs_to_current_thread: function(self: PCefTaskRunner): Integer; stdcall;
Public | belongs_to_thread: function(self: PCefTaskRunner; threadId: TCefThreadId): Integer; stdcall;
Public | post_task: function(self: PCefTaskRunner; task: PCefTask): Integer; stdcall;
Public | post_delayed_task: function(self: PCefTaskRunner; task: PCefTask; delay_ms: Int64): Integer; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public is_same: function(self, that: PCefTaskRunner): Integer; stdcall;

This item has no description.

Public belongs_to_current_thread: function(self: PCefTaskRunner): Integer; stdcall;

This item has no description.

Public belongs_to_thread: function(self: PCefTaskRunner; threadId: TCefThreadId): Integer; stdcall;

This item has no description.

Public post_task: function(self: PCefTaskRunner; task: PCefTask): Integer; stdcall;

This item has no description.

Public post_delayed_task: function(self: PCefTaskRunner; task: PCefTask; delay_ms: Int64): Integer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefEndTracingCallback

Record TCefEndTracingCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefEndTracingCallback = record

Description

Implement this structure to receive notification when tracing has completed. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

Implemented by ICefEndTracingCallback.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_trace_capi.h">CEF source file: /include/capi/cef_trace_capi.h (cef_end_tracing_callback_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | on_end_tracing_complete: procedure(self: PCefEndTracingCallback; const tracing_file: PCefString); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public on_end_tracing_complete: procedure(self: PCefEndTracingCallback; const tracing_file: PCefString); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefResourceBundle

Record TCefResourceBundle

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefResourceBundle = record

Description

Structure used for retrieving resources from the resource bundle (*.pak) files loaded by CEF during startup or via the ICefResourceBundleHandler returned from ICefApp.GetResourceBundleHandler. See TCefSettings for additional options related to resource bundle loading. The functions of this structure may be called on any thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Implemented by ICefResourceBundle.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_resource_bundle_capi.h">CEF source file: /include/capi/cef_resource_bundle_capi.h (cef_resource_bundle_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | get_localized_string: function(self: PCefResourceBundle; string_id: Integer): PCefStringUserFree; stdcall;
Public | get_data_resource: function(self: PCefResourceBundle; resource_id: Integer): PCefBinaryValue; stdcall;
Public | get_data_resource_for_scale: function(self: PCefResourceBundle; resource_id: Integer; scale_factor: TCefScaleFactor): PCefBinaryValue; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public get_localized_string: function(self: PCefResourceBundle; string_id: Integer): PCefStringUserFree; stdcall;

This item has no description.

Public get_data_resource: function(self: PCefResourceBundle; resource_id: Integer): PCefBinaryValue; stdcall;

This item has no description.

Public get_data_resource_for_scale: function(self: PCefResourceBundle; resource_id: Integer; scale_factor: TCefScaleFactor): PCefBinaryValue; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefMenuModelDelegate

Record TCefMenuModelDelegate

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefMenuModelDelegate = record

Description

Implement this structure to handle menu model events. The functions of this structure will be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

Implemented by ICefMenuModelDelegate.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_menu_model_delegate_capi.h">CEF source file: /include/capi/cef_menu_model_delegate_capi.h (cef_menu_model_delegate_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | execute_command: procedure(self: PCefMenuModelDelegate; menu_model: PCefMenuModel; command_id: Integer; event_flags: TCefEventFlags); stdcall;
Public | mouse_outside_menu: procedure(self: PCefMenuModelDelegate; menu_model: PCefMenuModel; const screen_point: PCefPoint); stdcall;
Public | unhandled_open_submenu: procedure(self: PCefMenuModelDelegate; menu_model: PCefMenuModel; is_rtl: integer); stdcall;
Public | unhandled_close_submenu: procedure(self: PCefMenuModelDelegate; menu_model: PCefMenuModel; is_rtl: integer); stdcall;
Public | menu_will_show: procedure(self: PCefMenuModelDelegate; menu_model: PCefMenuModel); stdcall;
Public | menu_closed: procedure(self: PCefMenuModelDelegate; menu_model: PCefMenuModel); stdcall;
Public | format_label: function(self: PCefMenuModelDelegate; menu_model: PCefMenuModel; label_ : PCefString) : integer; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public execute_command: procedure(self: PCefMenuModelDelegate; menu_model: PCefMenuModel; command_id: Integer; event_flags: TCefEventFlags); stdcall;

This item has no description.

Public mouse_outside_menu: procedure(self: PCefMenuModelDelegate; menu_model: PCefMenuModel; const screen_point: PCefPoint); stdcall;

This item has no description.

Public unhandled_open_submenu: procedure(self: PCefMenuModelDelegate; menu_model: PCefMenuModel; is_rtl: integer); stdcall;

This item has no description.

Public unhandled_close_submenu: procedure(self: PCefMenuModelDelegate; menu_model: PCefMenuModel; is_rtl: integer); stdcall;

This item has no description.

Public menu_will_show: procedure(self: PCefMenuModelDelegate; menu_model: PCefMenuModel); stdcall;

This item has no description.

Public menu_closed: procedure(self: PCefMenuModelDelegate; menu_model: PCefMenuModel); stdcall;

This item has no description.

Public format_label: function(self: PCefMenuModelDelegate; menu_model: PCefMenuModel; label_ : PCefString) : integer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefProcessMessage

Record TCefProcessMessage

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefProcessMessage = record

Description

Structure representing a message. Can be used on any process and thread.

NOTE: This struct is allocated DLL-side.

Implemented by ICefProcessMessage.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_process_message_capi.h">CEF source file: /include/capi/cef_process_message_capi.h (cef_process_message_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | is_valid: function(self: PCefProcessMessage): Integer; stdcall;
Public | is_read_only: function(self: PCefProcessMessage): Integer; stdcall;
Public | copy: function(self: PCefProcessMessage): PCefProcessMessage; stdcall;
Public | get_name: function(self: PCefProcessMessage): PCefStringUserFree; stdcall;
Public | get_argument_list: function(self: PCefProcessMessage): PCefListValue; stdcall;
Public | get_shared_memory_region: function(self: PCefProcessMessage): PCefSharedMemoryRegion; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public is_valid: function(self: PCefProcessMessage): Integer; stdcall;

This item has no description.

Public is_read_only: function(self: PCefProcessMessage): Integer; stdcall;

This item has no description.

Public copy: function(self: PCefProcessMessage): PCefProcessMessage; stdcall;

This item has no description.

Public get_name: function(self: PCefProcessMessage): PCefStringUserFree; stdcall;

This item has no description.

Public get_argument_list: function(self: PCefProcessMessage): PCefListValue; stdcall;

This item has no description.

Public get_shared_memory_region: function(self: PCefProcessMessage): PCefSharedMemoryRegion; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefRenderProcessHandler

Record TCefRenderProcessHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefRenderProcessHandler = record

Description

Structure used to implement render process callbacks. The functions of this structure will be called on the render process main thread (TID_RENDERER) unless otherwise indicated.

NOTE: This struct is allocated client-side.

Implemented by ICefRenderProcessHandler.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_render_process_handler_capi.h">CEF source file: /include/capi/cef_render_process_handler_capi.h (cef_render_process_handler_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | on_web_kit_initialized: procedure(self: PCefRenderProcessHandler); stdcall;
Public | on_browser_created: procedure(self: PCefRenderProcessHandler; browser: PCefBrowser; extra_info: PCefDictionaryValue); stdcall;
Public | on_browser_destroyed: procedure(self: PCefRenderProcessHandler; browser: PCefBrowser); stdcall;
Public | get_load_handler: function(self: PCefRenderProcessHandler): PCefLoadHandler; stdcall;
Public | on_context_created: procedure(self: PCefRenderProcessHandler; browser: PCefBrowser; frame: PCefFrame; context: PCefv8Context); stdcall;
Public | on_context_released: procedure(self: PCefRenderProcessHandler; browser: PCefBrowser; frame: PCefFrame; context: PCefv8Context); stdcall;
Public | on_uncaught_exception: procedure(self: PCefRenderProcessHandler; browser: PCefBrowser; frame: PCefFrame; context: PCefv8Context; exception: PCefV8Exception; stackTrace: PCefV8StackTrace); stdcall;
Public | on_focused_node_changed: procedure(self: PCefRenderProcessHandler; browser: PCefBrowser; frame: PCefFrame; node: PCefDomNode); stdcall;
Public | on_process_message_received: function(self: PCefRenderProcessHandler; browser: PCefBrowser; frame: PCefFrame; source_process: TCefProcessId; message_: PCefProcessMessage): Integer; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public on_web_kit_initialized: procedure(self: PCefRenderProcessHandler); stdcall;

This item has no description.

Public on_browser_created: procedure(self: PCefRenderProcessHandler; browser: PCefBrowser; extra_info: PCefDictionaryValue); stdcall;

This item has no description.

Public on_browser_destroyed: procedure(self: PCefRenderProcessHandler; browser: PCefBrowser); stdcall;

This item has no description.

Public get_load_handler: function(self: PCefRenderProcessHandler): PCefLoadHandler; stdcall;

This item has no description.

Public on_context_created: procedure(self: PCefRenderProcessHandler; browser: PCefBrowser; frame: PCefFrame; context: PCefv8Context); stdcall;

This item has no description.

Public on_context_released: procedure(self: PCefRenderProcessHandler; browser: PCefBrowser; frame: PCefFrame; context: PCefv8Context); stdcall;

This item has no description.

Public on_uncaught_exception: procedure(self: PCefRenderProcessHandler; browser: PCefBrowser; frame: PCefFrame; context: PCefv8Context; exception: PCefV8Exception; stackTrace: PCefV8StackTrace); stdcall;

This item has no description.

Public on_focused_node_changed: procedure(self: PCefRenderProcessHandler; browser: PCefBrowser; frame: PCefFrame; node: PCefDomNode); stdcall;

This item has no description.

Public on_process_message_received: function(self: PCefRenderProcessHandler; browser: PCefBrowser; frame: PCefFrame; source_process: TCefProcessId; message_: PCefProcessMessage): Integer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefRequestHandler

Record TCefRequestHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefRequestHandler = record

Description

Implement this structure to handle events related to browser requests. The functions of this structure will be called on the thread indicated.

NOTE: This struct is allocated client-side.

Implemented by ICefRequestHandler.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_request_handler_capi.h">CEF source file: /include/capi/cef_request_handler_capi.h (cef_request_handler_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | on_before_browse: function(self: PCefRequestHandler; browser: PCefBrowser; frame: PCefFrame; request: PCefRequest; user_gesture, isRedirect: Integer): Integer; stdcall;
Public | on_open_urlfrom_tab: function(self: PCefRequestHandler; browser: PCefBrowser; frame: PCefFrame; const target_url: PCefString; target_disposition: TCefWindowOpenDisposition; user_gesture: Integer): Integer; stdcall;
Public | get_resource_request_handler: function(self: PCefRequestHandler; browser: PCefBrowser; frame: PCefFrame; request: PCefRequest; is_navigation, is_download: Integer; const request_initiator: PCefString; disable_default_handling: PInteger): PCefResourceRequestHandler; stdcall;
Public | get_auth_credentials: function(self: PCefRequestHandler; browser: PCefBrowser; const origin_url: PCefString; isProxy: Integer; const host: PCefString; port: Integer; const realm, scheme: PCefString; callback: PCefAuthCallback): Integer; stdcall;
Public | on_certificate_error: function(self: PCefRequestHandler; browser: PCefBrowser; cert_error: TCefErrorcode; const request_url: PCefString; ssl_info: PCefSslInfo; callback: PCefCallback): Integer; stdcall;
Public | on_select_client_certificate: function(self: PCefRequestHandler; browser: PCefBrowser; isProxy: integer; const host: PCefString; port: integer; certificatesCount: NativeUInt; const certificates: PPCefX509Certificate; callback: PCefSelectClientCertificateCallback): integer; stdcall;
Public | on_render_view_ready: procedure(self: PCefRequestHandler; browser: PCefBrowser); stdcall;
Public | on_render_process_unresponsive: function(self: PCefRequestHandler; browser: PCefBrowser; callback: PCefUnresponsiveProcessCallback): integer; stdcall;
Public | on_render_process_responsive: procedure(self: PCefRequestHandler; browser: PCefBrowser); stdcall;
Public | on_render_process_terminated: procedure(self: PCefRequestHandler; browser: PCefBrowser; status: TCefTerminationStatus; error_code: integer; const error_string: PCefString); stdcall;
Public | on_document_available_in_main_frame: procedure(self: PCefRequestHandler; browser: PCefBrowser); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public on_before_browse: function(self: PCefRequestHandler; browser: PCefBrowser; frame: PCefFrame; request: PCefRequest; user_gesture, isRedirect: Integer): Integer; stdcall;

This item has no description.

Public on_open_urlfrom_tab: function(self: PCefRequestHandler; browser: PCefBrowser; frame: PCefFrame; const target_url: PCefString; target_disposition: TCefWindowOpenDisposition; user_gesture: Integer): Integer; stdcall;

This item has no description.

Public get_resource_request_handler: function(self: PCefRequestHandler; browser: PCefBrowser; frame: PCefFrame; request: PCefRequest; is_navigation, is_download: Integer; const request_initiator: PCefString; disable_default_handling: PInteger): PCefResourceRequestHandler; stdcall;

This item has no description.

Public get_auth_credentials: function(self: PCefRequestHandler; browser: PCefBrowser; const origin_url: PCefString; isProxy: Integer; const host: PCefString; port: Integer; const realm, scheme: PCefString; callback: PCefAuthCallback): Integer; stdcall;

This item has no description.

Public on_certificate_error: function(self: PCefRequestHandler; browser: PCefBrowser; cert_error: TCefErrorcode; const request_url: PCefString; ssl_info: PCefSslInfo; callback: PCefCallback): Integer; stdcall;

This item has no description.

Public on_select_client_certificate: function(self: PCefRequestHandler; browser: PCefBrowser; isProxy: integer; const host: PCefString; port: integer; certificatesCount: NativeUInt; const certificates: PPCefX509Certificate; callback: PCefSelectClientCertificateCallback): integer; stdcall;

This item has no description.

Public on_render_view_ready: procedure(self: PCefRequestHandler; browser: PCefBrowser); stdcall;

This item has no description.

Public on_render_process_unresponsive: function(self: PCefRequestHandler; browser: PCefBrowser; callback: PCefUnresponsiveProcessCallback): integer; stdcall;

This item has no description.

Public on_render_process_responsive: procedure(self: PCefRequestHandler; browser: PCefBrowser); stdcall;

This item has no description.

Public on_render_process_terminated: procedure(self: PCefRequestHandler; browser: PCefBrowser; status: TCefTerminationStatus; error_code: integer; const error_string: PCefString); stdcall;

This item has no description.

Public on_document_available_in_main_frame: procedure(self: PCefRequestHandler; browser: PCefBrowser); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefMediaAccessCallback

Record TCefMediaAccessCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefMediaAccessCallback = record

Description

Callback structure used for asynchronous continuation of media access permission requests.

NOTE: This struct is allocated DLL-side.

Implemented by ICefMediaAccessCallback.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_permission_handler_capi.h">CEF source file: /include/capi/cef_permission_handler_capi.h (cef_media_access_callback_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | cont: procedure(self: PCefMediaAccessCallback; allowed_permissions: Cardinal); stdcall;
Public | cancel: procedure(self: PCefMediaAccessCallback); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public cont: procedure(self: PCefMediaAccessCallback; allowed_permissions: Cardinal); stdcall;

This item has no description.

Public cancel: procedure(self: PCefMediaAccessCallback); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefPermissionPromptCallback

Record TCefPermissionPromptCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefPermissionPromptCallback = record

Description

Callback structure used for asynchronous continuation of permission prompts.

NOTE: This struct is allocated DLL-side.

Implemented by ICefPermissionPromptCallback.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_permission_handler_capi.h">CEF source file: /include/capi/cef_permission_handler_capi.h (cef_permission_prompt_callback_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | cont: procedure(self: PCefPermissionPromptCallback; result: TCefPermissionRequestResult); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public cont: procedure(self: PCefPermissionPromptCallback; result: TCefPermissionRequestResult); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefPermissionHandler

Record TCefPermissionHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefPermissionHandler = record

Description

Implement this structure to handle events related to permission requests. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

Implemented by ICefPermissionHandler.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_permission_handler_capi.h">CEF source file: /include/capi/cef_permission_handler_capi.h (cef_permission_handler_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | on_request_media_access_permission: function(self: PCefPermissionHandler; browser: PCefBrowser; frame: PCefFrame; const requesting_origin: PCefString; requested_permissions: cardinal; callback: PCefMediaAccessCallback): integer; stdcall;
Public | on_show_permission_prompt: function(self: PCefPermissionHandler; browser: PCefBrowser; prompt_id: uint64; const requesting_origin: PCefString; requested_permissions: cardinal; callback: PCefPermissionPromptCallback): integer; stdcall;
Public | on_dismiss_permission_prompt: procedure(self: PCefPermissionHandler; browser: PCefBrowser; prompt_id: uint64; result: TCefPermissionRequestResult); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public on_request_media_access_permission: function(self: PCefPermissionHandler; browser: PCefBrowser; frame: PCefFrame; const requesting_origin: PCefString; requested_permissions: cardinal; callback: PCefMediaAccessCallback): integer; stdcall;

This item has no description.

Public on_show_permission_prompt: function(self: PCefPermissionHandler; browser: PCefBrowser; prompt_id: uint64; const requesting_origin: PCefString; requested_permissions: cardinal; callback: PCefPermissionPromptCallback): integer; stdcall;

This item has no description.

Public on_dismiss_permission_prompt: procedure(self: PCefPermissionHandler; browser: PCefBrowser; prompt_id: uint64; result: TCefPermissionRequestResult); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefSharedMemoryRegion

Record TCefSharedMemoryRegion

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefSharedMemoryRegion = record

Description

Structure that wraps platform-dependent share memory region mapping.

NOTE: This struct is allocated DLL-side.

Implemented by ICefSharedMemoryRegion.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_shared_memory_region_capi.h">CEF source file: /include/capi/cef_shared_memory_region_capi.h (cef_shared_memory_region_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | is_valid: function(self: PCefSharedMemoryRegion): integer; stdcall;
Public | size: function(self: PCefSharedMemoryRegion): NativeUInt; stdcall;
Public | memory: function(self: PCefSharedMemoryRegion): pointer; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public is_valid: function(self: PCefSharedMemoryRegion): integer; stdcall;

This item has no description.

Public size: function(self: PCefSharedMemoryRegion): NativeUInt; stdcall;

This item has no description.

Public memory: function(self: PCefSharedMemoryRegion): pointer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefSharedProcessMessageBuilder

Record TCefSharedProcessMessageBuilder

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefSharedProcessMessageBuilder = record

Description

Structure that builds a ICefProcessMessage containing a shared memory region. This structure is not thread-safe but may be used exclusively on a different thread from the one which constructed it.

NOTE: This struct is allocated DLL-side.

Implemented by ICefSharedProcessMessageBuilder.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_shared_process_message_builder_capi.h">CEF source file: /include/capi/cef_shared_process_message_builder_capi.h (cef_shared_process_message_builder_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | is_valid: function(self: PCefSharedProcessMessageBuilder): integer; stdcall;
Public | size: function(self: PCefSharedProcessMessageBuilder): NativeUInt; stdcall;
Public | memory: function(self: PCefSharedProcessMessageBuilder): pointer; stdcall;
Public | build: function(self: PCefSharedProcessMessageBuilder): PCefProcessMessage; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public is_valid: function(self: PCefSharedProcessMessageBuilder): integer; stdcall;

This item has no description.

Public size: function(self: PCefSharedProcessMessageBuilder): NativeUInt; stdcall;

This item has no description.

Public memory: function(self: PCefSharedProcessMessageBuilder): pointer; stdcall;

This item has no description.

Public build: function(self: PCefSharedProcessMessageBuilder): PCefProcessMessage; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefResourceSkipCallback

Record TCefResourceSkipCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefResourceSkipCallback = record

Description

Callback for asynchronous continuation of ICefResourceHandler.skip().

NOTE: This struct is allocated DLL-side.

Implemented by ICefResourceSkipCallback.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_resource_handler_capi.h">CEF source file: /include/capi/cef_resource_handler_capi.h (cef_resource_skip_callback_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | cont: procedure(self: PCefResourceSkipCallback; bytes_skipped: int64); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public cont: procedure(self: PCefResourceSkipCallback; bytes_skipped: int64); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefResourceReadCallback

Record TCefResourceReadCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefResourceReadCallback = record

Description

Callback for asynchronous continuation of ICefResourceHandler.read().

NOTE: This struct is allocated DLL-side.

Implemented by ICefResourceReadCallback.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_resource_handler_capi.h">CEF source file: /include/capi/cef_resource_handler_capi.h (cef_resource_read_callback_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | cont: procedure(self: PCefResourceReadCallback; bytes_read: int64); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public cont: procedure(self: PCefResourceReadCallback; bytes_read: int64); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefResourceHandler

Record TCefResourceHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefResourceHandler = record

Description

Structure used to implement a custom request handler structure. The functions of this structure will be called on the IO thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

Implemented by ICefResourceHandler.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_resource_handler_capi.h">CEF source file: /include/capi/cef_resource_handler_capi.h (cef_resource_handler_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | open: function(self: PCefResourceHandler; request: PCefRequest; handle_request: PInteger; callback: PCefCallback): Integer; stdcall;
Public | process_request: function(self: PCefResourceHandler; request: PCefRequest; callback: PCefCallback): Integer; stdcall;
Public | get_response_headers: procedure(self: PCefResourceHandler; response: PCefResponse; response_length: PInt64; redirectUrl: PCefString); stdcall;
Public | skip: function(self: PCefResourceHandler; bytes_to_skip: int64; bytes_skipped: PInt64; callback: PCefResourceSkipCallback): Integer; stdcall;
Public | read: function(self: PCefResourceHandler; data_out: Pointer; bytes_to_read: Integer; bytes_read: PInteger; callback: PCefResourceReadCallback): Integer; stdcall;
Public | read_response: function(self: PCefResourceHandler; data_out: Pointer; bytes_to_read: Integer; bytes_read: PInteger; callback: PCefCallback): Integer; stdcall;
Public | cancel: procedure(self: PCefResourceHandler); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public open: function(self: PCefResourceHandler; request: PCefRequest; handle_request: PInteger; callback: PCefCallback): Integer; stdcall;

This item has no description.

Public process_request: function(self: PCefResourceHandler; request: PCefRequest; callback: PCefCallback): Integer; stdcall;

This item has no description.

Public get_response_headers: procedure(self: PCefResourceHandler; response: PCefResponse; response_length: PInt64; redirectUrl: PCefString); stdcall;

deprecated

Public skip: function(self: PCefResourceHandler; bytes_to_skip: int64; bytes_skipped: PInt64; callback: PCefResourceSkipCallback): Integer; stdcall;

This item has no description.

Public read: function(self: PCefResourceHandler; data_out: Pointer; bytes_to_read: Integer; bytes_read: PInteger; callback: PCefResourceReadCallback): Integer; stdcall;

This item has no description.

Public read_response: function(self: PCefResourceHandler; data_out: Pointer; bytes_to_read: Integer; bytes_read: PInteger; callback: PCefCallback): Integer; stdcall;

This item has no description.

Public cancel: procedure(self: PCefResourceHandler); stdcall;

deprecated


cef4delphi: uCEFTypes: Record TCefResourceRequestHandler

Record TCefResourceRequestHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefResourceRequestHandler = record

Description

Implement this structure to handle events related to browser requests. The functions of this structure will be called on the IO thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

Implemented by ICefResourceRequestHandler.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_resource_request_handler_capi.h">CEF source file: /include/capi/cef_resource_request_handler_capi.h (cef_resource_request_handler_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | get_cookie_access_filter: function(self: PCefResourceRequestHandler; browser: PCefBrowser; frame: PCefFrame; request: PCefRequest): PCefCookieAccessFilter; stdcall;
Public | on_before_resource_load: function(self: PCefResourceRequestHandler; browser: PCefBrowser; frame: PCefFrame; request: PCefRequest; callback: PCefCallback): TCefReturnValue; stdcall;
Public | get_resource_handler: function(self: PCefResourceRequestHandler; browser: PCefBrowser; frame: PCefFrame; request: PCefRequest): PCefResourceHandler; stdcall;
Public | on_resource_redirect: procedure(self: PCefResourceRequestHandler; browser: PCefBrowser; frame: PCefFrame; request: PCefRequest; response: PCefResponse; new_url: PCefString); stdcall;
Public | on_resource_response: function(self: PCefResourceRequestHandler; browser: PCefBrowser; frame: PCefFrame; request: PCefRequest; response: PCefResponse): Integer; stdcall;
Public | get_resource_response_filter: function(self: PCefResourceRequestHandler; browser: PCefBrowser; frame: PCefFrame; request: PCefRequest; response: PCefResponse): PCefResponseFilter; stdcall;
Public | on_resource_load_complete: procedure(self: PCefResourceRequestHandler; browser: PCefBrowser; frame: PCefFrame; request: PCefRequest; response: PCefResponse; status: TCefUrlRequestStatus; received_content_length: Int64); stdcall;
Public | on_protocol_execution: procedure(self: PCefResourceRequestHandler; browser: PCefBrowser; frame: PCefFrame; request: PCefRequest; allow_os_execution: PInteger); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public get_cookie_access_filter: function(self: PCefResourceRequestHandler; browser: PCefBrowser; frame: PCefFrame; request: PCefRequest): PCefCookieAccessFilter; stdcall;

This item has no description.

Public on_before_resource_load: function(self: PCefResourceRequestHandler; browser: PCefBrowser; frame: PCefFrame; request: PCefRequest; callback: PCefCallback): TCefReturnValue; stdcall;

This item has no description.

Public get_resource_handler: function(self: PCefResourceRequestHandler; browser: PCefBrowser; frame: PCefFrame; request: PCefRequest): PCefResourceHandler; stdcall;

This item has no description.

Public on_resource_redirect: procedure(self: PCefResourceRequestHandler; browser: PCefBrowser; frame: PCefFrame; request: PCefRequest; response: PCefResponse; new_url: PCefString); stdcall;

This item has no description.

Public on_resource_response: function(self: PCefResourceRequestHandler; browser: PCefBrowser; frame: PCefFrame; request: PCefRequest; response: PCefResponse): Integer; stdcall;

This item has no description.

Public get_resource_response_filter: function(self: PCefResourceRequestHandler; browser: PCefBrowser; frame: PCefFrame; request: PCefRequest; response: PCefResponse): PCefResponseFilter; stdcall;

This item has no description.

Public on_resource_load_complete: procedure(self: PCefResourceRequestHandler; browser: PCefBrowser; frame: PCefFrame; request: PCefRequest; response: PCefResponse; status: TCefUrlRequestStatus; received_content_length: Int64); stdcall;

This item has no description.

Public on_protocol_execution: procedure(self: PCefResourceRequestHandler; browser: PCefBrowser; frame: PCefFrame; request: PCefRequest; allow_os_execution: PInteger); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefCookieAccessFilter

Record TCefCookieAccessFilter

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefCookieAccessFilter = record

Description

Implement this structure to filter cookies that may be sent or received from resource requests. The functions of this structure will be called on the IO thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

Implemented by ICefCookieAccessFilter.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_resource_request_handler_capi.h">CEF source file: /include/capi/cef_resource_request_handler_capi.h (cef_cookie_access_filter_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | can_send_cookie: function(self: PCefCookieAccessFilter; browser: PCefBrowser; frame: PCefFrame; request: PCefRequest; const cookie: PCefCookie): Integer; stdcall;
Public | can_save_cookie: function(self: PCefCookieAccessFilter; browser: PCefBrowser; frame: PCefFrame; request: PCefRequest; response: PCefResponse; const cookie: PCefCookie): Integer; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public can_send_cookie: function(self: PCefCookieAccessFilter; browser: PCefBrowser; frame: PCefFrame; request: PCefRequest; const cookie: PCefCookie): Integer; stdcall;

This item has no description.

Public can_save_cookie: function(self: PCefCookieAccessFilter; browser: PCefBrowser; frame: PCefFrame; request: PCefRequest; response: PCefResponse; const cookie: PCefCookie): Integer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefResponse

Record TCefResponse

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefResponse = record

Description

Structure used to represent a web response. The functions of this structure may be called on any thread.

NOTE: This struct is allocated DLL-side.

Implemented by ICefResponse.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_response_capi.h">CEF source file: /include/capi/cef_response_capi.h (cef_response_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | is_read_only: function(self: PCefResponse): Integer; stdcall;
Public | get_error: function(self: PCefResponse): TCefErrorCode; stdcall;
Public | set_error: procedure(self: PCefResponse; error: TCefErrorCode); stdcall;
Public | get_status: function(self: PCefResponse): Integer; stdcall;
Public | set_status: procedure(self: PCefResponse; status: Integer); stdcall;
Public | get_status_text: function(self: PCefResponse): PCefStringUserFree; stdcall;
Public | set_status_text: procedure(self: PCefResponse; const statusText: PCefString); stdcall;
Public | get_mime_type: function(self: PCefResponse): PCefStringUserFree; stdcall;
Public | set_mime_type: procedure(self: PCefResponse; const mimeType: PCefString); stdcall;
Public | get_charset: function(self: PCefResponse): PCefStringUserFree; stdcall;
Public | set_charset: procedure(self: PCefResponse; const charset: PCefString); stdcall;
Public | get_header_by_name: function(self: PCefResponse; const name: PCefString): PCefStringUserFree; stdcall;
Public | set_header_by_name: procedure(self: PCefResponse; const name: PCefString; const value: PCefString; overwrite: integer); stdcall;
Public | get_header_map: procedure(self: PCefResponse; headerMap: TCefStringMultimap); stdcall;
Public | set_header_map: procedure(self: PCefResponse; headerMap: TCefStringMultimap); stdcall;
Public | get_url: function(self: PCefResponse): PCefStringUserFree; stdcall;
Public | set_url: procedure(self: PCefResponse; const url: PCefString); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public is_read_only: function(self: PCefResponse): Integer; stdcall;

This item has no description.

Public get_error: function(self: PCefResponse): TCefErrorCode; stdcall;

This item has no description.

Public set_error: procedure(self: PCefResponse; error: TCefErrorCode); stdcall;

This item has no description.

Public get_status: function(self: PCefResponse): Integer; stdcall;

This item has no description.

Public set_status: procedure(self: PCefResponse; status: Integer); stdcall;

This item has no description.

Public get_status_text: function(self: PCefResponse): PCefStringUserFree; stdcall;

This item has no description.

Public set_status_text: procedure(self: PCefResponse; const statusText: PCefString); stdcall;

This item has no description.

Public get_mime_type: function(self: PCefResponse): PCefStringUserFree; stdcall;

This item has no description.

Public set_mime_type: procedure(self: PCefResponse; const mimeType: PCefString); stdcall;

This item has no description.

Public get_charset: function(self: PCefResponse): PCefStringUserFree; stdcall;

This item has no description.

Public set_charset: procedure(self: PCefResponse; const charset: PCefString); stdcall;

This item has no description.

Public get_header_by_name: function(self: PCefResponse; const name: PCefString): PCefStringUserFree; stdcall;

This item has no description.

Public set_header_by_name: procedure(self: PCefResponse; const name: PCefString; const value: PCefString; overwrite: integer); stdcall;

This item has no description.

Public get_header_map: procedure(self: PCefResponse; headerMap: TCefStringMultimap); stdcall;

This item has no description.

Public set_header_map: procedure(self: PCefResponse; headerMap: TCefStringMultimap); stdcall;

This item has no description.

Public get_url: function(self: PCefResponse): PCefStringUserFree; stdcall;

This item has no description.

Public set_url: procedure(self: PCefResponse; const url: PCefString); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefResponseFilter

Record TCefResponseFilter

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefResponseFilter = record

Description

Implement this structure to filter resource response content. The functions of this structure will be called on the browser process IO thread.

NOTE: This struct is allocated client-side.

Implemented by ICefResponseFilter.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_response_filter_capi.h">CEF source file: /include/capi/cef_response_filter_capi.h (cef_response_filter_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | init_filter: function(self: PCefResponseFilter): Integer; stdcall;
Public | filter: function(self: PCefResponseFilter; data_in: Pointer; data_in_size: NativeUInt; var data_in_read: NativeUInt; data_out: Pointer; data_out_size : NativeUInt; var data_out_written: NativeUInt): TCefResponseFilterStatus; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public init_filter: function(self: PCefResponseFilter): Integer; stdcall;

This item has no description.

Public filter: function(self: PCefResponseFilter; data_in: Pointer; data_in_size: NativeUInt; var data_in_read: NativeUInt; data_out: Pointer; data_out_size : NativeUInt; var data_out_written: NativeUInt): TCefResponseFilterStatus; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefAuthCallback

Record TCefAuthCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefAuthCallback = record

Description

Callback structure used for asynchronous continuation of authentication requests.

NOTE: This struct is allocated DLL-side.

Implemented by ICefAuthCallback.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_auth_callback_capi.h">CEF source file: /include/capi/cef_auth_callback_capi.h (cef_auth_callback_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | cont: procedure(self: PCefAuthCallback; const username, password: PCefString); stdcall;
Public | cancel: procedure(self: PCefAuthCallback); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public cont: procedure(self: PCefAuthCallback; const username, password: PCefString); stdcall;

This item has no description.

Public cancel: procedure(self: PCefAuthCallback); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefCallback

Record TCefCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefCallback = record

Description

Generic callback structure used for asynchronous continuation.

NOTE: This struct is allocated DLL-side.

Implemented by ICefCallback.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_callback_capi.h">CEF source file: /include/capi/cef_callback_capi.h (cef_callback_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | cont: procedure(self: PCefCallback); stdcall;
Public | cancel: procedure(self: PCefCallback); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public cont: procedure(self: PCefCallback); stdcall;

This item has no description.

Public cancel: procedure(self: PCefCallback); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefSettingObserver

Record TCefSettingObserver

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefSettingObserver = record

Description

* CEF_API_ADDED(13401) *

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | on_setting_changed: procedure(self: PCefSettingObserver; const requesting_url, top_level_url: PCefString; content_type: TCefContentSettingTypes); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public on_setting_changed: procedure(self: PCefSettingObserver; const requesting_url, top_level_url: PCefString; content_type: TCefContentSettingTypes); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefRequestContext

Record TCefRequestContext

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefRequestContext = record

Description

A request context provides request handling for a set of related browser or URL request objects. A request context can be specified when creating a new browser via the ICefBrowserHost static factory functions or when creating a new URL request via the ICefUrlRequest static factory functions. Browser objects with different request contexts will never be hosted in the same render process. Browser objects with the same request context may or may not be hosted in the same render process depending on the process model. Browser objects created indirectly via the JavaScript window.open function or targeted links will share the same render process and the same request context as the source browser. When running in single-process mode there is only a single render process (the main process) and so all browsers created in single-process mode will share the same request context. This will be the first request context passed into a ICefBrowserHost static factory function and all other request context objects will be ignored.

NOTE: This struct is allocated DLL-side.

Implemented by ICefRequestContext.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_request_context_capi.h">CEF source file: /include/capi/cef_request_context_capi.h (cef_request_context_t))

Overview

Fields

Public | base: TCefPreferenceManager;
Public | is_same: function(self, other: PCefRequestContext): Integer; stdcall;
Public | is_sharing_with: function(self, other: PCefRequestContext): Integer; stdcall;
Public | is_global: function(self: PCefRequestContext): Integer; stdcall;
Public | get_handler: function(self: PCefRequestContext): PCefRequestContextHandler; stdcall;
Public | get_cache_path: function(self: PCefRequestContext): PCefStringUserFree; stdcall;
Public | get_cookie_manager: function(self: PCefRequestContext; callback: PCefCompletionCallback): PCefCookieManager; stdcall;
Public | register_scheme_handler_factory: function(self: PCefRequestContext; const scheme_name, domain_name: PCefString; factory: PCefSchemeHandlerFactory): Integer; stdcall;
Public | clear_scheme_handler_factories: function(self: PCefRequestContext): Integer; stdcall;
Public | clear_certificate_exceptions: procedure(self: PCefRequestContext; callback: PCefCompletionCallback); stdcall;
Public | clear_http_auth_credentials: procedure(self: PCefRequestContext; callback: PCefCompletionCallback); stdcall;
Public | close_all_connections: procedure(self: PCefRequestContext; callback: PCefCompletionCallback); stdcall;
Public | resolve_host: procedure(self: PCefRequestContext; const origin: PCefString; callback: PCefResolveCallback); stdcall;
Public | get_media_router: function(self: PCefRequestContext; callback: PCefCompletionCallback): PCefMediaRouter; stdcall;
Public | get_website_setting: function(self: PCefRequestContext; const requesting_url, top_level_url: PCefString; content_type: TCefContentSettingTypes): PCefValue; stdcall;
Public | set_website_setting: procedure(self: PCefRequestContext; const requesting_url, top_level_url: PCefString; content_type: TCefContentSettingTypes; value: PCefValue); stdcall;
Public | get_content_setting: function(self: PCefRequestContext; const requesting_url, top_level_url: PCefString; content_type: TCefContentSettingTypes): TCefContentSettingValues; stdcall;
Public | set_content_setting: procedure(self: PCefRequestContext; const requesting_url, top_level_url: PCefString; content_type: TCefContentSettingTypes; value: TCefContentSettingValues); stdcall;
Public | set_chrome_color_scheme: procedure(self: PCefRequestContext; variant: TCefColorVariant; user_color: TCefColor); stdcall;
Public | get_chrome_color_scheme_mode: function(self: PCefRequestContext): TCefColorVariant; stdcall;
Public | get_chrome_color_scheme_color: function(self: PCefRequestContext): TCefColor; stdcall;
Public | get_chrome_color_scheme_variant: function(self: PCefRequestContext): TCefColorVariant; stdcall;
Public | add_setting_observer: function(self: PCefRequestContext; observer: PCefSettingObserver): PCefRegistration; stdcall;

Description

Fields

Public base: TCefPreferenceManager;

This item has no description.

Public is_same: function(self, other: PCefRequestContext): Integer; stdcall;

This item has no description.

Public is_sharing_with: function(self, other: PCefRequestContext): Integer; stdcall;

This item has no description.

Public is_global: function(self: PCefRequestContext): Integer; stdcall;

This item has no description.

Public get_handler: function(self: PCefRequestContext): PCefRequestContextHandler; stdcall;

This item has no description.

Public get_cache_path: function(self: PCefRequestContext): PCefStringUserFree; stdcall;

This item has no description.

Public get_cookie_manager: function(self: PCefRequestContext; callback: PCefCompletionCallback): PCefCookieManager; stdcall;

This item has no description.

Public register_scheme_handler_factory: function(self: PCefRequestContext; const scheme_name, domain_name: PCefString; factory: PCefSchemeHandlerFactory): Integer; stdcall;

This item has no description.

Public clear_scheme_handler_factories: function(self: PCefRequestContext): Integer; stdcall;

This item has no description.

Public clear_certificate_exceptions: procedure(self: PCefRequestContext; callback: PCefCompletionCallback); stdcall;

This item has no description.

Public clear_http_auth_credentials: procedure(self: PCefRequestContext; callback: PCefCompletionCallback); stdcall;

This item has no description.

Public close_all_connections: procedure(self: PCefRequestContext; callback: PCefCompletionCallback); stdcall;

This item has no description.

Public resolve_host: procedure(self: PCefRequestContext; const origin: PCefString; callback: PCefResolveCallback); stdcall;

This item has no description.

Public get_media_router: function(self: PCefRequestContext; callback: PCefCompletionCallback): PCefMediaRouter; stdcall;

This item has no description.

Public get_website_setting: function(self: PCefRequestContext; const requesting_url, top_level_url: PCefString; content_type: TCefContentSettingTypes): PCefValue; stdcall;

This item has no description.

Public set_website_setting: procedure(self: PCefRequestContext; const requesting_url, top_level_url: PCefString; content_type: TCefContentSettingTypes; value: PCefValue); stdcall;

This item has no description.

Public get_content_setting: function(self: PCefRequestContext; const requesting_url, top_level_url: PCefString; content_type: TCefContentSettingTypes): TCefContentSettingValues; stdcall;

This item has no description.

Public set_content_setting: procedure(self: PCefRequestContext; const requesting_url, top_level_url: PCefString; content_type: TCefContentSettingTypes; value: TCefContentSettingValues); stdcall;

This item has no description.

Public set_chrome_color_scheme: procedure(self: PCefRequestContext; variant: TCefColorVariant; user_color: TCefColor); stdcall;

This item has no description.

Public get_chrome_color_scheme_mode: function(self: PCefRequestContext): TCefColorVariant; stdcall;

This item has no description.

Public get_chrome_color_scheme_color: function(self: PCefRequestContext): TCefColor; stdcall;

This item has no description.

Public get_chrome_color_scheme_variant: function(self: PCefRequestContext): TCefColorVariant; stdcall;

This item has no description.

Public add_setting_observer: function(self: PCefRequestContext; observer: PCefSettingObserver): PCefRegistration; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefRequestContextHandler

Record TCefRequestContextHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefRequestContextHandler = record

Description

Implement this structure to provide handler implementations. The handler instance will not be released until all objects related to the context have been destroyed.

NOTE: This struct is allocated client-side.

Implemented by ICefRequestContextHandler.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_request_context_handler_capi.h">CEF source file: /include/capi/cef_request_context_handler_capi.h (cef_request_context_handler_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | on_request_context_initialized: procedure(self: PCefRequestContextHandler; request_context: PCefRequestContext); stdcall;
Public | get_resource_request_handler: function(self: PCefRequestContextHandler; browser: PCefBrowser; frame: PCefFrame; request: PCefRequest; is_navigation, is_download: Integer; const request_initiator: PCefString; disable_default_handling: PInteger): PCefResourceRequestHandler; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public on_request_context_initialized: procedure(self: PCefRequestContextHandler; request_context: PCefRequestContext); stdcall;

This item has no description.

Public get_resource_request_handler: function(self: PCefRequestContextHandler; browser: PCefBrowser; frame: PCefFrame; request: PCefRequest; is_navigation, is_download: Integer; const request_initiator: PCefString; disable_default_handling: PInteger): PCefResourceRequestHandler; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefCompletionCallback

Record TCefCompletionCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefCompletionCallback = record

Description

Generic callback structure used for asynchronous completion.

NOTE: This struct is allocated client-side.

Implemented by ICefCompletionCallback.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_callback_capi.h">CEF source file: /include/capi/cef_callback_capi.h (cef_completion_callback_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | on_complete: procedure(self: PCefCompletionCallback); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public on_complete: procedure(self: PCefCompletionCallback); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefCookieManager

Record TCefCookieManager

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefCookieManager = record

Description

Structure used for managing cookies. The functions of this structure may be called on any thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Implemented by ICefCookieManager.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_cookie_capi.h">CEF source file: /include/capi/cef_cookie_capi.h (cef_cookie_manager_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | visit_all_cookies: function(self: PCefCookieManager; visitor: PCefCookieVisitor): Integer; stdcall;
Public | visit_url_cookies: function(self: PCefCookieManager; const url: PCefString; includeHttpOnly: Integer; visitor: PCefCookieVisitor): Integer; stdcall;
Public | set_cookie: function(self: PCefCookieManager; const url: PCefString; const cookie: PCefCookie; callback: PCefSetCookieCallback): Integer; stdcall;
Public | delete_cookies: function(self: PCefCookieManager; const url, cookie_name: PCefString; callback: PCefDeleteCookiesCallback): Integer; stdcall;
Public | flush_store: function(self: PCefCookieManager; callback: PCefCompletionCallback): Integer; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public visit_all_cookies: function(self: PCefCookieManager; visitor: PCefCookieVisitor): Integer; stdcall;

This item has no description.

Public visit_url_cookies: function(self: PCefCookieManager; const url: PCefString; includeHttpOnly: Integer; visitor: PCefCookieVisitor): Integer; stdcall;

This item has no description.

Public set_cookie: function(self: PCefCookieManager; const url: PCefString; const cookie: PCefCookie; callback: PCefSetCookieCallback): Integer; stdcall;

This item has no description.

Public delete_cookies: function(self: PCefCookieManager; const url, cookie_name: PCefString; callback: PCefDeleteCookiesCallback): Integer; stdcall;

This item has no description.

Public flush_store: function(self: PCefCookieManager; callback: PCefCompletionCallback): Integer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefSchemeHandlerFactory

Record TCefSchemeHandlerFactory

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefSchemeHandlerFactory = record

Description

Structure that creates ICefResourceHandler instances for handling scheme requests. The functions of this structure will always be called on the IO thread.

NOTE: This struct is allocated client-side.

Implemented by ICefSchemeHandlerFactory.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_scheme_capi.h">CEF source file: /include/capi/cef_scheme_capi.h (cef_scheme_handler_factory_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | create: function(self: PCefSchemeHandlerFactory; browser: PCefBrowser; frame: PCefFrame; const scheme_name: PCefString; request: PCefRequest): PCefResourceHandler; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public create: function(self: PCefSchemeHandlerFactory; browser: PCefBrowser; frame: PCefFrame; const scheme_name: PCefString; request: PCefRequest): PCefResourceHandler; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefResolveCallback

Record TCefResolveCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefResolveCallback = record

Description

Callback structure for ICefRequestContext.ResolveHost.

NOTE: This struct is allocated client-side.

Implemented by ICefResolveCallback.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_request_context_capi.h">CEF source file: /include/capi/cef_request_context_capi.h (cef_resolve_callback_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | on_resolve_completed: procedure(self: PCefResolveCallback; result: TCefErrorCode; resolved_ips: TCefStringList); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public on_resolve_completed: procedure(self: PCefResolveCallback; result: TCefErrorCode; resolved_ips: TCefStringList); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefCookieVisitor

Record TCefCookieVisitor

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefCookieVisitor = record

Description

Structure to implement for visiting cookie values. The functions of this structure will always be called on the UI thread.

NOTE: This struct is allocated client-side.

Implemented by ICefCookieVisitor.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_cookie_capi.h">CEF source file: /include/capi/cef_cookie_capi.h (cef_cookie_visitor_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | visit: function(self: PCefCookieVisitor; const cookie: PCefCookie; count, total: Integer; deleteCookie: PInteger): Integer; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public visit: function(self: PCefCookieVisitor; const cookie: PCefCookie; count, total: Integer; deleteCookie: PInteger): Integer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefSetCookieCallback

Record TCefSetCookieCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefSetCookieCallback = record

Description

Structure to implement to be notified of asynchronous completion via ICefCookieManager.SetCookie().

NOTE: This struct is allocated client-side.

Implemented by ICefSetCookieCallback.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_cookie_capi.h">CEF source file: /include/capi/cef_cookie_capi.h (cef_set_cookie_callback_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | on_complete: procedure(self: PCefSetCookieCallback; success: Integer); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public on_complete: procedure(self: PCefSetCookieCallback; success: Integer); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefDeleteCookiesCallback

Record TCefDeleteCookiesCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefDeleteCookiesCallback = record

Description

Structure to implement to be notified of asynchronous completion via ICefCookieManager.DeleteCookies().

NOTE: This struct is allocated client-side.

Implemented by ICefDeleteCookiesCallback.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_cookie_capi.h">CEF source file: /include/capi/cef_cookie_capi.h (cef_delete_cookies_callback_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | on_complete: procedure(self: PCefDeleteCookiesCallback; num_deleted: Integer); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public on_complete: procedure(self: PCefDeleteCookiesCallback; num_deleted: Integer); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefRunFileDialogCallback

Record TCefRunFileDialogCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefRunFileDialogCallback = record

Description

Callback structure for ICefBrowserHost.RunFileDialog. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

Implemented by ICefRunFileDialogCallback.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_browser_capi.h">CEF source file: /include/capi/cef_browser_capi.h (cef_run_file_dialog_callback_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | on_file_dialog_dismissed: procedure(self: PCefRunFileDialogCallback; file_paths: TCefStringList); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public on_file_dialog_dismissed: procedure(self: PCefRunFileDialogCallback; file_paths: TCefStringList); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefDownloadImageCallback

Record TCefDownloadImageCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefDownloadImageCallback = record

Description

Callback structure for ICefBrowserHost.DownloadImage. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

Implemented by ICefDownloadImageCallback.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_browser_capi.h">CEF source file: /include/capi/cef_browser_capi.h (cef_download_image_callback_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | on_download_image_finished: procedure(self: PCefDownloadImageCallback; const image_url: PCefString; http_status_code: Integer; image: PCefImage); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public on_download_image_finished: procedure(self: PCefDownloadImageCallback; const image_url: PCefString; http_status_code: Integer; image: PCefImage); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefImage

Record TCefImage

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefImage = record

Description

Container for a single image represented at different scale factors. All image representations should be the same size in density independent pixel (DIP) units. For example, if the image at scale factor 1.0 is 100x100 pixels then the image at scale factor 2.0 should be 200x200 pixels – both images will display with a DIP size of 100x100 units. The functions of this structure can be called on any browser process thread.

NOTE: This struct is allocated DLL-side.

Implemented by ICefImage.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_image_capi.h">CEF source file: /include/capi/cef_image_capi.h (cef_image_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | is_empty: function(self: PCefImage): Integer; stdcall;
Public | is_same: function(self, that: PCefImage): Integer; stdcall;
Public | add_bitmap: function(self: PCefImage; scale_factor: Single; pixel_width, pixel_height: Integer; color_type: TCefColorType; alpha_type: TCefAlphaType; const pixel_data: Pointer; pixel_data_size: NativeUInt): Integer; stdcall;
Public | add_png: function(self: PCefImage; scale_factor: Single; const png_data: Pointer; png_data_size: NativeUInt): Integer; stdcall;
Public | add_jpeg: function(self: PCefImage; scale_factor: Single; const jpeg_data: Pointer; jpeg_data_size: NativeUInt): Integer; stdcall;
Public | get_width: function(self: PCefImage): NativeUInt; stdcall;
Public | get_height: function(self: PCefImage): NativeUInt; stdcall;
Public | has_representation: function(self: PCefImage; scale_factor: Single): Integer; stdcall;
Public | remove_representation: function(self: PCefImage; scale_factor: Single): Integer; stdcall;
Public | get_representation_info: function(self: PCefImage; scale_factor: Single; actual_scale_factor: System.PSingle; pixel_width, pixel_height: PInteger): Integer; stdcall;
Public | get_as_bitmap: function(self: PCefImage; scale_factor: Single; color_type: TCefColorType; alpha_type: TCefAlphaType; pixel_width, pixel_height: PInteger): PCefBinaryValue; stdcall;
Public | get_as_png: function(self: PCefImage; scale_factor: Single; with_transparency: Integer; pixel_width, pixel_height: PInteger): PCefBinaryValue; stdcall;
Public | get_as_jpeg: function(self: PCefImage; scale_factor: Single; quality: Integer; pixel_width, pixel_height: PInteger): PCefBinaryValue; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public is_empty: function(self: PCefImage): Integer; stdcall;

This item has no description.

Public is_same: function(self, that: PCefImage): Integer; stdcall;

This item has no description.

Public add_bitmap: function(self: PCefImage; scale_factor: Single; pixel_width, pixel_height: Integer; color_type: TCefColorType; alpha_type: TCefAlphaType; const pixel_data: Pointer; pixel_data_size: NativeUInt): Integer; stdcall;

This item has no description.

Public add_png: function(self: PCefImage; scale_factor: Single; const png_data: Pointer; png_data_size: NativeUInt): Integer; stdcall;

This item has no description.

Public add_jpeg: function(self: PCefImage; scale_factor: Single; const jpeg_data: Pointer; jpeg_data_size: NativeUInt): Integer; stdcall;

This item has no description.

Public get_width: function(self: PCefImage): NativeUInt; stdcall;

This item has no description.

Public get_height: function(self: PCefImage): NativeUInt; stdcall;

This item has no description.

Public has_representation: function(self: PCefImage; scale_factor: Single): Integer; stdcall;

This item has no description.

Public remove_representation: function(self: PCefImage; scale_factor: Single): Integer; stdcall;

This item has no description.

Public get_representation_info: function(self: PCefImage; scale_factor: Single; actual_scale_factor: System.PSingle; pixel_width, pixel_height: PInteger): Integer; stdcall;

This item has no description.

Public get_as_bitmap: function(self: PCefImage; scale_factor: Single; color_type: TCefColorType; alpha_type: TCefAlphaType; pixel_width, pixel_height: PInteger): PCefBinaryValue; stdcall;

This item has no description.

Public get_as_png: function(self: PCefImage; scale_factor: Single; with_transparency: Integer; pixel_width, pixel_height: PInteger): PCefBinaryValue; stdcall;

This item has no description.

Public get_as_jpeg: function(self: PCefImage; scale_factor: Single; quality: Integer; pixel_width, pixel_height: PInteger): PCefBinaryValue; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefPdfPrintCallback

Record TCefPdfPrintCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefPdfPrintCallback = record

Description

Callback structure for ICefBrowserHost.PrintToPDF. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

Implemented by ICefPdfPrintCallback.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_browser_capi.h">CEF source file: /include/capi/cef_browser_capi.h (cef_pdf_print_callback_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | on_pdf_print_finished: procedure(self: PCefPdfPrintCallback; const path: PCefString; ok: Integer); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public on_pdf_print_finished: procedure(self: PCefPdfPrintCallback; const path: PCefString; ok: Integer); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefNavigationEntryVisitor

Record TCefNavigationEntryVisitor

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefNavigationEntryVisitor = record

Description

Callback structure for ICefBrowserHost.GetNavigationEntries. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

Implemented by ICefNavigationEntryVisitor.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_browser_capi.h">CEF source file: /include/capi/cef_browser_capi.h (cef_navigation_entry_visitor_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | visit: function(self: PCefNavigationEntryVisitor; entry: PCefNavigationEntry; current, index, total: Integer): Integer; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public visit: function(self: PCefNavigationEntryVisitor; entry: PCefNavigationEntry; current, index, total: Integer): Integer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefNavigationEntry

Record TCefNavigationEntry

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefNavigationEntry = record

Description

Structure used to represent an entry in navigation history.

NOTE: This struct is allocated DLL-side.

Implemented by ICefNavigationEntry.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_navigation_entry_capi.h">CEF source file: /include/capi/cef_navigation_entry_capi.h (cef_navigation_entry_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | is_valid: function(self: PCefNavigationEntry): Integer; stdcall;
Public | get_url: function(self: PCefNavigationEntry): PCefStringUserFree; stdcall;
Public | get_display_url: function(self: PCefNavigationEntry): PCefStringUserFree; stdcall;
Public | get_original_url: function(self: PCefNavigationEntry): PCefStringUserFree; stdcall;
Public | get_title: function(self: PCefNavigationEntry): PCefStringUserFree; stdcall;
Public | get_transition_type: function(self: PCefNavigationEntry): TCefTransitionType; stdcall;
Public | has_post_data: function(self: PCefNavigationEntry): Integer; stdcall;
Public | get_completion_time: function(self: PCefNavigationEntry): TCefBaseTime; stdcall;
Public | get_http_status_code: function(self: PCefNavigationEntry): Integer; stdcall;
Public | get_sslstatus: function(self: PCefNavigationEntry): PCefSSLStatus; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public is_valid: function(self: PCefNavigationEntry): Integer; stdcall;

This item has no description.

Public get_url: function(self: PCefNavigationEntry): PCefStringUserFree; stdcall;

This item has no description.

Public get_display_url: function(self: PCefNavigationEntry): PCefStringUserFree; stdcall;

This item has no description.

Public get_original_url: function(self: PCefNavigationEntry): PCefStringUserFree; stdcall;

This item has no description.

Public get_title: function(self: PCefNavigationEntry): PCefStringUserFree; stdcall;

This item has no description.

Public get_transition_type: function(self: PCefNavigationEntry): TCefTransitionType; stdcall;

This item has no description.

Public has_post_data: function(self: PCefNavigationEntry): Integer; stdcall;

This item has no description.

Public get_completion_time: function(self: PCefNavigationEntry): TCefBaseTime; stdcall;

This item has no description.

Public get_http_status_code: function(self: PCefNavigationEntry): Integer; stdcall;

This item has no description.

Public get_sslstatus: function(self: PCefNavigationEntry): PCefSSLStatus; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefPrintSettings

Record TCefPrintSettings

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefPrintSettings = record

Description

Structure representing print settings.

NOTE: This struct is allocated DLL-side.

Implemented by ICefPrintSettings.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_print_settings_capi.h">CEF source file: /include/capi/cef_print_settings_capi.h (cef_print_settings_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | is_valid: function(self: PCefPrintSettings): Integer; stdcall;
Public | is_read_only: function(self: PCefPrintSettings): Integer; stdcall;
Public | set_orientation: procedure(self: PCefPrintSettings; landscape: Integer); stdcall;
Public | is_landscape: function(self: PCefPrintSettings): Integer; stdcall;
Public | set_printer_printable_area: procedure(self: PCefPrintSettings; const physical_size_device_units: PCefSize; const printable_area_device_units: PCefRect; landscape_needs_flip: Integer); stdcall;
Public | set_device_name: procedure(self: PCefPrintSettings; const name: PCefString); stdcall;
Public | get_device_name: function(self: PCefPrintSettings): PCefStringUserFree; stdcall;
Public | set_dpi: procedure(self: PCefPrintSettings; dpi: Integer); stdcall;
Public | get_dpi: function(self: PCefPrintSettings): Integer; stdcall;
Public | set_page_ranges: procedure(self: PCefPrintSettings; rangesCount: NativeUInt; ranges: PCefRange); stdcall;
Public | get_page_ranges_count: function(self: PCefPrintSettings): NativeUInt; stdcall;
Public | get_page_ranges: procedure(self: PCefPrintSettings; rangesCount: PNativeUInt; ranges: PCefRange); stdcall;
Public | set_selection_only: procedure(self: PCefPrintSettings; selection_only: Integer); stdcall;
Public | is_selection_only: function(self: PCefPrintSettings): Integer; stdcall;
Public | set_collate: procedure(self: PCefPrintSettings; collate: Integer); stdcall;
Public | will_collate: function(self: PCefPrintSettings): Integer; stdcall;
Public | set_color_model: procedure(self: PCefPrintSettings; model: TCefColorModel); stdcall;
Public | get_color_model: function(self: PCefPrintSettings): TCefColorModel; stdcall;
Public | set_copies: procedure(self: PCefPrintSettings; copies: Integer); stdcall;
Public | get_copies: function(self: PCefPrintSettings): Integer; stdcall;
Public | set_duplex_mode: procedure(self: PCefPrintSettings; mode: TCefDuplexMode); stdcall;
Public | get_duplex_mode: function(self: PCefPrintSettings): TCefDuplexMode; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public is_valid: function(self: PCefPrintSettings): Integer; stdcall;

This item has no description.

Public is_read_only: function(self: PCefPrintSettings): Integer; stdcall;

This item has no description.

Public set_orientation: procedure(self: PCefPrintSettings; landscape: Integer); stdcall;

This item has no description.

Public is_landscape: function(self: PCefPrintSettings): Integer; stdcall;

This item has no description.

Public set_printer_printable_area: procedure(self: PCefPrintSettings; const physical_size_device_units: PCefSize; const printable_area_device_units: PCefRect; landscape_needs_flip: Integer); stdcall;

This item has no description.

Public set_device_name: procedure(self: PCefPrintSettings; const name: PCefString); stdcall;

This item has no description.

Public get_device_name: function(self: PCefPrintSettings): PCefStringUserFree; stdcall;

This item has no description.

Public set_dpi: procedure(self: PCefPrintSettings; dpi: Integer); stdcall;

This item has no description.

Public get_dpi: function(self: PCefPrintSettings): Integer; stdcall;

This item has no description.

Public set_page_ranges: procedure(self: PCefPrintSettings; rangesCount: NativeUInt; ranges: PCefRange); stdcall;

This item has no description.

Public get_page_ranges_count: function(self: PCefPrintSettings): NativeUInt; stdcall;

This item has no description.

Public get_page_ranges: procedure(self: PCefPrintSettings; rangesCount: PNativeUInt; ranges: PCefRange); stdcall;

This item has no description.

Public set_selection_only: procedure(self: PCefPrintSettings; selection_only: Integer); stdcall;

This item has no description.

Public is_selection_only: function(self: PCefPrintSettings): Integer; stdcall;

This item has no description.

Public set_collate: procedure(self: PCefPrintSettings; collate: Integer); stdcall;

This item has no description.

Public will_collate: function(self: PCefPrintSettings): Integer; stdcall;

This item has no description.

Public set_color_model: procedure(self: PCefPrintSettings; model: TCefColorModel); stdcall;

This item has no description.

Public get_color_model: function(self: PCefPrintSettings): TCefColorModel; stdcall;

This item has no description.

Public set_copies: procedure(self: PCefPrintSettings; copies: Integer); stdcall;

This item has no description.

Public get_copies: function(self: PCefPrintSettings): Integer; stdcall;

This item has no description.

Public set_duplex_mode: procedure(self: PCefPrintSettings; mode: TCefDuplexMode); stdcall;

This item has no description.

Public get_duplex_mode: function(self: PCefPrintSettings): TCefDuplexMode; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefPrintDialogCallback

Record TCefPrintDialogCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefPrintDialogCallback = record

Description

Callback structure for asynchronous continuation of print dialog requests.

NOTE: This struct is allocated DLL-side.

Implemented by ICefPrintDialogCallback.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_print_handler_capi.h">CEF source file: /include/capi/cef_print_handler_capi.h (cef_print_dialog_callback_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | cont: procedure(self: PCefPrintDialogCallback; settings: PCefPrintSettings); stdcall;
Public | cancel: procedure(self: PCefPrintDialogCallback); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public cont: procedure(self: PCefPrintDialogCallback; settings: PCefPrintSettings); stdcall;

This item has no description.

Public cancel: procedure(self: PCefPrintDialogCallback); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefPrintJobCallback

Record TCefPrintJobCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefPrintJobCallback = record

Description

Callback structure for asynchronous continuation of print job requests.

NOTE: This struct is allocated DLL-side.

Implemented by ICefPrintJobCallback.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_print_handler_capi.h">CEF source file: /include/capi/cef_print_handler_capi.h (cef_print_job_callback_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | cont: procedure(self: PCefPrintJobCallback); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public cont: procedure(self: PCefPrintJobCallback); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefPrintHandler

Record TCefPrintHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefPrintHandler = record

Description

Implement this structure to handle printing on Linux. Each browser will have only one print job in progress at a time. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

Implemented by ICefPrintHandler.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_print_handler_capi.h">CEF source file: /include/capi/cef_print_handler_capi.h (cef_print_handler_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | on_print_start: procedure(self: PCefPrintHandler; browser: PCefBrowser); stdcall;
Public | on_print_settings: procedure(self: PCefPrintHandler; browser: PCefBrowser; settings: PCefPrintSettings; get_defaults: Integer); stdcall;
Public | on_print_dialog: function(self: PCefPrintHandler; browser: PCefBrowser; has_selection: Integer; callback: PCefPrintDialogCallback): Integer; stdcall;
Public | on_print_job: function(self: PCefPrintHandler; browser: PCefBrowser; const document_name, pdf_file_path: PCefString; callback: PCefPrintJobCallback): Integer; stdcall;
Public | on_print_reset: procedure(self: PCefPrintHandler; browser: PCefBrowser); stdcall;
Public | get_pdf_paper_size: function(self: PCefPrintHandler; browser: PCefBrowser; device_units_per_inch: Integer): TCefSize; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public on_print_start: procedure(self: PCefPrintHandler; browser: PCefBrowser); stdcall;

This item has no description.

Public on_print_settings: procedure(self: PCefPrintHandler; browser: PCefBrowser; settings: PCefPrintSettings; get_defaults: Integer); stdcall;

This item has no description.

Public on_print_dialog: function(self: PCefPrintHandler; browser: PCefBrowser; has_selection: Integer; callback: PCefPrintDialogCallback): Integer; stdcall;

This item has no description.

Public on_print_job: function(self: PCefPrintHandler; browser: PCefBrowser; const document_name, pdf_file_path: PCefString; callback: PCefPrintJobCallback): Integer; stdcall;

This item has no description.

Public on_print_reset: procedure(self: PCefPrintHandler; browser: PCefBrowser); stdcall;

This item has no description.

Public get_pdf_paper_size: function(self: PCefPrintHandler; browser: PCefBrowser; device_units_per_inch: Integer): TCefSize; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefDragData

Record TCefDragData

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefDragData = record

Description

Structure used to represent drag data. The functions of this structure may be called on any thread.

NOTE: This struct is allocated DLL-side.

Implemented by ICefDragData.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_drag_data_capi.h">CEF source file: /include/capi/cef_drag_data_capi.h (cef_drag_data_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | clone: function(self: PCefDragData): PCefDragData; stdcall;
Public | is_read_only: function(self: PCefDragData): Integer; stdcall;
Public | is_link: function(self: PCefDragData): Integer; stdcall;
Public | is_fragment: function(self: PCefDragData): Integer; stdcall;
Public | is_file: function(self: PCefDragData): Integer; stdcall;
Public | get_link_url: function(self: PCefDragData): PCefStringUserFree; stdcall;
Public | get_link_title: function(self: PCefDragData): PCefStringUserFree; stdcall;
Public | get_link_metadata: function(self: PCefDragData): PCefStringUserFree; stdcall;
Public | get_fragment_text: function(self: PCefDragData): PCefStringUserFree; stdcall;
Public | get_fragment_html: function(self: PCefDragData): PCefStringUserFree; stdcall;
Public | get_fragment_base_url: function(self: PCefDragData): PCefStringUserFree; stdcall;
Public | get_file_name: function(self: PCefDragData): PCefStringUserFree; stdcall;
Public | get_file_contents: function(self: PCefDragData; writer: PCefStreamWriter): NativeUInt; stdcall;
Public | get_file_names: function(self: PCefDragData; names: TCefStringList): Integer; stdcall;
Public | get_file_paths: function(self: PCefDragData; paths: TCefStringList): Integer; stdcall;
Public | set_link_url: procedure(self: PCefDragData; const url: PCefString); stdcall;
Public | set_link_title: procedure(self: PCefDragData; const title: PCefString); stdcall;
Public | set_link_metadata: procedure(self: PCefDragData; const data: PCefString); stdcall;
Public | set_fragment_text: procedure(self: PCefDragData; const text: PCefString); stdcall;
Public | set_fragment_html: procedure(self: PCefDragData; const html: PCefString); stdcall;
Public | set_fragment_base_url: procedure(self: PCefDragData; const base_url: PCefString); stdcall;
Public | reset_file_contents: procedure(self: PCefDragData); stdcall;
Public | add_file: procedure(self: PCefDragData; const path, display_name: PCefString); stdcall;
Public | clear_filenames: procedure(self: PCefDragData); stdcall;
Public | get_image: function(self: PCefDragData): PCefImage; stdcall;
Public | get_image_hotspot: function(self: PCefDragData): PCefPoint; stdcall;
Public | has_image: function(self: PCefDragData): Integer; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public clone: function(self: PCefDragData): PCefDragData; stdcall;

This item has no description.

Public is_read_only: function(self: PCefDragData): Integer; stdcall;

This item has no description.

Public is_link: function(self: PCefDragData): Integer; stdcall;

This item has no description.

Public is_fragment: function(self: PCefDragData): Integer; stdcall;

This item has no description.

Public is_file: function(self: PCefDragData): Integer; stdcall;

This item has no description.

Public get_link_url: function(self: PCefDragData): PCefStringUserFree; stdcall;

This item has no description.

Public get_link_title: function(self: PCefDragData): PCefStringUserFree; stdcall;

This item has no description.

Public get_link_metadata: function(self: PCefDragData): PCefStringUserFree; stdcall;

This item has no description.

Public get_fragment_text: function(self: PCefDragData): PCefStringUserFree; stdcall;

This item has no description.

Public get_fragment_html: function(self: PCefDragData): PCefStringUserFree; stdcall;

This item has no description.

Public get_fragment_base_url: function(self: PCefDragData): PCefStringUserFree; stdcall;

This item has no description.

Public get_file_name: function(self: PCefDragData): PCefStringUserFree; stdcall;

This item has no description.

Public get_file_contents: function(self: PCefDragData; writer: PCefStreamWriter): NativeUInt; stdcall;

This item has no description.

Public get_file_names: function(self: PCefDragData; names: TCefStringList): Integer; stdcall;

This item has no description.

Public get_file_paths: function(self: PCefDragData; paths: TCefStringList): Integer; stdcall;

This item has no description.

Public set_link_url: procedure(self: PCefDragData; const url: PCefString); stdcall;

This item has no description.

Public set_link_title: procedure(self: PCefDragData; const title: PCefString); stdcall;

This item has no description.

Public set_link_metadata: procedure(self: PCefDragData; const data: PCefString); stdcall;

This item has no description.

Public set_fragment_text: procedure(self: PCefDragData; const text: PCefString); stdcall;

This item has no description.

Public set_fragment_html: procedure(self: PCefDragData; const html: PCefString); stdcall;

This item has no description.

Public set_fragment_base_url: procedure(self: PCefDragData; const base_url: PCefString); stdcall;

This item has no description.

Public reset_file_contents: procedure(self: PCefDragData); stdcall;

This item has no description.

Public add_file: procedure(self: PCefDragData; const path, display_name: PCefString); stdcall;

This item has no description.

Public clear_filenames: procedure(self: PCefDragData); stdcall;

This item has no description.

Public get_image: function(self: PCefDragData): PCefImage; stdcall;

This item has no description.

Public get_image_hotspot: function(self: PCefDragData): PCefPoint; stdcall;

This item has no description.

Public has_image: function(self: PCefDragData): Integer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefCommandLine

Record TCefCommandLine

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefCommandLine = record

Description

Structure used to create and/or parse command line arguments. Arguments with "–", "-" and, on Windows, "/" prefixes are considered switches. Switches will always precede any arguments without switch prefixes. Switches can optionally have a value specified using the "=" delimiter (e.g. "-switch=value"). An argument of "–" will terminate switch parsing with all subsequent tokens, regardless of prefix, being interpreted as non-switch arguments. Switch names should be lowercase ASCII and will be converted to such if necessary. Switch values will retain the original case and UTF8 encoding. This structure can be used before cef_initialize() is called.

NOTE: This struct is allocated DLL-side.

Implemented by ICefCommandLine.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_command_line_capi.h">CEF source file: /include/capi/cef_command_line_capi.h (cef_command_line_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | is_valid: function(self: PCefCommandLine): Integer; stdcall;
Public | is_read_only: function(self: PCefCommandLine): Integer; stdcall;
Public | copy: function(self: PCefCommandLine): PCefCommandLine; stdcall;
Public | init_from_argv: procedure(self: PCefCommandLine; argc: Integer; const argv: PPAnsiChar); stdcall;
Public | init_from_string: procedure(self: PCefCommandLine; const command_line: PCefString); stdcall;
Public | reset: procedure(self: PCefCommandLine); stdcall;
Public | get_argv: procedure(self: PCefCommandLine; argv: TCefStringList); stdcall;
Public | get_command_line_string: function(self: PCefCommandLine): PCefStringUserFree; stdcall;
Public | get_program: function(self: PCefCommandLine): PCefStringUserFree; stdcall;
Public | set_program: procedure(self: PCefCommandLine; const program_: PCefString); stdcall;
Public | has_switches: function(self: PCefCommandLine): Integer; stdcall;
Public | has_switch: function(self: PCefCommandLine; const name: PCefString): Integer; stdcall;
Public | get_switch_value: function(self: PCefCommandLine; const name: PCefString): PCefStringUserFree; stdcall;
Public | get_switches: procedure(self: PCefCommandLine; switches: TCefStringMap); stdcall;
Public | append_switch: procedure(self: PCefCommandLine; const name: PCefString); stdcall;
Public | append_switch_with_value: procedure(self: PCefCommandLine; const name, value: PCefString); stdcall;
Public | has_arguments: function(self: PCefCommandLine): Integer; stdcall;
Public | get_arguments: procedure(self: PCefCommandLine; arguments: TCefStringList); stdcall;
Public | append_argument: procedure(self: PCefCommandLine; const argument: PCefString); stdcall;
Public | prepend_wrapper: procedure(self: PCefCommandLine; const wrapper: PCefString); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public is_valid: function(self: PCefCommandLine): Integer; stdcall;

This item has no description.

Public is_read_only: function(self: PCefCommandLine): Integer; stdcall;

This item has no description.

Public copy: function(self: PCefCommandLine): PCefCommandLine; stdcall;

This item has no description.

Public init_from_argv: procedure(self: PCefCommandLine; argc: Integer; const argv: PPAnsiChar); stdcall;

This item has no description.

Public init_from_string: procedure(self: PCefCommandLine; const command_line: PCefString); stdcall;

This item has no description.

Public reset: procedure(self: PCefCommandLine); stdcall;

This item has no description.

Public get_argv: procedure(self: PCefCommandLine; argv: TCefStringList); stdcall;

This item has no description.

Public get_command_line_string: function(self: PCefCommandLine): PCefStringUserFree; stdcall;

This item has no description.

Public get_program: function(self: PCefCommandLine): PCefStringUserFree; stdcall;

This item has no description.

Public set_program: procedure(self: PCefCommandLine; const program_: PCefString); stdcall;

This item has no description.

Public has_switches: function(self: PCefCommandLine): Integer; stdcall;

This item has no description.

Public has_switch: function(self: PCefCommandLine; const name: PCefString): Integer; stdcall;

This item has no description.

Public get_switch_value: function(self: PCefCommandLine; const name: PCefString): PCefStringUserFree; stdcall;

This item has no description.

Public get_switches: procedure(self: PCefCommandLine; switches: TCefStringMap); stdcall;

This item has no description.

Public append_switch: procedure(self: PCefCommandLine; const name: PCefString); stdcall;

This item has no description.

Public append_switch_with_value: procedure(self: PCefCommandLine; const name, value: PCefString); stdcall;

This item has no description.

Public has_arguments: function(self: PCefCommandLine): Integer; stdcall;

This item has no description.

Public get_arguments: procedure(self: PCefCommandLine; arguments: TCefStringList); stdcall;

This item has no description.

Public append_argument: procedure(self: PCefCommandLine; const argument: PCefString); stdcall;

This item has no description.

Public prepend_wrapper: procedure(self: PCefCommandLine; const wrapper: PCefString); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefCommandHandler

Record TCefCommandHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefCommandHandler = record

Description

Implement this structure to handle events related to commands. The functions of this structure will be called on the UI thread.

NOTE: This struct is allocated client-side.

Implemented by ICefCommandHandler.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_command_handler_capi.h">CEF source file: /include/capi/cef_command_handler_capi.h (cef_command_handler_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | on_chrome_command: function(self: PCefCommandHandler; browser: PCefBrowser; command_id: integer; disposition: TCefWindowOpenDisposition): Integer; stdcall;
Public | is_chrome_app_menu_item_visible: function(self: PCefCommandHandler; browser: PCefBrowser; command_id: integer): integer; stdcall;
Public | is_chrome_app_menu_item_enabled: function(self: PCefCommandHandler; browser: PCefBrowser; command_id: integer): integer; stdcall;
Public | is_chrome_page_action_icon_visible: function(self: PCefCommandHandler; icon_type: TCefChromePageActionIconType): integer; stdcall;
Public | is_chrome_toolbar_button_visible: function(self: PCefCommandHandler; button_type: TCefChromeToolbarButtonType): integer; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public on_chrome_command: function(self: PCefCommandHandler; browser: PCefBrowser; command_id: integer; disposition: TCefWindowOpenDisposition): Integer; stdcall;

This item has no description.

Public is_chrome_app_menu_item_visible: function(self: PCefCommandHandler; browser: PCefBrowser; command_id: integer): integer; stdcall;

This item has no description.

Public is_chrome_app_menu_item_enabled: function(self: PCefCommandHandler; browser: PCefBrowser; command_id: integer): integer; stdcall;

This item has no description.

Public is_chrome_page_action_icon_visible: function(self: PCefCommandHandler; icon_type: TCefChromePageActionIconType): integer; stdcall;

This item has no description.

Public is_chrome_toolbar_button_visible: function(self: PCefCommandHandler; button_type: TCefChromeToolbarButtonType): integer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefSchemeRegistrar

Record TCefSchemeRegistrar

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefSchemeRegistrar = record

Description

Structure that manages custom scheme registrations.

NOTE: This struct is allocated DLL-side.

Implemented by TCefSchemeRegistrarRef.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_scheme_capi.h">CEF source file: /include/capi/cef_scheme_capi.h (cef_scheme_registrar_t))

Overview

Fields

Public | base: TCefBaseScoped;
Public | add_custom_scheme: function(self: PCefSchemeRegistrar; const scheme_name: PCefString; options : TCefSchemeOptions): Integer; stdcall;

Description

Fields

Public base: TCefBaseScoped;

This item has no description.

Public add_custom_scheme: function(self: PCefSchemeRegistrar; const scheme_name: PCefString; options : TCefSchemeOptions): Integer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefBinaryValue

Record TCefBinaryValue

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefBinaryValue = record

Description

Structure representing a binary value. Can be used on any process and thread.

NOTE: This struct is allocated DLL-side.

Implemented by ICefBinaryValue.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_values_capi.h">CEF source file: /include/capi/cef_values_capi.h (cef_binary_value_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | is_valid: function(self: PCefBinaryValue): Integer; stdcall;
Public | is_owned: function(self: PCefBinaryValue): Integer; stdcall;
Public | is_same: function(self, that: PCefBinaryValue):Integer; stdcall;
Public | is_equal: function(self, that: PCefBinaryValue): Integer; stdcall;
Public | copy: function(self: PCefBinaryValue): PCefBinaryValue; stdcall;
Public | get_raw_data: function(self: PCefBinaryValue): Pointer; stdcall;
Public | get_size: function(self: PCefBinaryValue): NativeUInt; stdcall;
Public | get_data: function(self: PCefBinaryValue; buffer: Pointer; buffer_size, data_offset: NativeUInt): NativeUInt; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public is_valid: function(self: PCefBinaryValue): Integer; stdcall;

This item has no description.

Public is_owned: function(self: PCefBinaryValue): Integer; stdcall;

This item has no description.

Public is_same: function(self, that: PCefBinaryValue):Integer; stdcall;

This item has no description.

Public is_equal: function(self, that: PCefBinaryValue): Integer; stdcall;

This item has no description.

Public copy: function(self: PCefBinaryValue): PCefBinaryValue; stdcall;

This item has no description.

Public get_raw_data: function(self: PCefBinaryValue): Pointer; stdcall;

This item has no description.

Public get_size: function(self: PCefBinaryValue): NativeUInt; stdcall;

This item has no description.

Public get_data: function(self: PCefBinaryValue; buffer: Pointer; buffer_size, data_offset: NativeUInt): NativeUInt; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefValue

Record TCefValue

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefValue = record

Description

Structure that wraps other data value types. Complex types (binary, dictionary and list) will be referenced but not owned by this object. Can be used on any process and thread.

NOTE: This struct is allocated DLL-side.

Implemented by ICefValue.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_values_capi.h">CEF source file: /include/capi/cef_values_capi.h (cef_value_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | is_valid: function(self: PCefValue): Integer; stdcall;
Public | is_owned: function(self: PCefValue): Integer; stdcall;
Public | is_read_only: function(self: PCefValue): Integer; stdcall;
Public | is_same: function(self, that: PCefValue): Integer; stdcall;
Public | is_equal: function(self, that: PCefValue): Integer; stdcall;
Public | copy: function(self: PCefValue): PCefValue; stdcall;
Public | get_type: function(self: PCefValue): TCefValueType; stdcall;
Public | get_bool: function(self: PCefValue): Integer; stdcall;
Public | get_int: function(self: PCefValue): Integer; stdcall;
Public | get_double: function(self: PCefValue): Double; stdcall;
Public | get_string: function(self: PCefValue): PCefStringUserFree; stdcall;
Public | get_binary: function(self: PCefValue): PCefBinaryValue; stdcall;
Public | get_dictionary: function(self: PCefValue): PCefDictionaryValue; stdcall;
Public | get_list: function(self: PCefValue): PCefListValue; stdcall;
Public | set_null: function(self: PCefValue): Integer; stdcall;
Public | set_bool: function(self: PCefValue; value: Integer): Integer; stdcall;
Public | set_int: function(self: PCefValue; value: Integer): Integer; stdcall;
Public | set_double: function(self: PCefValue; value: Double): Integer; stdcall;
Public | set_string: function(self: PCefValue; const value: PCefString): Integer; stdcall;
Public | set_binary: function(self: PCefValue; value: PCefBinaryValue): Integer; stdcall;
Public | set_dictionary: function(self: PCefValue; value: PCefDictionaryValue): Integer; stdcall;
Public | set_list: function(self: PCefValue; value: PCefListValue): Integer; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public is_valid: function(self: PCefValue): Integer; stdcall;

This item has no description.

Public is_owned: function(self: PCefValue): Integer; stdcall;

This item has no description.

Public is_read_only: function(self: PCefValue): Integer; stdcall;

This item has no description.

Public is_same: function(self, that: PCefValue): Integer; stdcall;

This item has no description.

Public is_equal: function(self, that: PCefValue): Integer; stdcall;

This item has no description.

Public copy: function(self: PCefValue): PCefValue; stdcall;

This item has no description.

Public get_type: function(self: PCefValue): TCefValueType; stdcall;

This item has no description.

Public get_bool: function(self: PCefValue): Integer; stdcall;

This item has no description.

Public get_int: function(self: PCefValue): Integer; stdcall;

This item has no description.

Public get_double: function(self: PCefValue): Double; stdcall;

This item has no description.

Public get_string: function(self: PCefValue): PCefStringUserFree; stdcall;

This item has no description.

Public get_binary: function(self: PCefValue): PCefBinaryValue; stdcall;

This item has no description.

Public get_dictionary: function(self: PCefValue): PCefDictionaryValue; stdcall;

This item has no description.

Public get_list: function(self: PCefValue): PCefListValue; stdcall;

This item has no description.

Public set_null: function(self: PCefValue): Integer; stdcall;

This item has no description.

Public set_bool: function(self: PCefValue; value: Integer): Integer; stdcall;

This item has no description.

Public set_int: function(self: PCefValue; value: Integer): Integer; stdcall;

This item has no description.

Public set_double: function(self: PCefValue; value: Double): Integer; stdcall;

This item has no description.

Public set_string: function(self: PCefValue; const value: PCefString): Integer; stdcall;

This item has no description.

Public set_binary: function(self: PCefValue; value: PCefBinaryValue): Integer; stdcall;

This item has no description.

Public set_dictionary: function(self: PCefValue; value: PCefDictionaryValue): Integer; stdcall;

This item has no description.

Public set_list: function(self: PCefValue; value: PCefListValue): Integer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefDictionaryValue

Record TCefDictionaryValue

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefDictionaryValue = record

Description

Structure representing a dictionary value. Can be used on any process and thread.

NOTE: This struct is allocated DLL-side.

Implemented by ICefDictionaryValue.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_values_capi.h">CEF source file: /include/capi/cef_values_capi.h (cef_dictionary_value_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | is_valid: function(self: PCefDictionaryValue): Integer; stdcall;
Public | is_owned: function(self: PCefDictionaryValue): Integer; stdcall;
Public | is_read_only: function(self: PCefDictionaryValue): Integer; stdcall;
Public | is_same: function(self, that: PCefDictionaryValue): Integer; stdcall;
Public | is_equal: function(self, that: PCefDictionaryValue): Integer; stdcall;
Public | copy: function(self: PCefDictionaryValue; exclude_empty_children: Integer): PCefDictionaryValue; stdcall;
Public | get_size: function(self: PCefDictionaryValue): NativeUInt; stdcall;
Public | clear: function(self: PCefDictionaryValue): Integer; stdcall;
Public | has_key: function(self: PCefDictionaryValue; const key: PCefString): Integer; stdcall;
Public | get_keys: function(self: PCefDictionaryValue; const keys: TCefStringList): Integer; stdcall;
Public | remove: function(self: PCefDictionaryValue; const key: PCefString): Integer; stdcall;
Public | get_type: function(self: PCefDictionaryValue; const key: PCefString): TCefValueType; stdcall;
Public | get_value: function(self: PCefDictionaryValue; const key: PCefString): PCefValue; stdcall;
Public | get_bool: function(self: PCefDictionaryValue; const key: PCefString): Integer; stdcall;
Public | get_int: function(self: PCefDictionaryValue; const key: PCefString): Integer; stdcall;
Public | get_double: function(self: PCefDictionaryValue; const key: PCefString): Double; stdcall;
Public | get_string: function(self: PCefDictionaryValue; const key: PCefString): PCefStringUserFree; stdcall;
Public | get_binary: function(self: PCefDictionaryValue; const key: PCefString): PCefBinaryValue; stdcall;
Public | get_dictionary: function(self: PCefDictionaryValue; const key: PCefString): PCefDictionaryValue; stdcall;
Public | get_list: function(self: PCefDictionaryValue; const key: PCefString): PCefListValue; stdcall;
Public | set_value: function(self: PCefDictionaryValue; const key: PCefString; value: PCefValue): Integer; stdcall;
Public | set_null: function(self: PCefDictionaryValue; const key: PCefString): Integer; stdcall;
Public | set_bool: function(self: PCefDictionaryValue; const key: PCefString; value: Integer): Integer; stdcall;
Public | set_int: function(self: PCefDictionaryValue; const key: PCefString; value: Integer): Integer; stdcall;
Public | set_double: function(self: PCefDictionaryValue; const key: PCefString; value: Double): Integer; stdcall;
Public | set_string: function(self: PCefDictionaryValue; const key: PCefString; value: PCefString): Integer; stdcall;
Public | set_binary: function(self: PCefDictionaryValue; const key: PCefString; value: PCefBinaryValue): Integer; stdcall;
Public | set_dictionary: function(self: PCefDictionaryValue; const key: PCefString; value: PCefDictionaryValue): Integer; stdcall;
Public | set_list: function(self: PCefDictionaryValue; const key: PCefString; value: PCefListValue): Integer; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public is_valid: function(self: PCefDictionaryValue): Integer; stdcall;

This item has no description.

Public is_owned: function(self: PCefDictionaryValue): Integer; stdcall;

This item has no description.

Public is_read_only: function(self: PCefDictionaryValue): Integer; stdcall;

This item has no description.

Public is_same: function(self, that: PCefDictionaryValue): Integer; stdcall;

This item has no description.

Public is_equal: function(self, that: PCefDictionaryValue): Integer; stdcall;

This item has no description.

Public copy: function(self: PCefDictionaryValue; exclude_empty_children: Integer): PCefDictionaryValue; stdcall;

This item has no description.

Public get_size: function(self: PCefDictionaryValue): NativeUInt; stdcall;

This item has no description.

Public clear: function(self: PCefDictionaryValue): Integer; stdcall;

This item has no description.

Public has_key: function(self: PCefDictionaryValue; const key: PCefString): Integer; stdcall;

This item has no description.

Public get_keys: function(self: PCefDictionaryValue; const keys: TCefStringList): Integer; stdcall;

This item has no description.

Public remove: function(self: PCefDictionaryValue; const key: PCefString): Integer; stdcall;

This item has no description.

Public get_type: function(self: PCefDictionaryValue; const key: PCefString): TCefValueType; stdcall;

This item has no description.

Public get_value: function(self: PCefDictionaryValue; const key: PCefString): PCefValue; stdcall;

This item has no description.

Public get_bool: function(self: PCefDictionaryValue; const key: PCefString): Integer; stdcall;

This item has no description.

Public get_int: function(self: PCefDictionaryValue; const key: PCefString): Integer; stdcall;

This item has no description.

Public get_double: function(self: PCefDictionaryValue; const key: PCefString): Double; stdcall;

This item has no description.

Public get_string: function(self: PCefDictionaryValue; const key: PCefString): PCefStringUserFree; stdcall;

This item has no description.

Public get_binary: function(self: PCefDictionaryValue; const key: PCefString): PCefBinaryValue; stdcall;

This item has no description.

Public get_dictionary: function(self: PCefDictionaryValue; const key: PCefString): PCefDictionaryValue; stdcall;

This item has no description.

Public get_list: function(self: PCefDictionaryValue; const key: PCefString): PCefListValue; stdcall;

This item has no description.

Public set_value: function(self: PCefDictionaryValue; const key: PCefString; value: PCefValue): Integer; stdcall;

This item has no description.

Public set_null: function(self: PCefDictionaryValue; const key: PCefString): Integer; stdcall;

This item has no description.

Public set_bool: function(self: PCefDictionaryValue; const key: PCefString; value: Integer): Integer; stdcall;

This item has no description.

Public set_int: function(self: PCefDictionaryValue; const key: PCefString; value: Integer): Integer; stdcall;

This item has no description.

Public set_double: function(self: PCefDictionaryValue; const key: PCefString; value: Double): Integer; stdcall;

This item has no description.

Public set_string: function(self: PCefDictionaryValue; const key: PCefString; value: PCefString): Integer; stdcall;

This item has no description.

Public set_binary: function(self: PCefDictionaryValue; const key: PCefString; value: PCefBinaryValue): Integer; stdcall;

This item has no description.

Public set_dictionary: function(self: PCefDictionaryValue; const key: PCefString; value: PCefDictionaryValue): Integer; stdcall;

This item has no description.

Public set_list: function(self: PCefDictionaryValue; const key: PCefString; value: PCefListValue): Integer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefListValue

Record TCefListValue

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefListValue = record

Description

Structure representing a list value. Can be used on any process and thread.

NOTE: This struct is allocated DLL-side.

Implemented by ICefListValue.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_values_capi.h">CEF source file: /include/capi/cef_values_capi.h (cef_list_value_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | is_valid: function(self: PCefListValue): Integer; stdcall;
Public | is_owned: function(self: PCefListValue): Integer; stdcall;
Public | is_read_only: function(self: PCefListValue): Integer; stdcall;
Public | is_same: function(self, that: PCefListValue): Integer; stdcall;
Public | is_equal: function(self, that: PCefListValue): Integer; stdcall;
Public | copy: function(self: PCefListValue): PCefListValue; stdcall;
Public | set_size: function(self: PCefListValue; size: NativeUInt): Integer; stdcall;
Public | get_size: function(self: PCefListValue): NativeUInt; stdcall;
Public | clear: function(self: PCefListValue): Integer; stdcall;
Public | remove: function(self: PCefListValue; index: NativeUInt): Integer; stdcall;
Public | get_type: function(self: PCefListValue; index: NativeUInt): TCefValueType; stdcall;
Public | get_value: function(self: PCefListValue; index: NativeUInt): PCefValue; stdcall;
Public | get_bool: function(self: PCefListValue; index: NativeUInt): Integer; stdcall;
Public | get_int: function(self: PCefListValue; index: NativeUInt): Integer; stdcall;
Public | get_double: function(self: PCefListValue; index: NativeUInt): Double; stdcall;
Public | get_string: function(self: PCefListValue; index: NativeUInt): PCefStringUserFree; stdcall;
Public | get_binary: function(self: PCefListValue; index: NativeUInt): PCefBinaryValue; stdcall;
Public | get_dictionary: function(self: PCefListValue; index: NativeUInt): PCefDictionaryValue; stdcall;
Public | get_list: function(self: PCefListValue; index: NativeUInt): PCefListValue; stdcall;
Public | set_value: function(self: PCefListValue; index: NativeUInt; value: PCefValue): Integer; stdcall;
Public | set_null: function(self: PCefListValue; index: NativeUInt): Integer; stdcall;
Public | set_bool: function(self: PCefListValue; index: NativeUInt; value: Integer): Integer; stdcall;
Public | set_int: function(self: PCefListValue; index: NativeUInt; value: Integer): Integer; stdcall;
Public | set_double: function(self: PCefListValue; index: NativeUInt; value: Double): Integer; stdcall;
Public | set_string: function(self: PCefListValue; index: NativeUInt; value: PCefString): Integer; stdcall;
Public | set_binary: function(self: PCefListValue; index: NativeUInt; value: PCefBinaryValue): Integer; stdcall;
Public | set_dictionary: function(self: PCefListValue; index: NativeUInt; value: PCefDictionaryValue): Integer; stdcall;
Public | set_list: function(self: PCefListValue; index: NativeUInt; value: PCefListValue): Integer; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public is_valid: function(self: PCefListValue): Integer; stdcall;

This item has no description.

Public is_owned: function(self: PCefListValue): Integer; stdcall;

This item has no description.

Public is_read_only: function(self: PCefListValue): Integer; stdcall;

This item has no description.

Public is_same: function(self, that: PCefListValue): Integer; stdcall;

This item has no description.

Public is_equal: function(self, that: PCefListValue): Integer; stdcall;

This item has no description.

Public copy: function(self: PCefListValue): PCefListValue; stdcall;

This item has no description.

Public set_size: function(self: PCefListValue; size: NativeUInt): Integer; stdcall;

This item has no description.

Public get_size: function(self: PCefListValue): NativeUInt; stdcall;

This item has no description.

Public clear: function(self: PCefListValue): Integer; stdcall;

This item has no description.

Public remove: function(self: PCefListValue; index: NativeUInt): Integer; stdcall;

This item has no description.

Public get_type: function(self: PCefListValue; index: NativeUInt): TCefValueType; stdcall;

This item has no description.

Public get_value: function(self: PCefListValue; index: NativeUInt): PCefValue; stdcall;

This item has no description.

Public get_bool: function(self: PCefListValue; index: NativeUInt): Integer; stdcall;

This item has no description.

Public get_int: function(self: PCefListValue; index: NativeUInt): Integer; stdcall;

This item has no description.

Public get_double: function(self: PCefListValue; index: NativeUInt): Double; stdcall;

This item has no description.

Public get_string: function(self: PCefListValue; index: NativeUInt): PCefStringUserFree; stdcall;

This item has no description.

Public get_binary: function(self: PCefListValue; index: NativeUInt): PCefBinaryValue; stdcall;

This item has no description.

Public get_dictionary: function(self: PCefListValue; index: NativeUInt): PCefDictionaryValue; stdcall;

This item has no description.

Public get_list: function(self: PCefListValue; index: NativeUInt): PCefListValue; stdcall;

This item has no description.

Public set_value: function(self: PCefListValue; index: NativeUInt; value: PCefValue): Integer; stdcall;

This item has no description.

Public set_null: function(self: PCefListValue; index: NativeUInt): Integer; stdcall;

This item has no description.

Public set_bool: function(self: PCefListValue; index: NativeUInt; value: Integer): Integer; stdcall;

This item has no description.

Public set_int: function(self: PCefListValue; index: NativeUInt; value: Integer): Integer; stdcall;

This item has no description.

Public set_double: function(self: PCefListValue; index: NativeUInt; value: Double): Integer; stdcall;

This item has no description.

Public set_string: function(self: PCefListValue; index: NativeUInt; value: PCefString): Integer; stdcall;

This item has no description.

Public set_binary: function(self: PCefListValue; index: NativeUInt; value: PCefBinaryValue): Integer; stdcall;

This item has no description.

Public set_dictionary: function(self: PCefListValue; index: NativeUInt; value: PCefDictionaryValue): Integer; stdcall;

This item has no description.

Public set_list: function(self: PCefListValue; index: NativeUInt; value: PCefListValue): Integer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefStringVisitor

Record TCefStringVisitor

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefStringVisitor = record

Description

Implement this structure to receive string values asynchronously.

NOTE: This struct is allocated client-side.

Implemented by ICefStringVisitor.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_string_visitor_capi.h">CEF source file: /include/capi/cef_string_visitor_capi.h (cef_string_visitor_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | visit: procedure(self: PCefStringVisitor; const str: PCefString); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public visit: procedure(self: PCefStringVisitor; const str: PCefString); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefPostDataElement

Record TCefPostDataElement

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefPostDataElement = record

Description

Structure used to represent a single element in the request post data. The functions of this structure may be called on any thread.

NOTE: This struct is allocated DLL-side.

Implemented by ICefPostDataElement.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_request_capi.h">CEF source file: /include/capi/cef_request_capi.h (cef_post_data_element_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | is_read_only: function(self: PCefPostDataElement): Integer; stdcall;
Public | set_to_empty: procedure(self: PCefPostDataElement); stdcall;
Public | set_to_file: procedure(self: PCefPostDataElement; const fileName: PCefString); stdcall;
Public | set_to_bytes: procedure(self: PCefPostDataElement; size: NativeUInt; const bytes: Pointer); stdcall;
Public | get_type: function(self: PCefPostDataElement): TCefPostDataElementType; stdcall;
Public | get_file: function(self: PCefPostDataElement): PCefStringUserFree; stdcall;
Public | get_bytes_count: function(self: PCefPostDataElement): NativeUInt; stdcall;
Public | get_bytes: function(self: PCefPostDataElement; size: NativeUInt; bytes: Pointer): NativeUInt; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public is_read_only: function(self: PCefPostDataElement): Integer; stdcall;

This item has no description.

Public set_to_empty: procedure(self: PCefPostDataElement); stdcall;

This item has no description.

Public set_to_file: procedure(self: PCefPostDataElement; const fileName: PCefString); stdcall;

This item has no description.

Public set_to_bytes: procedure(self: PCefPostDataElement; size: NativeUInt; const bytes: Pointer); stdcall;

This item has no description.

Public get_type: function(self: PCefPostDataElement): TCefPostDataElementType; stdcall;

This item has no description.

Public get_file: function(self: PCefPostDataElement): PCefStringUserFree; stdcall;

This item has no description.

Public get_bytes_count: function(self: PCefPostDataElement): NativeUInt; stdcall;

This item has no description.

Public get_bytes: function(self: PCefPostDataElement; size: NativeUInt; bytes: Pointer): NativeUInt; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefPostData

Record TCefPostData

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefPostData = record

Description

Structure used to represent post data for a web request. The functions of this structure may be called on any thread.

NOTE: This struct is allocated DLL-side.

Implemented by ICefPostData.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_request_capi.h">CEF source file: /include/capi/cef_request_capi.h (cef_post_data_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | is_read_only: function(self: PCefPostData): Integer; stdcall;
Public | has_excluded_elements: function(self: PCefPostData): Integer; stdcall;
Public | get_element_count: function(self: PCefPostData): NativeUInt; stdcall;
Public | get_elements: procedure(self: PCefPostData; var elementsCount: NativeUInt; var elements: PCefPostDataElement); stdcall;
Public | remove_element: function(self: PCefPostData; element: PCefPostDataElement): Integer; stdcall;
Public | add_element: function(self: PCefPostData; element: PCefPostDataElement): Integer; stdcall;
Public | remove_elements: procedure(self: PCefPostData); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public is_read_only: function(self: PCefPostData): Integer; stdcall;

This item has no description.

Public has_excluded_elements: function(self: PCefPostData): Integer; stdcall;

This item has no description.

Public get_element_count: function(self: PCefPostData): NativeUInt; stdcall;

This item has no description.

Public get_elements: procedure(self: PCefPostData; var elementsCount: NativeUInt; var elements: PCefPostDataElement); stdcall;

This item has no description.

Public remove_element: function(self: PCefPostData; element: PCefPostDataElement): Integer; stdcall;

This item has no description.

Public add_element: function(self: PCefPostData; element: PCefPostDataElement): Integer; stdcall;

This item has no description.

Public remove_elements: procedure(self: PCefPostData); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefRequest

Record TCefRequest

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefRequest = record

Description

Structure used to represent a web request. The functions of this structure may be called on any thread.

NOTE: This struct is allocated DLL-side.

Implemented by ICefRequest.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_request_capi.h">CEF source file: /include/capi/cef_request_capi.h (cef_request_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | is_read_only: function(self: PCefRequest): Integer; stdcall;
Public | get_url: function(self: PCefRequest): PCefStringUserFree; stdcall;
Public | set_url: procedure(self: PCefRequest; const url: PCefString); stdcall;
Public | get_method: function(self: PCefRequest): PCefStringUserFree; stdcall;
Public | set_method: procedure(self: PCefRequest; const method: PCefString); stdcall;
Public | set_referrer: procedure(self: PCefRequest; const referrer_url: PCefString; policy: TCefReferrerPolicy); stdcall;
Public | get_referrer_url: function(self: PCefRequest): PCefStringUserFree; stdcall;
Public | get_referrer_policy: function(self: PCefRequest): TCefReferrerPolicy; stdcall;
Public | get_post_data: function(self: PCefRequest): PCefPostData; stdcall;
Public | set_post_data: procedure(self: PCefRequest; postData: PCefPostData); stdcall;
Public | get_header_map: procedure(self: PCefRequest; headerMap: TCefStringMultimap); stdcall;
Public | set_header_map: procedure(self: PCefRequest; headerMap: TCefStringMultimap); stdcall;
Public | get_header_by_name: function(self: PCefRequest; const name: PCefString): PCefStringUserFree; stdcall;
Public | set_header_by_name: procedure(self: PCefRequest; const name, value: PCefString; overwrite: integer); stdcall;
Public | set_: procedure(self: PCefRequest; const url, method: PCefString; postData: PCefPostData; headerMap: TCefStringMultimap); stdcall;
Public | get_flags: function(self: PCefRequest): Integer; stdcall;
Public | set_flags: procedure(self: PCefRequest; flags: Integer); stdcall;
Public | get_first_party_for_cookies: function(self: PCefRequest): PCefStringUserFree; stdcall;
Public | set_first_party_for_cookies: procedure(self: PCefRequest; const url: PCefString); stdcall;
Public | get_resource_type: function(self: PCefRequest): TCefResourceType; stdcall;
Public | get_transition_type: function(self: PCefRequest): TCefTransitionType; stdcall;
Public | get_identifier: function(self: PCefRequest): UInt64; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public is_read_only: function(self: PCefRequest): Integer; stdcall;

This item has no description.

Public get_url: function(self: PCefRequest): PCefStringUserFree; stdcall;

This item has no description.

Public set_url: procedure(self: PCefRequest; const url: PCefString); stdcall;

This item has no description.

Public get_method: function(self: PCefRequest): PCefStringUserFree; stdcall;

This item has no description.

Public set_method: procedure(self: PCefRequest; const method: PCefString); stdcall;

This item has no description.

Public set_referrer: procedure(self: PCefRequest; const referrer_url: PCefString; policy: TCefReferrerPolicy); stdcall;

This item has no description.

Public get_referrer_url: function(self: PCefRequest): PCefStringUserFree; stdcall;

This item has no description.

Public get_referrer_policy: function(self: PCefRequest): TCefReferrerPolicy; stdcall;

This item has no description.

Public get_post_data: function(self: PCefRequest): PCefPostData; stdcall;

This item has no description.

Public set_post_data: procedure(self: PCefRequest; postData: PCefPostData); stdcall;

This item has no description.

Public get_header_map: procedure(self: PCefRequest; headerMap: TCefStringMultimap); stdcall;

This item has no description.

Public set_header_map: procedure(self: PCefRequest; headerMap: TCefStringMultimap); stdcall;

This item has no description.

Public get_header_by_name: function(self: PCefRequest; const name: PCefString): PCefStringUserFree; stdcall;

This item has no description.

Public set_header_by_name: procedure(self: PCefRequest; const name, value: PCefString; overwrite: integer); stdcall;

This item has no description.

Public set_: procedure(self: PCefRequest; const url, method: PCefString; postData: PCefPostData; headerMap: TCefStringMultimap); stdcall;

This item has no description.

Public get_flags: function(self: PCefRequest): Integer; stdcall;

This item has no description.

Public set_flags: procedure(self: PCefRequest; flags: Integer); stdcall;

This item has no description.

Public get_first_party_for_cookies: function(self: PCefRequest): PCefStringUserFree; stdcall;

This item has no description.

Public set_first_party_for_cookies: procedure(self: PCefRequest; const url: PCefString); stdcall;

This item has no description.

Public get_resource_type: function(self: PCefRequest): TCefResourceType; stdcall;

This item has no description.

Public get_transition_type: function(self: PCefRequest): TCefTransitionType; stdcall;

This item has no description.

Public get_identifier: function(self: PCefRequest): UInt64; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefTask

Record TCefTask

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefTask = record

Description

Implement this structure for asynchronous task execution. If the task is posted successfully and if the associated message loop is still running then the execute() function will be called on the target thread. If the task fails to post then the task object may be destroyed on the source thread instead of the target thread. For this reason be cautious when performing work in the task object destructor.

NOTE: This struct is allocated client-side.

Implemented by ICefTask.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_task_capi.h">CEF source file: /include/capi/cef_task_capi.h (cef_task_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | execute: procedure(self: PCefTask); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public execute: procedure(self: PCefTask); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefTaskManager

Record TCefTaskManager

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefTaskManager = record

Description

Structure that facilitates managing the browser-related tasks. The functions of this structure may only be called on the UI thread.

NOTE: This struct is allocated DLL-side.

Implemented by ICefTaskManager.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_task_manager_capi.h">CEF source file: /include/capi/cef_task_manager_capi.h (cef_task_manager_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | get_tasks_count: function(self: PCefTaskManager): NativeUInt; stdcall;
Public | get_task_ids_list: function(self: PCefTaskManager; task_idsCount: PNativeUInt; task_ids: PInt64): Integer; stdcall;
Public | get_task_info: function(self: PCefTaskManager; task_id: int64; info: PCefTaskInfo): Integer; stdcall;
Public | kill_task: function(self: PCefTaskManager; task_id: int64): Integer; stdcall;
Public | get_task_id_for_browser_id: function(self: PCefTaskManager; browser_id: Integer): int64; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public get_tasks_count: function(self: PCefTaskManager): NativeUInt; stdcall;

This item has no description.

Public get_task_ids_list: function(self: PCefTaskManager; task_idsCount: PNativeUInt; task_ids: PInt64): Integer; stdcall;

This item has no description.

Public get_task_info: function(self: PCefTaskManager; task_id: int64; info: PCefTaskInfo): Integer; stdcall;

This item has no description.

Public kill_task: function(self: PCefTaskManager; task_id: int64): Integer; stdcall;

This item has no description.

Public get_task_id_for_browser_id: function(self: PCefTaskManager; browser_id: Integer): int64; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefDomVisitor

Record TCefDomVisitor

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefDomVisitor = record

Description

Structure to implement for visiting the DOM. The functions of this structure will be called on the render process main thread.

NOTE: This struct is allocated client-side.

Implemented by ICefDomVisitor.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_dom_capi.h">CEF source file: /include/capi/cef_dom_capi.h (cef_domvisitor_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | visit: procedure(self: PCefDomVisitor; document: PCefDomDocument); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public visit: procedure(self: PCefDomVisitor; document: PCefDomDocument); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefMenuModel

Record TCefMenuModel

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefMenuModel = record

Description

Supports creation and modification of menus. See TCefMenuId (cef_menu_id_t) for the command ids that have default implementations. All user-defined command ids should be between MENU_ID_USER_FIRST and MENU_ID_USER_LAST. The functions of this structure can only be accessed on the browser process the UI thread.

NOTE: This struct is allocated DLL-side.

Implemented by ICefMenuModel.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_menu_model_capi.h">CEF source file: /include/capi/cef_menu_model_capi.h (cef_menu_model_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | is_sub_menu: function(self: PCefMenuModel): Integer; stdcall;
Public | clear: function(self: PCefMenuModel): Integer; stdcall;
Public | get_count: function(self: PCefMenuModel): NativeUInt; stdcall;
Public | add_separator: function(self: PCefMenuModel): Integer; stdcall;
Public | add_item: function(self: PCefMenuModel; command_id: Integer; const text: PCefString): Integer; stdcall;
Public | add_check_item: function(self: PCefMenuModel; command_id: Integer; const text: PCefString): Integer; stdcall;
Public | add_radio_item: function(self: PCefMenuModel; command_id: Integer; const text: PCefString; group_id: Integer): Integer; stdcall;
Public | add_sub_menu: function(self: PCefMenuModel; command_id: Integer; const text: PCefString): PCefMenuModel; stdcall;
Public | insert_separator_at: function(self: PCefMenuModel; index: NativeUInt): Integer; stdcall;
Public | insert_item_at: function(self: PCefMenuModel; index: NativeUInt; command_id: Integer; const text: PCefString): Integer; stdcall;
Public | insert_check_item_at: function(self: PCefMenuModel; index: NativeUInt; command_id: Integer; const text: PCefString): Integer; stdcall;
Public | insert_radio_item_at: function(self: PCefMenuModel; index: NativeUInt; command_id: Integer; const text: PCefString; group_id: Integer): Integer; stdcall;
Public | insert_sub_menu_at: function(self: PCefMenuModel; index: NativeUInt; command_id: Integer; const text: PCefString): PCefMenuModel; stdcall;
Public | remove: function(self: PCefMenuModel; command_id: Integer): Integer; stdcall;
Public | remove_at: function(self: PCefMenuModel; index: NativeUInt): Integer; stdcall;
Public | get_index_of: function(self: PCefMenuModel; command_id: Integer): Integer; stdcall;
Public | get_command_id_at: function(self: PCefMenuModel; index: NativeUInt): Integer; stdcall;
Public | set_command_id_at: function(self: PCefMenuModel; index: NativeUInt; command_id: Integer): Integer; stdcall;
Public | get_label: function(self: PCefMenuModel; command_id: Integer): PCefStringUserFree; stdcall;
Public | get_label_at: function(self: PCefMenuModel; index: NativeUInt): PCefStringUserFree; stdcall;
Public | set_label: function(self: PCefMenuModel; command_id: Integer; const text: PCefString): Integer; stdcall;
Public | set_label_at: function(self: PCefMenuModel; index: NativeUInt; const text: PCefString): Integer; stdcall;
Public | get_type: function(self: PCefMenuModel; command_id: Integer): TCefMenuItemType; stdcall;
Public | get_type_at: function(self: PCefMenuModel; index: NativeUInt): TCefMenuItemType; stdcall;
Public | get_group_id: function(self: PCefMenuModel; command_id: Integer): Integer; stdcall;
Public | get_group_id_at: function(self: PCefMenuModel; index: NativeUInt): Integer; stdcall;
Public | set_group_id: function(self: PCefMenuModel; command_id, group_id: Integer): Integer; stdcall;
Public | set_group_id_at: function(self: PCefMenuModel; index: NativeUInt; group_id: Integer): Integer; stdcall;
Public | get_sub_menu: function(self: PCefMenuModel; command_id: Integer): PCefMenuModel; stdcall;
Public | get_sub_menu_at: function(self: PCefMenuModel; index: NativeUInt): PCefMenuModel; stdcall;
Public | is_visible: function(self: PCefMenuModel; command_id: Integer): Integer; stdcall;
Public | is_visible_at: function(self: PCefMenuModel; index: NativeUInt): Integer; stdcall;
Public | set_visible: function(self: PCefMenuModel; command_id, visible: Integer): Integer; stdcall;
Public | set_visible_at: function(self: PCefMenuModel; index: NativeUInt; visible: Integer): Integer; stdcall;
Public | is_enabled: function(self: PCefMenuModel; command_id: Integer): Integer; stdcall;
Public | is_enabled_at: function(self: PCefMenuModel; index: NativeUInt): Integer; stdcall;
Public | set_enabled: function(self: PCefMenuModel; command_id, enabled: Integer): Integer; stdcall;
Public | set_enabled_at: function(self: PCefMenuModel; index: NativeUInt; enabled: Integer): Integer; stdcall;
Public | is_checked: function(self: PCefMenuModel; command_id: Integer): Integer; stdcall;
Public | is_checked_at: function(self: PCefMenuModel; index: NativeUInt): Integer; stdcall;
Public | set_checked: function(self: PCefMenuModel; command_id, checked: Integer): Integer; stdcall;
Public | set_checked_at: function(self: PCefMenuModel; index: NativeUInt; checked: Integer): Integer; stdcall;
Public | has_accelerator: function(self: PCefMenuModel; command_id: Integer): Integer; stdcall;
Public | has_accelerator_at: function(self: PCefMenuModel; index: NativeUInt): Integer; stdcall;
Public | set_accelerator: function(self: PCefMenuModel; command_id, key_code, shift_pressed, ctrl_pressed, alt_pressed: Integer): Integer; stdcall;
Public | set_accelerator_at: function(self: PCefMenuModel; index: NativeUInt; key_code, shift_pressed, ctrl_pressed, alt_pressed: Integer): Integer; stdcall;
Public | remove_accelerator: function(self: PCefMenuModel; command_id: Integer): Integer; stdcall;
Public | remove_accelerator_at: function(self: PCefMenuModel; index: NativeUInt): Integer; stdcall;
Public | get_accelerator: function(self: PCefMenuModel; command_id: Integer; key_code, shift_pressed, ctrl_pressed, alt_pressed: PInteger): Integer; stdcall;
Public | get_accelerator_at: function(self: PCefMenuModel; index: NativeUInt; key_code, shift_pressed, ctrl_pressed, alt_pressed: PInteger): Integer; stdcall;
Public | set_color: function(self: PCefMenuModel; command_id: Integer; color_type: TCefMenuColorType; color: TCefColor): Integer; stdcall;
Public | set_color_at: function(self: PCefMenuModel; index: Integer; color_type: TCefMenuColorType; color: TCefColor): Integer; stdcall;
Public | get_color: function(self: PCefMenuModel; command_id: Integer; color_type: TCefMenuColorType; color: PCefColor): Integer; stdcall;
Public | get_color_at: function(self: PCefMenuModel; index: Integer; color_type: TCefMenuColorType; color: PCefColor): Integer; stdcall;
Public | set_font_list: function(self: PCefMenuModel; command_id: Integer; const font_list: PCefString): Integer; stdcall;
Public | set_font_list_at: function(self: PCefMenuModel; index: Integer; const font_list: PCefString): Integer; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public is_sub_menu: function(self: PCefMenuModel): Integer; stdcall;

This item has no description.

Public clear: function(self: PCefMenuModel): Integer; stdcall;

This item has no description.

Public get_count: function(self: PCefMenuModel): NativeUInt; stdcall;

This item has no description.

Public add_separator: function(self: PCefMenuModel): Integer; stdcall;

This item has no description.

Public add_item: function(self: PCefMenuModel; command_id: Integer; const text: PCefString): Integer; stdcall;

This item has no description.

Public add_check_item: function(self: PCefMenuModel; command_id: Integer; const text: PCefString): Integer; stdcall;

This item has no description.

Public add_radio_item: function(self: PCefMenuModel; command_id: Integer; const text: PCefString; group_id: Integer): Integer; stdcall;

This item has no description.

Public add_sub_menu: function(self: PCefMenuModel; command_id: Integer; const text: PCefString): PCefMenuModel; stdcall;

This item has no description.

Public insert_separator_at: function(self: PCefMenuModel; index: NativeUInt): Integer; stdcall;

This item has no description.

Public insert_item_at: function(self: PCefMenuModel; index: NativeUInt; command_id: Integer; const text: PCefString): Integer; stdcall;

This item has no description.

Public insert_check_item_at: function(self: PCefMenuModel; index: NativeUInt; command_id: Integer; const text: PCefString): Integer; stdcall;

This item has no description.

Public insert_radio_item_at: function(self: PCefMenuModel; index: NativeUInt; command_id: Integer; const text: PCefString; group_id: Integer): Integer; stdcall;

This item has no description.

Public insert_sub_menu_at: function(self: PCefMenuModel; index: NativeUInt; command_id: Integer; const text: PCefString): PCefMenuModel; stdcall;

This item has no description.

Public remove: function(self: PCefMenuModel; command_id: Integer): Integer; stdcall;

This item has no description.

Public remove_at: function(self: PCefMenuModel; index: NativeUInt): Integer; stdcall;

This item has no description.

Public get_index_of: function(self: PCefMenuModel; command_id: Integer): Integer; stdcall;

This item has no description.

Public get_command_id_at: function(self: PCefMenuModel; index: NativeUInt): Integer; stdcall;

This item has no description.

Public set_command_id_at: function(self: PCefMenuModel; index: NativeUInt; command_id: Integer): Integer; stdcall;

This item has no description.

Public get_label: function(self: PCefMenuModel; command_id: Integer): PCefStringUserFree; stdcall;

This item has no description.

Public get_label_at: function(self: PCefMenuModel; index: NativeUInt): PCefStringUserFree; stdcall;

This item has no description.

Public set_label: function(self: PCefMenuModel; command_id: Integer; const text: PCefString): Integer; stdcall;

This item has no description.

Public set_label_at: function(self: PCefMenuModel; index: NativeUInt; const text: PCefString): Integer; stdcall;

This item has no description.

Public get_type: function(self: PCefMenuModel; command_id: Integer): TCefMenuItemType; stdcall;

This item has no description.

Public get_type_at: function(self: PCefMenuModel; index: NativeUInt): TCefMenuItemType; stdcall;

This item has no description.

Public get_group_id: function(self: PCefMenuModel; command_id: Integer): Integer; stdcall;

This item has no description.

Public get_group_id_at: function(self: PCefMenuModel; index: NativeUInt): Integer; stdcall;

This item has no description.

Public set_group_id: function(self: PCefMenuModel; command_id, group_id: Integer): Integer; stdcall;

This item has no description.

Public set_group_id_at: function(self: PCefMenuModel; index: NativeUInt; group_id: Integer): Integer; stdcall;

This item has no description.

Public get_sub_menu: function(self: PCefMenuModel; command_id: Integer): PCefMenuModel; stdcall;

This item has no description.

Public get_sub_menu_at: function(self: PCefMenuModel; index: NativeUInt): PCefMenuModel; stdcall;

This item has no description.

Public is_visible: function(self: PCefMenuModel; command_id: Integer): Integer; stdcall;

This item has no description.

Public is_visible_at: function(self: PCefMenuModel; index: NativeUInt): Integer; stdcall;

This item has no description.

Public set_visible: function(self: PCefMenuModel; command_id, visible: Integer): Integer; stdcall;

This item has no description.

Public set_visible_at: function(self: PCefMenuModel; index: NativeUInt; visible: Integer): Integer; stdcall;

This item has no description.

Public is_enabled: function(self: PCefMenuModel; command_id: Integer): Integer; stdcall;

This item has no description.

Public is_enabled_at: function(self: PCefMenuModel; index: NativeUInt): Integer; stdcall;

This item has no description.

Public set_enabled: function(self: PCefMenuModel; command_id, enabled: Integer): Integer; stdcall;

This item has no description.

Public set_enabled_at: function(self: PCefMenuModel; index: NativeUInt; enabled: Integer): Integer; stdcall;

This item has no description.

Public is_checked: function(self: PCefMenuModel; command_id: Integer): Integer; stdcall;

This item has no description.

Public is_checked_at: function(self: PCefMenuModel; index: NativeUInt): Integer; stdcall;

This item has no description.

Public set_checked: function(self: PCefMenuModel; command_id, checked: Integer): Integer; stdcall;

This item has no description.

Public set_checked_at: function(self: PCefMenuModel; index: NativeUInt; checked: Integer): Integer; stdcall;

This item has no description.

Public has_accelerator: function(self: PCefMenuModel; command_id: Integer): Integer; stdcall;

This item has no description.

Public has_accelerator_at: function(self: PCefMenuModel; index: NativeUInt): Integer; stdcall;

This item has no description.

Public set_accelerator: function(self: PCefMenuModel; command_id, key_code, shift_pressed, ctrl_pressed, alt_pressed: Integer): Integer; stdcall;

This item has no description.

Public set_accelerator_at: function(self: PCefMenuModel; index: NativeUInt; key_code, shift_pressed, ctrl_pressed, alt_pressed: Integer): Integer; stdcall;

This item has no description.

Public remove_accelerator: function(self: PCefMenuModel; command_id: Integer): Integer; stdcall;

This item has no description.

Public remove_accelerator_at: function(self: PCefMenuModel; index: NativeUInt): Integer; stdcall;

This item has no description.

Public get_accelerator: function(self: PCefMenuModel; command_id: Integer; key_code, shift_pressed, ctrl_pressed, alt_pressed: PInteger): Integer; stdcall;

This item has no description.

Public get_accelerator_at: function(self: PCefMenuModel; index: NativeUInt; key_code, shift_pressed, ctrl_pressed, alt_pressed: PInteger): Integer; stdcall;

This item has no description.

Public set_color: function(self: PCefMenuModel; command_id: Integer; color_type: TCefMenuColorType; color: TCefColor): Integer; stdcall;

This item has no description.

Public set_color_at: function(self: PCefMenuModel; index: Integer; color_type: TCefMenuColorType; color: TCefColor): Integer; stdcall;

This item has no description.

Public get_color: function(self: PCefMenuModel; command_id: Integer; color_type: TCefMenuColorType; color: PCefColor): Integer; stdcall;

This item has no description.

Public get_color_at: function(self: PCefMenuModel; index: Integer; color_type: TCefMenuColorType; color: PCefColor): Integer; stdcall;

This item has no description.

Public set_font_list: function(self: PCefMenuModel; command_id: Integer; const font_list: PCefString): Integer; stdcall;

This item has no description.

Public set_font_list_at: function(self: PCefMenuModel; index: Integer; const font_list: PCefString): Integer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefContextMenuParams

Record TCefContextMenuParams

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefContextMenuParams = record

Description

Provides information about the context menu state. The functions of this structure can only be accessed on browser process the UI thread.

NOTE: This struct is allocated DLL-side.

Implemented by ICefContextMenuParams.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_context_menu_handler_capi.h">CEF source file: /include/capi/cef_context_menu_handler_capi.h (cef_context_menu_params_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | get_xcoord: function(self: PCefContextMenuParams): Integer; stdcall;
Public | get_ycoord: function(self: PCefContextMenuParams): Integer; stdcall;
Public | get_type_flags: function(self: PCefContextMenuParams): TCefContextMenuTypeFlags; stdcall;
Public | get_link_url: function(self: PCefContextMenuParams): PCefStringUserFree; stdcall;
Public | get_unfiltered_link_url: function(self: PCefContextMenuParams): PCefStringUserFree; stdcall;
Public | get_source_url: function(self: PCefContextMenuParams): PCefStringUserFree; stdcall;
Public | has_image_contents: function(self: PCefContextMenuParams): Integer; stdcall;
Public | get_title_text: function(self: PCefContextMenuParams): PCefStringUserFree; stdcall;
Public | get_page_url: function(self: PCefContextMenuParams): PCefStringUserFree; stdcall;
Public | get_frame_url: function(self: PCefContextMenuParams): PCefStringUserFree; stdcall;
Public | get_frame_charset: function(self: PCefContextMenuParams): PCefStringUserFree; stdcall;
Public | get_media_type: function(self: PCefContextMenuParams): TCefContextMenuMediaType; stdcall;
Public | get_media_state_flags: function(self: PCefContextMenuParams): TCefContextMenuMediaStateFlags; stdcall;
Public | get_selection_text: function(self: PCefContextMenuParams): PCefStringUserFree; stdcall;
Public | get_misspelled_word: function(self: PCefContextMenuParams): PCefStringUserFree; stdcall;
Public | get_dictionary_suggestions: function(self: PCefContextMenuParams; suggestions: TCefStringList): Integer; stdcall;
Public | is_editable: function(self: PCefContextMenuParams): Integer; stdcall;
Public | is_spell_check_enabled: function(self: PCefContextMenuParams): Integer; stdcall;
Public | get_edit_state_flags: function(self: PCefContextMenuParams): TCefContextMenuEditStateFlags; stdcall;
Public | is_custom_menu: function(self: PCefContextMenuParams): Integer; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public get_xcoord: function(self: PCefContextMenuParams): Integer; stdcall;

This item has no description.

Public get_ycoord: function(self: PCefContextMenuParams): Integer; stdcall;

This item has no description.

Public get_type_flags: function(self: PCefContextMenuParams): TCefContextMenuTypeFlags; stdcall;

This item has no description.

Public get_link_url: function(self: PCefContextMenuParams): PCefStringUserFree; stdcall;

This item has no description.

Public get_unfiltered_link_url: function(self: PCefContextMenuParams): PCefStringUserFree; stdcall;

This item has no description.

Public get_source_url: function(self: PCefContextMenuParams): PCefStringUserFree; stdcall;

This item has no description.

Public has_image_contents: function(self: PCefContextMenuParams): Integer; stdcall;

This item has no description.

Public get_title_text: function(self: PCefContextMenuParams): PCefStringUserFree; stdcall;

This item has no description.

Public get_page_url: function(self: PCefContextMenuParams): PCefStringUserFree; stdcall;

This item has no description.

Public get_frame_url: function(self: PCefContextMenuParams): PCefStringUserFree; stdcall;

This item has no description.

Public get_frame_charset: function(self: PCefContextMenuParams): PCefStringUserFree; stdcall;

This item has no description.

Public get_media_type: function(self: PCefContextMenuParams): TCefContextMenuMediaType; stdcall;

This item has no description.

Public get_media_state_flags: function(self: PCefContextMenuParams): TCefContextMenuMediaStateFlags; stdcall;

This item has no description.

Public get_selection_text: function(self: PCefContextMenuParams): PCefStringUserFree; stdcall;

This item has no description.

Public get_misspelled_word: function(self: PCefContextMenuParams): PCefStringUserFree; stdcall;

This item has no description.

Public get_dictionary_suggestions: function(self: PCefContextMenuParams; suggestions: TCefStringList): Integer; stdcall;

This item has no description.

Public is_editable: function(self: PCefContextMenuParams): Integer; stdcall;

This item has no description.

Public is_spell_check_enabled: function(self: PCefContextMenuParams): Integer; stdcall;

This item has no description.

Public get_edit_state_flags: function(self: PCefContextMenuParams): TCefContextMenuEditStateFlags; stdcall;

This item has no description.

Public is_custom_menu: function(self: PCefContextMenuParams): Integer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefDownloadItem

Record TCefDownloadItem

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefDownloadItem = record

Description

Structure used to represent a download item.

NOTE: This struct is allocated DLL-side.

Implemented by ICefDownloadItem.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_download_item_capi.h">CEF source file: /include/capi/cef_download_item_capi.h (cef_download_item_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | is_valid: function(self: PCefDownloadItem): Integer; stdcall;
Public | is_in_progress: function(self: PCefDownloadItem): Integer; stdcall;
Public | is_complete: function(self: PCefDownloadItem): Integer; stdcall;
Public | is_canceled: function(self: PCefDownloadItem): Integer; stdcall;
Public | is_interrupted: function(self: PCefDownloadItem): Integer; stdcall;
Public | get_interrupt_reason: function(self: PCefDownloadItem): TCefDownloadInterruptReason; stdcall;
Public | get_current_speed: function(self: PCefDownloadItem): Int64; stdcall;
Public | get_percent_complete: function(self: PCefDownloadItem): Integer; stdcall;
Public | get_total_bytes: function(self: PCefDownloadItem): Int64; stdcall;
Public | get_received_bytes: function(self: PCefDownloadItem): Int64; stdcall;
Public | get_start_time: function(self: PCefDownloadItem): TCefBaseTime; stdcall;
Public | get_end_time: function(self: PCefDownloadItem): TCefBaseTime; stdcall;
Public | get_full_path: function(self: PCefDownloadItem): PCefStringUserFree; stdcall;
Public | get_id: function(self: PCefDownloadItem): Cardinal; stdcall;
Public | get_url: function(self: PCefDownloadItem): PCefStringUserFree; stdcall;
Public | get_original_url: function(self: PCefDownloadItem): PCefStringUserFree; stdcall;
Public | get_suggested_file_name: function(self: PCefDownloadItem): PCefStringUserFree; stdcall;
Public | get_content_disposition: function(self: PCefDownloadItem): PCefStringUserFree; stdcall;
Public | get_mime_type: function(self: PCefDownloadItem): PCefStringUserFree; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public is_valid: function(self: PCefDownloadItem): Integer; stdcall;

This item has no description.

Public is_in_progress: function(self: PCefDownloadItem): Integer; stdcall;

This item has no description.

Public is_complete: function(self: PCefDownloadItem): Integer; stdcall;

This item has no description.

Public is_canceled: function(self: PCefDownloadItem): Integer; stdcall;

This item has no description.

Public is_interrupted: function(self: PCefDownloadItem): Integer; stdcall;

This item has no description.

Public get_interrupt_reason: function(self: PCefDownloadItem): TCefDownloadInterruptReason; stdcall;

This item has no description.

Public get_current_speed: function(self: PCefDownloadItem): Int64; stdcall;

This item has no description.

Public get_percent_complete: function(self: PCefDownloadItem): Integer; stdcall;

This item has no description.

Public get_total_bytes: function(self: PCefDownloadItem): Int64; stdcall;

This item has no description.

Public get_received_bytes: function(self: PCefDownloadItem): Int64; stdcall;

This item has no description.

Public get_start_time: function(self: PCefDownloadItem): TCefBaseTime; stdcall;

This item has no description.

Public get_end_time: function(self: PCefDownloadItem): TCefBaseTime; stdcall;

This item has no description.

Public get_full_path: function(self: PCefDownloadItem): PCefStringUserFree; stdcall;

This item has no description.

Public get_id: function(self: PCefDownloadItem): Cardinal; stdcall;

This item has no description.

Public get_url: function(self: PCefDownloadItem): PCefStringUserFree; stdcall;

This item has no description.

Public get_original_url: function(self: PCefDownloadItem): PCefStringUserFree; stdcall;

This item has no description.

Public get_suggested_file_name: function(self: PCefDownloadItem): PCefStringUserFree; stdcall;

This item has no description.

Public get_content_disposition: function(self: PCefDownloadItem): PCefStringUserFree; stdcall;

This item has no description.

Public get_mime_type: function(self: PCefDownloadItem): PCefStringUserFree; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefBeforeDownloadCallback

Record TCefBeforeDownloadCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefBeforeDownloadCallback = record

Description

Callback structure used to asynchronously continue a download.

NOTE: This struct is allocated DLL-side.

Implemented by ICefBeforeDownloadCallback.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_download_handler_capi.h">CEF source file: /include/capi/cef_download_handler_capi.h (cef_before_download_callback_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | cont: procedure(self: PCefBeforeDownloadCallback; const download_path: PCefString; show_dialog: Integer); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public cont: procedure(self: PCefBeforeDownloadCallback; const download_path: PCefString; show_dialog: Integer); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefDownloadItemCallback

Record TCefDownloadItemCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefDownloadItemCallback = record

Description

Callback structure used to asynchronously cancel a download.

NOTE: This struct is allocated DLL-side.

Implemented by ICefDownloadItemCallback.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_download_handler_capi.h">CEF source file: /include/capi/cef_download_handler_capi.h (cef_download_item_callback_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | cancel: procedure(self: PCefDownloadItemCallback); stdcall;
Public | pause: procedure(self: PCefDownloadItemCallback); stdcall;
Public | resume: procedure(self: PCefDownloadItemCallback); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public cancel: procedure(self: PCefDownloadItemCallback); stdcall;

This item has no description.

Public pause: procedure(self: PCefDownloadItemCallback); stdcall;

This item has no description.

Public resume: procedure(self: PCefDownloadItemCallback); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefDomNode

Record TCefDomNode

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefDomNode = record

Description

Structure used to represent a DOM node. The functions of this structure should only be called on the render process main thread.

NOTE: This struct is allocated DLL-side.

Implemented by ICefDomNode.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_dom_capi.h">CEF source file: /include/capi/cef_dom_capi.h (cef_domnode_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | get_type: function(self: PCefDomNode): TCefDomNodeType; stdcall;
Public | is_text: function(self: PCefDomNode): Integer; stdcall;
Public | is_element: function(self: PCefDomNode): Integer; stdcall;
Public | is_editable: function(self: PCefDomNode): Integer; stdcall;
Public | is_form_control_element: function(self: PCefDomNode): Integer; stdcall;
Public | get_form_control_element_type: function(self: PCefDomNode): TCefDomFormControlType; stdcall;
Public | is_same: function(self, that: PCefDomNode): Integer; stdcall;
Public | get_name: function(self: PCefDomNode): PCefStringUserFree; stdcall;
Public | get_value: function(self: PCefDomNode): PCefStringUserFree; stdcall;
Public | set_value: function(self: PCefDomNode; const value: PCefString): Integer; stdcall;
Public | get_as_markup: function(self: PCefDomNode): PCefStringUserFree; stdcall;
Public | get_document: function(self: PCefDomNode): PCefDomDocument; stdcall;
Public | get_parent: function(self: PCefDomNode): PCefDomNode; stdcall;
Public | get_previous_sibling: function(self: PCefDomNode): PCefDomNode; stdcall;
Public | get_next_sibling: function(self: PCefDomNode): PCefDomNode; stdcall;
Public | has_children: function(self: PCefDomNode): Integer; stdcall;
Public | get_first_child: function(self: PCefDomNode): PCefDomNode; stdcall;
Public | get_last_child: function(self: PCefDomNode): PCefDomNode; stdcall;
Public | get_element_tag_name: function(self: PCefDomNode): PCefStringUserFree; stdcall;
Public | has_element_attributes: function(self: PCefDomNode): Integer; stdcall;
Public | has_element_attribute: function(self: PCefDomNode; const attrName: PCefString): Integer; stdcall;
Public | get_element_attribute: function(self: PCefDomNode; const attrName: PCefString): PCefStringUserFree; stdcall;
Public | get_element_attributes: procedure(self: PCefDomNode; attrMap: TCefStringMap); stdcall;
Public | set_element_attribute: function(self: PCefDomNode; const attrName, value: PCefString): Integer; stdcall;
Public | get_element_inner_text: function(self: PCefDomNode): PCefStringUserFree; stdcall;
Public | get_element_bounds: function(self: PCefDomNode): TCefRect; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public get_type: function(self: PCefDomNode): TCefDomNodeType; stdcall;

This item has no description.

Public is_text: function(self: PCefDomNode): Integer; stdcall;

This item has no description.

Public is_element: function(self: PCefDomNode): Integer; stdcall;

This item has no description.

Public is_editable: function(self: PCefDomNode): Integer; stdcall;

This item has no description.

Public is_form_control_element: function(self: PCefDomNode): Integer; stdcall;

This item has no description.

Public get_form_control_element_type: function(self: PCefDomNode): TCefDomFormControlType; stdcall;

This item has no description.

Public is_same: function(self, that: PCefDomNode): Integer; stdcall;

This item has no description.

Public get_name: function(self: PCefDomNode): PCefStringUserFree; stdcall;

This item has no description.

Public get_value: function(self: PCefDomNode): PCefStringUserFree; stdcall;

This item has no description.

Public set_value: function(self: PCefDomNode; const value: PCefString): Integer; stdcall;

This item has no description.

Public get_as_markup: function(self: PCefDomNode): PCefStringUserFree; stdcall;

This item has no description.

Public get_document: function(self: PCefDomNode): PCefDomDocument; stdcall;

This item has no description.

Public get_parent: function(self: PCefDomNode): PCefDomNode; stdcall;

This item has no description.

Public get_previous_sibling: function(self: PCefDomNode): PCefDomNode; stdcall;

This item has no description.

Public get_next_sibling: function(self: PCefDomNode): PCefDomNode; stdcall;

This item has no description.

Public has_children: function(self: PCefDomNode): Integer; stdcall;

This item has no description.

Public get_first_child: function(self: PCefDomNode): PCefDomNode; stdcall;

This item has no description.

Public get_last_child: function(self: PCefDomNode): PCefDomNode; stdcall;

This item has no description.

Public get_element_tag_name: function(self: PCefDomNode): PCefStringUserFree; stdcall;

This item has no description.

Public has_element_attributes: function(self: PCefDomNode): Integer; stdcall;

This item has no description.

Public has_element_attribute: function(self: PCefDomNode; const attrName: PCefString): Integer; stdcall;

This item has no description.

Public get_element_attribute: function(self: PCefDomNode; const attrName: PCefString): PCefStringUserFree; stdcall;

This item has no description.

Public get_element_attributes: procedure(self: PCefDomNode; attrMap: TCefStringMap); stdcall;

This item has no description.

Public set_element_attribute: function(self: PCefDomNode; const attrName, value: PCefString): Integer; stdcall;

This item has no description.

Public get_element_inner_text: function(self: PCefDomNode): PCefStringUserFree; stdcall;

This item has no description.

Public get_element_bounds: function(self: PCefDomNode): TCefRect; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefDomDocument

Record TCefDomDocument

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefDomDocument = record

Description

Structure used to represent a DOM document. The functions of this structure should only be called on the render process main thread thread.

NOTE: This struct is allocated DLL-side.

Implemented by ICefDomDocument.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_dom_capi.h">CEF source file: /include/capi/cef_dom_capi.h (cef_domdocument_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | get_type: function(self: PCefDomDocument): TCefDomDocumentType; stdcall;
Public | get_document: function(self: PCefDomDocument): PCefDomNode; stdcall;
Public | get_body: function(self: PCefDomDocument): PCefDomNode; stdcall;
Public | get_head: function(self: PCefDomDocument): PCefDomNode; stdcall;
Public | get_title: function(self: PCefDomDocument): PCefStringUserFree; stdcall;
Public | get_element_by_id: function(self: PCefDomDocument; const id: PCefString): PCefDomNode; stdcall;
Public | get_focused_node: function(self: PCefDomDocument): PCefDomNode; stdcall;
Public | has_selection: function(self: PCefDomDocument): Integer; stdcall;
Public | get_selection_start_offset: function(self: PCefDomDocument): Integer; stdcall;
Public | get_selection_end_offset: function(self: PCefDomDocument): Integer; stdcall;
Public | get_selection_as_markup: function(self: PCefDomDocument): PCefStringUserFree; stdcall;
Public | get_selection_as_text: function(self: PCefDomDocument): PCefStringUserFree; stdcall;
Public | get_base_url: function(self: PCefDomDocument): PCefStringUserFree; stdcall;
Public | get_complete_url: function(self: PCefDomDocument; const partialURL: PCefString): PCefStringUserFree; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public get_type: function(self: PCefDomDocument): TCefDomDocumentType; stdcall;

This item has no description.

Public get_document: function(self: PCefDomDocument): PCefDomNode; stdcall;

This item has no description.

Public get_body: function(self: PCefDomDocument): PCefDomNode; stdcall;

This item has no description.

Public get_head: function(self: PCefDomDocument): PCefDomNode; stdcall;

This item has no description.

Public get_title: function(self: PCefDomDocument): PCefStringUserFree; stdcall;

This item has no description.

Public get_element_by_id: function(self: PCefDomDocument; const id: PCefString): PCefDomNode; stdcall;

This item has no description.

Public get_focused_node: function(self: PCefDomDocument): PCefDomNode; stdcall;

This item has no description.

Public has_selection: function(self: PCefDomDocument): Integer; stdcall;

This item has no description.

Public get_selection_start_offset: function(self: PCefDomDocument): Integer; stdcall;

This item has no description.

Public get_selection_end_offset: function(self: PCefDomDocument): Integer; stdcall;

This item has no description.

Public get_selection_as_markup: function(self: PCefDomDocument): PCefStringUserFree; stdcall;

This item has no description.

Public get_selection_as_text: function(self: PCefDomDocument): PCefStringUserFree; stdcall;

This item has no description.

Public get_base_url: function(self: PCefDomDocument): PCefStringUserFree; stdcall;

This item has no description.

Public get_complete_url: function(self: PCefDomDocument; const partialURL: PCefString): PCefStringUserFree; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefv8Handler

Record TCefv8Handler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefv8Handler = record

Description

Structure that should be implemented to handle V8 function calls. The functions of this structure will be called on the thread associated with the V8 function.

NOTE: This struct is allocated client-side.

Implemented by ICefv8Handler.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_v8_capi.h">CEF source file: /include/capi/cef_v8_capi.h (cef_v8_handler_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | execute: function(self: PCefv8Handler; const name: PCefString; object_: PCefv8Value; argumentsCount: NativeUInt; const arguments: PPCefV8Value; var retval: PCefV8Value; exception: PCefString): Integer; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public execute: function(self: PCefv8Handler; const name: PCefString; object_: PCefv8Value; argumentsCount: NativeUInt; const arguments: PPCefV8Value; var retval: PCefV8Value; exception: PCefString): Integer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefV8Exception

Record TCefV8Exception

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefV8Exception = record

Description

Structure representing a V8 exception. The functions of this structure may be called on any render process thread.

NOTE: This struct is allocated DLL-side.

Implemented by ICefV8Exception.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_v8_capi.h">CEF source file: /include/capi/cef_v8_capi.h (cef_v8_exception_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | get_message: function(self: PCefV8Exception): PCefStringUserFree; stdcall;
Public | get_source_line: function(self: PCefV8Exception): PCefStringUserFree; stdcall;
Public | get_script_resource_name: function(self: PCefV8Exception): PCefStringUserFree; stdcall;
Public | get_line_number: function(self: PCefV8Exception): Integer; stdcall;
Public | get_start_position: function(self: PCefV8Exception): Integer; stdcall;
Public | get_end_position: function(self: PCefV8Exception): Integer; stdcall;
Public | get_start_column: function(self: PCefV8Exception): Integer; stdcall;
Public | get_end_column: function(self: PCefV8Exception): Integer; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public get_message: function(self: PCefV8Exception): PCefStringUserFree; stdcall;

This item has no description.

Public get_source_line: function(self: PCefV8Exception): PCefStringUserFree; stdcall;

This item has no description.

Public get_script_resource_name: function(self: PCefV8Exception): PCefStringUserFree; stdcall;

This item has no description.

Public get_line_number: function(self: PCefV8Exception): Integer; stdcall;

This item has no description.

Public get_start_position: function(self: PCefV8Exception): Integer; stdcall;

This item has no description.

Public get_end_position: function(self: PCefV8Exception): Integer; stdcall;

This item has no description.

Public get_start_column: function(self: PCefV8Exception): Integer; stdcall;

This item has no description.

Public get_end_column: function(self: PCefV8Exception): Integer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefv8ArrayBufferReleaseCallback

Record TCefv8ArrayBufferReleaseCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefv8ArrayBufferReleaseCallback = record

Description

Callback structure that is passed to ICefv8value.CreateArrayBuffer.

NOTE: This struct is allocated client-side.

Implemented by ICefv8ArrayBufferReleaseCallback.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_v8_capi.h">CEF source file: /include/capi/cef_v8_capi.h (cef_v8_array_buffer_release_callback_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | release_buffer: procedure(self: PCefv8ArrayBufferReleaseCallback; buffer : Pointer); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public release_buffer: procedure(self: PCefv8ArrayBufferReleaseCallback; buffer : Pointer); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefv8Value

Record TCefv8Value

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefv8Value = record

Description

Structure representing a V8 value handle. V8 handles can only be accessed from the thread on which they are created. Valid threads for creating a V8 handle include the render process main thread (TID_RENDERER) and WebWorker threads. A task runner for posting tasks on the associated thread can be retrieved via the ICefv8context.GetTaskRunner() function.

NOTE: This struct is allocated DLL-side.

Implemented by ICefv8Value.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_v8_capi.h">CEF source file: /include/capi/cef_v8_capi.h (cef_v8_value_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | is_valid: function(self: PCefv8Value): Integer; stdcall;
Public | is_undefined: function(self: PCefv8Value): Integer; stdcall;
Public | is_null: function(self: PCefv8Value): Integer; stdcall;
Public | is_bool: function(self: PCefv8Value): Integer; stdcall;
Public | is_int: function(self: PCefv8Value): Integer; stdcall;
Public | is_uint: function(self: PCefv8Value): Integer; stdcall;
Public | is_double: function(self: PCefv8Value): Integer; stdcall;
Public | is_date: function(self: PCefv8Value): Integer; stdcall;
Public | is_string: function(self: PCefv8Value): Integer; stdcall;
Public | is_object: function(self: PCefv8Value): Integer; stdcall;
Public | is_array: function(self: PCefv8Value): Integer; stdcall;
Public | is_array_buffer: function(self: PCefv8Value): Integer; stdcall;
Public | is_function: function(self: PCefv8Value): Integer; stdcall;
Public | is_promise: function(self: PCefv8Value): Integer; stdcall;
Public | is_same: function(self, that: PCefv8Value): Integer; stdcall;
Public | get_bool_value: function(self: PCefv8Value): Integer; stdcall;
Public | get_int_value: function(self: PCefv8Value): Integer; stdcall;
Public | get_uint_value: function(self: PCefv8Value): Cardinal; stdcall;
Public | get_double_value: function(self: PCefv8Value): Double; stdcall;
Public | get_date_value: function(self: PCefv8Value): TCefBaseTime; stdcall;
Public | get_string_value: function(self: PCefv8Value): PCefStringUserFree; stdcall;
Public | is_user_created: function(self: PCefv8Value): Integer; stdcall;
Public | has_exception: function(self: PCefv8Value): Integer; stdcall;
Public | get_exception: function(self: PCefv8Value): PCefV8Exception; stdcall;
Public | clear_exception: function(self: PCefv8Value): Integer; stdcall;
Public | will_rethrow_exceptions: function(self: PCefv8Value): Integer; stdcall;
Public | set_rethrow_exceptions: function(self: PCefv8Value; rethrow: Integer): Integer; stdcall;
Public | has_value_bykey: function(self: PCefv8Value; const key: PCefString): Integer; stdcall;
Public | has_value_byindex: function(self: PCefv8Value; index: Integer): Integer; stdcall;
Public | delete_value_bykey: function(self: PCefv8Value; const key: PCefString): Integer; stdcall;
Public | delete_value_byindex: function(self: PCefv8Value; index: Integer): Integer; stdcall;
Public | get_value_bykey: function(self: PCefv8Value; const key: PCefString): PCefv8Value; stdcall;
Public | get_value_byindex: function(self: PCefv8Value; index: Integer): PCefv8Value; stdcall;
Public | set_value_bykey: function(self: PCefv8Value; const key: PCefString; value: PCefv8Value; attribute: TCefV8PropertyAttributes): Integer; stdcall;
Public | set_value_byindex: function(self: PCefv8Value; index: Integer; value: PCefv8Value): Integer; stdcall;
Public | set_value_byaccessor: function(self: PCefv8Value; const key: PCefString; attribute: TCefV8PropertyAttributes): Integer; stdcall;
Public | get_keys: function(self: PCefv8Value; keys: TCefStringList): Integer; stdcall;
Public | set_user_data: function(self: PCefv8Value; user_data: PCefBaseRefCounted): Integer; stdcall;
Public | get_user_data: function(self: PCefv8Value): PCefBaseRefCounted; stdcall;
Public | get_externally_allocated_memory: function(self: PCefv8Value): Integer; stdcall;
Public | adjust_externally_allocated_memory: function(self: PCefv8Value; change_in_bytes: Integer): Integer; stdcall;
Public | get_array_length: function(self: PCefv8Value): Integer; stdcall;
Public | get_array_buffer_release_callback: function(self: PCefv8Value): PCefv8ArrayBufferReleaseCallback; stdcall;
Public | neuter_array_buffer: function(self: PCefv8Value): Integer; stdcall;
Public | get_array_buffer_byte_length: function(self: PCefv8Value): NativeUInt; stdcall;
Public | get_array_buffer_data: function(self: PCefv8Value): Pointer; stdcall;
Public | get_function_name: function(self: PCefv8Value): PCefStringUserFree; stdcall;
Public | get_function_handler: function(self: PCefv8Value): PCefv8Handler; stdcall;
Public | execute_function: function(self: PCefv8Value; obj: PCefv8Value; argumentsCount: NativeUInt; const arguments: PPCefV8Value): PCefv8Value; stdcall;
Public | execute_function_with_context: function(self: PCefv8Value; context: PCefv8Context; obj: PCefv8Value; argumentsCount: NativeUInt; const arguments: PPCefV8Value): PCefv8Value; stdcall;
Public | resolve_promise: function(self, arg: PCefv8Value): Integer; stdcall;
Public | reject_promise: function(self: PCefv8Value; const errorMsg: PCefString): Integer; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public is_valid: function(self: PCefv8Value): Integer; stdcall;

This item has no description.

Public is_undefined: function(self: PCefv8Value): Integer; stdcall;

This item has no description.

Public is_null: function(self: PCefv8Value): Integer; stdcall;

This item has no description.

Public is_bool: function(self: PCefv8Value): Integer; stdcall;

This item has no description.

Public is_int: function(self: PCefv8Value): Integer; stdcall;

This item has no description.

Public is_uint: function(self: PCefv8Value): Integer; stdcall;

This item has no description.

Public is_double: function(self: PCefv8Value): Integer; stdcall;

This item has no description.

Public is_date: function(self: PCefv8Value): Integer; stdcall;

This item has no description.

Public is_string: function(self: PCefv8Value): Integer; stdcall;

This item has no description.

Public is_object: function(self: PCefv8Value): Integer; stdcall;

This item has no description.

Public is_array: function(self: PCefv8Value): Integer; stdcall;

This item has no description.

Public is_array_buffer: function(self: PCefv8Value): Integer; stdcall;

This item has no description.

Public is_function: function(self: PCefv8Value): Integer; stdcall;

This item has no description.

Public is_promise: function(self: PCefv8Value): Integer; stdcall;

This item has no description.

Public is_same: function(self, that: PCefv8Value): Integer; stdcall;

This item has no description.

Public get_bool_value: function(self: PCefv8Value): Integer; stdcall;

This item has no description.

Public get_int_value: function(self: PCefv8Value): Integer; stdcall;

This item has no description.

Public get_uint_value: function(self: PCefv8Value): Cardinal; stdcall;

This item has no description.

Public get_double_value: function(self: PCefv8Value): Double; stdcall;

This item has no description.

Public get_date_value: function(self: PCefv8Value): TCefBaseTime; stdcall;

This item has no description.

Public get_string_value: function(self: PCefv8Value): PCefStringUserFree; stdcall;

This item has no description.

Public is_user_created: function(self: PCefv8Value): Integer; stdcall;

This item has no description.

Public has_exception: function(self: PCefv8Value): Integer; stdcall;

This item has no description.

Public get_exception: function(self: PCefv8Value): PCefV8Exception; stdcall;

This item has no description.

Public clear_exception: function(self: PCefv8Value): Integer; stdcall;

This item has no description.

Public will_rethrow_exceptions: function(self: PCefv8Value): Integer; stdcall;

This item has no description.

Public set_rethrow_exceptions: function(self: PCefv8Value; rethrow: Integer): Integer; stdcall;

This item has no description.

Public has_value_bykey: function(self: PCefv8Value; const key: PCefString): Integer; stdcall;

This item has no description.

Public has_value_byindex: function(self: PCefv8Value; index: Integer): Integer; stdcall;

This item has no description.

Public delete_value_bykey: function(self: PCefv8Value; const key: PCefString): Integer; stdcall;

This item has no description.

Public delete_value_byindex: function(self: PCefv8Value; index: Integer): Integer; stdcall;

This item has no description.

Public get_value_bykey: function(self: PCefv8Value; const key: PCefString): PCefv8Value; stdcall;

This item has no description.

Public get_value_byindex: function(self: PCefv8Value; index: Integer): PCefv8Value; stdcall;

This item has no description.

Public set_value_bykey: function(self: PCefv8Value; const key: PCefString; value: PCefv8Value; attribute: TCefV8PropertyAttributes): Integer; stdcall;

This item has no description.

Public set_value_byindex: function(self: PCefv8Value; index: Integer; value: PCefv8Value): Integer; stdcall;

This item has no description.

Public set_value_byaccessor: function(self: PCefv8Value; const key: PCefString; attribute: TCefV8PropertyAttributes): Integer; stdcall;

This item has no description.

Public get_keys: function(self: PCefv8Value; keys: TCefStringList): Integer; stdcall;

This item has no description.

Public set_user_data: function(self: PCefv8Value; user_data: PCefBaseRefCounted): Integer; stdcall;

This item has no description.

Public get_user_data: function(self: PCefv8Value): PCefBaseRefCounted; stdcall;

This item has no description.

Public get_externally_allocated_memory: function(self: PCefv8Value): Integer; stdcall;

This item has no description.

Public adjust_externally_allocated_memory: function(self: PCefv8Value; change_in_bytes: Integer): Integer; stdcall;

This item has no description.

Public get_array_length: function(self: PCefv8Value): Integer; stdcall;

This item has no description.

Public get_array_buffer_release_callback: function(self: PCefv8Value): PCefv8ArrayBufferReleaseCallback; stdcall;

This item has no description.

Public neuter_array_buffer: function(self: PCefv8Value): Integer; stdcall;

This item has no description.

Public get_array_buffer_byte_length: function(self: PCefv8Value): NativeUInt; stdcall;

This item has no description.

Public get_array_buffer_data: function(self: PCefv8Value): Pointer; stdcall;

This item has no description.

Public get_function_name: function(self: PCefv8Value): PCefStringUserFree; stdcall;

This item has no description.

Public get_function_handler: function(self: PCefv8Value): PCefv8Handler; stdcall;

This item has no description.

Public execute_function: function(self: PCefv8Value; obj: PCefv8Value; argumentsCount: NativeUInt; const arguments: PPCefV8Value): PCefv8Value; stdcall;

This item has no description.

Public execute_function_with_context: function(self: PCefv8Value; context: PCefv8Context; obj: PCefv8Value; argumentsCount: NativeUInt; const arguments: PPCefV8Value): PCefv8Value; stdcall;

This item has no description.

Public resolve_promise: function(self, arg: PCefv8Value): Integer; stdcall;

This item has no description.

Public reject_promise: function(self: PCefv8Value; const errorMsg: PCefString): Integer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefV8Context

Record TCefV8Context

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefV8Context = record

Description

Structure representing a V8 context handle. V8 handles can only be accessed from the thread on which they are created. Valid threads for creating a V8 handle include the render process main thread (TID_RENDERER) and WebWorker threads. A task runner for posting tasks on the associated thread can be retrieved via the ICefv8context.GetTaskRunner() function.

NOTE: This struct is allocated DLL-side.

Implemented by ICefv8Context.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_v8_capi.h">CEF source file: /include/capi/cef_v8_capi.h (cef_v8_context_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | get_task_runner: function(self: PCefv8Context): PCefTaskRunner; stdcall;
Public | is_valid: function(self: PCefv8Context): Integer; stdcall;
Public | get_browser: function(self: PCefv8Context): PCefBrowser; stdcall;
Public | get_frame: function(self: PCefv8Context): PCefFrame; stdcall;
Public | get_global: function(self: PCefv8Context): PCefv8Value; stdcall;
Public | enter: function(self: PCefv8Context): Integer; stdcall;
Public | exit: function(self: PCefv8Context): Integer; stdcall;
Public | is_same: function(self, that: PCefv8Context): Integer; stdcall;
Public | eval: function(self: PCefv8Context; const code, script_url: PCefString; start_line: integer; var retval: PCefv8Value; var exception: PCefV8Exception): Integer; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public get_task_runner: function(self: PCefv8Context): PCefTaskRunner; stdcall;

This item has no description.

Public is_valid: function(self: PCefv8Context): Integer; stdcall;

This item has no description.

Public get_browser: function(self: PCefv8Context): PCefBrowser; stdcall;

This item has no description.

Public get_frame: function(self: PCefv8Context): PCefFrame; stdcall;

This item has no description.

Public get_global: function(self: PCefv8Context): PCefv8Value; stdcall;

This item has no description.

Public enter: function(self: PCefv8Context): Integer; stdcall;

This item has no description.

Public exit: function(self: PCefv8Context): Integer; stdcall;

This item has no description.

Public is_same: function(self, that: PCefv8Context): Integer; stdcall;

This item has no description.

Public eval: function(self: PCefv8Context; const code, script_url: PCefString; start_line: integer; var retval: PCefv8Value; var exception: PCefV8Exception): Integer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefV8Interceptor

Record TCefV8Interceptor

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefV8Interceptor = record

Description

Structure that should be implemented to handle V8 interceptor calls. The functions of this structure will be called on the thread associated with the V8 interceptor. Interceptor's named property handlers (with first argument of type CefString) are called when object is indexed by string. Indexed property handlers (with first argument of type int) are called when object is indexed by integer.

NOTE: This struct is allocated client-side.

Implemented by ICefV8Interceptor.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_v8_capi.h">CEF source file: /include/capi/cef_v8_capi.h (cef_v8_interceptor_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | get_byname: function(self: PCefV8Interceptor; const name: PCefString; object_: PCefV8Value; out retval: PCefv8Value; exception: PCefString): integer; stdcall;
Public | get_byindex: function(self: PCefV8Interceptor; index: integer; object_: PCefV8Value; out retval: PCefv8Value; exception: PCefString): integer; stdcall;
Public | set_byname: function(self: PCefV8Interceptor; const name: PCefString; object_, value: PCefv8Value; exception: PCefString): integer; stdcall;
Public | set_byindex: function(self: PCefV8Interceptor; index: integer; object_, value: PCefv8Value; exception: PCefString): integer; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public get_byname: function(self: PCefV8Interceptor; const name: PCefString; object_: PCefV8Value; out retval: PCefv8Value; exception: PCefString): integer; stdcall;

This item has no description.

Public get_byindex: function(self: PCefV8Interceptor; index: integer; object_: PCefV8Value; out retval: PCefv8Value; exception: PCefString): integer; stdcall;

This item has no description.

Public set_byname: function(self: PCefV8Interceptor; const name: PCefString; object_, value: PCefv8Value; exception: PCefString): integer; stdcall;

This item has no description.

Public set_byindex: function(self: PCefV8Interceptor; index: integer; object_, value: PCefv8Value; exception: PCefString): integer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefV8Accessor

Record TCefV8Accessor

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefV8Accessor = record

Description

Structure that should be implemented to handle V8 accessor calls. Accessor identifiers are registered by calling ICefv8value.SetValue(). The functions of this structure will be called on the thread associated with the V8 accessor.

NOTE: This struct is allocated client-side.

Implemented by ICefV8Accessor.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_v8_capi.h">CEF source file: /include/capi/cef_v8_capi.h (cef_v8_accessor_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | get: function(self: PCefV8Accessor; const name: PCefString; object_: PCefv8Value; out retval: PCefv8Value; exception: PCefString): Integer; stdcall;
Public | set_: function(self: PCefV8Accessor; const name: PCefString; object_, value: PCefv8Value; exception: PCefString): Integer; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public get: function(self: PCefV8Accessor; const name: PCefString; object_: PCefv8Value; out retval: PCefv8Value; exception: PCefString): Integer; stdcall;

This item has no description.

Public set_: function(self: PCefV8Accessor; const name: PCefString; object_, value: PCefv8Value; exception: PCefString): Integer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefFrame

Record TCefFrame

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefFrame = record

Description

Structure used to represent a frame in the browser window. When used in the browser process the functions of this structure may be called on any thread unless otherwise indicated in the comments. When used in the render process the functions of this structure may only be called on the main thread.

NOTE: This struct is allocated DLL-side.

Implemented by ICefFrame.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_frame_capi.h">CEF source file: /include/capi/cef_frame_capi.h (cef_frame_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | is_valid: function(self: PCefFrame): Integer; stdcall;
Public | undo: procedure(self: PCefFrame); stdcall;
Public | redo: procedure(self: PCefFrame); stdcall;
Public | cut: procedure(self: PCefFrame); stdcall;
Public | copy: procedure(self: PCefFrame); stdcall;
Public | paste: procedure(self: PCefFrame); stdcall;
Public | paste_and_match_style: procedure(self: PCefFrame); stdcall;
Public | del: procedure(self: PCefFrame); stdcall;
Public | select_all: procedure(self: PCefFrame); stdcall;
Public | view_source: procedure(self: PCefFrame); stdcall;
Public | get_source: procedure(self: PCefFrame; visitor: PCefStringVisitor); stdcall;
Public | get_text: procedure(self: PCefFrame; visitor: PCefStringVisitor); stdcall;
Public | load_request: procedure(self: PCefFrame; request: PCefRequest); stdcall;
Public | load_url: procedure(self: PCefFrame; const url: PCefString); stdcall;
Public | execute_java_script: procedure(self: PCefFrame; const code, script_url: PCefString; start_line: Integer); stdcall;
Public | is_main: function(self: PCefFrame): Integer; stdcall;
Public | is_focused: function(self: PCefFrame): Integer; stdcall;
Public | get_name: function(self: PCefFrame): PCefStringUserFree; stdcall;
Public | get_identifier: function(self: PCefFrame): PCefStringUserFree; stdcall;
Public | get_parent: function(self: PCefFrame): PCefFrame; stdcall;
Public | get_url: function(self: PCefFrame): PCefStringUserFree; stdcall;
Public | get_browser: function(self: PCefFrame): PCefBrowser; stdcall;
Public | get_v8_context: function(self: PCefFrame): PCefv8Context; stdcall;
Public | visit_dom: procedure(self: PCefFrame; visitor: PCefDomVisitor); stdcall;
Public | create_urlrequest: function(self: PCefFrame; request: PCefRequest; client: PCefUrlrequestClient): PCefUrlRequest; stdcall;
Public | send_process_message: procedure(self: PCefFrame; target_process: TCefProcessId; message_: PCefProcessMessage); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public is_valid: function(self: PCefFrame): Integer; stdcall;

This item has no description.

Public undo: procedure(self: PCefFrame); stdcall;

This item has no description.

Public redo: procedure(self: PCefFrame); stdcall;

This item has no description.

Public cut: procedure(self: PCefFrame); stdcall;

This item has no description.

Public copy: procedure(self: PCefFrame); stdcall;

This item has no description.

Public paste: procedure(self: PCefFrame); stdcall;

This item has no description.

Public paste_and_match_style: procedure(self: PCefFrame); stdcall;

This item has no description.

Public del: procedure(self: PCefFrame); stdcall;

This item has no description.

Public select_all: procedure(self: PCefFrame); stdcall;

This item has no description.

Public view_source: procedure(self: PCefFrame); stdcall;

This item has no description.

Public get_source: procedure(self: PCefFrame; visitor: PCefStringVisitor); stdcall;

This item has no description.

Public get_text: procedure(self: PCefFrame; visitor: PCefStringVisitor); stdcall;

This item has no description.

Public load_request: procedure(self: PCefFrame; request: PCefRequest); stdcall;

This item has no description.

Public load_url: procedure(self: PCefFrame; const url: PCefString); stdcall;

This item has no description.

Public execute_java_script: procedure(self: PCefFrame; const code, script_url: PCefString; start_line: Integer); stdcall;

This item has no description.

Public is_main: function(self: PCefFrame): Integer; stdcall;

This item has no description.

Public is_focused: function(self: PCefFrame): Integer; stdcall;

This item has no description.

Public get_name: function(self: PCefFrame): PCefStringUserFree; stdcall;

This item has no description.

Public get_identifier: function(self: PCefFrame): PCefStringUserFree; stdcall;

This item has no description.

Public get_parent: function(self: PCefFrame): PCefFrame; stdcall;

This item has no description.

Public get_url: function(self: PCefFrame): PCefStringUserFree; stdcall;

This item has no description.

Public get_browser: function(self: PCefFrame): PCefBrowser; stdcall;

This item has no description.

Public get_v8_context: function(self: PCefFrame): PCefv8Context; stdcall;

This item has no description.

Public visit_dom: procedure(self: PCefFrame; visitor: PCefDomVisitor); stdcall;

This item has no description.

Public create_urlrequest: function(self: PCefFrame; request: PCefRequest; client: PCefUrlrequestClient): PCefUrlRequest; stdcall;

This item has no description.

Public send_process_message: procedure(self: PCefFrame; target_process: TCefProcessId; message_: PCefProcessMessage); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefFrameHandler

Record TCefFrameHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefFrameHandler = record

Description

Implement this STRUCTURE to handle events related to ICefFrame life span. The order of callbacks is:

(1) During initial ICefBrowserHost creation and navigation of the main frame: - ICefFrameHandler.OnFrameCreated => The initial main frame object has been created. Any commands will be queued until the frame is attached. - ICefFrameHandler.OnMainFrameChanged => The initial main frame object has been assigned to the browser. - ICefLifeSpanHandler.OnAfterCreated => The browser is now valid and can be used. - ICefFrameHandler.OnFrameAttached => The initial main frame object is now connected to its peer in the renderer process. Commands can be routed.

(2) During further ICefBrowserHost navigation/loading of the main frame and/or sub-frames: - ICefFrameHandler.OnFrameCreated => A new main frame or sub-frame object has been created. Any commands will be queued until the frame is attached. - ICefFrameHandler.OnFrameAttached => A new main frame or sub-frame object is now connected to its peer in the renderer process. Commands can be routed. - ICefFrameHandler.OnFrameDetached => An existing main frame or sub- frame object has lost its connection to the renderer process. If multiple objects are detached at the same time then notifications will be sent for any sub-frame objects before the main frame object. Commands can no longer be routed and will be discarded. - ICefFrameHandler.OnMainFrameChanged => A new main frame object has been assigned to the browser. This will only occur with cross-origin navigation or re-navigation after renderer process termination (due to crashes, etc).

(3) During final ICefBrowserHost destruction of the main frame: - ICefFrameHandler.OnFrameDetached => Any sub-frame objects have lost their connection to the renderer process. Commands can no longer be routed and will be discarded. - ICefLifeSpanHandler.OnBeforeClose => The browser has been destroyed. - ICefFrameHandler.OnFrameDetached => The main frame object have lost its connection to the renderer process. Notifications will be sent for any sub-frame objects before the main frame object. Commands can no longer be routed and will be discarded. - ICefFrameHandler.OnMainFrameChanged => The final main frame object has been removed from the browser.

Cross-origin navigation and/or loading receives special handling.

When the main frame navigates to a different origin the OnMainFrameChanged callback (2) will be executed with the old and new main frame objects.

When a new sub-frame is loaded in, or an existing sub-frame is navigated to, a different origin from the parent frame, a temporary sub-frame object will first be created in the parent's renderer process. That temporary sub-frame will then be discarded after the real cross-origin sub-frame is created in the new/target renderer process. The client will receive cross-origin navigation callbacks (2) for the transition from the temporary sub-frame to the real sub-frame. The temporary sub-frame will not recieve or execute commands during this transitional period (any sent commands will be discarded).

When a new popup browser is created in a different origin from the parent browser, a temporary main frame object for the popup will first be created in the parent's renderer process. That temporary main frame will then be discarded after the real cross-origin main frame is created in the new/target renderer process. The client will recieve creation and initial navigation callbacks (1) for the temporary main frame, followed by cross- origin navigation callbacks (2) for the transition from the temporary main frame to the real main frame. The temporary main frame may receive and execute commands during this transitional period (any sent commands may be executed, but the behavior is potentially undesirable since they execute in the parent browser's renderer process and not the new/target renderer process).

Callbacks will not be executed for placeholders that may be created during pre-commit navigation for sub-frames that do not yet exist in the renderer process. Placeholders will have ICefFrame.GetIdentifier() == -4.

The functions of this interface will be called on the UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

Implemented by ICefFrameHandler.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_frame_handler_capi.h">CEF source file: /include/capi/cef_frame_handler_capi.h (cef_frame_handler_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | on_frame_created: procedure(self: PCefFrameHandler; browser: PCefBrowser; frame: PCefFrame); stdcall;
Public | on_frame_destroyed: procedure(self: PCefFrameHandler; browser: PCefBrowser; frame: PCefFrame); stdcall;
Public | on_frame_attached: procedure(self: PCefFrameHandler; browser: PCefBrowser; frame: PCefFrame; reattached: integer); stdcall;
Public | on_frame_detached: procedure(self: PCefFrameHandler; browser: PCefBrowser; frame: PCefFrame); stdcall;
Public | on_main_frame_changed: procedure(self: PCefFrameHandler; browser: PCefBrowser; old_frame, new_frame: PCefFrame); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public on_frame_created: procedure(self: PCefFrameHandler; browser: PCefBrowser; frame: PCefFrame); stdcall;

This item has no description.

Public on_frame_destroyed: procedure(self: PCefFrameHandler; browser: PCefBrowser; frame: PCefFrame); stdcall;

This item has no description.

Public on_frame_attached: procedure(self: PCefFrameHandler; browser: PCefBrowser; frame: PCefFrame; reattached: integer); stdcall;

This item has no description.

Public on_frame_detached: procedure(self: PCefFrameHandler; browser: PCefBrowser; frame: PCefFrame); stdcall;

This item has no description.

Public on_main_frame_changed: procedure(self: PCefFrameHandler; browser: PCefBrowser; old_frame, new_frame: PCefFrame); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefAccessibilityHandler

Record TCefAccessibilityHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefAccessibilityHandler = record

Description

Implement this structure to receive accessibility notification when accessibility events have been registered. The functions of this structure will be called on the UI thread.

NOTE: This struct is allocated client-side.

Implemented by ICefAccessibilityHandler.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_accessibility_handler_capi.h">CEF source file: /include/capi/cef_accessibility_handler_capi.h (cef_accessibility_handler_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | on_accessibility_tree_change: procedure(self: PCefAccessibilityHandler; value: PCefValue); stdcall;
Public | on_accessibility_location_change: procedure(self: PCefAccessibilityHandler; value: PCefValue); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public on_accessibility_tree_change: procedure(self: PCefAccessibilityHandler; value: PCefValue); stdcall;

This item has no description.

Public on_accessibility_location_change: procedure(self: PCefAccessibilityHandler; value: PCefValue); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefContextMenuHandler

Record TCefContextMenuHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefContextMenuHandler = record

Description

Implement this structure to handle context menu events. The functions of this structure will be called on the UI thread.

NOTE: This struct is allocated client-side.

Implemented by ICefContextMenuHandler.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_context_menu_handler_capi.h">CEF source file: /include/capi/cef_context_menu_handler_capi.h (cef_context_menu_handler_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | on_before_context_menu: procedure(self: PCefContextMenuHandler; browser: PCefBrowser; frame: PCefFrame; params: PCefContextMenuParams; model: PCefMenuModel); stdcall;
Public | run_context_menu: function(self: PCefContextMenuHandler; browser: PCefBrowser; frame: PCefFrame; params: PCefContextMenuParams; model: PCefMenuModel; callback: PCefRunContextMenuCallback): Integer; stdcall;
Public | on_context_menu_command: function(self: PCefContextMenuHandler; browser: PCefBrowser; frame: PCefFrame; params: PCefContextMenuParams; command_id: Integer; event_flags: TCefEventFlags): Integer; stdcall;
Public | on_context_menu_dismissed: procedure(self: PCefContextMenuHandler; browser: PCefBrowser; frame: PCefFrame); stdcall;
Public | run_quick_menu: function(self: PCefContextMenuHandler; browser: PCefBrowser; frame: PCefFrame; location: PCefPoint; size: PCefSize; edit_state_flags: TCefQuickMenuEditStateFlags; callback: PCefRunQuickMenuCallback): integer; stdcall;
Public | on_quick_menu_command: function(self: PCefContextMenuHandler; browser: PCefBrowser; frame: PCefFrame; command_id: integer; event_flags: TCefEventFlags): integer; stdcall;
Public | on_quick_menu_dismissed: procedure(self: PCefContextMenuHandler; browser: PCefBrowser; frame: PCefFrame); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public on_before_context_menu: procedure(self: PCefContextMenuHandler; browser: PCefBrowser; frame: PCefFrame; params: PCefContextMenuParams; model: PCefMenuModel); stdcall;

This item has no description.

Public run_context_menu: function(self: PCefContextMenuHandler; browser: PCefBrowser; frame: PCefFrame; params: PCefContextMenuParams; model: PCefMenuModel; callback: PCefRunContextMenuCallback): Integer; stdcall;

This item has no description.

Public on_context_menu_command: function(self: PCefContextMenuHandler; browser: PCefBrowser; frame: PCefFrame; params: PCefContextMenuParams; command_id: Integer; event_flags: TCefEventFlags): Integer; stdcall;

This item has no description.

Public on_context_menu_dismissed: procedure(self: PCefContextMenuHandler; browser: PCefBrowser; frame: PCefFrame); stdcall;

This item has no description.

Public run_quick_menu: function(self: PCefContextMenuHandler; browser: PCefBrowser; frame: PCefFrame; location: PCefPoint; size: PCefSize; edit_state_flags: TCefQuickMenuEditStateFlags; callback: PCefRunQuickMenuCallback): integer; stdcall;

This item has no description.

Public on_quick_menu_command: function(self: PCefContextMenuHandler; browser: PCefBrowser; frame: PCefFrame; command_id: integer; event_flags: TCefEventFlags): integer; stdcall;

This item has no description.

Public on_quick_menu_dismissed: procedure(self: PCefContextMenuHandler; browser: PCefBrowser; frame: PCefFrame); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefRunQuickMenuCallback

Record TCefRunQuickMenuCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefRunQuickMenuCallback = record

Description

Callback structure used for continuation of custom quick menu display.

NOTE: This struct is allocated DLL-side.

Implemented by ICefRunQuickMenuCallback.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_context_menu_handler_capi.h">CEF source file: /include/capi/cef_context_menu_handler_capi.h (cef_run_quick_menu_callback_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | cont: procedure(self: PCefRunQuickMenuCallback; command_id: integer; event_flags: TCefEventFlags); stdcall;
Public | cancel: procedure(self: PCefRunQuickMenuCallback); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public cont: procedure(self: PCefRunQuickMenuCallback; command_id: integer; event_flags: TCefEventFlags); stdcall;

This item has no description.

Public cancel: procedure(self: PCefRunQuickMenuCallback); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefClient

Record TCefClient

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefClient = record

Description

Implement this structure to provide handler implementations.

NOTE: This struct is allocated client-side.

Implemented by ICefClient.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_client_capi.h">CEF source file: /include/capi/cef_client_capi.h (cef_client_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | get_audio_handler: function(self: PCefClient): PCefAudioHandler; stdcall;
Public | get_command_handler: function(self: PCefClient): PCefCommandHandler; stdcall;
Public | get_context_menu_handler: function(self: PCefClient): PCefContextMenuHandler; stdcall;
Public | get_dialog_handler: function(self: PCefClient): PCefDialogHandler; stdcall;
Public | get_display_handler: function(self: PCefClient): PCefDisplayHandler; stdcall;
Public | get_download_handler: function(self: PCefClient): PCefDownloadHandler; stdcall;
Public | get_drag_handler: function(self: PCefClient): PCefDragHandler; stdcall;
Public | get_find_handler: function(self: PCefClient): PCefFindHandler; stdcall;
Public | get_focus_handler: function(self: PCefClient): PCefFocusHandler; stdcall;
Public | get_frame_handler: function(self: PCefClient): PCefFrameHandler; stdcall;
Public | get_permission_handler: function(self: PCefClient): PCefPermissionHandler; stdcall;
Public | get_jsdialog_handler: function(self: PCefClient): PCefJsDialogHandler; stdcall;
Public | get_keyboard_handler: function(self: PCefClient): PCefKeyboardHandler; stdcall;
Public | get_life_span_handler: function(self: PCefClient): PCefLifeSpanHandler; stdcall;
Public | get_load_handler: function(self: PCefClient): PCefLoadHandler; stdcall;
Public | get_print_handler: function(self: PCefClient): PCefPrintHandler; stdcall;
Public | get_render_handler: function(self: PCefClient): PCefRenderHandler; stdcall;
Public | get_request_handler: function(self: PCefClient): PCefRequestHandler; stdcall;
Public | on_process_message_received: function(self: PCefClient; browser: PCefBrowser; frame: PCefFrame; source_process: TCefProcessId; message_: PCefProcessMessage): Integer; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public get_audio_handler: function(self: PCefClient): PCefAudioHandler; stdcall;

This item has no description.

Public get_command_handler: function(self: PCefClient): PCefCommandHandler; stdcall;

This item has no description.

Public get_context_menu_handler: function(self: PCefClient): PCefContextMenuHandler; stdcall;

This item has no description.

Public get_dialog_handler: function(self: PCefClient): PCefDialogHandler; stdcall;

This item has no description.

Public get_display_handler: function(self: PCefClient): PCefDisplayHandler; stdcall;

This item has no description.

Public get_download_handler: function(self: PCefClient): PCefDownloadHandler; stdcall;

This item has no description.

Public get_drag_handler: function(self: PCefClient): PCefDragHandler; stdcall;

This item has no description.

Public get_find_handler: function(self: PCefClient): PCefFindHandler; stdcall;

This item has no description.

Public get_focus_handler: function(self: PCefClient): PCefFocusHandler; stdcall;

This item has no description.

Public get_frame_handler: function(self: PCefClient): PCefFrameHandler; stdcall;

This item has no description.

Public get_permission_handler: function(self: PCefClient): PCefPermissionHandler; stdcall;

This item has no description.

Public get_jsdialog_handler: function(self: PCefClient): PCefJsDialogHandler; stdcall;

This item has no description.

Public get_keyboard_handler: function(self: PCefClient): PCefKeyboardHandler; stdcall;

This item has no description.

Public get_life_span_handler: function(self: PCefClient): PCefLifeSpanHandler; stdcall;

This item has no description.

Public get_load_handler: function(self: PCefClient): PCefLoadHandler; stdcall;

This item has no description.

Public get_print_handler: function(self: PCefClient): PCefPrintHandler; stdcall;

This item has no description.

Public get_render_handler: function(self: PCefClient): PCefRenderHandler; stdcall;

This item has no description.

Public get_request_handler: function(self: PCefClient): PCefRequestHandler; stdcall;

This item has no description.

Public on_process_message_received: function(self: PCefClient; browser: PCefBrowser; frame: PCefFrame; source_process: TCefProcessId; message_: PCefProcessMessage): Integer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefBrowserHost

Record TCefBrowserHost

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefBrowserHost = record

Description

Structure used to represent the browser process aspects of a browser. The functions of this structure can only be called in the browser process. They may be called on any thread in that process unless otherwise indicated in the comments.

NOTE: This struct is allocated DLL-side.

Implemented by ICefBrowserHost.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_browser_capi.h">CEF source file: /include/capi/cef_browser_capi.h (cef_browser_host_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | get_browser: function(self: PCefBrowserHost): PCefBrowser; stdcall;
Public | close_browser: procedure(self: PCefBrowserHost; force_close: Integer); stdcall;
Public | try_close_browser: function(self: PCefBrowserHost): Integer; stdcall;
Public | is_ready_to_be_closed: function(self: PCefBrowserHost): Integer; stdcall;
Public | set_focus: procedure(self: PCefBrowserHost; focus: Integer); stdcall;
Public | get_window_handle: function(self: PCefBrowserHost): TCefWindowHandle; stdcall;
Public | get_opener_window_handle: function(self: PCefBrowserHost): TCefWindowHandle; stdcall;
Public | get_opener_identifier: function(self: PCefBrowserHost): Integer; stdcall;
Public | has_view: function(self: PCefBrowserHost): Integer; stdcall;
Public | get_client: function(self: PCefBrowserHost): PCefClient; stdcall;
Public | get_request_context: function(self: PCefBrowserHost): PCefRequestContext; stdcall;
Public | can_zoom: function(self: PCefBrowserHost; command: TCefZoomCommand): Integer; stdcall;
Public | zoom: procedure(self: PCefBrowserHost; command: TCefZoomCommand); stdcall;
Public | get_default_zoom_level: function(self: PCefBrowserHost): Double; stdcall;
Public | get_zoom_level: function(self: PCefBrowserHost): Double; stdcall;
Public | set_zoom_level: procedure(self: PCefBrowserHost; zoomLevel: Double); stdcall;
Public | run_file_dialog: procedure(self: PCefBrowserHost; mode: TCefFileDialogMode; const title, default_file_path: PCefString; accept_filters: TCefStringList; callback: PCefRunFileDialogCallback); stdcall;
Public | start_download: procedure(self: PCefBrowserHost; const url: PCefString); stdcall;
Public | download_image: procedure(self: PCefBrowserHost; const image_url: PCefString; is_favicon: Integer; max_image_size: Cardinal; bypass_cache: Integer; callback: PCefDownloadImageCallback); stdcall;
Public | print: procedure(self: PCefBrowserHost); stdcall;
Public | print_to_pdf: procedure(self: PCefBrowserHost; const path: PCefString; const settings: PCefPdfPrintSettings; callback: PCefPdfPrintCallback); stdcall;
Public | find: procedure(self: PCefBrowserHost; const searchText: PCefString; forward_, matchCase, findNext: Integer); stdcall;
Public | stop_finding: procedure(self: PCefBrowserHost; clearSelection: Integer); stdcall;
Public | show_dev_tools: procedure(self: PCefBrowserHost; const windowInfo: PCefWindowInfo; client: PCefClient; const settings: PCefBrowserSettings; const inspect_element_at: PCefPoint); stdcall;
Public | close_dev_tools: procedure(self: PCefBrowserHost); stdcall;
Public | has_dev_tools: function(self: PCefBrowserHost): Integer; stdcall;
Public | send_dev_tools_message: function(self: PCefBrowserHost; const message_: Pointer; message_size: NativeUInt): Integer; stdcall;
Public | execute_dev_tools_method: function(self: PCefBrowserHost; message_id: integer; const method: PCefString; params: PCefDictionaryValue): Integer; stdcall;
Public | add_dev_tools_message_observer: function(self: PCefBrowserHost; observer: PCefDevToolsMessageObserver): PCefRegistration; stdcall;
Public | get_navigation_entries: procedure(self: PCefBrowserHost; visitor: PCefNavigationEntryVisitor; current_only: Integer); stdcall;
Public | replace_misspelling: procedure(self: PCefBrowserHost; const word: PCefString); stdcall;
Public | add_word_to_dictionary: procedure(self: PCefBrowserHost; const word: PCefString); stdcall;
Public | is_window_rendering_disabled: function(self: PCefBrowserHost): Integer; stdcall;
Public | was_resized: procedure(self: PCefBrowserHost); stdcall;
Public | was_hidden: procedure(self: PCefBrowserHost; hidden: Integer); stdcall;
Public | notify_screen_info_changed: procedure(self: PCefBrowserHost); stdcall;
Public | invalidate: procedure(self: PCefBrowserHost; type_: TCefPaintElementType); stdcall;
Public | send_external_begin_frame: procedure(self: PCefBrowserHost); stdcall;
Public | send_key_event: procedure(self: PCefBrowserHost; const event: PCefKeyEvent); stdcall;
Public | send_mouse_click_event: procedure(self: PCefBrowserHost; const event: PCefMouseEvent; type_: TCefMouseButtonType; mouseUp, clickCount: Integer); stdcall;
Public | send_mouse_move_event: procedure(self: PCefBrowserHost; const event: PCefMouseEvent; mouseLeave: Integer); stdcall;
Public | send_mouse_wheel_event: procedure(self: PCefBrowserHost; const event: PCefMouseEvent; deltaX, deltaY: Integer); stdcall;
Public | send_touch_event: procedure(self: PCefBrowserHost; const event: PCefTouchEvent); stdcall;
Public | send_capture_lost_event: procedure(self: PCefBrowserHost); stdcall;
Public | notify_move_or_resize_started: procedure(self: PCefBrowserHost); stdcall;
Public | get_windowless_frame_rate: function(self: PCefBrowserHost): Integer; stdcall;
Public | set_windowless_frame_rate: procedure(self: PCefBrowserHost; frame_rate: Integer); stdcall;
Public | ime_set_composition: procedure(self: PCefBrowserHost; const text: PCefString; underlinesCount : NativeUInt; const underlines : PCefCompositionUnderline; const replacement_range, selection_range : PCefRange); stdcall;
Public | ime_commit_text: procedure(self: PCefBrowserHost; const text: PCefString; const replacement_range : PCefRange; relative_cursor_pos : integer); stdcall;
Public | ime_finish_composing_text: procedure(self: PCefBrowserHost; keep_selection : integer); stdcall;
Public | ime_cancel_composition: procedure(self: PCefBrowserHost); stdcall;
Public | drag_target_drag_enter: procedure(self: PCefBrowserHost; drag_data: PCefDragData; const event: PCefMouseEvent; allowed_ops: TCefDragOperations); stdcall;
Public | drag_target_drag_over: procedure(self: PCefBrowserHost; const event: PCefMouseEvent; allowed_ops: TCefDragOperations); stdcall;
Public | drag_target_drag_leave: procedure(self: PCefBrowserHost); stdcall;
Public | drag_target_drop: procedure(self: PCefBrowserHost; const event: PCefMouseEvent); stdcall;
Public | drag_source_ended_at: procedure(self: PCefBrowserHost; x, y: Integer; op: TCefDragOperation); stdcall;
Public | drag_source_system_drag_ended: procedure(self: PCefBrowserHost); stdcall;
Public | get_visible_navigation_entry: function(self: PCefBrowserHost): PCefNavigationEntry; stdcall;
Public | set_accessibility_state: procedure(self: PCefBrowserHost; accessibility_state: TCefState); stdcall;
Public | set_auto_resize_enabled: procedure(self: PCefBrowserHost; enabled: integer; const min_size, max_size: PCefSize); stdcall;
Public | set_audio_muted: procedure(self: PCefBrowserHost; mute: integer); stdcall;
Public | is_audio_muted: function(self: PCefBrowserHost): integer; stdcall;
Public | is_fullscreen: function(self: PCefBrowserHost): integer; stdcall;
Public | exit_fullscreen: procedure(self: PCefBrowserHost; will_cause_resize: integer); stdcall;
Public | can_execute_chrome_command: function(self: PCefBrowserHost; command_id: integer): integer; stdcall;
Public | execute_chrome_command: procedure(self: PCefBrowserHost; command_id: integer; disposition: TCefWindowOpenDisposition); stdcall;
Public | is_render_process_unresponsive: function(self: PCefBrowserHost): integer; stdcall;
Public | get_runtime_style: function(self: PCefBrowserHost): TCefRuntimeStyle; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public get_browser: function(self: PCefBrowserHost): PCefBrowser; stdcall;

This item has no description.

Public close_browser: procedure(self: PCefBrowserHost; force_close: Integer); stdcall;

This item has no description.

Public try_close_browser: function(self: PCefBrowserHost): Integer; stdcall;

This item has no description.

Public is_ready_to_be_closed: function(self: PCefBrowserHost): Integer; stdcall;

This item has no description.

Public set_focus: procedure(self: PCefBrowserHost; focus: Integer); stdcall;

This item has no description.

Public get_window_handle: function(self: PCefBrowserHost): TCefWindowHandle; stdcall;

This item has no description.

Public get_opener_window_handle: function(self: PCefBrowserHost): TCefWindowHandle; stdcall;

This item has no description.

Public get_opener_identifier: function(self: PCefBrowserHost): Integer; stdcall;

This item has no description.

Public has_view: function(self: PCefBrowserHost): Integer; stdcall;

This item has no description.

Public get_client: function(self: PCefBrowserHost): PCefClient; stdcall;

This item has no description.

Public get_request_context: function(self: PCefBrowserHost): PCefRequestContext; stdcall;

This item has no description.

Public can_zoom: function(self: PCefBrowserHost; command: TCefZoomCommand): Integer; stdcall;

This item has no description.

Public zoom: procedure(self: PCefBrowserHost; command: TCefZoomCommand); stdcall;

This item has no description.

Public get_default_zoom_level: function(self: PCefBrowserHost): Double; stdcall;

This item has no description.

Public get_zoom_level: function(self: PCefBrowserHost): Double; stdcall;

This item has no description.

Public set_zoom_level: procedure(self: PCefBrowserHost; zoomLevel: Double); stdcall;

This item has no description.

Public run_file_dialog: procedure(self: PCefBrowserHost; mode: TCefFileDialogMode; const title, default_file_path: PCefString; accept_filters: TCefStringList; callback: PCefRunFileDialogCallback); stdcall;

This item has no description.

Public start_download: procedure(self: PCefBrowserHost; const url: PCefString); stdcall;

This item has no description.

Public download_image: procedure(self: PCefBrowserHost; const image_url: PCefString; is_favicon: Integer; max_image_size: Cardinal; bypass_cache: Integer; callback: PCefDownloadImageCallback); stdcall;

This item has no description.

Public print: procedure(self: PCefBrowserHost); stdcall;

This item has no description.

Public print_to_pdf: procedure(self: PCefBrowserHost; const path: PCefString; const settings: PCefPdfPrintSettings; callback: PCefPdfPrintCallback); stdcall;

This item has no description.

Public find: procedure(self: PCefBrowserHost; const searchText: PCefString; forward_, matchCase, findNext: Integer); stdcall;

This item has no description.

Public stop_finding: procedure(self: PCefBrowserHost; clearSelection: Integer); stdcall;

This item has no description.

Public show_dev_tools: procedure(self: PCefBrowserHost; const windowInfo: PCefWindowInfo; client: PCefClient; const settings: PCefBrowserSettings; const inspect_element_at: PCefPoint); stdcall;

This item has no description.

Public close_dev_tools: procedure(self: PCefBrowserHost); stdcall;

This item has no description.

Public has_dev_tools: function(self: PCefBrowserHost): Integer; stdcall;

This item has no description.

Public send_dev_tools_message: function(self: PCefBrowserHost; const message_: Pointer; message_size: NativeUInt): Integer; stdcall;

This item has no description.

Public execute_dev_tools_method: function(self: PCefBrowserHost; message_id: integer; const method: PCefString; params: PCefDictionaryValue): Integer; stdcall;

This item has no description.

Public add_dev_tools_message_observer: function(self: PCefBrowserHost; observer: PCefDevToolsMessageObserver): PCefRegistration; stdcall;

This item has no description.

Public get_navigation_entries: procedure(self: PCefBrowserHost; visitor: PCefNavigationEntryVisitor; current_only: Integer); stdcall;

This item has no description.

Public replace_misspelling: procedure(self: PCefBrowserHost; const word: PCefString); stdcall;

This item has no description.

Public add_word_to_dictionary: procedure(self: PCefBrowserHost; const word: PCefString); stdcall;

This item has no description.

Public is_window_rendering_disabled: function(self: PCefBrowserHost): Integer; stdcall;

This item has no description.

Public was_resized: procedure(self: PCefBrowserHost); stdcall;

This item has no description.

Public was_hidden: procedure(self: PCefBrowserHost; hidden: Integer); stdcall;

This item has no description.

Public notify_screen_info_changed: procedure(self: PCefBrowserHost); stdcall;

This item has no description.

Public invalidate: procedure(self: PCefBrowserHost; type_: TCefPaintElementType); stdcall;

This item has no description.

Public send_external_begin_frame: procedure(self: PCefBrowserHost); stdcall;

This item has no description.

Public send_key_event: procedure(self: PCefBrowserHost; const event: PCefKeyEvent); stdcall;

This item has no description.

Public send_mouse_click_event: procedure(self: PCefBrowserHost; const event: PCefMouseEvent; type_: TCefMouseButtonType; mouseUp, clickCount: Integer); stdcall;

This item has no description.

Public send_mouse_move_event: procedure(self: PCefBrowserHost; const event: PCefMouseEvent; mouseLeave: Integer); stdcall;

This item has no description.

Public send_mouse_wheel_event: procedure(self: PCefBrowserHost; const event: PCefMouseEvent; deltaX, deltaY: Integer); stdcall;

This item has no description.

Public send_touch_event: procedure(self: PCefBrowserHost; const event: PCefTouchEvent); stdcall;

This item has no description.

Public send_capture_lost_event: procedure(self: PCefBrowserHost); stdcall;

This item has no description.

Public notify_move_or_resize_started: procedure(self: PCefBrowserHost); stdcall;

This item has no description.

Public get_windowless_frame_rate: function(self: PCefBrowserHost): Integer; stdcall;

This item has no description.

Public set_windowless_frame_rate: procedure(self: PCefBrowserHost; frame_rate: Integer); stdcall;

This item has no description.

Public ime_set_composition: procedure(self: PCefBrowserHost; const text: PCefString; underlinesCount : NativeUInt; const underlines : PCefCompositionUnderline; const replacement_range, selection_range : PCefRange); stdcall;

This item has no description.

Public ime_commit_text: procedure(self: PCefBrowserHost; const text: PCefString; const replacement_range : PCefRange; relative_cursor_pos : integer); stdcall;

This item has no description.

Public ime_finish_composing_text: procedure(self: PCefBrowserHost; keep_selection : integer); stdcall;

This item has no description.

Public ime_cancel_composition: procedure(self: PCefBrowserHost); stdcall;

This item has no description.

Public drag_target_drag_enter: procedure(self: PCefBrowserHost; drag_data: PCefDragData; const event: PCefMouseEvent; allowed_ops: TCefDragOperations); stdcall;

This item has no description.

Public drag_target_drag_over: procedure(self: PCefBrowserHost; const event: PCefMouseEvent; allowed_ops: TCefDragOperations); stdcall;

This item has no description.

Public drag_target_drag_leave: procedure(self: PCefBrowserHost); stdcall;

This item has no description.

Public drag_target_drop: procedure(self: PCefBrowserHost; const event: PCefMouseEvent); stdcall;

This item has no description.

Public drag_source_ended_at: procedure(self: PCefBrowserHost; x, y: Integer; op: TCefDragOperation); stdcall;

This item has no description.

Public drag_source_system_drag_ended: procedure(self: PCefBrowserHost); stdcall;

This item has no description.

Public get_visible_navigation_entry: function(self: PCefBrowserHost): PCefNavigationEntry; stdcall;

This item has no description.

Public set_accessibility_state: procedure(self: PCefBrowserHost; accessibility_state: TCefState); stdcall;

This item has no description.

Public set_auto_resize_enabled: procedure(self: PCefBrowserHost; enabled: integer; const min_size, max_size: PCefSize); stdcall;

This item has no description.

Public set_audio_muted: procedure(self: PCefBrowserHost; mute: integer); stdcall;

This item has no description.

Public is_audio_muted: function(self: PCefBrowserHost): integer; stdcall;

This item has no description.

Public is_fullscreen: function(self: PCefBrowserHost): integer; stdcall;

This item has no description.

Public exit_fullscreen: procedure(self: PCefBrowserHost; will_cause_resize: integer); stdcall;

This item has no description.

Public can_execute_chrome_command: function(self: PCefBrowserHost; command_id: integer): integer; stdcall;

This item has no description.

Public execute_chrome_command: procedure(self: PCefBrowserHost; command_id: integer; disposition: TCefWindowOpenDisposition); stdcall;

This item has no description.

Public is_render_process_unresponsive: function(self: PCefBrowserHost): integer; stdcall;

This item has no description.

Public get_runtime_style: function(self: PCefBrowserHost): TCefRuntimeStyle; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefBrowser

Record TCefBrowser

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefBrowser = record

Description

Structure used to represent a browser. When used in the browser process the functions of this structure may be called on any thread unless otherwise indicated in the comments. When used in the render process the functions of this structure may only be called on the main thread.

NOTE: This struct is allocated DLL-side.

Implemented by ICefBrowser.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_browser_capi.h">CEF source file: /include/capi/cef_browser_capi.h (cef_browser_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | is_valid: function(self: PCefBrowser): Integer; stdcall;
Public | get_host: function(self: PCefBrowser): PCefBrowserHost; stdcall;
Public | can_go_back: function(self: PCefBrowser): Integer; stdcall;
Public | go_back: procedure(self: PCefBrowser); stdcall;
Public | can_go_forward: function(self: PCefBrowser): Integer; stdcall;
Public | go_forward: procedure(self: PCefBrowser); stdcall;
Public | is_loading: function(self: PCefBrowser): Integer; stdcall;
Public | reload: procedure(self: PCefBrowser); stdcall;
Public | reload_ignore_cache: procedure(self: PCefBrowser); stdcall;
Public | stop_load: procedure(self: PCefBrowser); stdcall;
Public | get_identifier: function(self: PCefBrowser): Integer; stdcall;
Public | is_same: function(self, that: PCefBrowser): Integer; stdcall;
Public | is_popup: function(self: PCefBrowser): Integer; stdcall;
Public | has_document: function(self: PCefBrowser): Integer; stdcall;
Public | get_main_frame: function(self: PCefBrowser): PCefFrame; stdcall;
Public | get_focused_frame: function(self: PCefBrowser): PCefFrame; stdcall;
Public | get_frame_by_identifier: function(self: PCefBrowser; const identifier: PCefString): PCefFrame; stdcall;
Public | get_frame_by_name: function(self: PCefBrowser; const name: PCefString): PCefFrame; stdcall;
Public | get_frame_count: function(self: PCefBrowser): NativeUInt; stdcall;
Public | get_frame_identifiers: procedure(self: PCefBrowser; identifiers: TCefStringList); stdcall;
Public | get_frame_names: procedure(self: PCefBrowser; names: TCefStringList); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public is_valid: function(self: PCefBrowser): Integer; stdcall;

This item has no description.

Public get_host: function(self: PCefBrowser): PCefBrowserHost; stdcall;

This item has no description.

Public can_go_back: function(self: PCefBrowser): Integer; stdcall;

This item has no description.

Public go_back: procedure(self: PCefBrowser); stdcall;

This item has no description.

Public can_go_forward: function(self: PCefBrowser): Integer; stdcall;

This item has no description.

Public go_forward: procedure(self: PCefBrowser); stdcall;

This item has no description.

Public is_loading: function(self: PCefBrowser): Integer; stdcall;

This item has no description.

Public reload: procedure(self: PCefBrowser); stdcall;

This item has no description.

Public reload_ignore_cache: procedure(self: PCefBrowser); stdcall;

This item has no description.

Public stop_load: procedure(self: PCefBrowser); stdcall;

This item has no description.

Public get_identifier: function(self: PCefBrowser): Integer; stdcall;

This item has no description.

Public is_same: function(self, that: PCefBrowser): Integer; stdcall;

This item has no description.

Public is_popup: function(self: PCefBrowser): Integer; stdcall;

This item has no description.

Public has_document: function(self: PCefBrowser): Integer; stdcall;

This item has no description.

Public get_main_frame: function(self: PCefBrowser): PCefFrame; stdcall;

This item has no description.

Public get_focused_frame: function(self: PCefBrowser): PCefFrame; stdcall;

This item has no description.

Public get_frame_by_identifier: function(self: PCefBrowser; const identifier: PCefString): PCefFrame; stdcall;

This item has no description.

Public get_frame_by_name: function(self: PCefBrowser; const name: PCefString): PCefFrame; stdcall;

This item has no description.

Public get_frame_count: function(self: PCefBrowser): NativeUInt; stdcall;

This item has no description.

Public get_frame_identifiers: procedure(self: PCefBrowser; identifiers: TCefStringList); stdcall;

This item has no description.

Public get_frame_names: procedure(self: PCefBrowser; names: TCefStringList); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefResourceBundleHandler

Record TCefResourceBundleHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefResourceBundleHandler = record

Description

Structure used to implement a custom resource bundle structure. See TCefSettings for additional options related to resource bundle loading. The functions of this structure may be called on multiple threads.

NOTE: This struct is allocated client-side.

Implemented by ICefResourceBundleHandler.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_resource_bundle_handler_capi.h">CEF source file: /include/capi/cef_resource_bundle_handler_capi.h (cef_resource_bundle_handler_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | get_localized_string: function(self: PCefResourceBundleHandler; string_id: Integer; string_val: PCefString): Integer; stdcall;
Public | get_data_resource: function(self: PCefResourceBundleHandler; resource_id: Integer; var data: Pointer; var data_size: NativeUInt): Integer; stdcall;
Public | get_data_resource_for_scale: function(self: PCefResourceBundleHandler; resource_id: Integer; scale_factor: TCefScaleFactor; var data: Pointer; var data_size: NativeUInt): Integer; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public get_localized_string: function(self: PCefResourceBundleHandler; string_id: Integer; string_val: PCefString): Integer; stdcall;

This item has no description.

Public get_data_resource: function(self: PCefResourceBundleHandler; resource_id: Integer; var data: Pointer; var data_size: NativeUInt): Integer; stdcall;

This item has no description.

Public get_data_resource_for_scale: function(self: PCefResourceBundleHandler; resource_id: Integer; scale_factor: TCefScaleFactor; var data: Pointer; var data_size: NativeUInt): Integer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefBrowserProcessHandler

Record TCefBrowserProcessHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefBrowserProcessHandler = record

Description

Structure used to implement browser process callbacks. The functions of this structure will be called on the browser process main thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

Implemented by ICefBrowserProcessHandler.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_browser_process_handler_capi.h">CEF source file: /include/capi/cef_browser_process_handler_capi.h (cef_browser_process_handler_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | on_register_custom_preferences: procedure(self: PCefBrowserProcessHandler; type_: TCefPreferencesType; registrar: PCefPreferenceRegistrar); stdcall;
Public | on_context_initialized: procedure(self: PCefBrowserProcessHandler); stdcall;
Public | on_before_child_process_launch: procedure(self: PCefBrowserProcessHandler; command_line: PCefCommandLine); stdcall;
Public | on_already_running_app_relaunch: function(self: PCefBrowserProcessHandler; command_line: PCefCommandLine; const current_directory: PCefString): integer; stdcall;
Public | on_schedule_message_pump_work: procedure(self: PCefBrowserProcessHandler; delay_ms: Int64); stdcall;
Public | get_default_client: function(self: PCefBrowserProcessHandler): PCefClient; stdcall;
Public | get_default_request_context_handler: function(self: PCefBrowserProcessHandler): PCefRequestContextHandler; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public on_register_custom_preferences: procedure(self: PCefBrowserProcessHandler; type_: TCefPreferencesType; registrar: PCefPreferenceRegistrar); stdcall;

This item has no description.

Public on_context_initialized: procedure(self: PCefBrowserProcessHandler); stdcall;

This item has no description.

Public on_before_child_process_launch: procedure(self: PCefBrowserProcessHandler; command_line: PCefCommandLine); stdcall;

This item has no description.

Public on_already_running_app_relaunch: function(self: PCefBrowserProcessHandler; command_line: PCefCommandLine; const current_directory: PCefString): integer; stdcall;

This item has no description.

Public on_schedule_message_pump_work: procedure(self: PCefBrowserProcessHandler; delay_ms: Int64); stdcall;

This item has no description.

Public get_default_client: function(self: PCefBrowserProcessHandler): PCefClient; stdcall;

This item has no description.

Public get_default_request_context_handler: function(self: PCefBrowserProcessHandler): PCefRequestContextHandler; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefApp

Record TCefApp

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefApp = record

Description

Implement this structure to provide handler implementations. Methods will be called by the process and/or thread indicated.

NOTE: This struct is allocated client-side.

Implemented by ICefApp.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_app_capi.h">CEF source file: /include/capi/cef_app_capi.h (cef_app_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | on_before_command_line_processing: procedure(self: PCefApp; const process_type: PCefString; command_line: PCefCommandLine); stdcall;
Public | on_register_custom_schemes: procedure(self: PCefApp; registrar: PCefSchemeRegistrar); stdcall;
Public | get_resource_bundle_handler: function(self: PCefApp): PCefResourceBundleHandler; stdcall;
Public | get_browser_process_handler: function(self: PCefApp): PCefBrowserProcessHandler; stdcall;
Public | get_render_process_handler: function(self: PCefApp): PCefRenderProcessHandler; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public on_before_command_line_processing: procedure(self: PCefApp; const process_type: PCefString; command_line: PCefCommandLine); stdcall;

This item has no description.

Public on_register_custom_schemes: procedure(self: PCefApp; registrar: PCefSchemeRegistrar); stdcall;

This item has no description.

Public get_resource_bundle_handler: function(self: PCefApp): PCefResourceBundleHandler; stdcall;

This item has no description.

Public get_browser_process_handler: function(self: PCefApp): PCefBrowserProcessHandler; stdcall;

This item has no description.

Public get_render_process_handler: function(self: PCefApp): PCefRenderProcessHandler; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefServer

Record TCefServer

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefServer = record

Description

Structure representing a server that supports HTTP and WebSocket requests. Server capacity is limited and is intended to handle only a small number of simultaneous connections (e.g. for communicating between applications on localhost). The functions of this structure are safe to call from any thread in the brower process unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Implemented by ICefServer.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_server_capi.h">CEF source file: /include/capi/cef_server_capi.h (cef_server_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | get_task_runner: function(self: PCefServer): PCefTaskRunner; stdcall;
Public | shutdown: procedure(self: PCefServer); stdcall;
Public | is_running: function(self: PCefServer): Integer; stdcall;
Public | get_address: function(self: PCefServer): PCefStringUserFree; stdcall;
Public | has_connection: function(self: PCefServer): Integer; stdcall;
Public | is_valid_connection: function(self: PCefServer; connection_id: Integer): Integer; stdcall;
Public | send_http200_response: procedure(self: PCefServer; connection_id: Integer; const content_type: PCefString; const data: Pointer; data_size: NativeUInt); stdcall;
Public | send_http404_response: procedure(self: PCefServer; connection_id: Integer); stdcall;
Public | send_http500_response: procedure(self: PCefServer; connection_id: Integer; const error_message: PCefString); stdcall;
Public | send_http_response: procedure(self: PCefServer; connection_id, response_code: Integer; const content_type: PCefString; content_length: int64; extra_headers: TCefStringMultimap); stdcall;
Public | send_raw_data: procedure(self: PCefServer; connection_id: Integer; const data: Pointer; data_size: NativeUInt); stdcall;
Public | close_connection: procedure(self: PCefServer; connection_id: Integer); stdcall;
Public | send_web_socket_message: procedure(self: PCefServer; connection_id: Integer; const data: Pointer; data_size: NativeUInt); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public get_task_runner: function(self: PCefServer): PCefTaskRunner; stdcall;

This item has no description.

Public shutdown: procedure(self: PCefServer); stdcall;

This item has no description.

Public is_running: function(self: PCefServer): Integer; stdcall;

This item has no description.

Public get_address: function(self: PCefServer): PCefStringUserFree; stdcall;

This item has no description.

Public has_connection: function(self: PCefServer): Integer; stdcall;

This item has no description.

Public is_valid_connection: function(self: PCefServer; connection_id: Integer): Integer; stdcall;

This item has no description.

Public send_http200_response: procedure(self: PCefServer; connection_id: Integer; const content_type: PCefString; const data: Pointer; data_size: NativeUInt); stdcall;

This item has no description.

Public send_http404_response: procedure(self: PCefServer; connection_id: Integer); stdcall;

This item has no description.

Public send_http500_response: procedure(self: PCefServer; connection_id: Integer; const error_message: PCefString); stdcall;

This item has no description.

Public send_http_response: procedure(self: PCefServer; connection_id, response_code: Integer; const content_type: PCefString; content_length: int64; extra_headers: TCefStringMultimap); stdcall;

This item has no description.

Public send_raw_data: procedure(self: PCefServer; connection_id: Integer; const data: Pointer; data_size: NativeUInt); stdcall;

This item has no description.

Public close_connection: procedure(self: PCefServer; connection_id: Integer); stdcall;

This item has no description.

Public send_web_socket_message: procedure(self: PCefServer; connection_id: Integer; const data: Pointer; data_size: NativeUInt); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefServerHandler

Record TCefServerHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefServerHandler = record

Description

Implement this structure to handle HTTP server requests. A new thread will be created for each ICefServer.CreateServer call (the "dedicated server thread"), and the functions of this structure will be called on that thread. It is therefore recommended to use a different ICefServerHandler instance for each ICefServer.CreateServer call to avoid thread safety issues in the ICefServerHandler implementation.

NOTE: This struct is allocated client-side.

Implemented by ICefServerHandler.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_server_capi.h">CEF source file: /include/capi/cef_server_capi.h (cef_server_handler_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | on_server_created: procedure(self: PCefServerHandler; server: PCefServer); stdcall;
Public | on_server_destroyed: procedure(self: PCefServerHandler; server: PCefServer); stdcall;
Public | on_client_connected: procedure(self: PCefServerHandler; server: PCefServer; connection_id: Integer); stdcall;
Public | on_client_disconnected: procedure(self: PCefServerHandler; server: PCefServer; connection_id: Integer); stdcall;
Public | on_http_request: procedure(self: PCefServerHandler; server: PCefServer; connection_id: Integer; const client_address: PCefString; request: PCefRequest); stdcall;
Public | on_web_socket_request: procedure(self: PCefServerHandler; server: PCefServer; connection_id: Integer; const client_address: PCefString; request: PCefRequest; callback: PCefCallback); stdcall;
Public | on_web_socket_connected: procedure(self: PCefServerHandler; server: PCefServer; connection_id: Integer); stdcall;
Public | on_web_socket_message: procedure(self: PCefServerHandler; server: PCefServer; connection_id: Integer; const data: Pointer; data_size: NativeUInt); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public on_server_created: procedure(self: PCefServerHandler; server: PCefServer); stdcall;

This item has no description.

Public on_server_destroyed: procedure(self: PCefServerHandler; server: PCefServer); stdcall;

This item has no description.

Public on_client_connected: procedure(self: PCefServerHandler; server: PCefServer; connection_id: Integer); stdcall;

This item has no description.

Public on_client_disconnected: procedure(self: PCefServerHandler; server: PCefServer; connection_id: Integer); stdcall;

This item has no description.

Public on_http_request: procedure(self: PCefServerHandler; server: PCefServer; connection_id: Integer; const client_address: PCefString; request: PCefRequest); stdcall;

This item has no description.

Public on_web_socket_request: procedure(self: PCefServerHandler; server: PCefServer; connection_id: Integer; const client_address: PCefString; request: PCefRequest; callback: PCefCallback); stdcall;

This item has no description.

Public on_web_socket_connected: procedure(self: PCefServerHandler; server: PCefServer; connection_id: Integer); stdcall;

This item has no description.

Public on_web_socket_message: procedure(self: PCefServerHandler; server: PCefServer; connection_id: Integer; const data: Pointer; data_size: NativeUInt); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefDisplay

Record TCefDisplay

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefDisplay = record

Description

This structure typically, but not always, corresponds to a physical display connected to the system. A fake Display may exist on a headless system, or a Display may correspond to a remote, virtual display. All size and position values are in density independent pixel (DIP) coordinates unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Implemented by ICefDisplay.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_display_capi.h">CEF source file: /include/capi/views/cef_display_capi.h (cef_display_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | get_id: function(self: PCefDisplay): int64; stdcall;
Public | get_device_scale_factor: function(self: PCefDisplay): Single; stdcall;
Public | convert_point_to_pixels: procedure(self: PCefDisplay; point: PCefPoint); stdcall;
Public | convert_point_from_pixels: procedure(self: PCefDisplay; point: PCefPoint); stdcall;
Public | get_bounds: function(self: PCefDisplay): TCefRect; stdcall;
Public | get_work_area: function(self: PCefDisplay): TCefRect; stdcall;
Public | get_rotation: function(self: PCefDisplay): Integer; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public get_id: function(self: PCefDisplay): int64; stdcall;

This item has no description.

Public get_device_scale_factor: function(self: PCefDisplay): Single; stdcall;

This item has no description.

Public convert_point_to_pixels: procedure(self: PCefDisplay; point: PCefPoint); stdcall;

This item has no description.

Public convert_point_from_pixels: procedure(self: PCefDisplay; point: PCefPoint); stdcall;

This item has no description.

Public get_bounds: function(self: PCefDisplay): TCefRect; stdcall;

This item has no description.

Public get_work_area: function(self: PCefDisplay): TCefRect; stdcall;

This item has no description.

Public get_rotation: function(self: PCefDisplay): Integer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefLayout

Record TCefLayout

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefLayout = record

Description

A Layout handles the sizing of the children of a Panel according to implementation-specific heuristics. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Implemented by ICefLayout.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_layout_capi.h">CEF source file: /include/capi/views/cef_layout_capi.h (cef_layout_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | as_box_layout: function(self: PCefLayout): PCefBoxLayout; stdcall;
Public | as_fill_layout: function(self: PCefLayout): PCefFillLayout; stdcall;
Public | is_valid: function(self: PCefLayout): Integer; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public as_box_layout: function(self: PCefLayout): PCefBoxLayout; stdcall;

This item has no description.

Public as_fill_layout: function(self: PCefLayout): PCefFillLayout; stdcall;

This item has no description.

Public is_valid: function(self: PCefLayout): Integer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefBoxLayout

Record TCefBoxLayout

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefBoxLayout = record

Description

A Layout manager that arranges child views vertically or horizontally in a side-by-side fashion with spacing around and between the child views. The child views are always sized according to their preferred size. If the host's bounds provide insufficient space, child views will be clamped. Excess space will not be distributed. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Implemented by ICefBoxLayout.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_box_layout_capi.h">CEF source file: /include/capi/views/cef_box_layout_capi.h (cef_box_layout_t))

Overview

Fields

Public | base: TCefLayout;
Public | set_flex_for_view: procedure(self: PCefBoxLayout; view: PCefView; flex: Integer); stdcall;
Public | clear_flex_for_view: procedure(self: PCefBoxLayout; view: PCefView); stdcall;

Description

Fields

Public base: TCefLayout;

This item has no description.

Public set_flex_for_view: procedure(self: PCefBoxLayout; view: PCefView; flex: Integer); stdcall;

This item has no description.

Public clear_flex_for_view: procedure(self: PCefBoxLayout; view: PCefView); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefFillLayout

Record TCefFillLayout

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefFillLayout = record

Description

A simple Layout that causes the associated Panel's one child to be sized to match the bounds of its parent. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Implemented by ICefFillLayout.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_fill_layout_capi.h">CEF source file: /include/capi/views/cef_fill_layout_capi.h (cef_fill_layout_t))

Overview

Fields

Public base: TCefLayout;

Description

Fields

Public base: TCefLayout;

This item has no description.


cef4delphi: uCEFTypes: Record TCefOverlayController

Record TCefOverlayController

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefOverlayController = record

Description

Controller for an overlay that contains a contents View added via ICefWindow.AddOverlayView. Methods exposed by this controller should be called in preference to functions of the same name exposed by the contents View unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Implemented by ICefOverlayController.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_overlay_controller_capi.h">CEF source file: /include/capi/views/cef_overlay_controller_capi.h (cef_overlay_controller_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | is_valid: function(self: PCefOverlayController): integer; stdcall;
Public | is_same: function(self, that: PCefOverlayController): integer; stdcall;
Public | get_contents_view: function(self: PCefOverlayController): PCefView; stdcall;
Public | get_window: function(self: PCefOverlayController): PCefWindow; stdcall;
Public | get_docking_mode: function(self: PCefOverlayController): TCefDockingMode; stdcall;
Public | destroy: procedure(self: PCefOverlayController); stdcall;
Public | set_bounds: procedure(self: PCefOverlayController; const bounds: PCefRect); stdcall;
Public | get_bounds: function(self: PCefOverlayController): TCefRect; stdcall;
Public | get_bounds_in_screen: function(self: PCefOverlayController): TCefRect; stdcall;
Public | set_size: procedure(self: PCefOverlayController; const size: PCefSize); stdcall;
Public | get_size: function(self: PCefOverlayController): TCefSize; stdcall;
Public | set_position: procedure(self: PCefOverlayController; const position: PCefPoint); stdcall;
Public | get_position: function(self: PCefOverlayController): TCefPoint; stdcall;
Public | set_insets: procedure(self: PCefOverlayController; const insets: PCefInsets); stdcall;
Public | get_insets: function(self: PCefOverlayController): TCefInsets; stdcall;
Public | size_to_preferred_size: procedure(self: PCefOverlayController); stdcall;
Public | set_visible: procedure(self: PCefOverlayController; visible: integer); stdcall;
Public | is_visible: function(self: PCefOverlayController): integer; stdcall;
Public | is_drawn: function(self: PCefOverlayController): integer; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public is_valid: function(self: PCefOverlayController): integer; stdcall;

This item has no description.

Public is_same: function(self, that: PCefOverlayController): integer; stdcall;

This item has no description.

Public get_contents_view: function(self: PCefOverlayController): PCefView; stdcall;

This item has no description.

Public get_window: function(self: PCefOverlayController): PCefWindow; stdcall;

This item has no description.

Public get_docking_mode: function(self: PCefOverlayController): TCefDockingMode; stdcall;

This item has no description.

Public destroy: procedure(self: PCefOverlayController); stdcall;

This item has no description.

Public set_bounds: procedure(self: PCefOverlayController; const bounds: PCefRect); stdcall;

This item has no description.

Public get_bounds: function(self: PCefOverlayController): TCefRect; stdcall;

This item has no description.

Public get_bounds_in_screen: function(self: PCefOverlayController): TCefRect; stdcall;

This item has no description.

Public set_size: procedure(self: PCefOverlayController; const size: PCefSize); stdcall;

This item has no description.

Public get_size: function(self: PCefOverlayController): TCefSize; stdcall;

This item has no description.

Public set_position: procedure(self: PCefOverlayController; const position: PCefPoint); stdcall;

This item has no description.

Public get_position: function(self: PCefOverlayController): TCefPoint; stdcall;

This item has no description.

Public set_insets: procedure(self: PCefOverlayController; const insets: PCefInsets); stdcall;

This item has no description.

Public get_insets: function(self: PCefOverlayController): TCefInsets; stdcall;

This item has no description.

Public size_to_preferred_size: procedure(self: PCefOverlayController); stdcall;

This item has no description.

Public set_visible: procedure(self: PCefOverlayController; visible: integer); stdcall;

This item has no description.

Public is_visible: function(self: PCefOverlayController): integer; stdcall;

This item has no description.

Public is_drawn: function(self: PCefOverlayController): integer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefView

Record TCefView

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefView = record

Description

A View is a rectangle within the views View hierarchy. It is the base structure for all Views. All size and position values are in density independent pixels (DIP) unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Implemented by ICefView.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_view_capi.h">CEF source file: /include/capi/views/cef_view_capi.h (cef_view_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | as_browser_view: function(self: PCefView): PCefBrowserView; stdcall;
Public | as_button: function(self: PCefView): PCefButton; stdcall;
Public | as_panel: function(self: PCefView): PCefPanel; stdcall;
Public | as_scroll_view: function(self: PCefView): PCefScrollView; stdcall;
Public | as_textfield: function(self: PCefView): PCefTextfield; stdcall;
Public | get_type_string: function(self: PCefView): PCefStringUserFree; stdcall;
Public | to_string: function(self: PCefView; include_children: Integer): PCefStringUserFree; stdcall;
Public | is_valid: function(self: PCefView): Integer; stdcall;
Public | is_attached: function(self: PCefView): Integer; stdcall;
Public | is_same: function(self, that: PCefView): Integer; stdcall;
Public | get_delegate: function(self: PCefView): PCefViewDelegate; stdcall;
Public | get_window: function(self: PCefView): PCefWindow; stdcall;
Public | get_id: function(self: PCefView): Integer; stdcall;
Public | set_id: procedure(self: PCefView; id: Integer); stdcall;
Public | get_group_id: function(self: PCefView): Integer; stdcall;
Public | set_group_id: procedure(self: PCefView; group_id: Integer); stdcall;
Public | get_parent_view: function(self: PCefView): PCefView; stdcall;
Public | get_view_for_id: function(self: PCefView; id: Integer): PCefView; stdcall;
Public | set_bounds: procedure(self: PCefView; const bounds: PCefRect); stdcall;
Public | get_bounds: function(self: PCefView): TCefRect; stdcall;
Public | get_bounds_in_screen: function(self: PCefView): TCefRect; stdcall;
Public | set_size: procedure(self: PCefView; const size: PCefSize); stdcall;
Public | get_size: function(self: PCefView): TCefSize; stdcall;
Public | set_position: procedure(self: PCefView; const position: PCefPoint); stdcall;
Public | get_position: function(self: PCefView): TCefPoint; stdcall;
Public | set_insets: procedure(self: PCefView; const insets: PCefInsets); stdcall;
Public | get_insets: function(self: PCefView): TCefInsets; stdcall;
Public | get_preferred_size: function(self: PCefView): TCefSize; stdcall;
Public | size_to_preferred_size: procedure(self: PCefView); stdcall;
Public | get_minimum_size: function(self: PCefView): TCefSize; stdcall;
Public | get_maximum_size: function(self: PCefView): TCefSize; stdcall;
Public | get_height_for_width: function(self: PCefView; width: Integer): Integer; stdcall;
Public | invalidate_layout: procedure(self: PCefView); stdcall;
Public | set_visible: procedure(self: PCefView; visible: Integer); stdcall;
Public | is_visible: function(self: PCefView): Integer; stdcall;
Public | is_drawn: function(self: PCefView): Integer; stdcall;
Public | set_enabled: procedure(self: PCefView; enabled: Integer); stdcall;
Public | is_enabled: function(self: PCefView): Integer; stdcall;
Public | set_focusable: procedure(self: PCefView; focusable: Integer); stdcall;
Public | is_focusable: function(self: PCefView): Integer; stdcall;
Public | is_accessibility_focusable: function(self: PCefView): Integer; stdcall;
Public | has_focus: function(self: PCefView): Integer; stdcall;
Public | request_focus: procedure(self: PCefView); stdcall;
Public | set_background_color: procedure(self: PCefView; color: TCefColor); stdcall;
Public | get_background_color: function(self: PCefView): TCefColor; stdcall;
Public | get_theme_color: function(self: PCefView; color_id: integer): TCefColor; stdcall;
Public | convert_point_to_screen: function(self: PCefView; point: PCefPoint): Integer; stdcall;
Public | convert_point_from_screen: function(self: PCefView; point: PCefPoint): Integer; stdcall;
Public | convert_point_to_window: function(self: PCefView; point: PCefPoint): Integer; stdcall;
Public | convert_point_from_window: function(self: PCefView; point: PCefPoint): Integer; stdcall;
Public | convert_point_to_view: function(self, view: PCefView; point: PCefPoint): Integer; stdcall;
Public | convert_point_from_view: function(self, view: PCefView; point: PCefPoint): Integer; stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public as_browser_view: function(self: PCefView): PCefBrowserView; stdcall;

This item has no description.

Public as_button: function(self: PCefView): PCefButton; stdcall;

This item has no description.

Public as_panel: function(self: PCefView): PCefPanel; stdcall;

This item has no description.

Public as_scroll_view: function(self: PCefView): PCefScrollView; stdcall;

This item has no description.

Public as_textfield: function(self: PCefView): PCefTextfield; stdcall;

This item has no description.

Public get_type_string: function(self: PCefView): PCefStringUserFree; stdcall;

This item has no description.

Public to_string: function(self: PCefView; include_children: Integer): PCefStringUserFree; stdcall;

This item has no description.

Public is_valid: function(self: PCefView): Integer; stdcall;

This item has no description.

Public is_attached: function(self: PCefView): Integer; stdcall;

This item has no description.

Public is_same: function(self, that: PCefView): Integer; stdcall;

This item has no description.

Public get_delegate: function(self: PCefView): PCefViewDelegate; stdcall;

This item has no description.

Public get_window: function(self: PCefView): PCefWindow; stdcall;

This item has no description.

Public get_id: function(self: PCefView): Integer; stdcall;

This item has no description.

Public set_id: procedure(self: PCefView; id: Integer); stdcall;

This item has no description.

Public get_group_id: function(self: PCefView): Integer; stdcall;

This item has no description.

Public set_group_id: procedure(self: PCefView; group_id: Integer); stdcall;

This item has no description.

Public get_parent_view: function(self: PCefView): PCefView; stdcall;

This item has no description.

Public get_view_for_id: function(self: PCefView; id: Integer): PCefView; stdcall;

This item has no description.

Public set_bounds: procedure(self: PCefView; const bounds: PCefRect); stdcall;

This item has no description.

Public get_bounds: function(self: PCefView): TCefRect; stdcall;

This item has no description.

Public get_bounds_in_screen: function(self: PCefView): TCefRect; stdcall;

This item has no description.

Public set_size: procedure(self: PCefView; const size: PCefSize); stdcall;

This item has no description.

Public get_size: function(self: PCefView): TCefSize; stdcall;

This item has no description.

Public set_position: procedure(self: PCefView; const position: PCefPoint); stdcall;

This item has no description.

Public get_position: function(self: PCefView): TCefPoint; stdcall;

This item has no description.

Public set_insets: procedure(self: PCefView; const insets: PCefInsets); stdcall;

This item has no description.

Public get_insets: function(self: PCefView): TCefInsets; stdcall;

This item has no description.

Public get_preferred_size: function(self: PCefView): TCefSize; stdcall;

This item has no description.

Public size_to_preferred_size: procedure(self: PCefView); stdcall;

This item has no description.

Public get_minimum_size: function(self: PCefView): TCefSize; stdcall;

This item has no description.

Public get_maximum_size: function(self: PCefView): TCefSize; stdcall;

This item has no description.

Public get_height_for_width: function(self: PCefView; width: Integer): Integer; stdcall;

This item has no description.

Public invalidate_layout: procedure(self: PCefView); stdcall;

This item has no description.

Public set_visible: procedure(self: PCefView; visible: Integer); stdcall;

This item has no description.

Public is_visible: function(self: PCefView): Integer; stdcall;

This item has no description.

Public is_drawn: function(self: PCefView): Integer; stdcall;

This item has no description.

Public set_enabled: procedure(self: PCefView; enabled: Integer); stdcall;

This item has no description.

Public is_enabled: function(self: PCefView): Integer; stdcall;

This item has no description.

Public set_focusable: procedure(self: PCefView; focusable: Integer); stdcall;

This item has no description.

Public is_focusable: function(self: PCefView): Integer; stdcall;

This item has no description.

Public is_accessibility_focusable: function(self: PCefView): Integer; stdcall;

This item has no description.

Public has_focus: function(self: PCefView): Integer; stdcall;

This item has no description.

Public request_focus: procedure(self: PCefView); stdcall;

This item has no description.

Public set_background_color: procedure(self: PCefView; color: TCefColor); stdcall;

This item has no description.

Public get_background_color: function(self: PCefView): TCefColor; stdcall;

This item has no description.

Public get_theme_color: function(self: PCefView; color_id: integer): TCefColor; stdcall;

This item has no description.

Public convert_point_to_screen: function(self: PCefView; point: PCefPoint): Integer; stdcall;

This item has no description.

Public convert_point_from_screen: function(self: PCefView; point: PCefPoint): Integer; stdcall;

This item has no description.

Public convert_point_to_window: function(self: PCefView; point: PCefPoint): Integer; stdcall;

This item has no description.

Public convert_point_from_window: function(self: PCefView; point: PCefPoint): Integer; stdcall;

This item has no description.

Public convert_point_to_view: function(self, view: PCefView; point: PCefPoint): Integer; stdcall;

This item has no description.

Public convert_point_from_view: function(self, view: PCefView; point: PCefPoint): Integer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefViewDelegate

Record TCefViewDelegate

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefViewDelegate = record

Description

Implement this structure to handle view events. All size and position values are in density independent pixels (DIP) unless otherwise indicated. The functions of this structure will be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

Implemented by ICefViewDelegate.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_view_delegate_capi.h">CEF source file: /include/capi/views/cef_view_delegate_capi.h (cef_view_delegate_t))

Overview

Fields

Public | base: TCefBaseRefCounted;
Public | get_preferred_size: function(self: PCefViewDelegate; view: PCefView): TCefSize; stdcall;
Public | get_minimum_size: function(self: PCefViewDelegate; view: PCefView): TCefSize; stdcall;
Public | get_maximum_size: function(self: PCefViewDelegate; view: PCefView): TCefSize; stdcall;
Public | get_height_for_width: function(self: PCefViewDelegate; view: PCefView; width: Integer): Integer; stdcall;
Public | on_parent_view_changed: procedure(self: PCefViewDelegate; view: PCefView; added: Integer; parent: PCefView); stdcall;
Public | on_child_view_changed: procedure(self: PCefViewDelegate; view: PCefView; added: Integer; child: PCefView); stdcall;
Public | on_window_changed: procedure(self: PCefViewDelegate; view: PCefView; added: Integer); stdcall;
Public | on_layout_changed: procedure(self: PCefViewDelegate; view: PCefView; const new_bounds: PCefRect); stdcall;
Public | on_focus: procedure(self: PCefViewDelegate; view: PCefView); stdcall;
Public | on_blur: procedure(self: PCefViewDelegate; view: PCefView); stdcall;
Public | on_theme_changed: procedure(self: PCefViewDelegate; view: PCefView); stdcall;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.

Public get_preferred_size: function(self: PCefViewDelegate; view: PCefView): TCefSize; stdcall;

This item has no description.

Public get_minimum_size: function(self: PCefViewDelegate; view: PCefView): TCefSize; stdcall;

This item has no description.

Public get_maximum_size: function(self: PCefViewDelegate; view: PCefView): TCefSize; stdcall;

This item has no description.

Public get_height_for_width: function(self: PCefViewDelegate; view: PCefView; width: Integer): Integer; stdcall;

This item has no description.

Public on_parent_view_changed: procedure(self: PCefViewDelegate; view: PCefView; added: Integer; parent: PCefView); stdcall;

This item has no description.

Public on_child_view_changed: procedure(self: PCefViewDelegate; view: PCefView; added: Integer; child: PCefView); stdcall;

This item has no description.

Public on_window_changed: procedure(self: PCefViewDelegate; view: PCefView; added: Integer); stdcall;

This item has no description.

Public on_layout_changed: procedure(self: PCefViewDelegate; view: PCefView; const new_bounds: PCefRect); stdcall;

This item has no description.

Public on_focus: procedure(self: PCefViewDelegate; view: PCefView); stdcall;

This item has no description.

Public on_blur: procedure(self: PCefViewDelegate; view: PCefView); stdcall;

This item has no description.

Public on_theme_changed: procedure(self: PCefViewDelegate; view: PCefView); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefTextfield

Record TCefTextfield

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefTextfield = record

Description

A Textfield supports editing of text. This control is custom rendered with no platform-specific code. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Implemented by ICefTextfield.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_textfield_capi.h">CEF source file: /include/capi/views/cef_textfield_capi.h (cef_textfield_t))

Overview

Fields

Public | base: TCefView;
Public | set_password_input: procedure(self: PCefTextfield; password_input: Integer); stdcall;
Public | is_password_input: function(self: PCefTextfield): Integer; stdcall;
Public | set_read_only: procedure(self: PCefTextfield; read_only: Integer); stdcall;
Public | is_read_only: function(self: PCefTextfield): Integer; stdcall;
Public | get_text: function(self: PCefTextfield): PCefStringUserFree; stdcall;
Public | set_text: procedure(self: PCefTextfield; const text: PCefString); stdcall;
Public | append_text: procedure(self: PCefTextfield; const text: PCefString); stdcall;
Public | insert_or_replace_text: procedure(self: PCefTextfield; const text: PCefString); stdcall;
Public | has_selection: function(self: PCefTextfield): Integer; stdcall;
Public | get_selected_text: function(self: PCefTextfield): PCefStringUserFree; stdcall;
Public | select_all: procedure(self: PCefTextfield; reversed: Integer); stdcall;
Public | clear_selection: procedure(self: PCefTextfield); stdcall;
Public | get_selected_range: function(self: PCefTextfield): TCefRange; stdcall;
Public | select_range: procedure(self: PCefTextfield; const range: PCefRange); stdcall;
Public | get_cursor_position: function(self: PCefTextfield): NativeUInt; stdcall;
Public | set_text_color: procedure(self: PCefTextfield; color: TCefColor); stdcall;
Public | get_text_color: function(self: PCefTextfield): TCefColor; stdcall;
Public | set_selection_text_color: procedure(self: PCefTextfield; color: TCefColor); stdcall;
Public | get_selection_text_color: function(self: PCefTextfield): TCefColor; stdcall;
Public | set_selection_background_color: procedure(self: PCefTextfield; color: TCefColor); stdcall;
Public | get_selection_background_color: function(self: PCefTextfield): TCefColor; stdcall;
Public | set_font_list: procedure(self: PCefTextfield; const font_list: PCefString); stdcall;
Public | apply_text_color: procedure(self: PCefTextfield; color: TCefColor; const range: PCefRange); stdcall;
Public | apply_text_style: procedure(self: PCefTextfield; style: TCefTextStyle; add: Integer; const range: PCefRange); stdcall;
Public | is_command_enabled: function(self: PCefTextfield; command_id: TCefTextFieldCommands): Integer; stdcall;
Public | execute_command: procedure(self: PCefTextfield; command_id: TCefTextFieldCommands); stdcall;
Public | clear_edit_history: procedure(self: PCefTextfield); stdcall;
Public | set_placeholder_text: procedure(self: PCefTextfield; const text: PCefString); stdcall;
Public | get_placeholder_text: function(self: PCefTextfield): PCefStringUserFree; stdcall;
Public | set_placeholder_text_color: procedure(self: PCefTextfield; color: TCefColor); stdcall;
Public | set_accessible_name: procedure(self: PCefTextfield; const name: PCefString); stdcall;

Description

Fields

Public base: TCefView;

This item has no description.

Public set_password_input: procedure(self: PCefTextfield; password_input: Integer); stdcall;

This item has no description.

Public is_password_input: function(self: PCefTextfield): Integer; stdcall;

This item has no description.

Public set_read_only: procedure(self: PCefTextfield; read_only: Integer); stdcall;

This item has no description.

Public is_read_only: function(self: PCefTextfield): Integer; stdcall;

This item has no description.

Public get_text: function(self: PCefTextfield): PCefStringUserFree; stdcall;

This item has no description.

Public set_text: procedure(self: PCefTextfield; const text: PCefString); stdcall;

This item has no description.

Public append_text: procedure(self: PCefTextfield; const text: PCefString); stdcall;

This item has no description.

Public insert_or_replace_text: procedure(self: PCefTextfield; const text: PCefString); stdcall;

This item has no description.

Public has_selection: function(self: PCefTextfield): Integer; stdcall;

This item has no description.

Public get_selected_text: function(self: PCefTextfield): PCefStringUserFree; stdcall;

This item has no description.

Public select_all: procedure(self: PCefTextfield; reversed: Integer); stdcall;

This item has no description.

Public clear_selection: procedure(self: PCefTextfield); stdcall;

This item has no description.

Public get_selected_range: function(self: PCefTextfield): TCefRange; stdcall;

This item has no description.

Public select_range: procedure(self: PCefTextfield; const range: PCefRange); stdcall;

This item has no description.

Public get_cursor_position: function(self: PCefTextfield): NativeUInt; stdcall;

This item has no description.

Public set_text_color: procedure(self: PCefTextfield; color: TCefColor); stdcall;

This item has no description.

Public get_text_color: function(self: PCefTextfield): TCefColor; stdcall;

This item has no description.

Public set_selection_text_color: procedure(self: PCefTextfield; color: TCefColor); stdcall;

This item has no description.

Public get_selection_text_color: function(self: PCefTextfield): TCefColor; stdcall;

This item has no description.

Public set_selection_background_color: procedure(self: PCefTextfield; color: TCefColor); stdcall;

This item has no description.

Public get_selection_background_color: function(self: PCefTextfield): TCefColor; stdcall;

This item has no description.

Public set_font_list: procedure(self: PCefTextfield; const font_list: PCefString); stdcall;

This item has no description.

Public apply_text_color: procedure(self: PCefTextfield; color: TCefColor; const range: PCefRange); stdcall;

This item has no description.

Public apply_text_style: procedure(self: PCefTextfield; style: TCefTextStyle; add: Integer; const range: PCefRange); stdcall;

This item has no description.

Public is_command_enabled: function(self: PCefTextfield; command_id: TCefTextFieldCommands): Integer; stdcall;

This item has no description.

Public execute_command: procedure(self: PCefTextfield; command_id: TCefTextFieldCommands); stdcall;

This item has no description.

Public clear_edit_history: procedure(self: PCefTextfield); stdcall;

This item has no description.

Public set_placeholder_text: procedure(self: PCefTextfield; const text: PCefString); stdcall;

This item has no description.

Public get_placeholder_text: function(self: PCefTextfield): PCefStringUserFree; stdcall;

This item has no description.

Public set_placeholder_text_color: procedure(self: PCefTextfield; color: TCefColor); stdcall;

This item has no description.

Public set_accessible_name: procedure(self: PCefTextfield; const name: PCefString); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefTextfieldDelegate

Record TCefTextfieldDelegate

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefTextfieldDelegate = record

Description

Implement this structure to handle Textfield events. The functions of this structure will be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

Implemented by ICefTextfieldDelegate.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_textfield_delegate_capi.h">CEF source file: /include/capi/views/cef_textfield_delegate_capi.h (cef_textfield_delegate_t))

Overview

Fields

Public | base: TCefViewDelegate;
Public | on_key_event: function(self: PCefTextfieldDelegate; textfield: PCefTextfield; const event: PCefKeyEvent): Integer; stdcall;
Public | on_after_user_action: procedure(self: PCefTextfieldDelegate; textfield: PCefTextfield); stdcall;

Description

Fields

Public base: TCefViewDelegate;

This item has no description.

Public on_key_event: function(self: PCefTextfieldDelegate; textfield: PCefTextfield; const event: PCefKeyEvent): Integer; stdcall;

This item has no description.

Public on_after_user_action: procedure(self: PCefTextfieldDelegate; textfield: PCefTextfield); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefScrollView

Record TCefScrollView

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefScrollView = record

Description

A ScrollView will show horizontal and/or vertical scrollbars when necessary based on the size of the attached content view. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Implemented by ICefScrollView.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_scroll_view_capi.h">CEF source file: /include/capi/views/cef_scroll_view_capi.h (cef_scroll_view_t))

Overview

Fields

Public | base: TCefView;
Public | set_content_view: procedure(self: PCefScrollView; view: PCefView); stdcall;
Public | get_content_view: function(self: PCefScrollView): PCefView; stdcall;
Public | get_visible_content_rect: function(self: PCefScrollView): TCefRect; stdcall;
Public | has_horizontal_scrollbar: function(self: PCefScrollView): Integer; stdcall;
Public | get_horizontal_scrollbar_height: function(self: PCefScrollView): Integer; stdcall;
Public | has_vertical_scrollbar: function(self: PCefScrollView): Integer; stdcall;
Public | get_vertical_scrollbar_width: function(self: PCefScrollView): Integer; stdcall;

Description

Fields

Public base: TCefView;

This item has no description.

Public set_content_view: procedure(self: PCefScrollView; view: PCefView); stdcall;

This item has no description.

Public get_content_view: function(self: PCefScrollView): PCefView; stdcall;

This item has no description.

Public get_visible_content_rect: function(self: PCefScrollView): TCefRect; stdcall;

This item has no description.

Public has_horizontal_scrollbar: function(self: PCefScrollView): Integer; stdcall;

This item has no description.

Public get_horizontal_scrollbar_height: function(self: PCefScrollView): Integer; stdcall;

This item has no description.

Public has_vertical_scrollbar: function(self: PCefScrollView): Integer; stdcall;

This item has no description.

Public get_vertical_scrollbar_width: function(self: PCefScrollView): Integer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefPanel

Record TCefPanel

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefPanel = record

Description

A Panel is a container in the views hierarchy that can contain other Views as children. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Implemented by ICefPanel.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_panel_capi.h">CEF source file: /include/capi/views/cef_panel_capi.h (cef_panel_t))

Overview

Fields

Public | base: TCefView;
Public | as_window: function(self: PCefPanel): PCefWindow; stdcall;
Public | set_to_fill_layout: function(self: PCefPanel): PCefFillLayout; stdcall;
Public | set_to_box_layout: function(self: PCefPanel; const settings: PCefBoxLayoutSettings): PCefBoxLayout; stdcall;
Public | get_layout: function(self: PCefPanel): PCefLayout; stdcall;
Public | layout: procedure(self: PCefPanel); stdcall;
Public | add_child_view: procedure(self: PCefPanel; view: PCefView); stdcall;
Public | add_child_view_at: procedure(self: PCefPanel; view: PCefView; index: Integer); stdcall;
Public | reorder_child_view: procedure(self: PCefPanel; view: PCefView; index: Integer); stdcall;
Public | remove_child_view: procedure(self: PCefPanel; view: PCefView); stdcall;
Public | remove_all_child_views: procedure(self: PCefPanel); stdcall;
Public | get_child_view_count: function(self: PCefPanel): NativeUInt; stdcall;
Public | get_child_view_at: function(self: PCefPanel; index: Integer): PCefView; stdcall;

Description

Fields

Public base: TCefView;

This item has no description.

Public as_window: function(self: PCefPanel): PCefWindow; stdcall;

This item has no description.

Public set_to_fill_layout: function(self: PCefPanel): PCefFillLayout; stdcall;

This item has no description.

Public set_to_box_layout: function(self: PCefPanel; const settings: PCefBoxLayoutSettings): PCefBoxLayout; stdcall;

This item has no description.

Public get_layout: function(self: PCefPanel): PCefLayout; stdcall;

This item has no description.

Public layout: procedure(self: PCefPanel); stdcall;

This item has no description.

Public add_child_view: procedure(self: PCefPanel; view: PCefView); stdcall;

This item has no description.

Public add_child_view_at: procedure(self: PCefPanel; view: PCefView; index: Integer); stdcall;

This item has no description.

Public reorder_child_view: procedure(self: PCefPanel; view: PCefView; index: Integer); stdcall;

This item has no description.

Public remove_child_view: procedure(self: PCefPanel; view: PCefView); stdcall;

This item has no description.

Public remove_all_child_views: procedure(self: PCefPanel); stdcall;

This item has no description.

Public get_child_view_count: function(self: PCefPanel): NativeUInt; stdcall;

This item has no description.

Public get_child_view_at: function(self: PCefPanel; index: Integer): PCefView; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefPanelDelegate

Record TCefPanelDelegate

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefPanelDelegate = record

Description

Implement this structure to handle Panel events. The functions of this structure will be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

Implemented by ICefPanelDelegate.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_panel_delegate_capi.h">CEF source file: /include/capi/views/cef_panel_delegate_capi.h (cef_panel_delegate_t))

Overview

Fields

Public base: TCefViewDelegate;

Description

Fields

Public base: TCefViewDelegate;

This item has no description.


cef4delphi: uCEFTypes: Record TCefBrowserView

Record TCefBrowserView

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefBrowserView = record

Description

A View hosting a ICefBrowser instance. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Implemented by ICefBrowserView.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_browser_view_capi.h">CEF source file: /include/capi/views/cef_browser_view_capi.h (cef_browser_view_t))

Overview

Fields

Public | base: TCefView;
Public | get_browser: function(self: PCefBrowserView): PCefBrowser; stdcall;
Public | get_chrome_toolbar: function(self: PCefBrowserView): PCefView; stdcall;
Public | set_prefer_accelerators: procedure(self: PCefBrowserView; prefer_accelerators: Integer); stdcall;
Public | get_runtime_style: function(self: PCefBrowserView): TCefRuntimeStyle; stdcall;

Description

Fields

Public base: TCefView;

This item has no description.

Public get_browser: function(self: PCefBrowserView): PCefBrowser; stdcall;

This item has no description.

Public get_chrome_toolbar: function(self: PCefBrowserView): PCefView; stdcall;

This item has no description.

Public set_prefer_accelerators: procedure(self: PCefBrowserView; prefer_accelerators: Integer); stdcall;

This item has no description.

Public get_runtime_style: function(self: PCefBrowserView): TCefRuntimeStyle; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefBrowserViewDelegate

Record TCefBrowserViewDelegate

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefBrowserViewDelegate = record

Description

Implement this structure to handle BrowserView events. The functions of this structure will be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

Implemented by ICefBrowserViewDelegate.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_browser_view_delegate_capi.h">CEF source file: /include/capi/views/cef_browser_view_delegate_capi.h (cef_browser_view_delegate_t))

Overview

Fields

Public | base: TCefViewDelegate;
Public | on_browser_created: procedure(self: PCefBrowserViewDelegate; browser_view: PCefBrowserView; browser: PCefBrowser); stdcall;
Public | on_browser_destroyed: procedure(self: PCefBrowserViewDelegate; browser_view: PCefBrowserView; browser: PCefBrowser); stdcall;
Public | get_delegate_for_popup_browser_view: function(self: PCefBrowserViewDelegate; browser_view: PCefBrowserView; const settings: PCefBrowserSettings; client: PCefClient; is_devtools: Integer): PCefBrowserViewDelegate; stdcall;
Public | on_popup_browser_view_created: function(self: PCefBrowserViewDelegate; browser_view, popup_browser_view: PCefBrowserView; is_devtools: Integer): Integer; stdcall;
Public | get_chrome_toolbar_type: function(self: PCefBrowserViewDelegate; browser_view: PCefBrowserView): TCefChromeToolbarType; stdcall;
Public | use_frameless_window_for_picture_in_picture: function(self: PCefBrowserViewDelegate; browser_view: PCefBrowserView): integer; stdcall;
Public | on_gesture_command: function(self: PCefBrowserViewDelegate; browser_view: PCefBrowserView; gesture_command: TCefGestureCommand): Integer; stdcall;
Public | get_browser_runtime_style: function(self: PCefBrowserViewDelegate): TCefRuntimeStyle; stdcall;
Public | allow_move_for_picture_in_picture: function(self: PCefBrowserViewDelegate; browser_view: PCefBrowserView): integer; stdcall;

Description

Fields

Public base: TCefViewDelegate;

This item has no description.

Public on_browser_created: procedure(self: PCefBrowserViewDelegate; browser_view: PCefBrowserView; browser: PCefBrowser); stdcall;

This item has no description.

Public on_browser_destroyed: procedure(self: PCefBrowserViewDelegate; browser_view: PCefBrowserView; browser: PCefBrowser); stdcall;

This item has no description.

Public get_delegate_for_popup_browser_view: function(self: PCefBrowserViewDelegate; browser_view: PCefBrowserView; const settings: PCefBrowserSettings; client: PCefClient; is_devtools: Integer): PCefBrowserViewDelegate; stdcall;

This item has no description.

Public on_popup_browser_view_created: function(self: PCefBrowserViewDelegate; browser_view, popup_browser_view: PCefBrowserView; is_devtools: Integer): Integer; stdcall;

This item has no description.

Public get_chrome_toolbar_type: function(self: PCefBrowserViewDelegate; browser_view: PCefBrowserView): TCefChromeToolbarType; stdcall;

This item has no description.

Public use_frameless_window_for_picture_in_picture: function(self: PCefBrowserViewDelegate; browser_view: PCefBrowserView): integer; stdcall;

This item has no description.

Public on_gesture_command: function(self: PCefBrowserViewDelegate; browser_view: PCefBrowserView; gesture_command: TCefGestureCommand): Integer; stdcall;

This item has no description.

Public get_browser_runtime_style: function(self: PCefBrowserViewDelegate): TCefRuntimeStyle; stdcall;

This item has no description.

Public allow_move_for_picture_in_picture: function(self: PCefBrowserViewDelegate; browser_view: PCefBrowserView): integer; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefButton

Record TCefButton

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefButton = record

Description

A View representing a button. Depending on the specific type, the button could be implemented by a native control or custom rendered. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Implemented by ICefButton.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_button_capi.h">CEF source file: /include/capi/views/cef_button_capi.h (cef_button_t))

Overview

Fields

Public | base: TCefView;
Public | as_label_button: function(self: PCefButton): PCefLabelButton; stdcall;
Public | set_state: procedure(self: PCefButton; state: TCefButtonState); stdcall;
Public | get_state: function(self: PCefButton): TCefButtonState; stdcall;
Public | set_ink_drop_enabled: procedure(self: PCefButton; enabled: Integer); stdcall;
Public | set_tooltip_text: procedure(self: PCefButton; const tooltip_text: PCefString); stdcall;
Public | set_accessible_name: procedure(self: PCefButton; const name: PCefString); stdcall;

Description

Fields

Public base: TCefView;

This item has no description.

Public as_label_button: function(self: PCefButton): PCefLabelButton; stdcall;

This item has no description.

Public set_state: procedure(self: PCefButton; state: TCefButtonState); stdcall;

This item has no description.

Public get_state: function(self: PCefButton): TCefButtonState; stdcall;

This item has no description.

Public set_ink_drop_enabled: procedure(self: PCefButton; enabled: Integer); stdcall;

This item has no description.

Public set_tooltip_text: procedure(self: PCefButton; const tooltip_text: PCefString); stdcall;

This item has no description.

Public set_accessible_name: procedure(self: PCefButton; const name: PCefString); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefButtonDelegate

Record TCefButtonDelegate

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefButtonDelegate = record

Description

Implement this structure to handle Button events. The functions of this structure will be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

Implemented by ICefButtonDelegate.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_button_delegate_capi.h">CEF source file: /include/capi/views/cef_button_delegate_capi.h (cef_button_delegate_t))

Overview

Fields

Public | base: TCefViewDelegate;
Public | on_button_pressed: procedure(self: PCefButtonDelegate; button: PCefButton); stdcall;
Public | on_button_state_changed: procedure(self: PCefButtonDelegate; button: PCefButton); stdcall;

Description

Fields

Public base: TCefViewDelegate;

This item has no description.

Public on_button_pressed: procedure(self: PCefButtonDelegate; button: PCefButton); stdcall;

This item has no description.

Public on_button_state_changed: procedure(self: PCefButtonDelegate; button: PCefButton); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefLabelButton

Record TCefLabelButton

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefLabelButton = record

Description

LabelButton is a button with optional text and/or icon. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Implemented by ICefLabelButton.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_label_button_capi.h">CEF source file: /include/capi/views/cef_label_button_capi.h (cef_label_button_t))

Overview

Fields

Public | base: TCefButton;
Public | as_menu_button: function(self: PCefLabelButton): PCefMenuButton; stdcall;
Public | set_text: procedure(self: PCefLabelButton; const text: PCefString); stdcall;
Public | get_text: function(self: PCefLabelButton): PCefStringUserFree; stdcall;
Public | set_image: procedure(self: PCefLabelButton; button_state: TCefButtonState; image: PCefImage); stdcall;
Public | get_image: function(self: PCefLabelButton; button_state: TCefButtonState): PCefImage; stdcall;
Public | set_text_color: procedure(self: PCefLabelButton; for_state: TCefButtonState; color: TCefColor); stdcall;
Public | set_enabled_text_colors: procedure(self: PCefLabelButton; color: TCefColor); stdcall;
Public | set_font_list: procedure(self: PCefLabelButton; const font_list: PCefString); stdcall;
Public | set_horizontal_alignment: procedure(self: PCefLabelButton; alignment: TCefHorizontalAlignment); stdcall;
Public | set_minimum_size: procedure(self: PCefLabelButton; const size: PCefSize); stdcall;
Public | set_maximum_size: procedure(self: PCefLabelButton; const size: PCefSize); stdcall;

Description

Fields

Public base: TCefButton;

This item has no description.

Public as_menu_button: function(self: PCefLabelButton): PCefMenuButton; stdcall;

This item has no description.

Public set_text: procedure(self: PCefLabelButton; const text: PCefString); stdcall;

This item has no description.

Public get_text: function(self: PCefLabelButton): PCefStringUserFree; stdcall;

This item has no description.

Public set_image: procedure(self: PCefLabelButton; button_state: TCefButtonState; image: PCefImage); stdcall;

This item has no description.

Public get_image: function(self: PCefLabelButton; button_state: TCefButtonState): PCefImage; stdcall;

This item has no description.

Public set_text_color: procedure(self: PCefLabelButton; for_state: TCefButtonState; color: TCefColor); stdcall;

This item has no description.

Public set_enabled_text_colors: procedure(self: PCefLabelButton; color: TCefColor); stdcall;

This item has no description.

Public set_font_list: procedure(self: PCefLabelButton; const font_list: PCefString); stdcall;

This item has no description.

Public set_horizontal_alignment: procedure(self: PCefLabelButton; alignment: TCefHorizontalAlignment); stdcall;

This item has no description.

Public set_minimum_size: procedure(self: PCefLabelButton; const size: PCefSize); stdcall;

This item has no description.

Public set_maximum_size: procedure(self: PCefLabelButton; const size: PCefSize); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefMenuButton

Record TCefMenuButton

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefMenuButton = record

Description

MenuButton is a button with optional text, icon and/or menu marker that shows a menu when clicked with the left mouse button. All size and position values are in density independent pixels (DIP) unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Implemented by ICefMenuButton.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_menu_button_capi.h">CEF source file: /include/capi/views/cef_menu_button_capi.h (cef_menu_button_t))

Overview

Fields

Public | base: TCefLabelButton;
Public | show_menu: procedure(self: PCefMenuButton; menu_model: PCefMenuModel; const screen_point: PCefPoint; anchor_position: TCefMenuAnchorPosition); stdcall;
Public | trigger_menu: procedure(self: PCefMenuButton); stdcall;

Description

Fields

Public base: TCefLabelButton;

This item has no description.

Public show_menu: procedure(self: PCefMenuButton; menu_model: PCefMenuModel; const screen_point: PCefPoint; anchor_position: TCefMenuAnchorPosition); stdcall;

This item has no description.

Public trigger_menu: procedure(self: PCefMenuButton); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefMenuButtonPressedLock

Record TCefMenuButtonPressedLock

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefMenuButtonPressedLock = record

Description

MenuButton pressed lock is released when this object is destroyed.

NOTE: This struct is allocated DLL-side.

Implemented by ICefMenuButtonPressedLock.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_menu_button_delegate_capi.h">CEF source file: /include/capi/views/cef_menu_button_delegate_capi.h (cef_menu_button_pressed_lock_t))

Overview

Fields

Public base: TCefBaseRefCounted;

Description

Fields

Public base: TCefBaseRefCounted;

This item has no description.


cef4delphi: uCEFTypes: Record TCefMenuButtonDelegate

Record TCefMenuButtonDelegate

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefMenuButtonDelegate = record

Description

Implement this structure to handle MenuButton events. The functions of this structure will be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

Implemented by ICefMenuButtonDelegate.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_menu_button_delegate_capi.h">CEF source file: /include/capi/views/cef_menu_button_delegate_capi.h (cef_menu_button_delegate_t))

Overview

Fields

Public | base: TCefButtonDelegate;
Public | on_menu_button_pressed: procedure(self: PCefMenuButtonDelegate; menu_button: PCefMenuButton; const screen_point: PCefPoint; button_pressed_lock: PCefMenuButtonPressedLock); stdcall;

Description

Fields

Public base: TCefButtonDelegate;

This item has no description.

Public on_menu_button_pressed: procedure(self: PCefMenuButtonDelegate; menu_button: PCefMenuButton; const screen_point: PCefPoint; button_pressed_lock: PCefMenuButtonPressedLock); stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefWindow

Record TCefWindow

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefWindow = record

Description

A Window is a top-level Window/widget in the Views hierarchy. By default it will have a non-client area with title bar, icon and buttons that supports moving and resizing. All size and position values are in density independent pixels (DIP) unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Implemented by ICefWindow.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_window_capi.h">CEF source file: /include/capi/views/cef_window_capi.h (cef_window_t))

Overview

Fields

Public | base: TCefPanel;
Public | show: procedure(self: PCefWindow); stdcall;
Public | show_as_browser_modal_dialog: procedure(self: PCefWindow; browser_view: PCefBrowserView); stdcall;
Public | hide: procedure(self: PCefWindow); stdcall;
Public | center_window: procedure(self: PCefWindow; const size: PCefSize); stdcall;
Public | close: procedure(self: PCefWindow); stdcall;
Public | is_closed: function(self: PCefWindow): Integer; stdcall;
Public | activate: procedure(self: PCefWindow); stdcall;
Public | deactivate: procedure(self: PCefWindow); stdcall;
Public | is_active: function(self: PCefWindow): Integer; stdcall;
Public | bring_to_top: procedure(self: PCefWindow); stdcall;
Public | set_always_on_top: procedure(self: PCefWindow; on_top: Integer); stdcall;
Public | is_always_on_top: function(self: PCefWindow): Integer; stdcall;
Public | maximize: procedure(self: PCefWindow); stdcall;
Public | minimize: procedure(self: PCefWindow); stdcall;
Public | restore: procedure(self: PCefWindow); stdcall;
Public | set_fullscreen: procedure(self: PCefWindow; fullscreen: Integer); stdcall;
Public | is_maximized: function(self: PCefWindow): Integer; stdcall;
Public | is_minimized: function(self: PCefWindow): Integer; stdcall;
Public | is_fullscreen: function(self: PCefWindow): Integer; stdcall;
Public | get_focused_view: function(self: PCefWindow): PCefView; stdcall;
Public | set_title: procedure(self: PCefWindow; const title: PCefString); stdcall;
Public | get_title: function(self: PCefWindow): PCefStringUserFree; stdcall;
Public | set_window_icon: procedure(self: PCefWindow; image: PCefImage); stdcall;
Public | get_window_icon: function(self: PCefWindow): PCefImage; stdcall;
Public | set_window_app_icon: procedure(self: PCefWindow; image: PCefImage); stdcall;
Public | get_window_app_icon: function(self: PCefWindow): PCefImage; stdcall;
Public | add_overlay_view: function(self: PCefWindow; view: PCefView; docking_mode: TCefDockingMode; can_activate: integer): PCefOverlayController; stdcall;
Public | show_menu: procedure(self: PCefWindow; menu_model: PCefMenuModel; const screen_point: PCefPoint; anchor_position : TCefMenuAnchorPosition); stdcall;
Public | cancel_menu: procedure(self: PCefWindow); stdcall;
Public | get_display: function(self: PCefWindow): PCefDisplay; stdcall;
Public | get_client_area_bounds_in_screen: function(self: PCefWindow): TCefRect; stdcall;
Public | set_draggable_regions: procedure(self: PCefWindow; regionsCount: NativeUInt; const regions: PCefDraggableRegionArray); stdcall;
Public | get_window_handle: function(self: PCefWindow): TCefWindowHandle; stdcall;
Public | send_key_press: procedure(self: PCefWindow; key_code: Integer; event_flags: cardinal); stdcall;
Public | send_mouse_move: procedure(self: PCefWindow; screen_x, screen_y: Integer); stdcall;
Public | send_mouse_events: procedure(self: PCefWindow; button: TCefMouseButtonType; mouse_down, mouse_up: Integer); stdcall;
Public | set_accelerator: procedure(self: PCefWindow; command_id, key_code, shift_pressed, ctrl_pressed, alt_pressed, high_priority: Integer); stdcall;
Public | remove_accelerator: procedure(self: PCefWindow; command_id: Integer); stdcall;
Public | remove_all_accelerators: procedure(self: PCefWindow); stdcall;
Public | set_theme_color: procedure(self: PCefWindow; color_id: integer; color: TCefColor); stdcall;
Public | theme_changed: procedure(self: PCefWindow); stdcall;
Public | get_runtime_style: function(self: PCefWindow): TCefRuntimeStyle; stdcall;

Description

Fields

Public base: TCefPanel;

This item has no description.

Public show: procedure(self: PCefWindow); stdcall;

This item has no description.

Public show_as_browser_modal_dialog: procedure(self: PCefWindow; browser_view: PCefBrowserView); stdcall;

This item has no description.

Public hide: procedure(self: PCefWindow); stdcall;

This item has no description.

Public center_window: procedure(self: PCefWindow; const size: PCefSize); stdcall;

This item has no description.

Public close: procedure(self: PCefWindow); stdcall;

This item has no description.

Public is_closed: function(self: PCefWindow): Integer; stdcall;

This item has no description.

Public activate: procedure(self: PCefWindow); stdcall;

This item has no description.

Public deactivate: procedure(self: PCefWindow); stdcall;

This item has no description.

Public is_active: function(self: PCefWindow): Integer; stdcall;

This item has no description.

Public bring_to_top: procedure(self: PCefWindow); stdcall;

This item has no description.

Public set_always_on_top: procedure(self: PCefWindow; on_top: Integer); stdcall;

This item has no description.

Public is_always_on_top: function(self: PCefWindow): Integer; stdcall;

This item has no description.

Public maximize: procedure(self: PCefWindow); stdcall;

This item has no description.

Public minimize: procedure(self: PCefWindow); stdcall;

This item has no description.

Public restore: procedure(self: PCefWindow); stdcall;

This item has no description.

Public set_fullscreen: procedure(self: PCefWindow; fullscreen: Integer); stdcall;

This item has no description.

Public is_maximized: function(self: PCefWindow): Integer; stdcall;

This item has no description.

Public is_minimized: function(self: PCefWindow): Integer; stdcall;

This item has no description.

Public is_fullscreen: function(self: PCefWindow): Integer; stdcall;

This item has no description.

Public get_focused_view: function(self: PCefWindow): PCefView; stdcall;

This item has no description.

Public set_title: procedure(self: PCefWindow; const title: PCefString); stdcall;

This item has no description.

Public get_title: function(self: PCefWindow): PCefStringUserFree; stdcall;

This item has no description.

Public set_window_icon: procedure(self: PCefWindow; image: PCefImage); stdcall;

This item has no description.

Public get_window_icon: function(self: PCefWindow): PCefImage; stdcall;

This item has no description.

Public set_window_app_icon: procedure(self: PCefWindow; image: PCefImage); stdcall;

This item has no description.

Public get_window_app_icon: function(self: PCefWindow): PCefImage; stdcall;

This item has no description.

Public add_overlay_view: function(self: PCefWindow; view: PCefView; docking_mode: TCefDockingMode; can_activate: integer): PCefOverlayController; stdcall;

This item has no description.

Public show_menu: procedure(self: PCefWindow; menu_model: PCefMenuModel; const screen_point: PCefPoint; anchor_position : TCefMenuAnchorPosition); stdcall;

This item has no description.

Public cancel_menu: procedure(self: PCefWindow); stdcall;

This item has no description.

Public get_display: function(self: PCefWindow): PCefDisplay; stdcall;

This item has no description.

Public get_client_area_bounds_in_screen: function(self: PCefWindow): TCefRect; stdcall;

This item has no description.

Public set_draggable_regions: procedure(self: PCefWindow; regionsCount: NativeUInt; const regions: PCefDraggableRegionArray); stdcall;

This item has no description.

Public get_window_handle: function(self: PCefWindow): TCefWindowHandle; stdcall;

This item has no description.

Public send_key_press: procedure(self: PCefWindow; key_code: Integer; event_flags: cardinal); stdcall;

This item has no description.

Public send_mouse_move: procedure(self: PCefWindow; screen_x, screen_y: Integer); stdcall;

This item has no description.

Public send_mouse_events: procedure(self: PCefWindow; button: TCefMouseButtonType; mouse_down, mouse_up: Integer); stdcall;

This item has no description.

Public set_accelerator: procedure(self: PCefWindow; command_id, key_code, shift_pressed, ctrl_pressed, alt_pressed, high_priority: Integer); stdcall;

This item has no description.

Public remove_accelerator: procedure(self: PCefWindow; command_id: Integer); stdcall;

This item has no description.

Public remove_all_accelerators: procedure(self: PCefWindow); stdcall;

This item has no description.

Public set_theme_color: procedure(self: PCefWindow; color_id: integer; color: TCefColor); stdcall;

This item has no description.

Public theme_changed: procedure(self: PCefWindow); stdcall;

This item has no description.

Public get_runtime_style: function(self: PCefWindow): TCefRuntimeStyle; stdcall;

This item has no description.


cef4delphi: uCEFTypes: Record TCefWindowDelegate

Record TCefWindowDelegate

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFTypes

Declaration

type TCefWindowDelegate = record

Description

Implement this structure to handle window events. The functions of this structure will be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

Implemented by ICefWindowDelegate.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_window_delegate_capi.h">CEF source file: /include/capi/views/cef_window_delegate_capi.h (cef_window_delegate_t))

Overview

Fields

Public | base: TCefPanelDelegate;
Public | on_window_created: procedure(self: PCefWindowDelegate; window: PCefWindow); stdcall;
Public | on_window_closing: procedure(self: PCefWindowDelegate; window: PCefWindow); stdcall;
Public | on_window_destroyed: procedure(self: PCefWindowDelegate; window: PCefWindow); stdcall;
Public | on_window_activation_changed: procedure(self: PCefWindowDelegate; window: PCefWindow; active: integer); stdcall;
Public | on_window_bounds_changed: procedure(self: PCefWindowDelegate; window: PCefWindow; const new_bounds: PCefRect); stdcall;
Public | on_window_fullscreen_transition: procedure(self: PCefWindowDelegate; window: PCefWindow; is_completed: integer); stdcall;
Public | get_parent_window: function(self: PCefWindowDelegate; window: PCefWindow; is_menu, can_activate_menu: PInteger): PCefWindow; stdcall;
Public | is_window_modal_dialog: function(self: PCefWindowDelegate; window: PCefWindow): Integer; stdcall;
Public | get_initial_bounds: function(self: PCefWindowDelegate; window: PCefWindow): TCefRect; stdcall;
Public | get_initial_show_state: function(self: PCefWindowDelegate; window: PCefWindow): TCefShowState; stdcall;
Public | is_frameless: function(self: PCefWindowDelegate; window: PCefWindow): Integer; stdcall;
Public | with_standard_window_buttons: function(self: PCefWindowDelegate; window: PCefWindow): Integer; stdcall;
Public | get_titlebar_height: function(self: PCefWindowDelegate; window: PCefWindow; titlebar_height: System.PSingle): Integer; stdcall;
Public | accepts_first_mouse: function(self: PCefWindowDelegate; window: PCefWindow): TCefState; stdcall;
Public | can_resize: function(self: PCefWindowDelegate; window: PCefWindow): Integer; stdcall;
Public | can_maximize: function(self: PCefWindowDelegate; window: PCefWindow): Integer; stdcall;
Public | can_minimize: function(self: PCefWindowDelegate; window: PCefWindow): Integer; stdcall;
Public | can_close: function(self: PCefWindowDelegate; window: PCefWindow): Integer; stdcall;
Public | on_accelerator: function(self: PCefWindowDelegate; window: PCefWindow; command_id: Integer): Integer; stdcall;
Public | on_key_event: function(self: PCefWindowDelegate; window: PCefWindow; const event: PCefKeyEvent): Integer; stdcall;
Public | on_theme_colors_changed: procedure(self: PCefWindowDelegate; window: PCefWindow; chrome_theme: Integer); stdcall;
Public | get_window_runtime_style: function(self: PCefWindowDelegate): TCefRuntimeStyle; stdcall;
Public | get_linux_window_properties: function(self: PCefWindowDelegate; window: PCefWindow; properties: PCefLinuxWindowProperties): Integer; stdcall;

Description

Fields

Public base: TCefPanelDelegate;

This item has no description.

Public on_window_created: procedure(self: PCefWindowDelegate; window: PCefWindow); stdcall;

This item has no description.

Public on_window_closing: procedure(self: PCefWindowDelegate; window: PCefWindow); stdcall;

This item has no description.

Public on_window_destroyed: procedure(self: PCefWindowDelegate; window: PCefWindow); stdcall;

This item has no description.

Public on_window_activation_changed: procedure(self: PCefWindowDelegate; window: PCefWindow; active: integer); stdcall;

This item has no description.

Public on_window_bounds_changed: procedure(self: PCefWindowDelegate; window: PCefWindow; const new_bounds: PCefRect); stdcall;

This item has no description.

Public on_window_fullscreen_transition: procedure(self: PCefWindowDelegate; window: PCefWindow; is_completed: integer); stdcall;

This item has no description.

Public get_parent_window: function(self: PCefWindowDelegate; window: PCefWindow; is_menu, can_activate_menu: PInteger): PCefWindow; stdcall;

This item has no description.

Public is_window_modal_dialog: function(self: PCefWindowDelegate; window: PCefWindow): Integer; stdcall;

This item has no description.

Public get_initial_bounds: function(self: PCefWindowDelegate; window: PCefWindow): TCefRect; stdcall;

This item has no description.

Public get_initial_show_state: function(self: PCefWindowDelegate; window: PCefWindow): TCefShowState; stdcall;

This item has no description.

Public is_frameless: function(self: PCefWindowDelegate; window: PCefWindow): Integer; stdcall;

This item has no description.

Public with_standard_window_buttons: function(self: PCefWindowDelegate; window: PCefWindow): Integer; stdcall;

This item has no description.

Public get_titlebar_height: function(self: PCefWindowDelegate; window: PCefWindow; titlebar_height: System.PSingle): Integer; stdcall;

This item has no description.

Public accepts_first_mouse: function(self: PCefWindowDelegate; window: PCefWindow): TCefState; stdcall;

This item has no description.

Public can_resize: function(self: PCefWindowDelegate; window: PCefWindow): Integer; stdcall;

This item has no description.

Public can_maximize: function(self: PCefWindowDelegate; window: PCefWindow): Integer; stdcall;

This item has no description.

Public can_minimize: function(self: PCefWindowDelegate; window: PCefWindow): Integer; stdcall;

This item has no description.

Public can_close: function(self: PCefWindowDelegate; window: PCefWindow): Integer; stdcall;

This item has no description.

Public on_accelerator: function(self: PCefWindowDelegate; window: PCefWindow; command_id: Integer): Integer; stdcall;

This item has no description.

Public on_key_event: function(self: PCefWindowDelegate; window: PCefWindow; const event: PCefKeyEvent): Integer; stdcall;

This item has no description.

Public on_theme_colors_changed: procedure(self: PCefWindowDelegate; window: PCefWindow; chrome_theme: Integer); stdcall;

This item has no description.

Public get_window_runtime_style: function(self: PCefWindowDelegate): TCefRuntimeStyle; stdcall;

This item has no description.

Public get_linux_window_properties: function(self: PCefWindowDelegate; window: PCefWindow; properties: PCefLinuxWindowProperties): Integer; stdcall;

This item has no description.


cef4delphi: uCEFUnresponsiveProcessCallback

Unit uCEFUnresponsiveProcessCallback

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefUnresponsiveProcessCallbackRef |


cef4delphi: uCEFUnresponsiveProcessCallback: Class TCefUnresponsiveProcessCallbackRef

Class TCefUnresponsiveProcessCallbackRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFUnresponsiveProcessCallback

Declaration

type TCefUnresponsiveProcessCallbackRef = class(TCefBaseRefCountedRef, ICefUnresponsiveProcessCallback)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefUnresponsiveProcessCallbackRef

Overview

Methods

Protected | procedure Wait;
Protected | procedure Terminate;
Public | class function UnWrap(data: Pointer): ICefUnresponsiveProcessCallback;

Description

Methods

Protected procedure Wait;

This item has no description. Showing description inherited from ICefUnresponsiveProcessCallback.Wait.

Reset the timeout for the unresponsive process.

Protected procedure Terminate;

This item has no description. Showing description inherited from ICefUnresponsiveProcessCallback.Terminate.

Terminate the unresponsive process.

Public class function UnWrap(data: Pointer): ICefUnresponsiveProcessCallback;

This item has no description.


cef4delphi: uCEFUrlRequest

Unit uCEFUrlRequest

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefUrlRequestRef |


cef4delphi: uCEFUrlRequest: Class TCefUrlRequestRef

Class TCefUrlRequestRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFUrlRequest

Declaration

type TCefUrlRequestRef = class(TCefBaseRefCountedRef, ICefUrlRequest)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefUrlRequestRef

Overview

Methods

Protected | function GetRequest: ICefRequest;
Protected | function GetClient: ICefUrlrequestClient;
Protected | function GetRequestStatus: TCefUrlRequestStatus;
Protected | function GetRequestError: Integer;
Protected | function GetResponse: ICefResponse;
Protected | function GetResponseWasCached: boolean;
Protected | procedure Cancel;
Public | class function UnWrap(data: Pointer): ICefUrlRequest;
Public | class function New(const request: ICefRequest; const client: ICefUrlRequestClient; const requestContext: ICefRequestContext): ICefUrlRequest;

Description

Methods

Protected function GetRequest: ICefRequest;

This item has no description. Showing description inherited from ICefUrlRequest.GetRequest.

Returns the request object used to create this URL request. The returned object is read-only and should not be modified.

Protected function GetClient: ICefUrlrequestClient;

This item has no description. Showing description inherited from ICefUrlRequest.GetClient.

Returns the client.

Protected function GetRequestStatus: TCefUrlRequestStatus;

This item has no description. Showing description inherited from ICefUrlRequest.GetRequestStatus.

Returns the request status.

Protected function GetRequestError: Integer;

This item has no description. Showing description inherited from ICefUrlRequest.GetRequestError.

Returns the request error if status is UR_CANCELED or UR_FAILED, or 0 otherwise.

Protected function GetResponse: ICefResponse;

This item has no description. Showing description inherited from ICefUrlRequest.GetResponse.

Returns the response, or NULL if no response information is available. Response information will only be available after the upload has completed. The returned object is read-only and should not be modified.

Protected function GetResponseWasCached: boolean;

This item has no description. Showing description inherited from ICefUrlRequest.GetResponseWasCached.

Returns true (1) if the response body was served from the cache. This includes responses for which revalidation was required.

Protected procedure Cancel;

This item has no description. Showing description inherited from ICefUrlRequest.Cancel.

Cancel the request.

Public class function UnWrap(data: Pointer): ICefUrlRequest;

This item has no description.

Public class function New(const request: ICefRequest; const client: ICefUrlRequestClient; const requestContext: ICefRequestContext): ICefUrlRequest;

This item has no description.


cef4delphi: uCEFUrlrequestClient

Unit uCEFUrlrequestClient

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefUrlrequestClientOwn |
Class TCustomCefUrlrequestClient |
Class TCefUrlrequestClientRef |


cef4delphi: uCEFUrlrequestClient: Class TCefUrlrequestClientOwn

Class TCefUrlrequestClientOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFUrlrequestClient

Declaration

type TCefUrlrequestClientOwn = class(TCefBaseRefCountedOwn, ICefUrlrequestClient)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefUrlrequestClientOwn

Overview

Methods

Protected | procedure OnRequestComplete(const request: ICefUrlRequest); virtual;
Protected | procedure OnUploadProgress(const request: ICefUrlRequest; current, total: Int64); virtual;
Protected | procedure OnDownloadProgress(const request: ICefUrlRequest; current, total: Int64); virtual;
Protected | procedure OnDownloadData(const request: ICefUrlRequest; data: Pointer; dataLength: NativeUInt); virtual;
Protected | function OnGetAuthCredentials(isProxy: Boolean; const host: ustring; port: Integer; const realm, scheme: ustring; const callback: ICefAuthCallback): Boolean; virtual;
Protected | procedure RemoveReferences; virtual;
Public | constructor Create; virtual;

Description

Methods

Protected procedure OnRequestComplete(const request: ICefUrlRequest); virtual;

This item has no description. Showing description inherited from ICefUrlrequestClient.OnRequestComplete.

Notifies the client that the request has completed. Use the ICefUrlRequest.GetRequestStatus function to determine if the request was successful or not.

Protected procedure OnUploadProgress(const request: ICefUrlRequest; current, total: Int64); virtual;

This item has no description. Showing description inherited from ICefUrlrequestClient.OnUploadProgress.

Notifies the client of upload progress. |current| denotes the number of bytes sent so far and |total| is the total size of uploading data (or -1 if chunked upload is enabled). This function will only be called if the UR_FLAG_REPORT_UPLOAD_PROGRESS flag is set on the request.

Protected procedure OnDownloadProgress(const request: ICefUrlRequest; current, total: Int64); virtual;

This item has no description. Showing description inherited from ICefUrlrequestClient.OnDownloadProgress.

Notifies the client of download progress. |current| denotes the number of bytes received up to the call and |total| is the expected total size of the response (or -1 if not determined).

Protected procedure OnDownloadData(const request: ICefUrlRequest; data: Pointer; dataLength: NativeUInt); virtual;

This item has no description. Showing description inherited from ICefUrlrequestClient.OnDownloadData.

Called when some part of the response is read. |data| contains the current bytes received since the last call. This function will not be called if the UR_FLAG_NO_DOWNLOAD_DATA flag is set on the request.

Protected function OnGetAuthCredentials(isProxy: Boolean; const host: ustring; port: Integer; const realm, scheme: ustring; const callback: ICefAuthCallback): Boolean; virtual;

This item has no description. Showing description inherited from ICefUrlrequestClient.OnGetAuthCredentials.

Called on the IO thread when the browser needs credentials from the user. |isProxy| indicates whether the host is a proxy server. |host| contains the hostname and |port| contains the port number. Return true (1) to continue the request and call ICefAuthCallback.cont() when the authentication information is available. If the request has an associated browser/frame then returning false (0) will result in a call to GetAuthCredentials on the ICefRequestHandler associated with that browser, if any. Otherwise, returning false (0) will cancel the request immediately. This function will only be called for requests initiated from the browser process.

Protected procedure RemoveReferences; virtual;

This item has no description. Showing description inherited from ICefUrlrequestClient.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFUrlrequestClient: Class TCustomCefUrlrequestClient

Class TCustomCefUrlrequestClient

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFUrlrequestClient

Declaration

type TCustomCefUrlrequestClient = class(TCefUrlrequestClientOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefUrlrequestClientOwn
  • TCustomCefUrlrequestClient

Overview

Fields

Protected FEvents: Pointer;

Methods

Protected | procedure OnRequestComplete(const request: ICefUrlRequest); override;
Protected | procedure OnUploadProgress(const request: ICefUrlRequest; current, total: Int64); override;
Protected | procedure OnDownloadProgress(const request: ICefUrlRequest; current, total: Int64); override;
Protected | procedure OnDownloadData(const request: ICefUrlRequest; data: Pointer; dataLength: NativeUInt); override;
Protected | function OnGetAuthCredentials(isProxy: Boolean; const host: ustring; port: Integer; const realm, scheme: ustring; const callback: ICefAuthCallback): Boolean; override;
Protected | procedure RemoveReferences; override;
Public | constructor Create(const events: ICEFUrlRequestClientEvents); reintroduce;
Public | destructor Destroy; override;

Description

Fields

Protected FEvents: Pointer;

This item has no description.

Methods

Protected procedure OnRequestComplete(const request: ICefUrlRequest); override;

This item has no description. Showing description inherited from ICefUrlrequestClient.OnRequestComplete.

Notifies the client that the request has completed. Use the ICefUrlRequest.GetRequestStatus function to determine if the request was successful or not.

Protected procedure OnUploadProgress(const request: ICefUrlRequest; current, total: Int64); override;

This item has no description. Showing description inherited from ICefUrlrequestClient.OnUploadProgress.

Notifies the client of upload progress. |current| denotes the number of bytes sent so far and |total| is the total size of uploading data (or -1 if chunked upload is enabled). This function will only be called if the UR_FLAG_REPORT_UPLOAD_PROGRESS flag is set on the request.

Protected procedure OnDownloadProgress(const request: ICefUrlRequest; current, total: Int64); override;

This item has no description. Showing description inherited from ICefUrlrequestClient.OnDownloadProgress.

Notifies the client of download progress. |current| denotes the number of bytes received up to the call and |total| is the expected total size of the response (or -1 if not determined).

Protected procedure OnDownloadData(const request: ICefUrlRequest; data: Pointer; dataLength: NativeUInt); override;

This item has no description. Showing description inherited from ICefUrlrequestClient.OnDownloadData.

Called when some part of the response is read. |data| contains the current bytes received since the last call. This function will not be called if the UR_FLAG_NO_DOWNLOAD_DATA flag is set on the request.

Protected function OnGetAuthCredentials(isProxy: Boolean; const host: ustring; port: Integer; const realm, scheme: ustring; const callback: ICefAuthCallback): Boolean; override;

This item has no description. Showing description inherited from ICefUrlrequestClient.OnGetAuthCredentials.

Called on the IO thread when the browser needs credentials from the user. |isProxy| indicates whether the host is a proxy server. |host| contains the hostname and |port| contains the port number. Return true (1) to continue the request and call ICefAuthCallback.cont() when the authentication information is available. If the request has an associated browser/frame then returning false (0) will result in a call to GetAuthCredentials on the ICefRequestHandler associated with that browser, if any. Otherwise, returning false (0) will cancel the request immediately. This function will only be called for requests initiated from the browser process.

Protected procedure RemoveReferences; override;

This item has no description. Showing description inherited from ICefUrlrequestClient.RemoveReferences.

Custom procedure to clear all references.

Public constructor Create(const events: ICEFUrlRequestClientEvents); reintroduce;

This item has no description.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFUrlrequestClient: Class TCefUrlrequestClientRef

Class TCefUrlrequestClientRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFUrlrequestClient

Declaration

type TCefUrlrequestClientRef = class(TCefBaseRefCountedRef, ICefUrlrequestClient)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefUrlrequestClientRef

Overview

Methods

Protected | procedure OnRequestComplete(const request: ICefUrlRequest);
Protected | procedure OnUploadProgress(const request: ICefUrlRequest; current, total: Int64);
Protected | procedure OnDownloadProgress(const request: ICefUrlRequest; current, total: Int64);
Protected | procedure OnDownloadData(const request: ICefUrlRequest; data: Pointer; dataLength: NativeUInt);
Protected | function OnGetAuthCredentials(isProxy: Boolean; const host: ustring; port: Integer; const realm, scheme: ustring; const callback: ICefAuthCallback): Boolean;
Protected | procedure RemoveReferences;
Public | class function UnWrap(data: Pointer): ICefUrlrequestClient;

Description

Methods

Protected procedure OnRequestComplete(const request: ICefUrlRequest);

This item has no description. Showing description inherited from ICefUrlrequestClient.OnRequestComplete.

Notifies the client that the request has completed. Use the ICefUrlRequest.GetRequestStatus function to determine if the request was successful or not.

Protected procedure OnUploadProgress(const request: ICefUrlRequest; current, total: Int64);

This item has no description. Showing description inherited from ICefUrlrequestClient.OnUploadProgress.

Notifies the client of upload progress. |current| denotes the number of bytes sent so far and |total| is the total size of uploading data (or -1 if chunked upload is enabled). This function will only be called if the UR_FLAG_REPORT_UPLOAD_PROGRESS flag is set on the request.

Protected procedure OnDownloadProgress(const request: ICefUrlRequest; current, total: Int64);

This item has no description. Showing description inherited from ICefUrlrequestClient.OnDownloadProgress.

Notifies the client of download progress. |current| denotes the number of bytes received up to the call and |total| is the expected total size of the response (or -1 if not determined).

Protected procedure OnDownloadData(const request: ICefUrlRequest; data: Pointer; dataLength: NativeUInt);

This item has no description. Showing description inherited from ICefUrlrequestClient.OnDownloadData.

Called when some part of the response is read. |data| contains the current bytes received since the last call. This function will not be called if the UR_FLAG_NO_DOWNLOAD_DATA flag is set on the request.

Protected function OnGetAuthCredentials(isProxy: Boolean; const host: ustring; port: Integer; const realm, scheme: ustring; const callback: ICefAuthCallback): Boolean;

This item has no description. Showing description inherited from ICefUrlrequestClient.OnGetAuthCredentials.

Called on the IO thread when the browser needs credentials from the user. |isProxy| indicates whether the host is a proxy server. |host| contains the hostname and |port| contains the port number. Return true (1) to continue the request and call ICefAuthCallback.cont() when the authentication information is available. If the request has an associated browser/frame then returning false (0) will result in a call to GetAuthCredentials on the ICefRequestHandler associated with that browser, if any. Otherwise, returning false (0) will cancel the request immediately. This function will only be called for requests initiated from the browser process.

Protected procedure RemoveReferences;

This item has no description. Showing description inherited from ICefUrlrequestClient.RemoveReferences.

Custom procedure to clear all references.

Public class function UnWrap(data: Pointer): ICefUrlrequestClient;

This item has no description.


cef4delphi: uCEFUrlRequestClientComponent

Unit uCEFUrlRequestClientComponent

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCEFUrlRequestClientComponent | The TCEFUrlRequestClientComponent class puts together all CEF URL request procedures, functions, properties and events in one place.

Functions and Procedures

procedure Register;

Description

Functions and Procedures

procedure Register;

This item has no description.


cef4delphi: uCEFUrlRequestClientComponent: Class TCEFUrlRequestClientComponent

Class TCEFUrlRequestClientComponent

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFUrlRequestClientComponent

Declaration

type TCEFUrlRequestClientComponent = class(TComponent, ICEFUrlRequestClientEvents)

Description

The TCEFUrlRequestClientComponent class puts together all CEF URL request procedures, functions, properties and events in one place.

Hierarchy

  • TObject
  • TPersistent
  • TComponent
  • TCEFUrlRequestClientComponent

Overview

Fields

Protected | FClient: ICefUrlrequestClient;
Protected | FThreadID: TCefThreadId;
Protected | FComponentID: integer;
Protected | FOnRequestComplete: TOnRequestComplete;
Protected | FOnUploadProgress: TOnUploadProgress;
Protected | FOnDownloadProgress: TOnDownloadProgress;
Protected | FOnDownloadData: TOnDownloadData;
Protected | FOnGetAuthCredentials: TOnGetAuthCredentials;
Protected | FOnCreateURLRequest: TNotifyEvent;

Methods

Protected | function GetComponentID: integer;
Protected | procedure doOnRequestComplete(const request: ICefUrlRequest);
Protected | procedure doOnUploadProgress(const request: ICefUrlRequest; current, total: Int64);
Protected | procedure doOnDownloadProgress(const request: ICefUrlRequest; current, total: Int64);
Protected | procedure doOnDownloadData(const request: ICefUrlRequest; data: Pointer; dataLength: NativeUInt);
Protected | function doOnGetAuthCredentials(isProxy: Boolean; const host: ustring; port: Integer; const realm, scheme: ustring; const callback: ICefAuthCallback): Boolean;
Protected | procedure doOnCreateURLRequest;
Protected | procedure DestroyRequestClient;
Public | constructor Create(AOwner: TComponent); override;
Public | procedure AfterConstruction; override;
Public | procedure BeforeDestruction; override;
Public | procedure AddURLRequest;

Properties

Public | property Client : ICefUrlrequestClient read FClient;
Public | property ThreadID : TCefThreadId read FThreadID write FThreadID;
Published | property OnRequestComplete : TOnRequestComplete read FOnRequestComplete write FOnRequestComplete;
Published | property OnUploadProgress : TOnUploadProgress read FOnUploadProgress write FOnUploadProgress;
Published | property OnDownloadProgress : TOnDownloadProgress read FOnDownloadProgress write FOnDownloadProgress;
Published | property OnDownloadData : TOnDownloadData read FOnDownloadData write FOnDownloadData;
Published | property OnGetAuthCredentials : TOnGetAuthCredentials read FOnGetAuthCredentials write FOnGetAuthCredentials;
Published | property OnCreateURLRequest : TNotifyEvent read FOnCreateURLRequest write FOnCreateURLRequest;

Description

Fields

Protected FClient: ICefUrlrequestClient;

This item has no description.

Protected FThreadID: TCefThreadId;

This item has no description.

Protected FComponentID: integer;

This item has no description.

Protected FOnRequestComplete: TOnRequestComplete;

This item has no description.

Protected FOnUploadProgress: TOnUploadProgress;

This item has no description.

Protected FOnDownloadProgress: TOnDownloadProgress;

This item has no description.

Protected FOnDownloadData: TOnDownloadData;

This item has no description.

Protected FOnGetAuthCredentials: TOnGetAuthCredentials;

This item has no description.

Protected FOnCreateURLRequest: TNotifyEvent;

This item has no description.

Methods

Protected function GetComponentID: integer;

This item has no description.

Protected procedure doOnRequestComplete(const request: ICefUrlRequest);

ICefUrlrequestClient

Protected procedure doOnUploadProgress(const request: ICefUrlRequest; current, total: Int64);

This item has no description.

Protected procedure doOnDownloadProgress(const request: ICefUrlRequest; current, total: Int64);

This item has no description.

Protected procedure doOnDownloadData(const request: ICefUrlRequest; data: Pointer; dataLength: NativeUInt);

This item has no description.

Protected function doOnGetAuthCredentials(isProxy: Boolean; const host: ustring; port: Integer; const realm, scheme: ustring; const callback: ICefAuthCallback): Boolean;

This item has no description.

Protected procedure doOnCreateURLRequest;

Custom

Protected procedure DestroyRequestClient;

This item has no description.

Public constructor Create(AOwner: TComponent); override;

This item has no description.

Public procedure AfterConstruction; override;

This item has no description.

Public procedure BeforeDestruction; override;

This item has no description.

Public procedure AddURLRequest;

Create the URLRequest in the context of TCEFUrlRequestClientComponent.ThreadId, which is the CEF UI thread by default.

Properties

Public property Client : ICefUrlrequestClient read FClient;

Returns the client.

Public property ThreadID : TCefThreadId read FThreadID write FThreadID;

CEF thread used to create the URLRequest. Most of the client events will be executed on the same thread.

Published property OnRequestComplete : TOnRequestComplete read FOnRequestComplete write FOnRequestComplete;

Notifies the client that the request has completed. Use the ICefUrlRequest.GetRequestStatus function to determine if the request was successful or not.

This event will be called on the TCEFUrlRequestClientComponent.ThreadId thread, which is the CEF UI thread by default.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_urlrequest_capi.h">CEF source file: /include/capi/cef_urlrequest_capi.h (cef_urlrequest_client_t))

Published property OnUploadProgress : TOnUploadProgress read FOnUploadProgress write FOnUploadProgress;

Notifies the client of upload progress. |current| denotes the number of bytes sent so far and |total| is the total size of uploading data (or -1 if chunked upload is enabled). This function will only be called if the UR_FLAG_REPORT_UPLOAD_PROGRESS flag is set on the request.

This event will be called on the TCEFUrlRequestClientComponent.ThreadId thread, which is the CEF UI thread by default.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_urlrequest_capi.h">CEF source file: /include/capi/cef_urlrequest_capi.h (cef_urlrequest_client_t))

Published property OnDownloadProgress : TOnDownloadProgress read FOnDownloadProgress write FOnDownloadProgress;

Notifies the client of download progress. |current| denotes the number of bytes received up to the call and |total| is the expected total size of the response (or -1 if not determined).

This event will be called on the TCEFUrlRequestClientComponent.ThreadId thread, which is the CEF UI thread by default.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_urlrequest_capi.h">CEF source file: /include/capi/cef_urlrequest_capi.h (cef_urlrequest_client_t))

Published property OnDownloadData : TOnDownloadData read FOnDownloadData write FOnDownloadData;

Called when some part of the response is read. |data| contains the current bytes received since the last call. This function will not be called if the UR_FLAG_NO_DOWNLOAD_DATA flag is set on the request.

This event will be called on the TCEFUrlRequestClientComponent.ThreadId thread, which is the CEF UI thread by default.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_urlrequest_capi.h">CEF source file: /include/capi/cef_urlrequest_capi.h (cef_urlrequest_client_t))

Published property OnGetAuthCredentials : TOnGetAuthCredentials read FOnGetAuthCredentials write FOnGetAuthCredentials;

Called on the IO thread when the browser needs credentials from the user. |isProxy| indicates whether the host is a proxy server. |host| contains the hostname and |port| contains the port number. Return true (1) to continue the request and call ICefAuthCallback.cont() when the authentication information is available. If the request has an associated browser/frame then returning false (0) will result in a call to GetAuthCredentials on the ICefRequestHandler associated with that browser, if any. Otherwise, returning false (0) will cancel the request immediately. This function will only be called for requests initiated from the browser process.

This event will be called on the browser process CEF IO thread.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_urlrequest_capi.h">CEF source file: /include/capi/cef_urlrequest_capi.h (cef_urlrequest_client_t))

Published property OnCreateURLRequest : TNotifyEvent read FOnCreateURLRequest write FOnCreateURLRequest;

Event triggered when the URLRequest has been created.


cef4delphi: uCEFUrlRequestClientEvents

Unit uCEFUrlRequestClientEvents

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Types

TOnRequestComplete = procedure(Sender: TObject; const request: ICefUrlRequest) of object;
TOnUploadProgress = procedure(Sender: TObject; const request: ICefUrlRequest; current, total: Int64) of object;
TOnDownloadProgress = procedure(Sender: TObject; const request: ICefUrlRequest; current, total: Int64) of object;
TOnDownloadData = procedure(Sender: TObject; const request: ICefUrlRequest; data: Pointer; dataLength: NativeUInt) of object;
TOnGetAuthCredentials = procedure(Sender: TObject; isProxy: Boolean; const host: ustring; port: Integer; const realm, scheme: ustring; const callback: ICefAuthCallback; var aResult : Boolean) of object;

Description

Types

TOnRequestComplete = procedure(Sender: TObject; const request: ICefUrlRequest) of object;

This item has no description.

TOnUploadProgress = procedure(Sender: TObject; const request: ICefUrlRequest; current, total: Int64) of object;

This item has no description.

TOnDownloadProgress = procedure(Sender: TObject; const request: ICefUrlRequest; current, total: Int64) of object;

This item has no description.

TOnDownloadData = procedure(Sender: TObject; const request: ICefUrlRequest; data: Pointer; dataLength: NativeUInt) of object;

This item has no description.

TOnGetAuthCredentials = procedure(Sender: TObject; isProxy: Boolean; const host: ustring; port: Integer; const realm, scheme: ustring; const callback: ICefAuthCallback; var aResult : Boolean) of object;

This item has no description.


cef4delphi: uCEFv8Accessor

Unit uCEFv8Accessor

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefV8AccessorOwn |
Class TCefFastV8Accessor |


cef4delphi: uCEFv8Accessor: Class TCefV8AccessorOwn

Class TCefV8AccessorOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFv8Accessor

Declaration

type TCefV8AccessorOwn = class(TCefBaseRefCountedOwn, ICefV8Accessor)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefV8AccessorOwn

Overview

Methods

Protected | function Get(const name: ustring; const object_: ICefv8Value; var retval: ICefv8Value; var exception: ustring): Boolean; virtual;
Protected | function Set_(const name: ustring; const object_, value: ICefv8Value; var exception: ustring): Boolean; virtual;
Public | constructor Create; virtual;

Description

Methods

Protected function Get(const name: ustring; const object_: ICefv8Value; var retval: ICefv8Value; var exception: ustring): Boolean; virtual;

This item has no description. Showing description inherited from ICefV8Accessor.Get.

Handle retrieval the accessor value identified by |name|. |object| is the receiver ('this' object) of the accessor. If retrieval succeeds set |retval| to the return value. If retrieval fails set |exception| to the exception that will be thrown. Return true (1) if accessor retrieval was handled.

Protected function Set_(const name: ustring; const object_, value: ICefv8Value; var exception: ustring): Boolean; virtual;

This item has no description. Showing description inherited from ICefV8Accessor.Set_.

Handle assignment of the accessor value identified by |name|. |object| is the receiver ('this' object) of the accessor. |value| is the new value being assigned to the accessor. If assignment fails set |exception| to the exception that will be thrown. Return true (1) if accessor assignment was handled.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFv8Accessor: Class TCefFastV8Accessor

Class TCefFastV8Accessor

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFv8Accessor

Declaration

type TCefFastV8Accessor = class(TCefV8AccessorOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefV8AccessorOwn
  • TCefFastV8Accessor

Overview

Fields

Protected | FGetter: TCefV8AccessorGetterProc;
Protected | FSetter: TCefV8AccessorSetterProc;

Methods

Protected | function Get(const name: ustring; const object_: ICefv8Value; var retval: ICefv8Value; var exception: ustring): Boolean; override;
Protected | function Set_(const name: ustring; const object_, value: ICefv8Value; var exception: ustring): Boolean; override;
Public | constructor Create(const getter: TCefV8AccessorGetterProc; const setter: TCefV8AccessorSetterProc); reintroduce;

Description

Fields

Protected FGetter: TCefV8AccessorGetterProc;

This item has no description.

Protected FSetter: TCefV8AccessorSetterProc;

This item has no description.

Methods

Protected function Get(const name: ustring; const object_: ICefv8Value; var retval: ICefv8Value; var exception: ustring): Boolean; override;

This item has no description. Showing description inherited from ICefV8Accessor.Get.

Handle retrieval the accessor value identified by |name|. |object| is the receiver ('this' object) of the accessor. If retrieval succeeds set |retval| to the return value. If retrieval fails set |exception| to the exception that will be thrown. Return true (1) if accessor retrieval was handled.

Protected function Set_(const name: ustring; const object_, value: ICefv8Value; var exception: ustring): Boolean; override;

This item has no description. Showing description inherited from ICefV8Accessor.Set_.

Handle assignment of the accessor value identified by |name|. |object| is the receiver ('this' object) of the accessor. |value| is the new value being assigned to the accessor. If assignment fails set |exception| to the exception that will be thrown. Return true (1) if accessor assignment was handled.

Public constructor Create(const getter: TCefV8AccessorGetterProc; const setter: TCefV8AccessorSetterProc); reintroduce;

This item has no description.


cef4delphi: uCEFv8ArrayBufferReleaseCallback

Unit uCEFv8ArrayBufferReleaseCallback

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefv8ArrayBufferReleaseCallbackOwn |
Class TCefFastv8ArrayBufferReleaseCallback |
Class TCefv8ArrayBufferReleaseCallbackRef |


cef4delphi: uCEFv8ArrayBufferReleaseCallback: Class TCefv8ArrayBufferReleaseCallbackOwn

Class TCefv8ArrayBufferReleaseCallbackOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFv8ArrayBufferReleaseCallback

Declaration

type TCefv8ArrayBufferReleaseCallbackOwn = class(TCefBaseRefCountedOwn, ICefv8ArrayBufferReleaseCallback)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefv8ArrayBufferReleaseCallbackOwn

Overview

Methods

Protected | procedure ReleaseBuffer(buffer : Pointer); virtual;
Public | constructor Create; virtual;

Description

Methods

Protected procedure ReleaseBuffer(buffer : Pointer); virtual;

This item has no description. Showing description inherited from ICefv8ArrayBufferReleaseCallback.ReleaseBuffer.

Called to release |buffer| when the ArrayBuffer JS object is garbage collected. |buffer| is the value that was passed to CreateArrayBuffer along with this object.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFv8ArrayBufferReleaseCallback: Class TCefFastv8ArrayBufferReleaseCallback

Class TCefFastv8ArrayBufferReleaseCallback

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFv8ArrayBufferReleaseCallback

Declaration

type TCefFastv8ArrayBufferReleaseCallback = class(TCefv8ArrayBufferReleaseCallbackOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefv8ArrayBufferReleaseCallbackOwn
  • TCefFastv8ArrayBufferReleaseCallback

Overview

Fields

Protected FCallback: TCefv8ArrayBufferReleaseCallbackProc;

Methods

Protected | procedure ReleaseBuffer(buffer : Pointer); override;
Public | constructor Create(const callback: TCefv8ArrayBufferReleaseCallbackProc); reintroduce;

Description

Fields

Protected FCallback: TCefv8ArrayBufferReleaseCallbackProc;

This item has no description.

Methods

Protected procedure ReleaseBuffer(buffer : Pointer); override;

This item has no description. Showing description inherited from ICefv8ArrayBufferReleaseCallback.ReleaseBuffer.

Called to release |buffer| when the ArrayBuffer JS object is garbage collected. |buffer| is the value that was passed to CreateArrayBuffer along with this object.

Public constructor Create(const callback: TCefv8ArrayBufferReleaseCallbackProc); reintroduce;

This item has no description.


cef4delphi: uCEFv8ArrayBufferReleaseCallback: Class TCefv8ArrayBufferReleaseCallbackRef

Class TCefv8ArrayBufferReleaseCallbackRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFv8ArrayBufferReleaseCallback

Declaration

type TCefv8ArrayBufferReleaseCallbackRef = class(TCefBaseRefCountedRef, ICefv8ArrayBufferReleaseCallback)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefv8ArrayBufferReleaseCallbackRef

Overview

Methods

Protected | procedure ReleaseBuffer(buffer : Pointer); virtual;
Public | class function UnWrap(data: Pointer): ICefv8ArrayBufferReleaseCallback;

Description

Methods

Protected procedure ReleaseBuffer(buffer : Pointer); virtual;

This item has no description. Showing description inherited from ICefv8ArrayBufferReleaseCallback.ReleaseBuffer.

Called to release |buffer| when the ArrayBuffer JS object is garbage collected. |buffer| is the value that was passed to CreateArrayBuffer along with this object.

Public class function UnWrap(data: Pointer): ICefv8ArrayBufferReleaseCallback;

This item has no description.


cef4delphi: uCEFv8Context

Unit uCEFv8Context

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefv8ContextRef |


cef4delphi: uCEFv8Context: Class TCefv8ContextRef

Class TCefv8ContextRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFv8Context

Declaration

type TCefv8ContextRef = class(TCefBaseRefCountedRef, ICefv8Context)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefv8ContextRef

Overview

Methods

Protected | function GetTaskRunner: ICefTaskRunner;
Protected | function IsValid: Boolean;
Protected | function GetBrowser: ICefBrowser;
Protected | function GetFrame: ICefFrame;
Protected | function GetGlobal: ICefv8Value;
Protected | function Enter: Boolean;
Protected | function Exit: Boolean;
Protected | function IsSame(const that: ICefv8Context): Boolean;
Protected | function Eval(const code: ustring; const script_url: ustring; start_line: integer; var retval: ICefv8Value; var exception: ICefV8Exception): Boolean;
Public | class function UnWrap(data: Pointer): ICefv8Context;
Public | class function Current: ICefv8Context;
Public | class function Entered: ICefv8Context;

Description

Methods

Protected function GetTaskRunner: ICefTaskRunner;

This item has no description. Showing description inherited from ICefv8Context.GetTaskRunner.

Returns the task runner associated with this context. V8 handles can only be accessed from the thread on which they are created. This function can be called on any render process thread.

Protected function IsValid: Boolean;

This item has no description. Showing description inherited from ICefv8Context.IsValid.

Returns true (1) if the underlying handle is valid and it can be accessed on the current thread. Do not call any other functions if this function returns false (0).

Protected function GetBrowser: ICefBrowser;

This item has no description. Showing description inherited from ICefv8Context.GetBrowser.

Returns the browser for this context. This function will return an NULL reference for WebWorker contexts.

Protected function GetFrame: ICefFrame;

This item has no description. Showing description inherited from ICefv8Context.GetFrame.

Returns the frame for this context. This function will return an NULL reference for WebWorker contexts.

Protected function GetGlobal: ICefv8Value;

This item has no description. Showing description inherited from ICefv8Context.GetGlobal.

Returns the global object for this context. The context must be entered before calling this function.

Protected function Enter: Boolean;

This item has no description. Showing description inherited from ICefv8Context.Enter.

Enter this context. A context must be explicitly entered before creating a V8 Object, Array, Function or Date asynchronously. exit() must be called the same number of times as enter() before releasing this context. V8 objects belong to the context in which they are created. Returns true (1) if the scope was entered successfully.

Protected function Exit: Boolean;

This item has no description. Showing description inherited from ICefv8Context.Exit.

Exit this context. Call this function only after calling enter(). Returns true (1) if the scope was exited successfully.

Protected function IsSame(const that: ICefv8Context): Boolean;

This item has no description. Showing description inherited from ICefv8Context.IsSame.

Returns true (1) if this object is pointing to the same handle as |that| object.

Protected function Eval(const code: ustring; const script_url: ustring; start_line: integer; var retval: ICefv8Value; var exception: ICefV8Exception): Boolean;

This item has no description. Showing description inherited from ICefv8Context.Eval.

Execute a string of JavaScript code in this V8 context. The |script_url| parameter is the URL where the script in question can be found, if any. The |start_line| parameter is the base line number to use for error reporting. On success |retval| will be set to the return value, if any, and the function will return true (1). On failure |exception| will be set to the exception, if any, and the function will return false (0).

Public class function UnWrap(data: Pointer): ICefv8Context;

This item has no description.

Public class function Current: ICefv8Context;

This item has no description.

Public class function Entered: ICefv8Context;

This item has no description.


cef4delphi: uCEFv8Exception

Unit uCEFv8Exception

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefV8ExceptionRef |


cef4delphi: uCEFv8Exception: Class TCefV8ExceptionRef

Class TCefV8ExceptionRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFv8Exception

Declaration

type TCefV8ExceptionRef = class(TCefBaseRefCountedRef, ICefV8Exception)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefV8ExceptionRef

Overview

Methods

Protected | function GetMessage: ustring;
Protected | function GetSourceLine: ustring;
Protected | function GetScriptResourceName: ustring;
Protected | function GetLineNumber: Integer;
Protected | function GetStartPosition: Integer;
Protected | function GetEndPosition: Integer;
Protected | function GetStartColumn: Integer;
Protected | function GetEndColumn: Integer;
Public | class function UnWrap(data: Pointer): ICefV8Exception;

Description

Methods

Protected function GetMessage: ustring;

This item has no description. Showing description inherited from ICefV8Exception.GetMessage.

Returns the exception message.

Protected function GetSourceLine: ustring;

This item has no description. Showing description inherited from ICefV8Exception.GetSourceLine.

Returns the line of source code that the exception occurred within.

Protected function GetScriptResourceName: ustring;

This item has no description. Showing description inherited from ICefV8Exception.GetScriptResourceName.

Returns the resource name for the script from where the function causing the error originates.

Protected function GetLineNumber: Integer;

This item has no description. Showing description inherited from ICefV8Exception.GetLineNumber.

Returns the 1-based number of the line where the error occurred or 0 if the line number is unknown.

Protected function GetStartPosition: Integer;

This item has no description. Showing description inherited from ICefV8Exception.GetStartPosition.

Returns the index within the script of the first character where the error occurred.

Protected function GetEndPosition: Integer;

This item has no description. Showing description inherited from ICefV8Exception.GetEndPosition.

Returns the index within the script of the last character where the error occurred.

Protected function GetStartColumn: Integer;

This item has no description. Showing description inherited from ICefV8Exception.GetStartColumn.

Returns the index within the line of the first character where the error occurred.

Protected function GetEndColumn: Integer;

This item has no description. Showing description inherited from ICefV8Exception.GetEndColumn.

Returns the index within the line of the last character where the error occurred.

Public class function UnWrap(data: Pointer): ICefV8Exception;

This item has no description.


cef4delphi: uCEFv8Handler

Unit uCEFv8Handler

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefv8HandlerRef |
Class TCefv8HandlerOwn |
Class TCefCustomUserData |


cef4delphi: uCEFv8Handler: Class TCefv8HandlerRef

Class TCefv8HandlerRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFv8Handler

Declaration

type TCefv8HandlerRef = class(TCefBaseRefCountedRef, ICefv8Handler)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefv8HandlerRef

Overview

Methods

Protected | function Execute(const name: ustring; const object_: ICefv8Value; const arguments: TCefv8ValueArray; var retval: ICefv8Value; var exception: ustring): Boolean;
Public | class function UnWrap(data: Pointer): ICefv8Handler;

Description

Methods

Protected function Execute(const name: ustring; const object_: ICefv8Value; const arguments: TCefv8ValueArray; var retval: ICefv8Value; var exception: ustring): Boolean;

This item has no description. Showing description inherited from ICefv8Handler.Execute.

Handle execution of the function identified by |name|. |object| is the receiver ('this' object) of the function. |arguments| is the list of arguments passed to the function. If execution succeeds set |retval| to the function return value. If execution fails set |exception| to the exception that will be thrown. Return true (1) if execution was handled.

Public class function UnWrap(data: Pointer): ICefv8Handler;

This item has no description.


cef4delphi: uCEFv8Handler: Class TCefv8HandlerOwn

Class TCefv8HandlerOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFv8Handler

Declaration

type TCefv8HandlerOwn = class(TCefBaseRefCountedOwn, ICefv8Handler)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefv8HandlerOwn

Overview

Methods

Protected | function Execute(const name: ustring; const object_: ICefv8Value; const arguments: TCefv8ValueArray; var retval: ICefv8Value; var exception: ustring): Boolean; virtual;
Public | constructor Create; virtual;

Description

Methods

Protected function Execute(const name: ustring; const object_: ICefv8Value; const arguments: TCefv8ValueArray; var retval: ICefv8Value; var exception: ustring): Boolean; virtual;

This item has no description. Showing description inherited from ICefv8Handler.Execute.

Handle execution of the function identified by |name|. |object| is the receiver ('this' object) of the function. |arguments| is the list of arguments passed to the function. If execution succeeds set |retval| to the function return value. If execution fails set |exception| to the exception that will be thrown. Return true (1) if execution was handled.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFv8Handler: Class TCefCustomUserData

Class TCefCustomUserData

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFv8Handler

Declaration

type TCefCustomUserData = class(TCefBaseRefCountedOwn, ICefCustomUserData)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefCustomUserData

Overview

Fields

Protected | FUserDataType: Pointer;
Protected | FUserData: Pointer;

Methods

Protected | function GetUserDataType: Pointer;
Protected | function GetUserData: Pointer;
Public | constructor Create(aUserDataType, aUserData : Pointer);
Public | destructor Destroy; override;
Public | class function UnWrap(data: Pointer): ICefCustomUserData;

Description

Fields

Protected FUserDataType: Pointer;

This item has no description.

Protected FUserData: Pointer;

This item has no description.

Methods

Protected function GetUserDataType: Pointer;

This item has no description.

Protected function GetUserData: Pointer;

This item has no description.

Public constructor Create(aUserDataType, aUserData : Pointer);

This item has no description.

Public destructor Destroy; override;

This item has no description.

Public class function UnWrap(data: Pointer): ICefCustomUserData;

This item has no description.


cef4delphi: uCEFv8Interceptor

Unit uCEFv8Interceptor

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefV8InterceptorOwn |
Class TCefFastV8Interceptor |


cef4delphi: uCEFv8Interceptor: Class TCefV8InterceptorOwn

Class TCefV8InterceptorOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFv8Interceptor

Declaration

type TCefV8InterceptorOwn = class(TCefBaseRefCountedOwn, ICefV8Interceptor)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefV8InterceptorOwn

Overview

Methods

Protected | function GetByName(const name: ustring; const object_: ICefv8Value; var retval: ICefv8Value; var exception: ustring): boolean; virtual;
Protected | function GetByIndex(index: integer; const object_: ICefv8Value; var retval: ICefv8Value; var exception: ustring): boolean; virtual;
Protected | function SetByName(const name: ustring; const object_, value: ICefv8Value; var exception: ustring): boolean; virtual;
Protected | function SetByIndex(index: integer; const object_, value: ICefv8Value; var exception: ustring): boolean; virtual;
Public | constructor Create; virtual;

Description

Methods

Protected function GetByName(const name: ustring; const object_: ICefv8Value; var retval: ICefv8Value; var exception: ustring): boolean; virtual;

This item has no description. Showing description inherited from ICefV8Interceptor.GetByName.

Handle retrieval of the interceptor value identified by |name|. |object| is the receiver ('this' object) of the interceptor. If retrieval succeeds, set |retval| to the return value. If the requested value does not exist, don't set either |retval| or |exception|. If retrieval fails, set |exception| to the exception that will be thrown. If the property has an associated accessor, it will be called only if you don't set |retval|. Return true (1) if interceptor retrieval was handled, false (0) otherwise.

Protected function GetByIndex(index: integer; const object_: ICefv8Value; var retval: ICefv8Value; var exception: ustring): boolean; virtual;

This item has no description. Showing description inherited from ICefV8Interceptor.GetByIndex.

Handle retrieval of the interceptor value identified by |index|. |object| is the receiver ('this' object) of the interceptor. If retrieval succeeds, set |retval| to the return value. If the requested value does not exist, don't set either |retval| or |exception|. If retrieval fails, set |exception| to the exception that will be thrown. Return true (1) if interceptor retrieval was handled, false (0) otherwise.

Protected function SetByName(const name: ustring; const object_, value: ICefv8Value; var exception: ustring): boolean; virtual;

This item has no description. Showing description inherited from ICefV8Interceptor.SetByName.

Handle assignment of the interceptor value identified by |name|. |object| is the receiver ('this' object) of the interceptor. |value| is the new value being assigned to the interceptor. If assignment fails, set |exception| to the exception that will be thrown. This setter will always be called, even when the property has an associated accessor. Return true (1) if interceptor assignment was handled, false (0) otherwise.

Protected function SetByIndex(index: integer; const object_, value: ICefv8Value; var exception: ustring): boolean; virtual;

This item has no description. Showing description inherited from ICefV8Interceptor.SetByIndex.

Handle assignment of the interceptor value identified by |index|. |object| is the receiver ('this' object) of the interceptor. |value| is the new value being assigned to the interceptor. If assignment fails, set |exception| to the exception that will be thrown. Return true (1) if interceptor assignment was handled, false (0) otherwise.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFv8Interceptor: Class TCefFastV8Interceptor

Class TCefFastV8Interceptor

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFv8Interceptor

Declaration

type TCefFastV8Interceptor = class(TCefV8InterceptorOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefV8InterceptorOwn
  • TCefFastV8Interceptor

Overview

Fields

Protected | FGetterByName: TCefV8InterceptorGetterByNameProc;
Protected | FSetterByName: TCefV8InterceptorSetterByNameProc;
Protected | FGetterByIndex: TCefV8InterceptorGetterByIndexProc;
Protected | FSetterByIndex: TCefV8InterceptorSetterByIndexProc;

Methods

Protected | function GetByName(const name: ustring; const object_: ICefv8Value; var retval: ICefv8Value; var exception: ustring): boolean; override;
Protected | function GetByIndex(index: integer; const object_: ICefv8Value; var retval: ICefv8Value; var exception: ustring): boolean; override;
Protected | function SetByName(const name: ustring; const object_, value: ICefv8Value; var exception: ustring): boolean; override;
Protected | function SetByIndex(index: integer; const object_, value: ICefv8Value; var exception: ustring): boolean; override;
Public | constructor Create(const getterbyname : TCefV8InterceptorGetterByNameProc; const setterbyname : TCefV8InterceptorSetterByNameProc; const getterbyindex : TCefV8InterceptorGetterByIndexProc; const setterbyindex : TCefV8InterceptorSetterByIndexProc); reintroduce;

Description

Fields

Protected FGetterByName: TCefV8InterceptorGetterByNameProc;

This item has no description.

Protected FSetterByName: TCefV8InterceptorSetterByNameProc;

This item has no description.

Protected FGetterByIndex: TCefV8InterceptorGetterByIndexProc;

This item has no description.

Protected FSetterByIndex: TCefV8InterceptorSetterByIndexProc;

This item has no description.

Methods

Protected function GetByName(const name: ustring; const object_: ICefv8Value; var retval: ICefv8Value; var exception: ustring): boolean; override;

This item has no description. Showing description inherited from ICefV8Interceptor.GetByName.

Handle retrieval of the interceptor value identified by |name|. |object| is the receiver ('this' object) of the interceptor. If retrieval succeeds, set |retval| to the return value. If the requested value does not exist, don't set either |retval| or |exception|. If retrieval fails, set |exception| to the exception that will be thrown. If the property has an associated accessor, it will be called only if you don't set |retval|. Return true (1) if interceptor retrieval was handled, false (0) otherwise.

Protected function GetByIndex(index: integer; const object_: ICefv8Value; var retval: ICefv8Value; var exception: ustring): boolean; override;

This item has no description. Showing description inherited from ICefV8Interceptor.GetByIndex.

Handle retrieval of the interceptor value identified by |index|. |object| is the receiver ('this' object) of the interceptor. If retrieval succeeds, set |retval| to the return value. If the requested value does not exist, don't set either |retval| or |exception|. If retrieval fails, set |exception| to the exception that will be thrown. Return true (1) if interceptor retrieval was handled, false (0) otherwise.

Protected function SetByName(const name: ustring; const object_, value: ICefv8Value; var exception: ustring): boolean; override;

This item has no description. Showing description inherited from ICefV8Interceptor.SetByName.

Handle assignment of the interceptor value identified by |name|. |object| is the receiver ('this' object) of the interceptor. |value| is the new value being assigned to the interceptor. If assignment fails, set |exception| to the exception that will be thrown. This setter will always be called, even when the property has an associated accessor. Return true (1) if interceptor assignment was handled, false (0) otherwise.

Protected function SetByIndex(index: integer; const object_, value: ICefv8Value; var exception: ustring): boolean; override;

This item has no description. Showing description inherited from ICefV8Interceptor.SetByIndex.

Handle assignment of the interceptor value identified by |index|. |object| is the receiver ('this' object) of the interceptor. |value| is the new value being assigned to the interceptor. If assignment fails, set |exception| to the exception that will be thrown. Return true (1) if interceptor assignment was handled, false (0) otherwise.

Public constructor Create(const getterbyname : TCefV8InterceptorGetterByNameProc; const setterbyname : TCefV8InterceptorSetterByNameProc; const getterbyindex : TCefV8InterceptorGetterByIndexProc; const setterbyindex : TCefV8InterceptorSetterByIndexProc); reintroduce;

This item has no description.


cef4delphi: uCEFv8StackFrame

Unit uCEFv8StackFrame

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefV8StackFrameRef |


cef4delphi: uCEFv8StackFrame: Class TCefV8StackFrameRef

Class TCefV8StackFrameRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFv8StackFrame

Declaration

type TCefV8StackFrameRef = class(TCefBaseRefCountedRef, ICefV8StackFrame)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefV8StackFrameRef

Overview

Methods

Protected | function IsValid: Boolean;
Protected | function GetScriptName: ustring;
Protected | function GetScriptNameOrSourceUrl: ustring;
Protected | function GetFunctionName: ustring;
Protected | function GetLineNumber: Integer;
Protected | function GetColumn: Integer;
Protected | function IsEval: Boolean;
Protected | function IsConstructor: Boolean;
Public | class function UnWrap(data: Pointer): ICefV8StackFrame;

Description

Methods

Protected function IsValid: Boolean;

This item has no description. Showing description inherited from ICefV8StackFrame.IsValid.

Returns true (1) if the underlying handle is valid and it can be accessed on the current thread. Do not call any other functions if this function returns false (0).

Protected function GetScriptName: ustring;

This item has no description. Showing description inherited from ICefV8StackFrame.GetScriptName.

Returns the name of the resource script that contains the function.

Protected function GetScriptNameOrSourceUrl: ustring;

This item has no description. Showing description inherited from ICefV8StackFrame.GetScriptNameOrSourceUrl.

Returns the name of the resource script that contains the function or the sourceURL value if the script name is undefined and its source ends with a "//@ sourceURL=..." string.

Protected function GetFunctionName: ustring;

This item has no description. Showing description inherited from ICefV8StackFrame.GetFunctionName.

Returns the name of the function.

Protected function GetLineNumber: Integer;

This item has no description. Showing description inherited from ICefV8StackFrame.GetLineNumber.

Returns the 1-based line number for the function call or 0 if unknown.

Protected function GetColumn: Integer;

This item has no description. Showing description inherited from ICefV8StackFrame.GetColumn.

Returns the 1-based column offset on the line for the function call or 0 if unknown.

Protected function IsEval: Boolean;

This item has no description. Showing description inherited from ICefV8StackFrame.IsEval.

Returns true (1) if the function was compiled using eval().

Protected function IsConstructor: Boolean;

This item has no description. Showing description inherited from ICefV8StackFrame.IsConstructor.

Returns true (1) if the function was called as a constructor via "new".

Public class function UnWrap(data: Pointer): ICefV8StackFrame;

This item has no description.


cef4delphi: uCEFv8StackTrace

Unit uCEFv8StackTrace

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefV8StackTraceRef |


cef4delphi: uCEFv8StackTrace: Class TCefV8StackTraceRef

Class TCefV8StackTraceRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFv8StackTrace

Declaration

type TCefV8StackTraceRef = class(TCefBaseRefCountedRef, ICefV8StackTrace)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefV8StackTraceRef

Overview

Methods

Protected | function IsValid: Boolean;
Protected | function GetFrameCount: Integer;
Protected | function GetFrame(index: Integer): ICefV8StackFrame;
Public | class function UnWrap(data: Pointer): ICefV8StackTrace;
Public | class function Current(frameLimit: Integer): ICefV8StackTrace;

Description

Methods

Protected function IsValid: Boolean;

This item has no description. Showing description inherited from ICefV8StackTrace.IsValid.

Returns true (1) if the underlying handle is valid and it can be accessed on the current thread. Do not call any other functions if this function returns false (0).

Protected function GetFrameCount: Integer;

This item has no description. Showing description inherited from ICefV8StackTrace.GetFrameCount.

Returns the number of stack frames.

Protected function GetFrame(index: Integer): ICefV8StackFrame;

This item has no description. Showing description inherited from ICefV8StackTrace.GetFrame.

Returns the stack frame at the specified 0-based index.

Public class function UnWrap(data: Pointer): ICefV8StackTrace;

This item has no description.

Public class function Current(frameLimit: Integer): ICefV8StackTrace;

This item has no description.


cef4delphi: uCEFv8Value

Unit uCEFv8Value

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefv8ValueRef |


cef4delphi: uCEFv8Value: Class TCefv8ValueRef

Class TCefv8ValueRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFv8Value

Declaration

type TCefv8ValueRef = class(TCefBaseRefCountedRef, ICefv8Value)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefv8ValueRef

Overview

Methods

Protected | function IsValid: Boolean;
Protected | function IsUndefined: Boolean;
Protected | function IsNull: Boolean;
Protected | function IsBool: Boolean;
Protected | function IsInt: Boolean;
Protected | function IsUInt: Boolean;
Protected | function IsDouble: Boolean;
Protected | function IsDate: Boolean;
Protected | function IsString: Boolean;
Protected | function IsObject: Boolean;
Protected | function IsArray: Boolean;
Protected | function IsArrayBuffer: Boolean;
Protected | function IsFunction: Boolean;
Protected | function IsPromise: Boolean;
Protected | function IsSame(const that: ICefv8Value): Boolean;
Protected | function GetBoolValue: Boolean;
Protected | function GetIntValue: Integer;
Protected | function GetUIntValue: Cardinal;
Protected | function GetDoubleValue: Double;
Protected | function GetDateValue: TDateTime;
Protected | function GetStringValue: ustring;
Protected | function IsUserCreated: Boolean;
Protected | function HasException: Boolean;
Protected | function GetException: ICefV8Exception;
Protected | function ClearException: Boolean;
Protected | function WillRethrowExceptions: Boolean;
Protected | function SetRethrowExceptions(rethrow: Boolean): Boolean;
Protected | function HasValueByKey(const key: ustring): Boolean;
Protected | function HasValueByIndex(index: Integer): Boolean;
Protected | function DeleteValueByKey(const key: ustring): Boolean;
Protected | function DeleteValueByIndex(index: Integer): Boolean;
Protected | function GetValueByKey(const key: ustring): ICefv8Value;
Protected | function GetValueByIndex(index: Integer): ICefv8Value;
Protected | function SetValueByKey(const key: ustring; const value: ICefv8Value; attribute: TCefV8PropertyAttributes): Boolean;
Protected | function SetValueByIndex(index: Integer; const value: ICefv8Value): Boolean;
Protected | function SetValueByAccessor(const key: ustring; attribute: TCefV8PropertyAttributes): Boolean;
Protected | function GetKeys(const keys: TStrings): Integer;
Protected | function SetUserData(const data: ICefCustomUserData): Boolean;
Protected | function GetUserData: ICefCustomUserData;
Protected | function GetExternallyAllocatedMemory: Integer;
Protected | function AdjustExternallyAllocatedMemory(changeInBytes: Integer): Integer;
Protected | function GetArrayLength: Integer;
Protected | function GetArrayBufferReleaseCallback: ICefv8ArrayBufferReleaseCallback;
Protected | function NeuterArrayBuffer: boolean;
Protected | function GetArrayBufferByteLength: NativeUInt;
Protected | function GetArrayBufferData: Pointer;
Protected | function GetFunctionName: ustring;
Protected | function GetFunctionHandler: ICefv8Handler;
Protected | function ExecuteFunction(const obj: ICefv8Value; const arguments: TCefv8ValueArray): ICefv8Value;
Protected | function ExecuteFunctionWithContext(const context: ICefv8Context; const obj: ICefv8Value; const arguments: TCefv8ValueArray): ICefv8Value;
Protected | function ResolvePromise(const arg: ICefv8Value): boolean;
Protected | function RejectPromise(const errorMsg: ustring): boolean;
Public | class function UnWrap(data: Pointer): ICefv8Value;
Public | class function NewUndefined: ICefv8Value;
Public | class function NewNull: ICefv8Value;
Public | class function NewBool(value: Boolean): ICefv8Value;
Public | class function NewInt(value: Integer): ICefv8Value;
Public | class function NewUInt(value: Cardinal): ICefv8Value;
Public | class function NewDouble(value: Double): ICefv8Value;
Public | class function NewDate(value: TDateTime): ICefv8Value;
Public | class function NewString(const str: ustring): ICefv8Value;
Public | class function NewObject(const Accessor: ICefV8Accessor; const Interceptor: ICefV8Interceptor): ICefv8Value;
Public | class function NewObjectProc(const getter : TCefV8AccessorGetterProc; const setter : TCefV8AccessorSetterProc; const getterbyname : TCefV8InterceptorGetterByNameProc; const setterbyname : TCefV8InterceptorSetterByNameProc; const getterbyindex : TCefV8InterceptorGetterByIndexProc; const setterbyindex : TCefV8InterceptorSetterByIndexProc): ICefv8Value;
Public | class function NewArray(len: Integer): ICefv8Value;
Public | class function NewArrayBuffer(buffer: Pointer; length: NativeUInt; const callback : ICefv8ArrayBufferReleaseCallback): ICefv8Value;
Public | class function NewArrayBufferWithCopy(buffer: Pointer; length: NativeUInt): ICefv8Value;
Public | class function NewFunction(const name: ustring; const handler: ICefv8Handler): ICefv8Value;
Public | class function NewPromise: ICefv8Value;

Description

Methods

Protected function IsValid: Boolean;

This item has no description. Showing description inherited from ICefv8Value.IsValid.

Returns true (1) if the underlying handle is valid and it can be accessed on the current thread. Do not call any other functions if this function returns false (0).

Protected function IsUndefined: Boolean;

This item has no description. Showing description inherited from ICefv8Value.IsUndefined.

True if the value type is undefined.

Protected function IsNull: Boolean;

This item has no description. Showing description inherited from ICefv8Value.IsNull.

True if the value type is null.

Protected function IsBool: Boolean;

This item has no description. Showing description inherited from ICefv8Value.IsBool.

True if the value type is bool.

Protected function IsInt: Boolean;

This item has no description. Showing description inherited from ICefv8Value.IsInt.

True if the value type is int.

Protected function IsUInt: Boolean;

This item has no description. Showing description inherited from ICefv8Value.IsUInt.

True if the value type is unsigned int.

Protected function IsDouble: Boolean;

This item has no description. Showing description inherited from ICefv8Value.IsDouble.

True if the value type is double.

Protected function IsDate: Boolean;

This item has no description. Showing description inherited from ICefv8Value.IsDate.

True if the value type is Date.

Protected function IsString: Boolean;

This item has no description. Showing description inherited from ICefv8Value.IsString.

True if the value type is string.

Protected function IsObject: Boolean;

This item has no description. Showing description inherited from ICefv8Value.IsObject.

True if the value type is object.

Protected function IsArray: Boolean;

This item has no description. Showing description inherited from ICefv8Value.IsArray.

True if the value type is array.

Protected function IsArrayBuffer: Boolean;

This item has no description. Showing description inherited from ICefv8Value.IsArrayBuffer.

True if the value type is an ArrayBuffer.

Protected function IsFunction: Boolean;

This item has no description. Showing description inherited from ICefv8Value.IsFunction.

True if the value type is function.

Protected function IsPromise: Boolean;

This item has no description. Showing description inherited from ICefv8Value.IsPromise.

True if the value type is a Promise.

Protected function IsSame(const that: ICefv8Value): Boolean;

This item has no description. Showing description inherited from ICefv8Value.IsSame.

Returns true (1) if this object is pointing to the same handle as |that| object.

Protected function GetBoolValue: Boolean;

This item has no description. Showing description inherited from ICefv8Value.GetBoolValue.

Return a bool value.

Protected function GetIntValue: Integer;

This item has no description. Showing description inherited from ICefv8Value.GetIntValue.

Return an int value.

Protected function GetUIntValue: Cardinal;

This item has no description. Showing description inherited from ICefv8Value.GetUIntValue.

Return an unsigned int value.

Protected function GetDoubleValue: Double;

This item has no description. Showing description inherited from ICefv8Value.GetDoubleValue.

Return a double value.

Protected function GetDateValue: TDateTime;

This item has no description. Showing description inherited from ICefv8Value.GetDateValue.

Return a Date value.

Protected function GetStringValue: ustring;

This item has no description. Showing description inherited from ICefv8Value.GetStringValue.

Return a string value.

Protected function IsUserCreated: Boolean;

This item has no description. Showing description inherited from ICefv8Value.IsUserCreated.

Returns true (1) if this is a user created object.

Protected function HasException: Boolean;

This item has no description. Showing description inherited from ICefv8Value.HasException.

Returns true (1) if the last function call resulted in an exception. This attribute exists only in the scope of the current CEF value object.

Protected function GetException: ICefV8Exception;

This item has no description. Showing description inherited from ICefv8Value.GetException.

Returns the exception resulting from the last function call. This attribute exists only in the scope of the current CEF value object.

Protected function ClearException: Boolean;

This item has no description. Showing description inherited from ICefv8Value.ClearException.

Clears the last exception and returns true (1) on success.

Protected function WillRethrowExceptions: Boolean;

This item has no description. Showing description inherited from ICefv8Value.WillRethrowExceptions.

Returns true (1) if this object will re-throw future exceptions. This attribute exists only in the scope of the current CEF value object.

Protected function SetRethrowExceptions(rethrow: Boolean): Boolean;

This item has no description. Showing description inherited from ICefv8Value.SetRethrowExceptions.

Set whether this object will re-throw future exceptions. By default exceptions are not re-thrown. If a exception is re-thrown the current context should not be accessed again until after the exception has been caught and not re-thrown. Returns true (1) on success. This attribute exists only in the scope of the current CEF value object.

Protected function HasValueByKey(const key: ustring): Boolean;

This item has no description. Showing description inherited from ICefv8Value.HasValueByKey.

Returns true (1) if the object has a value with the specified identifier.

Protected function HasValueByIndex(index: Integer): Boolean;

This item has no description. Showing description inherited from ICefv8Value.HasValueByIndex.

Returns true (1) if the object has a value with the specified identifier.

Protected function DeleteValueByKey(const key: ustring): Boolean;

This item has no description. Showing description inherited from ICefv8Value.DeleteValueByKey.

Deletes the value with the specified identifier and returns true (1) on success. Returns false (0) if this function is called incorrectly or an exception is thrown. For read-only and don't-delete values this function will return true (1) even though deletion failed.

Protected function DeleteValueByIndex(index: Integer): Boolean;

This item has no description. Showing description inherited from ICefv8Value.DeleteValueByIndex.

Deletes the value with the specified identifier and returns true (1) on success. Returns false (0) if this function is called incorrectly, deletion fails or an exception is thrown. For read-only and don't-delete values this function will return true (1) even though deletion failed.

Protected function GetValueByKey(const key: ustring): ICefv8Value;

This item has no description. Showing description inherited from ICefv8Value.GetValueByKey.

Returns the value with the specified identifier on success. Returns NULL if this function is called incorrectly or an exception is thrown.

Protected function GetValueByIndex(index: Integer): ICefv8Value;

This item has no description. Showing description inherited from ICefv8Value.GetValueByIndex.

Returns the value with the specified identifier on success. Returns NULL if this function is called incorrectly or an exception is thrown.

Protected function SetValueByKey(const key: ustring; const value: ICefv8Value; attribute: TCefV8PropertyAttributes): Boolean;

This item has no description. Showing description inherited from ICefv8Value.SetValueByKey.

Associates a value with the specified identifier and returns true (1) on success. Returns false (0) if this function is called incorrectly or an exception is thrown. For read-only values this function will return true (1) even though assignment failed.

Protected function SetValueByIndex(index: Integer; const value: ICefv8Value): Boolean;

This item has no description. Showing description inherited from ICefv8Value.SetValueByIndex.

Associates a value with the specified identifier and returns true (1) on success. Returns false (0) if this function is called incorrectly or an exception is thrown. For read-only values this function will return true (1) even though assignment failed.

Protected function SetValueByAccessor(const key: ustring; attribute: TCefV8PropertyAttributes): Boolean;

This item has no description. Showing description inherited from ICefv8Value.SetValueByAccessor.

Registers an identifier and returns true (1) on success. Access to the identifier will be forwarded to the ICefV8Accessor instance passed to cef_v8_value_create_object(). Returns false (0) if this function is called incorrectly or an exception is thrown. For read-only values this function will return true (1) even though assignment failed.

Protected function GetKeys(const keys: TStrings): Integer;

This item has no description. Showing description inherited from ICefv8Value.GetKeys.

Read the keys for the object's values into the specified vector. Integer- based keys will also be returned as strings.

Protected function SetUserData(const data: ICefCustomUserData): Boolean;

This item has no description. Showing description inherited from ICefv8Value.SetUserData.

Sets the user data for this object and returns true (1) on success. Returns false (0) if this function is called incorrectly. This function can only be called on user created objects.

Protected function GetUserData: ICefCustomUserData;

This item has no description. Showing description inherited from ICefv8Value.GetUserData.

Returns the user data, if any, assigned to this object.

Protected function GetExternallyAllocatedMemory: Integer;

This item has no description. Showing description inherited from ICefv8Value.GetExternallyAllocatedMemory.

Returns the amount of externally allocated memory registered for the object.

Protected function AdjustExternallyAllocatedMemory(changeInBytes: Integer): Integer;

This item has no description. Showing description inherited from ICefv8Value.AdjustExternallyAllocatedMemory.

Adjusts the amount of registered external memory for the object. Used to give V8 an indication of the amount of externally allocated memory that is kept alive by JavaScript objects. V8 uses this information to decide when to perform global garbage collection. Each ICefv8Value tracks the amount of external memory associated with it and automatically decreases the global total by the appropriate amount on its destruction. |change_in_bytes| specifies the number of bytes to adjust by. This function returns the number of bytes associated with the object after the adjustment. This function can only be called on user created objects.

Protected function GetArrayLength: Integer;

This item has no description. Showing description inherited from ICefv8Value.GetArrayLength.

Returns the number of elements in the array.

Protected function GetArrayBufferReleaseCallback: ICefv8ArrayBufferReleaseCallback;

This item has no description. Showing description inherited from ICefv8Value.GetArrayBufferReleaseCallback.

Returns the ReleaseCallback object associated with the ArrayBuffer or NULL if the ArrayBuffer was not created with CreateArrayBuffer.

Protected function NeuterArrayBuffer: boolean;

This item has no description. Showing description inherited from ICefv8Value.NeuterArrayBuffer.

Prevent the ArrayBuffer from using it's memory block by setting the length to zero. This operation cannot be undone. If the ArrayBuffer was created with CreateArrayBuffer then ICefv8ArrayBufferReleaseCallback.ReleaseBuffer will be called to release the underlying buffer.

Protected function GetArrayBufferByteLength: NativeUInt;

This item has no description. Showing description inherited from ICefv8Value.GetArrayBufferByteLength.

Returns the length (in bytes) of the ArrayBuffer.

Protected function GetArrayBufferData: Pointer;

This item has no description. Showing description inherited from ICefv8Value.GetArrayBufferData.

Returns a pointer to the beginning of the memory block for this ArrayBuffer backing store. The returned pointer is valid as long as the ICefv8value is alive.

Protected function GetFunctionName: ustring;

This item has no description. Showing description inherited from ICefv8Value.GetFunctionName.

Returns the function name.

Protected function GetFunctionHandler: ICefv8Handler;

This item has no description. Showing description inherited from ICefv8Value.GetFunctionHandler.

Returns the function handler or NULL if not a CEF-created function.

Protected function ExecuteFunction(const obj: ICefv8Value; const arguments: TCefv8ValueArray): ICefv8Value;

This item has no description. Showing description inherited from ICefv8Value.ExecuteFunction.

Execute the function using the current V8 context. This function should only be called from within the scope of a ICefv8Handler or ICefV8Accessor callback, or in combination with calling enter() and exit() on a stored ICefv8Context reference. |object| is the receiver ('this' object) of the function. If |object| is NULL the current context's global object will be used. |arguments| is the list of arguments that will be passed to the function. Returns the function return value on success. Returns NULL if this function is called incorrectly or an exception is thrown.

Protected function ExecuteFunctionWithContext(const context: ICefv8Context; const obj: ICefv8Value; const arguments: TCefv8ValueArray): ICefv8Value;

This item has no description. Showing description inherited from ICefv8Value.ExecuteFunctionWithContext.

Execute the function using the specified V8 context. |object| is the receiver ('this' object) of the function. If |object| is NULL the specified context's global object will be used. |arguments| is the list of arguments that will be passed to the function. Returns the function return value on success. Returns NULL if this function is called incorrectly or an exception is thrown.

Protected function ResolvePromise(const arg: ICefv8Value): boolean;

This item has no description. Showing description inherited from ICefv8Value.ResolvePromise.

Resolve the Promise using the current V8 context. This function should only be called from within the scope of a ICefv8Handler or ICefV8Accessor callback, or in combination with calling enter() and exit() on a stored ICefv8Context reference. |arg| is the argument passed to the resolved promise. Returns true (1) on success. Returns false (0) if this function is called incorrectly or an exception is thrown.

Protected function RejectPromise(const errorMsg: ustring): boolean;

This item has no description. Showing description inherited from ICefv8Value.RejectPromise.

Reject the Promise using the current V8 context. This function should only be called from within the scope of a ICefv8Handler or ICefV8Accessor callback, or in combination with calling enter() and exit() on a stored ICefv8Context reference. Returns true (1) on success. Returns false (0) if this function is called incorrectly or an exception is thrown.

Public class function UnWrap(data: Pointer): ICefv8Value;

Returns a ICefv8Value instance using a PCefv8Value data pointer.

Public class function NewUndefined: ICefv8Value;

Create a new ICefv8Value object of type undefined.

Public class function NewNull: ICefv8Value;

Create a new ICefv8Value object of type null.

Public class function NewBool(value: Boolean): ICefv8Value;

Create a new ICefv8Value object of type bool.

Public class function NewInt(value: Integer): ICefv8Value;

Create a new ICefv8Value object of type int.

Public class function NewUInt(value: Cardinal): ICefv8Value;

Create a new ICefv8Value object of type unsigned int.

Public class function NewDouble(value: Double): ICefv8Value;

Create a new ICefv8Value object of type double.

Public class function NewDate(value: TDateTime): ICefv8Value;

Create a new ICefv8Value object of type Date. This function should only be called from within the scope of a ICefRenderProcessHandler, ICefv8Handler or ICefv8Accessor callback, or in combination with calling enter() and exit() on a stored ICefv8Context reference.

Public class function NewString(const str: ustring): ICefv8Value;

Create a new ICefv8Value object of type string.

Public class function NewObject(const Accessor: ICefV8Accessor; const Interceptor: ICefV8Interceptor): ICefv8Value;

Create a new ICefv8Value object of type object with optional accessor and/or interceptor. This function should only be called from within the scope of a ICefRenderProcessHandler, ICefv8Handler or ICefv8Accessor callback, or in combination with calling enter() and exit() on a stored ICefv8Context reference.

Public class function NewObjectProc(const getter : TCefV8AccessorGetterProc; const setter : TCefV8AccessorSetterProc; const getterbyname : TCefV8InterceptorGetterByNameProc; const setterbyname : TCefV8InterceptorSetterByNameProc; const getterbyindex : TCefV8InterceptorGetterByIndexProc; const setterbyindex : TCefV8InterceptorSetterByIndexProc): ICefv8Value;

Create a new ICefv8Value object of type object with optional accessor and/or interceptor. This function should only be called from within the scope of a ICefRenderProcessHandler, ICefv8Handler or ICefv8Accessor callback, or in combination with calling enter() and exit() on a stored ICefv8Context reference.

Public class function NewArray(len: Integer): ICefv8Value;

Create a new ICefv8Value object of type array with the specified |length|. If |length| is negative the returned array will have length 0. This function should only be called from within the scope of a ICefRenderProcessHandler, ICefv8Handler or ICefv8Accessor callback, or in combination with calling enter() and exit() on a stored ICefv8Context reference.

Public class function NewArrayBuffer(buffer: Pointer; length: NativeUInt; const callback : ICefv8ArrayBufferReleaseCallback): ICefv8Value;

Create a new ICefv8Value object of type ArrayBuffer which wraps the provided |buffer| of size |length| bytes. The ArrayBuffer is externalized, meaning that it does not own |buffer|. The caller is responsible for freeing |buffer| when requested via a call to ICefv8ArrayBufferReleaseCallback.ReleaseBuffer. This function should only be called from within the scope of a ICefRenderProcessHandler, ICefv8Handler or ICefv8Accessor callback, or in combination with calling enter() and exit() on a stored ICefv8Context reference.

NOTE: Always returns nullptr when V8 sandbox is enabled.

Public class function NewArrayBufferWithCopy(buffer: Pointer; length: NativeUInt): ICefv8Value;

Create a new cef_v8value_t object of type ArrayBuffer which copies the provided |buffer| of size |length| bytes. This function should only be called from within the scope of a cef_render_process_handler_t, cef_v8handler_t or cef_v8accessor_t callback, or in combination with calling enter() and exit() on a stored cef_v8context_t reference.

Public class function NewFunction(const name: ustring; const handler: ICefv8Handler): ICefv8Value;

Create a new ICefv8Value object of type function. This function should only be called from within the scope of a ICefRenderProcessHandler, ICefv8Handler or ICefv8Accessor callback, or in combination with calling enter() and exit() on a stored ICefv8Context reference.

Public class function NewPromise: ICefv8Value;

Create a new ICefv8Value object of type Promise. This function should only be called from within the scope of a ICefRenderProcessHandler, ICefv8Handler or ICefv8Accessor callback, or in combination with calling enter() and exit() on a stored ICefv8Context reference.


cef4delphi: uCEFValue

Unit uCEFValue

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefValueRef |


cef4delphi: uCEFValue: Class TCefValueRef

Class TCefValueRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFValue

Declaration

type TCefValueRef = class(TCefBaseRefCountedRef, ICefValue)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefValueRef

Overview

Methods

Protected | function IsValid: Boolean;
Protected | function IsOwned: Boolean;
Protected | function IsReadOnly: Boolean;
Protected | function IsSame(const that: ICefValue): Boolean;
Protected | function IsEqual(const that: ICefValue): Boolean;
Protected | function Copy: ICefValue;
Protected | function GetType: TCefValueType;
Protected | function GetBool: Boolean;
Protected | function GetInt: Integer;
Protected | function GetDouble: Double;
Protected | function GetString: ustring;
Protected | function GetBinary: ICefBinaryValue;
Protected | function GetDictionary: ICefDictionaryValue;
Protected | function GetList: ICefListValue;
Protected | function SetNull: Boolean;
Protected | function SetBool(value: boolean): Boolean;
Protected | function SetInt(value: Integer): Boolean;
Protected | function SetDouble(value: Double): Boolean;
Protected | function SetString(const value: ustring): Boolean;
Protected | function SetBinary(const value: ICefBinaryValue): Boolean;
Protected | function SetDictionary(const value: ICefDictionaryValue): Boolean;
Protected | function SetList(const value: ICefListValue): Boolean;
Public | class function UnWrap(data: Pointer): ICefValue;
Public | class function New: ICefValue;

Description

Methods

Protected function IsValid: Boolean;

This item has no description. Showing description inherited from ICefValue.IsValid.

Returns true (1) if the underlying data is valid. This will always be true (1) for simple types. For complex types (binary, dictionary and list) the underlying data may become invalid if owned by another object (e.g. list or dictionary) and that other object is then modified or destroyed. This value object can be re-used by calling Set*() even if the underlying data is invalid.

Protected function IsOwned: Boolean;

This item has no description. Showing description inherited from ICefValue.IsOwned.

Returns true (1) if the underlying data is owned by another object.

Protected function IsReadOnly: Boolean;

This item has no description. Showing description inherited from ICefValue.IsReadOnly.

Returns true (1) if the underlying data is read-only. Some APIs may expose read-only objects.

Protected function IsSame(const that: ICefValue): Boolean;

This item has no description. Showing description inherited from ICefValue.IsSame.

Returns true (1) if this object and |that| object have the same underlying data. If true (1) modifications to this object will also affect |that| object and vice-versa.

Protected function IsEqual(const that: ICefValue): Boolean;

This item has no description. Showing description inherited from ICefValue.IsEqual.

Returns true (1) if this object and |that| object have an equivalent underlying value but are not necessarily the same object.

Protected function Copy: ICefValue;

This item has no description. Showing description inherited from ICefValue.Copy.

Returns a copy of this object. The underlying data will also be copied.

Protected function GetType: TCefValueType;

This item has no description. Showing description inherited from ICefValue.GetType.

Returns the underlying value type.

Protected function GetBool: Boolean;

This item has no description. Showing description inherited from ICefValue.GetBool.

Returns the underlying value as type bool.

Protected function GetInt: Integer;

This item has no description. Showing description inherited from ICefValue.GetInt.

Returns the underlying value as type int.

Protected function GetDouble: Double;

This item has no description. Showing description inherited from ICefValue.GetDouble.

Returns the underlying value as type double.

Protected function GetString: ustring;

This item has no description. Showing description inherited from ICefValue.GetString.

Returns the underlying value as type string.

Protected function GetBinary: ICefBinaryValue;

This item has no description. Showing description inherited from ICefValue.GetBinary.

Returns the underlying value as type binary. The returned reference may become invalid if the value is owned by another object or if ownership is transferred to another object in the future. To maintain a reference to the value after assigning ownership to a dictionary or list pass this object to the set_value() function instead of passing the returned reference to set_binary().

Protected function GetDictionary: ICefDictionaryValue;

This item has no description. Showing description inherited from ICefValue.GetDictionary.

Returns the underlying value as type dictionary. The returned reference may become invalid if the value is owned by another object or if ownership is transferred to another object in the future. To maintain a reference to the value after assigning ownership to a dictionary or list pass this object to the set_value() function instead of passing the returned reference to set_dictionary().

Protected function GetList: ICefListValue;

This item has no description. Showing description inherited from ICefValue.GetList.

Returns the underlying value as type list. The returned reference may become invalid if the value is owned by another object or if ownership is transferred to another object in the future. To maintain a reference to the value after assigning ownership to a dictionary or list pass this object to the set_value() function instead of passing the returned reference to set_list().

Protected function SetNull: Boolean;

This item has no description. Showing description inherited from ICefValue.SetNull.

Sets the underlying value as type null. Returns true (1) if the value was set successfully.

Protected function SetBool(value: boolean): Boolean;

This item has no description. Showing description inherited from ICefValue.SetBool.

Sets the underlying value as type bool. Returns true (1) if the value was set successfully.

Protected function SetInt(value: Integer): Boolean;

This item has no description. Showing description inherited from ICefValue.SetInt.

Sets the underlying value as type int. Returns true (1) if the value was set successfully.

Protected function SetDouble(value: Double): Boolean;

This item has no description. Showing description inherited from ICefValue.SetDouble.

Sets the underlying value as type double. Returns true (1) if the value was set successfully.

Protected function SetString(const value: ustring): Boolean;

This item has no description. Showing description inherited from ICefValue.SetString.

Sets the underlying value as type string. Returns true (1) if the value was set successfully.

Protected function SetBinary(const value: ICefBinaryValue): Boolean;

This item has no description. Showing description inherited from ICefValue.SetBinary.

Sets the underlying value as type binary. Returns true (1) if the value was set successfully. This object keeps a reference to |value| and ownership of the underlying data remains unchanged.

Protected function SetDictionary(const value: ICefDictionaryValue): Boolean;

This item has no description. Showing description inherited from ICefValue.SetDictionary.

Sets the underlying value as type dict. Returns true (1) if the value was set successfully. This object keeps a reference to |value| and ownership of the underlying data remains unchanged.

Protected function SetList(const value: ICefListValue): Boolean;

This item has no description. Showing description inherited from ICefValue.SetList.

Sets the underlying value as type list. Returns true (1) if the value was set successfully. This object keeps a reference to |value| and ownership of the underlying data remains unchanged.

Public class function UnWrap(data: Pointer): ICefValue;

This item has no description.

Public class function New: ICefValue;

This item has no description.


cef4delphi: uCEFView

Unit uCEFView

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefViewRef | A View is a rectangle within the views View hierarchy. It is the base interface for all Views. All size and position values are in density independent pixels (DIP) unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.


cef4delphi: uCEFView: Class TCefViewRef

Class TCefViewRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFView

Declaration

type TCefViewRef = class(TCefBaseRefCountedRef, ICefView)

Description

A View is a rectangle within the views View hierarchy. It is the base interface for all Views. All size and position values are in density independent pixels (DIP) unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_view_capi.h">CEF source file: /include/capi/views/cef_view_capi.h (cef_view_t))

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefViewRef

Overview

Methods

Protected | function AsBrowserView: ICefBrowserView;
Protected | function AsButton: ICefButton;
Protected | function AsPanel: ICefPanel;
Protected | function AsScrollView: ICefScrollView;
Protected | function AsTextfield: ICefTextfield;
Protected | function GetTypeString: ustring;
Protected | function ToStringEx(include_children: boolean): ustring;
Protected | function IsValid: boolean;
Protected | function IsAttached: boolean;
Protected | function IsSame(const that: ICefView): boolean;
Protected | function GetDelegate: ICefViewDelegate;
Protected | function GetWindow: ICefWindow;
Protected | function GetID: Integer;
Protected | procedure SetID(id_: Integer);
Protected | function GetGroupID: Integer;
Protected | procedure SetGroupID(group_id: Integer);
Protected | function GetParentView: ICefView;
Protected | function GetViewForID(id_: Integer): ICefView;
Protected | procedure SetBounds(const bounds_: TCefRect);
Protected | function GetBounds: TCefRect;
Protected | function GetBoundsInScreen: TCefRect;
Protected | procedure SetSize(const size_: TCefSize);
Protected | function GetSize: TCefSize;
Protected | procedure SetPosition(const position_: TCefPoint);
Protected | function GetPosition: TCefPoint;
Protected | procedure SetInsets(const insets: TCefInsets);
Protected | function GetInsets: TCefInsets;
Protected | function GetPreferredSize: TCefSize;
Protected | procedure SizeToPreferredSize;
Protected | function GetMinimumSize: TCefSize;
Protected | function GetMaximumSize: TCefSize;
Protected | function GetHeightForWidth(width: Integer): Integer;
Protected | procedure InvalidateLayout;
Protected | procedure SetVisible(visible_: boolean);
Protected | function IsVisible: boolean;
Protected | function IsDrawn: boolean;
Protected | procedure SetEnabled(enabled_: boolean);
Protected | function IsEnabled: boolean;
Protected | procedure SetFocusable(focusable_: boolean);
Protected | function IsFocusable: boolean;
Protected | function IsAccessibilityFocusable: boolean;
Protected | function HasFocus: boolean;
Protected | procedure RequestFocus;
Protected | procedure SetBackgroundColor(color: TCefColor);
Protected | function GetBackgroundColor: TCefColor;
Protected | function GetThemeColor(color_id: integer): TCefColor;
Protected | function ConvertPointToScreen(var point: TCefPoint): boolean;
Protected | function ConvertPointFromScreen(var point: TCefPoint): boolean;
Protected | function ConvertPointToWindow(var point: TCefPoint): boolean;
Protected | function ConvertPointFromWindow(var point: TCefPoint): boolean;
Protected | function ConvertPointToView(const view : ICefView; var point: TCefPoint): boolean;
Protected | function ConvertPointFromView(const view : ICefView; var point: TCefPoint): boolean;
Public | class function UnWrap(data: Pointer): ICefView;

Description

Methods

Protected function AsBrowserView: ICefBrowserView;

Returns this View as a BrowserView or NULL if this is not a BrowserView.

Protected function AsButton: ICefButton;

Returns this View as a Button or NULL if this is not a Button.

Protected function AsPanel: ICefPanel;

Returns this View as a Panel or NULL if this is not a Panel.

Protected function AsScrollView: ICefScrollView;

Returns this View as a ScrollView or NULL if this is not a ScrollView.

Protected function AsTextfield: ICefTextfield;

Returns this View as a Textfield or NULL if this is not a Textfield.

Protected function GetTypeString: ustring;

Returns the type of this View as a string. Used primarily for testing purposes.

Protected function ToStringEx(include_children: boolean): ustring;

Returns a string representation of this View which includes the type and various type-specific identifying attributes. If |include_children| is true (1) any child Views will also be included. Used primarily for testing purposes.

Protected function IsValid: boolean;

Returns true (1) if this View is valid.

Protected function IsAttached: boolean;

Returns true (1) if this View is currently attached to another View. A View can only be attached to one View at a time.

Protected function IsSame(const that: ICefView): boolean;

Returns true (1) if this View is the same as |that| View.

Protected function GetDelegate: ICefViewDelegate;

Returns the delegate associated with this View, if any.

Protected function GetWindow: ICefWindow;

Returns the top-level Window hosting this View, if any.

Protected function GetID: Integer;

Returns the ID for this View.

Protected procedure SetID(id_: Integer);

Sets the ID for this View. ID should be unique within the subtree that you intend to search for it. 0 is the default ID for views.

Protected function GetGroupID: Integer;

Returns the group id of this View, or -1 if not set.

Protected procedure SetGroupID(group_id: Integer);

A group id is used to tag Views which are part of the same logical group. Focus can be moved between views with the same group using the arrow keys. The group id is immutable once it's set.

Protected function GetParentView: ICefView;

Returns the View that contains this View, if any.

Protected function GetViewForID(id_: Integer): ICefView;

Recursively descends the view tree starting at this View, and returns the first child that it encounters with the given ID. Returns NULL if no matching child view is found.

Protected procedure SetBounds(const bounds_: TCefRect);

Sets the bounds (size and position) of this View. |bounds| is in parent coordinates, or DIP screen coordinates if there is no parent.

Protected function GetBounds: TCefRect;

Returns the bounds (size and position) of this View in parent coordinates, or DIP screen coordinates if there is no parent.

Protected function GetBoundsInScreen: TCefRect;

Returns the bounds (size and position) of this View in DIP screen coordinates.

Protected procedure SetSize(const size_: TCefSize);

Sets the size of this View without changing the position. |size| in parent coordinates, or DIP screen coordinates if there is no parent.

Protected function GetSize: TCefSize;

Returns the size of this View in parent coordinates, or DIP screen coordinates if there is no parent.

Protected procedure SetPosition(const position_: TCefPoint);

Sets the position of this View without changing the size. |position| is in parent coordinates, or DIP screen coordinates if there is no parent.

Protected function GetPosition: TCefPoint;

Returns the position of this View. Position is in parent coordinates, or DIP screen coordinates if there is no parent.

Protected procedure SetInsets(const insets: TCefInsets);

Sets the insets for this View. |insets| is in parent coordinates, or DIP screen coordinates if there is no parent.

Protected function GetInsets: TCefInsets;

Returns the insets for this View in parent coordinates, or DIP screen coordinates if there is no parent.

Protected function GetPreferredSize: TCefSize;

Returns the size this View would like to be if enough space is available. Size is in parent coordinates, or DIP screen coordinates if there is no parent.

Protected procedure SizeToPreferredSize;

Size this View to its preferred size. Size is in parent coordinates, or DIP screen coordinates if there is no parent.

Protected function GetMinimumSize: TCefSize;

Returns the minimum size for this View. Size is in parent coordinates, or DIP screen coordinates if there is no parent.

Protected function GetMaximumSize: TCefSize;

Returns the maximum size for this View. Size is in parent coordinates, or DIP screen coordinates if there is no parent.

Protected function GetHeightForWidth(width: Integer): Integer;

Returns the height necessary to display this View with the provided width.

Protected procedure InvalidateLayout;

Indicate that this View and all parent Views require a re-layout. This ensures the next call to layout() will propagate to this View even if the bounds of parent Views do not change.

Protected procedure SetVisible(visible_: boolean);

Sets whether this View is visible. Windows are hidden by default and other views are visible by default. This View and any parent views must be set as visible for this View to be drawn in a Window. If this View is set as hidden then it and any child views will not be drawn and, if any of those views currently have focus, then focus will also be cleared. Painting is scheduled as needed. If this View is a Window then calling this function is equivalent to calling the Window show() and hide() functions.

Protected function IsVisible: boolean;

Returns whether this View is visible. A view may be visible but still not drawn in a Window if any parent views are hidden. If this View is a Window then a return value of true (1) indicates that this Window is currently visible to the user on-screen. If this View is not a Window then call is_drawn() to determine whether this View and all parent views are visible and will be drawn.

Protected function IsDrawn: boolean;

Returns whether this View is visible and drawn in a Window. A view is drawn if it and all parent views are visible. If this View is a Window then calling this function is equivalent to calling is_visible(). Otherwise, to determine if the containing Window is visible to the user on-screen call is_visible() on the Window.

Protected procedure SetEnabled(enabled_: boolean);

Set whether this View is enabled. A disabled View does not receive keyboard or mouse inputs. If |enabled| differs from the current value the View will be repainted. Also, clears focus if the focused View is disabled.

Protected function IsEnabled: boolean;

Returns whether this View is enabled.

Protected procedure SetFocusable(focusable_: boolean);

Sets whether this View is capable of taking focus. It will clear focus if the focused View is set to be non-focusable. This is false (0) by default so that a View used as a container does not get the focus.

Protected function IsFocusable: boolean;

Returns true (1) if this View is focusable, enabled and drawn.

Protected function IsAccessibilityFocusable: boolean;

Return whether this View is focusable when the user requires full keyboard access, even though it may not be normally focusable.

Protected function HasFocus: boolean;

Returns true (1) if this View has focus in the context of the containing Window. Check both this function and ICefWindow.IsActive to determine global keyboard focus.

Protected procedure RequestFocus;

Request focus for this View in the context of the containing Window. If this View is focusable it will become the focused View. Any focus changes while a Window is not active may be applied after that Window next becomes active.

Protected procedure SetBackgroundColor(color: TCefColor);

Sets the background color for this View. The background color will be automatically reset when ICefViewDelegate.OnThemeChanged is called.

Protected function GetBackgroundColor: TCefColor;

Returns the background color for this View. If the background color is unset then the current `GetThemeColor(CEF_ColorPrimaryBackground)` value will be returned. If this View belongs to an overlay (created with ICefWindow.AddOverlayView), and the background color is unset, then a value of transparent (0) will be returned.

Protected function GetThemeColor(color_id: integer): TCefColor;

Returns the current theme color associated with |color_id|, or the placeholder color (red) if unset. See cef_color_ids.h for standard ID values. Standard colors can be overridden and custom colors can be added using ICefWindow.SetThemeColor.

Protected function ConvertPointToScreen(var point: TCefPoint): boolean;

Convert |point| from this View's coordinate system to DIP screen coordinates. This View must belong to a Window when calling this function. Returns true (1) if the conversion is successful or false (0) otherwise. Use ICefDisplay.ConvertPointToPixels() after calling this function if further conversion to display-specific pixel coordinates is desired.

Protected function ConvertPointFromScreen(var point: TCefPoint): boolean;

Convert |point| to this View's coordinate system from DIP screen coordinates. This View must belong to a Window when calling this function. Returns true (1) if the conversion is successful or false (0) otherwise. Use ICefDisplay.ConvertPointFromPixels() before calling this function if conversion from display-specific pixel coordinates is necessary.

Protected function ConvertPointToWindow(var point: TCefPoint): boolean;

Convert |point| from this View's coordinate system to that of the Window. This View must belong to a Window when calling this function. Returns true (1) if the conversion is successful or false (0) otherwise.

Protected function ConvertPointFromWindow(var point: TCefPoint): boolean;

Convert |point| to this View's coordinate system from that of the Window. This View must belong to a Window when calling this function. Returns true (1) if the conversion is successful or false (0) otherwise.

Protected function ConvertPointToView(const view : ICefView; var point: TCefPoint): boolean;

Convert |point| from this View's coordinate system to that of |view|. |view| needs to be in the same Window but not necessarily the same view hierarchy. Returns true (1) if the conversion is successful or false (0) otherwise.

Protected function ConvertPointFromView(const view : ICefView; var point: TCefPoint): boolean;

Convert |point| to this View's coordinate system from that |view|. |view| needs to be in the same Window but not necessarily the same view hierarchy. Returns true (1) if the conversion is successful or false (0) otherwise.

Public class function UnWrap(data: Pointer): ICefView;

Returns a ICefView instance using a PCefView data pointer.


cef4delphi: uCEFViewComponent

Unit uCEFViewComponent

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCEFViewComponent |


cef4delphi: uCEFViewComponent: Class TCEFViewComponent

Class TCEFViewComponent

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFViewComponent

Declaration

type TCEFViewComponent = class(TComponent, ICefViewDelegateEvents)

Description

This item has no description.

Hierarchy

  • TObject
  • TPersistent
  • TComponent
  • TCEFViewComponent

Overview

Fields

Protected | FOnGetPreferredSize: TOnGetPreferredSizeEvent;
Protected | FOnGetMinimumSize: TOnGetMinimumSizeEvent;
Protected | FOnGetMaximumSize: TOnGetMaximumSizeEvent;
Protected | FOnGetHeightForWidth: TOnGetHeightForWidthEvent;
Protected | FOnParentViewChanged: TOnParentViewChangedEvent;
Protected | FOnChildViewChanged: TOnChildViewChangedEvent;
Protected | FOnWindowChanged: TOnWindowChangedEvent;
Protected | FOnLayoutChanged: TOnLayoutChangedEvent;
Protected | FOnFocus: TOnFocusEvent;
Protected | FOnBlur: TOnBlurEvent;
Protected | FOnThemeChanged: TOnThemeChangedEvent;
Protected | FComponentID: integer;

Methods

Protected | procedure CreateView; virtual;
Protected | procedure DestroyView; virtual;
Protected | procedure Initialize; virtual;
Protected | function GetInitialized: boolean; virtual;
Protected | function GetAsView: ICefView; virtual;
Protected | function GetTypeString: ustring;
Protected | function GetAsBrowserView: ICefBrowserView; virtual;
Protected | function GetAsButton: ICefButton; virtual;
Protected | function GetAsPanel: ICefPanel; virtual;
Protected | function GetAsScrollView: ICefScrollView; virtual;
Protected | function GetAsTextfield: ICefTextfield; virtual;
Protected | function GetIsValid: boolean;
Protected | function GetIsAttached: boolean;
Protected | function GetDelegate: ICefViewDelegate;
Protected | function GetWindow: ICefWindow;
Protected | function GetID: Integer;
Protected | function GetGroupID: Integer;
Protected | function GetParentView: ICefView;
Protected | function GetBounds: TCefRect;
Protected | function GetBoundsInScreen: TCefRect;
Protected | function GetSize: TCefSize;
Protected | function GetPosition: TCefPoint;
Protected | function GetPreferredSize: TCefSize;
Protected | function GetMinimumSize: TCefSize;
Protected | function GetMaximumSize: TCefSize;
Protected | function GetIsVisible: boolean;
Protected | function GetIsDrawn: boolean;
Protected | function GetIsEnabled: boolean;
Protected | function GetIsFocusable: boolean;
Protected | function GetIsAccessibilityFocusable: boolean;
Protected | function GetHasFocus: boolean;
Protected | function GetBackgroundColor: TCefColor;
Protected | function GetViewForID(id_: Integer): ICefView;
Protected | function GetHeightForWidth(width: Integer): Integer;
Protected | function GetInsets: TCefInsets;
Protected | function GetComponentID: integer;
Protected | procedure SetID(id_: Integer);
Protected | procedure SetGroupID(group_id: Integer);
Protected | procedure SetBounds(const bounds_: TCefRect);
Protected | procedure SetSize(const size_: TCefSize);
Protected | procedure SetPosition(const position_: TCefPoint);
Protected | procedure SetVisible(visible_: boolean);
Protected | procedure SetEnabled(enabled_: boolean);
Protected | procedure SetFocusable(focusable_: boolean);
Protected | procedure SetBackgroundColor(color: TCefColor);
Protected | procedure SetInsets(const insets: TCefInsets);
Protected | procedure doOnGetPreferredSize(const view: ICefView; var aResult : TCefSize); virtual;
Protected | procedure doOnGetMinimumSize(const view: ICefView; var aResult : TCefSize); virtual;
Protected | procedure doOnGetMaximumSize(const view: ICefView; var aResult : TCefSize); virtual;
Protected | procedure doOnGetHeightForWidth(const view: ICefView; width: Integer; var aResult: Integer); virtual;
Protected | procedure doOnParentViewChanged(const view: ICefView; added: boolean; const parent: ICefView); virtual;
Protected | procedure doOnChildViewChanged(const view: ICefView; added: boolean; const child: ICefView); virtual;
Protected | procedure doOnWindowChanged(const view: ICefView; added: boolean); virtual;
Protected | procedure doOnLayoutChanged(const view: ICefView; new_bounds: TCefRect); virtual;
Protected | procedure doOnFocus(const view: ICefView); virtual;
Protected | procedure doOnBlur(const view: ICefView); virtual;
Protected | procedure doOnThemeChanged(const view: ICefView); virtual;
Protected | procedure doCreateCustomView; virtual;
Public | constructor Create(AOwner: TComponent); override;
Public | procedure AfterConstruction; override;
Public | procedure BeforeDestruction; override;
Public | function ToStringEx(include_children: boolean): ustring;
Public | function IsSame(const that: ICefView): boolean;
Public | procedure SizeToPreferredSize;
Public | procedure InvalidateLayout;
Public | procedure RequestFocus;
Public | function GetThemeColor(color_id: integer): TCefColor;
Public | function ConvertPointToScreen(var point: TCefPoint): boolean;
Public | function ConvertPointFromScreen(var point: TCefPoint): boolean;
Public | function ConvertPointToWindow(var point: TCefPoint): boolean;
Public | function ConvertPointFromWindow(var point: TCefPoint): boolean;
Public | function ConvertPointToView(const view : ICefView; var point: TCefPoint): boolean;
Public | function ConvertPointFromView(const view : ICefView; var point: TCefPoint): boolean;

Properties

Public | property Initialized : boolean read GetInitialized;
Public | property AsView : ICefView read GetAsView;
Public | property AsBrowserView : ICefBrowserView read GetAsBrowserView;
Public | property AsButton : ICefButton read GetAsButton;
Public | property AsPanel : ICefPanel read GetAsPanel;
Public | property AsScrollView : ICefScrollView read GetAsScrollView;
Public | property AsTextfield : ICefTextfield read GetAsTextfield;
Public | property ViewForID[id_: Integer]: ICefView read GetViewForID;
Public | property Valid : boolean read GetIsValid;
Public | property Attached : boolean read GetIsAttached;
Public | property Delegate : ICefViewDelegate read GetDelegate;
Public | property Window : ICefWindow read GetWindow;
Public | property ParentView : ICefView read GetParentView;
Public | property BoundsInScreen : TCefRect read GetBoundsInScreen;
Public | property PreferredSize : TCefSize read GetPreferredSize;
Public | property MinimumSize : TCefSize read GetMinimumSize;
Public | property MaximumSize : TCefSize read GetMaximumSize;
Public | property Visible : boolean read GetIsVisible write SetVisible;
Public | property Drawn : boolean read GetIsDrawn;
Public | property Enabled : boolean read GetIsEnabled write SetEnabled;
Public | property Focusable : boolean read GetIsFocusable write SetFocusable;
Public | property AccessibilityFocusable : boolean read GetIsAccessibilityFocusable;
Public | property HasFocus : boolean read GetHasFocus;
Public | property BackgroundColor : TCefColor read GetBackgroundColor write SetBackgroundColor;
Public | property ID : integer read GetID write SetID;
Public | property GroupID : integer read GetGroupID write SetGroupID;
Public | property Bounds : TCefRect read GetBounds write SetBounds;
Public | property Size : TCefSize read GetSize write SetSize;
Public | property Position : TCefPoint read GetPosition write SetPosition;
Public | property Insets : TCefInsets read GetInsets write SetInsets;
Public | property TypeString : ustring read GetTypeString;
Public | property HeightForWidth[width: Integer]: Integer read GetHeightForWidth;
Published | property OnGetPreferredSize : TOnGetPreferredSizeEvent read FOnGetPreferredSize write FOnGetPreferredSize;
Published | property OnGetMinimumSize : TOnGetMinimumSizeEvent read FOnGetMinimumSize write FOnGetMinimumSize;
Published | property OnGetMaximumSize : TOnGetMaximumSizeEvent read FOnGetMaximumSize write FOnGetMaximumSize;
Published | property OnGetHeightForWidth : TOnGetHeightForWidthEvent read FOnGetHeightForWidth write FOnGetHeightForWidth;
Published | property OnParentViewChanged : TOnParentViewChangedEvent read FOnParentViewChanged write FOnParentViewChanged;
Published | property OnChildViewChanged : TOnChildViewChangedEvent read FOnChildViewChanged write FOnChildViewChanged;
Published | property OnWindowChanged : TOnWindowChangedEvent read FOnWindowChanged write FOnWindowChanged;
Published | property OnLayoutChanged : TOnLayoutChangedEvent read FOnLayoutChanged write FOnLayoutChanged;
Published | property OnFocus : TOnFocusEvent read FOnFocus write FOnFocus;
Published | property OnBlur : TOnBlurEvent read FOnBlur write FOnBlur;
Published | property OnThemeChanged : TOnThemeChangedEvent read FOnThemeChanged write FOnThemeChanged;

Description

Fields

Protected FOnGetPreferredSize: TOnGetPreferredSizeEvent;

ICefViewDelegateEvents

Protected FOnGetMinimumSize: TOnGetMinimumSizeEvent;

This item has no description.

Protected FOnGetMaximumSize: TOnGetMaximumSizeEvent;

This item has no description.

Protected FOnGetHeightForWidth: TOnGetHeightForWidthEvent;

This item has no description.

Protected FOnParentViewChanged: TOnParentViewChangedEvent;

This item has no description.

Protected FOnChildViewChanged: TOnChildViewChangedEvent;

This item has no description.

Protected FOnWindowChanged: TOnWindowChangedEvent;

This item has no description.

Protected FOnLayoutChanged: TOnLayoutChangedEvent;

This item has no description.

Protected FOnFocus: TOnFocusEvent;

This item has no description.

Protected FOnBlur: TOnBlurEvent;

This item has no description.

Protected FOnThemeChanged: TOnThemeChangedEvent;

This item has no description.

Protected FComponentID: integer;

This item has no description.

Methods

Protected procedure CreateView; virtual;

This item has no description.

Protected procedure DestroyView; virtual;

This item has no description.

Protected procedure Initialize; virtual;

This item has no description.

Protected function GetInitialized: boolean; virtual;

This item has no description.

Protected function GetAsView: ICefView; virtual;

This item has no description.

Protected function GetTypeString: ustring;

This item has no description.

Protected function GetAsBrowserView: ICefBrowserView; virtual;

This item has no description.

Protected function GetAsButton: ICefButton; virtual;

This item has no description.

Protected function GetAsPanel: ICefPanel; virtual;

This item has no description.

Protected function GetAsScrollView: ICefScrollView; virtual;

This item has no description.

Protected function GetAsTextfield: ICefTextfield; virtual;

This item has no description.

Protected function GetIsValid: boolean;

This item has no description.

Protected function GetIsAttached: boolean;

This item has no description.

Protected function GetDelegate: ICefViewDelegate;

This item has no description.

Protected function GetWindow: ICefWindow;

This item has no description.

Protected function GetID: Integer;

This item has no description.

Protected function GetGroupID: Integer;

This item has no description.

Protected function GetParentView: ICefView;

This item has no description.

Protected function GetBounds: TCefRect;

This item has no description.

Protected function GetBoundsInScreen: TCefRect;

This item has no description.

Protected function GetSize: TCefSize;

This item has no description.

Protected function GetPosition: TCefPoint;

This item has no description.

Protected function GetPreferredSize: TCefSize;

This item has no description.

Protected function GetMinimumSize: TCefSize;

This item has no description.

Protected function GetMaximumSize: TCefSize;

This item has no description.

Protected function GetIsVisible: boolean;

This item has no description.

Protected function GetIsDrawn: boolean;

This item has no description.

Protected function GetIsEnabled: boolean;

This item has no description.

Protected function GetIsFocusable: boolean;

This item has no description.

Protected function GetIsAccessibilityFocusable: boolean;

This item has no description.

Protected function GetHasFocus: boolean;

This item has no description.

Protected function GetBackgroundColor: TCefColor;

This item has no description.

Protected function GetViewForID(id_: Integer): ICefView;

This item has no description.

Protected function GetHeightForWidth(width: Integer): Integer;

This item has no description.

Protected function GetInsets: TCefInsets;

This item has no description.

Protected function GetComponentID: integer;

This item has no description.

Protected procedure SetID(id_: Integer);

This item has no description.

Protected procedure SetGroupID(group_id: Integer);

This item has no description.

Protected procedure SetBounds(const bounds_: TCefRect);

This item has no description.

Protected procedure SetSize(const size_: TCefSize);

This item has no description.

Protected procedure SetPosition(const position_: TCefPoint);

This item has no description.

Protected procedure SetVisible(visible_: boolean);

This item has no description.

Protected procedure SetEnabled(enabled_: boolean);

This item has no description.

Protected procedure SetFocusable(focusable_: boolean);

This item has no description.

Protected procedure SetBackgroundColor(color: TCefColor);

This item has no description.

Protected procedure SetInsets(const insets: TCefInsets);

This item has no description.

Protected procedure doOnGetPreferredSize(const view: ICefView; var aResult : TCefSize); virtual;

ICefViewDelegateEvents

Protected procedure doOnGetMinimumSize(const view: ICefView; var aResult : TCefSize); virtual;

This item has no description.

Protected procedure doOnGetMaximumSize(const view: ICefView; var aResult : TCefSize); virtual;

This item has no description.

Protected procedure doOnGetHeightForWidth(const view: ICefView; width: Integer; var aResult: Integer); virtual;

This item has no description.

Protected procedure doOnParentViewChanged(const view: ICefView; added: boolean; const parent: ICefView); virtual;

This item has no description.

Protected procedure doOnChildViewChanged(const view: ICefView; added: boolean; const child: ICefView); virtual;

This item has no description.

Protected procedure doOnWindowChanged(const view: ICefView; added: boolean); virtual;

This item has no description.

Protected procedure doOnLayoutChanged(const view: ICefView; new_bounds: TCefRect); virtual;

This item has no description.

Protected procedure doOnFocus(const view: ICefView); virtual;

This item has no description.

Protected procedure doOnBlur(const view: ICefView); virtual;

This item has no description.

Protected procedure doOnThemeChanged(const view: ICefView); virtual;

This item has no description.

Protected procedure doCreateCustomView; virtual;

This item has no description. Showing description inherited from ICefViewDelegateEvents.doCreateCustomView.

Custom

Public constructor Create(AOwner: TComponent); override;

This item has no description.

Public procedure AfterConstruction; override;

This item has no description.

Public procedure BeforeDestruction; override;

This item has no description.

Public function ToStringEx(include_children: boolean): ustring;

Returns a string representation of this View which includes the type and various type-specific identifying attributes. If |include_children| is true (1) any child Views will also be included. Used primarily for testing purposes.

Public function IsSame(const that: ICefView): boolean;

Returns true (1) if this View is the same as |that| View.

Public procedure SizeToPreferredSize;

Size this View to its preferred size. Size is in parent coordinates, or DIP screen coordinates if there is no parent.

Public procedure InvalidateLayout;

Indicate that this View and all parent Views require a re-layout. This ensures the next call to layout() will propagate to this View even if the bounds of parent Views do not change.

Public procedure RequestFocus;

Request focus for this View in the context of the containing Window. If this View is focusable it will become the focused View. Any focus changes while a Window is not active may be applied after that Window next becomes active.

Public function GetThemeColor(color_id: integer): TCefColor;

Returns the current theme color associated with |color_id|, or the placeholder color (red) if unset. See cef_color_ids.h for standard ID values. Standard colors can be overridden and custom colors can be added using ICefWindow.SetThemeColor.

Public function ConvertPointToScreen(var point: TCefPoint): boolean;

Convert |point| from this View's coordinate system to DIP screen coordinates. This View must belong to a Window when calling this function. Returns true (1) if the conversion is successful or false (0) otherwise. Use ICefDisplay.ConvertPointToPixels() after calling this function if further conversion to display-specific pixel coordinates is desired.

Public function ConvertPointFromScreen(var point: TCefPoint): boolean;

Convert |point| to this View's coordinate system from DIP screen coordinates. This View must belong to a Window when calling this function. Returns true (1) if the conversion is successful or false (0) otherwise. Use ICefDisplay.ConvertPointFromPixels() before calling this function if conversion from display-specific pixel coordinates is necessary.

Public function ConvertPointToWindow(var point: TCefPoint): boolean;

Convert |point| from this View's coordinate system to that of the Window. This View must belong to a Window when calling this function. Returns true (1) if the conversion is successful or false (0) otherwise.

Public function ConvertPointFromWindow(var point: TCefPoint): boolean;

Convert |point| to this View's coordinate system from that of the Window. This View must belong to a Window when calling this function. Returns true (1) if the conversion is successful or false (0) otherwise.

Public function ConvertPointToView(const view : ICefView; var point: TCefPoint): boolean;

Convert |point| from this View's coordinate system to that of |view|. |view| needs to be in the same Window but not necessarily the same view hierarchy. Returns true (1) if the conversion is successful or false (0) otherwise.

Public function ConvertPointFromView(const view : ICefView; var point: TCefPoint): boolean;

Convert |point| to this View's coordinate system from that |view|. |view| needs to be in the same Window but not necessarily the same view hierarchy. Returns true (1) if the conversion is successful or false (0) otherwise.

Properties

Public property Initialized : boolean read GetInitialized;

Returns true when the control is fully initialized.

Public property AsView : ICefView read GetAsView;

Returns this control as a View.

Public property AsBrowserView : ICefBrowserView read GetAsBrowserView;

Returns this View as a BrowserView or NULL if this is not a BrowserView.

Public property AsButton : ICefButton read GetAsButton;

Returns this View as a Button or NULL if this is not a Button.

Public property AsPanel : ICefPanel read GetAsPanel;

Returns this View as a Panel or NULL if this is not a Panel.

Public property AsScrollView : ICefScrollView read GetAsScrollView;

Returns this View as a ScrollView or NULL if this is not a ScrollView.

Public property AsTextfield : ICefTextfield read GetAsTextfield;

Returns this View as a Textfield or NULL if this is not a Textfield.

Public property ViewForID[id_: Integer]: ICefView read GetViewForID;

Recursively descends the view tree starting at this View, and returns the first child that it encounters with the given ID. Returns NULL if no matching child view is found.

Public property Valid : boolean read GetIsValid;

Returns true (1) if this View is valid.

Public property Attached : boolean read GetIsAttached;

Returns true (1) if this View is currently attached to another View. A View can only be attached to one View at a time.

Public property Delegate : ICefViewDelegate read GetDelegate;

Returns the delegate associated with this View, if any.

Public property Window : ICefWindow read GetWindow;

Returns the top-level Window hosting this View, if any.

Public property ParentView : ICefView read GetParentView;

Returns the View that contains this View, if any.

Public property BoundsInScreen : TCefRect read GetBoundsInScreen;

Returns the bounds (size and position) of this View in DIP screen coordinates.

Public property PreferredSize : TCefSize read GetPreferredSize;

Returns the size this View would like to be if enough space is available. Size is in parent coordinates, or DIP screen coordinates if there is no parent.

Public property MinimumSize : TCefSize read GetMinimumSize;

Returns the minimum size for this View. Size is in parent coordinates, or DIP screen coordinates if there is no parent.

Public property MaximumSize : TCefSize read GetMaximumSize;

Returns the maximum size for this View. Size is in parent coordinates, or DIP screen coordinates if there is no parent.

Public property Visible : boolean read GetIsVisible write SetVisible;

Returns whether this View is visible. A view may be visible but still not drawn in a Window if any parent views are hidden. If this View is a Window then a return value of true (1) indicates that this Window is currently visible to the user on-screen. If this View is not a Window then call is_drawn() to determine whether this View and all parent views are visible and will be drawn.

Public property Drawn : boolean read GetIsDrawn;

Returns whether this View is visible and drawn in a Window. A view is drawn if it and all parent views are visible. If this View is a Window then calling this function is equivalent to calling is_visible(). Otherwise, to determine if the containing Window is visible to the user on-screen call is_visible() on the Window.

Public property Enabled : boolean read GetIsEnabled write SetEnabled;

Get or set whether this View is enabled. A disabled View does not receive keyboard or mouse inputs. If |enabled| differs from the current value the View will be repainted. Also, clears focus if the focused View is disabled.

Public property Focusable : boolean read GetIsFocusable write SetFocusable;

Gets and sets whether this View is capable of taking focus. It will clear focus if the focused View is set to be non-focusable. This is false (0) by default so that a View used as a container does not get the focus.

Public property AccessibilityFocusable : boolean read GetIsAccessibilityFocusable;

Return whether this View is focusable when the user requires full keyboard access, even though it may not be normally focusable.

Public property HasFocus : boolean read GetHasFocus;

Returns true (1) if this View has focus in the context of the containing Window. Check both this function and ICefWindow.IsActive to determine global keyboard focus.

Public property BackgroundColor : TCefColor read GetBackgroundColor write SetBackgroundColor;

Returns the background color for this View. If the background color is unset then the current `GetThemeColor(CEF_ColorPrimaryBackground)` value will be returned. If this View belongs to an overlay (created with ICefWindow.AddOverlayView), and the background color is unset, then a value of transparent (0) will be returned.

Public property ID : integer read GetID write SetID;

Gets or sets the ID for this View. ID should be unique within the subtree that you intend to search for it. 0 is the default ID for views.

Public property GroupID : integer read GetGroupID write SetGroupID;

Returns the group id of this View, or -1 if not set.

Public property Bounds : TCefRect read GetBounds write SetBounds;

Returns the bounds (size and position) of this View in parent coordinates, or DIP screen coordinates if there is no parent.

Public property Size : TCefSize read GetSize write SetSize;

Returns the size of this View in parent coordinates, or DIP screen coordinates if there is no parent.

Public property Position : TCefPoint read GetPosition write SetPosition;

Returns the position of this View. Position is in parent coordinates, or DIP screen coordinates if there is no parent.

Public property Insets : TCefInsets read GetInsets write SetInsets;

Returns the insets for this View in parent coordinates, or DIP screen coordinates if there is no parent.

Public property TypeString : ustring read GetTypeString;

Returns the type of this View as a string. Used primarily for testing purposes.

Public property HeightForWidth[width: Integer]: Integer read GetHeightForWidth;

Returns the height necessary to display this View with the provided width.

Published property OnGetPreferredSize : TOnGetPreferredSizeEvent read FOnGetPreferredSize write FOnGetPreferredSize;

Return the preferred size for |view|. The Layout will use this information to determine the display size.

Published property OnGetMinimumSize : TOnGetMinimumSizeEvent read FOnGetMinimumSize write FOnGetMinimumSize;

Return the minimum size for |view|.

Published property OnGetMaximumSize : TOnGetMaximumSizeEvent read FOnGetMaximumSize write FOnGetMaximumSize;

Return the maximum size for |view|.

Published property OnGetHeightForWidth : TOnGetHeightForWidthEvent read FOnGetHeightForWidth write FOnGetHeightForWidth;

Return the height necessary to display |view| with the provided |width|. If not specified the result of get_preferred_size().height will be used by default. Override if |view|'s preferred height depends upon the width (for example, with Labels).

Published property OnParentViewChanged : TOnParentViewChangedEvent read FOnParentViewChanged write FOnParentViewChanged;

Called when the parent of |view| has changed. If |view| is being added to |parent| then |added| will be true (1). If |view| is being removed from |parent| then |added| will be false (0). If |view| is being reparented the remove notification will be sent before the add notification. Do not modify the view hierarchy in this callback.

Published property OnChildViewChanged : TOnChildViewChangedEvent read FOnChildViewChanged write FOnChildViewChanged;

Called when a child of |view| has changed. If |child| is being added to |view| then |added| will be true (1). If |child| is being removed from |view| then |added| will be false (0). If |child| is being reparented the remove notification will be sent to the old parent before the add notification is sent to the new parent. Do not modify the view hierarchy in this callback.

Published property OnWindowChanged : TOnWindowChangedEvent read FOnWindowChanged write FOnWindowChanged;

Called when |view| is added or removed from the ICefWindow.

Published property OnLayoutChanged : TOnLayoutChangedEvent read FOnLayoutChanged write FOnLayoutChanged;

Called when the layout of |view| has changed.

Published property OnFocus : TOnFocusEvent read FOnFocus write FOnFocus;

Called when |view| gains focus.

Published property OnBlur : TOnBlurEvent read FOnBlur write FOnBlur;

Called when |view| loses focus.

Published property OnThemeChanged : TOnThemeChangedEvent read FOnThemeChanged write FOnThemeChanged;

(

Called when the theme for |view| has changed, after the new theme colors have already been applied. Views are notified via the component hierarchy in depth-first reverse order (children before parents).

This will be called in the following cases:

1. When |view|, or a parent of |view|, is added to a Window.
2. When the native/OS or Chrome theme changes for the Window that contains
   |view|. See ICefWindowDelegate.OnThemeColorsChanged documentation.
3. When the client explicitly calls ICefWindow.ThemeChanged on the
   Window that contains |view|.

Optionally use this callback to override the new per-View theme colors by calling ICefView.SetBackgroundColor or the appropriate component- specific function. See ICefWindow.SetThemeColor documentation for how to customize additional Window theme colors.

(


cef4delphi: uCEFViewDelegate

Unit uCEFViewDelegate

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefViewDelegateRef |
Class TCefViewDelegateOwn | Implement this interface to handle view events. All size and position values are in density independent pixels (DIP) unless otherwise indicated. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.
Class TCustomViewDelegate | This class handles all the ICefViewDelegate methods which call the ICefViewDelegateEvents methods. ICefViewDelegateEvents will be implemented by the control receiving the ICefViewDelegate events.


cef4delphi: uCEFViewDelegate: Class TCefViewDelegateRef

Class TCefViewDelegateRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFViewDelegate

Declaration

type TCefViewDelegateRef = class(TCefBaseRefCountedRef, ICefViewDelegate)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefViewDelegateRef

Overview

Methods

Protected | procedure OnGetPreferredSize(const view: ICefView; var aResult : TCefSize);
Protected | procedure OnGetMinimumSize(const view: ICefView; var aResult : TCefSize);
Protected | procedure OnGetMaximumSize(const view: ICefView; var aResult : TCefSize);
Protected | procedure OnGetHeightForWidth(const view: ICefView; width: Integer; var aResult: Integer);
Protected | procedure OnParentViewChanged(const view: ICefView; added: boolean; const parent: ICefView);
Protected | procedure OnChildViewChanged(const view: ICefView; added: boolean; const child: ICefView);
Protected | procedure OnWindowChanged(const view: ICefView; added: boolean);
Protected | procedure OnLayoutChanged(const view: ICefView; new_bounds: TCefRect);
Protected | procedure OnFocus(const view: ICefView);
Protected | procedure OnBlur(const view: ICefView);
Protected | procedure OnThemeChanged(const view: ICefView);
Public | class function UnWrap(data: Pointer): ICefViewDelegate;

Description

Methods

Protected procedure OnGetPreferredSize(const view: ICefView; var aResult : TCefSize);

This item has no description. Showing description inherited from ICefViewDelegate.OnGetPreferredSize.

Return the preferred size for |view|. The Layout will use this information to determine the display size.

Protected procedure OnGetMinimumSize(const view: ICefView; var aResult : TCefSize);

This item has no description. Showing description inherited from ICefViewDelegate.OnGetMinimumSize.

Return the minimum size for |view|.

Protected procedure OnGetMaximumSize(const view: ICefView; var aResult : TCefSize);

This item has no description. Showing description inherited from ICefViewDelegate.OnGetMaximumSize.

Return the maximum size for |view|.

Protected procedure OnGetHeightForWidth(const view: ICefView; width: Integer; var aResult: Integer);

This item has no description. Showing description inherited from ICefViewDelegate.OnGetHeightForWidth.

Return the height necessary to display |view| with the provided |width|. If not specified the result of get_preferred_size().height will be used by default. Override if |view|'s preferred height depends upon the width (for example, with Labels).

Protected procedure OnParentViewChanged(const view: ICefView; added: boolean; const parent: ICefView);

This item has no description. Showing description inherited from ICefViewDelegate.OnParentViewChanged.

Called when the parent of |view| has changed. If |view| is being added to |parent| then |added| will be true (1). If |view| is being removed from |parent| then |added| will be false (0). If |view| is being reparented the remove notification will be sent before the add notification. Do not modify the view hierarchy in this callback.

Protected procedure OnChildViewChanged(const view: ICefView; added: boolean; const child: ICefView);

This item has no description. Showing description inherited from ICefViewDelegate.OnChildViewChanged.

Called when a child of |view| has changed. If |child| is being added to |view| then |added| will be true (1). If |child| is being removed from |view| then |added| will be false (0). If |child| is being reparented the remove notification will be sent to the old parent before the add notification is sent to the new parent. Do not modify the view hierarchy in this callback.

Protected procedure OnWindowChanged(const view: ICefView; added: boolean);

This item has no description. Showing description inherited from ICefViewDelegate.OnWindowChanged.

Called when |view| is added or removed from the ICefWindow.

Protected procedure OnLayoutChanged(const view: ICefView; new_bounds: TCefRect);

This item has no description. Showing description inherited from ICefViewDelegate.OnLayoutChanged.

Called when the layout of |view| has changed.

Protected procedure OnFocus(const view: ICefView);

This item has no description. Showing description inherited from ICefViewDelegate.OnFocus.

Called when |view| gains focus.

Protected procedure OnBlur(const view: ICefView);

This item has no description. Showing description inherited from ICefViewDelegate.OnBlur.

Called when |view| loses focus.

Protected procedure OnThemeChanged(const view: ICefView);

This item has no description. Showing description inherited from ICefViewDelegate.OnThemeChanged.

(

Called when the theme for |view| has changed, after the new theme colors have already been applied. Views are notified via the component hierarchy in depth-first reverse order (children before parents).

This will be called in the following cases:

1. When |view|, or a parent of |view|, is added to a Window.
2. When the native/OS or Chrome theme changes for the Window that contains
   |view|. See ICefWindowDelegate.OnThemeColorsChanged documentation.
3. When the client explicitly calls ICefWindow.ThemeChanged on the
   Window that contains |view|.

Optionally use this callback to override the new per-View theme colors by calling ICefView.SetBackgroundColor or the appropriate component- specific function. See ICefWindow.SetThemeColor documentation for how to customize additional Window theme colors.

(

Public class function UnWrap(data: Pointer): ICefViewDelegate;

Returns a ICefViewDelegate instance using a PCefViewDelegate data pointer.


cef4delphi: uCEFViewDelegate: Class TCefViewDelegateOwn

Class TCefViewDelegateOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFViewDelegate

Declaration

type TCefViewDelegateOwn = class(TCefBaseRefCountedOwn, ICefViewDelegate)

Description

Implement this interface to handle view events. All size and position values are in density independent pixels (DIP) unless otherwise indicated. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_view_delegate_capi.h">CEF source file: /include/capi/views/cef_view_delegate_capi.h (cef_view_delegate_t))

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefViewDelegateOwn

Overview

Methods

Protected | procedure OnGetPreferredSize(const view: ICefView; var aResult : TCefSize); virtual;
Protected | procedure OnGetMinimumSize(const view: ICefView; var aResult : TCefSize); virtual;
Protected | procedure OnGetMaximumSize(const view: ICefView; var aResult : TCefSize); virtual;
Protected | procedure OnGetHeightForWidth(const view: ICefView; width: Integer; var aResult: Integer); virtual;
Protected | procedure OnParentViewChanged(const view: ICefView; added: boolean; const parent: ICefView); virtual;
Protected | procedure OnChildViewChanged(const view: ICefView; added: boolean; const child: ICefView); virtual;
Protected | procedure OnWindowChanged(const view: ICefView; added: boolean); virtual;
Protected | procedure OnLayoutChanged(const view: ICefView; new_bounds: TCefRect); virtual;
Protected | procedure OnFocus(const view: ICefView); virtual;
Protected | procedure OnBlur(const view: ICefView); virtual;
Protected | procedure OnThemeChanged(const view: ICefView); virtual;
Protected | procedure InitializeCEFMethods; virtual;
Public | constructor Create; virtual;

Description

Methods

Protected procedure OnGetPreferredSize(const view: ICefView; var aResult : TCefSize); virtual;

Return the preferred size for |view|. The Layout will use this information to determine the display size.

Protected procedure OnGetMinimumSize(const view: ICefView; var aResult : TCefSize); virtual;

Return the minimum size for |view|.

Protected procedure OnGetMaximumSize(const view: ICefView; var aResult : TCefSize); virtual;

Return the maximum size for |view|.

Protected procedure OnGetHeightForWidth(const view: ICefView; width: Integer; var aResult: Integer); virtual;

Return the height necessary to display |view| with the provided |width|. If not specified the result of get_preferred_size().height will be used by default. Override if |view|'s preferred height depends upon the width (for example, with Labels).

Protected procedure OnParentViewChanged(const view: ICefView; added: boolean; const parent: ICefView); virtual;

Called when the parent of |view| has changed. If |view| is being added to |parent| then |added| will be true (1). If |view| is being removed from |parent| then |added| will be false (0). If |view| is being reparented the remove notification will be sent before the add notification. Do not modify the view hierarchy in this callback.

Protected procedure OnChildViewChanged(const view: ICefView; added: boolean; const child: ICefView); virtual;

Called when a child of |view| has changed. If |child| is being added to |view| then |added| will be true (1). If |child| is being removed from |view| then |added| will be false (0). If |child| is being reparented the remove notification will be sent to the old parent before the add notification is sent to the new parent. Do not modify the view hierarchy in this callback.

Protected procedure OnWindowChanged(const view: ICefView; added: boolean); virtual;

Called when |view| is added or removed from the ICefWindow.

Protected procedure OnLayoutChanged(const view: ICefView; new_bounds: TCefRect); virtual;

Called when the layout of |view| has changed.

Protected procedure OnFocus(const view: ICefView); virtual;

Called when |view| gains focus.

Protected procedure OnBlur(const view: ICefView); virtual;

Called when |view| loses focus.

Protected procedure OnThemeChanged(const view: ICefView); virtual;

(

Called when the theme for |view| has changed, after the new theme colors have already been applied. Views are notified via the component hierarchy in depth-first reverse order (children before parents).

This will be called in the following cases:

1. When |view|, or a parent of |view|, is added to a Window.
2. When the native/OS or Chrome theme changes for the Window that contains
   |view|. See ICefWindowDelegate.OnThemeColorsChanged documentation.
3. When the client explicitly calls ICefWindow.ThemeChanged on the
   Window that contains |view|.

Optionally use this callback to override the new per-View theme colors by calling ICefView.SetBackgroundColor or the appropriate component- specific function. See ICefWindow.SetThemeColor documentation for how to customize additional Window theme colors.

(

Protected procedure InitializeCEFMethods; virtual;

Links the methods in the internal CEF record data pointer with the methods in this class.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFViewDelegate: Class TCustomViewDelegate

Class TCustomViewDelegate

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFViewDelegate

Declaration

type TCustomViewDelegate = class(TCefViewDelegateOwn)

Description

This class handles all the ICefViewDelegate methods which call the ICefViewDelegateEvents methods. ICefViewDelegateEvents will be implemented by the control receiving the ICefViewDelegate events.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefViewDelegateOwn
  • TCustomViewDelegate

Overview

Fields

Protected FEvents: Pointer;

Methods

Protected | procedure OnGetPreferredSize(const view: ICefView; var aResult : TCefSize); override;
Protected | procedure OnGetMinimumSize(const view: ICefView; var aResult : TCefSize); override;
Protected | procedure OnGetMaximumSize(const view: ICefView; var aResult : TCefSize); override;
Protected | procedure OnGetHeightForWidth(const view: ICefView; width: Integer; var aResult: Integer); override;
Protected | procedure OnParentViewChanged(const view: ICefView; added: boolean; const parent: ICefView); override;
Protected | procedure OnChildViewChanged(const view: ICefView; added: boolean; const child: ICefView); override;
Protected | procedure OnWindowChanged(const view: ICefView; added: boolean); override;
Protected | procedure OnLayoutChanged(const view: ICefView; new_bounds: TCefRect); override;
Protected | procedure OnFocus(const view: ICefView); override;
Protected | procedure OnBlur(const view: ICefView); override;
Protected | procedure OnThemeChanged(const view: ICefView); override;
Public | constructor Create(const events: ICefViewDelegateEvents); reintroduce;
Public | destructor Destroy; override;

Description

Fields

Protected FEvents: Pointer;

This item has no description.

Methods

Protected procedure OnGetPreferredSize(const view: ICefView; var aResult : TCefSize); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnGetPreferredSize.

Return the preferred size for |view|. The Layout will use this information to determine the display size.

Protected procedure OnGetMinimumSize(const view: ICefView; var aResult : TCefSize); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnGetMinimumSize.

Return the minimum size for |view|.

Protected procedure OnGetMaximumSize(const view: ICefView; var aResult : TCefSize); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnGetMaximumSize.

Return the maximum size for |view|.

Protected procedure OnGetHeightForWidth(const view: ICefView; width: Integer; var aResult: Integer); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnGetHeightForWidth.

Return the height necessary to display |view| with the provided |width|. If not specified the result of get_preferred_size().height will be used by default. Override if |view|'s preferred height depends upon the width (for example, with Labels).

Protected procedure OnParentViewChanged(const view: ICefView; added: boolean; const parent: ICefView); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnParentViewChanged.

Called when the parent of |view| has changed. If |view| is being added to |parent| then |added| will be true (1). If |view| is being removed from |parent| then |added| will be false (0). If |view| is being reparented the remove notification will be sent before the add notification. Do not modify the view hierarchy in this callback.

Protected procedure OnChildViewChanged(const view: ICefView; added: boolean; const child: ICefView); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnChildViewChanged.

Called when a child of |view| has changed. If |child| is being added to |view| then |added| will be true (1). If |child| is being removed from |view| then |added| will be false (0). If |child| is being reparented the remove notification will be sent to the old parent before the add notification is sent to the new parent. Do not modify the view hierarchy in this callback.

Protected procedure OnWindowChanged(const view: ICefView; added: boolean); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnWindowChanged.

Called when |view| is added or removed from the ICefWindow.

Protected procedure OnLayoutChanged(const view: ICefView; new_bounds: TCefRect); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnLayoutChanged.

Called when the layout of |view| has changed.

Protected procedure OnFocus(const view: ICefView); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnFocus.

Called when |view| gains focus.

Protected procedure OnBlur(const view: ICefView); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnBlur.

Called when |view| loses focus.

Protected procedure OnThemeChanged(const view: ICefView); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnThemeChanged.

(

Called when the theme for |view| has changed, after the new theme colors have already been applied. Views are notified via the component hierarchy in depth-first reverse order (children before parents).

This will be called in the following cases:

1. When |view|, or a parent of |view|, is added to a Window.
2. When the native/OS or Chrome theme changes for the Window that contains
   |view|. See ICefWindowDelegate.OnThemeColorsChanged documentation.
3. When the client explicitly calls ICefWindow.ThemeChanged on the
   Window that contains |view|.

Optionally use this callback to override the new per-View theme colors by calling ICefView.SetBackgroundColor or the appropriate component- specific function. See ICefWindow.SetThemeColor documentation for how to customize additional Window theme colors.

(

Public constructor Create(const events: ICefViewDelegateEvents); reintroduce;

Creates an instance of this class liked to an interface that's implemented by a control receiving the events.

Public destructor Destroy; override;

This item has no description.


cef4delphi: uCEFViewsFrameworkEvents

Unit uCEFViewsFrameworkEvents

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Types

TOnGetPreferredSizeEvent = procedure(const Sender: TObject; const view: ICefView; var aResult : TCefSize) of object;
TOnGetMinimumSizeEvent = procedure(const Sender: TObject; const view: ICefView; var aResult : TCefSize) of object;
TOnGetMaximumSizeEvent = procedure(const Sender: TObject; const view: ICefView; var aResult : TCefSize) of object;
TOnGetHeightForWidthEvent = procedure(const Sender: TObject; const view: ICefView; width: Integer; var aResult: Integer) of object;
TOnParentViewChangedEvent = procedure(const Sender: TObject; const view: ICefView; added: boolean; const parent: ICefView) of object;
TOnChildViewChangedEvent = procedure(const Sender: TObject; const view: ICefView; added: boolean; const child: ICefView) of object;
TOnWindowChangedEvent = procedure(const Sender: TObject; const view: ICefView; added: boolean) of object;
TOnLayoutChangedEvent = procedure(const Sender: TObject; const view: ICefView; new_bounds: TCefRect) of object;
TOnFocusEvent = procedure(const Sender: TObject; const view: ICefView) of object;
TOnBlurEvent = procedure(const Sender: TObject; const view: ICefView) of object;
TOnThemeChangedEvent = procedure(const Sender: TObject; const view: ICefView) of object;
TOnTextfieldKeyEventEvent = procedure(const Sender: TObject; const textfield: ICefTextfield; const event: TCefKeyEvent; var aResult : boolean) of object;
TOnAfterUserActionEvent = procedure(const Sender: TObject; const textfield: ICefTextfield) of object;
TOnBrowserCreatedEvent = procedure(const Sender: TObject; const browser_view: ICefBrowserView; const browser: ICefBrowser) of object;
TOnBrowserDestroyedEvent = procedure(const Sender: TObject; const browser_view: ICefBrowserView; const browser: ICefBrowser) of object;
TOnGetDelegateForPopupBrowserViewEvent = procedure(const Sender: TObject; const browser_view: ICefBrowserView; const settings: TCefBrowserSettings; const client: ICefClient; is_devtools: boolean; var aResult : ICefBrowserViewDelegate) of object;
TOnPopupBrowserViewCreatedEvent = procedure(const Sender: TObject; const browser_view, popup_browser_view: ICefBrowserView; is_devtools: boolean; var aResult : boolean) of object;
TOnGetChromeToolbarTypeEvent = procedure(const Sender: TObject; const browser_view: ICefBrowserView; var aChromeToolbarType: TCefChromeToolbarType) of object;
TOnUseFramelessWindowForPictureInPicture = procedure(const Sender: TObject; const browser_view: ICefBrowserView; var aResult : boolean) of object;
TOnGestureCommandEvent = procedure(const Sender: TObject; const browser_view: ICefBrowserView; gesture_command: TCefGestureCommand; var aResult : boolean) of object;
TOnGetBrowserRuntimeStyleEvent = procedure(const Sender: TObject; var aResult : TCefRuntimeStyle) of object;
TOnAllowMoveForPictureInPictureEvent = procedure(const Sender: TObject; const browser_view: ICefBrowserView; var aResult : boolean) of object;
TOnButtonPressedEvent = procedure(const Sender: TObject; const button: ICefButton) of object;
TOnButtonStateChangedEvent = procedure(const Sender: TObject; const button: ICefButton) of object;
TOnMenuButtonPressedEvent = procedure(const Sender: TObject; const menu_button: ICefMenuButton; const screen_point: TCefPoint; const button_pressed_lock: ICefMenuButtonPressedLock) of object;
TOnWindowCreatedEvent = procedure(const Sender: TObject; const window_: ICefWindow) of object;
TOnWindowClosingEvent = procedure(const Sender: TObject; const window_: ICefWindow) of object;
TOnWindowDestroyedEvent = procedure(const Sender: TObject; const window_: ICefWindow) of object;
TOnWindowActivationChangedEvent = procedure(const Sender: TObject; const window_: ICefWindow; active: boolean) of object;
TOnWindowBoundsChangedEvent = procedure(const Sender: TObject; const window_: ICefWindow; const new_bounds: TCefRect) of object;
TOnWindowFullscreenTransitionEvent = procedure(const Sender: TObject; const window_: ICefWindow; is_completed: boolean) of object;
TOnGetParentWindowEvent = procedure(const Sender: TObject; const window_: ICefWindow; var is_menu, can_activate_menu: boolean; var aResult : ICefWindow) of object;
TOnIsWindowModalDialogEvent = procedure(const Sender: TObject; const window_: ICefWindow; var aResult : boolean) of object;
TOnGetInitialBoundsEvent = procedure(const Sender: TObject; const window_: ICefWindow; var aResult : TCefRect) of object;
TOnGetInitialShowStateEvent = procedure(const Sender: TObject; const window_: ICefWindow; var aResult : TCefShowState) of object;
TOnIsFramelessEvent = procedure(const Sender: TObject; const window_: ICefWindow; var aResult : boolean) of object;
TOnWithStandardWindowButtonsEvent = procedure(const Sender: TObject; const window_: ICefWindow; var aResult : boolean) of object;
TOnGetTitlebarHeightEvent = procedure(const Sender: TObject; const window_: ICefWindow; var titlebar_height: Single; var aResult : boolean) of object;
TOnAcceptsFirstMouseEvent = procedure(const Sender: TObject; const window_: ICefWindow; var aResult : TCefState) of object;
TOnCanResizeEvent = procedure(const Sender: TObject; const window_: ICefWindow; var aResult : boolean) of object;
TOnCanMaximizeEvent = procedure(const Sender: TObject; const window_: ICefWindow; var aResult : boolean) of object;
TOnCanMinimizeEvent = procedure(const Sender: TObject; const window_: ICefWindow; var aResult : boolean) of object;
TOnCanCloseEvent = procedure(const Sender: TObject; const window_: ICefWindow; var aResult : boolean) of object;
TOnAcceleratorEvent = procedure(const Sender: TObject; const window_: ICefWindow; command_id: Integer; var aResult : boolean) of object;
TOnWindowKeyEventEvent = procedure(const Sender: TObject; const window_: ICefWindow; const event: TCefKeyEvent; var aResult : boolean) of object;
TOnThemeColorsChangedEvent = procedure(const Sender: TObject; const window_: ICefWindow; chrome_theme: Integer) of object;
TOnGetWindowRuntimeStyleEvent = procedure(const Sender: TObject; var aResult : TCefRuntimeStyle) of object;
TOnGetLinuxWindowPropertiesEvent = procedure(const Sender: TObject; const window_: ICefWindow; var properties: TLinuxWindowProperties; var aResult: boolean) of object;

Description

Types

TOnGetPreferredSizeEvent = procedure(const Sender: TObject; const view: ICefView; var aResult : TCefSize) of object;

ICefViewDelegate

TOnGetMinimumSizeEvent = procedure(const Sender: TObject; const view: ICefView; var aResult : TCefSize) of object;

This item has no description.

TOnGetMaximumSizeEvent = procedure(const Sender: TObject; const view: ICefView; var aResult : TCefSize) of object;

This item has no description.

TOnGetHeightForWidthEvent = procedure(const Sender: TObject; const view: ICefView; width: Integer; var aResult: Integer) of object;

This item has no description.

TOnParentViewChangedEvent = procedure(const Sender: TObject; const view: ICefView; added: boolean; const parent: ICefView) of object;

This item has no description.

TOnChildViewChangedEvent = procedure(const Sender: TObject; const view: ICefView; added: boolean; const child: ICefView) of object;

This item has no description.

TOnWindowChangedEvent = procedure(const Sender: TObject; const view: ICefView; added: boolean) of object;

This item has no description.

TOnLayoutChangedEvent = procedure(const Sender: TObject; const view: ICefView; new_bounds: TCefRect) of object;

This item has no description.

TOnFocusEvent = procedure(const Sender: TObject; const view: ICefView) of object;

This item has no description.

TOnBlurEvent = procedure(const Sender: TObject; const view: ICefView) of object;

This item has no description.

TOnThemeChangedEvent = procedure(const Sender: TObject; const view: ICefView) of object;

This item has no description.

TOnTextfieldKeyEventEvent = procedure(const Sender: TObject; const textfield: ICefTextfield; const event: TCefKeyEvent; var aResult : boolean) of object;

ICefTextfieldDelegate

TOnAfterUserActionEvent = procedure(const Sender: TObject; const textfield: ICefTextfield) of object;

This item has no description.

TOnBrowserCreatedEvent = procedure(const Sender: TObject; const browser_view: ICefBrowserView; const browser: ICefBrowser) of object;

ICefPanelDelegate ICefBrowserViewDelegate

TOnBrowserDestroyedEvent = procedure(const Sender: TObject; const browser_view: ICefBrowserView; const browser: ICefBrowser) of object;

This item has no description.

TOnGetDelegateForPopupBrowserViewEvent = procedure(const Sender: TObject; const browser_view: ICefBrowserView; const settings: TCefBrowserSettings; const client: ICefClient; is_devtools: boolean; var aResult : ICefBrowserViewDelegate) of object;

This item has no description.

TOnPopupBrowserViewCreatedEvent = procedure(const Sender: TObject; const browser_view, popup_browser_view: ICefBrowserView; is_devtools: boolean; var aResult : boolean) of object;

This item has no description.

TOnGetChromeToolbarTypeEvent = procedure(const Sender: TObject; const browser_view: ICefBrowserView; var aChromeToolbarType: TCefChromeToolbarType) of object;

This item has no description.

TOnUseFramelessWindowForPictureInPicture = procedure(const Sender: TObject; const browser_view: ICefBrowserView; var aResult : boolean) of object;

This item has no description.

TOnGestureCommandEvent = procedure(const Sender: TObject; const browser_view: ICefBrowserView; gesture_command: TCefGestureCommand; var aResult : boolean) of object;

This item has no description.

TOnGetBrowserRuntimeStyleEvent = procedure(const Sender: TObject; var aResult : TCefRuntimeStyle) of object;

This item has no description.

TOnAllowMoveForPictureInPictureEvent = procedure(const Sender: TObject; const browser_view: ICefBrowserView; var aResult : boolean) of object;

This item has no description.

TOnButtonPressedEvent = procedure(const Sender: TObject; const button: ICefButton) of object;

ICefButtonDelegate

TOnButtonStateChangedEvent = procedure(const Sender: TObject; const button: ICefButton) of object;

This item has no description.

TOnMenuButtonPressedEvent = procedure(const Sender: TObject; const menu_button: ICefMenuButton; const screen_point: TCefPoint; const button_pressed_lock: ICefMenuButtonPressedLock) of object;

ICefMenuButtonDelegate

TOnWindowCreatedEvent = procedure(const Sender: TObject; const window_: ICefWindow) of object;

ICefWindowDelegate

TOnWindowClosingEvent = procedure(const Sender: TObject; const window_: ICefWindow) of object;

This item has no description.

TOnWindowDestroyedEvent = procedure(const Sender: TObject; const window_: ICefWindow) of object;

This item has no description.

TOnWindowActivationChangedEvent = procedure(const Sender: TObject; const window_: ICefWindow; active: boolean) of object;

This item has no description.

TOnWindowBoundsChangedEvent = procedure(const Sender: TObject; const window_: ICefWindow; const new_bounds: TCefRect) of object;

This item has no description.

TOnWindowFullscreenTransitionEvent = procedure(const Sender: TObject; const window_: ICefWindow; is_completed: boolean) of object;

This item has no description.

TOnGetParentWindowEvent = procedure(const Sender: TObject; const window_: ICefWindow; var is_menu, can_activate_menu: boolean; var aResult : ICefWindow) of object;

This item has no description.

TOnIsWindowModalDialogEvent = procedure(const Sender: TObject; const window_: ICefWindow; var aResult : boolean) of object;

This item has no description.

TOnGetInitialBoundsEvent = procedure(const Sender: TObject; const window_: ICefWindow; var aResult : TCefRect) of object;

This item has no description.

TOnGetInitialShowStateEvent = procedure(const Sender: TObject; const window_: ICefWindow; var aResult : TCefShowState) of object;

This item has no description.

TOnIsFramelessEvent = procedure(const Sender: TObject; const window_: ICefWindow; var aResult : boolean) of object;

This item has no description.

TOnWithStandardWindowButtonsEvent = procedure(const Sender: TObject; const window_: ICefWindow; var aResult : boolean) of object;

This item has no description.

TOnGetTitlebarHeightEvent = procedure(const Sender: TObject; const window_: ICefWindow; var titlebar_height: Single; var aResult : boolean) of object;

This item has no description.

TOnAcceptsFirstMouseEvent = procedure(const Sender: TObject; const window_: ICefWindow; var aResult : TCefState) of object;

This item has no description.

TOnCanResizeEvent = procedure(const Sender: TObject; const window_: ICefWindow; var aResult : boolean) of object;

This item has no description.

TOnCanMaximizeEvent = procedure(const Sender: TObject; const window_: ICefWindow; var aResult : boolean) of object;

This item has no description.

TOnCanMinimizeEvent = procedure(const Sender: TObject; const window_: ICefWindow; var aResult : boolean) of object;

This item has no description.

TOnCanCloseEvent = procedure(const Sender: TObject; const window_: ICefWindow; var aResult : boolean) of object;

This item has no description.

TOnAcceleratorEvent = procedure(const Sender: TObject; const window_: ICefWindow; command_id: Integer; var aResult : boolean) of object;

This item has no description.

TOnWindowKeyEventEvent = procedure(const Sender: TObject; const window_: ICefWindow; const event: TCefKeyEvent; var aResult : boolean) of object;

This item has no description.

TOnThemeColorsChangedEvent = procedure(const Sender: TObject; const window_: ICefWindow; chrome_theme: Integer) of object;

This item has no description.

TOnGetWindowRuntimeStyleEvent = procedure(const Sender: TObject; var aResult : TCefRuntimeStyle) of object;

This item has no description.

TOnGetLinuxWindowPropertiesEvent = procedure(const Sender: TObject; const window_: ICefWindow; var properties: TLinuxWindowProperties; var aResult: boolean) of object;

This item has no description.


cef4delphi: uCEFWaitableEvent

Unit uCEFWaitableEvent

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefWaitableEventRef |


cef4delphi: uCEFWaitableEvent: Class TCefWaitableEventRef

Class TCefWaitableEventRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFWaitableEvent

Declaration

type TCefWaitableEventRef = class(TCefBaseRefCountedRef, ICefWaitableEvent)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefWaitableEventRef

Overview

Methods

Protected | procedure Reset;
Protected | procedure Signal;
Protected | function IsSignaled: boolean;
Protected | procedure Wait;
Protected | function TimedWait(max_ms: int64): boolean;
Public | class function UnWrap(data: Pointer): ICefWaitableEvent;
Public | class function New(automatic_reset, initially_signaled : boolean): ICefWaitableEvent;

Description

Methods

Protected procedure Reset;

This item has no description. Showing description inherited from ICefWaitableEvent.Reset.

Put the event in the un-signaled state.

Protected procedure Signal;

This item has no description. Showing description inherited from ICefWaitableEvent.Signal.

Put the event in the signaled state. This causes any thread blocked on Wait to be woken up.

Protected function IsSignaled: boolean;

This item has no description. Showing description inherited from ICefWaitableEvent.IsSignaled.

Returns true (1) if the event is in the signaled state, else false (0). If the event was created with |automatic_reset| set to true (1) then calling this function will also cause a reset.

Protected procedure Wait;

This item has no description. Showing description inherited from ICefWaitableEvent.Wait.

Wait indefinitely for the event to be signaled. This function will not return until after the call to signal() has completed. This function cannot be called on the browser process UI or IO threads.

Protected function TimedWait(max_ms: int64): boolean;

This item has no description. Showing description inherited from ICefWaitableEvent.TimedWait.

Wait up to |max_ms| milliseconds for the event to be signaled. Returns true (1) if the event was signaled. A return value of false (0) does not necessarily mean that |max_ms| was exceeded. This function will not return until after the call to signal() has completed. This function cannot be called on the browser process UI or IO threads.

Public class function UnWrap(data: Pointer): ICefWaitableEvent;

This item has no description.

Public class function New(automatic_reset, initially_signaled : boolean): ICefWaitableEvent;

This item has no description.


cef4delphi: uCEFWinControl

Unit uCEFWinControl

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCEFWinControl | Custom TWinControl used by CEF browsers.


cef4delphi: uCEFWinControl: Class TCEFWinControl

Class TCEFWinControl

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFWinControl

Declaration

type TCEFWinControl = class(TWinControl)

Description

Custom TWinControl used by CEF browsers.

Hierarchy

  • TWinControl
  • TCEFWinControl

Overview

Methods

Protected | function GetChildWindowHandle: THandle; virtual;
Protected | procedure Resize; override;
Public | function TakeSnapshot(var aBitmap : TBitmap) : boolean;
Public | function DestroyChildWindow: boolean;
Public | procedure CreateHandle; override;
Public | procedure InvalidateChildren;
Public | procedure UpdateSize; virtual;

Properties

Public | property ChildWindowHandle : THandle read GetChildWindowHandle;
Published | property Align;
Published | property Anchors;
Published | property Color;
Published | property Constraints;
Published | property TabStop;
Published | property TabOrder;
Published | property Visible;
Published | property Enabled;
Published | property ShowHint;
Published | property Hint;
Published | property DragKind;
Published | property DragCursor;
Published | property DragMode;
Published | property OnResize;
Published | property OnEnter;
Published | property OnExit;
Published | property OnDragDrop;
Published | property OnDragOver;
Published | property OnStartDrag;
Published | property OnEndDrag;
Published | property DoubleBuffered;

Description

Methods

Protected function GetChildWindowHandle: THandle; virtual;

This item has no description.

Protected procedure Resize; override;

This item has no description.

Public function TakeSnapshot(var aBitmap : TBitmap) : boolean;

Take a snapshot of the browser contents into aBitmap. This function only works in Windows without hardware acceleration.

Public function DestroyChildWindow: boolean;

Destroy the child windows created by the browser.

Public procedure CreateHandle; override;

Exposes the CreateHandle procedure to create the Handle at any time.

Public procedure InvalidateChildren;

Invalidate the child windows created by the browser.

Public procedure UpdateSize; virtual;

Updates the size of the child windows created by the browser.

Properties

Public property ChildWindowHandle : THandle read GetChildWindowHandle;

Handle of the first child window created by the browser.

Published property Align;

This item has no description.

Published property Anchors;

This item has no description.

Published property Color;

This item has no description.

Published property Constraints;

This item has no description.

Published property TabStop;

This item has no description.

Published property TabOrder;

This item has no description.

Published property Visible;

This item has no description.

Published property Enabled;

This item has no description.

Published property ShowHint;

This item has no description.

Published property Hint;

This item has no description.

Published property DragKind;

This item has no description.

Published property DragCursor;

This item has no description.

Published property DragMode;

This item has no description.

Published property OnResize;

This item has no description.

Published property OnEnter;

This item has no description.

Published property OnExit;

This item has no description.

Published property OnDragDrop;

This item has no description.

Published property OnDragOver;

This item has no description.

Published property OnStartDrag;

This item has no description.

Published property OnEndDrag;

This item has no description.

Published property DoubleBuffered;

This item has no description.


cef4delphi: uCEFWindow

Unit uCEFWindow

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefWindowRef | A Window is a top-level Window/widget in the Views hierarchy. By default it will have a non-client area with title bar, icon and buttons that supports moving and resizing. All size and position values are in density independent pixels (DIP) unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.


cef4delphi: uCEFWindow: Class TCefWindowRef

Class TCefWindowRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFWindow

Declaration

type TCefWindowRef = class(TCefPanelRef, ICefWindow)

Description

A Window is a top-level Window/widget in the Views hierarchy. By default it will have a non-client area with title bar, icon and buttons that supports moving and resizing. All size and position values are in density independent pixels (DIP) unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefViewRef
  • TCefPanelRef
  • TCefWindowRef

Overview

Methods

Protected | procedure Show;
Protected | procedure ShowAsBrowserModalDialog(const browser_view: ICefBrowserView);
Protected | procedure Hide;
Protected | procedure CenterWindow(const size_: TCefSize);
Protected | procedure Close;
Protected | function IsClosed: boolean;
Protected | procedure Activate;
Protected | procedure Deactivate;
Protected | function IsActive: boolean;
Protected | procedure BringToTop;
Protected | procedure SetAlwaysOnTop(on_top: boolean);
Protected | function IsAlwaysOnTop: boolean;
Protected | procedure Maximize;
Protected | procedure Minimize;
Protected | procedure Restore;
Protected | procedure SetFullscreen(fullscreen: boolean);
Protected | function IsMaximized: boolean;
Protected | function IsMinimized: boolean;
Protected | function IsFullscreen: boolean;
Protected | function GetFocusedView: ICefView;
Protected | procedure SetTitle(const title_: ustring);
Protected | function GetTitle: ustring;
Protected | procedure SetWindowIcon(const image: ICefImage);
Protected | function GetWindowIcon: ICefImage;
Protected | procedure SetWindowAppIcon(const image: ICefImage);
Protected | function GetWindowAppIcon: ICefImage;
Protected | function AddOverlayView(const view: ICefView; docking_mode: TCefDockingMode; can_activate: boolean): ICefOverlayController;
Protected | procedure ShowMenu(const menu_model: ICefMenuModel; const screen_point: TCefPoint; anchor_position : TCefMenuAnchorPosition);
Protected | procedure CancelMenu;
Protected | function GetDisplay: ICefDisplay;
Protected | function GetClientAreaBoundsInScreen: TCefRect;
Protected | procedure SetDraggableRegions(regionsCount: NativeUInt; const regions: PCefDraggableRegionArray);
Protected | function GetWindowHandle: TCefWindowHandle;
Protected | procedure SendKeyPress(key_code: Integer; event_flags: cardinal);
Protected | procedure SendMouseMove(screen_x, screen_y: Integer);
Protected | procedure SendMouseEvents(button: TCefMouseButtonType; mouse_down, mouse_up: boolean);
Protected | procedure SetAccelerator(command_id, key_code : Integer; shift_pressed, ctrl_pressed, alt_pressed, high_priority: boolean);
Protected | procedure RemoveAccelerator(command_id: Integer);
Protected | procedure RemoveAllAccelerators;
Protected | procedure SetThemeColor(color_id: integer; color: TCefColor);
Protected | procedure ThemeChanged;
Protected | function GetRuntimeStyle: TCefRuntimeStyle;
Public | class function UnWrap(data: Pointer): ICefWindow;
Public | class function CreateTopLevel(const delegate: ICefWindowDelegate): ICefWindow;

Description

Methods

Protected procedure Show;

Show the Window.

Protected procedure ShowAsBrowserModalDialog(const browser_view: ICefBrowserView);

Show the Window as a browser modal dialog relative to |browser_view|. A parent Window must be returned via cef_window_delegate_t::get_parent_window() and |browser_view| must belong to that parent Window. While this Window is visible, |browser_view| will be disabled while other controls in the parent Window remain enabled. Navigating or destroying the |browser_view| will close this Window automatically. Alternately, use show() and return true (1) from cef_window_delegate_t::is_window_modal_dialog() for a window modal dialog where all controls in the parent Window are disabled.

Protected procedure Hide;

Hide the Window.

Protected procedure CenterWindow(const size_: TCefSize);

Sizes the Window to |size| and centers it in the current display.

Protected procedure Close;

Close the Window.

Protected function IsClosed: boolean;

Returns true (1) if the Window has been closed.

Protected procedure Activate;

Activate the Window, assuming it already exists and is visible.

Protected procedure Deactivate;

Deactivate the Window, making the next Window in the Z order the active Window.

Protected function IsActive: boolean;

Returns whether the Window is the currently active Window.

Protected procedure BringToTop;

Bring this Window to the top of other Windows in the Windowing system.

Protected procedure SetAlwaysOnTop(on_top: boolean);

Set the Window to be on top of other Windows in the Windowing system.

Protected function IsAlwaysOnTop: boolean;

Returns whether the Window has been set to be on top of other Windows in the Windowing system.

Protected procedure Maximize;

Maximize the Window.

Protected procedure Minimize;

Minimize the Window.

Protected procedure Restore;

Restore the Window.

Protected procedure SetFullscreen(fullscreen: boolean);

Set fullscreen Window state. The ICefWindowDelegate.OnWindowFullscreenTransition function will be called during the fullscreen transition for notification purposes.

Protected function IsMaximized: boolean;

Returns true (1) if the Window is maximized.

Protected function IsMinimized: boolean;

Returns true (1) if the Window is minimized.

Protected function IsFullscreen: boolean;

Returns true (1) if the Window is fullscreen.

Protected function GetFocusedView: ICefView;

Returns the View that currently has focus in this Window, or nullptr if no View currently has focus. A Window may have a focused View even if it is not currently active. Any focus changes while a Window is not active may be applied after that Window next becomes active.

Protected procedure SetTitle(const title_: ustring);

Set the Window title.

Protected function GetTitle: ustring;

Get the Window title.

Protected procedure SetWindowIcon(const image: ICefImage);

Set the Window icon. This should be a 16x16 icon suitable for use in the Windows's title bar.

Protected function GetWindowIcon: ICefImage;

Get the Window icon.

Protected procedure SetWindowAppIcon(const image: ICefImage);

Set the Window App icon. This should be a larger icon for use in the host environment app switching UI. On Windows, this is the ICON_BIG used in Alt-Tab list and Windows taskbar. The Window icon will be used by default if no Window App icon is specified.

Protected function GetWindowAppIcon: ICefImage;

Get the Window App icon.

Protected function AddOverlayView(const view: ICefView; docking_mode: TCefDockingMode; can_activate: boolean): ICefOverlayController;

Add a View that will be overlayed on the Window contents with absolute positioning and high z-order. Positioning is controlled by |docking_mode| as described below. Setting |can_activate| to true (1) will allow the overlay view to receive input focus. The returned cef_overlay_controller_t object is used to control the overlay. Overlays are hidden by default.

With CEF_DOCKING_MODE_CUSTOM:

1. The overlay is initially hidden, sized to |view|'s preferred size,
   and positioned in the top-left corner.
2. Optionally change the overlay position and/or size by calling
   CefOverlayController methods.
3. Call CefOverlayController::SetVisible(true) to show the overlay.
4. The overlay will be automatically re-sized if |view|'s layout
   changes. Optionally change the overlay position and/or size when
   OnLayoutChanged is called on the Window's delegate to indicate a
   change in Window bounds.

With other docking modes:

1. The overlay is initially hidden, sized to |view|'s preferred size,
   and positioned based on |docking_mode|.
2. Call CefOverlayController::SetVisible(true) to show the overlay.
3. The overlay will be automatically re-sized if |view|'s layout changes
   and re-positioned as appropriate when the Window resizes.

Overlays created by this function will receive a higher z-order then any child Views added previously. It is therefore recommended to call this function last after all other child Views have been added so that the overlay displays as the top-most child of the Window.

Protected procedure ShowMenu(const menu_model: ICefMenuModel; const screen_point: TCefPoint; anchor_position : TCefMenuAnchorPosition);

Show a menu with contents |menu_model|. |screen_point| specifies the menu position in screen coordinates. |anchor_position| specifies how the menu will be anchored relative to |screen_point|.

Protected procedure CancelMenu;

Cancel the menu that is currently showing, if any.

Protected function GetDisplay: ICefDisplay;

Returns the Display that most closely intersects the bounds of this Window. May return NULL if this Window is not currently displayed.

Protected function GetClientAreaBoundsInScreen: TCefRect;

Returns the bounds (size and position) of this Window's client area. Position is in screen coordinates.

Protected procedure SetDraggableRegions(regionsCount: NativeUInt; const regions: PCefDraggableRegionArray);

Set the regions where mouse events will be intercepted by this Window to support drag operations. Call this function with an NULL vector to clear the draggable regions. The draggable region bounds should be in window coordinates.

Protected function GetWindowHandle: TCefWindowHandle;

Retrieve the platform window handle for this Window.

Protected procedure SendKeyPress(key_code: Integer; event_flags: cardinal);

Simulate a key press. |key_code| is the VKEY_* value from Chromium's ui/events/keycodes/keyboard_codes.h header (VK_* values on Windows). |event_flags| is some combination of EVENTFLAG_SHIFT_DOWN, EVENTFLAG_CONTROL_DOWN and/or EVENTFLAG_ALT_DOWN. This function is exposed primarily for testing purposes.

Protected procedure SendMouseMove(screen_x, screen_y: Integer);

Simulate a mouse move. The mouse cursor will be moved to the specified (screen_x, screen_y) position. This function is exposed primarily for testing purposes.

Protected procedure SendMouseEvents(button: TCefMouseButtonType; mouse_down, mouse_up: boolean);

Simulate mouse down and/or mouse up events. |button| is the mouse button type. If |mouse_down| is true (1) a mouse down event will be sent. If |mouse_up| is true (1) a mouse up event will be sent. If both are true (1) a mouse down event will be sent followed by a mouse up event (equivalent to clicking the mouse button). The events will be sent using the current cursor position so make sure to call send_mouse_move() first to position the mouse. This function is exposed primarily for testing purposes.

Protected procedure SetAccelerator(command_id, key_code : Integer; shift_pressed, ctrl_pressed, alt_pressed, high_priority: boolean);

Set the keyboard accelerator for the specified |command_id|. |key_code| can be any virtual key or character value. Required modifier keys are specified by |shift_pressed|, |ctrl_pressed| and/or |alt_pressed|. ICefWindowDelegate.OnAccelerator will be called if the keyboard combination is triggered while this window has focus.

The |high_priority| value will be considered if a child ICefBrowserView has focus when the keyboard combination is triggered. If |high_priority| is true (1) then the key event will not be forwarded to the web content (`keydown` event handler) or ICefKeyboardHandler first. If |high_priority| is false (0) then the behavior will depend on the ICefBrowserView.SetPreferAccelerators configuration.

Protected procedure RemoveAccelerator(command_id: Integer);

Remove the keyboard accelerator for the specified |command_id|.

Protected procedure RemoveAllAccelerators;

Remove all keyboard accelerators.

Protected procedure SetThemeColor(color_id: integer; color: TCefColor);

Override a standard theme color or add a custom color associated with |color_id|. See cef_color_ids.h for standard ID values. Recommended usage is as follows:

1. Customize the default native/OS theme by calling SetThemeColor before
   showing the first Window. When done setting colors call
   ICefWindow.ThemeChanged to trigger ICefViewDelegate.OnThemeChanged
   notifications.
2. Customize the current native/OS or Chrome theme after it changes by
   calling SetThemeColor from the ICefWindowDelegate.OnThemeColorsChanged
   callback. ICefViewDelegate.OnThemeChanged notifications will then be
   triggered automatically.

The configured color will be available immediately via ICefView.GetThemeColor and will be applied to each View in this Window's component hierarchy when ICefViewDelegate.OnThemeChanged is called. See OnThemeColorsChanged documentation for additional details.

Clients wishing to add custom colors should use |color_id| values >= CEF_ChromeColorsEnd.

Protected procedure ThemeChanged;

Trigger ICefViewDelegate.OnThemeChanged callbacks for each View in this Window's component hierarchy. Unlike a native/OS or Chrome theme change this function does not reset theme colors to standard values and does not result in a call to ICefWindowDelegate.OnThemeColorsChanged.

Do not call this function from ICefViewDelegate.OnThemeColorsChanged or ICefViewDelegate.OnThemeChanged.

Protected function GetRuntimeStyle: TCefRuntimeStyle;

Returns the runtime style for this Window (ALLOY or CHROME). See TCefRuntimeStyle documentation for details.

Public class function UnWrap(data: Pointer): ICefWindow;

Returns a ICefWindow instance using a PCefWindow data pointer.

Public class function CreateTopLevel(const delegate: ICefWindowDelegate): ICefWindow;

Create a new Window.


cef4delphi: uCEFWindowComponent

Unit uCEFWindowComponent

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCEFWindowComponent |

Functions and Procedures

procedure Register;

Description

Functions and Procedures

procedure Register;

This item has no description.


cef4delphi: uCEFWindowComponent: Class TCEFWindowComponent

Class TCEFWindowComponent

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFWindowComponent

Declaration

type TCEFWindowComponent = class(TCEFPanelComponent, ICefWindowDelegateEvents)

Description

This item has no description.

Hierarchy

  • TObject
  • TPersistent
  • TComponent
  • TCEFViewComponent
  • TCEFPanelComponent
  • TCEFWindowComponent

Overview

Fields

Protected | FWindow: ICefWindow;
Protected | FWindowDlg: ICefWindowDelegate;
Protected | FOnWindowCreated: TOnWindowCreatedEvent;
Protected | FOnWindowClosing: TOnWindowClosingEvent;
Protected | FOnWindowDestroyed: TOnWindowDestroyedEvent;
Protected | FOnWindowActivationChanged: TOnWindowActivationChangedEvent;
Protected | FOnWindowBoundsChanged: TOnWindowBoundsChangedEvent;
Protected | FOnWindowFullscreenTransition: TOnWindowFullscreenTransitionEvent;
Protected | FOnGetParentWindow: TOnGetParentWindowEvent;
Protected | FOnIsWindowModalDialog: TOnIsWindowModalDialogEvent;
Protected | FOnGetInitialBounds: TOnGetInitialBoundsEvent;
Protected | FOnGetInitialShowState: TOnGetInitialShowStateEvent;
Protected | FOnIsFrameless: TOnIsFramelessEvent;
Protected | FOnWithStandardWindowButtons: TOnWithStandardWindowButtonsEvent;
Protected | FOnGetTitlebarHeight: TOnGetTitlebarHeightEvent;
Protected | FOnAcceptsFirstMouse: TOnAcceptsFirstMouseEvent;
Protected | FOnCanResize: TOnCanResizeEvent;
Protected | FOnCanMaximize: TOnCanMaximizeEvent;
Protected | FOnCanMinimize: TOnCanMinimizeEvent;
Protected | FOnCanClose: TOnCanCloseEvent;
Protected | FOnAccelerator: TOnAcceleratorEvent;
Protected | FOnKeyEvent: TOnWindowKeyEventEvent;
Protected | FOnThemeColorsChanged: TOnThemeColorsChangedEvent;
Protected | FOnGetWindowRuntimeStyle: TOnGetWindowRuntimeStyleEvent;
Protected | FOnGetLinuxWindowProperties: TOnGetLinuxWindowPropertiesEvent;

Methods

Protected | procedure DestroyView; override;
Protected | procedure Initialize; override;
Protected | function GetInitialized: boolean; override;
Protected | function GetAsView: ICefView; override;
Protected | function GetAsPanel: ICefPanel; override;
Protected | function GetAsWindow: ICefWindow; override;
Protected | function GetIsClosed: boolean;
Protected | function GetIsActive: boolean;
Protected | function GetIsAlwaysOnTop: boolean;
Protected | function GetIsMaximized: boolean;
Protected | function GetIsMinimized: boolean;
Protected | function GetIsFullscreen: boolean;
Protected | function GetFocusedView: ICefView;
Protected | function GetTitle: ustring;
Protected | function GetWindowIcon: ICefImage;
Protected | function GetWindowAppIcon: ICefImage;
Protected | function GetDisplay: ICefDisplay;
Protected | function GetClientAreaBoundsInScreen: TCefRect;
Protected | function GetWindowHandle: TCefWindowHandle;
Protected | function GetRuntimeStyle: TCefRuntimeStyle;
Protected | procedure SetAlwaysOnTop(on_top: boolean);
Protected | procedure SetFullscreen(fullscreen: boolean);
Protected | procedure SetTitle(const title_: ustring);
Protected | procedure SetWindowIcon(const image: ICefImage);
Protected | procedure SetWindowAppIcon(const image: ICefImage);
Protected | procedure doOnWindowCreated(const window_: ICefWindow);
Protected | procedure doOnWindowClosing(const window_: ICefWindow);
Protected | procedure doOnWindowDestroyed(const window_: ICefWindow);
Protected | procedure doOnWindowActivationChanged(const window_: ICefWindow; active: boolean);
Protected | procedure doOnWindowBoundsChanged(const window_: ICefWindow; const new_bounds: TCefRect);
Protected | procedure doOnWindowFullscreenTransition(const window_: ICefWindow; is_completed: boolean);
Protected | procedure doOnGetParentWindow(const window_: ICefWindow; var is_menu, can_activate_menu: boolean; var aResult : ICefWindow);
Protected | procedure doOnIsWindowModalDialog(const window_: ICefWindow; var aResult : boolean);
Protected | procedure doOnGetInitialBounds(const window_: ICefWindow; var aResult : TCefRect);
Protected | procedure doOnGetInitialShowState(const window_: ICefWindow; var aResult : TCefShowState);
Protected | procedure doOnIsFrameless(const window_: ICefWindow; var aResult : boolean);
Protected | procedure doOnWithStandardWindowButtons(const window_: ICefWindow; var aResult : boolean);
Protected | procedure doOnGetTitlebarHeight(const window_: ICefWindow; var titlebar_height: Single; var aResult : boolean);
Protected | procedure doOnAcceptsFirstMouse(const window_: ICefWindow; var aResult: TCefState);
Protected | procedure doOnCanResize(const window_: ICefWindow; var aResult : boolean);
Protected | procedure doOnCanMaximize(const window_: ICefWindow; var aResult : boolean);
Protected | procedure doOnCanMinimize(const window_: ICefWindow; var aResult : boolean);
Protected | procedure doOnCanClose(const window_: ICefWindow; var aResult : boolean);
Protected | procedure doOnAccelerator(const window_: ICefWindow; command_id: Integer; var aResult : boolean);
Protected | procedure doOnKeyEvent(const window_: ICefWindow; const event: TCefKeyEvent; var aResult : boolean);
Protected | procedure doOnThemeColorsChanged(const window_: ICefWindow; chrome_theme: Integer);
Protected | procedure doOnGetWindowRuntimeStyle(var aResult: TCefRuntimeStyle);
Protected | procedure doOnGetLinuxWindowProperties(const window_: ICefWindow; var properties: TLinuxWindowProperties; var aResult: boolean);
Protected | procedure doCreateCustomView; override;
Public | procedure CreateTopLevelWindow;
Public | procedure Show;
Public | procedure ShowAsBrowserModalDialog(const browser_view: ICefBrowserView);
Public | procedure Hide;
Public | procedure CenterWindow(const size_: TCefSize);
Public | procedure Close;
Public | procedure Activate;
Public | procedure Deactivate;
Public | procedure BringToTop;
Public | procedure Maximize;
Public | procedure Minimize;
Public | procedure Restore;
Public | function AddOverlayView(const view: ICefView; docking_mode: TCefDockingMode; can_activate: boolean): ICefOverlayController;
Public | procedure ShowMenu(const menu_model: ICefMenuModel; const screen_point: TCefPoint; anchor_position : TCefMenuAnchorPosition);
Public | procedure CancelMenu;
Public | procedure SetDraggableRegions(regionsCount: NativeUInt; const regions: PCefDraggableRegionArray);
Public | procedure SendKeyPress(key_code: Integer; event_flags: cardinal);
Public | procedure SendMouseMove(screen_x, screen_y: Integer);
Public | procedure SendMouseEvents(button: TCefMouseButtonType; mouse_down, mouse_up: boolean);
Public | procedure SetAccelerator(command_id, key_code : Integer; shift_pressed, ctrl_pressed, alt_pressed, high_priority: boolean);
Public | procedure RemoveAccelerator(command_id: Integer);
Public | procedure RemoveAllAccelerators;
Public | procedure SetThemeColor(color_id: integer; color: TCefColor);
Public | procedure ThemeChanged;

Properties

Public | property FocusedView : ICefView read GetFocusedView;
Public | property Title : ustring read GetTitle write SetTitle;
Public | property WindowIcon : ICefImage read GetWindowIcon write SetWindowIcon;
Public | property WindowAppIcon : ICefImage read GetWindowAppIcon write SetWindowAppIcon;
Public | property Display : ICefDisplay read GetDisplay;
Public | property ClientAreaBoundsInScreen : TCefRect read GetClientAreaBoundsInScreen;
Public | property WindowHandle : TCefWindowHandle read GetWindowHandle;
Public | property IsClosed : boolean read GetIsClosed;
Public | property IsActive : boolean read GetIsActive;
Public | property IsAlwaysOnTop : boolean read GetIsAlwaysOnTop write SetAlwaysOnTop;
Public | property IsFullscreen : boolean read GetIsFullscreen write SetFullscreen;
Public | property IsMaximized : boolean read GetIsMaximized;
Public | property IsMinimized : boolean read GetIsMinimized;
Public | property RuntimeStyle : TCefRuntimeStyle read GetRuntimeStyle;
Published | property OnWindowCreated : TOnWindowCreatedEvent read FOnWindowCreated write FOnWindowCreated;
Published | property OnWindowClosing : TOnWindowClosingEvent read FOnWindowClosing write FOnWindowClosing;
Published | property OnWindowDestroyed : TOnWindowDestroyedEvent read FOnWindowDestroyed write FOnWindowDestroyed;
Published | property OnWindowActivationChanged : TOnWindowActivationChangedEvent read FOnWindowActivationChanged write FOnWindowActivationChanged;
Published | property OnWindowBoundsChanged : TOnWindowBoundsChangedEvent read FOnWindowBoundsChanged write FOnWindowBoundsChanged;
Published | property OnWindowFullscreenTransition : TOnWindowFullscreenTransitionEvent read FOnWindowFullscreenTransition write FOnWindowFullscreenTransition;
Published | property OnGetParentWindow : TOnGetParentWindowEvent read FOnGetParentWindow write FOnGetParentWindow;
Published | property OnIsWindowModalDialog : TOnIsWindowModalDialogEvent read FOnIsWindowModalDialog write FOnIsWindowModalDialog;
Published | property OnGetInitialBounds : TOnGetInitialBoundsEvent read FOnGetInitialBounds write FOnGetInitialBounds;
Published | property OnGetInitialShowState : TOnGetInitialShowStateEvent read FOnGetInitialShowState write FOnGetInitialShowState;
Published | property OnIsFrameless : TOnIsFramelessEvent read FOnIsFrameless write FOnIsFrameless;
Published | property OnWithStandardWindowButtons : TOnWithStandardWindowButtonsEvent read FOnWithStandardWindowButtons write FOnWithStandardWindowButtons;
Published | property OnGetTitlebarHeight : TOnGetTitlebarHeightEvent read FOnGetTitlebarHeight write FOnGetTitlebarHeight;
Published | property OnAcceptsFirstMouse : TOnAcceptsFirstMouseEvent read FOnAcceptsFirstMouse write FOnAcceptsFirstMouse;
Published | property OnCanResize : TOnCanResizeEvent read FOnCanResize write FOnCanResize;
Published | property OnCanMaximize : TOnCanMaximizeEvent read FOnCanMaximize write FOnCanMaximize;
Published | property OnCanMinimize : TOnCanMinimizeEvent read FOnCanMinimize write FOnCanMinimize;
Published | property OnCanClose : TOnCanCloseEvent read FOnCanClose write FOnCanClose;
Published | property OnAccelerator : TOnAcceleratorEvent read FOnAccelerator write FOnAccelerator;
Published | property OnKeyEvent : TOnWindowKeyEventEvent read FOnKeyEvent write FOnKeyEvent;
Published | property OnThemeColorsChanged : TOnThemeColorsChangedEvent read FOnThemeColorsChanged write FOnThemeColorsChanged;
Published | property OnGetWindowRuntimeStyle : TOnGetWindowRuntimeStyleEvent read FOnGetWindowRuntimeStyle write FOnGetWindowRuntimeStyle;
Published | property OnGetLinuxWindowProperties : TOnGetLinuxWindowPropertiesEvent read FOnGetLinuxWindowProperties write FOnGetLinuxWindowProperties;

Description

Fields

Protected FWindow: ICefWindow;

This item has no description.

Protected FWindowDlg: ICefWindowDelegate;

This item has no description.

Protected FOnWindowCreated: TOnWindowCreatedEvent;

ICefWindowDelegateEvents

Protected FOnWindowClosing: TOnWindowClosingEvent;

This item has no description.

Protected FOnWindowDestroyed: TOnWindowDestroyedEvent;

This item has no description.

Protected FOnWindowActivationChanged: TOnWindowActivationChangedEvent;

This item has no description.

Protected FOnWindowBoundsChanged: TOnWindowBoundsChangedEvent;

This item has no description.

Protected FOnWindowFullscreenTransition: TOnWindowFullscreenTransitionEvent;

This item has no description.

Protected FOnGetParentWindow: TOnGetParentWindowEvent;

This item has no description.

Protected FOnIsWindowModalDialog: TOnIsWindowModalDialogEvent;

This item has no description.

Protected FOnGetInitialBounds: TOnGetInitialBoundsEvent;

This item has no description.

Protected FOnGetInitialShowState: TOnGetInitialShowStateEvent;

This item has no description.

Protected FOnIsFrameless: TOnIsFramelessEvent;

This item has no description.

Protected FOnWithStandardWindowButtons: TOnWithStandardWindowButtonsEvent;

This item has no description.

Protected FOnGetTitlebarHeight: TOnGetTitlebarHeightEvent;

This item has no description.

Protected FOnAcceptsFirstMouse: TOnAcceptsFirstMouseEvent;

This item has no description.

Protected FOnCanResize: TOnCanResizeEvent;

This item has no description.

Protected FOnCanMaximize: TOnCanMaximizeEvent;

This item has no description.

Protected FOnCanMinimize: TOnCanMinimizeEvent;

This item has no description.

Protected FOnCanClose: TOnCanCloseEvent;

This item has no description.

Protected FOnAccelerator: TOnAcceleratorEvent;

This item has no description.

Protected FOnKeyEvent: TOnWindowKeyEventEvent;

This item has no description.

Protected FOnThemeColorsChanged: TOnThemeColorsChangedEvent;

This item has no description.

Protected FOnGetWindowRuntimeStyle: TOnGetWindowRuntimeStyleEvent;

This item has no description.

Protected FOnGetLinuxWindowProperties: TOnGetLinuxWindowPropertiesEvent;

This item has no description.

Methods

Protected procedure DestroyView; override;

This item has no description.

Protected procedure Initialize; override;

This item has no description.

Protected function GetInitialized: boolean; override;

This item has no description.

Protected function GetAsView: ICefView; override;

This item has no description.

Protected function GetAsPanel: ICefPanel; override;

This item has no description.

Protected function GetAsWindow: ICefWindow; override;

This item has no description.

Protected function GetIsClosed: boolean;

This item has no description.

Protected function GetIsActive: boolean;

This item has no description.

Protected function GetIsAlwaysOnTop: boolean;

This item has no description.

Protected function GetIsMaximized: boolean;

This item has no description.

Protected function GetIsMinimized: boolean;

This item has no description.

Protected function GetIsFullscreen: boolean;

This item has no description.

Protected function GetFocusedView: ICefView;

This item has no description.

Protected function GetTitle: ustring;

This item has no description.

Protected function GetWindowIcon: ICefImage;

This item has no description.

Protected function GetWindowAppIcon: ICefImage;

This item has no description.

Protected function GetDisplay: ICefDisplay;

This item has no description.

Protected function GetClientAreaBoundsInScreen: TCefRect;

This item has no description.

Protected function GetWindowHandle: TCefWindowHandle;

This item has no description.

Protected function GetRuntimeStyle: TCefRuntimeStyle;

This item has no description.

Protected procedure SetAlwaysOnTop(on_top: boolean);

This item has no description.

Protected procedure SetFullscreen(fullscreen: boolean);

This item has no description.

Protected procedure SetTitle(const title_: ustring);

This item has no description.

Protected procedure SetWindowIcon(const image: ICefImage);

This item has no description.

Protected procedure SetWindowAppIcon(const image: ICefImage);

This item has no description.

Protected procedure doOnWindowCreated(const window_: ICefWindow);

ICefWindowDelegateEvents

Protected procedure doOnWindowClosing(const window_: ICefWindow);

This item has no description.

Protected procedure doOnWindowDestroyed(const window_: ICefWindow);

This item has no description.

Protected procedure doOnWindowActivationChanged(const window_: ICefWindow; active: boolean);

This item has no description.

Protected procedure doOnWindowBoundsChanged(const window_: ICefWindow; const new_bounds: TCefRect);

This item has no description.

Protected procedure doOnWindowFullscreenTransition(const window_: ICefWindow; is_completed: boolean);

This item has no description.

Protected procedure doOnGetParentWindow(const window_: ICefWindow; var is_menu, can_activate_menu: boolean; var aResult : ICefWindow);

This item has no description.

Protected procedure doOnIsWindowModalDialog(const window_: ICefWindow; var aResult : boolean);

This item has no description.

Protected procedure doOnGetInitialBounds(const window_: ICefWindow; var aResult : TCefRect);

This item has no description.

Protected procedure doOnGetInitialShowState(const window_: ICefWindow; var aResult : TCefShowState);

This item has no description.

Protected procedure doOnIsFrameless(const window_: ICefWindow; var aResult : boolean);

This item has no description.

Protected procedure doOnWithStandardWindowButtons(const window_: ICefWindow; var aResult : boolean);

This item has no description.

Protected procedure doOnGetTitlebarHeight(const window_: ICefWindow; var titlebar_height: Single; var aResult : boolean);

This item has no description.

Protected procedure doOnAcceptsFirstMouse(const window_: ICefWindow; var aResult: TCefState);

This item has no description.

Protected procedure doOnCanResize(const window_: ICefWindow; var aResult : boolean);

This item has no description.

Protected procedure doOnCanMaximize(const window_: ICefWindow; var aResult : boolean);

This item has no description.

Protected procedure doOnCanMinimize(const window_: ICefWindow; var aResult : boolean);

This item has no description.

Protected procedure doOnCanClose(const window_: ICefWindow; var aResult : boolean);

This item has no description.

Protected procedure doOnAccelerator(const window_: ICefWindow; command_id: Integer; var aResult : boolean);

This item has no description.

Protected procedure doOnKeyEvent(const window_: ICefWindow; const event: TCefKeyEvent; var aResult : boolean);

This item has no description.

Protected procedure doOnThemeColorsChanged(const window_: ICefWindow; chrome_theme: Integer);

This item has no description.

Protected procedure doOnGetWindowRuntimeStyle(var aResult: TCefRuntimeStyle);

This item has no description.

Protected procedure doOnGetLinuxWindowProperties(const window_: ICefWindow; var properties: TLinuxWindowProperties; var aResult: boolean);

This item has no description.

Protected procedure doCreateCustomView; override;

ICefViewDelegateEvents

Public procedure CreateTopLevelWindow;

Create a new Window.

Public procedure Show;

Show the Window.

Public procedure ShowAsBrowserModalDialog(const browser_view: ICefBrowserView);

Show the Window as a browser modal dialog relative to |browser_view|. A parent Window must be returned via ICefWindowDelegate.OnGetParentWindow and |browser_view| must belong to that parent Window. While this Window is visible, |browser_view| will be disabled while other controls in the parent Window remain enabled. Navigating or destroying the |browser_view| will close this Window automatically. Alternately, use show() and return true (1) from ICefWindowDelegate.OnIsWindowModalDialog for a window modal dialog where all controls in the parent Window are disabled.

Public procedure Hide;

Hide the Window.

Public procedure CenterWindow(const size_: TCefSize);

Sizes the Window to |size| and centers it in the current display.

Public procedure Close;

Close the Window.

Public procedure Activate;

Activate the Window, assuming it already exists and is visible.

Public procedure Deactivate;

Deactivate the Window, making the next Window in the Z order the active Window.

Public procedure BringToTop;

Bring this Window to the top of other Windows in the Windowing system.

Public procedure Maximize;

Maximize the Window.

Public procedure Minimize;

Minimize the Window.

Public procedure Restore;

Restore the Window.

Public function AddOverlayView(const view: ICefView; docking_mode: TCefDockingMode; can_activate: boolean): ICefOverlayController;

Add a View that will be overlayed on the Window contents with absolute positioning and high z-order. Positioning is controlled by |docking_mode| as described below. Setting |can_activate| to true (1) will allow the overlay view to receive input focus. The returned cef_overlay_controller_t object is used to control the overlay. Overlays are hidden by default.

With CEF_DOCKING_MODE_CUSTOM:

1. The overlay is initially hidden, sized to |view|'s preferred size,
   and positioned in the top-left corner.
2. Optionally change the overlay position and/or size by calling
   CefOverlayController methods.
3. Call CefOverlayController::SetVisible(true) to show the overlay.
4. The overlay will be automatically re-sized if |view|'s layout
   changes. Optionally change the overlay position and/or size when
   OnLayoutChanged is called on the Window's delegate to indicate a
   change in Window bounds.

With other docking modes:

1. The overlay is initially hidden, sized to |view|'s preferred size,
   and positioned based on |docking_mode|.
2. Call CefOverlayController::SetVisible(true) to show the overlay.
3. The overlay will be automatically re-sized if |view|'s layout changes
   and re-positioned as appropriate when the Window resizes.

Overlays created by this function will receive a higher z-order then any child Views added previously. It is therefore recommended to call this function last after all other child Views have been added so that the overlay displays as the top-most child of the Window.

Public procedure ShowMenu(const menu_model: ICefMenuModel; const screen_point: TCefPoint; anchor_position : TCefMenuAnchorPosition);

Show a menu with contents |menu_model|. |screen_point| specifies the menu position in screen coordinates. |anchor_position| specifies how the menu will be anchored relative to |screen_point|.

Public procedure CancelMenu;

Cancel the menu that is currently showing, if any.

Public procedure SetDraggableRegions(regionsCount: NativeUInt; const regions: PCefDraggableRegionArray);

Set the regions where mouse events will be intercepted by this Window to support drag operations. Call this function with an NULL vector to clear the draggable regions. The draggable region bounds should be in window coordinates.

Public procedure SendKeyPress(key_code: Integer; event_flags: cardinal);

Simulate a key press. |key_code| is the VKEY_* value from Chromium's ui/events/keycodes/keyboard_codes.h header (VK_* values on Windows). |event_flags| is some combination of EVENTFLAG_SHIFT_DOWN, EVENTFLAG_CONTROL_DOWN and/or EVENTFLAG_ALT_DOWN. This function is exposed primarily for testing purposes.

Public procedure SendMouseMove(screen_x, screen_y: Integer);

Simulate a mouse move. The mouse cursor will be moved to the specified (screen_x, screen_y) position. This function is exposed primarily for testing purposes.

Public procedure SendMouseEvents(button: TCefMouseButtonType; mouse_down, mouse_up: boolean);

Simulate mouse down and/or mouse up events. |button| is the mouse button type. If |mouse_down| is true (1) a mouse down event will be sent. If |mouse_up| is true (1) a mouse up event will be sent. If both are true (1) a mouse down event will be sent followed by a mouse up event (equivalent to clicking the mouse button). The events will be sent using the current cursor position so make sure to call send_mouse_move() first to position the mouse. This function is exposed primarily for testing purposes.

Public procedure SetAccelerator(command_id, key_code : Integer; shift_pressed, ctrl_pressed, alt_pressed, high_priority: boolean);

Set the keyboard accelerator for the specified |command_id|. |key_code| can be any virtual key or character value. Required modifier keys are specified by |shift_pressed|, |ctrl_pressed| and/or |alt_pressed|. ICefWindowDelegate.OnAccelerator will be called if the keyboard combination is triggered while this window has focus.

The |high_priority| value will be considered if a child ICefBrowserView has focus when the keyboard combination is triggered. If |high_priority| is true (1) then the key event will not be forwarded to the web content (`keydown` event handler) or ICefKeyboardHandler first. If |high_priority| is false (0) then the behavior will depend on the ICefBrowserView.SetPreferAccelerators configuration.

Public procedure RemoveAccelerator(command_id: Integer);

Remove the keyboard accelerator for the specified |command_id|.

Public procedure RemoveAllAccelerators;

Remove all keyboard accelerators.

Public procedure SetThemeColor(color_id: integer; color: TCefColor);

Override a standard theme color or add a custom color associated with |color_id|. See cef_color_ids.h for standard ID values. Recommended usage is as follows:

1. Customize the default native/OS theme by calling SetThemeColor before
   showing the first Window. When done setting colors call
   ICefWindow.ThemeChanged to trigger ICefViewDelegate.OnThemeChanged
   notifications.
2. Customize the current native/OS or Chrome theme after it changes by
   calling SetThemeColor from the ICefWindowDelegate.OnThemeColorsChanged
   callback. ICefViewDelegate.OnThemeChanged notifications will then be
   triggered automatically.

The configured color will be available immediately via ICefView.GetThemeColor and will be applied to each View in this Window's component hierarchy when ICefViewDelegate.OnThemeChanged is called. See OnThemeColorsChanged documentation for additional details.

Clients wishing to add custom colors should use |color_id| values >= CEF_ChromeColorsEnd.

Public procedure ThemeChanged;

Trigger ICefViewDelegate.OnThemeChanged callbacks for each View in this Window's component hierarchy. Unlike a native/OS or Chrome theme change this function does not reset theme colors to standard values and does not result in a call to ICefWindowDelegate.OnThemeColorsChanged.

Do not call this function from ICefWindowDelegate.OnThemeColorsChanged or ICefViewDelegate.OnThemeChanged.

Properties

Public property FocusedView : ICefView read GetFocusedView;

Returns the View that currently has focus in this Window, or nullptr if no View currently has focus. A Window may have a focused View even if it is not currently active. Any focus changes while a Window is not active may be applied after that Window next becomes active.

Public property Title : ustring read GetTitle write SetTitle;

Get the Window title.

Public property WindowIcon : ICefImage read GetWindowIcon write SetWindowIcon;

Get the Window icon.

Public property WindowAppIcon : ICefImage read GetWindowAppIcon write SetWindowAppIcon;

Get or set the Window App icon. This should be a larger icon for use in the host environment app switching UI. On Windows, this is the ICON_BIG used in Alt-Tab list and Windows taskbar. The Window icon will be used by default if no Window App icon is specified.

Public property Display : ICefDisplay read GetDisplay;

Returns the Display that most closely intersects the bounds of this Window. May return NULL if this Window is not currently displayed.

Public property ClientAreaBoundsInScreen : TCefRect read GetClientAreaBoundsInScreen;

Returns the bounds (size and position) of this Window's client area. Position is in screen coordinates.

Public property WindowHandle : TCefWindowHandle read GetWindowHandle;

Retrieve the platform window handle for this Window.

Public property IsClosed : boolean read GetIsClosed;

Returns true (1) if the Window has been closed.

Public property IsActive : boolean read GetIsActive;

Returns whether the Window is the currently active Window.

Public property IsAlwaysOnTop : boolean read GetIsAlwaysOnTop write SetAlwaysOnTop;

Returns whether the Window has been set to be on top of other Windows in the Windowing system.

Public property IsFullscreen : boolean read GetIsFullscreen write SetFullscreen;

Returns true (1) if the Window is fullscreen.

Public property IsMaximized : boolean read GetIsMaximized;

Returns true (1) if the Window is maximized.

Public property IsMinimized : boolean read GetIsMinimized;

Returns true (1) if the Window is minimized.

Public property RuntimeStyle : TCefRuntimeStyle read GetRuntimeStyle;

Returns the runtime style for this Window (ALLOY or CHROME). See TCefRuntimeStyle documentation for details.

Published property OnWindowCreated : TOnWindowCreatedEvent read FOnWindowCreated write FOnWindowCreated;

Called when |window| is created.

Published property OnWindowClosing : TOnWindowClosingEvent read FOnWindowClosing write FOnWindowClosing;

Called when |window| is closing.

Published property OnWindowDestroyed : TOnWindowDestroyedEvent read FOnWindowDestroyed write FOnWindowDestroyed;

Called when |window| is destroyed. Release all references to |window| and do not attempt to execute any functions on |window| after this callback returns.

Published property OnWindowActivationChanged : TOnWindowActivationChangedEvent read FOnWindowActivationChanged write FOnWindowActivationChanged;

Called when |window| is activated or deactivated.

Published property OnWindowBoundsChanged : TOnWindowBoundsChangedEvent read FOnWindowBoundsChanged write FOnWindowBoundsChanged;

Called when |window| bounds have changed. |new_bounds| will be in DIP screen coordinates.

Published property OnWindowFullscreenTransition : TOnWindowFullscreenTransitionEvent read FOnWindowFullscreenTransition write FOnWindowFullscreenTransition;

Called when |window| is transitioning to or from fullscreen mode. On MacOS the transition occurs asynchronously with |is_competed| set to false (0) when the transition starts and true (1) after the transition completes. On other platforms the transition occurs synchronously with |is_completed| set to true (1) after the transition completes. With Alloy style you must also implement ICefDisplayHandler.OnFullscreenModeChange to handle fullscreen transitions initiated by browser content.

Published property OnGetParentWindow : TOnGetParentWindowEvent read FOnGetParentWindow write FOnGetParentWindow;

Return the parent for |window| or NULL if the |window| does not have a parent. Windows with parents will not get a taskbar button. Set |is_menu| to true (1) if |window| will be displayed as a menu, in which case it will not be clipped to the parent window bounds. Set |can_activate_menu| to false (0) if |is_menu| is true (1) and |window| should not be activated (given keyboard focus) when displayed.

Published property OnIsWindowModalDialog : TOnIsWindowModalDialogEvent read FOnIsWindowModalDialog write FOnIsWindowModalDialog;

Return true (1) if |window| should be created as a window modal dialog. Only called when a Window is returned via get_parent_window() with |is_menu| set to false (0). All controls in the parent Window will be disabled while |window| is visible. This functionality is not supported by all Linux window managers. Alternately, use ICefWindow.ShowAsBrowserModalDialog() for a browser modal dialog that works on all platforms.

Published property OnGetInitialBounds : TOnGetInitialBoundsEvent read FOnGetInitialBounds write FOnGetInitialBounds;

Return the initial bounds for |window| in density independent pixel (DIP) coordinates. If this function returns an NULL CefRect then GetPreferredSize() will be called to retrieve the size, and the window will be placed on the screen with origin (0,0). This function can be used in combination with ICefView.GetBoundsInScreen() to restore the previous window bounds.

Published property OnGetInitialShowState : TOnGetInitialShowStateEvent read FOnGetInitialShowState write FOnGetInitialShowState;

Return the initial show state for |window|.

Published property OnIsFrameless : TOnIsFramelessEvent read FOnIsFrameless write FOnIsFrameless;

Return true (1) if |window| should be created without a frame or title bar. The window will be resizable if can_resize() returns true (1). Use ICefWindow.SetDraggableRegions() to specify draggable regions.

Published property OnWithStandardWindowButtons : TOnWithStandardWindowButtonsEvent read FOnWithStandardWindowButtons write FOnWithStandardWindowButtons;

Return true (1) if |window| should be created with standard window buttons like close, minimize and zoom. This function is only supported on macOS.

Published property OnGetTitlebarHeight : TOnGetTitlebarHeightEvent read FOnGetTitlebarHeight write FOnGetTitlebarHeight;

Return whether the titlebar height should be overridden, and sets the height of the titlebar in |titlebar_height|. On macOS, it can also be used to adjust the vertical position of the traffic light buttons in frameless windows. The buttons will be positioned halfway down the titlebar at a height of |titlebar_height| / 2.

Published property OnAcceptsFirstMouse : TOnAcceptsFirstMouseEvent read FOnAcceptsFirstMouse write FOnAcceptsFirstMouse;

Return whether the view should accept the initial mouse-down event, allowing it to respond to click-through behavior. If STATE_ENABLED is returned, the view will be sent a mouseDown: message for an initial mouse- down event, activating the view with one click, instead of clicking first to make the window active and then clicking the view.

This function is only supported on macOS. For more details, refer to the documentation of acceptsFirstMouse.

Published property OnCanResize : TOnCanResizeEvent read FOnCanResize write FOnCanResize;

Return true (1) if |window| can be resized.

Published property OnCanMaximize : TOnCanMaximizeEvent read FOnCanMaximize write FOnCanMaximize;

Return true (1) if |window| can be maximized.

Published property OnCanMinimize : TOnCanMinimizeEvent read FOnCanMinimize write FOnCanMinimize;

Return true (1) if |window| can be minimized.

Published property OnCanClose : TOnCanCloseEvent read FOnCanClose write FOnCanClose;

Return true (1) if |window| can be closed. This will be called for user- initiated window close actions and when ICefWindow.close() is called.

Published property OnAccelerator : TOnAcceleratorEvent read FOnAccelerator write FOnAccelerator;

Called when a keyboard accelerator registered with ICefWindow.SetAccelerator is triggered. Return true (1) if the accelerator was handled or false (0) otherwise.

Published property OnKeyEvent : TOnWindowKeyEventEvent read FOnKeyEvent write FOnKeyEvent;

Called after all other controls in the window have had a chance to handle the event. |event| contains information about the keyboard event. Return true (1) if the keyboard event was handled or false (0) otherwise.

Published property OnThemeColorsChanged : TOnThemeColorsChangedEvent read FOnThemeColorsChanged write FOnThemeColorsChanged;

Called after the native/OS or Chrome theme for |window| has changed. |chrome_theme| will be true (1) if the notification is for a Chrome theme.

Native/OS theme colors are configured globally and do not need to be customized for each Window individually. An example of a native/OS theme change that triggers this callback is when the user switches between dark and light mode during application lifespan. Native/OS theme changes can be disabled by passing the `–force-dark-mode` or `–force-light-mode` command-line flag.

Chrome theme colors will be applied and this callback will be triggered if/when a BrowserView is added to the Window's component hierarchy. Chrome theme colors can be configured on a per-RequestContext basis using ICefRequestContext.SetChromeColorScheme or (Chrome style only) by visiting chrome://settings/manageProfile. Any theme changes using those mechanisms will also trigger this callback. Chrome theme colors will be persisted and restored from disk cache.

This callback is not triggered on Window creation so clients that wish to customize the initial native/OS theme must call ICefWindow.SetThemeColor and ICefWindow.ThemeChanged before showing the first Window.

Theme colors will be reset to standard values before this callback is called for the first affected Window. Call ICefWindow.SetThemeColor from inside this callback to override a standard color or add a custom color. ICefViewDelegate.OnThemeChanged will be called after this callback for the complete |window| component hierarchy.

Published property OnGetWindowRuntimeStyle : TOnGetWindowRuntimeStyleEvent read FOnGetWindowRuntimeStyle write FOnGetWindowRuntimeStyle;

Optionally change the runtime style for this Window. See TCefRuntimeStyle documentation for details.

Published property OnGetLinuxWindowProperties : TOnGetLinuxWindowPropertiesEvent read FOnGetLinuxWindowProperties write FOnGetLinuxWindowProperties;

Return Linux-specific window properties for correctly handling by window managers.


cef4delphi: uCEFWindowDelegate

Unit uCEFWindowDelegate

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefWindowDelegateRef |
Class TCefWindowDelegateOwn | Implement this interface to handle window events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.
Class TCustomWindowDelegate | This class handles all the TCustomWindowDelegate methods which call the ICefWindowDelegateEvents methods. ICefWindowDelegateEvents will be implemented by the control receiving the TCustomWindowDelegate events.


cef4delphi: uCEFWindowDelegate: Class TCefWindowDelegateRef

Class TCefWindowDelegateRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFWindowDelegate

Declaration

type TCefWindowDelegateRef = class(TCefPanelDelegateRef, ICefWindowDelegate)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefViewDelegateRef
  • TCefPanelDelegateRef
  • TCefWindowDelegateRef

Overview

Methods

Protected | procedure OnWindowCreated(const window_: ICefWindow);
Protected | procedure OnWindowClosing(const window_: ICefWindow);
Protected | procedure OnWindowDestroyed(const window_: ICefWindow);
Protected | procedure OnWindowActivationChanged(const window_: ICefWindow; active: boolean);
Protected | procedure OnWindowBoundsChanged(const window_: ICefWindow; const new_bounds: TCefRect);
Protected | procedure OnWindowFullscreenTransition(const window_: ICefWindow; is_completed: boolean);
Protected | procedure OnGetParentWindow(const window_: ICefWindow; var is_menu, can_activate_menu: boolean; var aResult : ICefWindow);
Protected | procedure OnIsWindowModalDialog(const window_: ICefWindow; var aResult: boolean);
Protected | procedure OnGetInitialBounds(const window_: ICefWindow; var aResult : TCefRect);
Protected | procedure OnGetInitialShowState(const window_: ICefWindow; var aResult : TCefShowState);
Protected | procedure OnIsFrameless(const window_: ICefWindow; var aResult : boolean);
Protected | procedure OnWithStandardWindowButtons(const window_: ICefWindow; var aResult : boolean);
Protected | procedure OnGetTitlebarHeight(const window_: ICefWindow; var titlebar_height: Single; var aResult : boolean);
Protected | procedure OnAcceptsFirstMouse(const window_: ICefWindow; var aResult: TCefState);
Protected | procedure OnCanResize(const window_: ICefWindow; var aResult : boolean);
Protected | procedure OnCanMaximize(const window_: ICefWindow; var aResult : boolean);
Protected | procedure OnCanMinimize(const window_: ICefWindow; var aResult : boolean);
Protected | procedure OnCanClose(const window_: ICefWindow; var aResult : boolean);
Protected | procedure OnAccelerator(const window_: ICefWindow; command_id: Integer; var aResult : boolean);
Protected | procedure OnKeyEvent(const window_: ICefWindow; const event: TCefKeyEvent; var aResult : boolean);
Protected | procedure OnThemeColorsChanged(const window_: ICefWindow; chrome_theme: Integer);
Protected | procedure OnGetWindowRuntimeStyle(var aResult: TCefRuntimeStyle);
Protected | procedure OnGetLinuxWindowProperties(const window_: ICefWindow; var properties: TLinuxWindowProperties; var aResult: boolean);
Public | class function UnWrap(data: Pointer): ICefWindowDelegate;

Description

Methods

Protected procedure OnWindowCreated(const window_: ICefWindow);

This item has no description. Showing description inherited from ICefWindowDelegate.OnWindowCreated.

Called when |window| is created.

Protected procedure OnWindowClosing(const window_: ICefWindow);

This item has no description. Showing description inherited from ICefWindowDelegate.OnWindowClosing.

Called when |window| is closing.

Protected procedure OnWindowDestroyed(const window_: ICefWindow);

This item has no description. Showing description inherited from ICefWindowDelegate.OnWindowDestroyed.

Called when |window| is destroyed. Release all references to |window| and do not attempt to execute any functions on |window| after this callback returns.

Protected procedure OnWindowActivationChanged(const window_: ICefWindow; active: boolean);

This item has no description. Showing description inherited from ICefWindowDelegate.OnWindowActivationChanged.

Called when |window| is activated or deactivated.

Protected procedure OnWindowBoundsChanged(const window_: ICefWindow; const new_bounds: TCefRect);

This item has no description. Showing description inherited from ICefWindowDelegate.OnWindowBoundsChanged.

Called when |window| bounds have changed. |new_bounds| will be in DIP screen coordinates.

Protected procedure OnWindowFullscreenTransition(const window_: ICefWindow; is_completed: boolean);

This item has no description. Showing description inherited from ICefWindowDelegate.OnWindowFullscreenTransition.

Called when |window| is transitioning to or from fullscreen mode. On MacOS the transition occurs asynchronously with |is_competed| set to false (0) when the transition starts and true (1) after the transition completes. On other platforms the transition occurs synchronously with |is_completed| set to true (1) after the transition completes. With Alloy style you must also implement ICefDisplayHandler.OnFullscreenModeChange to handle fullscreen transitions initiated by browser content.

Protected procedure OnGetParentWindow(const window_: ICefWindow; var is_menu, can_activate_menu: boolean; var aResult : ICefWindow);

This item has no description. Showing description inherited from ICefWindowDelegate.OnGetParentWindow.

Return the parent for |window| or NULL if the |window| does not have a parent. Windows with parents will not get a taskbar button. Set |is_menu| to true (1) if |window| will be displayed as a menu, in which case it will not be clipped to the parent window bounds. Set |can_activate_menu| to false (0) if |is_menu| is true (1) and |window| should not be activated (given keyboard focus) when displayed.

Protected procedure OnIsWindowModalDialog(const window_: ICefWindow; var aResult: boolean);

This item has no description. Showing description inherited from ICefWindowDelegate.OnIsWindowModalDialog.

Return true (1) if |window| should be created as a window modal dialog. Only called when a Window is returned via get_parent_window() with |is_menu| set to false (0). All controls in the parent Window will be disabled while |window| is visible. This functionality is not supported by all Linux window managers. Alternately, use ICefWindow.ShowAsBrowserModalDialog() for a browser modal dialog that works on all platforms.

Protected procedure OnGetInitialBounds(const window_: ICefWindow; var aResult : TCefRect);

This item has no description. Showing description inherited from ICefWindowDelegate.OnGetInitialBounds.

Return the initial bounds for |window| in density independent pixel (DIP) coordinates. If this function returns an NULL CefRect then GetPreferredSize() will be called to retrieve the size, and the window will be placed on the screen with origin (0,0). This function can be used in combination with ICefView.GetBoundsInScreen() to restore the previous window bounds.

Protected procedure OnGetInitialShowState(const window_: ICefWindow; var aResult : TCefShowState);

This item has no description. Showing description inherited from ICefWindowDelegate.OnGetInitialShowState.

Return the initial show state for |window|.

Protected procedure OnIsFrameless(const window_: ICefWindow; var aResult : boolean);

This item has no description. Showing description inherited from ICefWindowDelegate.OnIsFrameless.

Return true (1) if |window| should be created without a frame or title bar. The window will be resizable if can_resize() returns true (1). Use ICefWindow.SetDraggableRegions() to specify draggable regions.

Protected procedure OnWithStandardWindowButtons(const window_: ICefWindow; var aResult : boolean);

This item has no description. Showing description inherited from ICefWindowDelegate.OnWithStandardWindowButtons.

Return true (1) if |window| should be created with standard window buttons like close, minimize and zoom. This function is only supported on macOS.

Protected procedure OnGetTitlebarHeight(const window_: ICefWindow; var titlebar_height: Single; var aResult : boolean);

This item has no description. Showing description inherited from ICefWindowDelegate.OnGetTitlebarHeight.

Return whether the titlebar height should be overridden, and sets the height of the titlebar in |titlebar_height|. On macOS, it can also be used to adjust the vertical position of the traffic light buttons in frameless windows. The buttons will be positioned halfway down the titlebar at a height of |titlebar_height| / 2.

Protected procedure OnAcceptsFirstMouse(const window_: ICefWindow; var aResult: TCefState);

This item has no description. Showing description inherited from ICefWindowDelegate.OnAcceptsFirstMouse.

Return whether the view should accept the initial mouse-down event, allowing it to respond to click-through behavior. If STATE_ENABLED is returned, the view will be sent a mouseDown: message for an initial mouse- down event, activating the view with one click, instead of clicking first to make the window active and then clicking the view.

This function is only supported on macOS. For more details, refer to the documentation of acceptsFirstMouse.

Protected procedure OnCanResize(const window_: ICefWindow; var aResult : boolean);

This item has no description. Showing description inherited from ICefWindowDelegate.OnCanResize.

Return true (1) if |window| can be resized.

Protected procedure OnCanMaximize(const window_: ICefWindow; var aResult : boolean);

This item has no description. Showing description inherited from ICefWindowDelegate.OnCanMaximize.

Return true (1) if |window| can be maximized.

Protected procedure OnCanMinimize(const window_: ICefWindow; var aResult : boolean);

This item has no description. Showing description inherited from ICefWindowDelegate.OnCanMinimize.

Return true (1) if |window| can be minimized.

Protected procedure OnCanClose(const window_: ICefWindow; var aResult : boolean);

This item has no description. Showing description inherited from ICefWindowDelegate.OnCanClose.

Return true (1) if |window| can be closed. This will be called for user- initiated window close actions and when ICefWindow.close() is called.

Protected procedure OnAccelerator(const window_: ICefWindow; command_id: Integer; var aResult : boolean);

This item has no description. Showing description inherited from ICefWindowDelegate.OnAccelerator.

Called when a keyboard accelerator registered with ICefWindow.SetAccelerator is triggered. Return true (1) if the accelerator was handled or false (0) otherwise.

Protected procedure OnKeyEvent(const window_: ICefWindow; const event: TCefKeyEvent; var aResult : boolean);

This item has no description. Showing description inherited from ICefWindowDelegate.OnKeyEvent.

Called after all other controls in the window have had a chance to handle the event. |event| contains information about the keyboard event. Return true (1) if the keyboard event was handled or false (0) otherwise.

Protected procedure OnThemeColorsChanged(const window_: ICefWindow; chrome_theme: Integer);

This item has no description. Showing description inherited from ICefWindowDelegate.OnThemeColorsChanged.

Called after the native/OS or Chrome theme for |window| has changed. |chrome_theme| will be true (1) if the notification is for a Chrome theme.

Native/OS theme colors are configured globally and do not need to be customized for each Window individually. An example of a native/OS theme change that triggers this callback is when the user switches between dark and light mode during application lifespan. Native/OS theme changes can be disabled by passing the `–force-dark-mode` or `–force-light-mode` command-line flag.

Chrome theme colors will be applied and this callback will be triggered if/when a BrowserView is added to the Window's component hierarchy. Chrome theme colors can be configured on a per-RequestContext basis using ICefRequestContext.SetChromeColorScheme or (Chrome style only) by visiting chrome://settings/manageProfile. Any theme changes using those mechanisms will also trigger this callback. Chrome theme colors will be persisted and restored from disk cache.

This callback is not triggered on Window creation so clients that wish to customize the initial native/OS theme must call ICefWindow.SetThemeColor and ICefWindow.ThemeChanged before showing the first Window.

Theme colors will be reset to standard values before this callback is called for the first affected Window. Call ICefWindow.SetThemeColor from inside this callback to override a standard color or add a custom color. ICefViewDelegate.OnThemeChanged will be called after this callback for the complete |window| component hierarchy.

Protected procedure OnGetWindowRuntimeStyle(var aResult: TCefRuntimeStyle);

This item has no description. Showing description inherited from ICefWindowDelegate.OnGetWindowRuntimeStyle.

Optionally change the runtime style for this Window. See TCefRuntimeStyle documentation for details.

Protected procedure OnGetLinuxWindowProperties(const window_: ICefWindow; var properties: TLinuxWindowProperties; var aResult: boolean);

This item has no description. Showing description inherited from ICefWindowDelegate.OnGetLinuxWindowProperties.

Return Linux-specific window properties for correctly handling by window managers.

Public class function UnWrap(data: Pointer): ICefWindowDelegate;

Returns a ICefWindowDelegate instance using a PCefWindowDelegate data pointer.


cef4delphi: uCEFWindowDelegate: Class TCefWindowDelegateOwn

Class TCefWindowDelegateOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFWindowDelegate

Declaration

type TCefWindowDelegateOwn = class(TCefPanelDelegateOwn, ICefWindowDelegate)

Description

Implement this interface to handle window events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_window_delegate_capi.h">CEF source file: /include/capi/views/cef_window_delegate_capi.h (cef_window_delegate_t))

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefViewDelegateOwn
  • TCefPanelDelegateOwn
  • TCefWindowDelegateOwn

Overview

Methods

Protected | procedure OnWindowCreated(const window_: ICefWindow); virtual;
Protected | procedure OnWindowClosing(const window_: ICefWindow); virtual;
Protected | procedure OnWindowDestroyed(const window_: ICefWindow); virtual;
Protected | procedure OnWindowActivationChanged(const window_: ICefWindow; active: boolean); virtual;
Protected | procedure OnWindowBoundsChanged(const window_: ICefWindow; const new_bounds: TCefRect); virtual;
Protected | procedure OnWindowFullscreenTransition(const window_: ICefWindow; is_completed: boolean); virtual;
Protected | procedure OnGetParentWindow(const window_: ICefWindow; var is_menu, can_activate_menu: boolean; var aResult : ICefWindow); virtual;
Protected | procedure OnIsWindowModalDialog(const window_: ICefWindow; var aResult: boolean); virtual;
Protected | procedure OnGetInitialBounds(const window_: ICefWindow; var aResult : TCefRect); virtual;
Protected | procedure OnGetInitialShowState(const window_: ICefWindow; var aResult : TCefShowState); virtual;
Protected | procedure OnIsFrameless(const window_: ICefWindow; var aResult : boolean); virtual;
Protected | procedure OnWithStandardWindowButtons(const window_: ICefWindow; var aResult : boolean); virtual;
Protected | procedure OnGetTitlebarHeight(const window_: ICefWindow; var titlebar_height: Single; var aResult : boolean); virtual;
Protected | procedure OnAcceptsFirstMouse(const window_: ICefWindow; var aResult: TCefState); virtual;
Protected | procedure OnCanResize(const window_: ICefWindow; var aResult : boolean); virtual;
Protected | procedure OnCanMaximize(const window_: ICefWindow; var aResult : boolean); virtual;
Protected | procedure OnCanMinimize(const window_: ICefWindow; var aResult : boolean); virtual;
Protected | procedure OnCanClose(const window_: ICefWindow; var aResult : boolean); virtual;
Protected | procedure OnAccelerator(const window_: ICefWindow; command_id: Integer; var aResult : boolean); virtual;
Protected | procedure OnKeyEvent(const window_: ICefWindow; const event: TCefKeyEvent; var aResult : boolean); virtual;
Protected | procedure OnThemeColorsChanged(const window_: ICefWindow; chrome_theme: Integer); virtual;
Protected | procedure OnGetWindowRuntimeStyle(var aResult: TCefRuntimeStyle); virtual;
Protected | procedure OnGetLinuxWindowProperties(const window_: ICefWindow; var properties: TLinuxWindowProperties; var aResult: boolean); virtual;
Protected | procedure InitializeCEFMethods; override;
Public | constructor Create; override;

Description

Methods

Protected procedure OnWindowCreated(const window_: ICefWindow); virtual;

Called when |window| is created.

Protected procedure OnWindowClosing(const window_: ICefWindow); virtual;

Called when |window| is closing.

Protected procedure OnWindowDestroyed(const window_: ICefWindow); virtual;

Called when |window| is destroyed. Release all references to |window| and do not attempt to execute any functions on |window| after this callback returns.

Protected procedure OnWindowActivationChanged(const window_: ICefWindow; active: boolean); virtual;

Called when |window| is activated or deactivated.

Protected procedure OnWindowBoundsChanged(const window_: ICefWindow; const new_bounds: TCefRect); virtual;

Called when |window| bounds have changed. |new_bounds| will be in DIP screen coordinates.

Protected procedure OnWindowFullscreenTransition(const window_: ICefWindow; is_completed: boolean); virtual;

Called when |window| is transitioning to or from fullscreen mode. On MacOS the transition occurs asynchronously with |is_competed| set to false (0) when the transition starts and true (1) after the transition completes. On other platforms the transition occurs synchronously with |is_completed| set to true (1) after the transition completes. With Alloy style you must also implement ICefDisplayHandler.OnFullscreenModeChange to handle fullscreen transitions initiated by browser content.

Protected procedure OnGetParentWindow(const window_: ICefWindow; var is_menu, can_activate_menu: boolean; var aResult : ICefWindow); virtual;

Return the parent for |window| or NULL if the |window| does not have a parent. Windows with parents will not get a taskbar button. Set |is_menu| to true (1) if |window| will be displayed as a menu, in which case it will not be clipped to the parent window bounds. Set |can_activate_menu| to false (0) if |is_menu| is true (1) and |window| should not be activated (given keyboard focus) when displayed.

Protected procedure OnIsWindowModalDialog(const window_: ICefWindow; var aResult: boolean); virtual;

Return true (1) if |window| should be created as a window modal dialog. Only called when a Window is returned via get_parent_window() with |is_menu| set to false (0). All controls in the parent Window will be disabled while |window| is visible. This functionality is not supported by all Linux window managers. Alternately, use ICefWindow.ShowAsBrowserModalDialog() for a browser modal dialog that works on all platforms.

Protected procedure OnGetInitialBounds(const window_: ICefWindow; var aResult : TCefRect); virtual;

Return the initial bounds for |window| in density independent pixel (DIP) coordinates. If this function returns an NULL CefRect then GetPreferredSize() will be called to retrieve the size, and the window will be placed on the screen with origin (0,0). This function can be used in combination with ICefView.GetBoundsInScreen() to restore the previous window bounds.

Protected procedure OnGetInitialShowState(const window_: ICefWindow; var aResult : TCefShowState); virtual;

Return the initial show state for |window|.

Protected procedure OnIsFrameless(const window_: ICefWindow; var aResult : boolean); virtual;

Return true (1) if |window| should be created without a frame or title bar. The window will be resizable if can_resize() returns true (1). Use ICefWindow.SetDraggableRegions() to specify draggable regions.

Protected procedure OnWithStandardWindowButtons(const window_: ICefWindow; var aResult : boolean); virtual;

Return true (1) if |window| should be created with standard window buttons like close, minimize and zoom. This function is only supported on macOS.

Protected procedure OnGetTitlebarHeight(const window_: ICefWindow; var titlebar_height: Single; var aResult : boolean); virtual;

Return whether the titlebar height should be overridden, and sets the height of the titlebar in |titlebar_height|. On macOS, it can also be used to adjust the vertical position of the traffic light buttons in frameless windows. The buttons will be positioned halfway down the titlebar at a height of |titlebar_height| / 2.

Protected procedure OnAcceptsFirstMouse(const window_: ICefWindow; var aResult: TCefState); virtual;

Return whether the view should accept the initial mouse-down event, allowing it to respond to click-through behavior. If STATE_ENABLED is returned, the view will be sent a mouseDown: message for an initial mouse- down event, activating the view with one click, instead of clicking first to make the window active and then clicking the view.

This function is only supported on macOS. For more details, refer to the documentation of acceptsFirstMouse.

Protected procedure OnCanResize(const window_: ICefWindow; var aResult : boolean); virtual;

Return true (1) if |window| can be resized.

Protected procedure OnCanMaximize(const window_: ICefWindow; var aResult : boolean); virtual;

Return true (1) if |window| can be maximized.

Protected procedure OnCanMinimize(const window_: ICefWindow; var aResult : boolean); virtual;

Return true (1) if |window| can be minimized.

Protected procedure OnCanClose(const window_: ICefWindow; var aResult : boolean); virtual;

Return true (1) if |window| can be closed. This will be called for user- initiated window close actions and when ICefWindow.close() is called.

Protected procedure OnAccelerator(const window_: ICefWindow; command_id: Integer; var aResult : boolean); virtual;

Called when a keyboard accelerator registered with ICefWindow.SetAccelerator is triggered. Return true (1) if the accelerator was handled or false (0) otherwise.

Protected procedure OnKeyEvent(const window_: ICefWindow; const event: TCefKeyEvent; var aResult : boolean); virtual;

Called after all other controls in the window have had a chance to handle the event. |event| contains information about the keyboard event. Return true (1) if the keyboard event was handled or false (0) otherwise.

Protected procedure OnThemeColorsChanged(const window_: ICefWindow; chrome_theme: Integer); virtual;

Called after the native/OS or Chrome theme for |window| has changed. |chrome_theme| will be true (1) if the notification is for a Chrome theme.

Native/OS theme colors are configured globally and do not need to be customized for each Window individually. An example of a native/OS theme change that triggers this callback is when the user switches between dark and light mode during application lifespan. Native/OS theme changes can be disabled by passing the `–force-dark-mode` or `–force-light-mode` command-line flag.

Chrome theme colors will be applied and this callback will be triggered if/when a BrowserView is added to the Window's component hierarchy. Chrome theme colors can be configured on a per-RequestContext basis using ICefRequestContext.SetChromeColorScheme or (Chrome style only) by visiting chrome://settings/manageProfile. Any theme changes using those mechanisms will also trigger this callback. Chrome theme colors will be persisted and restored from disk cache.

This callback is not triggered on Window creation so clients that wish to customize the initial native/OS theme must call ICefWindow.SetThemeColor and ICefWindow.ThemeChanged before showing the first Window.

Theme colors will be reset to standard values before this callback is called for the first affected Window. Call ICefWindow.SetThemeColor from inside this callback to override a standard color or add a custom color. ICefViewDelegate.OnThemeChanged will be called after this callback for the complete |window| component hierarchy.

Protected procedure OnGetWindowRuntimeStyle(var aResult: TCefRuntimeStyle); virtual;

Optionally change the runtime style for this Window. See TCefRuntimeStyle documentation for details.

Protected procedure OnGetLinuxWindowProperties(const window_: ICefWindow; var properties: TLinuxWindowProperties; var aResult: boolean); virtual;

Return Linux-specific window properties for correctly handling by window managers.

Protected procedure InitializeCEFMethods; override;

Links the methods in the internal CEF record data pointer with the methods in this class.

Public constructor Create; override;

This item has no description.


cef4delphi: uCEFWindowDelegate: Class TCustomWindowDelegate

Class TCustomWindowDelegate

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFWindowDelegate

Declaration

type TCustomWindowDelegate = class(TCefWindowDelegateOwn)

Description

This class handles all the TCustomWindowDelegate methods which call the ICefWindowDelegateEvents methods. ICefWindowDelegateEvents will be implemented by the control receiving the TCustomWindowDelegate events.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefViewDelegateOwn
  • TCefPanelDelegateOwn
  • TCefWindowDelegateOwn
  • TCustomWindowDelegate

Overview

Fields

Protected FEvents: Pointer;

Methods

Protected | procedure OnGetPreferredSize(const view: ICefView; var aResult : TCefSize); override;
Protected | procedure OnGetMinimumSize(const view: ICefView; var aResult : TCefSize); override;
Protected | procedure OnGetMaximumSize(const view: ICefView; var aResult : TCefSize); override;
Protected | procedure OnGetHeightForWidth(const view: ICefView; width: Integer; var aResult: Integer); override;
Protected | procedure OnParentViewChanged(const view: ICefView; added: boolean; const parent: ICefView); override;
Protected | procedure OnChildViewChanged(const view: ICefView; added: boolean; const child: ICefView); override;
Protected | procedure OnWindowChanged(const view: ICefView; added: boolean); override;
Protected | procedure OnLayoutChanged(const view: ICefView; new_bounds: TCefRect); override;
Protected | procedure OnFocus(const view: ICefView); override;
Protected | procedure OnBlur(const view: ICefView); override;
Protected | procedure OnThemeChanged(const view: ICefView); override;
Protected | procedure OnWindowCreated(const window_: ICefWindow); override;
Protected | procedure OnWindowClosing(const window_: ICefWindow); override;
Protected | procedure OnWindowDestroyed(const window_: ICefWindow); override;
Protected | procedure OnWindowActivationChanged(const window_: ICefWindow; active: boolean); override;
Protected | procedure OnWindowBoundsChanged(const window_: ICefWindow; const new_bounds: TCefRect); override;
Protected | procedure OnWindowFullscreenTransition(const window_: ICefWindow; is_completed: boolean); override;
Protected | procedure OnGetParentWindow(const window_: ICefWindow; var is_menu, can_activate_menu: boolean; var aResult : ICefWindow); override;
Protected | procedure OnIsWindowModalDialog(const window_: ICefWindow; var aResult: boolean); override;
Protected | procedure OnGetInitialBounds(const window_: ICefWindow; var aResult : TCefRect); override;
Protected | procedure OnGetInitialShowState(const window_: ICefWindow; var aResult : TCefShowState); override;
Protected | procedure OnIsFrameless(const window_: ICefWindow; var aResult : boolean); override;
Protected | procedure OnWithStandardWindowButtons(const window_: ICefWindow; var aResult : boolean); override;
Protected | procedure OnGetTitlebarHeight(const window_: ICefWindow; var titlebar_height: Single; var aResult : boolean); override;
Protected | procedure OnAcceptsFirstMouse(const window_: ICefWindow; var aResult: TCefState); override;
Protected | procedure OnCanResize(const window_: ICefWindow; var aResult : boolean); override;
Protected | procedure OnCanMaximize(const window_: ICefWindow; var aResult : boolean); override;
Protected | procedure OnCanMinimize(const window_: ICefWindow; var aResult : boolean); override;
Protected | procedure OnCanClose(const window_: ICefWindow; var aResult : boolean); override;
Protected | procedure OnAccelerator(const window_: ICefWindow; command_id: Integer; var aResult : boolean); override;
Protected | procedure OnKeyEvent(const window_: ICefWindow; const event: TCefKeyEvent; var aResult : boolean); override;
Protected | procedure OnThemeColorsChanged(const window_: ICefWindow; chrome_theme: Integer); override;
Protected | procedure OnGetWindowRuntimeStyle(var aResult: TCefRuntimeStyle); override;
Protected | procedure OnGetLinuxWindowProperties(const window_: ICefWindow; var properties: TLinuxWindowProperties; var aResult: boolean); override;
Public | constructor Create(const events: ICefWindowDelegateEvents); reintroduce;

Description

Fields

Protected FEvents: Pointer;

This item has no description.

Methods

Protected procedure OnGetPreferredSize(const view: ICefView; var aResult : TCefSize); override;

ICefViewDelegate

Protected procedure OnGetMinimumSize(const view: ICefView; var aResult : TCefSize); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnGetMinimumSize.

Return the minimum size for |view|.

Protected procedure OnGetMaximumSize(const view: ICefView; var aResult : TCefSize); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnGetMaximumSize.

Return the maximum size for |view|.

Protected procedure OnGetHeightForWidth(const view: ICefView; width: Integer; var aResult: Integer); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnGetHeightForWidth.

Return the height necessary to display |view| with the provided |width|. If not specified the result of get_preferred_size().height will be used by default. Override if |view|'s preferred height depends upon the width (for example, with Labels).

Protected procedure OnParentViewChanged(const view: ICefView; added: boolean; const parent: ICefView); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnParentViewChanged.

Called when the parent of |view| has changed. If |view| is being added to |parent| then |added| will be true (1). If |view| is being removed from |parent| then |added| will be false (0). If |view| is being reparented the remove notification will be sent before the add notification. Do not modify the view hierarchy in this callback.

Protected procedure OnChildViewChanged(const view: ICefView; added: boolean; const child: ICefView); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnChildViewChanged.

Called when a child of |view| has changed. If |child| is being added to |view| then |added| will be true (1). If |child| is being removed from |view| then |added| will be false (0). If |child| is being reparented the remove notification will be sent to the old parent before the add notification is sent to the new parent. Do not modify the view hierarchy in this callback.

Protected procedure OnWindowChanged(const view: ICefView; added: boolean); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnWindowChanged.

Called when |view| is added or removed from the ICefWindow.

Protected procedure OnLayoutChanged(const view: ICefView; new_bounds: TCefRect); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnLayoutChanged.

Called when the layout of |view| has changed.

Protected procedure OnFocus(const view: ICefView); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnFocus.

Called when |view| gains focus.

Protected procedure OnBlur(const view: ICefView); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnBlur.

Called when |view| loses focus.

Protected procedure OnThemeChanged(const view: ICefView); override;

This item has no description. Showing description inherited from TCefViewDelegateOwn.OnThemeChanged.

(

Called when the theme for |view| has changed, after the new theme colors have already been applied. Views are notified via the component hierarchy in depth-first reverse order (children before parents).

This will be called in the following cases:

1. When |view|, or a parent of |view|, is added to a Window.
2. When the native/OS or Chrome theme changes for the Window that contains
   |view|. See ICefWindowDelegate.OnThemeColorsChanged documentation.
3. When the client explicitly calls ICefWindow.ThemeChanged on the
   Window that contains |view|.

Optionally use this callback to override the new per-View theme colors by calling ICefView.SetBackgroundColor or the appropriate component- specific function. See ICefWindow.SetThemeColor documentation for how to customize additional Window theme colors.

(

Protected procedure OnWindowCreated(const window_: ICefWindow); override;

ICefWindowDelegate

Protected procedure OnWindowClosing(const window_: ICefWindow); override;

This item has no description. Showing description inherited from TCefWindowDelegateOwn.OnWindowClosing.

Called when |window| is closing.

Protected procedure OnWindowDestroyed(const window_: ICefWindow); override;

This item has no description. Showing description inherited from TCefWindowDelegateOwn.OnWindowDestroyed.

Called when |window| is destroyed. Release all references to |window| and do not attempt to execute any functions on |window| after this callback returns.

Protected procedure OnWindowActivationChanged(const window_: ICefWindow; active: boolean); override;

This item has no description. Showing description inherited from TCefWindowDelegateOwn.OnWindowActivationChanged.

Called when |window| is activated or deactivated.

Protected procedure OnWindowBoundsChanged(const window_: ICefWindow; const new_bounds: TCefRect); override;

This item has no description. Showing description inherited from TCefWindowDelegateOwn.OnWindowBoundsChanged.

Called when |window| bounds have changed. |new_bounds| will be in DIP screen coordinates.

Protected procedure OnWindowFullscreenTransition(const window_: ICefWindow; is_completed: boolean); override;

This item has no description. Showing description inherited from TCefWindowDelegateOwn.OnWindowFullscreenTransition.

Called when |window| is transitioning to or from fullscreen mode. On MacOS the transition occurs asynchronously with |is_competed| set to false (0) when the transition starts and true (1) after the transition completes. On other platforms the transition occurs synchronously with |is_completed| set to true (1) after the transition completes. With Alloy style you must also implement ICefDisplayHandler.OnFullscreenModeChange to handle fullscreen transitions initiated by browser content.

Protected procedure OnGetParentWindow(const window_: ICefWindow; var is_menu, can_activate_menu: boolean; var aResult : ICefWindow); override;

This item has no description. Showing description inherited from TCefWindowDelegateOwn.OnGetParentWindow.

Return the parent for |window| or NULL if the |window| does not have a parent. Windows with parents will not get a taskbar button. Set |is_menu| to true (1) if |window| will be displayed as a menu, in which case it will not be clipped to the parent window bounds. Set |can_activate_menu| to false (0) if |is_menu| is true (1) and |window| should not be activated (given keyboard focus) when displayed.

Protected procedure OnIsWindowModalDialog(const window_: ICefWindow; var aResult: boolean); override;

This item has no description. Showing description inherited from TCefWindowDelegateOwn.OnIsWindowModalDialog.

Return true (1) if |window| should be created as a window modal dialog. Only called when a Window is returned via get_parent_window() with |is_menu| set to false (0). All controls in the parent Window will be disabled while |window| is visible. This functionality is not supported by all Linux window managers. Alternately, use ICefWindow.ShowAsBrowserModalDialog() for a browser modal dialog that works on all platforms.

Protected procedure OnGetInitialBounds(const window_: ICefWindow; var aResult : TCefRect); override;

This item has no description. Showing description inherited from TCefWindowDelegateOwn.OnGetInitialBounds.

Return the initial bounds for |window| in density independent pixel (DIP) coordinates. If this function returns an NULL CefRect then GetPreferredSize() will be called to retrieve the size, and the window will be placed on the screen with origin (0,0). This function can be used in combination with ICefView.GetBoundsInScreen() to restore the previous window bounds.

Protected procedure OnGetInitialShowState(const window_: ICefWindow; var aResult : TCefShowState); override;

This item has no description. Showing description inherited from TCefWindowDelegateOwn.OnGetInitialShowState.

Return the initial show state for |window|.

Protected procedure OnIsFrameless(const window_: ICefWindow; var aResult : boolean); override;

This item has no description. Showing description inherited from TCefWindowDelegateOwn.OnIsFrameless.

Return true (1) if |window| should be created without a frame or title bar. The window will be resizable if can_resize() returns true (1). Use ICefWindow.SetDraggableRegions() to specify draggable regions.

Protected procedure OnWithStandardWindowButtons(const window_: ICefWindow; var aResult : boolean); override;

This item has no description. Showing description inherited from TCefWindowDelegateOwn.OnWithStandardWindowButtons.

Return true (1) if |window| should be created with standard window buttons like close, minimize and zoom. This function is only supported on macOS.

Protected procedure OnGetTitlebarHeight(const window_: ICefWindow; var titlebar_height: Single; var aResult : boolean); override;

This item has no description. Showing description inherited from TCefWindowDelegateOwn.OnGetTitlebarHeight.

Return whether the titlebar height should be overridden, and sets the height of the titlebar in |titlebar_height|. On macOS, it can also be used to adjust the vertical position of the traffic light buttons in frameless windows. The buttons will be positioned halfway down the titlebar at a height of |titlebar_height| / 2.

Protected procedure OnAcceptsFirstMouse(const window_: ICefWindow; var aResult: TCefState); override;

This item has no description. Showing description inherited from TCefWindowDelegateOwn.OnAcceptsFirstMouse.

Return whether the view should accept the initial mouse-down event, allowing it to respond to click-through behavior. If STATE_ENABLED is returned, the view will be sent a mouseDown: message for an initial mouse- down event, activating the view with one click, instead of clicking first to make the window active and then clicking the view.

This function is only supported on macOS. For more details, refer to the documentation of acceptsFirstMouse.

Protected procedure OnCanResize(const window_: ICefWindow; var aResult : boolean); override;

This item has no description. Showing description inherited from TCefWindowDelegateOwn.OnCanResize.

Return true (1) if |window| can be resized.

Protected procedure OnCanMaximize(const window_: ICefWindow; var aResult : boolean); override;

This item has no description. Showing description inherited from TCefWindowDelegateOwn.OnCanMaximize.

Return true (1) if |window| can be maximized.

Protected procedure OnCanMinimize(const window_: ICefWindow; var aResult : boolean); override;

This item has no description. Showing description inherited from TCefWindowDelegateOwn.OnCanMinimize.

Return true (1) if |window| can be minimized.

Protected procedure OnCanClose(const window_: ICefWindow; var aResult : boolean); override;

This item has no description. Showing description inherited from TCefWindowDelegateOwn.OnCanClose.

Return true (1) if |window| can be closed. This will be called for user- initiated window close actions and when ICefWindow.close() is called.

Protected procedure OnAccelerator(const window_: ICefWindow; command_id: Integer; var aResult : boolean); override;

This item has no description. Showing description inherited from TCefWindowDelegateOwn.OnAccelerator.

Called when a keyboard accelerator registered with ICefWindow.SetAccelerator is triggered. Return true (1) if the accelerator was handled or false (0) otherwise.

Protected procedure OnKeyEvent(const window_: ICefWindow; const event: TCefKeyEvent; var aResult : boolean); override;

This item has no description. Showing description inherited from TCefWindowDelegateOwn.OnKeyEvent.

Called after all other controls in the window have had a chance to handle the event. |event| contains information about the keyboard event. Return true (1) if the keyboard event was handled or false (0) otherwise.

Protected procedure OnThemeColorsChanged(const window_: ICefWindow; chrome_theme: Integer); override;

This item has no description. Showing description inherited from TCefWindowDelegateOwn.OnThemeColorsChanged.

Called after the native/OS or Chrome theme for |window| has changed. |chrome_theme| will be true (1) if the notification is for a Chrome theme.

Native/OS theme colors are configured globally and do not need to be customized for each Window individually. An example of a native/OS theme change that triggers this callback is when the user switches between dark and light mode during application lifespan. Native/OS theme changes can be disabled by passing the `–force-dark-mode` or `–force-light-mode` command-line flag.

Chrome theme colors will be applied and this callback will be triggered if/when a BrowserView is added to the Window's component hierarchy. Chrome theme colors can be configured on a per-RequestContext basis using ICefRequestContext.SetChromeColorScheme or (Chrome style only) by visiting chrome://settings/manageProfile. Any theme changes using those mechanisms will also trigger this callback. Chrome theme colors will be persisted and restored from disk cache.

This callback is not triggered on Window creation so clients that wish to customize the initial native/OS theme must call ICefWindow.SetThemeColor and ICefWindow.ThemeChanged before showing the first Window.

Theme colors will be reset to standard values before this callback is called for the first affected Window. Call ICefWindow.SetThemeColor from inside this callback to override a standard color or add a custom color. ICefViewDelegate.OnThemeChanged will be called after this callback for the complete |window| component hierarchy.

Protected procedure OnGetWindowRuntimeStyle(var aResult: TCefRuntimeStyle); override;

This item has no description. Showing description inherited from TCefWindowDelegateOwn.OnGetWindowRuntimeStyle.

Optionally change the runtime style for this Window. See TCefRuntimeStyle documentation for details.

Protected procedure OnGetLinuxWindowProperties(const window_: ICefWindow; var properties: TLinuxWindowProperties; var aResult: boolean); override;

This item has no description. Showing description inherited from TCefWindowDelegateOwn.OnGetLinuxWindowProperties.

Return Linux-specific window properties for correctly handling by window managers.

Public constructor Create(const events: ICefWindowDelegateEvents); reintroduce;

Creates an instance of this class liked to an interface that's implemented by a control receiving the events.


cef4delphi: uCEFWindowInfoWrapper

Unit uCEFWindowInfoWrapper

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCEFWindowInfoWrapper | Wrapper class used to initialize a TCEFWindowInfo record.


cef4delphi: uCEFWindowInfoWrapper: Class TCEFWindowInfoWrapper

Class TCEFWindowInfoWrapper

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFWindowInfoWrapper

Declaration

type TCEFWindowInfoWrapper = class(TObject)

Description

Wrapper class used to initialize a TCEFWindowInfo record.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_win.h">CEF source file: /include/internal/cef_win.h (CefWindowInfo))

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_mac.h">CEF source file: /include/internal/cef_mac.h (CefWindowInfo))

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_linux.h">CEF source file: /include/internal/cef_linux.h (CefWindowInfo))

Hierarchy

  • TObject
  • TCEFWindowInfoWrapper

Overview

Fields

Protected FWindowInfo: TCEFWindowInfo;

Methods

Protected | function GetWindowName: ustring;
Protected | function GetBounds: TCefRect;
Protected | function GetParentWindow: TCefWindowHandle;
Protected | function GetWindowlessRenderingEnabled: boolean;
Protected | function GetSharedTextureEnabled: boolean;
Protected | function GetExternalBeginFrameEnabled: boolean;
Protected | function GetWindow: TCefWindowHandle;
Protected | function GetRuntimeStyle: TCefRuntimeStyle;
Protected | function GetExStyle: DWORD;
Protected | function GetStyle: DWORD;
Protected | function GetMenu: HMENU;
Protected | procedure SetWindowName(const aValue : ustring);
Protected | procedure SetBounds(const aValue : TCefRect);
Protected | procedure SetParentWindow(aValue : TCefWindowHandle);
Protected | procedure SetWindowlessRenderingEnabled(aValue : boolean);
Protected | procedure SetSharedTextureEnabled(aValue : boolean);
Protected | procedure SetExternalBeginFrameEnabled(aValue : boolean);
Protected | procedure SetWindow(aValue : TCefWindowHandle);
Protected | procedure SetRuntimeStyle(aValue : TCefRuntimeStyle);
Protected | procedure SetExStyle(aValue : DWORD);
Protected | procedure SetStyle(aValue : DWORD);
Protected | procedure SetMenu(aValue : HMENU);
Public | constructor Create;
Public | procedure CopyFromWindowInfo(const aSrcWindowInfo: TCEFWindowInfo);
Public | class procedure AsChild(var aWindowInfo: TCEFWindowInfo; aParent : TCefWindowHandle; aWindowBounds : TRect);
Public | procedure SetAsChild(aParent : TCefWindowHandle; aWindowBounds : TRect);
Public | class procedure AsPopup(var aWindowInfo: TCEFWindowInfo; aParent : TCefWindowHandle; const aWindowName : ustring);
Public | procedure SetAsPopup(aParent : TCefWindowHandle; const aWindowName : ustring);
Public | class procedure AsWindowless(var aWindowInfo: TCEFWindowInfo; aParent : TCefWindowHandle);
Public | procedure SetAsWindowless(aParent : TCefWindowHandle);

Properties

Public | property WindowInfoRecord : TCEFWindowInfo read FWindowInfo write FWindowInfo;
Public | property WindowName : ustring read GetWindowName write SetWindowName;
Public | property Bounds : TCefRect read GetBounds write SetBounds;
Public | property WindowlessRenderingEnabled : boolean read GetWindowlessRenderingEnabled write SetWindowlessRenderingEnabled;
Public | property SharedTextureEnabled : boolean read GetSharedTextureEnabled write SetSharedTextureEnabled;
Public | property ExternalBeginFrameEnabled : boolean read GetExternalBeginFrameEnabled write SetExternalBeginFrameEnabled;
Public | property RuntimeStyle : TCefRuntimeStyle read GetRuntimeStyle write SetRuntimeStyle;
Public | property ExStyle : DWORD read GetExStyle write SetExStyle;
Public | property Style : DWORD read GetStyle write SetStyle;
Public | property Menu : HMENU read GetMenu write SetMenu;
Public | property ParentWindow : TCefWindowHandle read GetParentWindow write SetParentWindow;
Public | property Window : TCefWindowHandle read GetWindow write SetWindow;

Description

Fields

Protected FWindowInfo: TCEFWindowInfo;

This item has no description.

Methods

Protected function GetWindowName: ustring;

This item has no description.

Protected function GetBounds: TCefRect;

This item has no description.

Protected function GetParentWindow: TCefWindowHandle;

This item has no description.

Protected function GetWindowlessRenderingEnabled: boolean;

This item has no description.

Protected function GetSharedTextureEnabled: boolean;

This item has no description.

Protected function GetExternalBeginFrameEnabled: boolean;

This item has no description.

Protected function GetWindow: TCefWindowHandle;

This item has no description.

Protected function GetRuntimeStyle: TCefRuntimeStyle;

This item has no description.

Protected function GetExStyle: DWORD;

This item has no description.

Protected function GetStyle: DWORD;

This item has no description.

Protected function GetMenu: HMENU;

This item has no description.

Protected procedure SetWindowName(const aValue : ustring);

This item has no description.

Protected procedure SetBounds(const aValue : TCefRect);

This item has no description.

Protected procedure SetParentWindow(aValue : TCefWindowHandle);

This item has no description.

Protected procedure SetWindowlessRenderingEnabled(aValue : boolean);

This item has no description.

Protected procedure SetSharedTextureEnabled(aValue : boolean);

This item has no description.

Protected procedure SetExternalBeginFrameEnabled(aValue : boolean);

This item has no description.

Protected procedure SetWindow(aValue : TCefWindowHandle);

This item has no description.

Protected procedure SetRuntimeStyle(aValue : TCefRuntimeStyle);

This item has no description.

Protected procedure SetExStyle(aValue : DWORD);

This item has no description.

Protected procedure SetStyle(aValue : DWORD);

This item has no description.

Protected procedure SetMenu(aValue : HMENU);

This item has no description.

Public constructor Create;

This item has no description.

Public procedure CopyFromWindowInfo(const aSrcWindowInfo: TCEFWindowInfo);

Copy the information from an external TCEFWindowInfo instance

Public class procedure AsChild(var aWindowInfo: TCEFWindowInfo; aParent : TCefWindowHandle; aWindowBounds : TRect);

Create the browser as a child window.

Public procedure SetAsChild(aParent : TCefWindowHandle; aWindowBounds : TRect);

Create the browser as a child window.

Public class procedure AsPopup(var aWindowInfo: TCEFWindowInfo; aParent : TCefWindowHandle; const aWindowName : ustring);

Create the browser as a popup window.

Public procedure SetAsPopup(aParent : TCefWindowHandle; const aWindowName : ustring);

Create the browser as a popup window.

Public class procedure AsWindowless(var aWindowInfo: TCEFWindowInfo; aParent : TCefWindowHandle);

Create the browser using windowless (off-screen) rendering. No window will be created for the browser and all rendering will occur via the ICefRenderHandler interface. The |parent| value will be used to identify monitor info and to act as the parent window for dialogs, context menus, etc. If |parent| is not provided then the main screen monitor will be used and some functionality that requires a parent window may not function correctly. In order to create windowless browsers the TCefSettings.windowless_rendering_enabled value must be set to true. Transparent painting is enabled by default but can be disabled by setting ICefBrowserSettings.background_color to an opaque value.

Public procedure SetAsWindowless(aParent : TCefWindowHandle);

Create the browser using windowless (off-screen) rendering. No window will be created for the browser and all rendering will occur via the ICefRenderHandler interface. The |parent| value will be used to identify monitor info and to act as the parent window for dialogs, context menus, etc. If |parent| is not provided then the main screen monitor will be used and some functionality that requires a parent window may not function correctly. In order to create windowless browsers the TCefSettings.windowless_rendering_enabled value must be set to true. Transparent painting is enabled by default but can be disabled by setting ICefBrowserSettings.background_color to an opaque value.

Properties

Public property WindowInfoRecord : TCEFWindowInfo read FWindowInfo write FWindowInfo;

Internal TCEFWindowInfo instance

Public property WindowName : ustring read GetWindowName write SetWindowName;

The initial title of the window, to be set when the window is created. Some layout managers (e.g., Compiz) can look at the window title in order to decide where to place the window when it is created. When this attribute is not empty, the window title will be set before the window is mapped to the dispay. Otherwise the title will be initially empty.

Public property Bounds : TCefRect read GetBounds write SetBounds;

Initial window bounds.

Public property WindowlessRenderingEnabled : boolean read GetWindowlessRenderingEnabled write SetWindowlessRenderingEnabled;

Set to true (1) to create the browser using windowless (off-screen) rendering. No window will be created for the browser and all rendering will occur via the ICefRenderHandler interface. The |parent_window| value will be used to identify monitor info and to act as the parent window for dialogs, context menus, etc. If |parent_window| is not provided then the main screen monitor will be used and some functionality that requires a parent window may not function correctly. In order to create windowless browsers the TCefSettings.windowless_rendering_enabled value must be set to true. Transparent painting is enabled by default but can be disabled by setting TCefBrowserSettings.background_color to an opaque value.

Public property SharedTextureEnabled : boolean read GetSharedTextureEnabled write SetSharedTextureEnabled;

Set to true (1) to enable shared textures for windowless rendering. Only valid if windowless_rendering_enabled above is also set to true. Currently only supported on Windows (D3D11).

Public property ExternalBeginFrameEnabled : boolean read GetExternalBeginFrameEnabled write SetExternalBeginFrameEnabled;

Set to true (1) to enable the ability to issue BeginFrame requests from the client application by calling ICefBrowserHost.SendExternalBeginFrame.

Public property RuntimeStyle : TCefRuntimeStyle read GetRuntimeStyle write SetRuntimeStyle;

Optionally change the runtime style. Alloy style will always be used if |windowless_rendering_enabled| is true. See TCefRuntimeStyle documentation for details.

Public property ExStyle : DWORD read GetExStyle write SetExStyle;

Standard parameters required by CreateWindowEx(). Used as the dwExStyle parameter in CreateWindowEx.

<see href="https://learn.microsoft.com/en-us/windows/win32/api/winuser/nf-winuser-createwindowexw">Read the CreateWindowExW article.)

Public property Style : DWORD read GetStyle write SetStyle;

Used as the dwStyle parameter in CreateWindowEx.

<see href="https://learn.microsoft.com/en-us/windows/win32/api/winuser/nf-winuser-createwindowexw">Read the CreateWindowExW article.)

Public property Menu : HMENU read GetMenu write SetMenu;

Used as the hMenu parameter in CreateWindowEx.

<see href="https://learn.microsoft.com/en-us/windows/win32/api/winuser/nf-winuser-createwindowexw">Read the CreateWindowExW article.)

Public property ParentWindow : TCefWindowHandle read GetParentWindow write SetParentWindow;

Used as the hWndParent parameter in CreateWindowEx.

<see href="https://learn.microsoft.com/en-us/windows/win32/api/winuser/nf-winuser-createwindowexw">Read the CreateWindowExW article.)

Public property Window : TCefWindowHandle read GetWindow write SetWindow;

Handle for the new browser window. Only used with windowed rendering.


cef4delphi: uCEFWindowParent

Unit uCEFWindowParent

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCEFWindowParent |

Functions and Procedures

procedure Register;

Description

Functions and Procedures

procedure Register;

This item has no description.


cef4delphi: uCEFWindowParent: Class TCEFWindowParent

Class TCEFWindowParent

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFWindowParent

Declaration

type TCEFWindowParent = class(TCEFWinControl)

Description

This item has no description. Showing description inherited from TCEFWinControl.

Custom TWinControl used by CEF browsers.

Hierarchy

  • TWinControl
  • TCEFWinControl
  • TCEFWindowParent

Overview

Methods

Protected procedure WndProc(var aMessage: TMessage); override;

Description

Methods

Protected procedure WndProc(var aMessage: TMessage); override;

This item has no description.


cef4delphi: uCEFWorkScheduler

Unit uCEFWorkScheduler

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCEFWorkScheduler | Implementation of an external message pump for VCL and LCL. Read the GlobalCEFApp.OnScheduleMessagePumpWork documentation for all the details.

Functions and Procedures

procedure Register;
procedure DestroyGlobalCEFWorkScheduler;

Variables

GlobalCEFWorkScheduler: TCEFWorkScheduler = nil;

Description

Functions and Procedures

procedure Register;

This item has no description.

procedure DestroyGlobalCEFWorkScheduler;

This item has no description.

Variables

GlobalCEFWorkScheduler: TCEFWorkScheduler = nil;

This item has no description.


cef4delphi: uCEFWorkScheduler: Class TCEFWorkScheduler

Class TCEFWorkScheduler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFWorkScheduler

Declaration

type TCEFWorkScheduler = class(TComponent)

Description

Implementation of an external message pump for VCL and LCL.

Read the GlobalCEFApp.OnScheduleMessagePumpWork documentation for all the details.

Hierarchy

  • TObject
  • TPersistent
  • TComponent
  • TCEFWorkScheduler

Overview

Fields

Protected | FThread: TCEFWorkSchedulerThread;
Protected | FQueueThread: TCEFWorkSchedulerQueueThread;
Protected | FDepleteWorkCycles: cardinal;
Protected | FDepleteWorkDelay: cardinal;
Protected | FDefaultInterval: integer;
Protected | FStopped: boolean;
Protected | FUseQueueThread: boolean;
Protected | FCompHandle: HWND;
Protected | FPriority: TThreadPriority;

Methods

Protected | procedure CreateQueueThread;
Protected | procedure DestroyQueueThread;
Protected | procedure QueueThread_OnPulse(Sender : TObject; aDelay : integer);
Protected | procedure DestroyThread;
Protected | procedure DepleteWork;
Protected | procedure WndProc(var aMessage: TMessage);
Protected | procedure DeallocateWindowHandle;
Protected | procedure NextPulse(aInterval : integer);
Protected | procedure ScheduleWork(const delay_ms : int64);
Protected | procedure DoWork;
Protected | procedure DoMessageLoopWork;
Protected | procedure Initialize;
Protected | procedure SetDefaultInterval(aValue : integer);
Protected | procedure SetPriority(aValue : TThreadPriority);
Protected | procedure Thread_OnPulse(Sender : TObject);
Public | constructor Create(AOwner: TComponent); override;
Public | constructor CreateDelayed;
Public | destructor Destroy; override;
Public | procedure ScheduleMessagePumpWork(const delay_ms : int64);
Public | procedure StopScheduler;
Public | procedure CreateThread;

Properties

Published | property Priority : TThreadPriority read FPriority write SetPriority default tpNormal;
Published | property DefaultInterval : integer read FDefaultInterval write SetDefaultInterval default CEF_TIMER_MAXDELAY;
Published | property DepleteWorkCycles : cardinal read FDepleteWorkCycles write FDepleteWorkCycles default CEF_TIMER_DEPLETEWORK_CYCLES;
Published | property DepleteWorkDelay : cardinal read FDepleteWorkDelay write FDepleteWorkDelay default CEF_TIMER_DEPLETEWORK_DELAY;
Published | property UseQueueThread : boolean read FUseQueueThread write FUseQueueThread default False;

Description

Fields

Protected FThread: TCEFWorkSchedulerThread;

This item has no description.

Protected FQueueThread: TCEFWorkSchedulerQueueThread;

This item has no description.

Protected FDepleteWorkCycles: cardinal;

This item has no description.

Protected FDepleteWorkDelay: cardinal;

This item has no description.

Protected FDefaultInterval: integer;

This item has no description.

Protected FStopped: boolean;

This item has no description.

Protected FUseQueueThread: boolean;

This item has no description.

Protected FCompHandle: HWND;

This item has no description.

Protected FPriority: TThreadPriority;

This item has no description.

Methods

Protected procedure CreateQueueThread;

This item has no description.

Protected procedure DestroyQueueThread;

This item has no description.

Protected procedure QueueThread_OnPulse(Sender : TObject; aDelay : integer);

This item has no description.

Protected procedure DestroyThread;

This item has no description.

Protected procedure DepleteWork;

This item has no description.

Protected procedure WndProc(var aMessage: TMessage);

This item has no description.

Protected procedure DeallocateWindowHandle;

This item has no description.

Protected procedure NextPulse(aInterval : integer);

This item has no description.

Protected procedure ScheduleWork(const delay_ms : int64);

This item has no description.

Protected procedure DoWork;

This item has no description.

Protected procedure DoMessageLoopWork;

This item has no description.

Protected procedure Initialize;

This item has no description.

Protected procedure SetDefaultInterval(aValue : integer);

This item has no description.

Protected procedure SetPriority(aValue : TThreadPriority);

This item has no description.

Protected procedure Thread_OnPulse(Sender : TObject);

This item has no description.

Public constructor Create(AOwner: TComponent); override;

Full constructor of TCEFWorkScheduler. This constructor also creates the internal threads.

Public constructor CreateDelayed;

Partial constructor of TCEFWorkScheduler. This constructor doesn't create any threads. Call TCEFWorkScheduler.CreateThread when necessary.

Public destructor Destroy; override;

TCEFWorkScheduler destructor.

Public procedure ScheduleMessagePumpWork(const delay_ms : int64);

Called from GlobalCEFApp.OnScheduleMessagePumpWork to schedule a GlobalCEFApp.DoMessageLoopWork call asynchronously to perform a single iteration of CEF message loop processing.

Parameters
delay_ms
Requested delay in milliseconds.
Public procedure StopScheduler;

Stop the scheduler. This function must be called after the destruction of all the forms in the application.

Public procedure CreateThread;

Creates all the internal threads used by TCEFWorkScheduler.

Properties

Published property Priority : TThreadPriority read FPriority write SetPriority default tpNormal;

Priority of TCEFWorkSchedulerThread in Windows.

Published property DefaultInterval : integer read FDefaultInterval write SetDefaultInterval default CEF_TIMER_MAXDELAY;

Default interval in milliseconds to do the next GlobalCEFApp.DoMessageLoopWork call.

Published property DepleteWorkCycles : cardinal read FDepleteWorkCycles write FDepleteWorkCycles default CEF_TIMER_DEPLETEWORK_CYCLES;

Number of cycles used to deplete the remaining messages in the work loop.

Published property DepleteWorkDelay : cardinal read FDepleteWorkDelay write FDepleteWorkDelay default CEF_TIMER_DEPLETEWORK_DELAY;

Delay in milliseconds between the cycles used to deplete the remaining messages in the work loop.

Published property UseQueueThread : boolean read FUseQueueThread write FUseQueueThread default False;

Use a custom queue thread instead of Windows messages or any other way to schedule the next pump work.


cef4delphi: uCEFWorkSchedulerQueueThread

Unit uCEFWorkSchedulerQueueThread

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCEFWorkSchedulerQueueThread |

Types

TOnPulseEvent = procedure(Sender: TObject; aDelay: integer) of object;
TValuesArray = array of integer;

Description

Types

TOnPulseEvent = procedure(Sender: TObject; aDelay: integer) of object;

This item has no description.

TValuesArray = array of integer;

This item has no description.


cef4delphi: uCEFWorkSchedulerQueueThread: Class TCEFWorkSchedulerQueueThread

Class TCEFWorkSchedulerQueueThread

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFWorkSchedulerQueueThread

Declaration

type TCEFWorkSchedulerQueueThread = class(TThread)

Description

This item has no description.

Hierarchy

  • TObject
  • TThread
  • TCEFWorkSchedulerQueueThread

Overview

Fields

Protected | FQueueCS: TCriticalSection;
Protected | FEvent: TEvent;
Protected | FWaiting: boolean;
Protected | FStop: boolean;
Protected | FReady: boolean;
Protected | FValues: TValuesArray;
Protected | FOnPulse: TOnPulseEvent;

Methods

Protected | function GetAvailableValue: integer;
Protected | function GetHasPendingValue: boolean;
Protected | function Lock: boolean;
Protected | procedure Unlock;
Protected | function CanContinue: boolean;
Protected | procedure ReadAllPendingValues;
Protected | procedure DoOnPulse;
Protected | procedure Execute; override;
Public | constructor Create;
Public | destructor Destroy; override;
Public | procedure AfterConstruction; override;
Public | procedure StopThread;
Public | procedure EnqueueValue(aValue : integer);

Properties

Protected | property AvailableValue : integer read GetAvailableValue;
Protected | property HasPendingValue : boolean read GetHasPendingValue;
Public | property Ready : boolean read FReady;
Public | property OnPulse : TOnPulseEvent read FOnPulse write FOnPulse;

Description

Fields

Protected FQueueCS: TCriticalSection;

This item has no description.

Protected FEvent: TEvent;

This item has no description.

Protected FWaiting: boolean;

This item has no description.

Protected FStop: boolean;

This item has no description.

Protected FReady: boolean;

This item has no description.

Protected FValues: TValuesArray;

This item has no description.

Protected FOnPulse: TOnPulseEvent;

This item has no description.

Methods

Protected function GetAvailableValue: integer;

This item has no description.

Protected function GetHasPendingValue: boolean;

This item has no description.

Protected function Lock: boolean;

This item has no description.

Protected procedure Unlock;

This item has no description.

Protected function CanContinue: boolean;

This item has no description.

Protected procedure ReadAllPendingValues;

This item has no description.

Protected procedure DoOnPulse;

This item has no description.

Protected procedure Execute; override;

This item has no description.

Public constructor Create;

This item has no description.

Public destructor Destroy; override;

This item has no description.

Public procedure AfterConstruction; override;

This item has no description.

Public procedure StopThread;

This item has no description.

Public procedure EnqueueValue(aValue : integer);

This item has no description.

Properties

Protected property AvailableValue : integer read GetAvailableValue;

This item has no description.

Protected property HasPendingValue : boolean read GetHasPendingValue;

This item has no description.

Public property Ready : boolean read FReady;

This item has no description.

Public property OnPulse : TOnPulseEvent read FOnPulse write FOnPulse;

This item has no description.


cef4delphi: uCEFWorkSchedulerThread

Unit uCEFWorkSchedulerThread

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCEFWorkSchedulerThread |


cef4delphi: uCEFWorkSchedulerThread: Class TCEFWorkSchedulerThread

Class TCEFWorkSchedulerThread

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFWorkSchedulerThread

Declaration

type TCEFWorkSchedulerThread = class(TThread)

Description

This item has no description.

Hierarchy

  • TObject
  • TThread
  • TCEFWorkSchedulerThread

Overview

Fields

Protected | FCritSect: TCriticalSection;
Protected | FInterval: integer;
Protected | FEvent: TEvent;
Protected | FOnPulse: TNotifyEvent;
Protected | FPulsing: boolean;
Protected | FMustReset: boolean;
Protected | FDefaultInterval: integer;

Methods

Protected | function Lock: boolean;
Protected | procedure Unlock;
Protected | function CanPulse(var aInterval : integer) : boolean;
Protected | procedure DoOnPulseEvent;
Protected | procedure EventTimeOut;
Protected | procedure SignaledEvent;
Protected | procedure Execute; override;
Public | constructor Create;
Public | destructor Destroy; override;
Public | procedure AfterConstruction; override;
Public | procedure NextPulse(aInterval : integer);

Properties

Public | property DefaultInterval : integer read FDefaultInterval write FDefaultInterval default CEF_TIMER_MAXDELAY;
Public | property OnPulse : TNotifyEvent read FOnPulse write FOnPulse;

Description

Fields

Protected FCritSect: TCriticalSection;

This item has no description.

Protected FInterval: integer;

This item has no description.

Protected FEvent: TEvent;

This item has no description.

Protected FOnPulse: TNotifyEvent;

This item has no description.

Protected FPulsing: boolean;

This item has no description.

Protected FMustReset: boolean;

This item has no description.

Protected FDefaultInterval: integer;

This item has no description.

Methods

Protected function Lock: boolean;

This item has no description.

Protected procedure Unlock;

This item has no description.

Protected function CanPulse(var aInterval : integer) : boolean;

This item has no description.

Protected procedure DoOnPulseEvent;

This item has no description.

Protected procedure EventTimeOut;

This item has no description.

Protected procedure SignaledEvent;

This item has no description.

Protected procedure Execute; override;

This item has no description.

Public constructor Create;

This item has no description.

Public destructor Destroy; override;

This item has no description.

Public procedure AfterConstruction; override;

This item has no description.

Public procedure NextPulse(aInterval : integer);

This item has no description.

Properties

Public property DefaultInterval : integer read FDefaultInterval write FDefaultInterval default CEF_TIMER_MAXDELAY;

This item has no description.

Public property OnPulse : TNotifyEvent read FOnPulse write FOnPulse;

This item has no description.


cef4delphi: uCEFWriteHandler

Unit uCEFWriteHandler

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefWriteHandlerOwn |
Class TCefBytesWriteHandler |


cef4delphi: uCEFWriteHandler: Class TCefWriteHandlerOwn

Class TCefWriteHandlerOwn

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFWriteHandler

Declaration

type TCefWriteHandlerOwn = class(TCefBaseRefCountedOwn, ICefWriteHandler)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefWriteHandlerOwn

Overview

Methods

Protected | function Write(const ptr: Pointer; size, n: NativeUInt): NativeUInt; virtual;
Protected | function Seek(offset: Int64; whence: Integer): Integer; virtual;
Protected | function Tell: Int64; virtual;
Protected | function Flush: Integer; virtual;
Protected | function MayBlock: Boolean; virtual;
Public | constructor Create; virtual;

Description

Methods

Protected function Write(const ptr: Pointer; size, n: NativeUInt): NativeUInt; virtual;

This item has no description. Showing description inherited from ICefWriteHandler.Write.

Write raw binary data.

Protected function Seek(offset: Int64; whence: Integer): Integer; virtual;

This item has no description. Showing description inherited from ICefWriteHandler.Seek.

Seek to the specified offset position. |whence| may be any one of SEEK_CUR, SEEK_END or SEEK_SET. Return zero on success and non-zero on failure.

Protected function Tell: Int64; virtual;

This item has no description. Showing description inherited from ICefWriteHandler.Tell.

Return the current offset position.

Protected function Flush: Integer; virtual;

This item has no description. Showing description inherited from ICefWriteHandler.Flush.

Flush the stream.

Protected function MayBlock: Boolean; virtual;

This item has no description. Showing description inherited from ICefWriteHandler.MayBlock.

Return true (1) if this handler performs work like accessing the file system which may block. Used as a hint for determining the thread to access the handler from.

Public constructor Create; virtual;

This item has no description.


cef4delphi: uCEFWriteHandler: Class TCefBytesWriteHandler

Class TCefBytesWriteHandler

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFWriteHandler

Declaration

type TCefBytesWriteHandler = class(TCefWriteHandlerOwn)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedOwn
  • TCefWriteHandlerOwn
  • TCefBytesWriteHandler

Overview

Fields

Protected | FCriticalSection: TRTLCriticalSection;
Protected | FGrow: NativeUInt;
Protected | FBuffer: Pointer;
Protected | FBufferSize: int64;
Protected | FOffset: int64;

Methods

Protected | function Grow(size : NativeUInt) : NativeUInt;
Public | constructor Create(aGrow : NativeUInt); reintroduce;
Public | destructor Destroy; override;
Public | function Write(const ptr: Pointer; size, n: NativeUInt): NativeUInt; override;
Public | function Seek(offset: Int64; whence: Integer): Integer; override;
Public | function Tell: Int64; override;
Public | function Flush: Integer; override;
Public | function MayBlock: Boolean; override;
Public | function GetData: pointer;
Public | function GetDataSize: int64;

Description

Fields

Protected FCriticalSection: TRTLCriticalSection;

This item has no description.

Protected FGrow: NativeUInt;

This item has no description.

Protected FBuffer: Pointer;

This item has no description.

Protected FBufferSize: int64;

This item has no description.

Protected FOffset: int64;

This item has no description.

Methods

Protected function Grow(size : NativeUInt) : NativeUInt;

This item has no description.

Public constructor Create(aGrow : NativeUInt); reintroduce;

This item has no description.

Public destructor Destroy; override;

This item has no description.

Public function Write(const ptr: Pointer; size, n: NativeUInt): NativeUInt; override;

This item has no description. Showing description inherited from ICefWriteHandler.Write.

Write raw binary data.

Public function Seek(offset: Int64; whence: Integer): Integer; override;

This item has no description. Showing description inherited from ICefWriteHandler.Seek.

Seek to the specified offset position. |whence| may be any one of SEEK_CUR, SEEK_END or SEEK_SET. Return zero on success and non-zero on failure.

Public function Tell: Int64; override;

This item has no description. Showing description inherited from ICefWriteHandler.Tell.

Return the current offset position.

Public function Flush: Integer; override;

This item has no description. Showing description inherited from ICefWriteHandler.Flush.

Flush the stream.

Public function MayBlock: Boolean; override;

This item has no description. Showing description inherited from ICefWriteHandler.MayBlock.

Return true (1) if this handler performs work like accessing the file system which may block. Used as a hint for determining the thread to access the handler from.

Public function GetData: pointer;

This item has no description.

Public function GetDataSize: int64;

This item has no description.


cef4delphi: uCEFX509Certificate

Unit uCEFX509Certificate

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCEFX509CertificateRef |


cef4delphi: uCEFX509Certificate: Class TCEFX509CertificateRef

Class TCEFX509CertificateRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFX509Certificate

Declaration

type TCEFX509CertificateRef = class(TCefBaseRefCountedRef, ICefX509Certificate)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCEFX509CertificateRef

Overview

Methods

Protected | function GetSubject: ICefX509CertPrincipal;
Protected | function GetIssuer: ICefX509CertPrincipal;
Protected | function GetSerialNumber: ICefBinaryValue;
Protected | function GetValidStart: TCefBaseTime;
Protected | function GetValidExpiry: TCefBaseTime;
Protected | function GetValidStartAsDateTime: TDateTime;
Protected | function GetValidExpiryAsDateTime: TDateTime;
Protected | function GetDerEncoded: ICefBinaryValue;
Protected | function GetPemEncoded: ICefBinaryValue;
Protected | function GetIssuerChainSize: NativeUInt;
Protected | procedure GetDEREncodedIssuerChain(chainCount: NativeUInt; var chain : TCefBinaryValueArray);
Protected | procedure GetPEMEncodedIssuerChain(chainCount: NativeUInt; var chain : TCefBinaryValueArray);
Public | class function UnWrap(data: Pointer): ICefX509Certificate;

Description

Methods

Protected function GetSubject: ICefX509CertPrincipal;

This item has no description. Showing description inherited from ICefX509Certificate.GetSubject.

Returns the subject of the X.509 certificate. For HTTPS server certificates this represents the web server. The common name of the subject should match the host name of the web server.

Protected function GetIssuer: ICefX509CertPrincipal;

This item has no description. Showing description inherited from ICefX509Certificate.GetIssuer.

Returns the issuer of the X.509 certificate.

Protected function GetSerialNumber: ICefBinaryValue;

This item has no description. Showing description inherited from ICefX509Certificate.GetSerialNumber.

Returns the DER encoded serial number for the X.509 certificate. The value possibly includes a leading 00 byte.

Protected function GetValidStart: TCefBaseTime;

This item has no description. Showing description inherited from ICefX509Certificate.GetValidStart.

Returns the date before which the X.509 certificate is invalid. CefBaseTime.GetTimeT() will return 0 if no date was specified.

Protected function GetValidExpiry: TCefBaseTime;

This item has no description. Showing description inherited from ICefX509Certificate.GetValidExpiry.

Returns the date after which the X.509 certificate is invalid. CefBaseTime.GetTimeT() will return 0 if no date was specified.

Protected function GetValidStartAsDateTime: TDateTime;

This item has no description. Showing description inherited from ICefX509Certificate.GetValidStartAsDateTime.

Returns the date before which the X.509 certificate is invalid. CefBaseTime.GetTimeT() will return 0 if no date was specified.

Protected function GetValidExpiryAsDateTime: TDateTime;

This item has no description. Showing description inherited from ICefX509Certificate.GetValidExpiryAsDateTime.

Returns the date after which the X.509 certificate is invalid. CefBaseTime.GetTimeT() will return 0 if no date was specified.

Protected function GetDerEncoded: ICefBinaryValue;

This item has no description. Showing description inherited from ICefX509Certificate.GetDerEncoded.

Returns the DER encoded data for the X.509 certificate.

Protected function GetPemEncoded: ICefBinaryValue;

This item has no description. Showing description inherited from ICefX509Certificate.GetPemEncoded.

Returns the PEM encoded data for the X.509 certificate.

Protected function GetIssuerChainSize: NativeUInt;

This item has no description. Showing description inherited from ICefX509Certificate.GetIssuerChainSize.

Returns the number of certificates in the issuer chain. If 0, the certificate is self-signed.

Protected procedure GetDEREncodedIssuerChain(chainCount: NativeUInt; var chain : TCefBinaryValueArray);

This item has no description. Showing description inherited from ICefX509Certificate.GetDEREncodedIssuerChain.

Returns the DER encoded data for the certificate issuer chain. If we failed to encode a certificate in the chain it is still present in the array but is an NULL string.

Protected procedure GetPEMEncodedIssuerChain(chainCount: NativeUInt; var chain : TCefBinaryValueArray);

This item has no description. Showing description inherited from ICefX509Certificate.GetPEMEncodedIssuerChain.

Returns the PEM encoded data for the certificate issuer chain. If we failed to encode a certificate in the chain it is still present in the array but is an NULL string.

Public class function UnWrap(data: Pointer): ICefX509Certificate;

This item has no description.


cef4delphi: uCEFX509CertPrincipal

Unit uCEFX509CertPrincipal

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefX509CertPrincipalRef |


cef4delphi: uCEFX509CertPrincipal: Class TCefX509CertPrincipalRef

Class TCefX509CertPrincipalRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFX509CertPrincipal

Declaration

type TCefX509CertPrincipalRef = class(TCefBaseRefCountedRef, ICefX509CertPrincipal)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefX509CertPrincipalRef

Overview

Methods

Protected | function GetDisplayName: ustring;
Protected | function GetCommonName: ustring;
Protected | function GetLocalityName: ustring;
Protected | function GetStateOrProvinceName: ustring;
Protected | function GetCountryName: ustring;
Protected | procedure GetOrganizationNames(const names: TStrings);
Protected | procedure GetOrganizationUnitNames(const names: TStrings);
Public | class function UnWrap(data: Pointer): ICefX509CertPrincipal;

Description

Methods

Protected function GetDisplayName: ustring;

This item has no description. Showing description inherited from ICefX509CertPrincipal.GetDisplayName.

Returns a name that can be used to represent the issuer. It tries in this order: Common Name (CN), Organization Name (O) and Organizational Unit Name (OU) and returns the first non-NULL one found.

Protected function GetCommonName: ustring;

This item has no description. Showing description inherited from ICefX509CertPrincipal.GetCommonName.

Returns the common name.

Protected function GetLocalityName: ustring;

This item has no description. Showing description inherited from ICefX509CertPrincipal.GetLocalityName.

Returns the locality name.

Protected function GetStateOrProvinceName: ustring;

This item has no description. Showing description inherited from ICefX509CertPrincipal.GetStateOrProvinceName.

Returns the state or province name.

Protected function GetCountryName: ustring;

This item has no description. Showing description inherited from ICefX509CertPrincipal.GetCountryName.

Returns the country name.

Protected procedure GetOrganizationNames(const names: TStrings);

This item has no description. Showing description inherited from ICefX509CertPrincipal.GetOrganizationNames.

Retrieve the list of organization names.

Protected procedure GetOrganizationUnitNames(const names: TStrings);

This item has no description. Showing description inherited from ICefX509CertPrincipal.GetOrganizationUnitNames.

Retrieve the list of organization unit names.

Public class function UnWrap(data: Pointer): ICefX509CertPrincipal;

This item has no description.


cef4delphi: uCEFXmlReader

Unit uCEFXmlReader

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefXmlReaderRef |


cef4delphi: uCEFXmlReader: Class TCefXmlReaderRef

Class TCefXmlReaderRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFXmlReader

Declaration

type TCefXmlReaderRef = class(TCefBaseRefCountedRef, ICefXmlReader)

Description

This item has no description.

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefXmlReaderRef

Overview

Methods

Protected | function MoveToNextNode: Boolean;
Protected | function Close: Boolean;
Protected | function HasError: Boolean;
Protected | function GetError: ustring;
Protected | function GetType: TCefXmlNodeType;
Protected | function GetDepth: Integer;
Protected | function GetLocalName: ustring;
Protected | function GetPrefix: ustring;
Protected | function GetQualifiedName: ustring;
Protected | function GetNamespaceUri: ustring;
Protected | function GetBaseUri: ustring;
Protected | function GetXmlLang: ustring;
Protected | function IsEmptyElement: Boolean;
Protected | function HasValue: Boolean;
Protected | function GetValue: ustring;
Protected | function HasAttributes: Boolean;
Protected | function GetAttributeCount: NativeUInt;
Protected | function GetAttributeByIndex(index: Integer): ustring;
Protected | function GetAttributeByQName(const qualifiedName: ustring): ustring;
Protected | function GetAttributeByLName(const localName, namespaceURI: ustring): ustring;
Protected | function GetInnerXml: ustring;
Protected | function GetOuterXml: ustring;
Protected | function GetLineNumber: Integer;
Protected | function MoveToAttributeByIndex(index: Integer): Boolean;
Protected | function MoveToAttributeByQName(const qualifiedName: ustring): Boolean;
Protected | function MoveToAttributeByLName(const localName, namespaceURI: ustring): Boolean;
Protected | function MoveToFirstAttribute: Boolean;
Protected | function MoveToNextAttribute: Boolean;
Protected | function MoveToCarryingElement: Boolean;
Public | class function UnWrap(data: Pointer): ICefXmlReader;
Public | class function New(const stream: ICefStreamReader; encodingType: TCefXmlEncodingType; const URI: ustring): ICefXmlReader;

Description

Methods

Protected function MoveToNextNode: Boolean;

This item has no description. Showing description inherited from ICefXmlReader.MoveToNextNode.

Moves the cursor to the next node in the document. This function must be called at least once to set the current cursor position. Returns true (1) if the cursor position was set successfully.

Protected function Close: Boolean;

This item has no description. Showing description inherited from ICefXmlReader.Close.

Close the document. This should be called directly to ensure that cleanup occurs on the correct thread.

Protected function HasError: Boolean;

This item has no description. Showing description inherited from ICefXmlReader.HasError.

Returns true (1) if an error has been reported by the XML parser.

Protected function GetError: ustring;

This item has no description. Showing description inherited from ICefXmlReader.GetError.

Returns the error string.

Protected function GetType: TCefXmlNodeType;

This item has no description. Showing description inherited from ICefXmlReader.GetType.

Returns the node type.

Protected function GetDepth: Integer;

This item has no description. Showing description inherited from ICefXmlReader.GetDepth.

Returns the node depth. Depth starts at 0 for the root node.

Protected function GetLocalName: ustring;

This item has no description. Showing description inherited from ICefXmlReader.GetLocalName.

Returns the local name. See http://www.w3.org/TR/REC-xml-names/#NT- LocalPart for additional details.

Protected function GetPrefix: ustring;

This item has no description. Showing description inherited from ICefXmlReader.GetPrefix.

Returns the namespace prefix. See http://www.w3.org/TR/REC-xml-names/ for additional details.

Protected function GetQualifiedName: ustring;

This item has no description. Showing description inherited from ICefXmlReader.GetQualifiedName.

Returns the qualified name, equal to (Prefix:)LocalName. See http://www.w3.org/TR/REC-xml-names/#ns-qualnames for additional details.

Protected function GetNamespaceUri: ustring;

This item has no description. Showing description inherited from ICefXmlReader.GetNamespaceUri.

Returns the URI defining the namespace associated with the node. See http://www.w3.org/TR/REC-xml-names/ for additional details.

Protected function GetBaseUri: ustring;

This item has no description. Showing description inherited from ICefXmlReader.GetBaseUri.

Returns the base URI of the node. See http://www.w3.org/TR/xmlbase/ for additional details.

Protected function GetXmlLang: ustring;

This item has no description. Showing description inherited from ICefXmlReader.GetXmlLang.

Returns the xml:lang scope within which the node resides. See http://www.w3.org/TR/REC-xml/#sec-lang-tag for additional details.

Protected function IsEmptyElement: Boolean;

This item has no description. Showing description inherited from ICefXmlReader.IsEmptyElement.

Returns true (1) if the node represents an NULL element. "<a/>" is considered NULL but "<a></a>" is not.

Protected function HasValue: Boolean;

This item has no description. Showing description inherited from ICefXmlReader.HasValue.

Returns true (1) if the node has a text value.

Protected function GetValue: ustring;

This item has no description. Showing description inherited from ICefXmlReader.GetValue.

Returns the text value.

Protected function HasAttributes: Boolean;

This item has no description. Showing description inherited from ICefXmlReader.HasAttributes.

Returns true (1) if the node has attributes.

Protected function GetAttributeCount: NativeUInt;

This item has no description. Showing description inherited from ICefXmlReader.GetAttributeCount.

Returns the number of attributes.

Protected function GetAttributeByIndex(index: Integer): ustring;

This item has no description. Showing description inherited from ICefXmlReader.GetAttributeByIndex.

Returns the value of the attribute at the specified 0-based index.

Protected function GetAttributeByQName(const qualifiedName: ustring): ustring;

This item has no description. Showing description inherited from ICefXmlReader.GetAttributeByQName.

Returns the value of the attribute with the specified qualified name.

Protected function GetAttributeByLName(const localName, namespaceURI: ustring): ustring;

This item has no description. Showing description inherited from ICefXmlReader.GetAttributeByLName.

Returns the value of the attribute with the specified local name and namespace URI.

Protected function GetInnerXml: ustring;

This item has no description. Showing description inherited from ICefXmlReader.GetInnerXml.

Returns an XML representation of the current node's children.

Protected function GetOuterXml: ustring;

This item has no description. Showing description inherited from ICefXmlReader.GetOuterXml.

Returns an XML representation of the current node including its children.

Protected function GetLineNumber: Integer;

This item has no description. Showing description inherited from ICefXmlReader.GetLineNumber.

Returns the line number for the current node.

Protected function MoveToAttributeByIndex(index: Integer): Boolean;

This item has no description. Showing description inherited from ICefXmlReader.MoveToAttributeByIndex.

Moves the cursor to the attribute at the specified 0-based index. Returns true (1) if the cursor position was set successfully.

Protected function MoveToAttributeByQName(const qualifiedName: ustring): Boolean;

This item has no description. Showing description inherited from ICefXmlReader.MoveToAttributeByQName.

Moves the cursor to the attribute with the specified qualified name. Returns true (1) if the cursor position was set successfully.

Protected function MoveToAttributeByLName(const localName, namespaceURI: ustring): Boolean;

This item has no description. Showing description inherited from ICefXmlReader.MoveToAttributeByLName.

Moves the cursor to the attribute with the specified local name and namespace URI. Returns true (1) if the cursor position was set successfully.

Protected function MoveToFirstAttribute: Boolean;

This item has no description. Showing description inherited from ICefXmlReader.MoveToFirstAttribute.

Moves the cursor to the first attribute in the current element. Returns true (1) if the cursor position was set successfully.

Protected function MoveToNextAttribute: Boolean;

This item has no description. Showing description inherited from ICefXmlReader.MoveToNextAttribute.

Moves the cursor to the next attribute in the current element. Returns true (1) if the cursor position was set successfully.

Protected function MoveToCarryingElement: Boolean;

This item has no description. Showing description inherited from ICefXmlReader.MoveToCarryingElement.

Moves the cursor back to the carrying element. Returns true (1) if the cursor position was set successfully.

Public class function UnWrap(data: Pointer): ICefXmlReader;

This item has no description.

Public class function New(const stream: ICefStreamReader; encodingType: TCefXmlEncodingType; const URI: ustring): ICefXmlReader;

This item has no description.


cef4delphi: uCEFZipReader

Unit uCEFZipReader

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

Description

This item has no description.

Overview

Classes, Interfaces, Objects and Records

Name | Description
Class TCefZipReaderRef | Class that supports the reading of zip archives via the zlib unzip API. The functions of this interface should only be called on the thread that creates the object.


cef4delphi: uCEFZipReader: Class TCefZipReaderRef

Class TCefZipReaderRef

Description
Hierarchy
Fields
Methods
Properties

Unit

uCEFZipReader

Declaration

type TCefZipReaderRef = class(TCefBaseRefCountedRef, ICefZipReader)

Description

Class that supports the reading of zip archives via the zlib unzip API. The functions of this interface should only be called on the thread that creates the object.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_zip_reader_capi.h">CEF source file: /include/capi/cef_zip_reader_capi.h (cef_zip_reader_t))

Hierarchy

  • TInterfacedObject
  • TCefBaseRefCountedRef
  • TCefZipReaderRef

Overview

Methods

Protected | function MoveToFirstFile: Boolean;
Protected | function MoveToNextFile: Boolean;
Protected | function MoveToFile(const fileName: ustring; caseSensitive: Boolean): Boolean;
Protected | function Close: Boolean;
Protected | function GetFileName: ustring;
Protected | function GetFileSize: Int64;
Protected | function GetFileLastModified: TCefBaseTime;
Protected | function OpenFile(const password: ustring): Boolean;
Protected | function CloseFile: Boolean;
Protected | function ReadFile(buffer: Pointer; bufferSize: NativeUInt): Integer;
Protected | function Tell: Int64;
Protected | function Eof: Boolean;
Public | class function UnWrap(data: Pointer): ICefZipReader;
Public | class function New(const stream: ICefStreamReader): ICefZipReader;

Description

Methods

Protected function MoveToFirstFile: Boolean;

Moves the cursor to the first file in the archive. Returns true (1) if the cursor position was set successfully.

Protected function MoveToNextFile: Boolean;

Moves the cursor to the next file in the archive. Returns true (1) if the cursor position was set successfully.

Protected function MoveToFile(const fileName: ustring; caseSensitive: Boolean): Boolean;

Moves the cursor to the specified file in the archive. If |caseSensitive| is true (1) then the search will be case sensitive. Returns true (1) if the cursor position was set successfully.

Protected function Close: Boolean;

Closes the archive. This should be called directly to ensure that cleanup occurs on the correct thread.

Protected function GetFileName: ustring;

Returns the name of the file.

Protected function GetFileSize: Int64;

Returns the uncompressed size of the file.

Protected function GetFileLastModified: TCefBaseTime;

Returns the last modified timestamp for the file.

Protected function OpenFile(const password: ustring): Boolean;

Opens the file for reading of uncompressed data. A read password may optionally be specified.

Protected function CloseFile: Boolean;

Closes the file.

Protected function ReadFile(buffer: Pointer; bufferSize: NativeUInt): Integer;

Read uncompressed file contents into the specified buffer. Returns < 0 if an error occurred, 0 if at the end of file, or the number of bytes read.

Protected function Tell: Int64;

Returns the current offset in the uncompressed file contents.

Protected function Eof: Boolean;

Returns true (1) if at end of the file contents.

Public class function UnWrap(data: Pointer): ICefZipReader;

This item has no description.

Public class function New(const stream: ICefStreamReader): ICefZipReader;

This item has no description.


cef4delphi: Class Hierarchy

Class Hierarchy

  • IInterface
    • IApplicationCoreEvents
    • ICefBaseRefCounted
      • ICefAccessibilityHandler
      • ICefApp
      • ICefAudioHandler
      • ICefAuthCallback
      • ICefBeforeDownloadCallback
      • ICefBinaryValue
      • ICefBrowser
      • ICefBrowserHost
      • ICefBrowserProcessHandler
      • ICefCallback
      • ICefClient
      • ICefCommandHandler
      • ICefCommandLine
      • ICefCompletionCallback
      • ICefContextMenuHandler
      • ICefContextMenuParams
      • ICefCookieAccessFilter
      • ICefCookieManager
      • ICefCookieVisitor
      • ICefCustomStreamReader
      • ICefCustomUserData
      • ICefDeleteCookiesCallback
      • ICefDevToolsMessageObserver
      • ICefDialogHandler
      • ICefDictionaryValue
      • ICefDisplay
      • ICefDisplayHandler
      • ICefDomDocument
      • ICefDomNode
      • ICefDomVisitor
      • ICefDownloadHandler
      • ICefDownloadImageCallback
      • ICefDownloadItem
      • ICefDownloadItemCallback
      • ICefDragData
      • ICefDragHandler
      • ICefEndTracingCallback
      • ICefFileDialogCallback
      • ICefFindHandler
      • ICefFocusHandler
      • ICefFrame
      • ICefFrameHandler
      • ICefImage
      • ICefJsDialogCallback
      • ICefJsDialogHandler
      • ICefKeyboardHandler
      • ICefLayout
        • ICefBoxLayout
        • ICefFillLayout
      • ICefLifeSpanHandler
      • ICefListValue
      • ICefLoadHandler
      • ICefMediaAccessCallback
      • ICefMediaObserver
      • ICefMediaRoute
      • ICefMediaRouteCreateCallback
      • ICefMediaRouter
      • ICefMediaSink
      • ICefMediaSinkDeviceInfoCallback
      • ICefMediaSource
      • ICefMenuButtonPressedLock
      • ICefMenuModel
      • ICefMenuModelDelegate
      • ICefNavigationEntry
      • ICefNavigationEntryVisitor
      • ICefOverlayController
      • ICefPdfPrintCallback
      • ICefPermissionHandler
      • ICefPermissionPromptCallback
      • ICefPostData
      • ICefPostDataElement
      • ICefPreferenceManager
        • ICefRequestContext
      • ICefPreferenceObserver
      • ICefPrintDialogCallback
      • ICefPrintHandler
      • ICefPrintJobCallback
      • ICefPrintSettings
      • ICefProcessMessage
      • ICefReadHandler
      • ICefRegistration
      • ICefRenderHandler
      • ICefRenderProcessHandler
      • ICefRequest
      • ICefRequestContextHandler
      • ICefRequestHandler
      • ICefResolveCallback
      • ICefResourceBundle
      • ICefResourceBundleHandler
      • ICefResourceHandler
      • ICefResourceReadCallback
      • ICefResourceRequestHandler
      • ICefResourceSkipCallback
      • ICefResponse
      • ICefResponseFilter
      • ICefRunContextMenuCallback
      • ICefRunFileDialogCallback
      • ICefRunQuickMenuCallback
      • ICefSchemeHandlerFactory
      • ICefSelectClientCertificateCallback
      • ICefServer
      • ICefServerHandler
      • ICefSetCookieCallback
      • ICefSettingObserver
      • ICefSharedMemoryRegion
      • ICefSharedProcessMessageBuilder
      • ICefSslInfo
      • ICefSSLStatus
      • ICefStreamReader
      • ICefStreamWriter
      • ICefStringVisitor
      • ICefTask
      • ICefTaskManager
      • ICefTaskRunner
      • ICefThread
      • ICefUnresponsiveProcessCallback
      • ICefUrlRequest
      • ICefUrlrequestClient
      • ICefV8Accessor
      • ICefv8ArrayBufferReleaseCallback
      • ICefv8Context
      • ICefV8Exception
      • ICefv8Handler
      • ICefV8Interceptor
      • ICefV8StackFrame
      • ICefV8StackTrace
      • ICefv8Value
      • ICefValue
      • ICefView
        • ICefBrowserView
        • ICefButton
          • ICefLabelButton
            • ICefMenuButton
        • ICefPanel
          • ICefWindow
        • ICefScrollView
        • ICefTextfield
      • ICefViewDelegate
        • ICefBrowserViewDelegate
        • ICefButtonDelegate
          • ICefMenuButtonDelegate
        • ICefPanelDelegate
          • ICefWindowDelegate
        • ICefTextfieldDelegate
      • ICefWaitableEvent
      • ICefWriteHandler
      • ICefX509Certificate
      • ICefX509CertPrincipal
      • ICefXmlReader
      • ICefZipReader
    • ICefStringList
    • ICefStringMap
    • ICefStringMultimap
    • ICEFUrlRequestClientEvents
    • ICefViewDelegateEvents
      • ICefBrowserViewDelegateEvents
      • ICefButtonDelegateEvents
        • ICefMenuButtonDelegateEvents
      • ICefPanelDelegateEvents
        • ICefWindowDelegateEvents
      • ICefTextfieldDelegateEvents
    • IChromiumEvents
    • IServerEvents
  • TBitmap
    • TCEFBrowserBitmap
  • TCommonCustomForm
    • TFMXWindowParent
  • TControl
    • TFMXBufferPanel
  • TCustomPanel
    • TBufferPanel
      • TOsrBrowserWindow
  • TInterfacedObject
    • TCefApplicationCore
      • TCefApplication
    • TCefBaseRefCountedOwn
      • TCEFAccessibilityHandlerOwn
        • TCustomAccessibilityHandler
      • TCefAppOwn
        • TCustomCefApp
      • TCefAudioHandlerOwn
        • TCustomAudioHandler
      • TCefBinaryValueOwn
      • TCefBrowserProcessHandlerOwn
        • TCefCustomBrowserProcessHandler
      • TCefClientOwn
        • TCustomClientHandler
      • TCefCommandHandlerOwn
        • TCustomCommandHandler
      • TCefCompletionCallbackOwn
        • TCefCustomCompletionCallback
          • TCefClearCertificateExceptionsCompletionCallback
          • TCefClearHttpAuthCredentialsCompletionCallback
          • TCefCloseAllConnectionsCompletionCallback
          • TCefFlushStoreCompletionCallback
        • TCefEventCompletionCallback
        • TCefFastCompletionCallback
      • TCefContextMenuHandlerOwn
        • TCustomContextMenuHandler
      • TCefCookieAccessFilterOwn
        • TCustomCookieAccessFilter
      • TCefCookieVisitorOwn
        • TCefCustomCookieVisitor
        • TCefFastCookieVisitor
      • TCefCustomStreamReader
      • TCefCustomUserData
      • TCefDeleteCookiesCallbackOwn
        • TCefCustomDeleteCookiesCallback
        • TCefFastDeleteCookiesCallback
      • TCEFDevToolsMessageObserverOwn
        • TCustomDevToolsMessageObserver
      • TCefDialogHandlerOwn
        • TCustomDialogHandler
      • TCefDisplayHandlerOwn
        • TCustomDisplayHandler
      • TCefDomVisitorOwn
        • TCefFastDomVisitor
        • TCefFastDomVisitor2
        • TCefFastDomVisitor3
      • TCefDownloadHandlerOwn
        • TCustomDownloadHandler
      • TCefDownloadImageCallbackOwn
        • TCefCustomDownloadImageCallback
        • TCefFastDownloadImageCallback
      • TCefDragHandlerOwn
        • TCustomDragHandler
      • TCefEndTracingCallbackOwn
        • TCefFastEndTracingCallback
      • TCefFindHandlerOwn
        • TCustomFindHandler
      • TCefFocusHandlerOwn
        • TCustomFocusHandler
      • TCefFrameHandlerOwn
        • TCustomFrameHandler
      • TCefJsDialogHandlerOwn
        • TCustomJsDialogHandler
      • TCefKeyboardHandlerOwn
        • TCustomKeyboardHandler
      • TCefLifeSpanHandlerOwn
        • TCustomLifeSpanHandler
      • TCefLoadHandlerOwn
        • TCustomLoadHandler
        • TCustomRenderLoadHandler
      • TCefMediaObserverOwn
        • TCustomMediaObserver
      • TCefMediaRouteCreateCallbackOwn
        • TCefCustomMediaRouteCreateCallback
        • TCefFastMediaRouteCreateCallback
      • TCefMediaSinkDeviceInfoCallbackOwn
        • TCefCustomMediaSinkDeviceInfoCallback
        • TCefFastMediaSinkDeviceInfoCallback
      • TCefMenuModelDelegateOwn
      • TCefNavigationEntryVisitorOwn
        • TCefFastNavigationEntryVisitor
        • TCustomCefNavigationEntryVisitor
      • TCefPdfPrintCallbackOwn
        • TCefCustomPDFPrintCallBack
        • TCefFastPdfPrintCallback
      • TCefPermissionHandlerOwn
        • TCustomPermissionHandler
      • TCefPostDataElementOwn
      • TCefPrintHandlerOwn
        • TCustomPrintHandler
      • TCefRenderHandlerOwn
        • TCustomRenderHandler
      • TCefRenderProcessHandlerOwn
        • TCefCustomRenderProcessHandler
      • TCefRequestContextHandlerOwn
        • TCustomRequestContextHandler
      • TCefRequestHandlerOwn
        • TCustomRequestHandler
      • TCefResolveCallbackOwn
        • TCefCustomResolveCallback
      • TCefResourceBundleHandlerOwn
        • TCefCustomResourceBundleHandler
      • TCefResourceHandlerOwn
      • TCefResourceRequestHandlerOwn
        • TCustomResourceRequestHandler
      • TCefResponseFilterOwn
        • TCustomResponseFilter
      • TCefRunFileDialogCallbackOwn
        • TCefFastRunFileDialogCallback
      • TCefSchemeHandlerFactoryOwn
      • TCEFServerHandlerOwn
        • TCustomServerHandler
      • TCefSetCookieCallbackOwn
        • TCefCustomSetCookieCallback
        • TCefFastSetCookieCallback
      • TCefStringVisitorOwn
        • TCefFastStringVisitor
        • TCustomCefStringVisitor
      • TCefTaskOwn
        • TCefFastTask
        • TCefManagedTask
          • TCefChromiumTask
            • TCefAddPreferenceObserverTask
            • TCefBrowserNavigationTask
            • TCefEnableFocusTask
            • TCefGenericTask
            • TCefReadZoomTask
            • TCefSavePrefsTask
            • TCefSetAudioMutedTask
            • TCefSetZoomLevelTask
            • TCefSetZoomPctTask
            • TCefSetZoomStepTask
            • TCefToggleAudioMutedTask
            • TCefTryCloseBrowserTask
            • TCefUpdatePrefsTask
            • TCefUpdateZoomPctTask
            • TCefUpdateZoomStepTask
          • TCefURLRequestClientTask
            • TCefURLRequestTask
          • TCefViewDelegateTask
            • TCefCreateCustomViewTask
      • TCefUrlrequestClientOwn
        • TCustomCefUrlrequestClient
      • TCefV8AccessorOwn
        • TCefFastV8Accessor
      • TCefv8ArrayBufferReleaseCallbackOwn
        • TCefFastv8ArrayBufferReleaseCallback
      • TCefv8HandlerOwn
      • TCefV8InterceptorOwn
        • TCefFastV8Interceptor
      • TCefViewDelegateOwn
        • TCefBrowserViewDelegateOwn
          • TCustomBrowserViewDelegate
        • TCefButtonDelegateOwn
          • TCefMenuButtonDelegateOwn
            • TCustomMenuButtonDelegate
          • TCustomButtonDelegate
        • TCefPanelDelegateOwn
          • TCefWindowDelegateOwn
            • TCustomWindowDelegate
          • TCustomPanelDelegate
        • TCefTextfieldDelegateOwn
          • TCustomTextfieldDelegate
        • TCustomViewDelegate
      • TCefWriteHandlerOwn
        • TCefBytesWriteHandler
    • TCefBaseRefCountedRef
      • TCefAuthCallbackRef
      • TCefBeforeDownloadCallbackRef
      • TCefBinaryValueRef
      • TCefBrowserHostRef
      • TCefBrowserRef
      • TCefCallbackRef
      • TCefClientRef
      • TCefCommandLineRef
      • TCefContextMenuParamsRef
      • TCefCookieAccessFilterRef
      • TCefCookieManagerRef
      • TCefDictionaryValueRef
      • TCefDisplayRef
      • TCefDomDocumentRef
      • TCefDomNodeRef
      • TCefDownloadItemCallbackRef
      • TCefDownloadItemRef
      • TCefDragDataRef
      • TCefFileDialogCallbackRef
      • TCefFrameRef
      • TCefImageRef
      • TCefJsDialogCallbackRef
      • TCefLayoutRef
        • TCefBoxLayoutRef
        • TCefFillLayoutRef
      • TCefListValueRef
      • TCefMediaAccessCallbackRef
      • TCefMediaRouteRef
      • TCefMediaRouterRef
      • TCefMediaSinkRef
      • TCefMediaSourceRef
      • TCefMenuButtonPressedLockRef
      • TCefMenuModelRef
      • TCefNavigationEntryRef
      • TCefOverlayControllerRef
      • TCefPermissionPromptCallbackRef
      • TCefPostDataElementRef
      • TCefPostDataRef
      • TCefPreferenceManagerRef
        • TCefRequestContextRef
      • TCefPrintDialogCallbackRef
      • TCefPrintJobCallbackRef
      • TCefPrintSettingsRef
      • TCefProcessMessageRef
      • TCefRegistrationRef
      • TCefRequestContextHandlerRef
      • TCefRequestRef
      • TCefResourceBundleRef
      • TCefResourceHandlerRef
      • TCefResourceReadCallbackRef
      • TCefResourceRequestHandlerRef
      • TCefResourceSkipCallbackRef
      • TCefResponseFilterRef
      • TCefResponseRef
      • TCefRunContextMenuCallbackRef
      • TCefRunQuickMenuCallbackRef
      • TCefSelectClientCertificateCallbackRef
      • TCEFServerRef
      • TCefSharedMemoryRegionRef
      • TCefSharedProcessMessageBuilderRef
      • TCefSslInfoRef
      • TCefSSLStatusRef
      • TCefStreamReaderRef
      • TCefStreamWriterRef
      • TCefTaskManagerRef
      • TCefTaskRef
      • TCefTaskRunnerRef
      • TCefThreadRef
      • TCefUnresponsiveProcessCallbackRef
      • TCefUrlrequestClientRef
      • TCefUrlRequestRef
      • TCefv8ArrayBufferReleaseCallbackRef
      • TCefv8ContextRef
      • TCefV8ExceptionRef
      • TCefv8HandlerRef
      • TCefV8StackFrameRef
      • TCefV8StackTraceRef
      • TCefv8ValueRef
      • TCefValueRef
      • TCefViewDelegateRef
        • TCefBrowserViewDelegateRef
        • TCefButtonDelegateRef
          • TCefMenuButtonDelegateRef
        • TCefPanelDelegateRef
          • TCefWindowDelegateRef
        • TCefTextfieldDelegateRef
      • TCefViewRef
        • TCefBrowserViewRef
        • TCefButtonRef
          • TCefLabelButtonRef
            • TCefMenuButtonRef
        • TCefPanelRef
          • TCefWindowRef
        • TCefScrollViewRef
        • TCefTextfieldRef
      • TCefWaitableEventRef
      • TCEFX509CertificateRef
      • TCefX509CertPrincipalRef
      • TCefXmlReaderRef
      • TCefZipReaderRef
    • TCefCustomStringList
      • TCefStringListOwn
      • TCefStringListRef
    • TCefCustomStringMap
      • TCefStringMapOwn
      • TCefStringMapRef
    • TCefCustomStringMultimap
      • TCefStringMultimapOwn
      • TCefStringMultimapRef
    • TLoggingInterfacedObject
    • TOLEDataObject
    • TOLEDropSource
    • TOLEDropTarget
    • TOLEEnumFormatEtc
  • TObject
    • TBrowserInfo
    • TCEFArgCopy
    • TCEFBaseScopedWrapperRef
      • TCefPreferenceRegistrarRef
      • TCefSchemeRegistrarRef
    • TCEFBitmapBitBuffer
    • TCEFComponentIdList
    • TCEFFileDialogInfo
    • TCEFJson
    • TCEFOAuth2Helper
    • TCEFOSRIMEHandler
    • TCEFProxySettings
    • TCEFTimerWorkScheduler
    • TCEFWindowInfoWrapper
    • TChromiumWrapper
    • TList
      • TBrowserInfoList
    • TOLEDragAndDropMgr
      • TCEFDragAndDropMgr
    • TPDFPrintOptions
    • TPersistent
      • TChromiumFontOptions
      • TChromiumOptions
      • TComponent
        • TCEFSentinel
        • TCEFServerComponent
        • TCEFUrlRequestClientComponent
        • TCEFViewComponent
          • TCEFBrowserViewComponent
          • TCEFButtonComponent
            • TCEFLabelButtonComponent
              • TCEFMenuButtonComponent
          • TCEFPanelComponent
            • TCEFWindowComponent
          • TCEFScrollViewComponent
          • TCEFTextfieldComponent
        • TCEFWorkScheduler
        • TChromiumCore
          • TChromium
            • TEmbeddedChromium
              • TEmbeddedOsrChromium
          • TFMXChromium
        • TFMXWorkScheduler
    • TThread
      • TCEFDirectoryDeleterThread
      • TCEFWorkSchedulerQueueThread
      • TCEFWorkSchedulerThread
  • TWinControl
    • TCEFWinControl
      • TCEFLinkedWinControlBase
        • TBrowserWindow
        • TCEFLinkedWindowParent
        • TChromiumWindow
      • TCEFWindowParent


cef4delphi: All Classes, Interfaces, Objects and Records

All Classes, Interfaces, Objects and Records

Name Unit Description
IApplicationCoreEvents uCEFInterfaces

Custom interface used to handle all the TCefApplicationCore events.

ICefAccessibilityHandler uCEFInterfaces

Implement this interface to receive accessibility notification when accessibility events have been registered. The functions of this interface will be called on the UI thread.

ICefApp uCEFInterfaces

Implement this interface to provide handler implementations. Methods will be called by the process and/or thread indicated.

ICefAudioHandler uCEFInterfaces

Implement this interface to handle audio events.

ICefAuthCallback uCEFInterfaces

Callback interface used for asynchronous continuation of authentication requests.

ICefBaseRefCounted uCEFInterfaces

All ref-counted framework interfaces must inherit from this interface.

ICefBeforeDownloadCallback uCEFInterfaces

Callback interface used to asynchronously continue a download.

ICefBinaryValue uCEFInterfaces

Interface representing a binary value. Can be used on any process and thread.

ICefBoxLayout uCEFInterfaces

A Layout manager that arranges child views vertically or horizontally in a side-by-side fashion with spacing around and between the child views. The child views are always sized according to their preferred size. If the host's bounds provide insufficient space, child views will be clamped. Excess space will not be distributed. Methods must be called on the browser process UI thread unless otherwise indicated.

ICefBrowser uCEFInterfaces

Interface used to represent a browser. When used in the browser process the functions of this interface may be called on any thread unless otherwise indicated in the comments. When used in the render process the functions of this interface may only be called on the main thread.

ICefBrowserHost uCEFInterfaces

Interface used to represent the browser process aspects of a browser. The functions of this interface can only be called in the browser process. They may be called on any thread in that process unless otherwise indicated in the comments.

ICefBrowserProcessHandler uCEFInterfaces

Interface used to implement browser process callbacks. The functions of this interface will be called on the browser process main thread unless otherwise indicated.

ICefBrowserView uCEFInterfaces

A View hosting a ICefBrowser instance. Methods must be called on the browser process UI thread unless otherwise indicated.

ICefBrowserViewDelegate uCEFInterfaces

Implement this interface to handle BrowserView events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

ICefBrowserViewDelegateEvents uCEFInterfaces

Custom interface used to handle all the ICefBrowserViewDelegate events.

ICefButton uCEFInterfaces

A View representing a button. Depending on the specific type, the button could be implemented by a native control or custom rendered. Methods must be called on the browser process UI thread unless otherwise indicated.

ICefButtonDelegate uCEFInterfaces

Implement this interface to handle Button events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

ICefButtonDelegateEvents uCEFInterfaces

Custom interface used to handle all the ICefButtonDelegate events.

ICefCallback uCEFInterfaces

Generic callback interface used for asynchronous continuation.

ICefClient uCEFInterfaces

Implement this interface to provide handler implementations.

ICefCommandHandler uCEFInterfaces

Implement this interface to handle events related to commands. The functions of this interface will be called on the UI thread.

ICefCommandLine uCEFInterfaces

Interface used to create and/or parse command line arguments. Arguments with "–", "-" and, on Windows, "/" prefixes are considered switches. Switches will always precede any arguments without switch prefixes. Switches can optionally have a value specified using the "=" delimiter (e.g. "-switch=value"). An argument of "–" will terminate switch parsing with all subsequent tokens, regardless of prefix, being interpreted as non-switch arguments. Switch names should be lowercase ASCII and will be converted to such if necessary. Switch values will retain the original case and UTF8 encoding. This interface can be used before cef_initialize() is called.

ICefCompletionCallback uCEFInterfaces

Generic callback interface used for asynchronous completion.

ICefContextMenuHandler uCEFInterfaces

Implement this interface to handle context menu events. The functions of this interface will be called on the UI thread.

ICefContextMenuParams uCEFInterfaces

Provides information about the context menu state. The functions of this interface can only be accessed on browser process the UI thread.

ICefCookieAccessFilter uCEFInterfaces

Implement this interface to filter cookies that may be sent or received from resource requests. The functions of this interface will be called on the IO thread unless otherwise indicated.

ICefCookieManager uCEFInterfaces

Interface used for managing cookies. The functions of this interface may be called on any thread unless otherwise indicated.

ICefCookieVisitor uCEFInterfaces

Interface to implement for visiting cookie values. The functions of this interface will always be called on the UI thread.

ICefCustomStreamReader uCEFInterfaces

Interface used to read data from a stream. The functions of this interface may be called on any thread.

ICefCustomUserData uCEFInterfaces

ICefDeleteCookiesCallback uCEFInterfaces

Interface to implement to be notified of asynchronous completion via ICefCookieManager.DeleteCookies.

ICefDevToolsMessageObserver uCEFInterfaces

Callback interface for ICefBrowserHost.AddDevToolsMessageObserver. The functions of this interface will be called on the browser process UI thread.

ICefDialogHandler uCEFInterfaces

Implement this interface to handle dialog events. The functions of this interface will be called on the browser process UI thread.

ICefDictionaryValue uCEFInterfaces

Interface representing a dictionary value. Can be used on any process and thread.

ICefDisplay uCEFInterfaces

This interface typically, but not always, corresponds to a physical display connected to the system. A fake Display may exist on a headless system, or a Display may correspond to a remote, virtual display. All size and position values are in density independent pixel (DIP) coordinates unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

For details on coordinate systems and usage see https://bitbucket.org/chromiumembedded/cef/wiki/GeneralUsage#markdown- header-coordinate-systems

ICefDisplayHandler uCEFInterfaces

Implement this interface to handle events related to browser display state. The functions of this interface will be called on the UI thread.

ICefDomDocument uCEFInterfaces

Interface used to represent a DOM document. The functions of this interface should only be called on the render process main thread thread.

ICefDomNode uCEFInterfaces

Interface used to represent a DOM node. The functions of this interface should only be called on the render process main thread.

ICefDomVisitor uCEFInterfaces

Interface to implement for visiting the DOM. The functions of this interface will be called on the render process main thread.

ICefDownloadHandler uCEFInterfaces

Interface used to handle file downloads. The functions of this interface will called on the browser process UI thread.

ICefDownloadImageCallback uCEFInterfaces

Callback interface for ICefBrowserHost.DownloadImage. The functions of this interface will be called on the browser process UI thread.

ICefDownloadItem uCEFInterfaces

Interface used to represent a download item.

ICefDownloadItemCallback uCEFInterfaces

Callback interface used to asynchronously cancel a download.

ICefDragData uCEFInterfaces

Interface used to represent drag data. The functions of this interface may be called on any thread.

ICefDragHandler uCEFInterfaces

Implement this interface to handle events related to dragging. The functions of this interface will be called on the UI thread.

ICefEndTracingCallback uCEFInterfaces

Implement this interface to receive notification when tracing has completed. The functions of this interface will be called on the browser process UI thread.

ICefFileDialogCallback uCEFInterfaces

Callback interface for asynchronous continuation of file dialog requests.

ICefFillLayout uCEFInterfaces

A simple Layout that causes the associated Panel's one child to be sized to match the bounds of its parent. Methods must be called on the browser process UI thread unless otherwise indicated.

ICefFindHandler uCEFInterfaces

Implement this interface to handle events related to find results. The functions of this interface will be called on the UI thread.

ICefFocusHandler uCEFInterfaces

Implement this interface to handle events related to focus. The functions of this interface will be called on the UI thread.

ICefFrame uCEFInterfaces

Interface used to represent a frame in the browser window. When used in the browser process the functions of this interface may be called on any thread unless otherwise indicated in the comments. When used in the render process the functions of this interface may only be called on the main thread.

ICefFrameHandler uCEFInterfaces

Implement this structure to handle events related to cef_frame_t life span. The order of callbacks is:

(1) During initial cef_browser_host_t creation and navigation of the main frame:

- cef_frame_handler_t::OnFrameCreated => The initial main frame object has
  been created. Any commands will be queued until the frame is attached.
- cef_frame_handler_t::OnMainFrameChanged => The initial main frame object
  has been assigned to the browser.
- cef_life_span_handler_t::OnAfterCreated => The browser is now valid and
  can be used.
- cef_frame_handler_t::OnFrameAttached => The initial main frame object is
  now connected to its peer in the renderer process. Commands can be routed.

(2) During further cef_browser_host_t navigation/loading of the main frame and/or sub-frames:

- cef_frame_handler_t::OnFrameCreated => A new main frame or sub-frame
  object has been created. Any commands will be queued until the frame is
  attached.
- cef_frame_handler_t::OnFrameAttached => A new main frame or sub-frame
  object is now connected to its peer in the renderer process. Commands can
  be routed.
- cef_frame_handler_t::OnFrameDetached => An existing main frame or sub-
  frame object has lost its connection to the renderer process. If multiple
  objects are detached at the same time then notifications will be sent for
  any sub-frame objects before the main frame object. Commands can no longer
  be routed and will be discarded.
- CefFremeHadler::OnFrameDestroyed => An existing main frame or sub-frame
  object has been destroyed.
- cef_frame_handler_t::OnMainFrameChanged => A new main frame object has
  been assigned to the browser. This will only occur with cross-origin
  navigation or re-navigation after renderer process termination (due to
  crashes, etc).

(3) During final cef_browser_host_t destruction of the main frame:

- cef_frame_handler_t::OnFrameDetached => Any sub-frame objects have lost
  their connection to the renderer process. Commands can no longer be routed
  and will be discarded.
- CefFreameHandler::OnFrameDestroyed => Any sub-frame objects have been
  destroyed.
- cef_life_span_handler_t::OnBeforeClose => The browser has been destroyed.
- cef_frame_handler_t::OnFrameDetached => The main frame object have lost
  its connection to the renderer process. Notifications will be sent for any
  sub-frame objects before the main frame object. Commands can no longer be
  routed and will be discarded.
- CefFreameHandler::OnFrameDestroyed => The main frame object has been
  destroyed.
- cef_frame_handler_t::OnMainFrameChanged => The final main frame object has
  been removed from the browser.

Special handling applies for cross-origin loading on creation/navigation of sub-frames, and cross-origin loading on creation of new popup browsers. A temporary frame will first be created in the parent frame's renderer process. This temporary frame will never attach and will be discarded after the real cross-origin frame is created in the new/target renderer process. The client will receive creation callbacks for the temporary frame, followed by cross-origin navigation callbacks (2) for the transition from the temporary frame to the real frame. The temporary frame will not receive or execute commands during this transitional period (any sent commands will be discarded).

When the main frame navigates to a different origin the OnMainFrameChanged callback (2) will be executed with the old and new main frame objects.

Callbacks will not be executed for placeholders that may be created during pre-commit navigation for sub-frames that do not yet exist in the renderer process. Placeholders will have cef_frame_t::get_identifier() == -4.

The functions of this structure will be called on the UI thread unless otherwise indicated.

ICefImage uCEFInterfaces

Container for a single image represented at different scale factors. All image representations should be the same size in density independent pixel (DIP) units. For example, if the image at scale factor 1.0 is 100x100 pixels then the image at scale factor 2.0 should be 200x200 pixels – both images will display with a DIP size of 100x100 units. The functions of this interface can be called on any browser process thread.

ICefJsDialogCallback uCEFInterfaces

Callback interface used for asynchronous continuation of JavaScript dialog requests.

ICefJsDialogHandler uCEFInterfaces

Implement this interface to handle events related to JavaScript dialogs. The functions of this interface will be called on the UI thread.

ICefKeyboardHandler uCEFInterfaces

Implement this interface to handle events related to keyboard input. The functions of this interface will be called on the UI thread.

ICefLabelButton uCEFInterfaces

LabelButton is a button with optional text and/or icon. Methods must be called on the browser process UI thread unless otherwise indicated.

ICefLayout uCEFInterfaces

A Layout handles the sizing of the children of a Panel according to implementation-specific heuristics. Methods must be called on the browser process UI thread unless otherwise indicated.

ICefLifeSpanHandler uCEFInterfaces

Implement this interface to handle events related to browser life span. The functions of this interface will be called on the UI thread unless otherwise indicated.

ICefListValue uCEFInterfaces

Interface representing a list value. Can be used on any process and thread.

ICefLoadHandler uCEFInterfaces

Implement this interface to handle events related to browser load status. The functions of this interface will be called on the browser process UI thread or render process main thread (TID_RENDERER).

ICefMediaAccessCallback uCEFInterfaces

Callback interface used for asynchronous continuation of media access permission requests.

ICefMediaObserver uCEFInterfaces

Implemented by the client to observe MediaRouter events and registered via ICefMediaRouter.AddObserver. The functions of this interface will be called on the browser process UI thread.

ICefMediaRoute uCEFInterfaces

Represents the route between a media source and sink. Instances of this object are created via ICefMediaRouter.CreateRoute and retrieved via ICefMediaObserver.OnRoutes. Contains the status and metadata of a routing operation. The functions of this interface may be called on any browser process thread unless otherwise indicated.

ICefMediaRouteCreateCallback uCEFInterfaces

Callback interface for ICefMediaRouter.CreateRoute. The functions of this interface will be called on the browser process UI thread.

ICefMediaRouter uCEFInterfaces

Supports discovery of and communication with media devices on the local network via the Cast and DIAL protocols. The functions of this interface may be called on any browser process thread unless otherwise indicated.

ICefMediaSink uCEFInterfaces

Represents a sink to which media can be routed. Instances of this object are retrieved via ICefMediaObserver.OnSinks. The functions of this interface may be called on any browser process thread unless otherwise indicated.

ICefMediaSinkDeviceInfoCallback uCEFInterfaces

Callback interface for ICefMediaSink.GetDeviceInfo. The functions of this interface will be called on the browser process UI thread.

ICefMediaSource uCEFInterfaces

Represents a source from which media can be routed. Instances of this object are retrieved via ICefMediaRouter.GetSource. The functions of this interface may be called on any browser process thread unless otherwise indicated.

ICefMenuButton uCEFInterfaces

MenuButton is a button with optional text, icon and/or menu marker that shows a menu when clicked with the left mouse button. All size and position values are in density independent pixels (DIP) unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

ICefMenuButtonDelegate uCEFInterfaces

Implement this interface to handle MenuButton events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

ICefMenuButtonDelegateEvents uCEFInterfaces

Custom interface used to handle all the ICefMenuButtonDelegate events.

ICefMenuButtonPressedLock uCEFInterfaces

MenuButton pressed lock is released when this object is destroyed.

ICefMenuModel uCEFInterfaces

Supports creation and modification of menus. See TCefMenuId for the command ids that have default implementations. All user-defined command ids should be between MENU_ID_USER_FIRST and MENU_ID_USER_LAST. The functions of this interface can only be accessed on the browser process the UI thread.

ICefMenuModelDelegate uCEFInterfaces

Implement this interface to handle menu model events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

ICefNavigationEntry uCEFInterfaces

Interface used to represent an entry in navigation history.

ICefNavigationEntryVisitor uCEFInterfaces

Callback interface for ICefBrowserHost.GetNavigationEntries. The functions of this interface will be called on the browser process UI thread.

ICefOverlayController uCEFInterfaces

Controller for an overlay that contains a contents View added via ICefWindow.AddOverlayView. Methods exposed by this controller should be called in preference to functions of the same name exposed by the contents View unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

ICefPanel uCEFInterfaces

A Panel is a container in the views hierarchy that can contain other Views as children. Methods must be called on the browser process UI thread unless otherwise indicated.

ICefPanelDelegate uCEFInterfaces

Implement this interface to handle Panel events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

ICefPanelDelegateEvents uCEFInterfaces

Custom interface used to handle all the ICefPanelDelegate events.

ICefPdfPrintCallback uCEFInterfaces

Callback interface for ICefBrowserHost.PrintToPDF. The functions of this interface will be called on the browser process UI thread.

ICefPermissionHandler uCEFInterfaces

Implement this interface to handle events related to permission requests. The functions of this interface will be called on the browser process UI thread.

ICefPermissionPromptCallback uCEFInterfaces

Callback interface used for asynchronous continuation of permission prompts.

ICefPostData uCEFInterfaces

Interface used to represent post data for a web request. The functions of this interface may be called on any thread.

ICefPostDataElement uCEFInterfaces

Interface used to represent a single element in the request post data. The functions of this interface may be called on any thread.

ICefPreferenceManager uCEFInterfaces

Manage access to preferences. Many built-in preferences are registered by Chromium. Custom preferences can be registered in ICefBrowserProcessHandler.OnRegisterCustomPreferences.

ICefPreferenceObserver uCEFInterfaces

Implemented by the client to observe preference changes and registered via ICefPreferenceManager.AddPreferenceObserver. The functions of this structure will be called on the browser process UI thread.

ICefPrintDialogCallback uCEFInterfaces

Callback interface for asynchronous continuation of print dialog requests.

ICefPrintHandler uCEFInterfaces

Implement this interface to handle printing on Linux. Each browser will have only one print job in progress at a time. The functions of this interface will be called on the browser process UI thread.

ICefPrintJobCallback uCEFInterfaces

Callback interface for asynchronous continuation of print job requests.

ICefPrintSettings uCEFInterfaces

Interface representing print settings.

ICefProcessMessage uCEFInterfaces

Interface representing a message. Can be used on any process and thread.

ICefReadHandler uCEFInterfaces

Structure the client can implement to provide a custom stream reader. The functions of this structure may be called on any thread.

ICefRegistration uCEFInterfaces

Generic callback interface used for managing the lifespan of a registration.

ICefRenderHandler uCEFInterfaces

Implement this interface to handle events when window rendering is disabled. The functions of this interface will be called on the UI thread.

ICefRenderProcessHandler uCEFInterfaces

Interface used to implement render process callbacks. The functions of this interface will be called on the render process main thread (TID_RENDERER) unless otherwise indicated.

ICefRequest uCEFInterfaces

Interface used to represent a web request. The functions of this interface may be called on any thread.

ICefRequestContext uCEFInterfaces

A request context provides request handling for a set of related browser or URL request objects. A request context can be specified when creating a new browser via the ICefBrowserHost static factory functions or when creating a new URL request via the ICefUrlRequest static factory functions. Browser objects with different request contexts will never be hosted in the same render process. Browser objects with the same request context may or may not be hosted in the same render process depending on the process model. Browser objects created indirectly via the JavaScript window.open function or targeted links will share the same render process and the same request context as the source browser. When running in single-process mode there is only a single render process (the main process) and so all browsers created in single-process mode will share the same request context. This will be the first request context passed into a ICefBrowserHost static factory function and all other request context objects will be ignored.

ICefRequestContextHandler uCEFInterfaces

Implement this interface to provide handler implementations. The handler instance will not be released until all objects related to the context have been destroyed.

ICefRequestHandler uCEFInterfaces

Implement this interface to handle events related to browser requests. The functions of this interface will be called on the thread indicated.

ICefResolveCallback uCEFInterfaces

Callback interface for ICefRequestContext.ResolveHost.

ICefResourceBundle uCEFInterfaces

Interface used for retrieving resources from the resource bundle (*.pak) files loaded by CEF during startup or via the ICefResourceBundleHandler returned from ICefApp.GetResourceBundleHandler. See TCefSettings for additional options related to resource bundle loading. The functions of this interface may be called on any thread unless otherwise indicated.

ICefResourceBundleHandler uCEFInterfaces

Interface used to implement a custom resource bundle interface. See TCefSettings for additional options related to resource bundle loading. The functions of this interface may be called on multiple threads.

ICefResourceHandler uCEFInterfaces

Interface used to implement a custom request handler interface. The functions of this interface will be called on the IO thread unless otherwise indicated.

ICefResourceReadCallback uCEFInterfaces

Callback for asynchronous continuation of ICefResourceHandler.read.

ICefResourceRequestHandler uCEFInterfaces

Implement this interface to handle events related to browser requests. The functions of this interface will be called on the IO thread unless otherwise indicated.

ICefResourceSkipCallback uCEFInterfaces

Callback for asynchronous continuation of ICefResourceHandler.skip.

ICefResponse uCEFInterfaces

Interface used to represent a web response. The functions of this interface may be called on any thread.

ICefResponseFilter uCEFInterfaces

Implement this interface to filter resource response content. The functions of this interface will be called on the browser process IO thread.

ICefRunContextMenuCallback uCEFInterfaces

Callback interface used for continuation of custom context menu display.

ICefRunFileDialogCallback uCEFInterfaces

Callback interface for ICefBrowserHost.RunFileDialog. The functions of this interface will be called on the browser process UI thread.

ICefRunQuickMenuCallback uCEFInterfaces

Callback interface used for continuation of custom quick menu display.

ICefSchemeHandlerFactory uCEFInterfaces

Interface that creates ICefResourceHandler instances for handling scheme requests. The functions of this interface will always be called on the IO thread.

ICefScrollView uCEFInterfaces

A ScrollView will show horizontal and/or vertical scrollbars when necessary based on the size of the attached content view. Methods must be called on the browser process UI thread unless otherwise indicated.

ICefSelectClientCertificateCallback uCEFInterfaces

Callback interface used to select a client certificate for authentication.

ICefServer uCEFInterfaces

Interface representing a server that supports HTTP and WebSocket requests. Server capacity is limited and is intended to handle only a small number of simultaneous connections (e.g. for communicating between applications on localhost). The functions of this interface are safe to call from any thread in the brower process unless otherwise indicated.

ICefServerHandler uCEFInterfaces

Implement this interface to handle HTTP server requests. A new thread will be created for each ICefServer.CreateServer call (the "dedicated server thread"), and the functions of this interface will be called on that thread. It is therefore recommended to use a different ICefServerHandler instance for each ICefServer.CreateServer call to avoid thread safety issues in the ICefServerHandler implementation.

ICefSetCookieCallback uCEFInterfaces

Interface to implement to be notified of asynchronous completion via ICefCookieManager.SetCookie.

ICefSettingObserver uCEFInterfaces

Implemented by the client to observe content and website setting changes and registered via ICefRequestContext.AddSettingObserver. The functions of this structure will be called on the browser process UI thread.

ICefSharedMemoryRegion uCEFInterfaces

Interface that wraps platform-dependent share memory region mapping.

ICefSharedProcessMessageBuilder uCEFInterfaces

Interface that builds a ICefProcessMessage containing a shared memory region. This interface is not thread-safe but may be used exclusively on a different thread from the one which constructed it.

ICefSslInfo uCEFInterfaces

Interface representing SSL information.

ICefSSLStatus uCEFInterfaces

Interface representing the SSL information for a navigation entry.

ICefStreamReader uCEFInterfaces

Interface used to read data from a stream. The functions of this interface may be called on any thread.

ICefStreamWriter uCEFInterfaces

Interface used to write data to a stream. The functions of this interface may be called on any thread.

ICefStringList uCEFInterfaces

Custom interface used to handle all the CEF functions related to CefStringList.

ICefStringMap uCEFInterfaces

Custom interface used to handle all the CEF functions related to CefStringMap.

ICefStringMultimap uCEFInterfaces

Custom interface used to handle all the CEF functions related to CefStringMultimap.

ICefStringVisitor uCEFInterfaces

Implement this interface to receive string values asynchronously.

ICefTask uCEFInterfaces

Implement this interface for asynchronous task execution. If the task is posted successfully and if the associated message loop is still running then the execute() function will be called on the target thread. If the task fails to post then the task object may be destroyed on the source thread instead of the target thread. For this reason be cautious when performing work in the task object destructor.

ICefTaskManager uCEFInterfaces

Interface that facilitates managing the browser-related tasks. The functions of this structure may only be called on the UI thread.

ICefTaskRunner uCEFInterfaces

Interface that asynchronously executes tasks on the associated thread. It is safe to call the functions of this interface on any thread.

CEF maintains multiple internal threads that are used for handling different types of tasks in different processes. The TCefThreadId definitions in cef_types.h list the common CEF threads. Task runners are also available for other CEF threads as appropriate (for example, V8 WebWorker threads).

ICefTextfield uCEFInterfaces

A Textfield supports editing of text. This control is custom rendered with no platform-specific code. Methods must be called on the browser process UI thread unless otherwise indicated.

ICefTextfieldDelegate uCEFInterfaces

Implement this interface to handle Textfield events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

ICefTextfieldDelegateEvents uCEFInterfaces

Custom interface used to handle all the ICefTextfieldDelegate events.

ICefThread uCEFInterfaces

A simple thread abstraction that establishes a message loop on a new thread. The consumer uses ICefTaskRunner to execute code on the thread's message loop. The thread is terminated when the ICefThread object is destroyed or stop() is called. All pending tasks queued on the thread's message loop will run to completion before the thread is terminated. cef_thread_create() can be called on any valid CEF thread in either the browser or render process. This interface should only be used for tasks that require a dedicated thread. In most cases you can post tasks to an existing CEF thread instead of creating a new one; see cef_task.h for details.

ICefUnresponsiveProcessCallback uCEFInterfaces

Callback structure for asynchronous handling of an unresponsive process.

ICefUrlRequest uCEFInterfaces

Interface used to make a URL request. URL requests are not associated with a browser instance so no ICefClient callbacks will be executed. URL requests can be created on any valid CEF thread in either the browser or render process. Once created the functions of the URL request object must be accessed on the same thread that created it.

ICefUrlrequestClient uCEFInterfaces

Interface that should be implemented by the ICefUrlRequest client. The functions of this interface will be called on the same thread that created the request unless otherwise documented.

ICEFUrlRequestClientEvents uCEFInterfaces

Custom interface used to handle all the TCEFUrlRequestClientComponent events.

ICefV8Accessor uCEFInterfaces

Interface that should be implemented to handle V8 accessor calls. Accessor identifiers are registered by calling ICefV8value.SetValue(). The functions of this interface will be called on the thread associated with the V8 accessor.

ICefv8ArrayBufferReleaseCallback uCEFInterfaces

Callback interface that is passed to ICefV8value.CreateArrayBuffer.

ICefv8Context uCEFInterfaces

Interface representing a V8 context handle. V8 handles can only be accessed from the thread on which they are created. Valid threads for creating a V8 handle include the render process main thread (TID_RENDERER) and WebWorker threads. A task runner for posting tasks on the associated thread can be retrieved via the ICefV8context.GetTaskRunner() function.

ICefV8Exception uCEFInterfaces

Interface representing a V8 exception. The functions of this interface may be called on any render process thread.

ICefv8Handler uCEFInterfaces

Interface that should be implemented to handle V8 function calls. The functions of this interface will be called on the thread associated with the V8 function.

ICefV8Interceptor uCEFInterfaces

Interface that should be implemented to handle V8 interceptor calls. The functions of this interface will be called on the thread associated with the V8 interceptor. Interceptor's named property handlers (with first argument of type CefString) are called when object is indexed by string. Indexed property handlers (with first argument of type int) are called when object is indexed by integer.

ICefV8StackFrame uCEFInterfaces

Interface representing a V8 stack frame handle. V8 handles can only be accessed from the thread on which they are created. Valid threads for creating a V8 handle include the render process main thread (TID_RENDERER) and WebWorker threads. A task runner for posting tasks on the associated thread can be retrieved via the ICefv8context.GetTaskRunner() function.

ICefV8StackTrace uCEFInterfaces

Interface representing a V8 stack trace handle. V8 handles can only be accessed from the thread on which they are created. Valid threads for creating a V8 handle include the render process main thread (TID_RENDERER) and WebWorker threads. A task runner for posting tasks on the associated thread can be retrieved via the ICefv8context.GetTaskRunner() function.

ICefv8Value uCEFInterfaces

Interface representing a V8 value handle. V8 handles can only be accessed from the thread on which they are created. Valid threads for creating a V8 handle include the render process main thread (TID_RENDERER) and WebWorker threads. A task runner for posting tasks on the associated thread can be retrieved via the ICefv8context.GetTaskRunner() function.

ICefValue uCEFInterfaces

Interface that wraps other data value types. Complex types (binary, dictionary and list) will be referenced but not owned by this object. Can be used on any process and thread.

ICefView uCEFInterfaces

A View is a rectangle within the views View hierarchy. It is the base interface for all Views. All size and position values are in density independent pixels (DIP) unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

ICefViewDelegate uCEFInterfaces

Implement this interface to handle view events. All size and position values are in density independent pixels (DIP) unless otherwise indicated. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

ICefViewDelegateEvents uCEFInterfaces

Custom interface used to handle the ICefViewDelegate events.

ICefWaitableEvent uCEFInterfaces

WaitableEvent is a thread synchronization tool that allows one thread to wait for another thread to finish some work. This is equivalent to using a Lock+ConditionVariable to protect a simple boolean value. However, using WaitableEvent in conjunction with a Lock to wait for a more complex state change (e.g., for an item to be added to a queue) is not recommended. In that case consider using a ConditionVariable instead of a WaitableEvent. It is safe to create and/or signal a WaitableEvent from any thread. Blocking on a WaitableEvent by calling the *wait() functions is not allowed on the browser process UI or IO threads.

ICefWindow uCEFInterfaces

A Window is a top-level Window/widget in the Views hierarchy. By default it will have a non-client area with title bar, icon and buttons that supports moving and resizing. All size and position values are in density independent pixels (DIP) unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

ICefWindowDelegate uCEFInterfaces

Implement this interface to handle window events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

ICefWindowDelegateEvents uCEFInterfaces

Custom interface used to handle all the ICefWindowDelegate events.

ICefWriteHandler uCEFInterfaces

Interface the client can implement to provide a custom stream writer. The functions of this interface may be called on any thread.

ICefX509Certificate uCEFInterfaces

Interface representing a X.509 certificate.

ICefX509CertPrincipal uCEFInterfaces

Interface representing the issuer or subject field of an X.509 certificate.

ICefXmlReader uCEFInterfaces

Interface that supports the reading of XML data via the libxml streaming API. The functions of this interface should only be called on the thread that creates the object.

ICefZipReader uCEFInterfaces

Interface that supports the reading of zip archives via the zlib unzip API. The functions of this interface should only be called on the thread that creates the object.

IChromiumEvents uCEFInterfaces

Custom interface used to handle all the TChromiumCore events.

IServerEvents uCEFInterfaces

Custom interface used to handle all the TCEFServerComponent events.

TBrowserInfo uCEFChromiumCore

TBrowserInfoList uCEFChromiumCore

TBrowserWindow uCEFBrowserWindow

TBrowserWindow

A simple "drop on the Form" component for an full embedded browser.

The component handles most events required by CEF. The only additions needed to be made by the User in their code are:

* Implement TForm.OnCloseQuery CEF must be able to destroy the browser, before the main form is closed. (That is while the Form still has a Handle, and the event loop is still running) It is adviced to do the same for any other form (other than the main form).

TForm.OnCloseQuery should call (for each TBrowserWindow) TBrowserWindow.CloseBrowser(True); The Form can be allowed to close by setting (checking for all BrowserWindows) CanClose := BrowserWindow.IsClosed;

On Windows and Linux it is also possible to Destroy the TBrowserWindow. This will wait for the browser to close, and after that the form can be closed. - However, this must be done in OnCloseQuery (or before). - Once TForm.Destroy is called, it is to late. By that time the event loop no longer runs.

*** IMPORTANT: (MacOS) *** On MacOs CloseBrowser() must be called, and the *event* must be awaited. Neither destroying the component, nor waiting with App.ProcessMessages will work. On MacOS, CEF will not finish until the OnCloseQuery event returned to the main event loop. (Hence ProcessMessage does not work). The same is true for any action taken in OnClick or other event. CEF always waits for any event to return to the main event loop. See also the BrowserWindowEX example how that affect modal forms.

* Implement TBrowserWindow.OnBrowserClosed If TForm.OnCloseQuery called CloseBrowser, this callback can be used to call Form.Close again (the callback should check if the browser was closed by OnCloseQuery.

* On Windows: handle the WM_ENTERMENULOOP and WM_EXITMENULOOP, as shown in examples

* Optional prevent pop-up windows by implementing Chromium.BeforePopup Chromium.OpenUrlFromTab
TBufferPanel uCEFBufferPanel

TBufferPanel is used by VCL and LCL applications with browsers in OSR mode to draw the browser contents. See the SimpleOSRBrowser demo for more details.

TCefAcceleratedPaintInfo uCEFTypes

Structure containing shared texture information for the OnAcceleratedPaint callback. Resources will be released to the underlying pool for reuse when the callback returns from client code.

TCefAcceleratedPaintInfoCommon uCEFTypes

Structure containing shared texture common metadata. For documentation on each field, please refer to src/media/base/video_frame_metadata.h for actual details.

TCefAccessibilityHandler uCEFTypes

Implement this structure to receive accessibility notification when accessibility events have been registered. The functions of this structure will be called on the UI thread.

NOTE: This struct is allocated client-side.

TCEFAccessibilityHandlerOwn uCEFAccessibilityHandler

TCefAddPreferenceObserverTask uCEFTask

TCefApp uCEFTypes

Implement this structure to provide handler implementations. Methods will be called by the process and/or thread indicated.

NOTE: This struct is allocated client-side.

TCefApplication uCEFApplication

Main class used to simplify the CEF initialization and destruction.

TCefApplicationCore uCEFApplicationCore

Parent class of TCefApplication used to simplify the CEF initialization and destruction.

TCefAppOwn uCEFApp

Implement this interface to provide handler implementations. Methods will be called by the process and/or thread indicated.

TCEFArgCopy uCEFArgCopy

TCefAudioHandler uCEFTypes

Implement this structure to handle audio events.

NOTE: This struct is allocated client-side.

TCefAudioHandlerOwn uCEFAudioHandler

TCefAudioParameters uCEFTypes

Structure representing the audio parameters for setting up the audio handler.

TCefAuthCallback uCEFTypes

Callback structure used for asynchronous continuation of authentication requests.

NOTE: This struct is allocated DLL-side.

TCefAuthCallbackRef uCEFAuthCallback

TCefBaseRefCounted uCEFTypes

All ref-counted framework structures must include this structure first.

TCefBaseRefCountedOwn uCEFBaseRefCounted

TCefBaseRefCountedRef uCEFBaseRefCounted

TCefBaseScoped uCEFTypes

All scoped framework structures must include this structure first.

TCEFBaseScopedWrapperRef uCEFBaseScopedWrapper

The complete list of compiler versions is here : https://docwiki.embarcadero.com/RADStudio/Athens/en/Compiler_Versions Delphi 5 Delphi 6 Delphi 7 Delphi 8 Delphi 2005 Delphi 2009 Delphi 2010 Delphi XE Delphi XE2 (First FireMonkey and 64bit compiler) Delphi XE3 Delphi XE4 Delphi XE5 Delphi XE6 Delphi XE7 Delphi XE8 Rad Studio 10 - Delphi Seattle Rad Studio 10.1 - Delphi Berlin Rad Studio 10.2 - Delphi Tokyo Rad Studio 10.3 - Delphi Rio Rad Studio 10.4 - Delphi Sydney Rad Studio 11.0 - Delphi Alexandria Rad Studio 12.0 - Delphi Athens Rad Studio 13.0 - Delphi Florence Delphi uses MACOS for the new MacOSX and DARWIN is not defined FPC uses DARWIN for the new MacOSX and MACOS is defined for the classic Macintosh OS (System 7) We define MACOSX to avoid conflicts in both situations OS_POSIX is defined for AIX, ANDROID, ASMJS, CHROMEOS, FREEBSD, IOS, LINUX, MAC, NACL, NETBSD, OPENBSD, QNX and SOLARIS in /include/base/cef_build.h
TCefBeforeDownloadCallback uCEFTypes

Callback structure used to asynchronously continue a download.

NOTE: This struct is allocated DLL-side.

TCefBeforeDownloadCallbackRef uCEFBeforeDownloadCallback

TCefBinaryValue uCEFTypes

Structure representing a binary value. Can be used on any process and thread.

NOTE: This struct is allocated DLL-side.

TCefBinaryValueOwn uCEFBinaryValue

TCefBinaryValueRef uCEFBinaryValue

TCEFBitmapBitBuffer uCEFBitmapBitBuffer

Class that stores a copy of the raw bitmap buffer sent by CEF in the TChromiumCore.OnPaint event.

TCefBoxLayout uCEFTypes

A Layout manager that arranges child views vertically or horizontally in a side-by-side fashion with spacing around and between the child views. The child views are always sized according to their preferred size. If the host's bounds provide insufficient space, child views will be clamped. Excess space will not be distributed. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

TCefBoxLayoutRef uCEFBoxLayout

A Layout manager that arranges child views vertically or horizontally in a side-by-side fashion with spacing around and between the child views. The child views are always sized according to their preferred size. If the host's bounds provide insufficient space, child views will be clamped. Excess space will not be distributed. Methods must be called on the browser process UI thread unless otherwise indicated.

TCefBoxLayoutSettings uCEFTypes

Initialization settings. Specify NULL or 0 to get the recommended default values. Many of these and other settings can also configured using command- line switches.

TCefBrowser uCEFTypes

Structure used to represent a browser. When used in the browser process the functions of this structure may be called on any thread unless otherwise indicated in the comments. When used in the render process the functions of this structure may only be called on the main thread.

NOTE: This struct is allocated DLL-side.

TCEFBrowserBitmap uCEFBrowserBitmap

TCefBrowserHost uCEFTypes

Structure used to represent the browser process aspects of a browser. The functions of this structure can only be called in the browser process. They may be called on any thread in that process unless otherwise indicated in the comments.

NOTE: This struct is allocated DLL-side.

TCefBrowserHostRef uCEFBrowser

TCefBrowserNavigationTask uCEFTask

TCefBrowserProcessHandler uCEFTypes

Structure used to implement browser process callbacks. The functions of this structure will be called on the browser process main thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

TCefBrowserProcessHandlerOwn uCEFBrowserProcessHandler

TCefBrowserRef uCEFBrowser

TCefBrowserSettings uCEFTypes

Browser initialization settings. Specify NULL or 0 to get the recommended default values. The consequences of using custom values may not be well tested. Many of these and other settings can also configured using command- line switches.

TCefBrowserView uCEFTypes

A View hosting a ICefBrowser instance. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

TCEFBrowserViewComponent uCEFBrowserViewComponent

Component hosting a ICefBrowserView instance.

TCefBrowserViewDelegate uCEFTypes

Implement this structure to handle BrowserView events. The functions of this structure will be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

TCefBrowserViewDelegateOwn uCEFBrowserViewDelegate

Implement this interface to handle BrowserView events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

TCefBrowserViewDelegateRef uCEFBrowserViewDelegate

TCefBrowserViewRef uCEFBrowserView

A View hosting a ICefBrowser instance. Methods must be called on the browser process UI thread unless otherwise indicated.

TCefButton uCEFTypes

A View representing a button. Depending on the specific type, the button could be implemented by a native control or custom rendered. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

TCEFButtonComponent uCEFButtonComponent

TCefButtonDelegate uCEFTypes

Implement this structure to handle Button events. The functions of this structure will be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

TCefButtonDelegateOwn uCEFButtonDelegate

Implement this interface to handle Button events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

TCefButtonDelegateRef uCEFButtonDelegate

TCefButtonRef uCEFButton

A View representing a button. Depending on the specific type, the button could be implemented by a native control or custom rendered. Methods must be called on the browser process UI thread unless otherwise indicated.

TCefBytesWriteHandler uCEFWriteHandler

TCefCallback uCEFTypes

Generic callback structure used for asynchronous continuation.

NOTE: This struct is allocated DLL-side.

TCefCallbackRef uCEFCallback

TCefChromiumTask uCEFTask

Custom class used to execute CEF tasks with a TChromiumCore component.

TCefClearCertificateExceptionsCompletionCallback uCEFRequestContext

TCefClearHttpAuthCredentialsCompletionCallback uCEFRequestContext

TCefClient uCEFTypes

Implement this structure to provide handler implementations.

NOTE: This struct is allocated client-side.

TCefClientOwn uCEFClient

TCefClientRef uCEFClient

TCefCloseAllConnectionsCompletionCallback uCEFRequestContext

TCefCommandHandler uCEFTypes

Implement this structure to handle events related to commands. The functions of this structure will be called on the UI thread.

NOTE: This struct is allocated client-side.

TCefCommandHandlerOwn uCEFCommandHandler

TCefCommandLine uCEFTypes

Structure used to create and/or parse command line arguments. Arguments with "–", "-" and, on Windows, "/" prefixes are considered switches. Switches will always precede any arguments without switch prefixes. Switches can optionally have a value specified using the "=" delimiter (e.g. "-switch=value"). An argument of "–" will terminate switch parsing with all subsequent tokens, regardless of prefix, being interpreted as non-switch arguments. Switch names should be lowercase ASCII and will be converted to such if necessary. Switch values will retain the original case and UTF8 encoding. This structure can be used before cef_initialize() is called.

NOTE: This struct is allocated DLL-side.

TCefCommandLineRef uCEFCommandLine

TCefCompletionCallback uCEFTypes

Generic callback structure used for asynchronous completion.

NOTE: This struct is allocated client-side.

TCefCompletionCallbackOwn uCEFCompletionCallback

TCEFComponentIdList uCEFComponentIdList

Class used to keep a list of valid custom component IDs for any component that handles a CEF Task event.

TCefCompositionUnderline uCEFTypes

Structure representing IME composition underline information. This is a thin wrapper around Blink's WebCompositionUnderline class and should be kept in sync with that.

TCefContextMenuHandler uCEFTypes

Implement this structure to handle context menu events. The functions of this structure will be called on the UI thread.

NOTE: This struct is allocated client-side.

TCefContextMenuHandlerOwn uCEFContextMenuHandler

TCefContextMenuParams uCEFTypes

Provides information about the context menu state. The functions of this structure can only be accessed on browser process the UI thread.

NOTE: This struct is allocated DLL-side.

TCefContextMenuParamsRef uCEFContextMenuParams

TCefCookie uCEFTypes

Cookie information.

TCefCookieAccessFilter uCEFTypes

Implement this structure to filter cookies that may be sent or received from resource requests. The functions of this structure will be called on the IO thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

TCefCookieAccessFilterOwn uCEFCookieAccessFilter

TCefCookieAccessFilterRef uCEFCookieAccessFilter

TCefCookieManager uCEFTypes

Structure used for managing cookies. The functions of this structure may be called on any thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

TCefCookieManagerRef uCEFCookieManager

TCefCookieVisitor uCEFTypes

Structure to implement for visiting cookie values. The functions of this structure will always be called on the UI thread.

NOTE: This struct is allocated client-side.

TCefCookieVisitorOwn uCEFCookieVisitor

TCefCreateCustomViewTask uCEFTask

TCefCursorInfo uCEFTypes

Structure representing cursor information. |buffer| will be |size.width|*|size.height|*4 bytes in size and represents a BGRA image with an upper-left origin.

TCefCustomBrowserProcessHandler uCEFBrowserProcessHandler

TCefCustomCompletionCallback uCEFCompletionCallback

TCefCustomCookieVisitor uCEFCookieVisitor

TCefCustomDeleteCookiesCallback uCEFDeleteCookiesCallback

TCefCustomDownloadImageCallback uCEFDownloadImageCallBack

TCefCustomMediaRouteCreateCallback uCEFMediaRouteCreateCallback

TCefCustomMediaSinkDeviceInfoCallback uCEFMediaSinkDeviceInfoCallback

TCefCustomPDFPrintCallBack uCEFPDFPrintCallback

TCefCustomRenderProcessHandler uCEFRenderProcessHandler

TCefCustomResolveCallback uCEFResolveCallback

TCefCustomResourceBundleHandler uCEFResourceBundleHandler

TCefCustomSetCookieCallback uCEFSetCookieCallback

TCefCustomStreamReader uCEFCustomStreamReader

TCefCustomStringList uCEFStringList

CEF string maps are a set of key/value string pairs.

TCefCustomStringMap uCEFStringMap

CEF string maps are a set of key/value string pairs.

TCefCustomStringMultimap uCEFStringMultimap

CEF string multimaps are a set of key/value string pairs. More than one value can be assigned to a single key.

TCefCustomUserData uCEFv8Handler

TCefDeleteCookiesCallback uCEFTypes

Structure to implement to be notified of asynchronous completion via ICefCookieManager.DeleteCookies().

NOTE: This struct is allocated client-side.

TCefDeleteCookiesCallbackOwn uCEFDeleteCookiesCallback

TCefDevToolsMessageObserver uCEFTypes

Callback structure for ICefBrowserHost.AddDevToolsMessageObserver. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

TCEFDevToolsMessageObserverOwn uCEFDevToolsMessageObserver

TCefDialogHandler uCEFTypes

Implement this structure to handle dialog events. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

TCefDialogHandlerOwn uCEFDialogHandler

TCefDictionaryValue uCEFTypes

Structure representing a dictionary value. Can be used on any process and thread.

NOTE: This struct is allocated DLL-side.

TCefDictionaryValueRef uCEFDictionaryValue

TCEFDirectoryDeleterThread uCEFApplicationCore

TCefDisplay uCEFTypes

This structure typically, but not always, corresponds to a physical display connected to the system. A fake Display may exist on a headless system, or a Display may correspond to a remote, virtual display. All size and position values are in density independent pixel (DIP) coordinates unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

TCefDisplayHandler uCEFTypes

Implement this structure to handle events related to browser display state. The functions of this structure will be called on the UI thread.

NOTE: This struct is allocated client-side.

TCefDisplayHandlerOwn uCEFDisplayHandler

Event handler related to browser display state. The functions of this interface will be called on the UI thread.

TCefDisplayRef uCEFDisplay

This interface typically, but not always, corresponds to a physical display connected to the system. A fake Display may exist on a headless system, or a Display may correspond to a remote, virtual display. All size and position values are in density independent pixel (DIP) coordinates unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

For details on coordinate systems and usage see https://bitbucket.org/chromiumembedded/cef/wiki/GeneralUsage#markdown- header-coordinate-systems

TCefDomDocument uCEFTypes

Structure used to represent a DOM document. The functions of this structure should only be called on the render process main thread thread.

NOTE: This struct is allocated DLL-side.

TCefDomDocumentRef uCEFDomDocument

TCefDomNode uCEFTypes

Structure used to represent a DOM node. The functions of this structure should only be called on the render process main thread.

NOTE: This struct is allocated DLL-side.

TCefDomNodeRef uCEFDomNode

TCefDomVisitor uCEFTypes

Structure to implement for visiting the DOM. The functions of this structure will be called on the render process main thread.

NOTE: This struct is allocated client-side.

TCefDomVisitorOwn uCEFDomVisitor

TCefDownloadHandler uCEFTypes

Structure used to handle file downloads. The functions of this structure will called on the browser process UI thread.

NOTE: This struct is allocated client-side.

TCefDownloadHandlerOwn uCEFDownloadHandler

TCefDownloadImageCallback uCEFTypes

Callback structure for ICefBrowserHost.DownloadImage. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

TCefDownloadImageCallbackOwn uCEFDownloadImageCallBack

TCefDownloadItem uCEFTypes

Structure used to represent a download item.

NOTE: This struct is allocated DLL-side.

TCefDownloadItemCallback uCEFTypes

Callback structure used to asynchronously cancel a download.

NOTE: This struct is allocated DLL-side.

TCefDownloadItemCallbackRef uCEFDownloadItemCallback

TCefDownloadItemRef uCEFDownloadItem

TCEFDragAndDropMgr uCEFDragAndDropMgr

TCefDragData uCEFTypes

Structure used to represent drag data. The functions of this structure may be called on any thread.

NOTE: This struct is allocated DLL-side.

TCefDragDataRef uCEFDragData

TCefDraggableRegion uCEFTypes

Structure representing a draggable region.

TCefDragHandler uCEFTypes

Implement this structure to handle events related to dragging. The functions of this structure will be called on the UI thread.

NOTE: This struct is allocated client-side.

TCefDragHandlerOwn uCEFDragHandler

TCefEnableFocusTask uCEFTask

TCefEndTracingCallback uCEFTypes

Implement this structure to receive notification when tracing has completed. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

TCefEndTracingCallbackOwn uCEFEndTracingCallback

TCefEventCompletionCallback uCEFCompletionCallback

TCefFastCompletionCallback uCEFCompletionCallback

TCefFastCookieVisitor uCEFCookieVisitor

TCefFastDeleteCookiesCallback uCEFDeleteCookiesCallback

TCefFastDomVisitor uCEFDomVisitor

TCefFastDomVisitor2 uCEFDomVisitor

TCefFastDomVisitor3 uCEFDomVisitor

TCefFastDownloadImageCallback uCEFDownloadImageCallBack

TCefFastEndTracingCallback uCEFEndTracingCallback

TCefFastMediaRouteCreateCallback uCEFMediaRouteCreateCallback

TCefFastMediaSinkDeviceInfoCallback uCEFMediaSinkDeviceInfoCallback

TCefFastNavigationEntryVisitor uCEFNavigationEntryVisitor

TCefFastPdfPrintCallback uCEFPDFPrintCallback

TCefFastRunFileDialogCallback uCEFRunFileDialogCallback

TCefFastSetCookieCallback uCEFSetCookieCallback

TCefFastStringVisitor uCEFStringVisitor

TCefFastTask uCEFTask

TCefFastV8Accessor uCEFv8Accessor

TCefFastv8ArrayBufferReleaseCallback uCEFv8ArrayBufferReleaseCallback

TCefFastV8Interceptor uCEFv8Interceptor

TCefFileDialogCallback uCEFTypes

Callback structure for asynchronous continuation of file dialog requests.

NOTE: This struct is allocated DLL-side.

TCefFileDialogCallbackRef uCEFFileDialogCallback

TCEFFileDialogInfo uCEFFileDialogInfo

TCefFillLayout uCEFTypes

A simple Layout that causes the associated Panel's one child to be sized to match the bounds of its parent. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

TCefFillLayoutRef uCEFFillLayout

A simple Layout that causes the associated Panel's one child to be sized to match the bounds of its parent. Methods must be called on the browser process UI thread unless otherwise indicated.

TCefFindHandler uCEFTypes

Implement this structure to handle events related to find results. The functions of this structure will be called on the UI thread.

NOTE: This struct is allocated client-side.

TCefFindHandlerOwn uCEFFindHandler

TCefFlushStoreCompletionCallback uCEFCookieManager

TCefFocusHandler uCEFTypes

Implement this structure to handle events related to focus. The functions of this structure will be called on the UI thread.

NOTE: This struct is allocated client-side.

TCefFocusHandlerOwn uCEFFocusHandler

TCefFrame uCEFTypes

Structure used to represent a frame in the browser window. When used in the browser process the functions of this structure may be called on any thread unless otherwise indicated in the comments. When used in the render process the functions of this structure may only be called on the main thread.

NOTE: This struct is allocated DLL-side.

TCefFrameHandler uCEFTypes

Implement this STRUCTURE to handle events related to ICefFrame life span. The order of callbacks is:

(1) During initial ICefBrowserHost creation and navigation of the main frame: - ICefFrameHandler.OnFrameCreated => The initial main frame object has been created. Any commands will be queued until the frame is attached. - ICefFrameHandler.OnMainFrameChanged => The initial main frame object has been assigned to the browser. - ICefLifeSpanHandler.OnAfterCreated => The browser is now valid and can be used. - ICefFrameHandler.OnFrameAttached => The initial main frame object is now connected to its peer in the renderer process. Commands can be routed.

(2) During further ICefBrowserHost navigation/loading of the main frame and/or sub-frames: - ICefFrameHandler.OnFrameCreated => A new main frame or sub-frame object has been created. Any commands will be queued until the frame is attached. - ICefFrameHandler.OnFrameAttached => A new main frame or sub-frame object is now connected to its peer in the renderer process. Commands can be routed. - ICefFrameHandler.OnFrameDetached => An existing main frame or sub- frame object has lost its connection to the renderer process. If multiple objects are detached at the same time then notifications will be sent for any sub-frame objects before the main frame object. Commands can no longer be routed and will be discarded. - ICefFrameHandler.OnMainFrameChanged => A new main frame object has been assigned to the browser. This will only occur with cross-origin navigation or re-navigation after renderer process termination (due to crashes, etc).

(3) During final ICefBrowserHost destruction of the main frame: - ICefFrameHandler.OnFrameDetached => Any sub-frame objects have lost their connection to the renderer process. Commands can no longer be routed and will be discarded. - ICefLifeSpanHandler.OnBeforeClose => The browser has been destroyed. - ICefFrameHandler.OnFrameDetached => The main frame object have lost its connection to the renderer process. Notifications will be sent for any sub-frame objects before the main frame object. Commands can no longer be routed and will be discarded. - ICefFrameHandler.OnMainFrameChanged => The final main frame object has been removed from the browser.

Cross-origin navigation and/or loading receives special handling.

When the main frame navigates to a different origin the OnMainFrameChanged callback (2) will be executed with the old and new main frame objects.

When a new sub-frame is loaded in, or an existing sub-frame is navigated to, a different origin from the parent frame, a temporary sub-frame object will first be created in the parent's renderer process. That temporary sub-frame will then be discarded after the real cross-origin sub-frame is created in the new/target renderer process. The client will receive cross-origin navigation callbacks (2) for the transition from the temporary sub-frame to the real sub-frame. The temporary sub-frame will not recieve or execute commands during this transitional period (any sent commands will be discarded).

When a new popup browser is created in a different origin from the parent browser, a temporary main frame object for the popup will first be created in the parent's renderer process. That temporary main frame will then be discarded after the real cross-origin main frame is created in the new/target renderer process. The client will recieve creation and initial navigation callbacks (1) for the temporary main frame, followed by cross- origin navigation callbacks (2) for the transition from the temporary main frame to the real main frame. The temporary main frame may receive and execute commands during this transitional period (any sent commands may be executed, but the behavior is potentially undesirable since they execute in the parent browser's renderer process and not the new/target renderer process).

Callbacks will not be executed for placeholders that may be created during pre-commit navigation for sub-frames that do not yet exist in the renderer process. Placeholders will have ICefFrame.GetIdentifier() == -4.

The functions of this interface will be called on the UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

TCefFrameHandlerOwn uCEFFrameHandler

TCefFrameRef uCEFFrame

TCefGenericTask uCEFTask

TCefImage uCEFTypes

Container for a single image represented at different scale factors. All image representations should be the same size in density independent pixel (DIP) units. For example, if the image at scale factor 1.0 is 100x100 pixels then the image at scale factor 2.0 should be 200x200 pixels – both images will display with a DIP size of 100x100 units. The functions of this structure can be called on any browser process thread.

NOTE: This struct is allocated DLL-side.

TCefImageRef uCEFImage

TCefInsets uCEFTypes

Structure representing insets.

TCefJsDialogCallback uCEFTypes

Callback structure used for asynchronous continuation of JavaScript dialog requests.

NOTE: This struct is allocated DLL-side.

TCefJsDialogCallbackRef uCEFJsDialogCallback

TCefJsDialogHandler uCEFTypes

Implement this structure to handle events related to JavaScript dialogs. The functions of this structure will be called on the UI thread.

NOTE: This struct is allocated client-side.

TCefJsDialogHandlerOwn uCEFJsDialogHandler

TCEFJson uCEFJson

TCefKeyboardHandler uCEFTypes

Implement this structure to handle events related to keyboard input. The functions of this structure will be called on the UI thread.

NOTE: This struct is allocated client-side.

TCefKeyboardHandlerOwn uCEFKeyboardHandler

TCefKeyEvent uCEFTypes

Structure representing keyboard event information.

TCefLabelButton uCEFTypes

LabelButton is a button with optional text and/or icon. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

TCEFLabelButtonComponent uCEFLabelButtonComponent

TCefLabelButtonRef uCEFLabelButton

LabelButton is a button with optional text and/or icon. Methods must be called on the browser process UI thread unless otherwise indicated.

TCefLayout uCEFTypes

A Layout handles the sizing of the children of a Panel according to implementation-specific heuristics. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

TCefLayoutRef uCEFLayout

A Layout handles the sizing of the children of a Panel according to implementation-specific heuristics. Methods must be called on the browser process UI thread unless otherwise indicated.

TCefLifeSpanHandler uCEFTypes

Implement this structure to handle events related to browser life span. The functions of this structure will be called on the UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

TCefLifeSpanHandlerOwn uCEFLifeSpanHandler

TCEFLinkedWinControlBase uCEFLinkedWinControlBase

TCEFLinkedWinControlBase is a custom TWinControl to host the child controls created by the web browser to show the web contents and it's linked to the TChromium instance that handles that web browser. TCEFLinkedWinControlBase is the parent class of TChromiumWindow, TBrowserWindow and TCEFLinkedWindowParent.

TCEFLinkedWindowParent uCEFLinkedWindowParent

This component can be used by VCL and LCL applications. It has the same purpose as TCEFWindowParent but it has a Chromium property to link it directly to a TChromium component. TCEFLinkedWindowParent resizes the child controls created by CEF for browsers in normal mode and sets the browser focus using the linked TChromium component. TCEFWindowParent and TCEFLinkedWindowParent work fine in Windows and you can used any of them but you can't use TCEFWindowParent in Linux or MacOS.

TCefLinuxWindowProperties uCEFTypes

Linux window properties, such as X11's WM_CLASS or Wayland's app_id. Those are passed to CefWindowDelegate, so the client can set them for the CefWindow's top-level. Thus, allowing window managers to correctly display the application's information (e.g., icons).

TCefListValue uCEFTypes

Structure representing a list value. Can be used on any process and thread.

NOTE: This struct is allocated DLL-side.

TCefListValueRef uCEFListValue

TCefLoadHandler uCEFTypes

Implement this structure to handle events related to browser load status. The functions of this structure will be called on the browser process UI thread or render process main thread (TID_RENDERER).

NOTE: This struct is allocated client-side.

TCefLoadHandlerOwn uCEFLoadHandler

TCefMainArgs uCEFTypes

Structure representing CefExecuteProcess arguments.

TCefManagedTask uCEFTask

Custom class used to execute CEF tasks with CEF4Delphi components.

TCefMediaAccessCallback uCEFTypes

Callback structure used for asynchronous continuation of media access permission requests.

NOTE: This struct is allocated DLL-side.

TCefMediaAccessCallbackRef uCEFMediaAccessCallback

TCefMediaObserver uCEFTypes

Implemented by the client to observe MediaRouter events and registered via ICefMediaRouter.AddObserver. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

TCefMediaObserverOwn uCEFMediaObserver

TCefMediaRoute uCEFTypes

Represents the route between a media source and sink. Instances of this object are created via ICefMediaRouter.CreateRoute and retrieved via ICefMediaObserver.OnRoutes. Contains the status and metadata of a routing operation. The functions of this structure may be called on any browser process thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

TCefMediaRouteCreateCallback uCEFTypes

Callback structure for ICefMediaRouter.CreateRoute. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

TCefMediaRouteCreateCallbackOwn uCEFMediaRouteCreateCallback

TCefMediaRouteInfo uCEFInterfaces

Custom record with media route information.

TCefMediaRouter uCEFTypes

Supports discovery of and communication with media devices on the local network via the Cast and DIAL protocols. The functions of this structure may be called on any browser process thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

TCefMediaRouteRef uCEFMediaRoute

TCefMediaRouterRef uCEFMediaRouter

TCefMediaSink uCEFTypes

Represents a sink to which media can be routed. Instances of this object are retrieved via ICefMediaObserver.OnSinks. The functions of this structure may be called on any browser process thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

TCefMediaSinkDeviceInfo uCEFTypes

Device information for a MediaSink object. handler.

TCefMediaSinkDeviceInfoCallback uCEFTypes

Callback structure for ICefMediaSink.GetDeviceInfo. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

TCefMediaSinkDeviceInfoCallbackOwn uCEFMediaSinkDeviceInfoCallback

TCefMediaSinkInfo uCEFInterfaces

Custom record with media sink information.

TCefMediaSinkRef uCEFMediaSink

TCefMediaSource uCEFTypes

Represents a source from which media can be routed. Instances of this object are retrieved via ICefMediaRouter.GetSource. The functions of this structure may be called on any browser process thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

TCefMediaSourceInfo uCEFInterfaces

Custom record with media source information.

TCefMediaSourceRef uCEFMediaSource

TCefMenuButton uCEFTypes

MenuButton is a button with optional text, icon and/or menu marker that shows a menu when clicked with the left mouse button. All size and position values are in density independent pixels (DIP) unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

TCEFMenuButtonComponent uCEFMenuButtonComponent

TCefMenuButtonDelegate uCEFTypes

Implement this structure to handle MenuButton events. The functions of this structure will be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

TCefMenuButtonDelegateOwn uCEFMenuButtonDelegate

Implement this interface to handle MenuButton events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

TCefMenuButtonDelegateRef uCEFMenuButtonDelegate

TCefMenuButtonPressedLock uCEFTypes

MenuButton pressed lock is released when this object is destroyed.

NOTE: This struct is allocated DLL-side.

TCefMenuButtonPressedLockRef uCEFMenuButtonPressedLock

MenuButton pressed lock is released when this object is destroyed.

TCefMenuButtonRef uCEFMenuButton

MenuButton is a button with optional text, icon and/or menu marker that shows a menu when clicked with the left mouse button. All size and position values are in density independent pixels (DIP) unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

TCefMenuModel uCEFTypes

Supports creation and modification of menus. See TCefMenuId (cef_menu_id_t) for the command ids that have default implementations. All user-defined command ids should be between MENU_ID_USER_FIRST and MENU_ID_USER_LAST. The functions of this structure can only be accessed on the browser process the UI thread.

NOTE: This struct is allocated DLL-side.

TCefMenuModelDelegate uCEFTypes

Implement this structure to handle menu model events. The functions of this structure will be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

TCefMenuModelDelegateOwn uCEFMenuModelDelegate

TCefMenuModelRef uCEFMenuModel

TCefMouseEvent uCEFTypes

Structure representing mouse event information.

TCefNavigationEntry uCEFTypes

Structure used to represent an entry in navigation history.

NOTE: This struct is allocated DLL-side.

TCefNavigationEntryRef uCEFNavigationEntry

TCefNavigationEntryVisitor uCEFTypes

Callback structure for ICefBrowserHost.GetNavigationEntries. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

TCefNavigationEntryVisitorOwn uCEFNavigationEntryVisitor

TCEFOAuth2Helper uCEFOAuth2Helper

TCEFOSRIMEHandler uCEFOSRIMEHandler

Class used to handle the IME window.

TCefOverlayController uCEFTypes

Controller for an overlay that contains a contents View added via ICefWindow.AddOverlayView. Methods exposed by this controller should be called in preference to functions of the same name exposed by the contents View unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

TCefOverlayControllerRef uCEFOverlayController

Controller for an overlay that contains a contents View added via ICefWindow.AddOverlayView. Methods exposed by this controller should be called in preference to functions of the same name exposed by the contents View unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

TCefPanel uCEFTypes

A Panel is a container in the views hierarchy that can contain other Views as children. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

TCEFPanelComponent uCEFPanelComponent

TCefPanelDelegate uCEFTypes

Implement this structure to handle Panel events. The functions of this structure will be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

TCefPanelDelegateOwn uCEFPanelDelegate

Implement this interface to handle Panel events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

TCefPanelDelegateRef uCEFPanelDelegate

TCefPanelRef uCEFPanel

A Panel is a container in the views hierarchy that can contain other Views as children. Methods must be called on the browser process UI thread unless otherwise indicated.

TCefPdfPrintCallback uCEFTypes

Callback structure for ICefBrowserHost.PrintToPDF. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

TCefPdfPrintCallbackOwn uCEFPDFPrintCallback

TCefPdfPrintSettings uCEFTypes

Structure representing PDF print settings. These values match the parameters supported by the DevTools Page.printToPDF function. See https://chromedevtools.github.io/devtools-protocol/tot/Page/#method-printToPDF

TCefPermissionHandler uCEFTypes

Implement this structure to handle events related to permission requests. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

TCefPermissionHandlerOwn uCEFPermissionHandler

TCefPermissionPromptCallback uCEFTypes

Callback structure used for asynchronous continuation of permission prompts.

NOTE: This struct is allocated DLL-side.

TCefPermissionPromptCallbackRef uCEFPermissionPromptCallback

TCefPoint uCEFTypes

Structure representing a point.

TCefPopupFeatures uCEFTypes

Popup window features.

TCefPostData uCEFTypes

Structure used to represent post data for a web request. The functions of this structure may be called on any thread.

NOTE: This struct is allocated DLL-side.

TCefPostDataElement uCEFTypes

Structure used to represent a single element in the request post data. The functions of this structure may be called on any thread.

NOTE: This struct is allocated DLL-side.

TCefPostDataElementOwn uCEFPostDataElement

TCefPostDataElementRef uCEFPostDataElement

TCefPostDataRef uCEFPostData

TCefPreferenceManager uCEFTypes

Manage access to preferences. Many built-in preferences are registered by Chromium. Custom preferences can be registered in ICefBrowserProcessHandler.OnRegisterCustomPreferences.

NOTE: This struct is allocated DLL-side.

TCefPreferenceManagerRef uCEFPreferenceManager

Manage access to preferences. Many built-in preferences are registered by Chromium. Custom preferences can be registered in ICefBrowserProcessHandler.OnRegisterCustomPreferences.

TCefPreferenceObserver uCEFTypes

* CEF_API_ADDED(13401) *
TCefPreferenceRegistrar uCEFTypes

Structure that manages custom preference registrations.

NOTE: This struct is allocated DLL-side.

TCefPreferenceRegistrarRef uCEFPreferenceRegistrar

Class that manages custom preference registrations.

TCefPrintDialogCallback uCEFTypes

Callback structure for asynchronous continuation of print dialog requests.

NOTE: This struct is allocated DLL-side.

TCefPrintDialogCallbackRef uCEFPrintDialogCallback

TCefPrintHandler uCEFTypes

Implement this structure to handle printing on Linux. Each browser will have only one print job in progress at a time. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

TCefPrintHandlerOwn uCEFPrintHandler

TCefPrintJobCallback uCEFTypes

Callback structure for asynchronous continuation of print job requests.

NOTE: This struct is allocated DLL-side.

TCefPrintJobCallbackRef uCEFPrintJobCallback

TCefPrintSettings uCEFTypes

Structure representing print settings.

NOTE: This struct is allocated DLL-side.

TCefPrintSettingsRef uCEFPrintSettings

TCefProcessMessage uCEFTypes

Structure representing a message. Can be used on any process and thread.

NOTE: This struct is allocated DLL-side.

TCefProcessMessageRef uCEFProcessMessage

TCEFProxySettings uCEFApplicationCore

Class used by the TWVLoader.ProxySettigns property to configure a custom proxy server using the following command line switches: –no-proxy-server, –proxy-auto-detect, –proxy-bypass-list, –proxy-pac-url and –proxy-server.

TCefRange uCEFTypes

Structure representing a range.

TCefReadHandler uCEFTypes

Structure the client can implement to provide a custom stream reader. The functions of this structure may be called on any thread.

NOTE: This struct is allocated client-side.

TCefReadZoomTask uCEFTask

TCefRect uCEFTypes

Structure representing a rectangle.

TCefRegistration uCEFTypes

Generic callback structure used for managing the lifespan of a registration.

NOTE: This struct is allocated DLL-side.

TCefRegistrationRef uCEFRegistration

TCefRenderHandler uCEFTypes

Implement this structure to handle events when window rendering is disabled. The functions of this structure will be called on the UI thread.

NOTE: This struct is allocated client-side.

TCefRenderHandlerOwn uCEFRenderHandler

TCefRenderProcessHandler uCEFTypes

Structure used to implement render process callbacks. The functions of this structure will be called on the render process main thread (TID_RENDERER) unless otherwise indicated.

NOTE: This struct is allocated client-side.

TCefRenderProcessHandlerOwn uCEFRenderProcessHandler

TCefRequest uCEFTypes

Structure used to represent a web request. The functions of this structure may be called on any thread.

NOTE: This struct is allocated DLL-side.

TCefRequestContext uCEFTypes

A request context provides request handling for a set of related browser or URL request objects. A request context can be specified when creating a new browser via the ICefBrowserHost static factory functions or when creating a new URL request via the ICefUrlRequest static factory functions. Browser objects with different request contexts will never be hosted in the same render process. Browser objects with the same request context may or may not be hosted in the same render process depending on the process model. Browser objects created indirectly via the JavaScript window.open function or targeted links will share the same render process and the same request context as the source browser. When running in single-process mode there is only a single render process (the main process) and so all browsers created in single-process mode will share the same request context. This will be the first request context passed into a ICefBrowserHost static factory function and all other request context objects will be ignored.

NOTE: This struct is allocated DLL-side.

TCefRequestContextHandler uCEFTypes

Implement this structure to provide handler implementations. The handler instance will not be released until all objects related to the context have been destroyed.

NOTE: This struct is allocated client-side.

TCefRequestContextHandlerOwn uCEFRequestContextHandler

TCefRequestContextHandlerRef uCEFRequestContextHandler

TCefRequestContextRef uCEFRequestContext

A request context provides request handling for a set of related browser or URL request objects. A request context can be specified when creating a new browser via the cef_browser_host_t static factory functions or when creating a new URL request via the cef_urlrequest_t static factory functions. Browser objects with different request contexts will never be hosted in the same render process. Browser objects with the same request context may or may not be hosted in the same render process depending on the process model. Browser objects created indirectly via the JavaScript window.open function or targeted links will share the same render process and the same request context as the source browser. When running in single-process mode there is only a single render process (the main process) and so all browsers created in single-process mode will share the same request context. This will be the first request context passed into a cef_browser_host_t static factory function and all other request context objects will be ignored.

TCefRequestContextSettings uCEFTypes

Request context initialization settings. Specify NULL or 0 to get the recommended default values.

TCefRequestHandler uCEFTypes

Implement this structure to handle events related to browser requests. The functions of this structure will be called on the thread indicated.

NOTE: This struct is allocated client-side.

TCefRequestHandlerOwn uCEFRequestHandler

TCefRequestRef uCEFRequest

TCefResolveCallback uCEFTypes

Callback structure for ICefRequestContext.ResolveHost.

NOTE: This struct is allocated client-side.

TCefResolveCallbackOwn uCEFResolveCallback

TCefResourceBundle uCEFTypes

Structure used for retrieving resources from the resource bundle (*.pak) files loaded by CEF during startup or via the ICefResourceBundleHandler returned from ICefApp.GetResourceBundleHandler. See TCefSettings for additional options related to resource bundle loading. The functions of this structure may be called on any thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

TCefResourceBundleHandler uCEFTypes

Structure used to implement a custom resource bundle structure. See TCefSettings for additional options related to resource bundle loading. The functions of this structure may be called on multiple threads.

NOTE: This struct is allocated client-side.

TCefResourceBundleHandlerOwn uCEFResourceBundleHandler

TCefResourceBundleRef uCEFResourceBundle

TCefResourceHandler uCEFTypes

Structure used to implement a custom request handler structure. The functions of this structure will be called on the IO thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

TCefResourceHandlerOwn uCEFResourceHandler

TCefResourceHandlerRef uCEFResourceHandler

TCefResourceReadCallback uCEFTypes

Callback for asynchronous continuation of ICefResourceHandler.read().

NOTE: This struct is allocated DLL-side.

TCefResourceReadCallbackRef uCEFResourceReadCallback

TCefResourceRequestHandler uCEFTypes

Implement this structure to handle events related to browser requests. The functions of this structure will be called on the IO thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

TCefResourceRequestHandlerOwn uCEFResourceRequestHandler

TCefResourceRequestHandlerRef uCEFResourceRequestHandler

TCefResourceSkipCallback uCEFTypes

Callback for asynchronous continuation of ICefResourceHandler.skip().

NOTE: This struct is allocated DLL-side.

TCefResourceSkipCallbackRef uCEFResourceSkipCallback

TCefResponse uCEFTypes

Structure used to represent a web response. The functions of this structure may be called on any thread.

NOTE: This struct is allocated DLL-side.

TCefResponseFilter uCEFTypes

Implement this structure to filter resource response content. The functions of this structure will be called on the browser process IO thread.

NOTE: This struct is allocated client-side.

TCefResponseFilterOwn uCEFResponseFilter

Owned class implementing a resource filter.

TCefResponseFilterRef uCEFResponseFilter

Reference class implementing a resource filter.

TCefResponseRef uCEFResponse

TCefRunContextMenuCallback uCEFTypes

Callback structure used for continuation of custom context menu display.

NOTE: This struct is allocated DLL-side.

TCefRunContextMenuCallbackRef uCEFRunContextMenuCallback

TCefRunFileDialogCallback uCEFTypes

Callback structure for ICefBrowserHost.RunFileDialog. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

TCefRunFileDialogCallbackOwn uCEFRunFileDialogCallback

TCefRunQuickMenuCallback uCEFTypes

Callback structure used for continuation of custom quick menu display.

NOTE: This struct is allocated DLL-side.

TCefRunQuickMenuCallbackRef uCEFRunQuickMenuCallback

TCefSavePrefsTask uCEFTask

TCefSchemeHandlerFactory uCEFTypes

Structure that creates ICefResourceHandler instances for handling scheme requests. The functions of this structure will always be called on the IO thread.

NOTE: This struct is allocated client-side.

TCefSchemeHandlerFactoryOwn uCEFSchemeHandlerFactory

Class that creates ICefResourceHandler instances for handling scheme requests.

TCefSchemeRegistrar uCEFTypes

Structure that manages custom scheme registrations.

NOTE: This struct is allocated DLL-side.

TCefSchemeRegistrarRef uCEFSchemeRegistrar

Class that manages custom scheme registrations.

TCefScreenInfo uCEFTypes

Screen information used when window rendering is disabled. This structure is passed as a parameter to ICefRenderHandler.GetScreenInfo and should be filled in by the client.

TCefScrollView uCEFTypes

A ScrollView will show horizontal and/or vertical scrollbars when necessary based on the size of the attached content view. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

TCEFScrollViewComponent uCEFScrollViewComponent

TCefScrollViewRef uCEFScrollView

A ScrollView will show horizontal and/or vertical scrollbars when necessary based on the size of the attached content view. Methods must be called on the browser process UI thread unless otherwise indicated.

TCefSelectClientCertificateCallback uCEFTypes

Callback structure used to select a client certificate for authentication.

NOTE: This struct is allocated DLL-side.

TCefSelectClientCertificateCallbackRef uCEFSelectClientCertificateCallback

TCEFSentinel uCEFSentinel

TCEFSentinel is used as a timer that checks the number of running CEF processes when you close all browsers before shutdown. This component is only used as a last resort when there's an unresolved shutdown issue in CEF or CEF4Delphi that generates exceptions when the application is closed.

TCefServer uCEFTypes

Structure representing a server that supports HTTP and WebSocket requests. Server capacity is limited and is intended to handle only a small number of simultaneous connections (e.g. for communicating between applications on localhost). The functions of this structure are safe to call from any thread in the brower process unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

TCEFServerComponent uCEFServerComponent

The TCEFServerComponent class puts together all CEF server procedures, functions, properties and events in one place.

TCefServerHandler uCEFTypes

Implement this structure to handle HTTP server requests. A new thread will be created for each ICefServer.CreateServer call (the "dedicated server thread"), and the functions of this structure will be called on that thread. It is therefore recommended to use a different ICefServerHandler instance for each ICefServer.CreateServer call to avoid thread safety issues in the ICefServerHandler implementation.

NOTE: This struct is allocated client-side.

TCEFServerHandlerOwn uCEFServerHandler

TCEFServerRef uCEFServer

TCefSetAudioMutedTask uCEFTask

TCefSetCookieCallback uCEFTypes

Structure to implement to be notified of asynchronous completion via ICefCookieManager.SetCookie().

NOTE: This struct is allocated client-side.

TCefSetCookieCallbackOwn uCEFSetCookieCallback

TCefSettingObserver uCEFTypes

* CEF_API_ADDED(13401) *
TCefSettings uCEFTypes

Initialization settings. Specify NULL or 0 to get the recommended default values. Many of these and other settings can also configured using command- line switches.

TCefSetZoomLevelTask uCEFTask

TCefSetZoomPctTask uCEFTask

TCefSetZoomStepTask uCEFTask

TCefSharedMemoryRegion uCEFTypes

Structure that wraps platform-dependent share memory region mapping.

NOTE: This struct is allocated DLL-side.

TCefSharedMemoryRegionRef uCEFSharedMemoryRegion

TCefSharedProcessMessageBuilder uCEFTypes

Structure that builds a ICefProcessMessage containing a shared memory region. This structure is not thread-safe but may be used exclusively on a different thread from the one which constructed it.

NOTE: This struct is allocated DLL-side.

TCefSharedProcessMessageBuilderRef uCEFSharedProcessMessageBuilder

TCefSimulatedTouchPoint uCEFTypes

Structure representing a simulated touch point.

TCefSize uCEFTypes

Structure representing a size.

TCefSslInfo uCEFTypes

Structure representing SSL information.

NOTE: This struct is allocated DLL-side.

TCefSslInfoRef uCEFSslInfo

TCefSSLStatus uCEFTypes

Structure representing the SSL information for a navigation entry.

NOTE: This struct is allocated DLL-side.

TCefSSLStatusRef uCEFSSLStatus

TCefStreamReader uCEFTypes

Structure used to read data from a stream. The functions of this structure may be called on any thread.

NOTE: This struct is allocated DLL-side.

TCefStreamReaderRef uCEFStreamReader

TCefStreamWriter uCEFTypes

Structure used to write data to a stream. The functions of this structure may be called on any thread.

NOTE: This struct is allocated DLL-side.

TCefStreamWriterRef uCEFStreamWriter

TCefStringListOwn uCEFStringList

TCefStringListRef uCEFStringList

TCefStringMapOwn uCEFStringMap

TCefStringMapRef uCEFStringMap

TCefStringMultimapOwn uCEFStringMultimap

TCefStringMultimapRef uCEFStringMultimap

TCefStringUtf16 uCEFTypes

CEF utf16 string type definition. Whomever allocates |str| is responsible for providing an appropriate |dtor| implementation that will free the string in the same memory space. When reusing an existing string structure make sure to call |dtor| for the old value before assigning new |str| and |dtor| values. Static strings will have a NULL |dtor| value. Using the below functions if you want this managed for you.

TCefStringUtf8 uCEFTypes

CEF utf8 string type definition. Whomever allocates |str| is responsible for providing an appropriate |dtor| implementation that will free the string in the same memory space. When reusing an existing string structure make sure to call |dtor| for the old value before assigning new |str| and |dtor| values. Static strings will have a NULL |dtor| value. Using the below functions if you want this managed for you.

TCefStringVisitor uCEFTypes

Implement this structure to receive string values asynchronously.

NOTE: This struct is allocated client-side.

TCefStringVisitorOwn uCEFStringVisitor

TCefStringWide uCEFTypes

CEF wide string type definition. Whomever allocates |str| is responsible for providing an appropriate |dtor| implementation that will free the string in the same memory space. When reusing an existing string structure make sure to call |dtor| for the old value before assigning new |str| and |dtor| values. Static strings will have a NULL |dtor| value. Using the below functions if you want this managed for you.

TCefTask uCEFTypes

Implement this structure for asynchronous task execution. If the task is posted successfully and if the associated message loop is still running then the execute() function will be called on the target thread. If the task fails to post then the task object may be destroyed on the source thread instead of the target thread. For this reason be cautious when performing work in the task object destructor.

NOTE: This struct is allocated client-side.

TCefTaskInfo uCEFTypes

Structure representing task information provided by ICefTaskManager.

TCefTaskManager uCEFTypes

Structure that facilitates managing the browser-related tasks. The functions of this structure may only be called on the UI thread.

NOTE: This struct is allocated DLL-side.

TCefTaskManagerRef uCEFTaskManager

Class that facilitates managing the browser-related tasks.

TCefTaskOwn uCEFTask

TCefTaskRef uCEFTask

TCefTaskRunner uCEFTypes

Structure that asynchronously executes tasks on the associated thread. It is safe to call the functions of this structure on any thread.

CEF maintains multiple internal threads that are used for handling different types of tasks in different processes. The TCefThreadId definitions in cef_types.h list the common CEF threads. Task runners are also available for other CEF threads as appropriate (for example, V8 WebWorker threads).

NOTE: This struct is allocated DLL-side.

TCefTaskRunnerRef uCEFTaskRunner

TCefTextfield uCEFTypes

A Textfield supports editing of text. This control is custom rendered with no platform-specific code. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

TCEFTextfieldComponent uCEFTextfieldComponent

TCefTextfieldDelegate uCEFTypes

Implement this structure to handle Textfield events. The functions of this structure will be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

TCefTextfieldDelegateOwn uCEFTextfieldDelegate

Implement this interface to handle Textfield events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

TCefTextfieldDelegateRef uCEFTextfieldDelegate

TCefTextfieldRef uCEFTextfield

A Textfield supports editing of text. This control is custom rendered with no platform-specific code. Methods must be called on the browser process UI thread unless otherwise indicated.

TCefThread uCEFTypes

A simple thread abstraction that establishes a message loop on a new thread. The consumer uses ICefTaskRunner to execute code on the thread's message loop. The thread is terminated when the ICefThread object is destroyed or stop() is called. All pending tasks queued on the thread's message loop will run to completion before the thread is terminated. cef_thread_create() can be called on any valid CEF thread in either the browser or render process. This structure should only be used for tasks that require a dedicated thread. In most cases you can post tasks to an existing CEF thread instead of creating a new one; see cef_task.h for details.

NOTE: This struct is allocated DLL-side.

TCefThreadRef uCEFThread

TCefTime uCEFTypes

Time information. Values should always be in UTC.

TCEFTimerWorkScheduler uCEFTimerWorkScheduler

TCefToggleAudioMutedTask uCEFTask

TCefTouchEvent uCEFTypes

Structure representing touch event information.

TCefTouchHandleState uCEFTypes

Touch handle state.

TCefTryCloseBrowserTask uCEFTask

TCefUnresponsiveProcessCallback uCEFTypes

Callback structure for asynchronous handling of an unresponsive process.

NOTE: This struct is allocated DLL-side.

TCefUnresponsiveProcessCallbackRef uCEFUnresponsiveProcessCallback

TCefUpdatePrefsTask uCEFTask

TCefUpdateZoomPctTask uCEFTask

TCefUpdateZoomStepTask uCEFTask

TCefUrlParts uCEFTypes

URL component parts.

TCefUrlRequest uCEFTypes

Structure used to make a URL request. URL requests are not associated with a browser instance so no ICefClient callbacks will be executed. URL requests can be created on any valid CEF thread in either the browser or render process. Once created the functions of the URL request object must be accessed on the same thread that created it.

NOTE: This struct is allocated DLL-side.

TCefUrlrequestClient uCEFTypes

Structure that should be implemented by the ICefUrlRequest client. The functions of this structure will be called on the same thread that created the request unless otherwise documented.

NOTE: This struct is allocated client-side.

TCEFUrlRequestClientComponent uCEFUrlRequestClientComponent

The TCEFUrlRequestClientComponent class puts together all CEF URL request procedures, functions, properties and events in one place.

TCefUrlrequestClientOwn uCEFUrlrequestClient

TCefUrlrequestClientRef uCEFUrlrequestClient

TCefURLRequestClientTask uCEFTask

Custom class used to execute CEF tasks with a TCEFUrlRequestClientComponent component.

TCefUrlRequestRef uCEFUrlRequest

TCefURLRequestTask uCEFTask

TCefV8Accessor uCEFTypes

Structure that should be implemented to handle V8 accessor calls. Accessor identifiers are registered by calling ICefv8value.SetValue(). The functions of this structure will be called on the thread associated with the V8 accessor.

NOTE: This struct is allocated client-side.

TCefV8AccessorOwn uCEFv8Accessor

TCefv8ArrayBufferReleaseCallback uCEFTypes

Callback structure that is passed to ICefv8value.CreateArrayBuffer.

NOTE: This struct is allocated client-side.

TCefv8ArrayBufferReleaseCallbackOwn uCEFv8ArrayBufferReleaseCallback

TCefv8ArrayBufferReleaseCallbackRef uCEFv8ArrayBufferReleaseCallback

TCefV8Context uCEFTypes

Structure representing a V8 context handle. V8 handles can only be accessed from the thread on which they are created. Valid threads for creating a V8 handle include the render process main thread (TID_RENDERER) and WebWorker threads. A task runner for posting tasks on the associated thread can be retrieved via the ICefv8context.GetTaskRunner() function.

NOTE: This struct is allocated DLL-side.

TCefv8ContextRef uCEFv8Context

TCefV8Exception uCEFTypes

Structure representing a V8 exception. The functions of this structure may be called on any render process thread.

NOTE: This struct is allocated DLL-side.

TCefV8ExceptionRef uCEFv8Exception

TCefv8Handler uCEFTypes

Structure that should be implemented to handle V8 function calls. The functions of this structure will be called on the thread associated with the V8 function.

NOTE: This struct is allocated client-side.

TCefv8HandlerOwn uCEFv8Handler

TCefv8HandlerRef uCEFv8Handler

TCefV8Interceptor uCEFTypes

Structure that should be implemented to handle V8 interceptor calls. The functions of this structure will be called on the thread associated with the V8 interceptor. Interceptor's named property handlers (with first argument of type CefString) are called when object is indexed by string. Indexed property handlers (with first argument of type int) are called when object is indexed by integer.

NOTE: This struct is allocated client-side.

TCefV8InterceptorOwn uCEFv8Interceptor

TCefV8StackFrame uCEFTypes

Structure representing a V8 stack frame handle. V8 handles can only be accessed from the thread on which they are created. Valid threads for creating a V8 handle include the render process main thread (TID_RENDERER) and WebWorker threads. A task runner for posting tasks on the associated thread can be retrieved via the ICefv8context.GetTaskRunner() function.

NOTE: This struct is allocated DLL-side.

TCefV8StackFrameRef uCEFv8StackFrame

TCefV8StackTrace uCEFTypes

Structure representing a V8 stack trace handle. V8 handles can only be accessed from the thread on which they are created. Valid threads for creating a V8 handle include the render process main thread (TID_RENDERER) and WebWorker threads. A task runner for posting tasks on the associated thread can be retrieved via the ICefv8context.GetTaskRunner() function.

NOTE: This struct is allocated DLL-side.

TCefV8StackTraceRef uCEFv8StackTrace

TCefv8Value uCEFTypes

Structure representing a V8 value handle. V8 handles can only be accessed from the thread on which they are created. Valid threads for creating a V8 handle include the render process main thread (TID_RENDERER) and WebWorker threads. A task runner for posting tasks on the associated thread can be retrieved via the ICefv8context.GetTaskRunner() function.

NOTE: This struct is allocated DLL-side.

TCefv8ValueRef uCEFv8Value

TCefValue uCEFTypes

Structure that wraps other data value types. Complex types (binary, dictionary and list) will be referenced but not owned by this object. Can be used on any process and thread.

NOTE: This struct is allocated DLL-side.

TCefValueRef uCEFValue

TCefVersionInfo uCEFTypes

Record used by cef_version_info to get the CEF version information

TCefVersionInfoEx uCEFTypes

Structure representing all CEF version information.

TCefView uCEFTypes

A View is a rectangle within the views View hierarchy. It is the base structure for all Views. All size and position values are in density independent pixels (DIP) unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

TCEFViewComponent uCEFViewComponent

TCefViewDelegate uCEFTypes

Implement this structure to handle view events. All size and position values are in density independent pixels (DIP) unless otherwise indicated. The functions of this structure will be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

TCefViewDelegateOwn uCEFViewDelegate

Implement this interface to handle view events. All size and position values are in density independent pixels (DIP) unless otherwise indicated. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

TCefViewDelegateRef uCEFViewDelegate

TCefViewDelegateTask uCEFTask

Custom class used to execute CEF tasks with a TCEFViewComponent component.

TCefViewRef uCEFView

A View is a rectangle within the views View hierarchy. It is the base interface for all Views. All size and position values are in density independent pixels (DIP) unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

TCefWaitableEvent uCEFTypes

WaitableEvent is a thread synchronization tool that allows one thread to wait for another thread to finish some work. This is equivalent to using a Lock+ConditionVariable to protect a simple boolean value. However, using WaitableEvent in conjunction with a Lock to wait for a more complex state change (e.g., for an item to be added to a queue) is not recommended. In that case consider using a ConditionVariable instead of a WaitableEvent. It is safe to create and/or signal a WaitableEvent from any thread. Blocking on a WaitableEvent by calling the *wait() functions is not allowed on the browser process UI or IO threads.

NOTE: This struct is allocated DLL-side.

TCefWaitableEventRef uCEFWaitableEvent

TCEFWinControl uCEFWinControl

Custom TWinControl used by CEF browsers.

TCefWindow uCEFTypes

A Window is a top-level Window/widget in the Views hierarchy. By default it will have a non-client area with title bar, icon and buttons that supports moving and resizing. All size and position values are in density independent pixels (DIP) unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

TCEFWindowComponent uCEFWindowComponent

TCefWindowDelegate uCEFTypes

Implement this structure to handle window events. The functions of this structure will be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

TCefWindowDelegateOwn uCEFWindowDelegate

Implement this interface to handle window events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

TCefWindowDelegateRef uCEFWindowDelegate

TCefWindowInfo uCEFTypes

Structure representing window information.

TCEFWindowInfoWrapper uCEFWindowInfoWrapper

Wrapper class used to initialize a TCEFWindowInfo record.

TCEFWindowParent uCEFWindowParent

TCefWindowRef uCEFWindow

A Window is a top-level Window/widget in the Views hierarchy. By default it will have a non-client area with title bar, icon and buttons that supports moving and resizing. All size and position values are in density independent pixels (DIP) unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

TCEFWorkScheduler uCEFWorkScheduler

Implementation of an external message pump for VCL and LCL.

Read the GlobalCEFApp.OnScheduleMessagePumpWork documentation for all the details.

TCEFWorkSchedulerQueueThread uCEFWorkSchedulerQueueThread

TCEFWorkSchedulerThread uCEFWorkSchedulerThread

TCefWriteHandler uCEFTypes

Structure the client can implement to provide a custom stream writer. The functions of this structure may be called on any thread.

NOTE: This struct is allocated client-side.

TCefWriteHandlerOwn uCEFWriteHandler

TCefX509Certificate uCEFTypes

Structure representing a X.509 certificate.

NOTE: This struct is allocated DLL-side.

TCEFX509CertificateRef uCEFX509Certificate

TCefX509CertPrincipal uCEFTypes

Structure representing the issuer or subject field of an X.509 certificate.

NOTE: This struct is allocated DLL-side.

TCefX509CertPrincipalRef uCEFX509CertPrincipal

TCefXmlReader uCEFTypes

Structure that supports the reading of XML data via the libxml streaming API. The functions of this structure should only be called on the thread that creates the object.

NOTE: This struct is allocated DLL-side.

TCefXmlReaderRef uCEFXmlReader

TCefZipReader uCEFTypes

Structure that supports the reading of zip archives via the zlib unzip API. The functions of this structure should only be called on the thread that creates the object.

NOTE: This struct is allocated DLL-side.

TCefZipReaderRef uCEFZipReader

Class that supports the reading of zip archives via the zlib unzip API. The functions of this interface should only be called on the thread that creates the object.

TChromium uCEFChromium

VCL and LCL version of TChromiumCore that puts together all browser procedures, functions, properties and events in one place. It has all you need to create, modify and destroy a web browser.

TChromiumCore uCEFChromiumCore

Parent class of TChromium and TFMXChromium that puts together all browser procedures, functions, properties and events in one place. It has all you need to create, modify and destroy a web browser.

TChromiumFontOptions uCEFChromiumFontOptions

The TChromiumFontOptions properties are used to fill the TCefBrowserSettings record which is used during the browser creation.

TChromiumOptions uCEFChromiumOptions

The TChromiumOptions properties used to fill the TCefBrowserSettings record which is used during the browser creation.

TChromiumVersionInfo uCEFTypes

Record used by cef_version_info to get the Chromium version information

TChromiumWindow uCEFChromiumWindow

This component puts together a TChromium and a TCEFWindowParent to embbed a web browser with only one component.

This component should only be used in extremely simple applications with simple browsers. In other cases it's recomended using a TChromium with a TCEFWindowParent as shown in the SimpleBrowser2 demo.

TChromiumWrapper uCEFBrowserWindow

TChromiumWrapper
TCookie uCEFTypes

Cookie information.

TCustomAccessibilityHandler uCEFAccessibilityHandler

TCustomAudioHandler uCEFAudioHandler

TCustomBrowserViewDelegate uCEFBrowserViewDelegate

This class handles all the ICefBrowserViewDelegate methods which call the ICefBrowserViewDelegateEvents methods. ICefBrowserViewDelegateEvents will be implemented by the control receiving the ICefBrowserViewDelegate events.

TCustomButtonDelegate uCEFButtonDelegate

This class handles all the ICefButtonDelegate methods which call the ICefButtonDelegateEvents methods. ICefButtonDelegateEvents will be implemented by the control receiving the ICefButtonDelegate events.

TCustomCefApp uCEFApp

TCustomCefNavigationEntryVisitor uCEFNavigationEntryVisitor

TCustomCefStringVisitor uCEFStringVisitor

TCustomCefUrlrequestClient uCEFUrlrequestClient

TCustomClientHandler uCEFClient

TCustomCommandHandler uCEFCommandHandler

TCustomContextMenuHandler uCEFContextMenuHandler

TCustomCookieAccessFilter uCEFCookieAccessFilter

TCustomDevToolsMessageObserver uCEFDevToolsMessageObserver

TCustomDialogHandler uCEFDialogHandler

TCustomDisplayHandler uCEFDisplayHandler

TCustomDownloadHandler uCEFDownloadHandler

TCustomDragHandler uCEFDragHandler

TCustomFindHandler uCEFFindHandler

TCustomFocusHandler uCEFFocusHandler

TCustomFrameHandler uCEFFrameHandler

TCustomJsDialogHandler uCEFJsDialogHandler

TCustomKeyboardHandler uCEFKeyboardHandler

TCustomLifeSpanHandler uCEFLifeSpanHandler

TCustomLoadHandler uCEFLoadHandler

TCustomMediaObserver uCEFMediaObserver

TCustomMenuButtonDelegate uCEFMenuButtonDelegate

This class handles all the ICefMenuButtonDelegate methods which call the ICefMenuButtonDelegateEvents methods. ICefMenuButtonDelegateEvents will be implemented by the control receiving the ICefMenuButtonDelegate events.

TCustomPanelDelegate uCEFPanelDelegate

This class handles all the ICefPanelDelegate methods which call the ICefPanelDelegateEvents methods. ICefPanelDelegateEvents will be implemented by the control receiving the ICefPanelDelegate events.

TCustomPermissionHandler uCEFPermissionHandler

TCustomPrintHandler uCEFPrintHandler

TCustomRenderHandler uCEFRenderHandler

TCustomRenderLoadHandler uCEFLoadHandler

TCustomRequestContextHandler uCEFRequestContextHandler

TCustomRequestHandler uCEFRequestHandler

TCustomResourceRequestHandler uCEFResourceRequestHandler

TCustomResponseFilter uCEFResponseFilter

Custom class implementing a resource filter with events.

TCustomServerHandler uCEFServerHandler

TCustomTaskInfo uCEFTypes

Pascal version of TCefTaskInfo.

TCustomTextfieldDelegate uCEFTextfieldDelegate

This class handles all the ICefTextfieldDelegate and ICefViewDelegate methods which call the ICefTextfieldDelegateEvents methods. ICefTextfieldDelegateEvents will be implemented by the control receiving the ICefTextfieldDelegate events.

TCustomViewDelegate uCEFViewDelegate

This class handles all the ICefViewDelegate methods which call the ICefViewDelegateEvents methods. ICefViewDelegateEvents will be implemented by the control receiving the ICefViewDelegate events.

TCustomWindowDelegate uCEFWindowDelegate

This class handles all the TCustomWindowDelegate methods which call the ICefWindowDelegateEvents methods. ICefWindowDelegateEvents will be implemented by the control receiving the TCustomWindowDelegate events.

TEmbeddedChromium uCEFBrowserWindow

TEmbeddedChromium

1) TEmbeddedChromium keeps track of the browser while it is created. This allows for CloseBrowser to function, even if the Browser object is not yet known. Also calls to "LoadUrl" are cached until the browser object is created.

2) TEmbeddedChromium adds InternalEvents that can be hooked by the component that owns the TEmbeddedChromium. This means the default published events are available to the end user. Published events that should not be available are hidden via THiddenPropertyEditor * Hidden event properties must not be assigned by any end user code. *
TEmbeddedOsrChromium uCEFOsrBrowserWindow

TEmbeddedOsrChromium

Hides (THiddenPropertyEditor) any published event that is used by TOsrBrowserWindow * Hidden events must also not be used by user code *
TFileVersionInfo uCEFTypes

Record used by GetDLLVersion to get the DLL version information

TFMXBufferPanel uCEFFMXBufferPanel

TBufferPanel is used by FMX applications with browsers in OSR mode to draw the browser contents. See the FMXExternalPumpBrowser demo for more details.

TFMXChromium uCEFFMXChromium

FMX version of TChromiumCore that puts together all browser procedures, functions, properties and events in one place. It has all you need to create, modify and destroy a web browser.

TFMXWindowParent uCEFFMXWindowParent

TFMXWorkScheduler uCEFFMXWorkScheduler

Implementation of an external message pump for FMX.

Read the GlobalCEFApp.OnScheduleMessagePumpWork documentation for all the details.

TLinuxWindowProperties uCEFTypes

String version of TCefLinuxWindowProperties

TLoggingInterfacedObject uCEFBaseRefCounted

TMyMemoryStatusEx uCEFTypes

Record used with GetGlobalMemoryStatusEx to get the memory status.

TOLEDataObject uCEFOLEDragAndDrop

TOLEDragAndDropMgr uCEFOLEDragAndDrop

TOLEDropSource uCEFOLEDragAndDrop

TOLEDropTarget uCEFOLEDragAndDrop

TOLEEnumFormatEtc uCEFOLEDragAndDrop

TOsrBrowserWindow uCEFOsrBrowserWindow

TOsrBrowserWindow - Off-Screen-Rendering

A simple "drop on the Form" component for an full embedded browser.

See notes an TBrowserWindow for requirements in user code. Further: - Some keystrokes may not be sent to KeyDown/KeyPress by the LCL. They may be available as WM_SYSKEYDOWN/UP message on the containing Form.

This component is still experimental. - On MacOS Keyboard support is not complete
TOSVersionInfoEx uCEFTypes

Record used with RtlGetVersion to get the Windows version information.

TPDFPrintOptions uCEFPDFPrintOptions

The TPDFPrintOptions properties are used to fill the TCefPdfPrintSettings record which is used in the TChromiumCore.PrintToPDF call.

TUrlParts uCEFTypes

String version of TCefUrlParts


cef4delphi: All Types

All Types

Name Unit Description
Char16 uCEFTypes

LPMEMORYSTATUSEX uCEFTypes

NativeInt uCEFTypes

NativeUInt uCEFTypes

PCefAcceleratedPaintInfo uCEFTypes

PCefAccessibilityHandler uCEFTypes

PCefApp uCEFTypes

PCefAudioHandler uCEFTypes

PCefAudioParameters uCEFTypes

PCefAuthCallback uCEFTypes

PCefBaseRefCounted uCEFTypes

PCefBaseScoped uCEFTypes

PCefBaseTime uCEFTypes

PCefBeforeDownloadCallback uCEFTypes

PCefBinaryValue uCEFTypes

PCefBoxLayout uCEFTypes

PCefBoxLayoutSettings uCEFTypes

PCefBrowser uCEFTypes

PCefBrowserHost uCEFTypes

PCefBrowserProcessHandler uCEFTypes

PCefBrowserSettings uCEFTypes

PCefBrowserView uCEFTypes

PCefBrowserViewDelegate uCEFTypes

PCefButton uCEFTypes

PCefButtonDelegate uCEFTypes

PCefCallback uCEFTypes

PCefChar uCEFTypes

PCefClient uCEFTypes

PCefColor uCEFTypes

PCefCommandHandler uCEFTypes

PCefCommandLine uCEFTypes

PCefCompletionCallback uCEFTypes

PCefCompositionUnderline uCEFTypes

PCefContextMenuHandler uCEFTypes

PCefContextMenuParams uCEFTypes

PCefCookie uCEFTypes

PCefCookieAccessFilter uCEFTypes

PCefCookieManager uCEFTypes

PCefCookieVisitor uCEFTypes

PCefCursorInfo uCEFTypes

PCefDeleteCookiesCallback uCEFTypes

PCefDevToolsMessageObserver uCEFTypes

PCefDialogHandler uCEFTypes

PCefDictionaryValue uCEFTypes

PCefDisplay uCEFTypes

PCefDisplayHandler uCEFTypes

PCefDomDocument uCEFTypes

PCefDomNode uCEFTypes

PCefDomVisitor uCEFTypes

PCefDownloadHandler uCEFTypes

PCefDownloadImageCallback uCEFTypes

PCefDownloadItem uCEFTypes

PCefDownloadItemCallback uCEFTypes

PCefDragData uCEFTypes

PCefDraggableRegion uCEFTypes

PCefDraggableRegionArray uCEFTypes

PCefDragHandler uCEFTypes

PCefEndTracingCallback uCEFTypes

PCefFileDialogCallback uCEFTypes

PCefFillLayout uCEFTypes

PCefFindHandler uCEFTypes

PCefFocusHandler uCEFTypes

PCefFrame uCEFTypes

PCefFrameHandler uCEFTypes

PCefImage uCEFTypes

PCefInsets uCEFTypes

PCefJsDialogCallback uCEFTypes

PCefJsDialogHandler uCEFTypes

PCefKeyboardHandler uCEFTypes

PCefKeyEvent uCEFTypes

PCefLabelButton uCEFTypes

PCefLayout uCEFTypes

PCefLifeSpanHandler uCEFTypes

PCefLinuxWindowProperties uCEFTypes

PCefListValue uCEFTypes

PCefLoadHandler uCEFTypes

PCefMainArgs uCEFTypes

PCefMediaAccessCallback uCEFTypes

PCefMediaObserver uCEFTypes

PCefMediaRoute uCEFTypes

PCefMediaRouteCreateCallback uCEFTypes

PCefMediaRouter uCEFTypes

PCefMediaSink uCEFTypes

PCefMediaSinkDeviceInfo uCEFTypes

PCefMediaSinkDeviceInfoCallback uCEFTypes

PCefMediaSource uCEFTypes

PCefMenuButton uCEFTypes

PCefMenuButtonDelegate uCEFTypes

PCefMenuButtonPressedLock uCEFTypes

PCefMenuModel uCEFTypes

PCefMenuModelDelegate uCEFTypes

PCefMouseEvent uCEFTypes

PCefNavigationEntry uCEFTypes

PCefNavigationEntryVisitor uCEFTypes

PCefOverlayController uCEFTypes

PCefPanel uCEFTypes

PCefPanelDelegate uCEFTypes

PCefPdfPrintCallback uCEFTypes

PCefPdfPrintSettings uCEFTypes

PCefPermissionHandler uCEFTypes

PCefPermissionPromptCallback uCEFTypes

PCefPoint uCEFTypes

PCefPopupFeatures uCEFTypes

PCefPostData uCEFTypes

PCefPostDataElement uCEFTypes

PCefPreferenceManager uCEFTypes

PCefPreferenceObserver uCEFTypes

PCefPreferenceRegistrar uCEFTypes

PCefPrintDialogCallback uCEFTypes

PCefPrintHandler uCEFTypes

PCefPrintJobCallback uCEFTypes

PCefPrintSettings uCEFTypes

PCefProcessMessage uCEFTypes

PCefRange uCEFTypes

PCefReadHandler uCEFTypes

PCefRect uCEFTypes

PCefRectArray uCEFTypes

PCefRegistration uCEFTypes

PCefRenderHandler uCEFTypes

PCefRenderProcessHandler uCEFTypes

PCefRequest uCEFTypes

PCefRequestContext uCEFTypes

PCefRequestContextHandler uCEFTypes

PCefRequestContextSettings uCEFTypes

PCefRequestHandler uCEFTypes

PCefResolveCallback uCEFTypes

PCefResourceBundle uCEFTypes

PCefResourceBundleHandler uCEFTypes

PCefResourceHandler uCEFTypes

PCefResourceReadCallback uCEFTypes

PCefResourceRequestHandler uCEFTypes

PCefResourceSkipCallback uCEFTypes

PCefResponse uCEFTypes

PCefResponseFilter uCEFTypes

PCefRunContextMenuCallback uCEFTypes

PCefRunFileDialogCallback uCEFTypes

PCefRunQuickMenuCallback uCEFTypes

PCefSchemeHandlerFactory uCEFTypes

PCefSchemeRegistrar uCEFTypes

PCefScreenInfo uCEFTypes

PCefScrollView uCEFTypes

PCefSelectClientCertificateCallback uCEFTypes

PCefServer uCEFTypes

PCefServerHandler uCEFTypes

PCefSetCookieCallback uCEFTypes

PCefSettingObserver uCEFTypes

PCefSettings uCEFTypes

PCefSharedMemoryRegion uCEFTypes

PCefSharedProcessMessageBuilder uCEFTypes

PCefSize uCEFTypes

PCefSslInfo uCEFTypes

PCefSSLStatus uCEFTypes

PCefStreamReader uCEFTypes

PCefStreamWriter uCEFTypes

PCefString uCEFTypes

PCefStringUserFree uCEFTypes

PCefStringUserFreeUtf16 uCEFTypes

PCefStringUserFreeUtf8 uCEFTypes

PCefStringUserFreeWide uCEFTypes

PCefStringUtf16 uCEFTypes

PCefStringUtf8 uCEFTypes

PCefStringVisitor uCEFTypes

PCefStringWide uCEFTypes

PCefTask uCEFTypes

PCefTaskInfo uCEFTypes

PCefTaskManager uCEFTypes

PCefTaskRunner uCEFTypes

PCefTextfield uCEFTypes

PCefTextfieldDelegate uCEFTypes

PCefThread uCEFTypes

PCefTime uCEFTypes

PCefTouchEvent uCEFTypes

PCefTouchHandleState uCEFTypes

PCefUnresponsiveProcessCallback uCEFTypes

PCefUrlParts uCEFTypes

PCefUrlRequest uCEFTypes

PCefUrlRequestClient uCEFTypes

PCefV8Accessor uCEFTypes

PCefv8ArrayBufferReleaseCallback uCEFTypes

PCefv8Context uCEFTypes

PCefV8Exception uCEFTypes

PCefv8Handler uCEFTypes

PCefV8Interceptor uCEFTypes

PCefV8StackFrame uCEFTypes

PCefV8StackTrace uCEFTypes

PCefv8Value uCEFTypes

PCefV8ValueArray uCEFTypes

PCefValue uCEFTypes

PCefVersionInfoEx uCEFTypes

PCefView uCEFTypes

PCefViewDelegate uCEFTypes

PCefWaitableEvent uCEFTypes

PCefWindow uCEFTypes

PCefWindowDelegate uCEFTypes

PCefWindowInfo uCEFTypes

PCefWriteHandler uCEFTypes

PCefX509Certificate uCEFTypes

PCefX509CertPrincipal uCEFTypes

PCefXmlReader uCEFTypes

PCefZipReader uCEFTypes

PChar16 uCEFTypes

PNativeInt uCEFTypes

PNativeUInt uCEFTypes

PPCefDisplay uCEFTypes

PPCefMediaRoute uCEFTypes

PPCefMediaSink uCEFTypes

PPCefPostDataElement uCEFTypes

PPCefV8Value uCEFTypes

PPCefX509Certificate uCEFTypes

PPSingle uCEFTypes

rbstring uCEFTypes

TBrowserKeyEvent uCEFOsrBrowserWindow

TBrowserMouseEvent uCEFOsrBrowserWindow

TBrowserMouseMoveEvent uCEFOsrBrowserWindow

TBrowserMouseWheelEvent uCEFOsrBrowserWindow

TBrowserUTF8KeyPressEvent uCEFOsrBrowserWindow

TBrowserKeyPressEvent = procedure(Sender: TObject; var Key: char; var AHandled: Boolean) of Object;
TCefAlphaType uCEFTypes

Describes how to interpret the alpha component of a pixel.

TCefAplicationStatus uCEFTypes

Status of TCefAplicationCore.

TCefAutoplayPolicy uCEFTypes

Autoplay policy types used by TCefApplicationCore.AutoplayPolicy. See the –autoplay-policy switch.

TCefAxisAlignment uCEFTypes

Specifies where along the axis the CefBoxLayout child views should be laid out. Should be kept in sync with Chromium's views::LayoutAlignment type.

TCefBaseTime uCEFTypes

Represents a wall clock time in UTC. Values are not guaranteed to be monotonically non-decreasing and are subject to large amounts of skew. Time is stored internally as microseconds since the Windows epoch (1601).

This is equivalent of Chromium `base::Time` (see base/time/time.h).

TCefBatterySaverModeState uCEFTypes

Values used by the battery saver mode state preference.

TCefBinaryValueArray uCEFInterfaces

TCefBrowserNavigation uCEFTypes

Used by TCefBrowserNavigationTask to navigate in the right CEF thread.

TCefButtonState uCEFTypes

Specifies the button display state.

TCefCertStatus uCEFTypes

Supported certificate status code values. See net\cert\cert_status_flags.h for more information. CERT_STATUS_NONE is new in CEF because we use an enum while cert_status_flags.h uses a typedef and static const variables.

TCefChannelLayout uCEFTypes

Enumerates the various representations of the ordering of audio channels. Must be kept synchronized with media::ChannelLayout from Chromium. See media\base\channel_layout.h

TCefChar uCEFTypes

TCefChromePageActionIconType uCEFTypes

Chrome page action icon types. Should be kept in sync with Chromium's PageActionIconType type.

TCefChromeToolbarButtonType uCEFTypes

Chrome toolbar button types. Should be kept in sync with CEF's internal ToolbarButtonType type.

TCefChromeToolbarType uCEFTypes

Chrome toolbar types.

TCefClearDataStorageTypes uCEFTypes

Storage types used by the Storage.clearDataForOrigin DevTools method in TChromiumCore.ClearDataForOrigin.

TCefCloseBrowserAction uCEFTypes

Action taken after the TChromium.Onclose event.

cbaCancel : stop closing the browser.

cbaClose : continue closing the browser.

cbaDelay : stop closing the browser momentarily. Used when the application needs to execute some custom processes before closing the browser. This is usually needed to destroy a TCEFWindowParent in the main thread before closing the browser.

TCefColor uCEFTypes

32-bit ARGB color value, not premultiplied. The color components are always in a known order. Equivalent to the SkColor type.

TCefColorModel uCEFTypes

Print job color mode values.

TCefColorType uCEFTypes

Describes how to interpret the components of a pixel.

TCefColorVariant uCEFTypes

Specifies the color variants supported by ICefRequestContext.SetChromeThemeColor.

TCefCOMInitMode uCEFTypes

Flags used to customize the behavior of CefURLRequest.

TCefCompletionCallbackProc uCEFInterfaces

TCefCompositionUnderlineDynArray uCEFTypes

TCefCompositionUnderlineStyle uCEFTypes

Composition underline style.

TCefContentSettingTypes uCEFTypes

Supported content setting types. Some types are platform-specific or only supported with Chrome style. Should be kept in sync with Chromium's ContentSettingsType type.

TCefContentSettingValues uCEFTypes

Supported content setting values. Should be kept in sync with Chromium's ContentSetting type.

TCefContextMenuEditStateFlags uCEFTypes

Supported context menu edit state bit flags. These constants match their equivalents in Chromium's ContextMenuDataEditFlags and should not be renumbered.

TCefContextMenuMediaStateFlags uCEFTypes

Supported context menu media state bit flags. These constants match their equivalents in Chromium's ContextMenuData::MediaFlags and should not be renumbered.

TCefContextMenuMediaType uCEFTypes

Supported context menu media types. These constants match their equivalents in Chromium's ContextMenuDataMediaType and should not be renumbered.

TCefContextMenuTypeFlags uCEFTypes

Supported context menu type flags.

TCefCookiePref uCEFTypes

Used in TChromium preferences to allow or block cookies.

TCefCookiePriority uCEFTypes

Cookie priority values.

TCefCookieSameSite uCEFTypes

Cookie same site values.

TCefCookieVisitorProc uCEFInterfaces

TCefCursorHandle uCEFTypes

Native Cursor handle.

TCefCursorType uCEFTypes

Cursor type values.

TCefCustomByteArray uCEFTypes

Array of byte. Needed only for backwards compatibility with old Delphi versions.

TCefCustomInt64Array uCEFTypes

Custom array of int64.

TCefDeleteCookiesCallbackProc uCEFInterfaces

TCEFDialogType uCEFTypes

Used by TCEFFileDialogInfo.

TCEFDirectoryDeleterThread uCEFApplication

TCefDisplayArray uCEFInterfaces

TCefDockingMode uCEFTypes

Docking modes supported by ICefWindow.AddOverlay.

TCefDomDocumentType uCEFTypes

DOM document types.

TCefDomEventCategory uCEFTypes

DOM event category flags.

TCefDomEventPhase uCEFTypes

DOM event processing phases.

TCefDomFormControlType uCEFTypes

DOM form control types. Should be kept in sync with Chromium's blink::mojom::FormControlType type.

TCefDomNodeType uCEFTypes

DOM node types.

TCefDomVisitorProc uCEFInterfaces

TCefDomVisitorProc2 uCEFInterfaces

TCefDomVisitorProc3 uCEFInterfaces

TCefDownloadInterruptReason uCEFTypes

Download interrupt reasons. Should be kept in sync with Chromium's download::DownloadInterruptReason type.

TCefDraggableRegionArray uCEFTypes

TCefDragOperation uCEFTypes

TCefDragOperations uCEFTypes

"Verb" of a drag-and-drop operation as negotiated between the source and destination. These constants match their equivalents in WebCore's DragActions.h and should not be renumbered.

TCefDuplexMode uCEFTypes

Print job duplex mode values.

TCefEditingCommand uCEFTypes

Blink editing commands used by the "Input.dispatchKeyEvent" DevTools method.

TCefEndTracingCallbackProc uCEFInterfaces

* ******************************************* **** Callback procedures and functions **** ******************************************* *
TCefErrorCode uCEFTypes

Supported error code values.

Ranges:
    0- 99 System related errors
  100-199 Connection related errors
  200-299 Certificate errors
  300-399 HTTP errors
  400-499 Cache errors
  500-599 ?
  600-699 <Obsolete: FTP errors>
  700-799 Certificate manager errors
  800-899 DNS resolver errors
  900-999 Blob errors
TCefEventFlags uCEFTypes

Supported event bit flags.

TCefEventHandle uCEFTypes

Native event handle.

TCefFastTaskProc uCEFInterfaces

TCefFileDialogMode uCEFTypes

Supported file dialog modes.

TCefFocusSource uCEFTypes

Focus sources.

TCefGestureCommand uCEFTypes

Specifies the gesture commands.

TCefHighEfficiencyModeState uCEFTypes

Values used by the high efficiency mode state preference.

TCefHorizontalAlignment uCEFTypes

Specifies the horizontal text alignment mode.

TCefJsDialogType uCEFTypes

Supported JavaScript dialog types.

TCefJsonParserOptions uCEFTypes

Options that can be passed to CefParseJSON.

TCefJsonWriterOptions uCEFTypes

Options that can be passed to CefWriteJSON.

TCefKeyEventType uCEFTypes

Notification that a character was typed. Use this for text input. Key down events may generate 0, 1, or more than one character event depending on the key, locale, and operating system.

TCefKeyLocation uCEFTypes

Key location value used in the TChromiumCore.dispatchKeyEvent DevTools method.

TCefLogItems uCEFTypes

Log items prepended to each log line.

TCefLogSeverity uCEFTypes

Log severity levels.

TCefMediaAccessPermissionTypes uCEFTypes

Media access permissions used by OnRequestMediaAccessPermission.

TCefMediaRouteArray uCEFInterfaces

TCefMediaRouteConnectionState uCEFTypes

Connection state for a MediaRoute object. Should be kept in sync with Chromium's blink::mojom::PresentationConnectionState type.

TCefMediaRouteCreateCallbackProc uCEFInterfaces

TCefMediaRouteInfoArray uCEFInterfaces

TCefMediaRouterCreateResult uCEFTypes

Result codes for ICefMediaRouter.CreateRoute. Should be kept in sync with Chromium's media_router::mojom::RouteRequestResultCode type.

TCefMediaSinkArray uCEFInterfaces

TCefMediaSinkDeviceInfoCallbackProc uCEFInterfaces

TCefMediaSinkIconType uCEFTypes

Icon types for a MediaSink object. Should be kept in sync with Chromium's media_router::SinkIconType type.

TCefMediaSinkInfoArray uCEFInterfaces

TCefMediaSourceInfoArray uCEFInterfaces

TCefMediaType uCEFTypes

Used by TCefMediaSinkInfo and TCefMediaSourceInfo.

TCefMenuAnchorPosition uCEFTypes

Specifies how a menu will be anchored for non-RTL languages. The opposite position will be used for RTL languages.

TCefMenuColorType uCEFTypes

Supported color types for menu items.

TCefMenuId uCEFTypes

Supported menu IDs. Non-English translations can be provided for the IDS_MENU_* strings in ICefResourceBundleHandler.GetLocalizedString().

TCefMenuItemType uCEFTypes

Supported menu item types.

TCefMessageLoopType uCEFTypes

Flags used to customize the behavior of CefURLRequest.

TCefMouseButtonType uCEFTypes

Mouse button types.

TCefNavigationEntryVisitorProc uCEFInterfaces

TCefNavigationType uCEFTypes

Navigation types.

TCefNetLogCaptureMode uCEFTypes

Values used by the –net-log-capture-mode command line switch. Sets the granularity of events to capture in the network log.

TCefPaintElementType uCEFTypes

Paint element types.

TCefPathKey uCEFTypes

Process termination status values.

TCefPdfPrintMarginType uCEFTypes

Margin type for PDF printing.

TCefPermissionRequestResult uCEFTypes

Permission request results.

TCefPermissionRequestTypes uCEFTypes

Permission types used with OnShowPermissionPrompt. Some types are platform-specific or only supported with Chrome style. Should be kept in sync with Chromium's permissions::RequestType type.

TCefPlatformThreadHandle uCEFTypes

Platform thread handle.

TCefPlatformThreadId uCEFTypes

Platform thread ID.

TCefPointerType uCEFTypes

The device type that caused the event.

TCefPostDataElementArray uCEFInterfaces

TCefPostDataElementType uCEFTypes

Post data elements may represent either bytes or files.

TCefPreferencesType uCEFTypes

Preferences type passed to ICefBrowserProcessHandler.OnRegisterCustomPreferences.

TCefProcessId uCEFTypes

Existing process IDs.

TCefProcessType uCEFTypes

Sub-process types of Chromium.

TCefProxyScheme uCEFTypes

Supported proxy schemes in Chromium.

TCefQuickMenuEditStateFlags uCEFTypes

Supported quick menu state bit flags.

TCefRangeArray uCEFTypes

TCefRectArray uCEFTypes

TCefRectDynArray uCEFTypes

TCefReferrerPolicy uCEFTypes

Policy for how the Referrer HTTP header value will be sent during navigation. If the `–no-referrers` command-line flag is specified then the policy value will be ignored and the Referrer value will never be sent. Must be kept synchronized with net::URLRequest::ReferrerPolicy from Chromium.

TCefResourceHandlerClass uCEFResourceHandler

TCefResourceType uCEFTypes

Resource type for a request. These constants match their equivalents in Chromium's ResourceType and should not be renumbered.

TCefResponseFilterStatus uCEFTypes

Return values for ICefResponseFilter.Filter().

TCefResultCode uCEFTypes

Process result codes. This is not a comprehensive list, as result codes might also include platform-specific crash values (Posix signal or Windows hardware exception), or internal-only implementation values.

TCefReturnValue uCEFTypes

Return value types.

TCefRunFileDialogCallbackProc uCEFInterfaces

TCefRuntimeStyle uCEFTypes

CEF supports both a Chrome runtime style (based on the Chrome UI layer) and an Alloy runtime style (based on the Chromium content layer). Chrome style provides the full Chrome UI and browser functionality whereas Alloy style provides less default browser functionality but adds additional client callbacks and support for windowless (off-screen) rendering. The style type is individually configured for each window/browser at creation time and different styles can be mixed during runtime. For additional comparative details on runtime styles see https://bitbucket.org/chromiumembedded/cef/wiki/Architecture.md#markdown-header-cef3

Windowless rendering will always use Alloy style. Windowed rendering with a default window or client-provided parent window can configure the style via TCefWindowInfo.runtime_style. Windowed rendering with the Views framework can configure the style via ICefWindowDelegate.GetWindowRuntimeStyle and ICefBrowserViewDelegate.GetBrowserRuntimeStyle. Alloy style Windows with the Views framework can host only Alloy style BrowserViews but Chrome style Windows can host both style BrowserViews. Additionally, a Chrome style Window can host at most one Chrome style BrowserView but potentially multiple Alloy style BrowserViews. See TCefWindowInfo.runtime_style documentation for any additional platform-specific limitations.

TCefScaleFactor uCEFTypes

Supported UI scale factors for the platform. SCALE_FACTOR_NONE is used for density independent resources such as string, html/js files or an image that can be used for any scale factors (such as wallpapers).

TCefSchemeOptions uCEFTypes

Configuration options for registering a custom scheme. These values are used when calling AddCustomScheme.

TCefSetCookieCallbackProc uCEFInterfaces

TCefSharedTextureHandle uCEFTypes

Native texture handle.

TCefShowState uCEFTypes

Show states supported by ICefWindowDelegate.GetInitialShowState.

TCefSimulatedMouseButton uCEFTypes

Mouse button in the TChromiumCore.SimulateMouseEvent function.

TCefSimulatedMouseEventType uCEFTypes

Type of mouse event in the TChromiumCore.SimulateMouseEvent function.

TCefSimulatedPointerType uCEFTypes

Pointer type in the TChromiumCore.SimulateMouseEvent function.

TCefSimulatedTouchEventType uCEFTypes

Type of touch event in the TChromiumCore.SimulateTouchEvent function.

TCefSimulatedTouchPointArray uCEFTypes

TCefSSLContentStatus uCEFTypes

Supported SSL content status flags. See content/public/common/ssl_status.h for more information.

TCefSSLVersion uCEFTypes

Supported SSL version values.

TCefState uCEFTypes

Represents the state of a setting.

TCefStorageType uCEFTypes

Storage types.

TCefString uCEFTypes

String record used by the CEF C API. The CEF interface is built with the UTF16 string type as the default.

TCefStringList uCEFTypes

CEF string maps are a set of key/value string pairs.

TCefStringMap uCEFTypes

CEF string maps are a set of key/value string pairs.

TCefStringMultimap uCEFTypes

CEF string multimaps are a set of key/value string pairs. More than one value can be assigned to a single key.

TCefStringUserFree uCEFTypes

TCefStringUserFreeUtf16 uCEFTypes

TCefStringUserFreeUtf8 uCEFTypes

TCefStringUserFreeWide uCEFTypes

TCefStringVisitorProc uCEFInterfaces

TCefTaskType uCEFTypes

Specifies the task type variants supported by CefTaskManager. Should be kept in sync with Chromium's task_manager::Task::Type type.

TCefTerminationStatus uCEFTypes

Process termination status values.

TCefTestCertType uCEFTypes

Specifies the gesture commands.

TCefTextFieldCommands uCEFTypes

Represents commands available to TextField. Should be kept in sync with Chromium's views::TextField::MenuCommands type.

TCefTextInpuMode uCEFTypes

Input mode of a virtual keyboard. These constants match their equivalents in Chromium's text_input_mode.h and should not be renumbered. See https://html.spec.whatwg.org/#input-modalities:-the-inputmode-attribute

TCefTextStyle uCEFTypes

Text style types. Should be kepy in sync with gfx::TextStyle.

TCefThreadId uCEFTypes

Existing thread IDs.

TCefThreadPriority uCEFTypes

Thread priority values listed in increasing order of importance.

TCefTouchEeventType uCEFTypes

Touch points states types.

TCefTouchHandleStateFlags uCEFTypes

Values indicating what state of the touch handle is set.

TCefTransitionType uCEFTypes

Transition type for a request. Made up of one source value and 0 or more qualifiers.

TCefUIColorMode uCEFTypes

Color mode in UI for platforms that support it.

TCefUriUnescapeRule uCEFTypes

URI unescape rules passed to CefURIDecode().

TCefUrlRequestFlags uCEFTypes

Flags used to customize the behavior of CefURLRequest.

TCefUrlRequestStatus uCEFTypes

Flags that represent CefURLRequest status.

TCefV8AccessorGetterProc uCEFInterfaces

TCefV8AccessorSetterProc uCEFInterfaces

TCefv8ArrayBufferReleaseCallbackProc uCEFInterfaces

TCefV8InterceptorGetterByIndexProc uCEFInterfaces

TCefV8InterceptorGetterByNameProc uCEFInterfaces

TCefV8InterceptorSetterByIndexProc uCEFInterfaces

TCefV8InterceptorSetterByNameProc uCEFInterfaces

TCefV8PropertyAttributes uCEFTypes

V8 property attribute values.

TCefv8ValueArray uCEFInterfaces

TCefValueType uCEFTypes

Supported value types.

TCefWebPluginIsUnstableProc uCEFInterfaces

TCefWebRTCHandlingPolicy uCEFTypes

WebRTC handling policy types used by TChromiumCore.WebRTCIPHandlingPolicy.

TCefWindowHandle uCEFTypes

Native Window handle.

TCefWindowOpenDisposition uCEFTypes

The manner in which a link click should be opened. These constants match their equivalents in Chromium's window_open_disposition.h and should not be renumbered.

TCefX509CertificateArray uCEFInterfaces

TCefXmlEncodingType uCEFTypes

Supported XML encoding types. The parser supports ASCII, ISO-8859-1, and UTF16 (LE and BE) by default. All other types must be translated to UTF8 before being passed to the parser. If a BOM is detected and the correct decoder is available then that decoder will be used automatically.

TCefXmlNodeType uCEFTypes

XML node types.

TCefZoomCommand uCEFTypes

Specifies the zoom commands supported by ICefBrowserHost.Zoom.

TDialogKeyEvent uCEFFMXBufferPanel

TDragEnterEvent uCEFDragAndDropMgr

TDragOverEvent uCEFDragAndDropMgr

TDropEvent uCEFDragAndDropMgr

TOAuthChallengeMethod uCEFOAuth2Helper

TOLEFormatArray uCEFOLEDragAndDrop

TOLEMediumArray uCEFOLEDragAndDrop

TOnAcceleratedPaint uCEFChromiumEvents

TOnAcceleratorEvent uCEFViewsFrameworkEvents

TOnAcceptsFirstMouseEvent uCEFViewsFrameworkEvents

TOnAccessibilityEvent uCEFAccessibilityHandler

TOnAddressChange uCEFChromiumEvents

ICefDisplayHandler
TOnAfterCreated uCEFChromiumEvents

TOnAfterUserActionEvent uCEFViewsFrameworkEvents

TOnAllowEvent uCEFTimerWorkScheduler

TOnAllowMoveForPictureInPictureEvent uCEFViewsFrameworkEvents

TOnAlreadyRunningAppRelaunchEvent uCEFApplicationEvents

TOnAudioStreamErrorEvent uCEFChromiumEvents

TOnAudioStreamPacketEvent uCEFChromiumEvents

TOnAudioStreamStartedEvent uCEFChromiumEvents

TOnAudioStreamStoppedEvent uCEFChromiumEvents

TOnAutoResize uCEFChromiumEvents

TOnBeforeBrowse uCEFChromiumEvents

ICefRequestHandler
TOnBeforeChildProcessLaunchEvent uCEFApplicationEvents

TOnBeforeClose uCEFChromiumEvents

TOnBeforeContextMenu uCEFChromiumEvents

ICefContextMenuHandler
TOnBeforeDevToolsPopup uCEFChromiumEvents

TOnBeforeDownload uCEFChromiumEvents

TOnBeforePopup uCEFChromiumEvents

ICefLifeSpanHandler
TOnBeforePopupAborted uCEFChromiumEvents

TOnBeforeResourceLoad uCEFChromiumEvents

ICefResourceRequestHandler
TOnBeforeUnloadDialog uCEFChromiumEvents

TOnBlurEvent uCEFViewsFrameworkEvents

TOnBrowserCreatedEvent uCEFApplicationEvents

TOnBrowserCreatedEvent uCEFViewsFrameworkEvents

ICefPanelDelegate ICefBrowserViewDelegate
TOnBrowserDestroyedEvent uCEFApplicationEvents

TOnBrowserDestroyedEvent uCEFViewsFrameworkEvents

TOnButtonPressedEvent uCEFViewsFrameworkEvents

ICefButtonDelegate
TOnButtonStateChangedEvent uCEFViewsFrameworkEvents

TOnCanCloseEvent uCEFViewsFrameworkEvents

TOnCanDownloadEvent uCEFChromiumEvents

ICefDownloadHandler
TOnCanMaximizeEvent uCEFViewsFrameworkEvents

TOnCanMinimizeEvent uCEFViewsFrameworkEvents

TOnCanResizeEvent uCEFViewsFrameworkEvents

TOnCanSaveCookie uCEFChromiumEvents

TOnCanSendCookie uCEFChromiumEvents

ICefCookieAccessFilter
TOnCertificateError uCEFChromiumEvents

TOnChildViewChangedEvent uCEFViewsFrameworkEvents

TOnChromeCommandEvent uCEFChromiumEvents

ICefCommandHandler
TOnClientConnected uCEFServerEvents

TOnClientDisconnected uCEFServerEvents

TOnClose uCEFChromiumEvents

TOnCompMsgEvent uCEFChromiumEvents

TOnConsoleMessage uCEFChromiumEvents

TOnContentsBoundsChange uCEFChromiumEvents

TOnContextCreatedEvent uCEFApplicationEvents

TOnContextInitializedEvent uCEFApplicationEvents

TOnContextMenuCommand uCEFChromiumEvents

TOnContextMenuDismissed uCEFChromiumEvents

TOnContextReleasedEvent uCEFApplicationEvents

TOnCookiesDeletedEvent uCEFChromiumEvents

TOnCookieSet uCEFChromiumEvents

TOnCookiesVisited uCEFChromiumEvents

TOnCookieVisitorDestroyed uCEFChromiumEvents

TOnCursorChange uCEFChromiumEvents

TOnDevToolsAgentAttachedEvent uCEFChromiumEvents

TOnDevToolsAgentDetachedEvent uCEFChromiumEvents

TOnDevToolsEventEvent uCEFChromiumEvents

TOnDevToolsEventRawEvent uCEFChromiumEvents

TOnDevToolsMessageEvent uCEFChromiumEvents

ICefDevToolsMessageObserver
TOnDevToolsMethodRawResultEvent uCEFChromiumEvents

TOnDevToolsMethodResultEvent uCEFChromiumEvents

TOnDevToolsRawMessageEvent uCEFChromiumEvents

TOnDialogClosed uCEFChromiumEvents

TOnDismissPermissionPromptEvent uCEFChromiumEvents

TOnDocumentAvailableInMainFrame uCEFChromiumEvents

TOnDownloadData uCEFUrlRequestClientEvents

TOnDownloadImageFinishedEvent uCEFChromiumEvents

TOnDownloadImageFinishedProc uCEFInterfaces

TOnDownloadProgress uCEFUrlRequestClientEvents

TOnDownloadUpdated uCEFChromiumEvents

TOnDragEnter uCEFChromiumEvents

ICefDragHandler
TOnDraggableRegionsChanged uCEFChromiumEvents

TOnExecuteTaskOnCefThread uCEFChromiumEvents

TOnFavIconUrlChange uCEFChromiumEvents

TOnFileDialog uCEFChromiumEvents

ICefDialogHandler
TOnFilterEvent uCEFResponseFilter

TOnFindResult uCEFChromiumEvents

ICefFindHandler
TOnFocusedNodeChangedEvent uCEFApplicationEvents

TOnFocusEvent uCEFViewsFrameworkEvents

TOnFrameAttached uCEFChromiumEvents

TOnFrameCreated uCEFChromiumEvents

ICefFrameHandler
TOnFrameDestroyed uCEFChromiumEvents

TOnFrameDetached uCEFChromiumEvents

TOnFullScreenModeChange uCEFChromiumEvents

TOnGestureCommandEvent uCEFViewsFrameworkEvents

TOnGetAccessibilityHandler uCEFChromiumEvents

ICefRenderHandler
TOnGetAudioParametersEvent uCEFChromiumEvents

ICefAudioHandler
TOnGetAuthCredentials uCEFChromiumEvents

TOnGetAuthCredentials uCEFUrlRequestClientEvents

TOnGetBrowserRuntimeStyleEvent uCEFViewsFrameworkEvents

TOnGetChromeToolbarTypeEvent uCEFViewsFrameworkEvents

TOnGetDataResourceEvent uCEFApplicationEvents

TOnGetDataResourceForScaleEvent uCEFApplicationEvents

TOnGetDefaultClientEvent uCEFApplicationEvents

TOnGetDefaultRequestContextHandlerEvent uCEFApplicationEvents

TOnGetDelegateForPopupBrowserViewEvent uCEFViewsFrameworkEvents

TOnGetHeightForWidthEvent uCEFViewsFrameworkEvents

TOnGetInitialBoundsEvent uCEFViewsFrameworkEvents

TOnGetInitialShowStateEvent uCEFViewsFrameworkEvents

TOnGetLinuxWindowPropertiesEvent uCEFViewsFrameworkEvents

TOnGetLocalizedStringEvent uCEFApplicationEvents

ICefResourceBundleHandler
TOnGetMaximumSizeEvent uCEFViewsFrameworkEvents

TOnGetMinimumSizeEvent uCEFViewsFrameworkEvents

TOnGetParentWindowEvent uCEFViewsFrameworkEvents

TOnGetPDFPaperSizeEvent uCEFChromiumEvents

TOnGetPreferredSizeEvent uCEFViewsFrameworkEvents

ICefViewDelegate
TOnGetResourceHandler uCEFChromiumEvents

TOnGetResourceRequestHandler uCEFChromiumEvents

TOnGetResourceResponseFilter uCEFChromiumEvents

TOnGetRootScreenRect uCEFChromiumEvents

TOnGetRootWindowScreenRect uCEFChromiumEvents

TOnGetScreenInfo uCEFChromiumEvents

TOnGetScreenPoint uCEFChromiumEvents

TOnGetTitlebarHeightEvent uCEFViewsFrameworkEvents

TOnGetTouchHandleSize uCEFChromiumEvents

TOnGetViewRect uCEFChromiumEvents

TOnGetWindowRuntimeStyleEvent uCEFViewsFrameworkEvents

TOnGotFocus uCEFChromiumEvents

TOnHandledMessageEvent uCEFBufferPanel

TOnHttpRequest uCEFServerEvents

TOnIMECommitTextEvent uCEFBufferPanel

TOnIMECompositionRangeChanged uCEFChromiumEvents

TOnIMESetCompositionEvent uCEFBufferPanel

TOnInitFilterEvent uCEFResponseFilter

TOnIsChromeAppMenuItemEnabledEvent uCEFChromiumEvents

TOnIsChromeAppMenuItemVisibleEvent uCEFChromiumEvents

TOnIsChromePageActionIconVisibleEvent uCEFChromiumEvents

TOnIsChromeToolbarButtonVisibleEvent uCEFChromiumEvents

TOnIsFramelessEvent uCEFViewsFrameworkEvents

TOnIsWindowModalDialogEvent uCEFViewsFrameworkEvents

TOnJsdialog uCEFChromiumEvents

ICefJsDialogHandler
TOnKeyEvent uCEFChromiumEvents

TOnLayoutChangedEvent uCEFViewsFrameworkEvents

TOnLoadEnd uCEFChromiumEvents

TOnLoadError uCEFChromiumEvents

TOnLoadingProgressChange uCEFChromiumEvents

TOnLoadingStateChange uCEFChromiumEvents

TOnLoadStart uCEFChromiumEvents

ICefLoadHandler
TOnMainFrameChanged uCEFChromiumEvents

TOnMediaAccessChange uCEFChromiumEvents

TOnMediaRouteCreateFinishedEvent uCEFChromiumEvents

TOnMediaSinkDeviceInfoEvent uCEFChromiumEvents

TOnMenuButtonPressedEvent uCEFViewsFrameworkEvents

ICefMenuButtonDelegate
TOnNavigationVisitorResultAvailableEvent uCEFChromiumEvents

TOnOpenUrlFromTab uCEFChromiumEvents

TOnPaint uCEFChromiumEvents

TOnParentViewChangedEvent uCEFViewsFrameworkEvents

TOnPdfPrintFinishedEvent uCEFChromiumEvents

TOnPdfPrintFinishedProc uCEFInterfaces

TOnPopupBrowserViewCreatedEvent uCEFViewsFrameworkEvents

TOnPopupShow uCEFChromiumEvents

TOnPopupSize uCEFChromiumEvents

TOnPreferenceChangedEvent uCEFChromiumEvents

ICefPreferenceObserver
TOnPrefsAvailableEvent uCEFChromiumEvents

TOnPreKeyEvent uCEFChromiumEvents

ICefKeyboardHandler
TOnPrintDialogEvent uCEFChromiumEvents

TOnPrintJobEvent uCEFChromiumEvents

TOnPrintResetEvent uCEFChromiumEvents

TOnPrintSettingsEvent uCEFChromiumEvents

TOnPrintStartEvent uCEFChromiumEvents

ICefPrintHandler
TOnProcessMessageReceived uCEFChromiumEvents

ICefClient
TOnProcessMessageReceivedEvent uCEFApplicationEvents

TOnProtocolExecution uCEFChromiumEvents

TOnPulseEvent uCEFWorkSchedulerQueueThread

TOnQuickMenuCommandEvent uCEFChromiumEvents

TOnQuickMenuDismissedEvent uCEFChromiumEvents

TOnRegisterCustomPreferencesEvent uCEFApplicationEvents

ICefBrowserProcessHandler
TOnRegisterCustomSchemesEvent uCEFApplicationEvents

ICefApp
TOnRenderLoadEnd uCEFApplicationEvents

TOnRenderLoadError uCEFApplicationEvents

TOnRenderLoadingStateChange uCEFApplicationEvents

ICefLoadHandler
TOnRenderLoadStart uCEFApplicationEvents

TOnRenderProcessResponsive uCEFChromiumEvents

TOnRenderProcessTerminated uCEFChromiumEvents

TOnRenderProcessUnresponsive uCEFChromiumEvents

TOnRenderViewReady uCEFChromiumEvents

TOnRequestComplete uCEFUrlRequestClientEvents

TOnRequestContextInitialized uCEFChromiumEvents

ICefRequestContextHandler
TOnRequestMediaAccessPermissionEvent uCEFChromiumEvents

ICefPermissionHandler
TOnResetDialogState uCEFChromiumEvents

TOnResolvedIPsAvailableEvent uCEFChromiumEvents

TOnResourceLoadComplete uCEFChromiumEvents

TOnResourceRedirect uCEFChromiumEvents

TOnResourceResponse uCEFChromiumEvents

TOnRouteMessageReceivedEvent uCEFChromiumEvents

TOnRoutesEvent uCEFChromiumEvents

TOnRouteStateChangedEvent uCEFChromiumEvents

TOnRunContextMenu uCEFChromiumEvents

TOnRunQuickMenuEvent uCEFChromiumEvents

TOnScheduleMessagePumpWorkEvent uCEFApplicationEvents

TOnScrollOffsetChanged uCEFChromiumEvents

TOnSelectClientCertificate uCEFChromiumEvents

TOnServerCreated uCEFServerEvents

TOnServerDestroyed uCEFServerEvents

TOnSetFocus uCEFChromiumEvents

TOnSettingChangedEvent uCEFChromiumEvents

ICefSettingObserver
TOnShowPermissionPromptEvent uCEFChromiumEvents

TOnSinksEvent uCEFChromiumEvents

ICefRequestContextHandler uses the same TOnGetResourceRequestHandler event type defined for ICefRequestHandler ICefMediaObserver
TOnStartDragging uCEFChromiumEvents

TOnStatusMessage uCEFChromiumEvents

TOnTakeFocus uCEFChromiumEvents

ICefFocusHandler
TOnTextfieldKeyEventEvent uCEFViewsFrameworkEvents

ICefTextfieldDelegate
TOnTextResultAvailableEvent uCEFChromiumEvents

Custom
TOnTextSelectionChanged uCEFChromiumEvents

TOnThemeChangedEvent uCEFViewsFrameworkEvents

TOnThemeColorsChangedEvent uCEFViewsFrameworkEvents

TOnTitleChange uCEFChromiumEvents

TOnTooltip uCEFChromiumEvents

TOnTouchHandleStateChanged uCEFChromiumEvents

TOnUncaughtExceptionEvent uCEFApplicationEvents

TOnUpdateDragCursor uCEFChromiumEvents

TOnUploadProgress uCEFUrlRequestClientEvents

TOnUseFramelessWindowForPictureInPicture uCEFViewsFrameworkEvents

TOnVirtualKeyboardRequested uCEFChromiumEvents

TOnWebKitInitializedEvent uCEFApplicationEvents

ICefRenderProcessHandler
TOnWebSocketConnected uCEFServerEvents

TOnWebSocketMessage uCEFServerEvents

TOnWebSocketRequest uCEFServerEvents

TOnWindowActivationChangedEvent uCEFViewsFrameworkEvents

TOnWindowBoundsChangedEvent uCEFViewsFrameworkEvents

TOnWindowChangedEvent uCEFViewsFrameworkEvents

TOnWindowClosingEvent uCEFViewsFrameworkEvents

TOnWindowCreatedEvent uCEFViewsFrameworkEvents

ICefWindowDelegate
TOnWindowDestroyedEvent uCEFViewsFrameworkEvents

TOnWindowFullscreenTransitionEvent uCEFViewsFrameworkEvents

TOnWindowKeyEventEvent uCEFViewsFrameworkEvents

TOnWithStandardWindowButtonsEvent uCEFViewsFrameworkEvents

TOnZoomPctAvailable uCEFChromiumEvents

TSentinelStatus uCEFSentinel

TSimulatedCefKeyEventType uCEFTypes

Event type used by TChromiumCore.SimulateKeyEvent

TValuesArray uCEFWorkSchedulerQueueThread

ustring uCEFTypes

String type used by CEF. ustring was created to use the same type in Delphi and Lazarus.


cef4delphi: All Variables

All Variables

Name | Unit | Description
cef_add_cross_origin_whitelist_entry | uCEFLibFunctions | /include/capi/cef_origin_whitelist_capi.h
cef_api_hash | uCEFLibFunctions | ********************************* ************ INCLUDE ************ ********************************* /include/cef_api_hash.h
cef_api_version | uCEFLibFunctions |
cef_base64_decode | uCEFLibFunctions |
cef_base64_encode | uCEFLibFunctions |
cef_basetime_now | uCEFLibFunctions |
cef_begin_tracing | uCEFLibFunctions | /include/capi/cef_trace_capi.h
cef_binary_value_create | uCEFLibFunctions |
cef_browser_host_create_browser | uCEFLibFunctions | /include/capi/cef_browser_capi.h
cef_browser_host_create_browser_sync | uCEFLibFunctions |
cef_browser_host_get_browser_by_identifier | uCEFLibFunctions |
cef_browser_view_create | uCEFLibFunctions | ********************************* ********** CAPI VIEWS *********** ********************************* /include/capi/views/cef_browser_view_capi.h
cef_browser_view_get_for_browser | uCEFLibFunctions |
cef_clear_cross_origin_whitelist | uCEFLibFunctions |
cef_clear_scheme_handler_factories | uCEFLibFunctions |
cef_command_line_create | uCEFLibFunctions | /include/capi/cef_command_line_capi.h
cef_command_line_get_global | uCEFLibFunctions |
cef_cookie_manager_get_global_manager | uCEFLibFunctions | /include/capi/cef_cookie_capi.h
cef_crash_reporting_enabled | uCEFLibFunctions | /include/capi/cef_crash_util.h
cef_create_directory | uCEFLibFunctions | /include/capi/cef_file_util_capi.h
cef_create_new_temp_directory | uCEFLibFunctions |
cef_create_temp_directory_in_directory | uCEFLibFunctions |
cef_create_url | uCEFLibFunctions |
cef_currently_on | uCEFLibFunctions |
cef_delete_file | uCEFLibFunctions |
cef_dictionary_value_create | uCEFLibFunctions |
cef_directory_exists | uCEFLibFunctions |
cef_display_convert_screen_point_from_pixels | uCEFLibFunctions |
cef_display_convert_screen_point_to_pixels | uCEFLibFunctions |
cef_display_convert_screen_rect_from_pixels | uCEFLibFunctions |
cef_display_convert_screen_rect_to_pixels | uCEFLibFunctions |
cef_display_get_alls | uCEFLibFunctions |
cef_display_get_count | uCEFLibFunctions |
cef_display_get_matching_bounds | uCEFLibFunctions |
cef_display_get_nearest_point | uCEFLibFunctions |
cef_display_get_primary | uCEFLibFunctions | /include/capi/views/cef_display_capi.h
cef_do_message_loop_work | uCEFLibFunctions |
cef_drag_data_create | uCEFLibFunctions | /include/capi/cef_drag_data_capi.h
cef_dump_without_crashing | uCEFLibFunctions | /include/internal/cef_dump_without_crashing_internal.h
cef_end_tracing | uCEFLibFunctions |
cef_execute_process | uCEFLibFunctions |
cef_format_url_for_security_display | uCEFLibFunctions |
cef_get_current_platform_thread_handle | uCEFLibFunctions |
cef_get_current_platform_thread_id | uCEFLibFunctions | /include/internal/cef_thread_internal.h
cef_get_exit_code | uCEFLibFunctions |
cef_get_extensions_for_mime_type | uCEFLibFunctions |
cef_get_mime_type | uCEFLibFunctions |
cef_get_min_log_level | uCEFLibFunctions | /include/internal/cef_logging_internal.h
cef_get_path | uCEFLibFunctions | /include/capi/cef_path_util_capi.h
cef_get_temp_directory | uCEFLibFunctions |
cef_get_vlog_level | uCEFLibFunctions |
cef_id_for_command_id_name | uCEFLibFunctions |
cef_id_for_pack_resource_name | uCEFLibFunctions | /include/cef_id_mappers.h
cef_id_for_pack_string_name | uCEFLibFunctions |
cef_image_create | uCEFLibFunctions | /include/capi/cef_image_capi.h
cef_initialize | uCEFLibFunctions | ********************************* ************* CAPI ************** ********************************* /include/capi/cef_app_capi.h
cef_is_cert_status_error | uCEFLibFunctions | /include/capi/cef_ssl_info_capi.h
cef_is_rtl | uCEFLibFunctions | / include/capi/cef_i18n_util_capi.h
cef_label_button_create | uCEFLibFunctions | /include/capi/views/cef_label_button_capi.h
cef_launch_process | uCEFLibFunctions | /include/capi/cef_process_util_capi.h
cef_list_value_create | uCEFLibFunctions |
cef_load_crlsets_file | uCEFLibFunctions |
cef_log | uCEFLibFunctions |
cef_media_router_get_global | uCEFLibFunctions | /include/capi/cef_media_router_capi.h
cef_menu_button_create | uCEFLibFunctions | /include/capi/views/cef_menu_button_capi.h
cef_menu_model_create | uCEFLibFunctions | /include/capi/cef_menu_model_capi.h
cef_now_from_system_trace_time | uCEFLibFunctions |
cef_panel_create | uCEFLibFunctions | /include/capi/views/cef_panel_capi.h
cef_parse_json | uCEFLibFunctions |
cef_parse_jsonand_return_error | uCEFLibFunctions |
cef_parse_json_buffer | uCEFLibFunctions |
cef_parse_url | uCEFLibFunctions |
cef_post_data_create | uCEFLibFunctions |
cef_post_data_element_create | uCEFLibFunctions |
cef_post_delayed_task | uCEFLibFunctions |
cef_post_task | uCEFLibFunctions |
cef_preference_manager_get_chrome_variations_as_strings | uCEFLibFunctions | * CEF_API_ADDED(13401) *
cef_preference_manager_get_chrome_variations_as_switches | uCEFLibFunctions |
cef_preference_manager_get_global | uCEFLibFunctions | /include/capi/cef_preference_capi.h
cef_print_settings_create | uCEFLibFunctions | /include/capi/cef_print_settings_capi.h
cef_process_message_create | uCEFLibFunctions | /include/capi/cef_process_message_capi.h
cef_quit_message_loop | uCEFLibFunctions |
cef_register_extension | uCEFLibFunctions |
cef_register_scheme_handler_factory | uCEFLibFunctions | /include/capi/cef_scheme_capi.h
cef_remove_cross_origin_whitelist_entry | uCEFLibFunctions |
cef_request_context_cef_create_context_shared | uCEFLibFunctions |
cef_request_context_create_context | uCEFLibFunctions |
cef_request_context_get_global_context | uCEFLibFunctions | /include/capi/cef_request_context_capi.h
cef_request_create | uCEFLibFunctions | /include/capi/cef_request_capi.h
cef_resolve_url | uCEFLibFunctions | /include/capi/cef_parser_capi.h
cef_resource_bundle_get_global | uCEFLibFunctions | /include/capi/cef_resource_bundle_capi.h
cef_response_create | uCEFLibFunctions | /include/capi/cef_response_capi.h
cef_run_message_loop | uCEFLibFunctions |
cef_scroll_view_create | uCEFLibFunctions | /include/capi/views/cef_scroll_view_capi.h
cef_server_create | uCEFLibFunctions | /include/capi/cef_server_capi.h
cef_set_crash_key_value | uCEFLibFunctions |
cef_set_osmodal_loop | uCEFLibFunctions | ********************************* *********** INTERNAL ************ ********************************* /include/internal/cef_app_win.h
cef_shared_process_message_builder_create | uCEFLibFunctions | /include/capi/cef_shared_process_message_builder_capi.h
cef_shutdown | uCEFLibFunctions |
cef_stream_reader_create_for_data | uCEFLibFunctions |
cef_stream_reader_create_for_file | uCEFLibFunctions | /include/capi/cef_stream_capi.h
cef_stream_reader_create_for_handler | uCEFLibFunctions |
cef_stream_writer_create_for_file | uCEFLibFunctions |
cef_stream_writer_create_for_handler | uCEFLibFunctions |
cef_string_ascii_to_utf16 | uCEFLibFunctions |
cef_string_ascii_to_wide | uCEFLibFunctions |
cef_string_list_alloc | uCEFLibFunctions | /include/internal/cef_string_list.h
cef_string_list_append | uCEFLibFunctions |
cef_string_list_clear | uCEFLibFunctions |
cef_string_list_copy | uCEFLibFunctions |
cef_string_list_free | uCEFLibFunctions |
cef_string_list_size | uCEFLibFunctions |
cef_string_list_value | uCEFLibFunctions |
cef_string_map_alloc | uCEFLibFunctions | /include/internal/cef_string_map.h
cef_string_map_append | uCEFLibFunctions |
cef_string_map_clear | uCEFLibFunctions |
cef_string_map_find | uCEFLibFunctions |
cef_string_map_free | uCEFLibFunctions |
cef_string_map_key | uCEFLibFunctions |
cef_string_map_size | uCEFLibFunctions |
cef_string_map_value | uCEFLibFunctions |
cef_string_multimap_alloc | uCEFLibFunctions | /include/internal/cef_string_multimap.h
cef_string_multimap_append | uCEFLibFunctions |
cef_string_multimap_clear | uCEFLibFunctions |
cef_string_multimap_enumerate | uCEFLibFunctions |
cef_string_multimap_find_count | uCEFLibFunctions |
cef_string_multimap_free | uCEFLibFunctions |
cef_string_multimap_key | uCEFLibFunctions |
cef_string_multimap_size | uCEFLibFunctions |
cef_string_multimap_value | uCEFLibFunctions |
cef_string_userfree_utf16_alloc | uCEFLibFunctions |
cef_string_userfree_utf16_free | uCEFLibFunctions |
cef_string_userfree_utf8_alloc | uCEFLibFunctions |
cef_string_userfree_utf8_free | uCEFLibFunctions |
cef_string_userfree_wide_alloc | uCEFLibFunctions |
cef_string_userfree_wide_free | uCEFLibFunctions |
cef_string_utf16_clear | uCEFLibFunctions |
cef_string_utf16_cmp | uCEFLibFunctions |
cef_string_utf16_set | uCEFLibFunctions |
cef_string_utf16_to_lower | uCEFLibFunctions |
cef_string_utf16_to_upper | uCEFLibFunctions |
cef_string_utf16_to_utf8 | uCEFLibFunctions |
cef_string_utf16_to_wide | uCEFLibFunctions |
cef_string_utf8_clear | uCEFLibFunctions |
cef_string_utf8_cmp | uCEFLibFunctions |
cef_string_utf8_set | uCEFLibFunctions |
cef_string_utf8_to_utf16 | uCEFLibFunctions |
cef_string_utf8_to_wide | uCEFLibFunctions |
cef_string_wide_clear | uCEFLibFunctions |
cef_string_wide_cmp | uCEFLibFunctions |
cef_string_wide_set | uCEFLibFunctions | /include/internal/cef_string_types.h
cef_string_wide_to_utf16 | uCEFLibFunctions |
cef_string_wide_to_utf8 | uCEFLibFunctions |
cef_task_manager_get | uCEFLibFunctions | /include/capi/cef_task_manager_capi.h
cef_task_runner_get_for_current_thread | uCEFLibFunctions | /include/capi/cef_task_capi.h
cef_task_runner_get_for_thread | uCEFLibFunctions |
cef_textfield_create | uCEFLibFunctions | /include/capi/views/cef_textfield_capi.h
cef_thread_create | uCEFLibFunctions | /include/capi/cef_thread_capi.h
cef_time_delta | uCEFLibFunctions |
cef_time_from_basetime | uCEFLibFunctions |
cef_time_from_doublet | uCEFLibFunctions |
cef_time_from_timet | uCEFLibFunctions |
cef_time_now | uCEFLibFunctions |
cef_time_to_basetime | uCEFLibFunctions |
cef_time_to_doublet | uCEFLibFunctions |
cef_time_to_timet | uCEFLibFunctions | /include/internal/cef_time.h
cef_trace_counter | uCEFLibFunctions |
cef_trace_counter_id | uCEFLibFunctions |
cef_trace_event_async_begin | uCEFLibFunctions |
cef_trace_event_async_end | uCEFLibFunctions |
cef_trace_event_async_step_into | uCEFLibFunctions |
cef_trace_event_async_step_past | uCEFLibFunctions |
cef_trace_event_begin | uCEFLibFunctions |
cef_trace_event_end | uCEFLibFunctions |
cef_trace_event_instant | uCEFLibFunctions | /include/internal/cef_trace_event_internal.h
cef_uridecode | uCEFLibFunctions |
cef_uriencode | uCEFLibFunctions |
cef_urlrequest_create | uCEFLibFunctions | /include/capi/cef_urlrequest_capi.h
cef_v8_context_get_current_context | uCEFLibFunctions | /include/capi/cef_v8_capi.h
cef_v8_context_get_entered_context | uCEFLibFunctions |
cef_v8_context_in_context | uCEFLibFunctions |
cef_v8_stack_trace_get_current | uCEFLibFunctions |
cef_v8_value_create_array | uCEFLibFunctions |
cef_v8_value_create_array_buffer | uCEFLibFunctions |
cef_v8_value_create_array_buffer_with_copy | uCEFLibFunctions |
cef_v8_value_create_bool | uCEFLibFunctions |
cef_v8_value_create_date | uCEFLibFunctions |
cef_v8_value_create_double | uCEFLibFunctions |
cef_v8_value_create_function | uCEFLibFunctions |
cef_v8_value_create_int | uCEFLibFunctions |
cef_v8_value_create_null | uCEFLibFunctions |
cef_v8_value_create_object | uCEFLibFunctions |
cef_v8_value_create_promise | uCEFLibFunctions |
cef_v8_value_create_string | uCEFLibFunctions |
cef_v8_value_create_uint | uCEFLibFunctions |
cef_v8_value_create_undefined | uCEFLibFunctions |
cef_value_create | uCEFLibFunctions | /include/capi/cef_values_capi.h
cef_version_info | uCEFLibFunctions | /include/cef_version_info.h
cef_version_info_all | uCEFLibFunctions |
cef_waitable_event_create | uCEFLibFunctions | /include/capi/cef_waitable_event_capi.h
cef_window_create_top_level | uCEFLibFunctions | /include/capi/views/cef_window_capi.h
cef_write_json | uCEFLibFunctions |
cef_xml_reader_create | uCEFLibFunctions | /include/capi/cef_xml_reader_capi.h
cef_zip_directory | uCEFLibFunctions |
cef_zip_reader_create | uCEFLibFunctions | /include/capi/cef_zip_reader_capi.h
GlobalCEFApp | uCEFApplication |
GlobalCEFApp | uCEFApplicationCore |
GlobalCEFTimerWorkScheduler | uCEFTimerWorkScheduler |
GlobalCEFWorkScheduler | uCEFWorkScheduler |
GlobalFMXWorkScheduler | uCEFFMXWorkScheduler |


cef4delphi: All Constants

All Constants

Name Unit Description
ABOUTBLANK_URI uCEFConstants

* ****************************************************** ****************** OTHER CONSTANTS ******************* ****************************************************** *
CEF4DELPHI_URL uCEFConstants

CEFSENTINEL_DEFAULT_DELAYPERPROCMS uCEFSentinel

CEFSENTINEL_DEFAULT_FINALDELAYMS uCEFSentinel

CEFSENTINEL_DEFAULT_MAXCHECKCOUNTS uCEFSentinel

CEFSENTINEL_DEFAULT_MINCHILDPROCS uCEFSentinel

CEFSENTINEL_DEFAULT_MININITDELAYMS uCEFSentinel

CEF_AFTERCREATED uCEFConstants

CEF_API_HASH_PLATFORM uCEFConstants

Platform API hash.

CEF_API_HASH_PLATFORM_LINUX uCEFApplicationCore

values defined in cef_api_versions.json
CEF_API_HASH_PLATFORM_MAC uCEFApplicationCore

CEF_API_HASH_PLATFORM_WINDOWS uCEFApplicationCore

CEF_API_HASH_UNIVERSAL uCEFConstants

Universal API hash. (deprecated, same as CEF_API_HASH_PLATFORM)

CEF_API_VERSION uCEFApplicationCore

CEF_API_VERSION_EXPERIMENTAL uCEFApplicationCore

value defined in /include/cef_api_hash.h
CEF_API_VERSION_LAST uCEFApplicationCore

CEF_API_VERSION_MIN uCEFApplicationCore

values defined in cef_api_versions.json
CEF_BEFORECLOSE uCEFConstants

CEF_CERTMANAGER_URL uCEFConstants

CEF_CHROMEELF_VERSION_BUILD uCEFApplication

CEF_CHROMEELF_VERSION_BUILD uCEFApplicationCore

CEF_CHROMEELF_VERSION_MAJOR uCEFApplication

CEF_CHROMEELF_VERSION_MAJOR uCEFApplicationCore

CEF_CHROMEELF_VERSION_MINOR uCEFApplication

CEF_CHROMEELF_VERSION_MINOR uCEFApplicationCore

CEF_CHROMEELF_VERSION_RELEASE uCEFApplication

CEF_CHROMEELF_VERSION_RELEASE uCEFApplicationCore

CEF_COMMIT_HASH uCEFConstants

Commit hash.

CEF_COOKIE_PREF_ALLOW uCEFConstants

CEF_COOKIE_PREF_BLOCK uCEFConstants

CEF_COOKIE_PREF_DEFAULT uCEFConstants

CEF_COOKIE_PRIORITY_HIGH uCEFConstants

CEF_COOKIE_PRIORITY_LOW uCEFConstants

Cookie priority values.

CEF_COOKIE_PRIORITY_MEDIUM uCEFConstants

CEF_CTT_LOCATION uCEFConstants

CEF_CTT_NONE uCEFConstants

CEF_CTT_NORMAL uCEFConstants

CEF_CTT_NUM_VALUES uCEFConstants

CEF_CTT_UNKNOWN uCEFConstants

Chrome toolbar types.

CEF_DEFAULT_ENABLEFOCUSDELAY uCEFConstants

CEF_DESTROY uCEFConstants

CEF_DOCKING_MODE_BOTTOM_LEFT uCEFConstants

CEF_DOCKING_MODE_BOTTOM_RIGHT uCEFConstants

CEF_DOCKING_MODE_CUSTOM uCEFConstants

CEF_DOCKING_MODE_NUM_VALUES uCEFConstants

CEF_DOCKING_MODE_TOP_LEFT uCEFConstants

Docking modes supported by ICefWindow.AddOverlay.

CEF_DOCKING_MODE_TOP_RIGHT uCEFConstants

CEF_DOONBEFORECLOSE uCEFConstants

CEF_DOONCLOSE uCEFConstants

CEF_DOWNLOADS_URL uCEFConstants

CEF_DOWNLOAD_INTERRUPT_REASON_CRASH uCEFConstants

The browser crashed. Internal use only: resume pending downloads if possible.

CEF_DOWNLOAD_INTERRUPT_REASON_FILE_ACCESS_DENIED uCEFConstants

The file cannot be accessed due to security restrictions.

CEF_DOWNLOAD_INTERRUPT_REASON_FILE_BLOCKED uCEFConstants

The file was blocked due to local policy.

CEF_DOWNLOAD_INTERRUPT_REASON_FILE_FAILED uCEFConstants

Generic file operation failure.

CEF_DOWNLOAD_INTERRUPT_REASON_FILE_HASH_MISMATCH uCEFConstants

The partial file didn't match the expected hash.

CEF_DOWNLOAD_INTERRUPT_REASON_FILE_NAME_TOO_LONG uCEFConstants

The directory or file name is too long.

CEF_DOWNLOAD_INTERRUPT_REASON_FILE_NO_SPACE uCEFConstants

There is not enough room on the drive.

CEF_DOWNLOAD_INTERRUPT_REASON_FILE_SAME_AS_SOURCE uCEFConstants

The source and the target of the download were the same.

CEF_DOWNLOAD_INTERRUPT_REASON_FILE_SECURITY_CHECK_FAILED uCEFConstants

An attempt to check the safety of the download failed due to unexpected reasons. See http://crbug.com/153212.

CEF_DOWNLOAD_INTERRUPT_REASON_FILE_TOO_LARGE uCEFConstants

The file is too large for the file system to handle.

CEF_DOWNLOAD_INTERRUPT_REASON_FILE_TOO_SHORT uCEFConstants

An attempt was made to seek past the end of a file in opening a file (as part of resuming a previously interrupted download).

CEF_DOWNLOAD_INTERRUPT_REASON_FILE_TRANSIENT_ERROR uCEFConstants

The file was in use. Too many files are opened at once. We have run out of memory.

CEF_DOWNLOAD_INTERRUPT_REASON_FILE_VIRUS_INFECTED uCEFConstants

The file contains a virus.

CEF_DOWNLOAD_INTERRUPT_REASON_NETWORK_DISCONNECTED uCEFConstants

The network connection has been lost.

CEF_DOWNLOAD_INTERRUPT_REASON_NETWORK_FAILED uCEFConstants

Generic network failure.

CEF_DOWNLOAD_INTERRUPT_REASON_NETWORK_INVALID_REQUEST uCEFConstants

The network request was invalid. This may be due to the original URL or a redirected URL: - Having an unsupported scheme. - Being an invalid URL. - Being disallowed by policy.

CEF_DOWNLOAD_INTERRUPT_REASON_NETWORK_SERVER_DOWN uCEFConstants

The server has gone down.

CEF_DOWNLOAD_INTERRUPT_REASON_NETWORK_TIMEOUT uCEFConstants

The network operation timed out.

CEF_DOWNLOAD_INTERRUPT_REASON_NONE uCEFConstants

No interrupt reason.

CEF_DOWNLOAD_INTERRUPT_REASON_SERVER_BAD_CONTENT uCEFConstants

The server does not have the requested data.

CEF_DOWNLOAD_INTERRUPT_REASON_SERVER_CERT_PROBLEM uCEFConstants

Server certificate problem.

CEF_DOWNLOAD_INTERRUPT_REASON_SERVER_CONTENT_LENGTH_MISMATCH uCEFConstants

The server sent fewer bytes than the content-length header. It may indicate that the connection was closed prematurely, or the Content-Length header was invalid. The download is only interrupted if strong validators are present. Otherwise, it is treated as finished.

CEF_DOWNLOAD_INTERRUPT_REASON_SERVER_CROSS_ORIGIN_REDIRECT uCEFConstants

An unexpected cross-origin redirect happened.

CEF_DOWNLOAD_INTERRUPT_REASON_SERVER_FAILED uCEFConstants

The server indicates that the operation has failed (generic).

CEF_DOWNLOAD_INTERRUPT_REASON_SERVER_FORBIDDEN uCEFConstants

Server access forbidden.

CEF_DOWNLOAD_INTERRUPT_REASON_SERVER_NO_RANGE uCEFConstants

The server does not support range requests. Internal use only: must restart from the beginning.

CEF_DOWNLOAD_INTERRUPT_REASON_SERVER_UNAUTHORIZED uCEFConstants

Server didn't authorize access to resource.

CEF_DOWNLOAD_INTERRUPT_REASON_SERVER_UNREACHABLE uCEFConstants

Unexpected server response. This might indicate that the responding server may not be the intended server.

CEF_DOWNLOAD_INTERRUPT_REASON_USER_CANCELED uCEFConstants

The user canceled the download.

CEF_DOWNLOAD_INTERRUPT_REASON_USER_SHUTDOWN uCEFConstants

The user shut down the browser. Internal use only: resume pending downloads if possible.

CEF_EXTENSIONS_URL uCEFConstants

CEF_FLAGS_URL uCEFConstants

CEF_FOCUSENABLED uCEFConstants

CEF_GPU_URL uCEFConstants

CEF_IMAGE_FILE_MACHINE_AMD64 uCEFConstants

CEF_IMAGE_FILE_MACHINE_I386 uCEFConstants

These contants are declared in the "Windows" unit but some old Delphi versions don't have them. We have to add "CEF_" to be compatible with C++ Builder.
CEF_IMERANGECHANGED uCEFConstants

CEF_INSPECT_URL uCEFConstants

CEF_INVALIDATE uCEFConstants

CEF_LOG_SEVERITY_ERROR uCEFConstants

CEF_LOG_SEVERITY_FATAL uCEFConstants

This severity log level causes a crash.
CEF_LOG_SEVERITY_INFO uCEFConstants

CEF_LOG_SEVERITY_VERBOSE uCEFConstants

Used in the severity parameter in the 'cef_log' function, also known as 'CefLog' in CEF4Delphi. The log severities are used to index into the array of names, see log_severity_names. /base/allocator/partition_allocator/partition_alloc_base/logging.h /base/logging.cc

CEF_LOG_SEVERITY_WARNING uCEFConstants

CEF_MAX_CONNECTIONS_PER_PROXY_DEFAULT_VALUE uCEFConstants

CEF_MAX_CONNECTIONS_PER_PROXY_MAX_VALUE uCEFConstants

CEF_MAX_CONNECTIONS_PER_PROXY_MIN_VALUE uCEFConstants

CEF_MEDIA_PERMISSION_DESKTOP_AUDIO_CAPTURE uCEFConstants

Desktop audio capture permission.

CEF_MEDIA_PERMISSION_DESKTOP_VIDEO_CAPTURE uCEFConstants

Desktop video capture permission.

CEF_MEDIA_PERMISSION_DEVICE_AUDIO_CAPTURE uCEFConstants

Device audio capture permission.

CEF_MEDIA_PERMISSION_DEVICE_VIDEO_CAPTURE uCEFConstants

Device video capture permission.

CEF_MEDIA_PERMISSION_NONE uCEFConstants

No permission.

CEF_MEMORY_URL uCEFConstants

CEF_MOUSETOUCH_EVENT_MODIFIERS_ALT uCEFConstants

CEF_MOUSETOUCH_EVENT_MODIFIERS_CTRL uCEFConstants

CEF_MOUSETOUCH_EVENT_MODIFIERS_METACMD uCEFConstants

CEF_MOUSETOUCH_EVENT_MODIFIERS_NONE uCEFConstants

Modifier values used in the Input.dispatchTouchEvent and Input.dispatchMouseEvent DevTools methods. Bit field representing pressed modifier keys. Alt=1, Ctrl=2, Meta/Command=4, Shift=8 (default: 0). https://chromedevtools.github.io/devtools-protocol/tot/Input/#method-dispatchTouchEvent
CEF_MOUSETOUCH_EVENT_MODIFIERS_SHIFT uCEFConstants

CEF_MRCR_CANCELLED uCEFConstants

CEF_MRCR_DESKTOP_PICKER_FAILED uCEFConstants

CEF_MRCR_INVALID_ORIGIN uCEFConstants

CEF_MRCR_NOTIFICATION_DISABLED uCEFConstants

CEF_MRCR_NO_SUPPORTED_PROVIDER uCEFConstants

CEF_MRCR_NUM_VALUES uCEFConstants

CEF_MRCR_OFF_THE_RECORD_MISMATCH_DEPRECATED uCEFConstants

CEF_MRCR_OK uCEFConstants

CEF_MRCR_REDUNDANT_REQUEST uCEFConstants

CEF_MRCR_ROUTE_ALREADY_EXISTS uCEFConstants

CEF_MRCR_ROUTE_ALREADY_TERMINATED uCEFConstants

CEF_MRCR_ROUTE_NOT_FOUND uCEFConstants

CEF_MRCR_SINK_NOT_FOUND uCEFConstants

CEF_MRCR_TIMED_OUT uCEFConstants

CEF_MRCR_UNKNOWN_ERROR uCEFConstants

Result codes for ICefMediaRouter.CreateRoute. Should be kept in sync with Chromium's media_router::mojom::RouteRequestResultCode type.

CEF_MRCR_USER_NOT_ALLOWED uCEFConstants

CEF_MRCS_CLOSED uCEFConstants

CEF_MRCS_CONNECTED uCEFConstants

CEF_MRCS_CONNECTING uCEFConstants

CEF_MRCS_NUM_VALUES uCEFConstants

CEF_MRCS_TERMINATED uCEFConstants

CEF_MRCS_UNKNOWN uCEFConstants

Connection state for a MediaRoute object. Should be kept in sync with Chromium's blink::mojom::PresentationConnectionState type.

CEF_ONEDAYINMILLISECONDS uCEFConstants

This value may be used with the mseconds_between_dumps parameter in GlobalCEFApp.DumpWithoutCrashing.

CEF_OSR_FRAMERATE_DEFAULT uCEFConstants

Default values for the Windowsless framerate setting in TChromiumOptions The values are frames per second.
CEF_OSR_SHARED_TEXTURES_FRAMERATE_DEFAULT uCEFConstants

Used when the shared textures are disabled.
CEF_PENDINGINVALIDATE uCEFConstants

CEF_PENDINGRESIZE uCEFConstants

CEF_PERMISSION_TYPE_AR_SESSION uCEFConstants

CEF_PERMISSION_TYPE_CAMERA_PAN_TILT_ZOOM uCEFConstants

CEF_PERMISSION_TYPE_CAMERA_STREAM uCEFConstants

CEF_PERMISSION_TYPE_CAPTURED_SURFACE_CONTROL uCEFConstants

CEF_PERMISSION_TYPE_CLIPBOARD uCEFConstants

CEF_PERMISSION_TYPE_DISK_QUOTA uCEFConstants

CEF_PERMISSION_TYPE_FILE_SYSTEM_ACCESS uCEFConstants

CEF_PERMISSION_TYPE_GEOLOCATION uCEFConstants

CEF_PERMISSION_TYPE_HAND_TRACKING uCEFConstants

CEF_PERMISSION_TYPE_IDENTITY_PROVIDER uCEFConstants

CEF_PERMISSION_TYPE_IDLE_DETECTION uCEFConstants

CEF_PERMISSION_TYPE_KEYBOARD_LOCK uCEFConstants

CEF_PERMISSION_TYPE_LOCAL_FONTS uCEFConstants

CEF_PERMISSION_TYPE_LOCAL_NETWORK_ACCESS uCEFConstants

CEF_PERMISSION_TYPE_MIC_STREAM uCEFConstants

CEF_PERMISSION_TYPE_MIDI_SYSEX uCEFConstants

CEF_PERMISSION_TYPE_MULTIPLE_DOWNLOADS uCEFConstants

CEF_PERMISSION_TYPE_NONE uCEFConstants

Permission types used with OnShowPermissionPrompt. Some types are platform-specific or only supported with Chrome style. Should be kept in sync with Chromium's permissions::RequestType type.

CEF_PERMISSION_TYPE_NOTIFICATIONS uCEFConstants

CEF_PERMISSION_TYPE_POINTER_LOCK uCEFConstants

CEF_PERMISSION_TYPE_PROTECTED_MEDIA_IDENTIFIER uCEFConstants

CEF_PERMISSION_TYPE_REGISTER_PROTOCOL_HANDLER uCEFConstants

CEF_PERMISSION_TYPE_STORAGE_ACCESS uCEFConstants

CEF_PERMISSION_TYPE_TOP_LEVEL_STORAGE_ACCESS uCEFConstants

CEF_PERMISSION_TYPE_VR_SESSION uCEFConstants

CEF_PERMISSION_TYPE_WEB_APP_INSTALLATION uCEFConstants

CEF_PERMISSION_TYPE_WINDOW_MANAGEMENT uCEFConstants

CEF_PREFERENCES_SAVED uCEFConstants

CEF_PREFS_URL uCEFConstants

CEF_PRESSED_MOUSE_BUTTONS_BACK uCEFConstants

CEF_PRESSED_MOUSE_BUTTONS_FORWARD uCEFConstants

CEF_PRESSED_MOUSE_BUTTONS_LEFT uCEFConstants

CEF_PRESSED_MOUSE_BUTTONS_MIDDLE uCEFConstants

CEF_PRESSED_MOUSE_BUTTONS_NONE uCEFConstants

Modifier values used in the Input.dispatchMouseEvent DevTools method. A number indicating which buttons are pressed on the mouse when a mouse event is triggered. Left=1, Right=2, Middle=4, Back=8, Forward=16, None=0. https://chromedevtools.github.io/devtools-protocol/tot/Input/#method-dispatchMouseEvent
CEF_PRESSED_MOUSE_BUTTONS_RIGHT uCEFConstants

CEF_PROXYTYPE_AUTODETECT uCEFConstants

Auto_detect proxy type: Auto detect proxy settings.

CEF_PROXYTYPE_DIRECT uCEFConstants

Direct proxy type: Never use a proxy.

CEF_PROXYTYPE_FIXED_SERVERS uCEFConstants

Fixed_servers proxy type: Use fixed proxy servers.

CEF_PROXYTYPE_PAC_SCRIPT uCEFConstants

Pac_script proxy type: Use a .pac proxy script.

CEF_PROXYTYPE_SYSTEM uCEFConstants

System proxy type: Use system proxy settings.

CEF_PUMPHAVEWORK uCEFConstants

CEF_RESULT_CODE_ACTION_DISALLOWED_BY_POLICY uCEFConstants

The action is not allowed by a policy.

CEF_RESULT_CODE_BAD_PROCESS_TYPE uCEFConstants

The process is of an unknown type.

CEF_RESULT_CODE_CHROME_FIRST uCEFConstants

First Chrome result code.

CEF_RESULT_CODE_CHROME_LAST uCEFConstants

Last Chrome result code.

CEF_RESULT_CODE_CLOUD_POLICY_ENROLLMENT_FAILED uCEFConstants

Cloud policy enrollment is failed or given up by user.

CEF_RESULT_CODE_DOWNGRADE_AND_RELAUNCH uCEFConstants

Chrome was downgraded since the last launch. Perform downgrade processing and relaunch.

CEF_RESULT_CODE_EULA_REFUSED uCEFConstants

Returned when the user has not yet accepted the EULA.

CEF_RESULT_CODE_GPU_DEAD_ON_ARRIVAL uCEFConstants

The GPU process exited because initialization failed.

CEF_RESULT_CODE_GPU_EXIT_ON_CONTEXT_LOST uCEFConstants

The GPU process was terminated due to context lost.

CEF_RESULT_CODE_HUNG uCEFConstants

Process hung.

CEF_RESULT_CODE_IMPORTER_HUNG uCEFConstants

Browser import hung and was killed.

CEF_RESULT_CODE_INSTALL_FROM_WEBSTORE_ERROR_2 uCEFConstants

Failed to install an item from the webstore when the kInstallEphemeralAppFromWebstore command line flag was present. As this flag is no longer supported, this return code should never be returned.

CEF_RESULT_CODE_INVALID_CMDLINE_URL uCEFConstants

An invalid command line url was given.

CEF_RESULT_CODE_INVALID_SANDBOX_STATE uCEFConstants

A browser process was sandboxed. This should never happen.

CEF_RESULT_CODE_KILLED uCEFConstants

Process was killed by user or system.

CEF_RESULT_CODE_KILLED_BAD_MESSAGE uCEFConstants

A bad message caused the process termination.

CEF_RESULT_CODE_MACHINE_LEVEL_INSTALL_EXISTS uCEFConstants

Machine level install exists.

CEF_RESULT_CODE_MISSING_DATA uCEFConstants

A critical chrome file is missing.

CEF_RESULT_CODE_NORMAL_EXIT uCEFConstants

Normal exit code.

CEF_RESULT_CODE_NORMAL_EXIT_AUTO_DE_ELEVATED uCEFConstants

The browser process exited because it was re-launched without elevation.

CEF_RESULT_CODE_NORMAL_EXIT_CANCEL uCEFConstants

For experiments this return code means that the user canceled causes the did_run "dr" signal to be reset soi this chrome run does not count as active chrome usage.

CEF_RESULT_CODE_NORMAL_EXIT_EXP1 uCEFConstants

Generic code used to communicate some simple outcome back to the process that launched us. This is used for experiments and the actual meaning depends on the experiment.

CEF_RESULT_CODE_NORMAL_EXIT_EXP2 uCEFConstants

Generic code used to communicate some simple outcome back to the process that launched us. This is used for experiments and the actual meaning depends on the experiment.

CEF_RESULT_CODE_NORMAL_EXIT_EXP3 uCEFConstants

Generic code used to communicate some simple outcome back to the process that launched us. This is used for experiments and the actual meaning depends on the experiment.

CEF_RESULT_CODE_NORMAL_EXIT_EXP4 uCEFConstants

Generic code used to communicate some simple outcome back to the process that launched us. This is used for experiments and the actual meaning depends on the experiment.

CEF_RESULT_CODE_NORMAL_EXIT_PACK_EXTENSION_SUCCESS uCEFConstants

An early startup command was executed and the browser must exit.

CEF_RESULT_CODE_NORMAL_EXIT_PROCESS_NOTIFIED uCEFConstants

The browser process exited early by passing the command line to another running browser.

CEF_RESULT_CODE_NORMAL_EXIT_UPGRADE_RELAUNCHED uCEFConstants

Chrome detected that there was a new version waiting to launch and renamed the files and launched the new version. This result code is never returned from the main process, but is instead used as a signal for early termination of browser. See `IsNormalResultCode` below.

CEF_RESULT_CODE_NOTUSED_1 uCEFConstants

A dummy value we should not use. See crbug.com/152285.

CEF_RESULT_CODE_NOTUSED_2 uCEFConstants

A dummy value we should not use. See crbug.com/152285.

CEF_RESULT_CODE_NUM_VALUES uCEFConstants

Last TCefResultCode value.

CEF_RESULT_CODE_PACK_EXTENSION_ERROR uCEFConstants

Failed to pack an extension via the cmd line.

CEF_RESULT_CODE_PROFILE_IN_USE uCEFConstants

The profile was in use on another host.

CEF_RESULT_CODE_RESPAWN_FAILED uCEFConstants

Trying to restart the browser we crashed.

CEF_RESULT_CODE_SANDBOX_FATAL_BROKER_SHUTDOWN_HUNG uCEFConstants

Windows sandbox broker terminated in shutdown.

CEF_RESULT_CODE_SANDBOX_FATAL_CACHEDISABLE uCEFConstants

Windows sandbox failed to forbid HCKU caching.

CEF_RESULT_CODE_SANDBOX_FATAL_CLOSEHANDLES uCEFConstants

Windows sandbox failed to close pending handles.

CEF_RESULT_CODE_SANDBOX_FATAL_DROPTOKEN uCEFConstants

Windows sandbox could not lower the token.

CEF_RESULT_CODE_SANDBOX_FATAL_FIRST uCEFConstants

First Sandbox result code.

CEF_RESULT_CODE_SANDBOX_FATAL_FLUSHANDLES uCEFConstants

Windows sandbox failed to flush registry handles.

CEF_RESULT_CODE_SANDBOX_FATAL_INTEGRITY uCEFConstants

Windows sandbox could not set the integrity level.

CEF_RESULT_CODE_SANDBOX_FATAL_LAST uCEFConstants

Last Sandbox result code.

CEF_RESULT_CODE_SANDBOX_FATAL_MEMORY_EXCEEDED uCEFConstants

Windows sandbox exceeded the job memory limit.

CEF_RESULT_CODE_SANDBOX_FATAL_MITIGATION uCEFConstants

Windows sandbox could not set the mitigation policy.

CEF_RESULT_CODE_SANDBOX_FATAL_WARMUP uCEFConstants

Windows sandbox failed to warmup.

CEF_RESULT_CODE_SHELL_INTEGRATION_FAILED uCEFConstants

Failed to make Chrome default browser (not used?).

CEF_RESULT_CODE_SXS_MIGRATION_FAILED_NOT_USED uCEFConstants

Failed to migrate user data directory for side-by-side package support (Linux-only).

CEF_RESULT_CODE_SYSTEM_RESOURCE_EXHAUSTED uCEFConstants

The browser process exited because system resource are exhausted. The system state can't be recovered and will be unstable.

CEF_RESULT_CODE_TERMINATED_BY_OTHER_PROCESS_ON_COMMIT_FAILURE uCEFConstants

Upon encountering a commit failure in a process, PartitionAlloc terminated another process deemed less important.

CEF_RESULT_CODE_UNINSTALL_CHROME_ALIVE uCEFConstants

Uninstall detected another chrome instance.

CEF_RESULT_CODE_UNINSTALL_DELETE_PROFILE uCEFConstants

Delete profile as well during uninstall.

CEF_RESULT_CODE_UNINSTALL_EXTENSION_ERROR uCEFConstants

Failed to silently uninstall an extension.

CEF_RESULT_CODE_UNINSTALL_USER_CANCEL uCEFConstants

The user changed their mind.

CEF_RESULT_CODE_UNSUPPORTED_PARAM uCEFConstants

Command line parameter is not supported.

CEF_SCHEME_OPTION_CORS_ENABLED uCEFConstants

If CEF_SCHEME_OPTION_CORS_ENABLED is set the scheme can be sent CORS requests. This value should be set in most cases where CEF_SCHEME_OPTION_STANDARD is set.

CEF_SCHEME_OPTION_CSP_BYPASSING uCEFConstants

If CEF_SCHEME_OPTION_CSP_BYPASSING is set the scheme can bypass Content- Security-Policy (CSP) checks. This value should not be set in most cases where CEF_SCHEME_OPTION_STANDARD is set.

CEF_SCHEME_OPTION_DISPLAY_ISOLATED uCEFConstants

If CEF_SCHEME_OPTION_DISPLAY_ISOLATED is set the scheme can only be displayed from other content hosted with the same scheme. For example, pages in other origins cannot create iframes or hyperlinks to URLs with the scheme. For schemes that must be accessible from other schemes don't set this, set CEF_SCHEME_OPTION_CORS_ENABLED, and use CORS "Access-Control-Allow-Origin" headers to further restrict access.

CEF_SCHEME_OPTION_FETCH_ENABLED uCEFConstants

If CEF_SCHEME_OPTION_FETCH_ENABLED is set the scheme can perform Fetch API requests.

CEF_SCHEME_OPTION_LOCAL uCEFConstants

If CEF_SCHEME_OPTION_LOCAL is set the scheme will be treated with the same security rules as those applied to "file" URLs. Normal pages cannot link to or access local URLs. Also, by default, local URLs can only perform XMLHttpRequest calls to the same URL (origin + path) that originated the request. To allow XMLHttpRequest calls from a local URL to other URLs with the same origin set the CefSettings.file_access_from_file_urls_allowed value to true (1). To allow XMLHttpRequest calls from a local URL to all origins set the CefSettings.universal_access_from_file_urls_allowed value to true (1).

CEF_SCHEME_OPTION_NONE uCEFConstants

No options.

CEF_SCHEME_OPTION_SECURE uCEFConstants

If CEF_SCHEME_OPTION_SECURE is set the scheme will be treated with the same security rules as those applied to "https" URLs. For example, loading this scheme from other secure schemes will not trigger mixed content warnings.

CEF_SCHEME_OPTION_STANDARD uCEFConstants

If CEF_SCHEME_OPTION_STANDARD is set the scheme will be treated as a standard scheme. Standard schemes are subject to URL canonicalization and parsing rules as defined in the Common Internet Scheme Syntax RFC 1738 Section 3.1 available at http://www.ietf.org/rfc/rfc1738.txt

In particular, the syntax for standard scheme URLs must be of the form: <pre> [scheme]://[username]:[password]@[host]:[port]/[url-path] </pre> Standard scheme URLs must have a host component that is a fully qualified domain name as defined in Section 3.5 of RFC 1034 [13] and Section 2.1 of RFC 1123. These URLs will be canonicalized to "scheme://host/path" in the simplest case and "scheme://username:password@host:port/path" in the most explicit case. For example, "scheme:host/path" and "scheme:///host/path" will both be canonicalized to "scheme://host/path". The origin of a standard scheme URL is the combination of scheme, host and port (i.e., "scheme://host:port" in the most explicit case).

For non-standard scheme URLs only the "scheme:" component is parsed and canonicalized. The remainder of the URL will be passed to the handler as- is. For example, "scheme:///some%20text" will remain the same. Non-standard scheme URLs cannot be used as a target for form submission.

CEF_SENTINEL_DOCLOSE uCEFConstants

CEF_SENTINEL_START uCEFConstants

CEF_SETTINGS_URL uCEFConstants

CEF_SHOW_STATE_FULLSCREEN uCEFConstants

Show the window as fullscreen.

CEF_SHOW_STATE_HIDDEN uCEFConstants

Show the window as hidden (no dock thumbnail). Only supported on MacOS..

CEF_SHOW_STATE_MAXIMIZED uCEFConstants

Show the window as maximized.

CEF_SHOW_STATE_MINIMIZED uCEFConstants

Show the window as minimized.

CEF_SHOW_STATE_NORMAL uCEFConstants

Show the window as normal.

CEF_SHOW_STATE_NUM_VALUES uCEFConstants

Number of TCefShowState values

CEF_STARTDRAGGING uCEFConstants

CEF_SUPPORTED_VERSION_BUILD uCEFApplication

CEF_SUPPORTED_VERSION_BUILD uCEFApplicationCore

CEF_SUPPORTED_VERSION_MAJOR uCEFApplication

CEF_SUPPORTED_VERSION_MAJOR uCEFApplicationCore

CEF_SUPPORTED_VERSION_MINOR uCEFApplication

CEF_SUPPORTED_VERSION_MINOR uCEFApplicationCore

CEF_SUPPORTED_VERSION_RELEASE uCEFApplication

CEF_SUPPORTED_VERSION_RELEASE uCEFApplicationCore

CEF_TFC_COPY uCEFConstants

CEF_TFC_CUT uCEFConstants

CEF_TFC_DELETE uCEFConstants

CEF_TFC_NUM_VALUES uCEFConstants

CEF_TFC_PASTE uCEFConstants

CEF_TFC_SELECT_ALL uCEFConstants

CEF_TFC_SELECT_WORD uCEFConstants

CEF_TFC_UNDO uCEFConstants

CEF_TFC_UNKNOWN uCEFConstants

Represents commands available to TextField. Should be kept in sync with Chromium's views::TextField::MenuCommands type.

CEF_THS_FLAG_ALPHA uCEFConstants

CEF_THS_FLAG_ENABLED uCEFConstants

CEF_THS_FLAG_NONE uCEFConstants

Values indicating what state of the touch handle is set.

CEF_THS_FLAG_ORIENTATION uCEFConstants

CEF_THS_FLAG_ORIGIN uCEFConstants

CEF_TIMER_DEPLETEWORK_CYCLES uCEFConstants

CEF_TIMER_DEPLETEWORK_DELAY uCEFConstants

CEF_TIMER_MAXDELAY uCEFConstants

CEF_TIMER_MAXIMUM uCEFConstants

CEF_TIMER_MINIMUM uCEFConstants

Used when the shared textures are enabled.
CEF_URLS_URL uCEFConstants

CEF_VERSION_URL uCEFConstants

CERT_STATUS_AUTHORITY_INVALID uCEFConstants

CERT_STATUS_COMMON_NAME_INVALID uCEFConstants

CERT_STATUS_CT_COMPLIANCE_FAILED uCEFConstants

CERT_STATUS_DATE_INVALID uCEFConstants

CERT_STATUS_FIRST_ERROR uCEFConstants

CERT_STATUS_INVALID uCEFConstants

CERT_STATUS_IS_EV uCEFConstants

CERT_STATUS_LAST_ERROR uCEFConstants

CERT_STATUS_NAME_CONSTRAINT_VIOLATION uCEFConstants

CERT_STATUS_NONE uCEFConstants

Supported certificate status code values. See net\cert\cert_status_flags.h for more information. CERT_STATUS_NONE is new in CEF because we use an enum while cert_status_flags.h uses a typedef and static const variables.

CERT_STATUS_NON_UNIQUE_NAME uCEFConstants

CERT_STATUS_NO_REVOCATION_MECHANISM uCEFConstants

CERT_STATUS_PINNED_KEY_MISSING uCEFConstants

CERT_STATUS_REVOKED uCEFConstants

CERT_STATUS_REV_CHECKING_ENABLED uCEFConstants

CERT_STATUS_SHA1_SIGNATURE_PRESENT uCEFConstants

CERT_STATUS_UNABLE_TO_CHECK_REVOCATION uCEFConstants

CERT_STATUS_VALIDITY_TOO_LONG uCEFConstants

CERT_STATUS_WEAK_KEY uCEFConstants

CERT_STATUS_WEAK_SIGNATURE_ALGORITHM uCEFConstants

CHROMEELF_DLL uCEFApplication

CHROMEELF_DLL uCEFApplicationCore

CHROMIUM_NONBROWSERSHUTDOWNPRIORITY uCEFConstants

This constant is defined by Chromium in chrome/app/main_dll_loader_win.cc It's used with SetProcessShutdownParameters to set a shutdown priority for the subprocesses. $280 is the default value for applications.
CM_EDITFLAG_CAN_COPY uCEFConstants

CM_EDITFLAG_CAN_CUT uCEFConstants

CM_EDITFLAG_CAN_DELETE uCEFConstants

CM_EDITFLAG_CAN_EDIT_RICHLY uCEFConstants

CM_EDITFLAG_CAN_PASTE uCEFConstants

CM_EDITFLAG_CAN_REDO uCEFConstants

CM_EDITFLAG_CAN_SELECT_ALL uCEFConstants

CM_EDITFLAG_CAN_TRANSLATE uCEFConstants

CM_EDITFLAG_CAN_UNDO uCEFConstants

CM_EDITFLAG_NONE uCEFConstants

Supported context menu edit state bit flags. These constants match their equivalents in Chromium's ContextMenuDataEditFlags and should not be renumbered.

CM_MEDIAFLAG_CAN_LOOP uCEFConstants

CM_MEDIAFLAG_CAN_PICTURE_IN_PICTURE uCEFConstants

CM_MEDIAFLAG_CAN_PRINT uCEFConstants

CM_MEDIAFLAG_CAN_ROTATE uCEFConstants

CM_MEDIAFLAG_CAN_SAVE uCEFConstants

CM_MEDIAFLAG_CAN_TOGGLE_CONTROLS uCEFConstants

CM_MEDIAFLAG_CONTROLS uCEFConstants

CM_MEDIAFLAG_HAS_AUDIO uCEFConstants

CM_MEDIAFLAG_IN_ERROR uCEFConstants

CM_MEDIAFLAG_LOOP uCEFConstants

CM_MEDIAFLAG_MUTED uCEFConstants

CM_MEDIAFLAG_NONE uCEFConstants

Supported context menu media state bit flags. These constants match their equivalents in Chromium's ContextMenuData::MediaFlags and should not be renumbered.

CM_MEDIAFLAG_PAUSED uCEFConstants

CM_MEDIAFLAG_PICTURE_IN_PICTURE uCEFConstants

CM_TYPEFLAG_EDITABLE uCEFConstants

An editable element is selected.

CM_TYPEFLAG_FRAME uCEFConstants

A subframe page is selected.

CM_TYPEFLAG_LINK uCEFConstants

A link is selected.

CM_TYPEFLAG_MEDIA uCEFConstants

A media node is selected.

CM_TYPEFLAG_NONE uCEFConstants

No node is selected.

CM_TYPEFLAG_PAGE uCEFConstants

The top page is selected.

CM_TYPEFLAG_SELECTION uCEFConstants

There is a textual or mixed selection that is selected.

COMMAND_ID_FIRST_UNBOUNDED uCEFConstants

command_id constants declared in cef_command_ids.h and used by some callbacks in ICefCommandHandler cef_command_ids.h is generated in /include/cef_command_ids.h

CRLF uCEFConstants

CUSTOM_ARRAY_LENGTH uCEFOLEDragAndDrop

DEFAULT_BLINK_BACKGROUND_COLOR uCEFOSRIMEHandler

Black SkColor
DEFAULT_BLINK_UNDERLINE_COLOR uCEFOSRIMEHandler

DEFAULT_BLINK_UNDERLINE_STYLE uCEFOSRIMEHandler

White SkColor
DEFAULT_CEFSERVER_ADDRESS uCEFServerComponent

DEFAULT_CEFSERVER_BACKLOG uCEFServerComponent

DEFAULT_CEFSERVER_PORT uCEFServerComponent

DEFAULT_REDIRECT_IPV4_HOST uCEFOAuth2Helper

REFERENCES : ============ https://tools.ietf.org/html/rfc6749 https://tools.ietf.org/html/rfc6750 https://tools.ietf.org/html/rfc8252 https://tools.ietf.org/html/rfc6819 https://tools.ietf.org/html/rfc7636 https://tools.ietf.org/html/draft-ietf-oauth-native-apps-12 https://tools.ietf.org/html/draft-ietf-oauth-security-topics-13 https://developers.google.com/identity/protocols/OAuth2 https://developers.google.com/identity/protocols/OAuth2InstalledApp https://developers.google.com/identity/protocols/googlescopes https://developers.google.com/identity/protocols/OpenIDConnect https://aaronparecki.com/oauth-2-simplified/ https://example-app.com/pkce
DEFAULT_REDIRECT_IPV6_HOST uCEFOAuth2Helper

DEFAULT_REDIRECT_PORT uCEFOAuth2Helper

DEVTOOLS_WINDOWNAME uCEFConstants

DOM_EVENT_CATEGORY_BEFORE_TEXT_INSERTED uCEFConstants

DOM event category flag.

DOM_EVENT_CATEGORY_CLIPBOARD uCEFConstants

DOM event category flag.

DOM_EVENT_CATEGORY_COMPOSITION uCEFConstants

DOM event category flag.

DOM_EVENT_CATEGORY_DRAG uCEFConstants

DOM event category flag.

DOM_EVENT_CATEGORY_KEYBOARD uCEFConstants

DOM event category flag.

DOM_EVENT_CATEGORY_MESSAGE uCEFConstants

DOM event category flag.

DOM_EVENT_CATEGORY_MOUSE uCEFConstants

DOM event category flag.

DOM_EVENT_CATEGORY_MUTATION uCEFConstants

DOM event category flag.

DOM_EVENT_CATEGORY_OVERFLOW uCEFConstants

DOM event category flag.

DOM_EVENT_CATEGORY_PAGE_TRANSITION uCEFConstants

DOM event category flag.

DOM_EVENT_CATEGORY_POPSTATE uCEFConstants

DOM event category flag.

DOM_EVENT_CATEGORY_PROGRESS uCEFConstants

DOM event category flag.

DOM_EVENT_CATEGORY_TEXT uCEFConstants

DOM event category flag.

DOM_EVENT_CATEGORY_UI uCEFConstants

DOM event category flag.

DOM_EVENT_CATEGORY_UNKNOWN uCEFConstants

DOM event category flag.

DOM_EVENT_CATEGORY_WHEEL uCEFConstants

DOM event category flag.

DOM_EVENT_CATEGORY_XMLHTTPREQUEST_PROGRESS uCEFConstants

DOM event category flag.

DRAG_OPERATION_COPY uCEFConstants

"Verb" of a drag-and-drop operation as negotiated between the source and destination.

DRAG_OPERATION_DELETE uCEFConstants

"Verb" of a drag-and-drop operation as negotiated between the source and destination.

DRAG_OPERATION_EVERY uCEFConstants

"Verb" of a drag-and-drop operation as negotiated between the source and destination.

DRAG_OPERATION_GENERIC uCEFConstants

"Verb" of a drag-and-drop operation as negotiated between the source and destination.

DRAG_OPERATION_LINK uCEFConstants

"Verb" of a drag-and-drop operation as negotiated between the source and destination.

DRAG_OPERATION_MOVE uCEFConstants

"Verb" of a drag-and-drop operation as negotiated between the source and destination.

DRAG_OPERATION_NONE uCEFConstants

"Verb" of a drag-and-drop operation as negotiated between the source and destination.

DRAG_OPERATION_PRIVATE uCEFConstants

"Verb" of a drag-and-drop operation as negotiated between the source and destination.

DUPLEX_MODE_LONG_EDGE uCEFConstants

DUPLEX_MODE_NUM_VALUES uCEFConstants

DUPLEX_MODE_SHORT_EDGE uCEFConstants

DUPLEX_MODE_SIMPLEX uCEFConstants

DUPLEX_MODE_UNKNOWN uCEFConstants

Print job duplex mode values.

ERR_ABORTED uCEFConstants

An operation was aborted (due to user action).

ERR_ACCESS_DENIED uCEFConstants

Permission to access a resource, other than the network, was denied.

ERR_ADDRESS_INVALID uCEFConstants

The IP address or port number is invalid (e.g., cannot connect to the IP address 0 or the port 0).

ERR_ADDRESS_IN_USE uCEFConstants

Returned when attempting to bind an address that is already in use.

ERR_ADDRESS_UNREACHABLE uCEFConstants

The IP address is unreachable. This usually means that there is no route to the specified host or network.

ERR_ADD_USER_CERT_FAILED uCEFConstants

An error adding a certificate to the OS certificate database.

ERR_ALPN_NEGOTIATION_FAILED uCEFConstants

The request to negotiate an alternate protocol failed.

ERR_BAD_SSL_CLIENT_AUTH_CERT uCEFConstants

The SSL handshake failed because of a bad or missing client certificate.

ERR_BLOB_DEREFERENCED_WHILE_BUILDING uCEFConstants

The renderer destructed the blob before it was done transferring, and there were no outstanding references (no one is waiting to read) to keep the blob alive.

ERR_BLOB_FILE_WRITE_FAILED uCEFConstants

We couldn't create or write to a file. File system error, like a full disk.

ERR_BLOB_INVALID_CONSTRUCTION_ARGUMENTS uCEFConstants

The following errors are for mapped from a subset of invalid storage::BlobStatus. The construction arguments are invalid. This is considered a bad IPC.

ERR_BLOB_OUT_OF_MEMORY uCEFConstants

We don't have enough memory for the blob.

ERR_BLOB_REFERENCED_BLOB_BROKEN uCEFConstants

A blob that we referenced during construction is broken, or a browser-side builder tries to build a blob with a blob reference that isn't finished constructing.

ERR_BLOB_REFERENCED_FILE_UNAVAILABLE uCEFConstants

A file that we referenced during construction is not accessible to the renderer trying to create the blob.

ERR_BLOB_SOURCE_DIED_IN_TRANSIT uCEFConstants

The renderer was destroyed while data was in transit.

ERR_BLOCKED_BY_ADMINISTRATOR uCEFConstants

The request was blocked by the URL block list configured by the domain administrator.

ERR_BLOCKED_BY_CLIENT uCEFConstants

The client chose to block the request.

ERR_BLOCKED_BY_CSP uCEFConstants

The request was blocked by a Content Security Policy

ERR_BLOCKED_BY_FINGERPRINTING_PROTECTION uCEFConstants

The request was blocked by fingerprinting protections.

ERR_BLOCKED_BY_ORB uCEFConstants

The request was blocked by CORB or ORB.

ERR_BLOCKED_BY_PRIVATE_NETWORK_ACCESS_CHECKS uCEFConstants

The connection is blocked by private network access checks.

ERR_BLOCKED_BY_RESPONSE uCEFConstants

The request failed because the response was delivered along with requirements which are not met ('X-Frame-Options' and 'Content-Security-Policy' ancestor checks and 'Cross-Origin-Resource-Policy' for instance).

ERR_CACHED_IP_ADDRESS_SPACE_BLOCKED_BY_PRIVATE_NETWORK_ACCESS_POLICY uCEFConstants

The IP address space of the cached remote endpoint is blocked by private network access check.

ERR_CACHE_AUTH_FAILURE_AFTER_READ uCEFConstants

Received a challenge after the transaction has read some data, and the credentials aren't available. There isn't a way to get them at that point.

ERR_CACHE_CHECKSUM_MISMATCH uCEFConstants

The cache found an entry with an invalid checksum. This can be returned from attempts to read from the cache. It is an internal error, returned by the SimpleCache backend, but not by any URLRequest methods or members.

ERR_CACHE_CHECKSUM_READ_FAILURE uCEFConstants

The cache was unable to read a checksum record on an entry. This can be returned from attempts to read from the cache. It is an internal error, returned by the SimpleCache backend, but not by any URLRequest methods or members.

ERR_CACHE_CREATE_FAILURE uCEFConstants

The disk cache is unable to create this entry.

ERR_CACHE_DOOM_FAILURE uCEFConstants

The disk cache is unable to doom this entry.

ERR_CACHE_ENTRY_NOT_SUITABLE uCEFConstants

Internal not-quite error code for the HTTP cache. In-memory hints suggest that the cache entry would not have been usable with the transaction's current configuration (e.g. load flags, mode, etc.)

ERR_CACHE_LOCK_TIMEOUT uCEFConstants

Internal error code for the HTTP cache. The cache lock timeout has fired.

ERR_CACHE_MISS uCEFConstants

The cache does not have the requested entry.

ERR_CACHE_OPEN_FAILURE uCEFConstants

The disk cache is unable to open this entry.

ERR_CACHE_OPEN_OR_CREATE_FAILURE uCEFConstants

The disk cache is unable to open or create this entry.

ERR_CACHE_OPERATION_NOT_SUPPORTED uCEFConstants

The operation is not supported for this entry.

ERR_CACHE_RACE uCEFConstants

Multiple transactions are racing to create disk cache entries. This is an internal error returned from the HttpCache to the HttpCacheTransaction that tells the transaction to restart the entry-creation logic because the state of the cache has changed.

ERR_CACHE_READ_FAILURE uCEFConstants

Unable to read from the disk cache.

ERR_CACHE_WRITE_FAILURE uCEFConstants

Unable to write to the disk cache.

ERR_CERTIFICATE_TRANSPARENCY_REQUIRED uCEFConstants

Certificate Transparency was required for this connection, but the server did not provide CT information that complied with the policy.

ERR_CERT_AUTHORITY_INVALID uCEFConstants

The server responded with a certificate that is signed by an authority we don't trust. The could mean:

1. An attacker has substituted the real certificate for a cert that contains their public key and is signed by their cousin.

2. The server operator has a legitimate certificate from a CA we don't know about, but should trust.

3. The server is presenting a self-signed certificate, providing no defense against active attackers (but foiling passive attackers).

ERR_CERT_COMMON_NAME_INVALID uCEFConstants

The server responded with a certificate whose common name did not match the host name. This could mean:

1. An attacker has redirected our traffic to their server and is presenting a certificate for which they know the private key.

2. The server is misconfigured and responding with the wrong cert.

3. The user is on a wireless network and is being redirected to the network's login page.

4. The OS has used a DNS search suffix and the server doesn't have a certificate for the abbreviated name in the address bar.

ERR_CERT_CONTAINS_ERRORS uCEFConstants

The server responded with a certificate that contains errors. This error is not recoverable.

MSDN describes this error as follows: "The SSL certificate contains errors." NOTE: It's unclear how this differs from ERR_CERT_INVALID. For consistency, use that code instead of this one from now on.

ERR_CERT_DATABASE_CHANGED uCEFConstants

The certificate database changed in some way.

ERR_CERT_DATE_INVALID uCEFConstants

The server responded with a certificate that, by our clock, appears to either not yet be valid or to have expired. This could mean:

1. An attacker is presenting an old certificate for which they have managed to obtain the private key.

2. The server is misconfigured and is not presenting a valid cert.

3. Our clock is wrong.

ERR_CERT_END uCEFConstants

The value immediately past the last certificate error code.

ERR_CERT_INVALID uCEFConstants

The server responded with a certificate that is invalid. This error is not recoverable.

MSDN describes this error as follows: "The SSL certificate is invalid."

ERR_CERT_KNOWN_INTERCEPTION_BLOCKED uCEFConstants

The certificate is known to be used for interception by an entity other the device owner.

ERR_CERT_NAME_CONSTRAINT_VIOLATION uCEFConstants

The certificate claimed DNS names that are in violation of name constraints.

ERR_CERT_NON_UNIQUE_NAME uCEFConstants

The host name specified in the certificate is not unique.

ERR_CERT_NO_REVOCATION_MECHANISM uCEFConstants

The certificate has no mechanism for determining if it is revoked. In effect, this certificate cannot be revoked.

ERR_CERT_REVOKED uCEFConstants

The server responded with a certificate has been revoked. We have the capability to ignore this error, but it is probably not the thing to do.

ERR_CERT_SELF_SIGNED_LOCAL_NETWORK uCEFConstants

-218 was SSL_OBSOLETE_VERSION which is not longer used. TLS 1.0/1.1 instead cause SSL_VERSION_OR_CIPHER_MISMATCH now. The certificate is self signed and it's being used for either an RFC1918 IP literal URL, or a url ending in .local.

ERR_CERT_UNABLE_TO_CHECK_REVOCATION uCEFConstants

Revocation information for the security certificate for this site is not available. This could mean:

1. An attacker has compromised the private key in the certificate and is blocking our attempt to find out that the cert was revoked.

2. The certificate is unrevoked, but the revocation server is busy or unavailable.

ERR_CERT_VALIDITY_TOO_LONG uCEFConstants

The certificate's validity period is too long.

ERR_CERT_VERIFIER_CHANGED uCEFConstants

The certificate verifier configuration changed in some way.

ERR_CERT_WEAK_KEY uCEFConstants

The server responded with a certificate that contains a weak key (e.g. a too-small RSA key).

ERR_CERT_WEAK_SIGNATURE_ALGORITHM uCEFConstants

The server responded with a certificate that is signed using a weak signature algorithm.

ERR_CLEARTEXT_NOT_PERMITTED uCEFConstants

The request was blocked by system policy disallowing some or all cleartext requests. Used for NetworkSecurityPolicy on Android.

ERR_CLIENT_AUTH_CERT_TYPE_UNSUPPORTED uCEFConstants

Server request for client certificate did not contain any types we support.

ERR_CONNECTION_ABORTED uCEFConstants

A connection timed out as a result of not receiving an ACK for data sent. This can include a FIN packet that did not get ACK'd.

ERR_CONNECTION_CLOSED uCEFConstants

A connection was closed (corresponding to a TCP FIN).

ERR_CONNECTION_FAILED uCEFConstants

A connection attempt failed.

ERR_CONNECTION_REFUSED uCEFConstants

A connection attempt was refused.

ERR_CONNECTION_RESET uCEFConstants

A connection was reset (corresponding to a TCP RST).

ERR_CONNECTION_TIMED_OUT uCEFConstants

A connection attempt timed out.

ERR_CONTENT_DECODING_FAILED uCEFConstants

Content decoding of the response body failed.

ERR_CONTENT_DECODING_INIT_FAILED uCEFConstants

Initializing content decoding failed.

ERR_CONTENT_LENGTH_MISMATCH uCEFConstants

The HTTP response body transferred fewer bytes than were advertised by the Content-Length header when the connection is closed.

ERR_CONTEXT_SHUT_DOWN uCEFConstants

The request failed because the URLRequestContext is shutting down, or has been shut down.

ERR_CT_CONSISTENCY_PROOF_PARSING_FAILED uCEFConstants

Certificate Transparency: Failed to parse the received consistency proof.

ERR_CT_STH_INCOMPLETE uCEFConstants

Certificate Transparency: Received a signed tree head whose JSON parsing was OK but was missing some of the fields.

ERR_CT_STH_PARSING_FAILED uCEFConstants

Certificate Transparency: Received a signed tree head that failed to parse.

ERR_DICTIONARY_LOAD_FAILED uCEFConstants

The compression dictionary cannot be loaded.

ERR_DISALLOWED_URL_SCHEME uCEFConstants

The scheme of the URL is disallowed.

ERR_DNS_MALFORMED_RESPONSE uCEFConstants

DNS resolver received a malformed response.

ERR_DNS_NAME_HTTPS_ONLY uCEFConstants

DNS identified the request as disallowed for insecure connection (http/ws). Error should be handled as if an HTTP redirect was received to redirect to https or wss.

ERR_DNS_NO_MATCHING_SUPPORTED_ALPN uCEFConstants

The hostname resolution of HTTPS record was expected to be resolved with alpn values of supported protocols, but did not.

ERR_DNS_REQUEST_CANCELLED uCEFConstants

All DNS requests associated with this job have been cancelled.

ERR_DNS_SEARCH_EMPTY uCEFConstants

Suffix search list rules prevent resolution of the given host name.

ERR_DNS_SECURE_PROBE_RECORD_INVALID uCEFConstants

When checking whether secure DNS can be used, the response returned for the requested probe record either had no answer or was invalid.

ERR_DNS_SECURE_RESOLVER_HOSTNAME_RESOLUTION_FAILED uCEFConstants

Failed to resolve the hostname of a DNS-over-HTTPS server.

ERR_DNS_SERVER_FAILED uCEFConstants

DNS server failed. This error is returned for all of the following error conditions: 1 - Format error - The name server was unable to interpret the query. 2 - Server failure - The name server was unable to process this query due to a problem with the name server. 4 - Not Implemented - The name server does not support the requested kind of query. 5 - Refused - The name server refuses to perform the specified operation for policy reasons.

ERR_DNS_SERVER_REQUIRES_TCP uCEFConstants

DNS server requires TCP

ERR_DNS_SORT_ERROR uCEFConstants

Failed to sort addresses according to RFC3484.

ERR_DNS_TIMED_OUT uCEFConstants

DNS transaction timed out.

ERR_EARLY_DATA_REJECTED uCEFConstants

TLS 1.3 early data was rejected by the server. This will be received before any data is returned from the socket. The request should be retried with early data disabled.

ERR_ECH_FALLBACK_CERTIFICATE_INVALID uCEFConstants

ECH was enabled, the server was unable to decrypt the encrypted ClientHello, and additionally did not present a certificate valid for the public name.

ERR_ECH_NOT_NEGOTIATED uCEFConstants

ECH was enabled, but the server was unable to decrypt the encrypted ClientHello.

ERR_EMPTY_RESPONSE uCEFConstants

The server closed the connection without sending any data.

ERR_ENCODING_CONVERSION_FAILED uCEFConstants

Converting the response to target encoding failed.

ERR_ENCODING_DETECTION_FAILED uCEFConstants

Detecting the encoding of the response failed.

ERR_FAILED uCEFConstants

A generic failure occurred.

ERR_FILE_EXISTS uCEFConstants

The file already exists.

ERR_FILE_NOT_FOUND uCEFConstants

The file or directory cannot be found.

ERR_FILE_NO_SPACE uCEFConstants

Not enough room left on the disk.

ERR_FILE_PATH_TOO_LONG uCEFConstants

The path or file name is too long.

ERR_FILE_TOO_BIG uCEFConstants

The file is too large.

ERR_FILE_VIRUS_INFECTED uCEFConstants

The file has a virus.

ERR_HOST_RESOLVER_QUEUE_TOO_LARGE uCEFConstants

There are too many pending DNS resolves, so a request in the queue was aborted.

ERR_HTTPS_PROXY_TUNNEL_RESPONSE_REDIRECT uCEFConstants

A request to create an SSL tunnel connection through the HTTPS proxy received a 302 (temporary redirect) response. The response body might include a description of why the request failed.

TODO(crbug.com/40093955): This is deprecated and should not be used by new code.

ERR_HTTP_1_1_REQUIRED uCEFConstants

HTTP_1_1_REQUIRED error code received on HTTP/2 session.

ERR_HTTP_RESPONSE_CODE_FAILURE uCEFConstants

The server returned a non-2xx HTTP response code.

Note that this error is only used by certain APIs that interpret the HTTP response itself. URLRequest for instance just passes most non-2xx response back as success.

ERR_ICANN_NAME_COLLISION uCEFConstants

Resolving a hostname to an IP address list included the IPv4 address "127.0.53.53". This is a special IP address which ICANN has recommended to indicate there was a name collision, and alert admins to a potential problem.

ERR_IMPORT_CA_CERT_FAILED uCEFConstants

CA import failed due to some other error.

ERR_IMPORT_CA_CERT_NOT_CA uCEFConstants

CA import failed - not a CA cert.

ERR_IMPORT_CERT_ALREADY_EXISTS uCEFConstants

Import failed - certificate already exists in database. Note it's a little weird this is an error but reimporting a PKCS12 is ok (no-op). That's how Mozilla does it, though.

ERR_IMPORT_SERVER_CERT_FAILED uCEFConstants

Server certificate import failed due to some internal error.

ERR_INCOMPLETE_CHUNKED_ENCODING uCEFConstants

The HTTP response body is transferred with Chunked-Encoding, but the terminating zero-length chunk was never sent when the connection is closed.

ERR_INCOMPLETE_SPDY_HEADERS uCEFConstants

HTTP/2 headers have been received, but not all of them - status or version headers are missing, so we're expecting additional frames to complete them.

ERR_INCONSISTENT_IP_ADDRESS_SPACE uCEFConstants

The IP address space of the remote endpoint differed from the previous observed value during the same request. Any cache entry for the affected request should be invalidated.

ERR_INSECURE_RESPONSE uCEFConstants

The server's response was insecure (e.g. there was a cert error).

ERR_INSUFFICIENT_RESOURCES uCEFConstants

There were not enough resources to complete the operation.

ERR_INTERNET_DISCONNECTED uCEFConstants

The Internet connection has been lost.

ERR_INVALID_ARGUMENT uCEFConstants

An argument to the function is incorrect.

ERR_INVALID_AUTH_CREDENTIALS uCEFConstants

Credentials could not be established during HTTP Authentication.

ERR_INVALID_CHUNKED_ENCODING uCEFConstants

Error in chunked transfer encoding.

ERR_INVALID_ECH_CONFIG_LIST uCEFConstants

The ECHConfigList fetched over DNS cannot be parsed.

ERR_INVALID_HANDLE uCEFConstants

The handle or file descriptor is invalid.

ERR_INVALID_HTTP_RESPONSE uCEFConstants

The server was expected to return an HTTP/1.x response, but did not. Rather than treat it as HTTP/0.9, this error is returned.

ERR_INVALID_REDIRECT uCEFConstants

Attempting to load an URL resulted in a redirect to an invalid URL.

ERR_INVALID_RESPONSE uCEFConstants

The server's response was invalid.

ERR_INVALID_SIGNED_EXCHANGE uCEFConstants

An error occurred while handling a signed exchange.

ERR_INVALID_URL uCEFConstants

The URL is invalid.

ERR_INVALID_WEB_BUNDLE uCEFConstants

An error occurred while handling a Web Bundle source.

ERR_IO_PENDING uCEFConstants

An asynchronous IO operation is not yet complete. This usually does not indicate a fatal error. Typically this error will be generated as a notification to wait for some external notification that the IO operation finally completed.

ERR_KEY_GENERATION_FAILED uCEFConstants

Key generation failed.

ERR_MALFORMED_IDENTITY uCEFConstants

The identity used for authentication is invalid.

ERR_MANDATORY_PROXY_CONFIGURATION_FAILED uCEFConstants

A mandatory proxy configuration could not be used. Currently this means that a mandatory PAC script could not be fetched, parsed or executed.

ERR_METHOD_NOT_SUPPORTED uCEFConstants

The server did not support the request method.

ERR_MISCONFIGURED_AUTH_ENVIRONMENT uCEFConstants

The environment was not set up correctly for authentication. For example, no KDC could be found or the principal is unknown.

ERR_MISSING_AUTH_CREDENTIALS uCEFConstants

(GSSAPI) No Kerberos credentials were available during HTTP Authentication.

ERR_MSG_TOO_BIG uCEFConstants

The message was too large for the transport. (for example a UDP message which exceeds size threshold).

ERR_NAME_NOT_RESOLVED uCEFConstants

The host name could not be resolved.

ERR_NAME_RESOLUTION_FAILED uCEFConstants

An error occurred when trying to do a name resolution (DNS).

ERR_NETWORK_ACCESS_DENIED uCEFConstants

Permission to access the network was denied. This is used to distinguish errors that were most likely caused by a firewall from other access denied errors. See also ERR_ACCESS_DENIED.

ERR_NETWORK_ACCESS_REVOKED uCEFConstants

The request was blocked because it originated from a frame that has disabled network access.

ERR_NETWORK_CHANGED uCEFConstants

The network changed.

ERR_NETWORK_IO_SUSPENDED uCEFConstants

An operation could not be completed because all network IO is suspended.

ERR_NONE uCEFConstants

No error.

ERR_NOT_IMPLEMENTED uCEFConstants

The operation failed because of unimplemented functionality.

ERR_NO_BUFFER_SPACE uCEFConstants

No socket buffer space is available.

ERR_NO_PRIVATE_KEY_FOR_CERT uCEFConstants

An attempt to import a client certificate failed, as the user's key database lacked a corresponding private key.

ERR_NO_SSL_VERSIONS_ENABLED uCEFConstants

No SSL protocol versions are enabled.

ERR_NO_SUPPORTED_PROXIES uCEFConstants

There are no supported proxies in the provided list.

ERR_NS_CACHE_MISS uCEFConstants

The entry was not found in cache or other local sources, for lookups where only local sources were queried. TODO(ericorth): Consider renaming to DNS_LOCAL_MISS or something like that as the cache is not necessarily queried either.

ERR_OUT_OF_MEMORY uCEFConstants

Memory allocation failed.

ERR_PAC_NOT_IN_DHCP uCEFConstants

No PAC URL configuration could be retrieved from DHCP. This can indicate either a failure to retrieve the DHCP configuration, or that there was no PAC URL configured in DHCP.

ERR_PAC_SCRIPT_FAILED uCEFConstants

The evaluation of the PAC script failed.

ERR_PAC_SCRIPT_TERMINATED uCEFConstants

The PAC script terminated fatally and must be reloaded.

ERR_PKCS12_IMPORT_BAD_PASSWORD uCEFConstants

PKCS #12 import failed due to incorrect password.

ERR_PKCS12_IMPORT_FAILED uCEFConstants

PKCS #12 import failed due to other error.

ERR_PKCS12_IMPORT_INVALID_FILE uCEFConstants

PKCS #12 import failed due to invalid/corrupt file.

ERR_PKCS12_IMPORT_INVALID_MAC uCEFConstants

PKCS #12 import failed due to invalid MAC.

ERR_PKCS12_IMPORT_UNSUPPORTED uCEFConstants

PKCS #12 import failed due to unsupported features.

ERR_PRECONNECT_MAX_SOCKET_LIMIT uCEFConstants

We've hit the max socket limit for the socket pool while preconnecting. We don't bother trying to preconnect more sockets.

ERR_PRIVATE_KEY_EXPORT_FAILED uCEFConstants

Failure to export private key.

ERR_PROXY_AUTH_REQUESTED uCEFConstants

The proxy requested authentication (for tunnel establishment).

ERR_PROXY_AUTH_REQUESTED_WITH_NO_CONNECTION uCEFConstants

Proxy Auth Requested without a valid Client Socket Handle.

ERR_PROXY_AUTH_UNSUPPORTED uCEFConstants

The proxy requested authentication (for tunnel establishment) with an unsupported method.

ERR_PROXY_CERTIFICATE_INVALID uCEFConstants

The certificate presented by the HTTPS Proxy was invalid.

ERR_PROXY_CONNECTION_FAILED uCEFConstants

Could not create a connection to the proxy server. An error occurred either in resolving its name, or in connecting a socket to it. Note that this does NOT include failures during the actual "CONNECT" method of an HTTP proxy.

ERR_PROXY_HTTP_1_1_REQUIRED uCEFConstants

HTTP_1_1_REQUIRED error code received on HTTP/2 session to proxy.

ERR_PROXY_REQUIRED uCEFConstants

Signals that the request requires the IPP proxy.

ERR_QUIC_CERT_ROOT_NOT_KNOWN uCEFConstants

The certificate presented on a QUIC connection does not chain to a known root and the origin connected to is not on a list of domains where unknown roots are allowed.

ERR_QUIC_GOAWAY_REQUEST_CAN_BE_RETRIED uCEFConstants

A GOAWAY frame has been received indicating that the request has not been processed and is therefore safe to retry on a different connection.

ERR_QUIC_HANDSHAKE_FAILED uCEFConstants

The QUIC crypto handshake failed. This means that the server was unable to read any requests sent, so they may be resent.

ERR_QUIC_PROTOCOL_ERROR uCEFConstants

There is a QUIC protocol error.

ERR_READ_IF_READY_NOT_IMPLEMENTED uCEFConstants

Socket ReadIfReady support is not implemented. This error should not be user visible, because the normal Read() method is used as a fallback.

ERR_REQUEST_RANGE_NOT_SATISFIABLE uCEFConstants

The response was 416 (Requested range not satisfiable) and the server cannot satisfy the range requested.

ERR_RESPONSE_BODY_TOO_BIG_TO_DRAIN uCEFConstants

The HTTP response was too big to drain.

ERR_RESPONSE_HEADERS_MULTIPLE_CONTENT_DISPOSITION uCEFConstants

The HTTP response contained multiple Content-Disposition headers.

ERR_RESPONSE_HEADERS_MULTIPLE_CONTENT_LENGTH uCEFConstants

The HTTP response contained multiple distinct Content-Length headers.

ERR_RESPONSE_HEADERS_MULTIPLE_LOCATION uCEFConstants

The HTTP response contained multiple Location headers.

ERR_RESPONSE_HEADERS_TOO_BIG uCEFConstants

The headers section of the response is too large.

ERR_RESPONSE_HEADERS_TRUNCATED uCEFConstants

The HTTP headers were truncated by an EOF.

ERR_SELF_SIGNED_CERT_GENERATION_FAILED uCEFConstants

Self-signed certificate generation failed.

ERR_SOCKET_IS_CONNECTED uCEFConstants

The socket is already connected.

ERR_SOCKET_NOT_CONNECTED uCEFConstants

The socket is not connected.

ERR_SOCKET_RECEIVE_BUFFER_SIZE_UNCHANGEABLE uCEFConstants

Failed to set the socket's receive buffer size as requested, despite success return code from setsockopt.

ERR_SOCKET_SEND_BUFFER_SIZE_UNCHANGEABLE uCEFConstants

Failed to set the socket's send buffer size as requested, despite success return code from setsockopt.

ERR_SOCKET_SET_RECEIVE_BUFFER_SIZE_ERROR uCEFConstants

Failed to set the socket's receive buffer size as requested.

ERR_SOCKET_SET_SEND_BUFFER_SIZE_ERROR uCEFConstants

Failed to set the socket's send buffer size as requested.

ERR_SOCKS_CONNECTION_FAILED uCEFConstants

Failed establishing a connection to the SOCKS proxy server for a target host.

ERR_SOCKS_CONNECTION_HOST_UNREACHABLE uCEFConstants

The SOCKS proxy server failed establishing connection to the target host because that host is unreachable.

ERR_SPDY_COMPRESSION_ERROR uCEFConstants

Decoding or encoding of compressed HTTP/2 headers failed.

ERR_SPDY_FLOW_CONTROL_ERROR uCEFConstants

The peer violated HTTP/2 flow control.

ERR_SPDY_FRAME_SIZE_ERROR uCEFConstants

The peer sent an improperly sized HTTP/2 frame.

ERR_SPDY_INADEQUATE_TRANSPORT_SECURITY uCEFConstants

Transport security is inadequate for the HTTP/2 version.

ERR_SPDY_PING_FAILED uCEFConstants

HTTP/2 server didn't respond to the PING message.

ERR_SPDY_PROTOCOL_ERROR uCEFConstants

There is an HTTP/2 protocol error.

ERR_SPDY_RST_STREAM_NO_ERROR_RECEIVED uCEFConstants

Received HTTP/2 RST_STREAM frame with NO_ERROR error code. This error should be handled internally by HTTP/2 code, and should not make it above the SpdyStream layer.

ERR_SPDY_SERVER_REFUSED_STREAM uCEFConstants

HTTP/2 server refused the request without processing, and sent either a GOAWAY frame with error code NO_ERROR and Last-Stream-ID lower than the stream id corresponding to the request indicating that this request has not been processed yet, or a RST_STREAM frame with error code REFUSED_STREAM. Client MAY retry (on a different connection). See RFC7540 Section 8.1.4.

ERR_SPDY_STREAM_CLOSED uCEFConstants

Received an HTTP/2 frame on a closed stream.

ERR_SSL_BAD_PEER_PUBLIC_KEY uCEFConstants

SSL peer's public key is invalid.

ERR_SSL_BAD_RECORD_MAC_ALERT uCEFConstants

An SSL peer sent us a fatal bad_record_mac alert. This has been observed from servers with buggy DEFLATE support.

ERR_SSL_CLIENT_AUTH_CERT_BAD_FORMAT uCEFConstants

Failed to import a client certificate from the platform store into the SSL library.

ERR_SSL_CLIENT_AUTH_CERT_NEEDED uCEFConstants

The server requested a client certificate for SSL client authentication.

ERR_SSL_CLIENT_AUTH_CERT_NO_PRIVATE_KEY uCEFConstants

The SSL client certificate has no private key.

ERR_SSL_CLIENT_AUTH_NO_COMMON_ALGORITHMS uCEFConstants

There were no common signature algorithms between our client certificate private key and the server's preferences.

ERR_SSL_CLIENT_AUTH_PRIVATE_KEY_ACCESS_DENIED uCEFConstants

The permission to use the SSL client certificate's private key was denied.

ERR_SSL_CLIENT_AUTH_SIGNATURE_FAILED uCEFConstants

We were unable to sign the CertificateVerify data of an SSL client auth handshake with the client certificate's private key.

Possible causes for this include the user implicitly or explicitly denying access to the private key, the private key may not be valid for signing, the key may be relying on a cached handle which is no longer valid, or the CSP won't allow arbitrary data to be signed.

ERR_SSL_DECOMPRESSION_FAILURE_ALERT uCEFConstants

An SSL peer sent us a fatal decompression_failure alert. This typically occurs when a peer selects DEFLATE compression in the mistaken belief that it supports it.

ERR_SSL_DECRYPT_ERROR_ALERT uCEFConstants

An SSL peer sent us a fatal decrypt_error alert. This typically occurs when a peer could not correctly verify a signature (in CertificateVerify or ServerKeyExchange) or validate a Finished message.

ERR_SSL_HANDSHAKE_NOT_COMPLETED uCEFConstants

An operation failed because the SSL handshake has not completed.

ERR_SSL_KEY_USAGE_INCOMPATIBLE uCEFConstants

The server's certificate has a keyUsage extension incompatible with the negotiated TLS key exchange method.

ERR_SSL_NO_RENEGOTIATION uCEFConstants

The peer sent an SSL no_renegotiation alert message.

ERR_SSL_OBSOLETE_CIPHER uCEFConstants

The SSL server required an unsupported cipher suite that has since been removed. This error will temporarily be signaled on a fallback for one or two releases immediately following a cipher suite's removal, after which the fallback will be removed.

ERR_SSL_PINNED_KEY_NOT_IN_CERT_CHAIN uCEFConstants

The certificate didn't match the built-in public key pins for the host name. The pins are set in net/http/transport_security_state.cc and require that one of a set of public keys exist on the path from the leaf to the root.

ERR_SSL_PROTOCOL_ERROR uCEFConstants

An SSL protocol error occurred.

ERR_SSL_RENEGOTIATION_REQUESTED uCEFConstants

The server requested a renegotiation (rehandshake).

ERR_SSL_SERVER_CERT_BAD_FORMAT uCEFConstants

The SSL server presented a certificate which could not be decoded. This is not a certificate error code as no X509Certificate object is available. This error is fatal.

ERR_SSL_SERVER_CERT_CHANGED uCEFConstants

The SSL server certificate changed in a renegotiation.

ERR_SSL_UNRECOGNIZED_NAME_ALERT uCEFConstants

The SSL server sent us a fatal unrecognized_name alert.

ERR_SSL_VERSION_OR_CIPHER_MISMATCH uCEFConstants

The client and server don't support a common SSL protocol version or cipher suite.

ERR_SYN_REPLY_NOT_RECEIVED uCEFConstants

FLIP data received without receiving a SYN_REPLY on the stream.

ERR_TEMPORARILY_THROTTLED uCEFConstants

The request throttler module cancelled this request to avoid DDOS.

ERR_TIMED_OUT uCEFConstants

An operation timed out.

ERR_TLS13_DOWNGRADE_DETECTED uCEFConstants

TLS 1.3 was enabled, but a lower version was negotiated and the server returned a value indicating it supported TLS 1.3. This is part of a security check in TLS 1.3, but it may also indicate the user is behind a buggy TLS-terminating proxy which implemented TLS 1.2 incorrectly. (See https://crbug.com/boringssl/226.)

ERR_TOO_MANY_ACCEPT_CH_RESTARTS uCEFConstants

The ACCEPT_CH restart has been triggered too many times

ERR_TOO_MANY_REDIRECTS uCEFConstants

Attempting to load an URL resulted in too many redirects.

ERR_TOO_MANY_RETRIES uCEFConstants

An HTTP transaction was retried too many times due for authentication or invalid certificates. This may be due to a bug in the net stack that would otherwise infinite loop, or if the server or proxy continually requests fresh credentials or presents a fresh invalid certificate.

ERR_TRUST_TOKEN_OPERATION_FAILED uCEFConstants

A Trust Tokens protocol operation-executing request failed for one of a number of reasons (precondition failure, internal error, bad response).

ERR_TRUST_TOKEN_OPERATION_SUCCESS_WITHOUT_SENDING_REQUEST uCEFConstants

When handling a Trust Tokens protocol operation-executing request, the system was able to execute the request's Trust Tokens operation without sending the request to its destination: for instance, the results could have been present in a local cache (for redemption) or the operation could have been diverted to a local provider (for "platform-provided" issuance).

ERR_TUNNEL_CONNECTION_FAILED uCEFConstants

A tunnel connection through the proxy could not be established.

ERR_UNABLE_TO_REUSE_CONNECTION_FOR_PROXY_AUTH uCEFConstants

The attempt to reuse a connection to send proxy auth credentials failed before the AuthController was used to generate credentials. The caller should reuse the controller with a new connection. This error is only used internally by the network stack.

ERR_UNDOCUMENTED_SECURITY_LIBRARY_STATUS uCEFConstants

An undocumented SSPI or GSSAPI status code was returned.

ERR_UNEXPECTED uCEFConstants

An unexpected error. This may be caused by a programming mistake or an invalid assumption.

ERR_UNEXPECTED_CONTENT_DICTIONARY_HEADER uCEFConstants

The header of dictionary compressed stream does not match the expected value.

ERR_UNEXPECTED_PROXY_AUTH uCEFConstants

The response was 407 (Proxy Authentication Required), yet we did not send the request to a proxy.

ERR_UNEXPECTED_SECURITY_LIBRARY_STATUS uCEFConstants

An unexpected, but documented, SSPI or GSSAPI status code was returned.

ERR_UNKNOWN_URL_SCHEME uCEFConstants

The scheme of the URL is unknown.

ERR_UNRECOGNIZED_FTP_DIRECTORY_LISTING_FORMAT uCEFConstants

The server sent an FTP directory listing in a format we do not understand.

ERR_UNSAFE_PORT uCEFConstants

Attempting to load an URL with an unsafe port number. These are port numbers that correspond to services, which are not robust to spurious input that may be constructed as a result of an allowed web construct (e.g., HTTP looks a lot like SMTP, so form submission to port 25 is denied).

ERR_UNSAFE_REDIRECT uCEFConstants

Attempting to load an URL resulted in an unsafe redirect (e.g., a redirect to file:// is considered unsafe).

ERR_UNSUPPORTED_AUTH_SCHEME uCEFConstants

An HTTP Authentication scheme was tried which is not supported on this machine.

ERR_UPLOAD_FILE_CHANGED uCEFConstants

The file upload failed because the file's modification time was different from the expectation.

ERR_UPLOAD_STREAM_REWIND_NOT_SUPPORTED uCEFConstants

The upload failed because the upload stream needed to be re-read, due to a retry or a redirect, but the upload stream doesn't support that operation.

ERR_WINSOCK_UNEXPECTED_WRITTEN_BYTES uCEFConstants

Winsock sometimes reports more data written than passed. This is probably due to a broken LSP.

ERR_WRONG_VERSION_ON_EARLY_DATA uCEFConstants

TLS 1.3 early data was offered, but the server responded with TLS 1.2 or earlier. This is an internal error code to account for a backwards-compatibility issue with early data and TLS 1.2. It will be received before any data is returned from the socket. The request should be retried with early data disabled.

See https://tools.ietf.org/html/rfc8446#appendix-D.3 for details.

ERR_WS_PROTOCOL_ERROR uCEFConstants

Websocket protocol error. Indicates that we are terminating the connection due to a malformed frame or other protocol violation.

ERR_WS_THROTTLE_QUEUE_TOO_LARGE uCEFConstants

There are too many pending WebSocketJob instances, so the new job was not pushed to the queue.

ERR_WS_UPGRADE uCEFConstants

When a WebSocket handshake is done successfully and the connection has been upgraded, the URLRequest is cancelled with this error code.

ERR_ZSTD_WINDOW_SIZE_TOO_BIG uCEFConstants

Content decoding failed due to the zstd window size being too big (over 8MB).

EVENTFLAG_ALTGR_DOWN uCEFConstants

Supported event bit flag.

EVENTFLAG_ALT_DOWN uCEFConstants

Supported event bit flag.

EVENTFLAG_CAPS_LOCK_ON uCEFConstants

Supported event bit flag.

EVENTFLAG_COMMAND_DOWN uCEFConstants

Supported event bit flag. Mac OS-X command key.

EVENTFLAG_CONTROL_DOWN uCEFConstants

Supported event bit flag.

EVENTFLAG_IS_KEY_PAD uCEFConstants

Supported event bit flag.

EVENTFLAG_IS_LEFT uCEFConstants

Supported event bit flag.

EVENTFLAG_IS_REPEAT uCEFConstants

Supported event bit flag.

EVENTFLAG_IS_RIGHT uCEFConstants

Supported event bit flag.

EVENTFLAG_LEFT_MOUSE_BUTTON uCEFConstants

Supported event bit flag.

EVENTFLAG_MIDDLE_MOUSE_BUTTON uCEFConstants

Supported event bit flag.

EVENTFLAG_NONE uCEFConstants

Supported event bit flag.

EVENTFLAG_NUM_LOCK_ON uCEFConstants

Supported event bit flag.

EVENTFLAG_PRECISION_SCROLLING_DELTA uCEFConstants

Supported event bit flag.

EVENTFLAG_RIGHT_MOUSE_BUTTON uCEFConstants

Supported event bit flag.

EVENTFLAG_SCROLL_BY_PAGE uCEFConstants

Supported event bit flag.

EVENTFLAG_SHIFT_DOWN uCEFConstants

Supported event bit flag.

FILE_DIALOG_NUM_VALUES uCEFConstants

Number of TCefFileDialogMode values

FILE_DIALOG_OPEN uCEFConstants

Requires that the file exists before allowing the user to pick it.

FILE_DIALOG_OPEN_FOLDER uCEFConstants

Like Open, but selects a folder to open.

FILE_DIALOG_OPEN_MULTIPLE uCEFConstants

Like Open, but allows picking multiple files to open.

FILE_DIALOG_SAVE uCEFConstants

Allows picking a nonexistent file, and prompts to overwrite if the file already exists.

GOOGLE_DISCOVERY_DOCUMENT uCEFOAuth2Helper

GWLP_HWNDPARENT uCEFMiscFunctions

GWLP_WNDPROC uCEFMiscFunctions

IDC_ABOUT uCEFConstants

IDC_ADD_NEW_PROFILE uCEFConstants

IDC_ADD_NEW_TAB_TO_GROUP uCEFConstants

IDC_ADD_TO_COMPARISON_TABLE_MENU uCEFConstants

IDC_ALL_WINDOWS_FRONT uCEFConstants

IDC_ALWAYS_ON_TOP uCEFConstants

IDC_AUTOFILL_MANDATORY_REAUTH uCEFConstants

IDC_BACK uCEFConstants

IDC_BASIC_PRINT uCEFConstants

IDC_BOOKMARKS_MENU uCEFConstants

IDC_BOOKMARK_ALL_TABS uCEFConstants

IDC_BOOKMARK_BAR_ADD_NEW_BOOKMARK uCEFConstants

IDC_BOOKMARK_BAR_ADD_TO_BOOKMARKS_BAR uCEFConstants

IDC_BOOKMARK_BAR_ALWAYS_SHOW uCEFConstants

IDC_BOOKMARK_BAR_EDIT uCEFConstants

IDC_BOOKMARK_BAR_MOVE uCEFConstants

IDC_BOOKMARK_BAR_NEW_FOLDER uCEFConstants

IDC_BOOKMARK_BAR_OPEN_ALL uCEFConstants

IDC_BOOKMARK_BAR_OPEN_ALL_INCOGNITO uCEFConstants

IDC_BOOKMARK_BAR_OPEN_ALL_NEW_TAB_GROUP uCEFConstants

IDC_BOOKMARK_BAR_OPEN_ALL_NEW_WINDOW uCEFConstants

IDC_BOOKMARK_BAR_OPEN_INCOGNITO uCEFConstants

IDC_BOOKMARK_BAR_OPEN_SPLIT_VIEW uCEFConstants

IDC_BOOKMARK_BAR_REDO uCEFConstants

IDC_BOOKMARK_BAR_REMOVE uCEFConstants

IDC_BOOKMARK_BAR_REMOVE_FROM_BOOKMARKS_BAR uCEFConstants

IDC_BOOKMARK_BAR_RENAME_FOLDER uCEFConstants

IDC_BOOKMARK_BAR_SHOW_APPS_SHORTCUT uCEFConstants

IDC_BOOKMARK_BAR_SHOW_MANAGED_BOOKMARKS uCEFConstants

IDC_BOOKMARK_BAR_SHOW_READING_LIST uCEFConstants

IDC_BOOKMARK_BAR_TOGGLE_SHOW_TAB_GROUPS uCEFConstants

IDC_BOOKMARK_BAR_TRACK_PRICE_FOR_SHOPPING_BOOKMARK uCEFConstants

IDC_BOOKMARK_BAR_UNDO uCEFConstants

IDC_BOOKMARK_BAR_UNTRACK_PRICE_FOR_SHOPPING_BOOKMARK uCEFConstants

IDC_BOOKMARK_MANAGER uCEFConstants

IDC_BOOKMARK_THIS_TAB uCEFConstants

IDC_CARET_BROWSING_TOGGLE uCEFConstants

IDC_CHECK_SPELLING_WHILE_TYPING uCEFConstants

IDC_CHROME_MENU uCEFConstants

IDC_CHROME_TIPS uCEFConstants

IDC_CHROME_WHATS_NEW uCEFConstants

IDC_CLEAR_BROWSING_DATA uCEFConstants

IDC_CLOSE_FIND_OR_STOP uCEFConstants

IDC_CLOSE_PROFILE uCEFConstants

IDC_CLOSE_SIGN_IN_PROMO uCEFConstants

IDC_CLOSE_TAB uCEFConstants

IDC_CLOSE_TAB_GROUP uCEFConstants

IDC_CLOSE_WINDOW uCEFConstants

IDC_COMPARE_MENU uCEFConstants

IDC_CONTENT_CONTEXT_ACCESSIBILITY_LABELS uCEFConstants

IDC_CONTENT_CONTEXT_ACCESSIBILITY_LABELS_TOGGLE uCEFConstants

IDC_CONTENT_CONTEXT_ACCESSIBILITY_LABELS_TOGGLE_ONCE uCEFConstants

IDC_CONTENT_CONTEXT_ADD_A_NOTE uCEFConstants

IDC_CONTENT_CONTEXT_AUTOFILL_FALLBACK_PASSWORDS_IMPORT_PASSWORDS uCEFConstants

IDC_CONTENT_CONTEXT_AUTOFILL_FALLBACK_PASSWORDS_SELECT_PASSWORD uCEFConstants

IDC_CONTENT_CONTEXT_AUTOFILL_FALLBACK_PASSWORDS_SUGGEST_PASSWORD uCEFConstants

IDC_CONTENT_CONTEXT_AUTOFILL_FALLBACK_PASSWORDS_USE_PASSKEY_FROM_ANOTHER_DEVICE uCEFConstants

IDC_CONTENT_CONTEXT_AUTOFILL_FALLBACK_PLUS_ADDRESS uCEFConstants

IDC_CONTENT_CONTEXT_AUTOFILL_FEEDBACK uCEFConstants

IDC_CONTENT_CONTEXT_CLOSE_GLIC uCEFConstants

IDC_CONTENT_CONTEXT_CONTROLS uCEFConstants

IDC_CONTENT_CONTEXT_COPY uCEFConstants

IDC_CONTENT_CONTEXT_COPYAVLOCATION uCEFConstants

IDC_CONTENT_CONTEXT_COPYEMAILADDRESS uCEFConstants

IDC_CONTENT_CONTEXT_COPYIMAGE uCEFConstants

IDC_CONTENT_CONTEXT_COPYIMAGELOCATION uCEFConstants

IDC_CONTENT_CONTEXT_COPYLINKLOCATION uCEFConstants

IDC_CONTENT_CONTEXT_COPYLINKTEXT uCEFConstants

IDC_CONTENT_CONTEXT_COPYLINKTOTEXT uCEFConstants

IDC_CONTENT_CONTEXT_COPYVIDEOFRAME uCEFConstants

IDC_CONTENT_CONTEXT_CUSTOM_FIRST uCEFConstants

IDC_CONTENT_CONTEXT_CUSTOM_LAST uCEFConstants

IDC_CONTENT_CONTEXT_CUT uCEFConstants

IDC_CONTENT_CONTEXT_DELETE uCEFConstants

IDC_CONTENT_CONTEXT_EMOJI uCEFConstants

IDC_CONTENT_CONTEXT_EXIT_FULLSCREEN uCEFConstants

IDC_CONTENT_CONTEXT_GENERATEPASSWORD uCEFConstants

IDC_CONTENT_CONTEXT_GENERATE_QR_CODE uCEFConstants

IDC_CONTENT_CONTEXT_GOTOURL uCEFConstants

IDC_CONTENT_CONTEXT_INSPECTBACKGROUNDPAGE uCEFConstants

IDC_CONTENT_CONTEXT_INSPECTELEMENT uCEFConstants

IDC_CONTENT_CONTEXT_LANGUAGE_SETTINGS uCEFConstants

IDC_CONTENT_CONTEXT_LENS_OVERLAY uCEFConstants

IDC_CONTENT_CONTEXT_LENS_REGION_SEARCH uCEFConstants

IDC_CONTENT_CONTEXT_LOAD_IMAGE uCEFConstants

IDC_CONTENT_CONTEXT_LOOK_UP uCEFConstants

IDC_CONTENT_CONTEXT_LOOP uCEFConstants

IDC_CONTENT_CONTEXT_NO_SPELLING_SUGGESTIONS uCEFConstants

IDC_CONTENT_CONTEXT_OPENAVNEWTAB uCEFConstants

IDC_CONTENT_CONTEXT_OPENIMAGENEWTAB uCEFConstants

IDC_CONTENT_CONTEXT_OPENLINKBOOKMARKAPP uCEFConstants

IDC_CONTENT_CONTEXT_OPENLINKINPROFILE uCEFConstants

IDC_CONTENT_CONTEXT_OPENLINKNEWTAB uCEFConstants

IDC_CONTENT_CONTEXT_OPENLINKNEWWINDOW uCEFConstants

IDC_CONTENT_CONTEXT_OPENLINKOFFTHERECORD uCEFConstants

IDC_CONTENT_CONTEXT_OPENLINKPREVIEW uCEFConstants

IDC_CONTENT_CONTEXT_OPENLINKSPLITVIEW uCEFConstants

IDC_CONTENT_CONTEXT_OPENLINKWITH uCEFConstants

IDC_CONTENT_CONTEXT_OPEN_IN_READING_MODE uCEFConstants

IDC_CONTENT_CONTEXT_OPEN_ORIGINAL_IMAGE_NEW_TAB uCEFConstants

IDC_CONTENT_CONTEXT_OPEN_WITH1 uCEFConstants

IDC_CONTENT_CONTEXT_OPEN_WITH10 uCEFConstants

IDC_CONTENT_CONTEXT_OPEN_WITH11 uCEFConstants

IDC_CONTENT_CONTEXT_OPEN_WITH12 uCEFConstants

IDC_CONTENT_CONTEXT_OPEN_WITH13 uCEFConstants

IDC_CONTENT_CONTEXT_OPEN_WITH14 uCEFConstants

IDC_CONTENT_CONTEXT_OPEN_WITH2 uCEFConstants

IDC_CONTENT_CONTEXT_OPEN_WITH3 uCEFConstants

IDC_CONTENT_CONTEXT_OPEN_WITH4 uCEFConstants

IDC_CONTENT_CONTEXT_OPEN_WITH5 uCEFConstants

IDC_CONTENT_CONTEXT_OPEN_WITH6 uCEFConstants

IDC_CONTENT_CONTEXT_OPEN_WITH7 uCEFConstants

IDC_CONTENT_CONTEXT_OPEN_WITH8 uCEFConstants

IDC_CONTENT_CONTEXT_OPEN_WITH9 uCEFConstants

IDC_CONTENT_CONTEXT_PARTIAL_TRANSLATE uCEFConstants

IDC_CONTENT_CONTEXT_PASTE uCEFConstants

IDC_CONTENT_CONTEXT_PASTE_AND_MATCH_STYLE uCEFConstants

IDC_CONTENT_CONTEXT_PICTUREINPICTURE uCEFConstants

IDC_CONTENT_CONTEXT_PROTOCOL_HANDLER_FIRST uCEFConstants

IDC_CONTENT_CONTEXT_PROTOCOL_HANDLER_LAST uCEFConstants

IDC_CONTENT_CONTEXT_PROTOCOL_HANDLER_SETTINGS uCEFConstants

IDC_CONTENT_CONTEXT_QUICK_ANSWERS_INLINE_ANSWER uCEFConstants

IDC_CONTENT_CONTEXT_QUICK_ANSWERS_INLINE_QUERY uCEFConstants

IDC_CONTENT_CONTEXT_REDO uCEFConstants

IDC_CONTENT_CONTEXT_RELOADFRAME uCEFConstants

IDC_CONTENT_CONTEXT_RELOAD_GLIC uCEFConstants

IDC_CONTENT_CONTEXT_RELOAD_PACKAGED_APP uCEFConstants

IDC_CONTENT_CONTEXT_REMOVELINKTOTEXT uCEFConstants

IDC_CONTENT_CONTEXT_RESHARELINKTOTEXT uCEFConstants

IDC_CONTENT_CONTEXT_RESTART_PACKAGED_APP uCEFConstants

IDC_CONTENT_CONTEXT_ROTATECCW uCEFConstants

IDC_CONTENT_CONTEXT_ROTATECW uCEFConstants

IDC_CONTENT_CONTEXT_SAVEAVAS uCEFConstants

IDC_CONTENT_CONTEXT_SAVEIMAGEAS uCEFConstants

IDC_CONTENT_CONTEXT_SAVELINKAS uCEFConstants

IDC_CONTENT_CONTEXT_SAVEPLUGINAS uCEFConstants

IDC_CONTENT_CONTEXT_SAVEVIDEOFRAMEAS uCEFConstants

IDC_CONTENT_CONTEXT_SEARCHLENSFORIMAGE uCEFConstants

IDC_CONTENT_CONTEXT_SEARCHLENSFORVIDEOFRAME uCEFConstants

IDC_CONTENT_CONTEXT_SEARCHWEBFOR uCEFConstants

IDC_CONTENT_CONTEXT_SEARCHWEBFORIMAGE uCEFConstants

IDC_CONTENT_CONTEXT_SEARCHWEBFORNEWTAB uCEFConstants

IDC_CONTENT_CONTEXT_SEARCHWEBFORVIDEOFRAME uCEFConstants

IDC_CONTENT_CONTEXT_SELECTALL uCEFConstants

IDC_CONTENT_CONTEXT_SHARING_CLICK_TO_CALL_MULTIPLE_DEVICES uCEFConstants

IDC_CONTENT_CONTEXT_SHARING_CLICK_TO_CALL_SINGLE_DEVICE uCEFConstants

IDC_CONTENT_CONTEXT_SHARING_SHARED_CLIPBOARD_MULTIPLE_DEVICES uCEFConstants

IDC_CONTENT_CONTEXT_SHARING_SHARED_CLIPBOARD_SINGLE_DEVICE uCEFConstants

IDC_CONTENT_CONTEXT_SHARING_SUBMENU uCEFConstants

IDC_CONTENT_CONTEXT_SHOWALLSAVEDPASSWORDS uCEFConstants

IDC_CONTENT_CONTEXT_SPELLING_SUGGESTION uCEFConstants

IDC_CONTENT_CONTEXT_SPELLING_TOGGLE uCEFConstants

IDC_CONTENT_CONTEXT_START_SMART_SELECTION_ACTION1 uCEFConstants

IDC_CONTENT_CONTEXT_START_SMART_SELECTION_ACTION2 uCEFConstants

IDC_CONTENT_CONTEXT_START_SMART_SELECTION_ACTION3 uCEFConstants

IDC_CONTENT_CONTEXT_START_SMART_SELECTION_ACTION4 uCEFConstants

IDC_CONTENT_CONTEXT_START_SMART_SELECTION_ACTION5 uCEFConstants

IDC_CONTENT_CONTEXT_TRANSLATE uCEFConstants

IDC_CONTENT_CONTEXT_UNDO uCEFConstants

IDC_CONTENT_CONTEXT_USE_PASSKEY_FROM_ANOTHER_DEVICE uCEFConstants

IDC_CONTENT_CONTEXT_VIEWFRAMEINFO uCEFConstants

IDC_CONTENT_CONTEXT_VIEWFRAMESOURCE uCEFConstants

IDC_CONTENT_CONTEXT_VIEWPAGEINFO uCEFConstants

IDC_CONTENT_CONTEXT_WEB_REGION_SEARCH uCEFConstants

IDC_CONTENT_PASTE_FROM_CLIPBOARD uCEFConstants

IDC_CONTEXT_COMPOSE uCEFConstants

IDC_COPY uCEFConstants

IDC_COPY_URL uCEFConstants

IDC_CREATE_NEW_COMPARISON_TABLE_WITH_TAB uCEFConstants

IDC_CREATE_NEW_TAB_GROUP uCEFConstants

IDC_CREATE_SHORTCUT uCEFConstants

IDC_CUSTOMIZE_CHROME uCEFConstants

IDC_CUSTOMIZE_TOUCH_BAR uCEFConstants

IDC_CUT uCEFConstants

IDC_DEBUG_PRINT_VIEW_TREE uCEFConstants

IDC_DEBUG_PRINT_VIEW_TREE_DETAILS uCEFConstants

IDC_DEBUG_TOGGLE_TABLET_MODE uCEFConstants

IDC_DECLUTTER_TABS uCEFConstants

IDC_DEVELOPER_MENU uCEFConstants

IDC_DEVICE_SYSTEM_TRAY_ICON_FIRST uCEFConstants

IDC_DEVICE_SYSTEM_TRAY_ICON_LAST uCEFConstants

IDC_DEV_TOOLS uCEFConstants

IDC_DEV_TOOLS_CONSOLE uCEFConstants

IDC_DEV_TOOLS_DEVICES uCEFConstants

IDC_DEV_TOOLS_INSPECT uCEFConstants

IDC_DEV_TOOLS_TOGGLE uCEFConstants

IDC_DISTILL_PAGE uCEFConstants

IDC_DUPLICATE_TAB uCEFConstants

IDC_DUPLICATE_TARGET_TAB uCEFConstants

IDC_EDIT_MENU uCEFConstants

IDC_EDIT_SEARCH_ENGINES uCEFConstants

IDC_ELEVATED_RECOVERY_DIALOG uCEFConstants

IDC_EMAIL_PAGE_LOCATION uCEFConstants

IDC_EXIT uCEFConstants

IDC_EXTENSIONS_CONTEXT_CUSTOM_FIRST uCEFConstants

IDC_EXTENSIONS_CONTEXT_CUSTOM_LAST uCEFConstants

IDC_EXTENSIONS_SUBMENU uCEFConstants

IDC_EXTENSIONS_SUBMENU_MANAGE_EXTENSIONS uCEFConstants

IDC_EXTENSIONS_SUBMENU_VISIT_CHROME_WEB_STORE uCEFConstants

IDC_EXTENSION_ERRORS uCEFConstants

IDC_EXTENSION_INSTALL_ERROR_FIRST uCEFConstants

IDC_EXTENSION_INSTALL_ERROR_LAST uCEFConstants

IDC_FEEDBACK uCEFConstants

IDC_FILE_MENU uCEFConstants

IDC_FILLED_CARD_INFORMATION uCEFConstants

IDC_FIND uCEFConstants

IDC_FIND_AND_EDIT_MENU uCEFConstants

IDC_FIND_EXTENSIONS uCEFConstants

IDC_FIND_MENU uCEFConstants

IDC_FIND_NEXT uCEFConstants

IDC_FIND_PREVIOUS uCEFConstants

IDC_FOCUS_BOOKMARKS uCEFConstants

IDC_FOCUS_INACTIVE_POPUP_FOR_ACCESSIBILITY uCEFConstants

IDC_FOCUS_LOCATION uCEFConstants

IDC_FOCUS_MENU_BAR uCEFConstants

IDC_FOCUS_NEXT_PANE uCEFConstants

IDC_FOCUS_NEXT_TAB_GROUP uCEFConstants

IDC_FOCUS_PREVIOUS_PANE uCEFConstants

IDC_FOCUS_PREV_TAB_GROUP uCEFConstants

IDC_FOCUS_SEARCH uCEFConstants

IDC_FOCUS_THIS_TAB uCEFConstants

IDC_FOCUS_TOOLBAR uCEFConstants

IDC_FOCUS_WEB_CONTENTS_PANE uCEFConstants

IDC_FORWARD uCEFConstants

IDC_FULLSCREEN uCEFConstants

IDC_GLIC_STATUS_ICON_MENU_CLOSE uCEFConstants

IDC_GLIC_STATUS_ICON_MENU_CUSTOMIZE_KEYBOARD_SHORTCUT uCEFConstants

IDC_GLIC_STATUS_ICON_MENU_EXIT uCEFConstants

IDC_GLIC_STATUS_ICON_MENU_REMOVE_ICON uCEFConstants

IDC_GLIC_STATUS_ICON_MENU_SETTINGS uCEFConstants

IDC_GLIC_STATUS_ICON_MENU_SHOW uCEFConstants

IDC_GLIC_TOGGLE_PIN uCEFConstants

IDC_GROUP_TARGET_TAB uCEFConstants

IDC_HELP_MENU uCEFConstants

IDC_HELP_PAGE_VIA_KEYBOARD uCEFConstants

IDC_HELP_PAGE_VIA_MENU uCEFConstants

IDC_HIDE_APP uCEFConstants

IDC_HISTORY_MENU uCEFConstants

IDC_HOME uCEFConstants

IDC_IMPORT_SETTINGS uCEFConstants

IDC_INPUT_METHODS_MENU uCEFConstants

IDC_INSTALL_PWA uCEFConstants

IDC_LIVE_CAPTION uCEFConstants

IDC_MANAGE_CHROME_PROFILES uCEFConstants

IDC_MANAGE_EXTENSIONS uCEFConstants

IDC_MANAGE_GOOGLE_ACCOUNT uCEFConstants

IDC_MANAGE_PASSWORDS_FOR_PAGE uCEFConstants

IDC_MAXIMIZE_WINDOW uCEFConstants

IDC_MEDIA_CONTEXT_MEDIA_STREAM_CAPTURE_LIST_FIRST uCEFConstants

IDC_MEDIA_CONTEXT_MEDIA_STREAM_CAPTURE_LIST_LAST uCEFConstants

IDC_MEDIA_ROUTER_ABOUT uCEFConstants

IDC_MEDIA_ROUTER_ALWAYS_SHOW_TOOLBAR_ACTION uCEFConstants

IDC_MEDIA_ROUTER_HELP uCEFConstants

IDC_MEDIA_ROUTER_LEARN_MORE uCEFConstants

IDC_MEDIA_ROUTER_SHOWN_BY_POLICY uCEFConstants

IDC_MEDIA_ROUTER_SHOW_IN_TOOLBAR uCEFConstants

IDC_MEDIA_ROUTER_TOGGLE_MEDIA_REMOTING uCEFConstants

IDC_MEDIA_STREAM_DEVICE_ALWAYS_ALLOW uCEFConstants

IDC_MEDIA_STREAM_DEVICE_STATUS_TRAY uCEFConstants

IDC_MEDIA_TOOLBAR_CONTEXT_REPORT_CAST_ISSUE uCEFConstants

IDC_MEDIA_TOOLBAR_CONTEXT_SHOW_OTHER_SESSIONS uCEFConstants

IDC_MIGRATE_LOCAL_CREDIT_CARD_FOR_PAGE uCEFConstants

IDC_MINIMIZE_WINDOW uCEFConstants

IDC_MinimumLabelValue uCEFConstants

IDC_MORE_TOOLS_MENU uCEFConstants

IDC_MOVE_TAB_NEXT uCEFConstants

IDC_MOVE_TAB_PREVIOUS uCEFConstants

IDC_MOVE_TAB_TO_NEW_WINDOW uCEFConstants

IDC_MUTE_TARGET_SITE uCEFConstants

IDC_NAME_WINDOW uCEFConstants

IDC_NEW_INCOGNITO_WINDOW uCEFConstants

IDC_NEW_SPLIT_TAB uCEFConstants

IDC_NEW_TAB uCEFConstants

IDC_NEW_TAB_TO_RIGHT uCEFConstants

IDC_NEW_WINDOW uCEFConstants

IDC_OFFERS_AND_REWARDS_FOR_PAGE uCEFConstants

IDC_OPEN_CURRENT_URL uCEFConstants

IDC_OPEN_FILE uCEFConstants

IDC_OPEN_GLIC uCEFConstants

IDC_OPEN_GUEST_PROFILE uCEFConstants

IDC_OPEN_IN_CHROME uCEFConstants

IDC_OPEN_IN_PWA_WINDOW uCEFConstants

IDC_OPEN_LINK_IN_PROFILE_FIRST uCEFConstants

IDC_OPEN_LINK_IN_PROFILE_LAST uCEFConstants

IDC_OPEN_RECENT_TAB uCEFConstants

IDC_OPEN_SAFETY_HUB uCEFConstants

IDC_OPTIONS uCEFConstants

IDC_ORGANIZE_TABS uCEFConstants

IDC_PASSWORDS_AND_AUTOFILL_MENU uCEFConstants

IDC_PASTE uCEFConstants

IDC_PASTE_AND_GO uCEFConstants

IDC_PERFORMANCE uCEFConstants

IDC_PIN_TARGET_TAB uCEFConstants

IDC_PRINT uCEFConstants

IDC_PROFILE_MAIN_MENU uCEFConstants

IDC_PROFILE_MENU_IN_APP_MENU uCEFConstants

IDC_PROFILING_ENABLED uCEFConstants

IDC_QRCODE_GENERATOR uCEFConstants

IDC_READING_LIST_MENU uCEFConstants

IDC_READING_LIST_MENU_ADD_TAB uCEFConstants

IDC_READING_LIST_MENU_SHOW_UI uCEFConstants

IDC_RECENT_TABS_LOGIN_FOR_DEVICE_TABS uCEFConstants

IDC_RECENT_TABS_MENU uCEFConstants

IDC_RECENT_TABS_NO_DEVICE_TABS uCEFConstants

IDC_RELOAD uCEFConstants

IDC_RELOAD_BYPASSING_CACHE uCEFConstants

IDC_RELOAD_CLEARING_CACHE uCEFConstants

IDC_RESTORE_TAB uCEFConstants

IDC_RESTORE_WINDOW uCEFConstants

IDC_ROUTE_MEDIA uCEFConstants

IDC_SAFETY_HUB_MANAGE_EXTENSIONS uCEFConstants

IDC_SAFETY_HUB_SHOW_PASSWORD_CHECKUP uCEFConstants

IDC_SAVED_TAB_GROUPS_MENU uCEFConstants

IDC_SAVE_AND_SHARE_MENU uCEFConstants

IDC_SAVE_AUTOFILL_ADDRESS uCEFConstants

IDC_SAVE_CREDIT_CARD_FOR_PAGE uCEFConstants

IDC_SAVE_IBAN_FOR_PAGE uCEFConstants

IDC_SAVE_PAGE uCEFConstants

IDC_SEARCH uCEFConstants

IDC_SELECT_LAST_TAB uCEFConstants

IDC_SELECT_NEXT_TAB uCEFConstants

IDC_SELECT_PREVIOUS_TAB uCEFConstants

IDC_SELECT_TAB_0 uCEFConstants

IDC_SELECT_TAB_1 uCEFConstants

IDC_SELECT_TAB_2 uCEFConstants

IDC_SELECT_TAB_3 uCEFConstants

IDC_SELECT_TAB_4 uCEFConstants

IDC_SELECT_TAB_5 uCEFConstants

IDC_SELECT_TAB_6 uCEFConstants

IDC_SELECT_TAB_7 uCEFConstants

IDC_SEND_SHARED_TAB_GROUP_FEEDBACK uCEFConstants

IDC_SEND_TAB_TO_SELF uCEFConstants

IDC_SET_BROWSER_AS_DEFAULT uCEFConstants

IDC_SHARING_HUB uCEFConstants

IDC_SHARING_HUB_MENU uCEFConstants

IDC_SHARING_HUB_SCREENSHOT uCEFConstants

IDC_SHOW_ADDRESSES uCEFConstants

IDC_SHOW_ALL_COMPARISON_TABLES uCEFConstants

IDC_SHOW_APP_MENU uCEFConstants

IDC_SHOW_AS_TAB uCEFConstants

IDC_SHOW_AVATAR_MENU uCEFConstants

IDC_SHOW_BETA_FORUM uCEFConstants

IDC_SHOW_BOOKMARK_BAR uCEFConstants

IDC_SHOW_BOOKMARK_MANAGER uCEFConstants

IDC_SHOW_BOOKMARK_SIDE_PANEL uCEFConstants

IDC_SHOW_CHROME_LABS uCEFConstants

IDC_SHOW_CUSTOMIZE_CHROME_SIDE_PANEL uCEFConstants

IDC_SHOW_CUSTOMIZE_CHROME_TOOLBAR uCEFConstants

IDC_SHOW_DOWNLOADS uCEFConstants

IDC_SHOW_FULL_URLS uCEFConstants

IDC_SHOW_GOOGLE_LENS_SHORTCUT uCEFConstants

IDC_SHOW_HISTORY uCEFConstants

IDC_SHOW_HISTORY_CLUSTERS_SIDE_PANEL uCEFConstants

IDC_SHOW_HISTORY_SIDE_PANEL uCEFConstants

IDC_SHOW_MANAGEMENT_PAGE uCEFConstants

IDC_SHOW_PASSWORD_MANAGER uCEFConstants

IDC_SHOW_PAYMENT_METHODS uCEFConstants

IDC_SHOW_READING_MODE_SIDE_PANEL uCEFConstants

IDC_SHOW_SAVE_LOCAL_CARD_SIGN_IN_PROMO_IF_APPLICABLE uCEFConstants

IDC_SHOW_SEARCH_TOOLS uCEFConstants

IDC_SHOW_SETTINGS_CHANGE_FIRST uCEFConstants

IDC_SHOW_SETTINGS_CHANGE_LAST uCEFConstants

IDC_SHOW_SETTINGS_RESET_BUBBLE uCEFConstants

IDC_SHOW_SIGNIN_WHEN_PAUSED uCEFConstants

IDC_SHOW_SRT_BUBBLE uCEFConstants

IDC_SHOW_SYNC_SETTINGS uCEFConstants

IDC_SHOW_TRANSLATE uCEFConstants

IDC_SPELLCHECK_ADD_TO_DICTIONARY uCEFConstants

IDC_SPELLCHECK_LANGUAGES_FIRST uCEFConstants

IDC_SPELLCHECK_LANGUAGES_LAST uCEFConstants

IDC_SPELLCHECK_MENU uCEFConstants

IDC_SPELLCHECK_MULTI_LINGUAL uCEFConstants

IDC_SPELLCHECK_SUGGESTION_0 uCEFConstants

IDC_SPELLCHECK_SUGGESTION_1 uCEFConstants

IDC_SPELLCHECK_SUGGESTION_2 uCEFConstants

IDC_SPELLCHECK_SUGGESTION_3 uCEFConstants

IDC_SPELLCHECK_SUGGESTION_4 uCEFConstants

IDC_SPELLPANEL_TOGGLE uCEFConstants

IDC_STATUS_TRAY_KEEP_CHROME_RUNNING_IN_BACKGROUND uCEFConstants

IDC_STATUS_TRAY_KEEP_CHROME_RUNNING_IN_BACKGROUND_SETTING uCEFConstants

IDC_STOP uCEFConstants

IDC_TAB_MENU uCEFConstants

IDC_TAB_SEARCH uCEFConstants

IDC_TAB_SEARCH_CLOSE uCEFConstants

IDC_TAKE_SCREENSHOT uCEFConstants

IDC_TASK_MANAGER uCEFConstants

IDC_TASK_MANAGER_APP_MENU uCEFConstants

IDC_TASK_MANAGER_CONTEXT_MENU uCEFConstants

IDC_TASK_MANAGER_MAIN_MENU uCEFConstants

IDC_TASK_MANAGER_SHORTCUT uCEFConstants

IDC_TOGGLE_FULLSCREEN_TOOLBAR uCEFConstants

IDC_TOGGLE_JAVASCRIPT_APPLE_EVENTS uCEFConstants

IDC_TOGGLE_MULTITASK_MENU uCEFConstants

IDC_TOGGLE_REQUEST_TABLET_SITE uCEFConstants

IDC_TRANSLATE_ORIGINAL_LANGUAGE_BASE uCEFConstants

IDC_TRANSLATE_TARGET_LANGUAGE_BASE uCEFConstants

IDC_TURN_ON_SYNC uCEFConstants

IDC_UPDATE_SIDE_PANEL_PIN_STATE uCEFConstants

IDC_UPGRADE_DIALOG uCEFConstants

IDC_USE_SYSTEM_TITLE_BAR uCEFConstants

IDC_VIEW_MENU uCEFConstants

IDC_VIEW_PASSWORDS uCEFConstants

IDC_VIEW_SOURCE uCEFConstants

IDC_VIRTUAL_CARD_ENROLL uCEFConstants

IDC_VISIT_DESKTOP_OF_LRU_USER_2 uCEFConstants

IDC_VISIT_DESKTOP_OF_LRU_USER_3 uCEFConstants

IDC_VISIT_DESKTOP_OF_LRU_USER_4 uCEFConstants

IDC_VISIT_DESKTOP_OF_LRU_USER_5 uCEFConstants

IDC_WEBAUTHN uCEFConstants

IDC_WEB_APP_MENU_APP_INFO uCEFConstants

IDC_WEB_APP_SETTINGS uCEFConstants

IDC_WINDOW_CLOSE_OTHER_TABS uCEFConstants

IDC_WINDOW_CLOSE_TABS_TO_RIGHT uCEFConstants

IDC_WINDOW_GROUP_TAB uCEFConstants

IDC_WINDOW_MENU uCEFConstants

IDC_WINDOW_MUTE_SITE uCEFConstants

IDC_WINDOW_PIN_TAB uCEFConstants

IDC_WRITING_DIRECTION_DEFAULT uCEFConstants

IDC_WRITING_DIRECTION_LTR uCEFConstants

IDC_WRITING_DIRECTION_MENU uCEFConstants

IDC_WRITING_DIRECTION_RTL uCEFConstants

IDC_ZOOM_MENU uCEFConstants

IDC_ZOOM_MINUS uCEFConstants

IDC_ZOOM_NORMAL uCEFConstants

IDC_ZOOM_PLUS uCEFConstants

INFINITE uCEFConstants

JSON_WRITER_DEFAULT uCEFConstants

Default behavior.

JSON_WRITER_OMIT_BINARY_VALUES uCEFConstants

This option instructs the writer that if a Binary value is encountered, the value (and key if within a dictionary) will be omitted from the output, and success will be returned. Otherwise, if a binary value is encountered, failure will be returned.

JSON_WRITER_OMIT_DOUBLE_TYPE_PRESERVATION uCEFConstants

This option instructs the writer to write doubles that have no fractional part as a normal integer (i.e., without using exponential notation or appending a '.0') as long as the value is within the range of a 64-bit int.

JSON_WRITER_PRETTY_PRINT uCEFConstants

Return a slightly nicer formatted json string (pads with whitespace to help with readability).

Kernel32DLL uCEFMiscFunctions

KEYBOARD_LAYOUT_EN_US uCEFOSRIMEHandler

LIBCEF_DLL uCEFApplication

LIBCEF_DLL uCEFApplicationCore

LIBCEF_LOCALE_DIR uCEFApplicationCore

LIBCEF_LOCALE_ENUS uCEFApplicationCore

LIBCEF_PAK uCEFApplicationCore

for InitLibLocationFromArgs
LOGSEVERITY_DEBUG uCEFConstants

DEBUG logging.

LOGSEVERITY_DEFAULT uCEFConstants

Default logging (currently INFO logging).

LOGSEVERITY_DISABLE uCEFConstants

Disable logging to file for all messages, and to stderr for messages with severity less than FATAL.

LOGSEVERITY_ERROR uCEFConstants

ERROR logging.

LOGSEVERITY_FATAL uCEFConstants

FATAL logging.

LOGSEVERITY_INFO uCEFConstants

INFO logging.

LOGSEVERITY_VERBOSE uCEFConstants

Verbose logging.

LOGSEVERITY_WARNING uCEFConstants

WARNING logging.

LOG_ITEMS_DEFAULT uCEFConstants

Prepend the default list of items.

LOG_ITEMS_FLAG_PROCESS_ID uCEFConstants

Prepend the process ID.

LOG_ITEMS_FLAG_THREAD_ID uCEFConstants

Prepend the thread ID.

LOG_ITEMS_FLAG_TICK_COUNT uCEFConstants

Prepend the tickcount.

LOG_ITEMS_FLAG_TIME_STAMP uCEFConstants

Prepend the timestamp.

LOG_ITEMS_NONE uCEFConstants

Prepend no items.

MENU_ID_ADD_TO_DICTIONARY uCEFConstants

MENU_ID_BACK uCEFConstants

Navigation.
MENU_ID_COPY uCEFConstants

MENU_ID_CUSTOM_FIRST uCEFConstants

Custom menu items originating from the renderer process.
MENU_ID_CUSTOM_LAST uCEFConstants

MENU_ID_CUT uCEFConstants

MENU_ID_DELETE uCEFConstants

MENU_ID_FIND uCEFConstants

Miscellaneous.
MENU_ID_FORWARD uCEFConstants

MENU_ID_NO_SPELLING_SUGGESTIONS uCEFConstants

MENU_ID_PASTE uCEFConstants

MENU_ID_PASTE_MATCH_STYLE uCEFConstants

MENU_ID_PRINT uCEFConstants

MENU_ID_REDO uCEFConstants

MENU_ID_RELOAD uCEFConstants

MENU_ID_RELOAD_NOCACHE uCEFConstants

MENU_ID_SELECT_ALL uCEFConstants

MENU_ID_SPELLCHECK_SUGGESTION_0 uCEFConstants

Spell checking word correction suggestions.
MENU_ID_SPELLCHECK_SUGGESTION_1 uCEFConstants

MENU_ID_SPELLCHECK_SUGGESTION_2 uCEFConstants

MENU_ID_SPELLCHECK_SUGGESTION_3 uCEFConstants

MENU_ID_SPELLCHECK_SUGGESTION_4 uCEFConstants

MENU_ID_SPELLCHECK_SUGGESTION_LAST uCEFConstants

MENU_ID_STOPLOAD uCEFConstants

MENU_ID_UNDO uCEFConstants

Editing.
MENU_ID_USER_FIRST uCEFConstants

All user-defined menu IDs should come between MENU_ID_USER_FIRST and MENU_ID_USER_LAST to avoid overlapping the Chromium and CEF ID ranges defined in the tools/gritsettings/resource_ids file.

MENU_ID_USER_LAST uCEFConstants

MENU_ID_VIEW_SOURCE uCEFConstants

Netapi32DLL uCEFMiscFunctions

NTDLL uCEFMiscFunctions

pfidLinux uCEFConstants

pfidOSX uCEFConstants

pfidWindows uCEFConstants

pidLinux64 uCEFConstants

pidOSX32 uCEFConstants

pidOSX64 uCEFConstants

pidOSXArm64 uCEFConstants

pidWin32 uCEFConstants

If any of the platform IDs are not defined then we set them as 0 to avoid build errors on older Delphi versions.
pidWin64 uCEFConstants

QM_EDITFLAG_CAN_COPY uCEFConstants

QM_EDITFLAG_CAN_CUT uCEFConstants

QM_EDITFLAG_CAN_ELLIPSIS uCEFConstants

QM_EDITFLAG_CAN_PASTE uCEFConstants

QM_EDITFLAG_NONE uCEFConstants

Supported quick menu state bit flags.

SHLWAPIDLL uCEFMiscFunctions

SSL_CONNECTION_VERSION_NUM_VALUES uCEFConstants

SSL_CONNECTION_VERSION_QUIC uCEFConstants

SSL_CONNECTION_VERSION_SSL2 uCEFConstants

SSL_CONNECTION_VERSION_SSL3 uCEFConstants

SSL_CONNECTION_VERSION_TLS1 uCEFConstants

SSL_CONNECTION_VERSION_TLS1_1 uCEFConstants

SSL_CONNECTION_VERSION_TLS1_2 uCEFConstants

SSL_CONNECTION_VERSION_TLS1_3 uCEFConstants

SSL_CONNECTION_VERSION_UNKNOWN uCEFConstants

Supported SSL version values.

SSL_CONTENT_DISPLAYED_INSECURE_CONTENT uCEFConstants

SSL_CONTENT_NORMAL_CONTENT uCEFConstants

Supported SSL content status flags. See content/public/common/ssl_status.h for more information.

SSL_CONTENT_RAN_INSECURE_CONTENT uCEFConstants

TT_AUTO_BOOKMARK uCEFConstants

User got to this page through a suggestion in the UI (for example, via the destinations page). Chrome style only.

TT_AUTO_SUBFRAME uCEFConstants

Source is a subframe navigation. This is any content that is automatically loaded in a non-toplevel frame. For example, if a page consists of several frames containing ads, those ad URLs will have this transition type. The user may not even realize the content in these pages is a separate frame, so may not care about the URL.

TT_AUTO_TOPLEVEL uCEFConstants

This is a toplevel navigation. This is any content that is automatically loaded in a toplevel frame. For example, opening a tab to show the ASH screen saver, opening the devtools window, opening the NTP after the safe browsing warning, opening web-based dialog boxes are examples of AUTO_TOPLEVEL navigations. Chrome style only.

TT_BLOCKED_FLAG uCEFConstants

Attempted to visit a URL but was blocked.

TT_CHAIN_END_FLAG uCEFConstants

The last transition in a redirect chain.

TT_CHAIN_START_FLAG uCEFConstants

The beginning of a navigation chain.

TT_CLIENT_REDIRECT_FLAG uCEFConstants

Redirects caused by JavaScript or a meta refresh tag on the page.

TT_DIRECT_LOAD_FLAG uCEFConstants

Loaded a URL directly via CreateBrowser, LoadURL or LoadRequest.

TT_EXPLICIT uCEFConstants

Source is some other "explicit" navigation. This is the default value for navigations where the actual type is unknown. See also TT_DIRECT_LOAD_FLAG.

TT_FORM_SUBMIT uCEFConstants

Source is a form submission by the user. NOTE: In some situations submitting a form does not result in this transition type. This can happen if the form uses a script to submit the contents.

TT_FORWARD_BACK_FLAG uCEFConstants

Used the Forward or Back function to navigate among browsing history. Will be ORed to the transition type for the original load.

TT_FROM_API_FLAG uCEFConstants

The transition originated from an external application; the exact definition of this is embedder dependent. Chrome style only.

TT_GENERATED uCEFConstants

User got to this page by typing in the URL bar and selecting an entry that did not look like a URL. For example, a match might have the URL of a Google search result page, but appear like "Search Google for ...". These are not quite the same as EXPLICIT navigations because the user didn't type or see the destination URL. Chrome style only. See also TT_KEYWORD.

TT_HOME_PAGE_FLAG uCEFConstants

User is navigating to the home page. Chrome style only.

TT_IS_REDIRECT_MASK uCEFConstants

Used to test whether a transition involves a redirect.

TT_KEYWORD uCEFConstants

The url was generated from a replaceable keyword other than the default search provider. If the user types a keyword (which also applies to tab-to-search) in the omnibox this qualifier is applied to the transition type of the generated url. TemplateURLModel then may generate an additional visit with a transition type of TT_KEYWORD_GENERATED against the url 'http://' + keyword. For example, if you do a tab-to-search against wikipedia the generated url has a transition qualifer of TT_KEYWORD, and TemplateURLModel generates a visit for 'wikipedia.org' with a transition type of TT_KEYWORD_GENERATED. Chrome style only.

TT_KEYWORD_GENERATED uCEFConstants

Corresponds to a visit generated for a keyword. See description of TT_KEYWORD for more details. Chrome style only.

TT_LINK uCEFConstants

Source is a link click or the JavaScript window.open function. This is also the default value for requests like sub-resource loads that are not navigations.

TT_MANUAL_SUBFRAME uCEFConstants

Source is a subframe navigation explicitly requested by the user that will generate new navigation entries in the back/forward list. These are probably more important than frames that were automatically loaded in the background because the user probably cares about the fact that this link was loaded.

TT_NUM_VALUES uCEFConstants

Number of TCefTransitionType values.

TT_QUALIFIER_MASK uCEFConstants

General mask defining the bits used for the qualifiers.

TT_RELOAD uCEFConstants

Source is a "reload" of the page via the Reload function or by re-visiting the same URL. NOTE: This is distinct from the concept of whether a particular load uses "reload semantics" (i.e. bypasses cached data).

TT_SERVER_REDIRECT_FLAG uCEFConstants

Redirects sent from the server by HTTP headers.

TT_SOURCE_MASK uCEFConstants

General mask defining the bits used for the source values.

UR_FLAG_ALLOW_STORED_CREDENTIALS uCEFConstants

If set user name, password, and cookies may be sent with the request, and cookies may be saved from the response.

UR_FLAG_DISABLE_CACHE uCEFConstants

If set the cache will not be used at all. Setting this value is equivalent to specifying the "Cache-Control: no-store" request header. Setting this value in combination with UR_FLAG_ONLY_FROM_CACHE will cause the request to fail.

UR_FLAG_NONE uCEFConstants

Default behavior.

UR_FLAG_NO_DOWNLOAD_DATA uCEFConstants

If set the ICefURLRequestClient.OnDownloadData method will not be called.

UR_FLAG_NO_RETRY_ON_5XX uCEFConstants

If set 5XX redirect errors will be propagated to the observer instead of automatically re-tried. This currently only applies for requests originated in the browser process.

UR_FLAG_ONLY_FROM_CACHE uCEFConstants

If set the request will fail if it cannot be served from the cache (or some equivalent local store). Setting this value is equivalent to specifying the "Cache-Control: only-if-cached" request header. Setting this value in combination with UR_FLAG_SKIP_CACHE or UR_FLAG_DISABLE_CACHE will cause the request to fail.

UR_FLAG_REPORT_UPLOAD_PROGRESS uCEFConstants

If set upload progress events will be generated when a request has a body.

UR_FLAG_SKIP_CACHE uCEFConstants

If set the cache will be skipped when handling the request. Setting this value is equivalent to specifying the "Cache-Control: no-cache" request header. Setting this value in combination with UR_FLAG_ONLY_FROM_CACHE will cause the request to fail.

UR_FLAG_STOP_ON_REDIRECT uCEFConstants

If set 3XX responses will cause the fetch to halt immediately rather than continue through the redirect.

User32DLL uCEFMiscFunctions

USER_DEFAULT_SCREEN_DPI uCEFConstants

UU_NONE uCEFConstants

Don't unescape anything at all.

UU_NORMAL uCEFConstants

Don't unescape anything special, but all normal unescaping will happen. This is a placeholder and can't be combined with other flags (since it's just the absence of them). All other unescape rules imply "normal" in addition to their special meaning. Things like escaped letters, digits, and most symbols will get unescaped with this mode.

UU_PATH_SEPARATORS uCEFConstants

Unescapes '/' and '\\'. If these characters were unescaped, the resulting URL won't be the same as the source one. Moreover, they are dangerous to unescape in strings that will be used as file paths or names. This value should only be used when slashes don't have special meaning, like data URLs.

UU_REPLACE_PLUS_WITH_SPACE uCEFConstants

URL queries use "+" for space. This flag controls that replacement.

UU_SPACES uCEFConstants

Convert %20 to spaces. In some places where we're showing URLs, we may want this. In places where the URL may be copied and pasted out, then you wouldn't want this since it might not be interpreted in one piece by other applications.

UU_URL_SPECIAL_CHARS_EXCEPT_PATH_SEPARATORS uCEFConstants

Unescapes various characters that will change the meaning of URLs, including '%', '+', '&', '#'. Does not unescape path separators. If these characters were unescaped, the resulting URL won't be the same as the source one. This flag is used when generating final output like filenames for URLs where we won't be interpreting as a URL and want to do as much unescaping as possible.

V8_PROPERTY_ATTRIBUTE_DONTDELETE uCEFConstants

Not configurable
V8_PROPERTY_ATTRIBUTE_DONTENUM uCEFConstants

Not enumerable
V8_PROPERTY_ATTRIBUTE_NONE uCEFConstants

Writeable, Enumerable, Configurable
V8_PROPERTY_ATTRIBUTE_READONLY uCEFConstants

Not writeable
WM_POINTERDOWN uCEFConstants

WM_POINTERUP uCEFConstants

WM_POINTERUPDATE uCEFConstants

WM_TOUCH uCEFConstants

Lazarus and some old Delphi versions don't have these message contants
YOUTUBE_RESTRICT_MODERATE uCEFConstants

YOUTUBE_RESTRICT_OFF uCEFConstants

delay in ms to enable the browser focus <summary> YouTube restrict mode. </summary> <remarks> <para><see href="https://chromium.googlesource.com/chromium/src/+/refs/tags/77.0.3865.90/chrome/common/net/safe_search_util.h">Chromium source file: /chrome/common/net/safe_search_util.h (YouTubeRestrictMode)</see></para> <para><see href="https://www.chromium.org/administrators/policy-list-3#ForceYouTubeRestrict">Chromium policy list: https://www.chromium.org/administrators/policy-list-3#ForceYouTubeRestrict</see></para> </remarks>
YOUTUBE_RESTRICT_STRICT uCEFConstants

ZoomStepValues uCEFConstants

ZOOM_PCT_DELTA uCEFConstants

ZOOM_STEP_100 uCEFConstants

ZOOM_STEP_110 uCEFConstants

ZOOM_STEP_125 uCEFConstants

ZOOM_STEP_150 uCEFConstants

ZOOM_STEP_175 uCEFConstants

ZOOM_STEP_200 uCEFConstants

ZOOM_STEP_25 uCEFConstants

ZOOM_STEP_250 uCEFConstants

ZOOM_STEP_300 uCEFConstants

ZOOM_STEP_33 uCEFConstants

ZOOM_STEP_400 uCEFConstants

ZOOM_STEP_50 uCEFConstants

ZOOM_STEP_500 uCEFConstants

ZOOM_STEP_67 uCEFConstants

ZOOM_STEP_75 uCEFConstants

ZOOM_STEP_90 uCEFConstants

ZOOM_STEP_DEF uCEFConstants

ZOOM_STEP_MAX uCEFConstants

ZOOM_STEP_MIN uCEFConstants

ZOOM_STEP_UNK uCEFConstants


cef4delphi: All Functions and Procedures

All Functions and Procedures

Name Unit Description
CefAddCrossOriginWhitelistEntry uCEFMiscFunctions

Add an entry to the cross-origin access whitelist.

The same-origin policy restricts how scripts hosted from different origins (scheme + domain + port) can communicate. By default, scripts can only access resources with the same origin. Scripts hosted on the HTTP and HTTPS schemes (but no other schemes) can use the "Access-Control-Allow-Origin" header to allow cross-origin requests. For example, https://source.example.com can make XMLHttpRequest requests on http://target.example.com if the http://target.example.com request returns an "Access-Control-Allow-Origin: https://source.example.com" response header.

Scripts in separate frames or iframes and hosted from the same protocol and domain suffix can execute cross-origin JavaScript if both pages set the document.domain value to the same domain suffix. For example, scheme://foo.example.com and scheme://bar.example.com can communicate using JavaScript if both domains set document.domain="example.com".

This function is used to allow access to origins that would otherwise violate the same-origin policy. Scripts hosted underneath the fully qualified |source_origin| URL (like http://www.example.com) will be allowed access to all resources hosted on the specified |target_protocol| and |target_domain|. If |target_domain| is non-NULL and |allow_target_subdomains| is false (0) only exact domain matches will be allowed. If |target_domain| contains a top- level domain component (like "example.com") and |allow_target_subdomains| is true (1) sub-domain matches will be allowed. If |target_domain| is NULL and |allow_target_subdomains| if true (1) all domains and IP addresses will be allowed.

This function cannot be used to bypass the restrictions on local or display isolated schemes. See the comments on CefRegisterCustomScheme for more information.

This function may be called on any thread. Returns false (0) if |source_origin| is invalid or the whitelist cannot be accessed.

CefBase64Decode uCEFMiscFunctions

Decodes the base64 encoded string |data|. The returned value will be NULL if the decoding fails.

CefBase64Encode uCEFMiscFunctions

Encodes |data| as a base64 string.

CefBaseTimeNow uCEFMiscFunctions

Retrieve the current system time in a TCefBaseTime type.

CefBaseTimeToDateTime uCEFMiscFunctions

Converts TCefBaseTime to TDateTime.

CefCheckAltGrPressed uCEFMiscFunctions

CefClearCrossOriginWhitelist uCEFMiscFunctions

Remove all entries from the cross-origin access whitelist. Returns false (0) if the whitelist cannot be accessed.

CefClearSchemeHandlerFactories uCEFMiscFunctions

Clear all scheme handler factories registered with the global request context. Returns false (0) on error. This function may be called on any thread in the browser process. Using this function is equivalent to calling cef_request_context_t::cef_request_context_get_global_context()->clear_schem e_handler_factories().

CefColorGetA uCEFMiscFunctions

Return the alpha byte from a cef_color_t value.
CefColorGetB uCEFMiscFunctions

Return the blue byte from a cef_color_t value.
CefColorGetG uCEFMiscFunctions

Return the green byte from a cef_color_t value.
CefColorGetR uCEFMiscFunctions

Return the red byte from a cef_color_t value.
CefColorSetARGB uCEFMiscFunctions

Return an cef_color_t value with the specified byte component values.
CefCrashReportingEnabled uCEFMiscFunctions

Crash reporting is configured using an INI-style config file named "crash_reporter.cfg". On Windows and Linux this file must be placed next to the main application executable. On macOS this file must be placed in the top-level app bundle Resources directory (e.g. "<appname>.app/Contents/Resources"). File contents are as follows:

<pre> # Comments start with a hash character and must be on their own line.

[Config] ProductName=<Value of the "prod" crash key; defaults to "cef"> ProductVersion=<Value of the "ver" crash key; defaults to the CEF version> AppName=<Windows only; App-specific folder name component for storing crash information; default to "CEF"> ExternalHandler=<Windows only; Name of the external handler exe to use instead of re-launching the main exe; default to empty> BrowserCrashForwardingEnabled=<macOS only; True if browser process crashes should be forwarded to the system crash reporter; default to false> ServerURL=<crash server URL; default to empty> RateLimitEnabled=<True if uploads should be rate limited; default to true> MaxUploadsPerDay=<Max uploads per 24 hours, used if rate limit is enabled; default to 5> MaxDatabaseSizeInMb=<Total crash report disk usage greater than this value will cause older reports to be deleted; default to 20> MaxDatabaseAgeInDays=<Crash reports older than this value will be deleted; default to 5>

[CrashKeys] my_key1=<small|medium|large> my_key2=<small|medium|large> </pre>

Config section:

If "ProductName" and/or "ProductVersion" are set then the specified values will be included in the crash dump metadata. On macOS if these values are set to NULL then they will be retrieved from the Info.plist file using the "CFBundleName" and "CFBundleShortVersionString" keys respectively.

If "AppName" is set on Windows then crash report information (metrics, database and dumps) will be stored locally on disk under the "C:\Users\[CurrentUser]\AppData\Local\[AppName]\User Data" folder. On other platforms the cef_settings_t.root_cache_path value will be used.

If "ExternalHandler" is set on Windows then the specified exe will be launched as the crashpad-handler instead of re-launching the main process exe. The value can be an absolute path or a path relative to the main exe directory. On Linux the cef_settings_t.browser_subprocess_path value will be used. On macOS the existing subprocess app bundle will be used.

If "BrowserCrashForwardingEnabled" is set to true (1) on macOS then browser process crashes will be forwarded to the system crash reporter. This results in the crash UI dialog being displayed to the user and crash reports being logged under "~/Library/Logs/DiagnosticReports". Forwarding of crash reports from non-browser processes and Debug builds is always disabled.

If "ServerURL" is set then crashes will be uploaded as a multi-part POST request to the specified URL. Otherwise, reports will only be stored locally on disk.

If "RateLimitEnabled" is set to true (1) then crash report uploads will be rate limited as follows: 1. If "MaxUploadsPerDay" is set to a positive value then at most the specified number of crashes will be uploaded in each 24 hour period. 2. If crash upload fails due to a network or server error then an incremental backoff delay up to a maximum of 24 hours will be applied for retries. 3. If a backoff delay is applied and "MaxUploadsPerDay" is > 1 then the "MaxUploadsPerDay" value will be reduced to 1 until the client is restarted. This helps to avoid an upload flood when the network or server error is resolved. Rate limiting is not supported on Linux.

If "MaxDatabaseSizeInMb" is set to a positive value then crash report storage on disk will be limited to that size in megabytes. For example, on Windows each dump is about 600KB so a "MaxDatabaseSizeInMb" value of 20 equates to about 34 crash reports stored on disk. Not supported on Linux.

If "MaxDatabaseAgeInDays" is set to a positive value then crash reports older than the specified age in days will be deleted. Not supported on Linux.

CrashKeys section:

A maximum of 26 crash keys of each size can be specified for use by the application. Crash key values will be truncated based on the specified size (small = 64 bytes, medium = 256 bytes, large = 1024 bytes). The value of crash keys can be set from any thread or process using the CefSetCrashKeyValue function. These key/value pairs will be sent to the crash server along with the crash dump file.

CefCreateDirectory uCEFMiscFunctions

Creates a directory and all parent directories if they don't already exist. Returns true (1) on successful creation or if the directory already exists. The directory is only readable by the current user. Calling this function on the browser process UI or IO threads is not allowed.

CefCreateNewTempDirectory uCEFMiscFunctions

Creates a new directory. On Windows if |prefix| is provided the new directory name is in the format of "prefixyyyy". Returns true (1) on success and sets |newTempPath| to the full path of the directory that was created. The directory is only readable by the current user. Calling this function on the browser process UI or IO threads is not allowed.

CefCreateTempDirectoryInDirectory uCEFMiscFunctions

Creates a directory within another directory. Extra characters will be appended to |prefix| to ensure that the new directory does not have the same name as an existing directory. Returns true (1) on success and sets |newDir| to the full path of the directory that was created. The directory is only readable by the current user. Calling this function on the browser process UI or IO threads is not allowed.

CefCreateUrl uCEFMiscFunctions

Creates a URL from the specified |parts|, which must contain a non-NULL spec or a non-NULL host and path (at a minimum), but not both.

CefCurrentlyOn uCEFMiscFunctions

Returns true (1) if called on the specified thread. Equivalent to using TCefTaskRunnerRef.GetForThread(threadId).BelongsToCurrentThread().

CefCursorToWindowsCursor uCEFApplication

CefDebugLog uCEFMiscFunctions

CefDeleteFile uCEFMiscFunctions

Deletes the given path whether it's a file or a directory. If |path| is a directory all contents will be deleted. If |recursive| is true (1) any sub- directories and their contents will also be deleted (equivalent to executing "rm -rf", so use with caution). On POSIX environments if |path| is a symbolic link then only the symlink will be deleted. Returns true (1) on successful deletion or if |path| does not exist. Calling this function on the browser process UI or IO threads is not allowed.

CefDirectoryExists uCEFMiscFunctions

Returns true (1) if the given path exists and is a directory. Calling this function on the browser process UI or IO threads is not allowed.

CefFormatUrlForSecurityDisplay uCEFMiscFunctions

This is a convenience function for formatting a URL in a concise and human- friendly way to help users make security-related decisions (or in other circumstances when people need to distinguish sites, origins, or otherwise- simplified URLs from each other). Internationalized domain names (IDN) may be presented in Unicode if the conversion is considered safe. The returned value will (a) omit the path for standard schemes, excepting file and filesystem, and (b) omit the port if it is the default for the scheme. Do not use this for URLs which will be parsed or sent to other applications.

CefGetData uCEFMiscFunctions

CefGetDataURI uCEFMiscFunctions

Returns a URI with a DATA scheme encoding |aData| as a base64 string.

CefGetDataURI uCEFMiscFunctions

Returns a URI with a DATA scheme using |aString| as the URI's data.

CefGetExtensionsForMimeType uCEFMiscFunctions

Get the extensions associated with the given mime type. This should be passed in lower case. There could be multiple extensions for a given mime type, like "html,htm" for "text/html", or "txt,text,html,..." for "text/*". Any existing elements in the provided vector will not be erased.

CefGetLogSeverityName uCEFMiscFunctions

Gets the log severity name.

CefGetMimeType uCEFMiscFunctions

Returns the mime type for the specified file extension or an NULL string if unknown.

CefGetMinLogLevel uCEFMiscFunctions

Gets the current log verbose level (LogSeverity).

CefGetObject uCEFMiscFunctions

CefGetPath uCEFMiscFunctions

Retrieve the path associated with the specified |aPathKey|. Can be called on any thread in the browser process.

CefGetTempDirectory uCEFMiscFunctions

Get the temporary directory provided by the system. WARNING: In general, you should use the temp directory variants below instead of this function. Those variants will ensure that the proper permissions are set so that other users on the system can't edit them while they're open (which could lead to security issues).

CefGetVLogLevel uCEFMiscFunctions

Gets the current vlog level for the given file.

CefInt64GetHigh uCEFMiscFunctions

Return the high int32_t value from an int64_t value.
CefInt64GetLow uCEFMiscFunctions

Return the low int32_t value from an int64_t value.
CefInt64Set uCEFMiscFunctions

Return an int64_t value with the specified low and high int32_t component values.
CefIsCertStatusError uCEFMiscFunctions

Returns true (1) if the certificate status represents an error.

CefIsKeyDown uCEFMiscFunctions

CefIsKeyToggled uCEFMiscFunctions

CefIsRTL uCEFMiscFunctions

Returns true (1) if the application text direction is right-to-left.

CefKeyEventLog uCEFMiscFunctions

CefLoadCRLSetsFile uCEFMiscFunctions

Loads the existing "Certificate Revocation Lists" file that is managed by Google Chrome. This file can generally be found in Chrome's User Data directory (e.g. "C:\Users\[User]\AppData\Local\Google\Chrome\User Data\" on Windows) and is updated periodically by Chrome's component updater service. Must be called in the browser process after the context has been initialized. See https://dev.chromium.org/Home/chromium-security/crlsets for background.

CefLog uCEFMiscFunctions

Add a log message. See the LogSeverity defines for supported |severity| values.

CefMouseEventLog uCEFMiscFunctions

CefParseUrl uCEFMiscFunctions

Parse the specified |url| into its component parts. Returns false (0) if the URL is invalid.

CefPostDelayedTask uCEFMiscFunctions

Post a task for delayed execution on the specified thread. Equivalent to using TCefTaskRunnerRef.GetForThread(threadId).PostDelayedTask(task, delay_ms).

CefPostTask uCEFMiscFunctions

Post a task for execution on the specified thread. Equivalent to using TCefTaskRunnerRef.GetForThread(threadId).PostTask(task).

CefRegisterExtension uCEFMiscFunctions

Register a new V8 extension with the specified JavaScript extension code and handler. Functions implemented by the handler are prototyped using the keyword 'native'. The calling of a native function is restricted to the scope in which the prototype of the native function is defined. This function may only be called on the render process main thread.

Example JavaScript extension code:

// create the 'example' global object if it doesn't already exist.
if (!example)
  example = {};
// create the 'example.test' global object if it doesn't already exist.
if (!example.test)
  example.test = {};
(function() {
  // Define the function 'example.test.myfunction'.
  example.test.myfunction = function() {
    // Call CefV8Handler::Execute() with the function name 'MyFunction'
    // and no arguments.
    native function MyFunction();
    return MyFunction();
  };
  // Define the getter function for parameter 'example.test.myparam'.
  example.test.__defineGetter__('myparam', function() {
    // Call CefV8Handler::Execute() with the function name 'GetMyParam'
    // and no arguments.
    native function GetMyParam();
    return GetMyParam();
  });
  // Define the setter function for parameter 'example.test.myparam'.
  example.test.__defineSetter__('myparam', function(b) {
    // Call CefV8Handler::Execute() with the function name 'SetMyParam'
    // and a single argument.
    native function SetMyParam();
    if(b) SetMyParam(b);
  });

  // Extension definitions can also contain normal JavaScript variables
  // and functions.
  var myint = 0;
  example.test.increment = function() {
    myint += 1;
    return myint;
  };
})();

Example usage in the page:

// Call the function.
example.test.myfunction();
// Set the parameter.
example.test.myparam = value;
// Get the parameter.
value = example.test.myparam;
// Call another function.
example.test.increment();
CefRegisterSchemeHandlerFactory uCEFMiscFunctions

Register a scheme handler factory with the global request context. An NULL |DomainName| value for a standard scheme will cause the factory to match all domain names. The |DomainName| value will be ignored for non-standard schemes. If |SchemeName| is a built-in scheme and no handler is returned by |factory| then the built-in scheme handler factory will be called. If |SchemeName| is a custom scheme then you must also implement the ICefApp.OnRegisterCustomSchemes function in all processes. This function may be called multiple times to change or remove the factory that matches the specified |SchemeName| and optional |DomainName|. Returns false (0) if an error occurs. This function may be called on any thread in the browser process. Using this function is equivalent to calling cef_reques t_context_t::cef_request_context_get_global_context()->register_scheme_handl er_factory().

CefRemoveCrossOriginWhitelistEntry uCEFMiscFunctions

Remove an entry from the cross-origin access whitelist. Returns false (0) if |source_origin| is invalid or the whitelist cannot be accessed.

CefResolveUrl uCEFMiscFunctions

Combines specified |base_url| and |relative_url| into a ustring.

CefSetCrashKeyValue uCEFMiscFunctions

Sets or clears a specific key-value pair from the crash metadata.

CefString uCEFMiscFunctions

Converts PCefString to ustring.
CefString uCEFMiscFunctions

Converts ustring to TCefString.
CefStringAlloc uCEFMiscFunctions

CefStringClearAndGet uCEFMiscFunctions

CefStringFree uCEFMiscFunctions

CefStringFreeAndGet uCEFMiscFunctions

CefStringInitialize uCEFMiscFunctions

CefStringSet uCEFMiscFunctions

CefStringSet uCEFMiscFunctions

CefTimeDelta uCEFMiscFunctions

Retrieve the delta in milliseconds between two time values.

CefTimeNow uCEFMiscFunctions

Retrieve the current system time in a TCefTime type.

CefTimeToDateTime uCEFMiscFunctions

Converts a TCefTime value to TDateTime.

CefTimeToDouble uCEFMiscFunctions

Converts TCefTime to a double which is the number of seconds since epoch (Jan 1, 1970). Webkit uses this format to represent time. A value of 0 means "not initialized".

CefTimeToSystemTime uCEFMiscFunctions

Converts a TCefTime value to TSystemTime.

CefTimeToUnixTime uCEFMiscFunctions

Converts cef_time_t to time_t. time_t is almost always an integral value holding the number of seconds (not counting leap seconds) since 00:00, Jan 1 1970 UTC, corresponding to POSIX time.

CefUriDecode uCEFMiscFunctions

Unescapes |text| and returns the result. Unescaping consists of looking for the exact pattern "%XX" where each X is a hex digit and converting to the character with the numerical value of those digits (e.g. "i%20=%203%3b" unescapes to "i = 3;"). If |convert_to_utf8| is true (1) this function will attempt to interpret the initial decoded result as UTF-8. If the result is convertable into UTF-8 it will be returned as converted. Otherwise the initial decoded result will be returned. The |unescape_rule| parameter supports further customization the decoding process.

CefUriEncode uCEFMiscFunctions

Escapes characters in |text| which are unsuitable for use as a query parameter value. Everything except alphanumerics and -_.!~*'() will be converted to "%XX". If |use_plus| is true (1) spaces will change to "+". The result is basically the same as encodeURIComponent in Javacript.

CefUserFreeString uCEFMiscFunctions

CefZipDirectory uCEFMiscFunctions

Writes the contents of |srcDir| into a zip archive at |destFile|. If |includeHiddenFiles| is true (1) files starting with "." will be included. Returns true (1) on success. Calling this function on the browser process UI or IO threads is not allowed.

cef_string_copy uCEFMiscFunctions

cef_string_utf16_copy uCEFMiscFunctions

cef_string_utf8_copy uCEFMiscFunctions

cef_string_wide_copy uCEFMiscFunctions

CetTimeFromCefBaseTime uCEFMiscFunctions

Converts TCefBaseTime to TCefTime.

CetTimeToCefBaseTime uCEFMiscFunctions

Converts TCefTime to TCefBaseTime.

CheckDLLs uCEFMiscFunctions

CheckDLLVersion uCEFMiscFunctions

CheckFilesExist uCEFMiscFunctions

CheckLocales uCEFMiscFunctions

CheckRealWindowsVersion uCEFMiscFunctions

CheckResources uCEFMiscFunctions

CheckSubprocessPath uCEFMiscFunctions

CustomAbsolutePath uCEFMiscFunctions

Returns the absolute path version of aPath.

CustomExceptionHandler uCEFMiscFunctions

CustomPathCanonicalize uCEFMiscFunctions

Simplifies a path by removing navigation elements such as "." and ".." to produce a direct, well-formed path.

CustomPathIsRelative uCEFMiscFunctions

Returns true if aPath is a relative path.

CustomPathIsUNC uCEFMiscFunctions

Determines if aPath is a valid Universal Naming Convention (UNC) path, as opposed to a path based on a drive letter.

CustomPathIsURL uCEFMiscFunctions

Tests aPath to determine if it conforms to a valid URL format.

DateTimeToCefBaseTime uCEFMiscFunctions

Converts a TDateTime value to TCefBaseTime.

DateTimeToCefTime uCEFMiscFunctions

Converts a TDateTime value to TCefTime.

DeleteDirContents uCEFMiscFunctions

DeleteFileList uCEFMiscFunctions

DestroyGlobalCEFApp uCEFApplication

DestroyGlobalCEFApp uCEFApplicationCore

DestroyGlobalCEFTimerWorkScheduler uCEFTimerWorkScheduler

DestroyGlobalCEFWorkScheduler uCEFWorkScheduler

DestroyGlobalFMXWorkScheduler uCEFFMXWorkScheduler

DeviceToLogical uCEFMiscFunctions

DeviceToLogical uCEFMiscFunctions

DeviceToLogical uCEFMiscFunctions

DeviceToLogical uCEFMiscFunctions

DeviceToLogical uCEFMiscFunctions

DoubleTimeNow uCEFMiscFunctions

Retrieve the current system time in a double type.

DoubleToCefTime uCEFMiscFunctions

Converts TCefTime from a double which is the number of seconds since epoch (Jan 1, 1970). Webkit uses this format to represent time. A value of 0 means "not initialized".

DragOperationToDropEffect uCEFMiscFunctions

DropEffectToDragOperation uCEFMiscFunctions

EditingCommandToString uCEFMiscFunctions

Convert an editting command to string.

FileVersionInfoToString uCEFMiscFunctions

FixCefTime uCEFMiscFunctions

Returns a new TCefTime with a valid time in case the original has errors.

GetAbsoluteDirPath uCEFMiscFunctions

GetCefKeyboardModifiers uCEFMiscFunctions

GetCefMouseModifiers uCEFMiscFunctions

GetCefMouseModifiers uCEFMiscFunctions

GetCommandLineSwitchValue uCEFMiscFunctions

Returns a command line switch value if it exists.

GetDefaultCEFUserAgent uCEFMiscFunctions

Return a user-agent string.

This function tries to replicate the BuildUserAgentFromOSAndProduct function in Chromium but it's safer to call the 'Browser.getVersion' DevTools method.

GetDeviceScaleFactor uCEFMiscFunctions

GetDLLHeaderMachine uCEFMiscFunctions

GetDLLVersion uCEFMiscFunctions

GetDPIForHandle uCEFMiscFunctions

GetExtendedFileVersion uCEFMiscFunctions

GetFileTypeDescription uCEFMiscFunctions

GetGlobalMemoryStatusEx uCEFMiscFunctions

GetIsWow64Process2 uCEFMiscFunctions

GetModulePath uCEFMiscFunctions

Retrieves the fully qualified path for the current module.

GetRealWindowsVersion uCEFMiscFunctions

GetRegistryWindowsVersion uCEFMiscFunctions

GetScreenDPI uCEFMiscFunctions

GetTimeIntervalMilliseconds uCEFMiscFunctions

Returns the time interval between now and from_ in milliseconds. This funcion should only be used by TCEFTimerWorkScheduler.

GetWindowsMajorMinorVersion uCEFMiscFunctions

InitializeCefTime uCEFMiscFunctions

Initialize a TCefTime variable.

InitializeWindowHandle uCEFMiscFunctions

Is32BitProcess uCEFMiscFunctions

IsCEFSubprocess uCEFMiscFunctions

Returns true if the command line switch has a "type" value.

IsWowProcess uCEFMiscFunctions

LogicalToDevice uCEFMiscFunctions

LogicalToDevice uCEFMiscFunctions

MoveFileList uCEFMiscFunctions

NetApiBufferFree uCEFMiscFunctions

NetServerGetInfo uCEFMiscFunctions

OutputDebugMessage uCEFMiscFunctions

OutputLastErrorMessage uCEFMiscFunctions

PathCanonicalizeAnsi uCEFMiscFunctions

PathCanonicalizeUnicode uCEFMiscFunctions

PathIsRelativeAnsi uCEFMiscFunctions

PathIsRelativeUnicode uCEFMiscFunctions

PathIsUNCAnsi uCEFMiscFunctions

PathIsUNCUnicode uCEFMiscFunctions

PathIsURLAnsi uCEFMiscFunctions

PathIsURLUnicode uCEFMiscFunctions

ProcessUnderWow64 uCEFMiscFunctions

Register uCEFBrowserViewComponent

Register uCEFBrowserWindow

Register uCEFBufferPanel

Register uCEFChromium

Register uCEFChromiumWindow

Register uCEFLabelButtonComponent

Register uCEFLinkedWindowParent

Register uCEFMenuButtonComponent

Register uCEFOsrBrowserWindow

Register uCEFPanelComponent

Register uCEFScrollViewComponent

Register uCEFSentinel

Register uCEFServerComponent

Register uCEFTextfieldComponent

Register uCEFUrlRequestClientComponent

Register uCEFWindowComponent

Register uCEFWindowParent

Register uCEFWorkScheduler

RunningWindows10OrNewer uCEFMiscFunctions

SetWindowLongPtr uCEFMiscFunctions

ShutdownBlockReasonCreate uCEFMiscFunctions

ShutdownBlockReasonDestroy uCEFMiscFunctions

SplitLongString uCEFMiscFunctions

SystemTimeToCefTime uCEFMiscFunctions

Converts a TSystemTime value to TCefTime.

UInt64ToFileVersionInfo uCEFMiscFunctions

UnixTimeToCefTime uCEFMiscFunctions

Converts cef_time_t from time_t. time_t is almost always an integral value holding the number of seconds (not counting leap seconds) since 00:00, Jan 1 1970 UTC, corresponding to POSIX time.

ValidCefWindowHandle uCEFMiscFunctions

WindowInfoAsChild uCEFMiscFunctions

WindowInfoAsPopUp uCEFMiscFunctions

WindowInfoAsWindowless uCEFMiscFunctions


cef4delphi: All Identifiers

All Identifiers

Name Unit Description
ABOUTBLANK_URI uCEFConstants

* ****************************************************** ****************** OTHER CONSTANTS ******************* ****************************************************** *
CEF4DELPHI_URL uCEFConstants

CefAddCrossOriginWhitelistEntry uCEFMiscFunctions

Add an entry to the cross-origin access whitelist.

The same-origin policy restricts how scripts hosted from different origins (scheme + domain + port) can communicate. By default, scripts can only access resources with the same origin. Scripts hosted on the HTTP and HTTPS schemes (but no other schemes) can use the "Access-Control-Allow-Origin" header to allow cross-origin requests. For example, https://source.example.com can make XMLHttpRequest requests on http://target.example.com if the http://target.example.com request returns an "Access-Control-Allow-Origin: https://source.example.com" response header.

Scripts in separate frames or iframes and hosted from the same protocol and domain suffix can execute cross-origin JavaScript if both pages set the document.domain value to the same domain suffix. For example, scheme://foo.example.com and scheme://bar.example.com can communicate using JavaScript if both domains set document.domain="example.com".

This function is used to allow access to origins that would otherwise violate the same-origin policy. Scripts hosted underneath the fully qualified |source_origin| URL (like http://www.example.com) will be allowed access to all resources hosted on the specified |target_protocol| and |target_domain|. If |target_domain| is non-NULL and |allow_target_subdomains| is false (0) only exact domain matches will be allowed. If |target_domain| contains a top- level domain component (like "example.com") and |allow_target_subdomains| is true (1) sub-domain matches will be allowed. If |target_domain| is NULL and |allow_target_subdomains| if true (1) all domains and IP addresses will be allowed.

This function cannot be used to bypass the restrictions on local or display isolated schemes. See the comments on CefRegisterCustomScheme for more information.

This function may be called on any thread. Returns false (0) if |source_origin| is invalid or the whitelist cannot be accessed.

CefBase64Decode uCEFMiscFunctions

Decodes the base64 encoded string |data|. The returned value will be NULL if the decoding fails.

CefBase64Encode uCEFMiscFunctions

Encodes |data| as a base64 string.

CefBaseTimeNow uCEFMiscFunctions

Retrieve the current system time in a TCefBaseTime type.

CefBaseTimeToDateTime uCEFMiscFunctions

Converts TCefBaseTime to TDateTime.

CefCheckAltGrPressed uCEFMiscFunctions

CefClearCrossOriginWhitelist uCEFMiscFunctions

Remove all entries from the cross-origin access whitelist. Returns false (0) if the whitelist cannot be accessed.

CefClearSchemeHandlerFactories uCEFMiscFunctions

Clear all scheme handler factories registered with the global request context. Returns false (0) on error. This function may be called on any thread in the browser process. Using this function is equivalent to calling cef_request_context_t::cef_request_context_get_global_context()->clear_schem e_handler_factories().

CefColorGetA uCEFMiscFunctions

Return the alpha byte from a cef_color_t value.
CefColorGetB uCEFMiscFunctions

Return the blue byte from a cef_color_t value.
CefColorGetG uCEFMiscFunctions

Return the green byte from a cef_color_t value.
CefColorGetR uCEFMiscFunctions

Return the red byte from a cef_color_t value.
CefColorSetARGB uCEFMiscFunctions

Return an cef_color_t value with the specified byte component values.
CefCrashReportingEnabled uCEFMiscFunctions

Crash reporting is configured using an INI-style config file named "crash_reporter.cfg". On Windows and Linux this file must be placed next to the main application executable. On macOS this file must be placed in the top-level app bundle Resources directory (e.g. "<appname>.app/Contents/Resources"). File contents are as follows:

<pre> # Comments start with a hash character and must be on their own line.

[Config] ProductName=<Value of the "prod" crash key; defaults to "cef"> ProductVersion=<Value of the "ver" crash key; defaults to the CEF version> AppName=<Windows only; App-specific folder name component for storing crash information; default to "CEF"> ExternalHandler=<Windows only; Name of the external handler exe to use instead of re-launching the main exe; default to empty> BrowserCrashForwardingEnabled=<macOS only; True if browser process crashes should be forwarded to the system crash reporter; default to false> ServerURL=<crash server URL; default to empty> RateLimitEnabled=<True if uploads should be rate limited; default to true> MaxUploadsPerDay=<Max uploads per 24 hours, used if rate limit is enabled; default to 5> MaxDatabaseSizeInMb=<Total crash report disk usage greater than this value will cause older reports to be deleted; default to 20> MaxDatabaseAgeInDays=<Crash reports older than this value will be deleted; default to 5>

[CrashKeys] my_key1=<small|medium|large> my_key2=<small|medium|large> </pre>

Config section:

If "ProductName" and/or "ProductVersion" are set then the specified values will be included in the crash dump metadata. On macOS if these values are set to NULL then they will be retrieved from the Info.plist file using the "CFBundleName" and "CFBundleShortVersionString" keys respectively.

If "AppName" is set on Windows then crash report information (metrics, database and dumps) will be stored locally on disk under the "C:\Users\[CurrentUser]\AppData\Local\[AppName]\User Data" folder. On other platforms the cef_settings_t.root_cache_path value will be used.

If "ExternalHandler" is set on Windows then the specified exe will be launched as the crashpad-handler instead of re-launching the main process exe. The value can be an absolute path or a path relative to the main exe directory. On Linux the cef_settings_t.browser_subprocess_path value will be used. On macOS the existing subprocess app bundle will be used.

If "BrowserCrashForwardingEnabled" is set to true (1) on macOS then browser process crashes will be forwarded to the system crash reporter. This results in the crash UI dialog being displayed to the user and crash reports being logged under "~/Library/Logs/DiagnosticReports". Forwarding of crash reports from non-browser processes and Debug builds is always disabled.

If "ServerURL" is set then crashes will be uploaded as a multi-part POST request to the specified URL. Otherwise, reports will only be stored locally on disk.

If "RateLimitEnabled" is set to true (1) then crash report uploads will be rate limited as follows: 1. If "MaxUploadsPerDay" is set to a positive value then at most the specified number of crashes will be uploaded in each 24 hour period. 2. If crash upload fails due to a network or server error then an incremental backoff delay up to a maximum of 24 hours will be applied for retries. 3. If a backoff delay is applied and "MaxUploadsPerDay" is > 1 then the "MaxUploadsPerDay" value will be reduced to 1 until the client is restarted. This helps to avoid an upload flood when the network or server error is resolved. Rate limiting is not supported on Linux.

If "MaxDatabaseSizeInMb" is set to a positive value then crash report storage on disk will be limited to that size in megabytes. For example, on Windows each dump is about 600KB so a "MaxDatabaseSizeInMb" value of 20 equates to about 34 crash reports stored on disk. Not supported on Linux.

If "MaxDatabaseAgeInDays" is set to a positive value then crash reports older than the specified age in days will be deleted. Not supported on Linux.

CrashKeys section:

A maximum of 26 crash keys of each size can be specified for use by the application. Crash key values will be truncated based on the specified size (small = 64 bytes, medium = 256 bytes, large = 1024 bytes). The value of crash keys can be set from any thread or process using the CefSetCrashKeyValue function. These key/value pairs will be sent to the crash server along with the crash dump file.

CefCreateDirectory uCEFMiscFunctions

Creates a directory and all parent directories if they don't already exist. Returns true (1) on successful creation or if the directory already exists. The directory is only readable by the current user. Calling this function on the browser process UI or IO threads is not allowed.

CefCreateNewTempDirectory uCEFMiscFunctions

Creates a new directory. On Windows if |prefix| is provided the new directory name is in the format of "prefixyyyy". Returns true (1) on success and sets |newTempPath| to the full path of the directory that was created. The directory is only readable by the current user. Calling this function on the browser process UI or IO threads is not allowed.

CefCreateTempDirectoryInDirectory uCEFMiscFunctions

Creates a directory within another directory. Extra characters will be appended to |prefix| to ensure that the new directory does not have the same name as an existing directory. Returns true (1) on success and sets |newDir| to the full path of the directory that was created. The directory is only readable by the current user. Calling this function on the browser process UI or IO threads is not allowed.

CefCreateUrl uCEFMiscFunctions

Creates a URL from the specified |parts|, which must contain a non-NULL spec or a non-NULL host and path (at a minimum), but not both.

CefCurrentlyOn uCEFMiscFunctions

Returns true (1) if called on the specified thread. Equivalent to using TCefTaskRunnerRef.GetForThread(threadId).BelongsToCurrentThread().

CefCursorToWindowsCursor uCEFApplication

CefDebugLog uCEFMiscFunctions

CefDeleteFile uCEFMiscFunctions

Deletes the given path whether it's a file or a directory. If |path| is a directory all contents will be deleted. If |recursive| is true (1) any sub- directories and their contents will also be deleted (equivalent to executing "rm -rf", so use with caution). On POSIX environments if |path| is a symbolic link then only the symlink will be deleted. Returns true (1) on successful deletion or if |path| does not exist. Calling this function on the browser process UI or IO threads is not allowed.

CefDirectoryExists uCEFMiscFunctions

Returns true (1) if the given path exists and is a directory. Calling this function on the browser process UI or IO threads is not allowed.

CefFormatUrlForSecurityDisplay uCEFMiscFunctions

This is a convenience function for formatting a URL in a concise and human- friendly way to help users make security-related decisions (or in other circumstances when people need to distinguish sites, origins, or otherwise- simplified URLs from each other). Internationalized domain names (IDN) may be presented in Unicode if the conversion is considered safe. The returned value will (a) omit the path for standard schemes, excepting file and filesystem, and (b) omit the port if it is the default for the scheme. Do not use this for URLs which will be parsed or sent to other applications.

CefGetData uCEFMiscFunctions

CefGetDataURI uCEFMiscFunctions

Returns a URI with a DATA scheme using |aString| as the URI's data.

CefGetDataURI uCEFMiscFunctions

Returns a URI with a DATA scheme encoding |aData| as a base64 string.

CefGetExtensionsForMimeType uCEFMiscFunctions

Get the extensions associated with the given mime type. This should be passed in lower case. There could be multiple extensions for a given mime type, like "html,htm" for "text/html", or "txt,text,html,..." for "text/*". Any existing elements in the provided vector will not be erased.

CefGetLogSeverityName uCEFMiscFunctions

Gets the log severity name.

CefGetMimeType uCEFMiscFunctions

Returns the mime type for the specified file extension or an NULL string if unknown.

CefGetMinLogLevel uCEFMiscFunctions

Gets the current log verbose level (LogSeverity).

CefGetObject uCEFMiscFunctions

CefGetPath uCEFMiscFunctions

Retrieve the path associated with the specified |aPathKey|. Can be called on any thread in the browser process.

CefGetTempDirectory uCEFMiscFunctions

Get the temporary directory provided by the system. WARNING: In general, you should use the temp directory variants below instead of this function. Those variants will ensure that the proper permissions are set so that other users on the system can't edit them while they're open (which could lead to security issues).

CefGetVLogLevel uCEFMiscFunctions

Gets the current vlog level for the given file.

CefInt64GetHigh uCEFMiscFunctions

Return the high int32_t value from an int64_t value.
CefInt64GetLow uCEFMiscFunctions

Return the low int32_t value from an int64_t value.
CefInt64Set uCEFMiscFunctions

Return an int64_t value with the specified low and high int32_t component values.
CefIsCertStatusError uCEFMiscFunctions

Returns true (1) if the certificate status represents an error.

CefIsKeyDown uCEFMiscFunctions

CefIsKeyToggled uCEFMiscFunctions

CefIsRTL uCEFMiscFunctions

Returns true (1) if the application text direction is right-to-left.

CefKeyEventLog uCEFMiscFunctions

CefLoadCRLSetsFile uCEFMiscFunctions

Loads the existing "Certificate Revocation Lists" file that is managed by Google Chrome. This file can generally be found in Chrome's User Data directory (e.g. "C:\Users\[User]\AppData\Local\Google\Chrome\User Data\" on Windows) and is updated periodically by Chrome's component updater service. Must be called in the browser process after the context has been initialized. See https://dev.chromium.org/Home/chromium-security/crlsets for background.

CefLog uCEFMiscFunctions

Add a log message. See the LogSeverity defines for supported |severity| values.

CefMouseEventLog uCEFMiscFunctions

CefParseUrl uCEFMiscFunctions

Parse the specified |url| into its component parts. Returns false (0) if the URL is invalid.

CefPostDelayedTask uCEFMiscFunctions

Post a task for delayed execution on the specified thread. Equivalent to using TCefTaskRunnerRef.GetForThread(threadId).PostDelayedTask(task, delay_ms).

CefPostTask uCEFMiscFunctions

Post a task for execution on the specified thread. Equivalent to using TCefTaskRunnerRef.GetForThread(threadId).PostTask(task).

CefRegisterExtension uCEFMiscFunctions

Register a new V8 extension with the specified JavaScript extension code and handler. Functions implemented by the handler are prototyped using the keyword 'native'. The calling of a native function is restricted to the scope in which the prototype of the native function is defined. This function may only be called on the render process main thread.

Example JavaScript extension code:

// create the 'example' global object if it doesn't already exist.
if (!example)
  example = {};
// create the 'example.test' global object if it doesn't already exist.
if (!example.test)
  example.test = {};
(function() {
  // Define the function 'example.test.myfunction'.
  example.test.myfunction = function() {
    // Call CefV8Handler::Execute() with the function name 'MyFunction'
    // and no arguments.
    native function MyFunction();
    return MyFunction();
  };
  // Define the getter function for parameter 'example.test.myparam'.
  example.test.__defineGetter__('myparam', function() {
    // Call CefV8Handler::Execute() with the function name 'GetMyParam'
    // and no arguments.
    native function GetMyParam();
    return GetMyParam();
  });
  // Define the setter function for parameter 'example.test.myparam'.
  example.test.__defineSetter__('myparam', function(b) {
    // Call CefV8Handler::Execute() with the function name 'SetMyParam'
    // and a single argument.
    native function SetMyParam();
    if(b) SetMyParam(b);
  });

  // Extension definitions can also contain normal JavaScript variables
  // and functions.
  var myint = 0;
  example.test.increment = function() {
    myint += 1;
    return myint;
  };
})();

Example usage in the page:

// Call the function.
example.test.myfunction();
// Set the parameter.
example.test.myparam = value;
// Get the parameter.
value = example.test.myparam;
// Call another function.
example.test.increment();
CefRegisterSchemeHandlerFactory uCEFMiscFunctions

Register a scheme handler factory with the global request context. An NULL |DomainName| value for a standard scheme will cause the factory to match all domain names. The |DomainName| value will be ignored for non-standard schemes. If |SchemeName| is a built-in scheme and no handler is returned by |factory| then the built-in scheme handler factory will be called. If |SchemeName| is a custom scheme then you must also implement the ICefApp.OnRegisterCustomSchemes function in all processes. This function may be called multiple times to change or remove the factory that matches the specified |SchemeName| and optional |DomainName|. Returns false (0) if an error occurs. This function may be called on any thread in the browser process. Using this function is equivalent to calling cef_reques t_context_t::cef_request_context_get_global_context()->register_scheme_handl er_factory().

CefRemoveCrossOriginWhitelistEntry uCEFMiscFunctions

Remove an entry from the cross-origin access whitelist. Returns false (0) if |source_origin| is invalid or the whitelist cannot be accessed.

CefResolveUrl uCEFMiscFunctions

Combines specified |base_url| and |relative_url| into a ustring.

CEFSENTINEL_DEFAULT_DELAYPERPROCMS uCEFSentinel

CEFSENTINEL_DEFAULT_FINALDELAYMS uCEFSentinel

CEFSENTINEL_DEFAULT_MAXCHECKCOUNTS uCEFSentinel

CEFSENTINEL_DEFAULT_MINCHILDPROCS uCEFSentinel

CEFSENTINEL_DEFAULT_MININITDELAYMS uCEFSentinel

CefSetCrashKeyValue uCEFMiscFunctions

Sets or clears a specific key-value pair from the crash metadata.

CefString uCEFMiscFunctions

Converts PCefString to ustring.
CefString uCEFMiscFunctions

Converts ustring to TCefString.
CefStringAlloc uCEFMiscFunctions

CefStringClearAndGet uCEFMiscFunctions

CefStringFree uCEFMiscFunctions

CefStringFreeAndGet uCEFMiscFunctions

CefStringInitialize uCEFMiscFunctions

CefStringSet uCEFMiscFunctions

CefStringSet uCEFMiscFunctions

CefTimeDelta uCEFMiscFunctions

Retrieve the delta in milliseconds between two time values.

CefTimeNow uCEFMiscFunctions

Retrieve the current system time in a TCefTime type.

CefTimeToDateTime uCEFMiscFunctions

Converts a TCefTime value to TDateTime.

CefTimeToDouble uCEFMiscFunctions

Converts TCefTime to a double which is the number of seconds since epoch (Jan 1, 1970). Webkit uses this format to represent time. A value of 0 means "not initialized".

CefTimeToSystemTime uCEFMiscFunctions

Converts a TCefTime value to TSystemTime.

CefTimeToUnixTime uCEFMiscFunctions

Converts cef_time_t to time_t. time_t is almost always an integral value holding the number of seconds (not counting leap seconds) since 00:00, Jan 1 1970 UTC, corresponding to POSIX time.

CefUriDecode uCEFMiscFunctions

Unescapes |text| and returns the result. Unescaping consists of looking for the exact pattern "%XX" where each X is a hex digit and converting to the character with the numerical value of those digits (e.g. "i%20=%203%3b" unescapes to "i = 3;"). If |convert_to_utf8| is true (1) this function will attempt to interpret the initial decoded result as UTF-8. If the result is convertable into UTF-8 it will be returned as converted. Otherwise the initial decoded result will be returned. The |unescape_rule| parameter supports further customization the decoding process.

CefUriEncode uCEFMiscFunctions

Escapes characters in |text| which are unsuitable for use as a query parameter value. Everything except alphanumerics and -_.!~*'() will be converted to "%XX". If |use_plus| is true (1) spaces will change to "+". The result is basically the same as encodeURIComponent in Javacript.

CefUserFreeString uCEFMiscFunctions

CefZipDirectory uCEFMiscFunctions

Writes the contents of |srcDir| into a zip archive at |destFile|. If |includeHiddenFiles| is true (1) files starting with "." will be included. Returns true (1) on success. Calling this function on the browser process UI or IO threads is not allowed.

cef_add_cross_origin_whitelist_entry uCEFLibFunctions

/include/capi/cef_origin_whitelist_capi.h
CEF_AFTERCREATED uCEFConstants

cef_api_hash uCEFLibFunctions

********************************* ************ INCLUDE ************ ********************************* /include/cef_api_hash.h
CEF_API_HASH_PLATFORM uCEFConstants

Platform API hash.

CEF_API_HASH_PLATFORM_LINUX uCEFApplicationCore

values defined in cef_api_versions.json
CEF_API_HASH_PLATFORM_MAC uCEFApplicationCore

CEF_API_HASH_PLATFORM_WINDOWS uCEFApplicationCore

CEF_API_HASH_UNIVERSAL uCEFConstants

Universal API hash. (deprecated, same as CEF_API_HASH_PLATFORM)

CEF_API_VERSION uCEFApplicationCore

cef_api_version uCEFLibFunctions

CEF_API_VERSION_EXPERIMENTAL uCEFApplicationCore

value defined in /include/cef_api_hash.h
CEF_API_VERSION_LAST uCEFApplicationCore

CEF_API_VERSION_MIN uCEFApplicationCore

values defined in cef_api_versions.json
cef_base64_decode uCEFLibFunctions

cef_base64_encode uCEFLibFunctions

cef_basetime_now uCEFLibFunctions

CEF_BEFORECLOSE uCEFConstants

cef_begin_tracing uCEFLibFunctions

/include/capi/cef_trace_capi.h
cef_binary_value_create uCEFLibFunctions

cef_browser_host_create_browser uCEFLibFunctions

/include/capi/cef_browser_capi.h
cef_browser_host_create_browser_sync uCEFLibFunctions

cef_browser_host_get_browser_by_identifier uCEFLibFunctions

cef_browser_view_create uCEFLibFunctions

********************************* ********** CAPI VIEWS *********** ********************************* /include/capi/views/cef_browser_view_capi.h
cef_browser_view_get_for_browser uCEFLibFunctions

CEF_CERTMANAGER_URL uCEFConstants

CEF_CHROMEELF_VERSION_BUILD uCEFApplication

CEF_CHROMEELF_VERSION_BUILD uCEFApplicationCore

CEF_CHROMEELF_VERSION_MAJOR uCEFApplication

CEF_CHROMEELF_VERSION_MAJOR uCEFApplicationCore

CEF_CHROMEELF_VERSION_MINOR uCEFApplication

CEF_CHROMEELF_VERSION_MINOR uCEFApplicationCore

CEF_CHROMEELF_VERSION_RELEASE uCEFApplication

CEF_CHROMEELF_VERSION_RELEASE uCEFApplicationCore

cef_clear_cross_origin_whitelist uCEFLibFunctions

cef_clear_scheme_handler_factories uCEFLibFunctions

cef_command_line_create uCEFLibFunctions

/include/capi/cef_command_line_capi.h
cef_command_line_get_global uCEFLibFunctions

CEF_COMMIT_HASH uCEFConstants

Commit hash.

cef_cookie_manager_get_global_manager uCEFLibFunctions

/include/capi/cef_cookie_capi.h
CEF_COOKIE_PREF_ALLOW uCEFConstants

CEF_COOKIE_PREF_BLOCK uCEFConstants

CEF_COOKIE_PREF_DEFAULT uCEFConstants

CEF_COOKIE_PRIORITY_HIGH uCEFConstants

CEF_COOKIE_PRIORITY_LOW uCEFConstants

Cookie priority values.

CEF_COOKIE_PRIORITY_MEDIUM uCEFConstants

cef_crash_reporting_enabled uCEFLibFunctions

/include/capi/cef_crash_util.h
cef_create_directory uCEFLibFunctions

/include/capi/cef_file_util_capi.h
cef_create_new_temp_directory uCEFLibFunctions

cef_create_temp_directory_in_directory uCEFLibFunctions

cef_create_url uCEFLibFunctions

CEF_CTT_LOCATION uCEFConstants

CEF_CTT_NONE uCEFConstants

CEF_CTT_NORMAL uCEFConstants

CEF_CTT_NUM_VALUES uCEFConstants

CEF_CTT_UNKNOWN uCEFConstants

Chrome toolbar types.

cef_currently_on uCEFLibFunctions

CEF_DEFAULT_ENABLEFOCUSDELAY uCEFConstants

cef_delete_file uCEFLibFunctions

CEF_DESTROY uCEFConstants

cef_dictionary_value_create uCEFLibFunctions

cef_directory_exists uCEFLibFunctions

cef_display_convert_screen_point_from_pixels uCEFLibFunctions

cef_display_convert_screen_point_to_pixels uCEFLibFunctions

cef_display_convert_screen_rect_from_pixels uCEFLibFunctions

cef_display_convert_screen_rect_to_pixels uCEFLibFunctions

cef_display_get_alls uCEFLibFunctions

cef_display_get_count uCEFLibFunctions

cef_display_get_matching_bounds uCEFLibFunctions

cef_display_get_nearest_point uCEFLibFunctions

cef_display_get_primary uCEFLibFunctions

/include/capi/views/cef_display_capi.h
CEF_DOCKING_MODE_BOTTOM_LEFT uCEFConstants

CEF_DOCKING_MODE_BOTTOM_RIGHT uCEFConstants

CEF_DOCKING_MODE_CUSTOM uCEFConstants

CEF_DOCKING_MODE_NUM_VALUES uCEFConstants

CEF_DOCKING_MODE_TOP_LEFT uCEFConstants

Docking modes supported by ICefWindow.AddOverlay.

CEF_DOCKING_MODE_TOP_RIGHT uCEFConstants

CEF_DOONBEFORECLOSE uCEFConstants

CEF_DOONCLOSE uCEFConstants

CEF_DOWNLOADS_URL uCEFConstants

CEF_DOWNLOAD_INTERRUPT_REASON_CRASH uCEFConstants

The browser crashed. Internal use only: resume pending downloads if possible.

CEF_DOWNLOAD_INTERRUPT_REASON_FILE_ACCESS_DENIED uCEFConstants

The file cannot be accessed due to security restrictions.

CEF_DOWNLOAD_INTERRUPT_REASON_FILE_BLOCKED uCEFConstants

The file was blocked due to local policy.

CEF_DOWNLOAD_INTERRUPT_REASON_FILE_FAILED uCEFConstants

Generic file operation failure.

CEF_DOWNLOAD_INTERRUPT_REASON_FILE_HASH_MISMATCH uCEFConstants

The partial file didn't match the expected hash.

CEF_DOWNLOAD_INTERRUPT_REASON_FILE_NAME_TOO_LONG uCEFConstants

The directory or file name is too long.

CEF_DOWNLOAD_INTERRUPT_REASON_FILE_NO_SPACE uCEFConstants

There is not enough room on the drive.

CEF_DOWNLOAD_INTERRUPT_REASON_FILE_SAME_AS_SOURCE uCEFConstants

The source and the target of the download were the same.

CEF_DOWNLOAD_INTERRUPT_REASON_FILE_SECURITY_CHECK_FAILED uCEFConstants

An attempt to check the safety of the download failed due to unexpected reasons. See http://crbug.com/153212.

CEF_DOWNLOAD_INTERRUPT_REASON_FILE_TOO_LARGE uCEFConstants

The file is too large for the file system to handle.

CEF_DOWNLOAD_INTERRUPT_REASON_FILE_TOO_SHORT uCEFConstants

An attempt was made to seek past the end of a file in opening a file (as part of resuming a previously interrupted download).

CEF_DOWNLOAD_INTERRUPT_REASON_FILE_TRANSIENT_ERROR uCEFConstants

The file was in use. Too many files are opened at once. We have run out of memory.

CEF_DOWNLOAD_INTERRUPT_REASON_FILE_VIRUS_INFECTED uCEFConstants

The file contains a virus.

CEF_DOWNLOAD_INTERRUPT_REASON_NETWORK_DISCONNECTED uCEFConstants

The network connection has been lost.

CEF_DOWNLOAD_INTERRUPT_REASON_NETWORK_FAILED uCEFConstants

Generic network failure.

CEF_DOWNLOAD_INTERRUPT_REASON_NETWORK_INVALID_REQUEST uCEFConstants

The network request was invalid. This may be due to the original URL or a redirected URL: - Having an unsupported scheme. - Being an invalid URL. - Being disallowed by policy.

CEF_DOWNLOAD_INTERRUPT_REASON_NETWORK_SERVER_DOWN uCEFConstants

The server has gone down.

CEF_DOWNLOAD_INTERRUPT_REASON_NETWORK_TIMEOUT uCEFConstants

The network operation timed out.

CEF_DOWNLOAD_INTERRUPT_REASON_NONE uCEFConstants

No interrupt reason.

CEF_DOWNLOAD_INTERRUPT_REASON_SERVER_BAD_CONTENT uCEFConstants

The server does not have the requested data.

CEF_DOWNLOAD_INTERRUPT_REASON_SERVER_CERT_PROBLEM uCEFConstants

Server certificate problem.

CEF_DOWNLOAD_INTERRUPT_REASON_SERVER_CONTENT_LENGTH_MISMATCH uCEFConstants

The server sent fewer bytes than the content-length header. It may indicate that the connection was closed prematurely, or the Content-Length header was invalid. The download is only interrupted if strong validators are present. Otherwise, it is treated as finished.

CEF_DOWNLOAD_INTERRUPT_REASON_SERVER_CROSS_ORIGIN_REDIRECT uCEFConstants

An unexpected cross-origin redirect happened.

CEF_DOWNLOAD_INTERRUPT_REASON_SERVER_FAILED uCEFConstants

The server indicates that the operation has failed (generic).

CEF_DOWNLOAD_INTERRUPT_REASON_SERVER_FORBIDDEN uCEFConstants

Server access forbidden.

CEF_DOWNLOAD_INTERRUPT_REASON_SERVER_NO_RANGE uCEFConstants

The server does not support range requests. Internal use only: must restart from the beginning.

CEF_DOWNLOAD_INTERRUPT_REASON_SERVER_UNAUTHORIZED uCEFConstants

Server didn't authorize access to resource.

CEF_DOWNLOAD_INTERRUPT_REASON_SERVER_UNREACHABLE uCEFConstants

Unexpected server response. This might indicate that the responding server may not be the intended server.

CEF_DOWNLOAD_INTERRUPT_REASON_USER_CANCELED uCEFConstants

The user canceled the download.

CEF_DOWNLOAD_INTERRUPT_REASON_USER_SHUTDOWN uCEFConstants

The user shut down the browser. Internal use only: resume pending downloads if possible.

cef_do_message_loop_work uCEFLibFunctions

cef_drag_data_create uCEFLibFunctions

/include/capi/cef_drag_data_capi.h
cef_dump_without_crashing uCEFLibFunctions

/include/internal/cef_dump_without_crashing_internal.h
cef_end_tracing uCEFLibFunctions

cef_execute_process uCEFLibFunctions

CEF_EXTENSIONS_URL uCEFConstants

CEF_FLAGS_URL uCEFConstants

CEF_FOCUSENABLED uCEFConstants

cef_format_url_for_security_display uCEFLibFunctions

cef_get_current_platform_thread_handle uCEFLibFunctions

cef_get_current_platform_thread_id uCEFLibFunctions

/include/internal/cef_thread_internal.h
cef_get_exit_code uCEFLibFunctions

cef_get_extensions_for_mime_type uCEFLibFunctions

cef_get_mime_type uCEFLibFunctions

cef_get_min_log_level uCEFLibFunctions

/include/internal/cef_logging_internal.h
cef_get_path uCEFLibFunctions

/include/capi/cef_path_util_capi.h
cef_get_temp_directory uCEFLibFunctions

cef_get_vlog_level uCEFLibFunctions

CEF_GPU_URL uCEFConstants

cef_id_for_command_id_name uCEFLibFunctions

cef_id_for_pack_resource_name uCEFLibFunctions

/include/cef_id_mappers.h
cef_id_for_pack_string_name uCEFLibFunctions

cef_image_create uCEFLibFunctions

/include/capi/cef_image_capi.h
CEF_IMAGE_FILE_MACHINE_AMD64 uCEFConstants

CEF_IMAGE_FILE_MACHINE_I386 uCEFConstants

These contants are declared in the "Windows" unit but some old Delphi versions don't have them. We have to add "CEF_" to be compatible with C++ Builder.
CEF_IMERANGECHANGED uCEFConstants

cef_initialize uCEFLibFunctions

********************************* ************* CAPI ************** ********************************* /include/capi/cef_app_capi.h
CEF_INSPECT_URL uCEFConstants

CEF_INVALIDATE uCEFConstants

cef_is_cert_status_error uCEFLibFunctions

/include/capi/cef_ssl_info_capi.h
cef_is_rtl uCEFLibFunctions

/ include/capi/cef_i18n_util_capi.h
cef_label_button_create uCEFLibFunctions

/include/capi/views/cef_label_button_capi.h
cef_launch_process uCEFLibFunctions

/include/capi/cef_process_util_capi.h
cef_list_value_create uCEFLibFunctions

cef_load_crlsets_file uCEFLibFunctions

cef_log uCEFLibFunctions

CEF_LOG_SEVERITY_ERROR uCEFConstants

CEF_LOG_SEVERITY_FATAL uCEFConstants

This severity log level causes a crash.
CEF_LOG_SEVERITY_INFO uCEFConstants

CEF_LOG_SEVERITY_VERBOSE uCEFConstants

Used in the severity parameter in the 'cef_log' function, also known as 'CefLog' in CEF4Delphi. The log severities are used to index into the array of names, see log_severity_names. /base/allocator/partition_allocator/partition_alloc_base/logging.h /base/logging.cc

CEF_LOG_SEVERITY_WARNING uCEFConstants

CEF_MAX_CONNECTIONS_PER_PROXY_DEFAULT_VALUE uCEFConstants

CEF_MAX_CONNECTIONS_PER_PROXY_MAX_VALUE uCEFConstants

CEF_MAX_CONNECTIONS_PER_PROXY_MIN_VALUE uCEFConstants

CEF_MEDIA_PERMISSION_DESKTOP_AUDIO_CAPTURE uCEFConstants

Desktop audio capture permission.

CEF_MEDIA_PERMISSION_DESKTOP_VIDEO_CAPTURE uCEFConstants

Desktop video capture permission.

CEF_MEDIA_PERMISSION_DEVICE_AUDIO_CAPTURE uCEFConstants

Device audio capture permission.

CEF_MEDIA_PERMISSION_DEVICE_VIDEO_CAPTURE uCEFConstants

Device video capture permission.

CEF_MEDIA_PERMISSION_NONE uCEFConstants

No permission.

cef_media_router_get_global uCEFLibFunctions

/include/capi/cef_media_router_capi.h
CEF_MEMORY_URL uCEFConstants

cef_menu_button_create uCEFLibFunctions

/include/capi/views/cef_menu_button_capi.h
cef_menu_model_create uCEFLibFunctions

/include/capi/cef_menu_model_capi.h
CEF_MOUSETOUCH_EVENT_MODIFIERS_ALT uCEFConstants

CEF_MOUSETOUCH_EVENT_MODIFIERS_CTRL uCEFConstants

CEF_MOUSETOUCH_EVENT_MODIFIERS_METACMD uCEFConstants

CEF_MOUSETOUCH_EVENT_MODIFIERS_NONE uCEFConstants

Modifier values used in the Input.dispatchTouchEvent and Input.dispatchMouseEvent DevTools methods. Bit field representing pressed modifier keys. Alt=1, Ctrl=2, Meta/Command=4, Shift=8 (default: 0). https://chromedevtools.github.io/devtools-protocol/tot/Input/#method-dispatchTouchEvent
CEF_MOUSETOUCH_EVENT_MODIFIERS_SHIFT uCEFConstants

CEF_MRCR_CANCELLED uCEFConstants

CEF_MRCR_DESKTOP_PICKER_FAILED uCEFConstants

CEF_MRCR_INVALID_ORIGIN uCEFConstants

CEF_MRCR_NOTIFICATION_DISABLED uCEFConstants

CEF_MRCR_NO_SUPPORTED_PROVIDER uCEFConstants

CEF_MRCR_NUM_VALUES uCEFConstants

CEF_MRCR_OFF_THE_RECORD_MISMATCH_DEPRECATED uCEFConstants

CEF_MRCR_OK uCEFConstants

CEF_MRCR_REDUNDANT_REQUEST uCEFConstants

CEF_MRCR_ROUTE_ALREADY_EXISTS uCEFConstants

CEF_MRCR_ROUTE_ALREADY_TERMINATED uCEFConstants

CEF_MRCR_ROUTE_NOT_FOUND uCEFConstants

CEF_MRCR_SINK_NOT_FOUND uCEFConstants

CEF_MRCR_TIMED_OUT uCEFConstants

CEF_MRCR_UNKNOWN_ERROR uCEFConstants

Result codes for ICefMediaRouter.CreateRoute. Should be kept in sync with Chromium's media_router::mojom::RouteRequestResultCode type.

CEF_MRCR_USER_NOT_ALLOWED uCEFConstants

CEF_MRCS_CLOSED uCEFConstants

CEF_MRCS_CONNECTED uCEFConstants

CEF_MRCS_CONNECTING uCEFConstants

CEF_MRCS_NUM_VALUES uCEFConstants

CEF_MRCS_TERMINATED uCEFConstants

CEF_MRCS_UNKNOWN uCEFConstants

Connection state for a MediaRoute object. Should be kept in sync with Chromium's blink::mojom::PresentationConnectionState type.

cef_now_from_system_trace_time uCEFLibFunctions

CEF_ONEDAYINMILLISECONDS uCEFConstants

This value may be used with the mseconds_between_dumps parameter in GlobalCEFApp.DumpWithoutCrashing.

CEF_OSR_FRAMERATE_DEFAULT uCEFConstants

Default values for the Windowsless framerate setting in TChromiumOptions The values are frames per second.
CEF_OSR_SHARED_TEXTURES_FRAMERATE_DEFAULT uCEFConstants

Used when the shared textures are disabled.
cef_panel_create uCEFLibFunctions

/include/capi/views/cef_panel_capi.h
cef_parse_json uCEFLibFunctions

cef_parse_jsonand_return_error uCEFLibFunctions

cef_parse_json_buffer uCEFLibFunctions

cef_parse_url uCEFLibFunctions

CEF_PENDINGINVALIDATE uCEFConstants

CEF_PENDINGRESIZE uCEFConstants

CEF_PERMISSION_TYPE_AR_SESSION uCEFConstants

CEF_PERMISSION_TYPE_CAMERA_PAN_TILT_ZOOM uCEFConstants

CEF_PERMISSION_TYPE_CAMERA_STREAM uCEFConstants

CEF_PERMISSION_TYPE_CAPTURED_SURFACE_CONTROL uCEFConstants

CEF_PERMISSION_TYPE_CLIPBOARD uCEFConstants

CEF_PERMISSION_TYPE_DISK_QUOTA uCEFConstants

CEF_PERMISSION_TYPE_FILE_SYSTEM_ACCESS uCEFConstants

CEF_PERMISSION_TYPE_GEOLOCATION uCEFConstants

CEF_PERMISSION_TYPE_HAND_TRACKING uCEFConstants

CEF_PERMISSION_TYPE_IDENTITY_PROVIDER uCEFConstants

CEF_PERMISSION_TYPE_IDLE_DETECTION uCEFConstants

CEF_PERMISSION_TYPE_KEYBOARD_LOCK uCEFConstants

CEF_PERMISSION_TYPE_LOCAL_FONTS uCEFConstants

CEF_PERMISSION_TYPE_LOCAL_NETWORK_ACCESS uCEFConstants

CEF_PERMISSION_TYPE_MIC_STREAM uCEFConstants

CEF_PERMISSION_TYPE_MIDI_SYSEX uCEFConstants

CEF_PERMISSION_TYPE_MULTIPLE_DOWNLOADS uCEFConstants

CEF_PERMISSION_TYPE_NONE uCEFConstants

Permission types used with OnShowPermissionPrompt. Some types are platform-specific or only supported with Chrome style. Should be kept in sync with Chromium's permissions::RequestType type.

CEF_PERMISSION_TYPE_NOTIFICATIONS uCEFConstants

CEF_PERMISSION_TYPE_POINTER_LOCK uCEFConstants

CEF_PERMISSION_TYPE_PROTECTED_MEDIA_IDENTIFIER uCEFConstants

CEF_PERMISSION_TYPE_REGISTER_PROTOCOL_HANDLER uCEFConstants

CEF_PERMISSION_TYPE_STORAGE_ACCESS uCEFConstants

CEF_PERMISSION_TYPE_TOP_LEVEL_STORAGE_ACCESS uCEFConstants

CEF_PERMISSION_TYPE_VR_SESSION uCEFConstants

CEF_PERMISSION_TYPE_WEB_APP_INSTALLATION uCEFConstants

CEF_PERMISSION_TYPE_WINDOW_MANAGEMENT uCEFConstants

cef_post_data_create uCEFLibFunctions

cef_post_data_element_create uCEFLibFunctions

cef_post_delayed_task uCEFLibFunctions

cef_post_task uCEFLibFunctions

CEF_PREFERENCES_SAVED uCEFConstants

cef_preference_manager_get_chrome_variations_as_strings uCEFLibFunctions

* CEF_API_ADDED(13401) *
cef_preference_manager_get_chrome_variations_as_switches uCEFLibFunctions

cef_preference_manager_get_global uCEFLibFunctions

/include/capi/cef_preference_capi.h
CEF_PREFS_URL uCEFConstants

CEF_PRESSED_MOUSE_BUTTONS_BACK uCEFConstants

CEF_PRESSED_MOUSE_BUTTONS_FORWARD uCEFConstants

CEF_PRESSED_MOUSE_BUTTONS_LEFT uCEFConstants

CEF_PRESSED_MOUSE_BUTTONS_MIDDLE uCEFConstants

CEF_PRESSED_MOUSE_BUTTONS_NONE uCEFConstants

Modifier values used in the Input.dispatchMouseEvent DevTools method. A number indicating which buttons are pressed on the mouse when a mouse event is triggered. Left=1, Right=2, Middle=4, Back=8, Forward=16, None=0. https://chromedevtools.github.io/devtools-protocol/tot/Input/#method-dispatchMouseEvent
CEF_PRESSED_MOUSE_BUTTONS_RIGHT uCEFConstants

cef_print_settings_create uCEFLibFunctions

/include/capi/cef_print_settings_capi.h
cef_process_message_create uCEFLibFunctions

/include/capi/cef_process_message_capi.h
CEF_PROXYTYPE_AUTODETECT uCEFConstants

Auto_detect proxy type: Auto detect proxy settings.

CEF_PROXYTYPE_DIRECT uCEFConstants

Direct proxy type: Never use a proxy.

CEF_PROXYTYPE_FIXED_SERVERS uCEFConstants

Fixed_servers proxy type: Use fixed proxy servers.

CEF_PROXYTYPE_PAC_SCRIPT uCEFConstants

Pac_script proxy type: Use a .pac proxy script.

CEF_PROXYTYPE_SYSTEM uCEFConstants

System proxy type: Use system proxy settings.

CEF_PUMPHAVEWORK uCEFConstants

cef_quit_message_loop uCEFLibFunctions

cef_register_extension uCEFLibFunctions

cef_register_scheme_handler_factory uCEFLibFunctions

/include/capi/cef_scheme_capi.h
cef_remove_cross_origin_whitelist_entry uCEFLibFunctions

cef_request_context_cef_create_context_shared uCEFLibFunctions

cef_request_context_create_context uCEFLibFunctions

cef_request_context_get_global_context uCEFLibFunctions

/include/capi/cef_request_context_capi.h
cef_request_create uCEFLibFunctions

/include/capi/cef_request_capi.h
cef_resolve_url uCEFLibFunctions

/include/capi/cef_parser_capi.h
cef_resource_bundle_get_global uCEFLibFunctions

/include/capi/cef_resource_bundle_capi.h
cef_response_create uCEFLibFunctions

/include/capi/cef_response_capi.h
CEF_RESULT_CODE_ACTION_DISALLOWED_BY_POLICY uCEFConstants

The action is not allowed by a policy.

CEF_RESULT_CODE_BAD_PROCESS_TYPE uCEFConstants

The process is of an unknown type.

CEF_RESULT_CODE_CHROME_FIRST uCEFConstants

First Chrome result code.

CEF_RESULT_CODE_CHROME_LAST uCEFConstants

Last Chrome result code.

CEF_RESULT_CODE_CLOUD_POLICY_ENROLLMENT_FAILED uCEFConstants

Cloud policy enrollment is failed or given up by user.

CEF_RESULT_CODE_DOWNGRADE_AND_RELAUNCH uCEFConstants

Chrome was downgraded since the last launch. Perform downgrade processing and relaunch.

CEF_RESULT_CODE_EULA_REFUSED uCEFConstants

Returned when the user has not yet accepted the EULA.

CEF_RESULT_CODE_GPU_DEAD_ON_ARRIVAL uCEFConstants

The GPU process exited because initialization failed.

CEF_RESULT_CODE_GPU_EXIT_ON_CONTEXT_LOST uCEFConstants

The GPU process was terminated due to context lost.

CEF_RESULT_CODE_HUNG uCEFConstants

Process hung.

CEF_RESULT_CODE_IMPORTER_HUNG uCEFConstants

Browser import hung and was killed.

CEF_RESULT_CODE_INSTALL_FROM_WEBSTORE_ERROR_2 uCEFConstants

Failed to install an item from the webstore when the kInstallEphemeralAppFromWebstore command line flag was present. As this flag is no longer supported, this return code should never be returned.

CEF_RESULT_CODE_INVALID_CMDLINE_URL uCEFConstants

An invalid command line url was given.

CEF_RESULT_CODE_INVALID_SANDBOX_STATE uCEFConstants

A browser process was sandboxed. This should never happen.

CEF_RESULT_CODE_KILLED uCEFConstants

Process was killed by user or system.

CEF_RESULT_CODE_KILLED_BAD_MESSAGE uCEFConstants

A bad message caused the process termination.

CEF_RESULT_CODE_MACHINE_LEVEL_INSTALL_EXISTS uCEFConstants

Machine level install exists.

CEF_RESULT_CODE_MISSING_DATA uCEFConstants

A critical chrome file is missing.

CEF_RESULT_CODE_NORMAL_EXIT uCEFConstants

Normal exit code.

CEF_RESULT_CODE_NORMAL_EXIT_AUTO_DE_ELEVATED uCEFConstants

The browser process exited because it was re-launched without elevation.

CEF_RESULT_CODE_NORMAL_EXIT_CANCEL uCEFConstants

For experiments this return code means that the user canceled causes the did_run "dr" signal to be reset soi this chrome run does not count as active chrome usage.

CEF_RESULT_CODE_NORMAL_EXIT_EXP1 uCEFConstants

Generic code used to communicate some simple outcome back to the process that launched us. This is used for experiments and the actual meaning depends on the experiment.

CEF_RESULT_CODE_NORMAL_EXIT_EXP2 uCEFConstants

Generic code used to communicate some simple outcome back to the process that launched us. This is used for experiments and the actual meaning depends on the experiment.

CEF_RESULT_CODE_NORMAL_EXIT_EXP3 uCEFConstants

Generic code used to communicate some simple outcome back to the process that launched us. This is used for experiments and the actual meaning depends on the experiment.

CEF_RESULT_CODE_NORMAL_EXIT_EXP4 uCEFConstants

Generic code used to communicate some simple outcome back to the process that launched us. This is used for experiments and the actual meaning depends on the experiment.

CEF_RESULT_CODE_NORMAL_EXIT_PACK_EXTENSION_SUCCESS uCEFConstants

An early startup command was executed and the browser must exit.

CEF_RESULT_CODE_NORMAL_EXIT_PROCESS_NOTIFIED uCEFConstants

The browser process exited early by passing the command line to another running browser.

CEF_RESULT_CODE_NORMAL_EXIT_UPGRADE_RELAUNCHED uCEFConstants

Chrome detected that there was a new version waiting to launch and renamed the files and launched the new version. This result code is never returned from the main process, but is instead used as a signal for early termination of browser. See `IsNormalResultCode` below.

CEF_RESULT_CODE_NOTUSED_1 uCEFConstants

A dummy value we should not use. See crbug.com/152285.

CEF_RESULT_CODE_NOTUSED_2 uCEFConstants

A dummy value we should not use. See crbug.com/152285.

CEF_RESULT_CODE_NUM_VALUES uCEFConstants

Last TCefResultCode value.

CEF_RESULT_CODE_PACK_EXTENSION_ERROR uCEFConstants

Failed to pack an extension via the cmd line.

CEF_RESULT_CODE_PROFILE_IN_USE uCEFConstants

The profile was in use on another host.

CEF_RESULT_CODE_RESPAWN_FAILED uCEFConstants

Trying to restart the browser we crashed.

CEF_RESULT_CODE_SANDBOX_FATAL_BROKER_SHUTDOWN_HUNG uCEFConstants

Windows sandbox broker terminated in shutdown.

CEF_RESULT_CODE_SANDBOX_FATAL_CACHEDISABLE uCEFConstants

Windows sandbox failed to forbid HCKU caching.

CEF_RESULT_CODE_SANDBOX_FATAL_CLOSEHANDLES uCEFConstants

Windows sandbox failed to close pending handles.

CEF_RESULT_CODE_SANDBOX_FATAL_DROPTOKEN uCEFConstants

Windows sandbox could not lower the token.

CEF_RESULT_CODE_SANDBOX_FATAL_FIRST uCEFConstants

First Sandbox result code.

CEF_RESULT_CODE_SANDBOX_FATAL_FLUSHANDLES uCEFConstants

Windows sandbox failed to flush registry handles.

CEF_RESULT_CODE_SANDBOX_FATAL_INTEGRITY uCEFConstants

Windows sandbox could not set the integrity level.

CEF_RESULT_CODE_SANDBOX_FATAL_LAST uCEFConstants

Last Sandbox result code.

CEF_RESULT_CODE_SANDBOX_FATAL_MEMORY_EXCEEDED uCEFConstants

Windows sandbox exceeded the job memory limit.

CEF_RESULT_CODE_SANDBOX_FATAL_MITIGATION uCEFConstants

Windows sandbox could not set the mitigation policy.

CEF_RESULT_CODE_SANDBOX_FATAL_WARMUP uCEFConstants

Windows sandbox failed to warmup.

CEF_RESULT_CODE_SHELL_INTEGRATION_FAILED uCEFConstants

Failed to make Chrome default browser (not used?).

CEF_RESULT_CODE_SXS_MIGRATION_FAILED_NOT_USED uCEFConstants

Failed to migrate user data directory for side-by-side package support (Linux-only).

CEF_RESULT_CODE_SYSTEM_RESOURCE_EXHAUSTED uCEFConstants

The browser process exited because system resource are exhausted. The system state can't be recovered and will be unstable.

CEF_RESULT_CODE_TERMINATED_BY_OTHER_PROCESS_ON_COMMIT_FAILURE uCEFConstants

Upon encountering a commit failure in a process, PartitionAlloc terminated another process deemed less important.

CEF_RESULT_CODE_UNINSTALL_CHROME_ALIVE uCEFConstants

Uninstall detected another chrome instance.

CEF_RESULT_CODE_UNINSTALL_DELETE_PROFILE uCEFConstants

Delete profile as well during uninstall.

CEF_RESULT_CODE_UNINSTALL_EXTENSION_ERROR uCEFConstants

Failed to silently uninstall an extension.

CEF_RESULT_CODE_UNINSTALL_USER_CANCEL uCEFConstants

The user changed their mind.

CEF_RESULT_CODE_UNSUPPORTED_PARAM uCEFConstants

Command line parameter is not supported.

cef_run_message_loop uCEFLibFunctions

CEF_SCHEME_OPTION_CORS_ENABLED uCEFConstants

If CEF_SCHEME_OPTION_CORS_ENABLED is set the scheme can be sent CORS requests. This value should be set in most cases where CEF_SCHEME_OPTION_STANDARD is set.

CEF_SCHEME_OPTION_CSP_BYPASSING uCEFConstants

If CEF_SCHEME_OPTION_CSP_BYPASSING is set the scheme can bypass Content- Security-Policy (CSP) checks. This value should not be set in most cases where CEF_SCHEME_OPTION_STANDARD is set.

CEF_SCHEME_OPTION_DISPLAY_ISOLATED uCEFConstants

If CEF_SCHEME_OPTION_DISPLAY_ISOLATED is set the scheme can only be displayed from other content hosted with the same scheme. For example, pages in other origins cannot create iframes or hyperlinks to URLs with the scheme. For schemes that must be accessible from other schemes don't set this, set CEF_SCHEME_OPTION_CORS_ENABLED, and use CORS "Access-Control-Allow-Origin" headers to further restrict access.

CEF_SCHEME_OPTION_FETCH_ENABLED uCEFConstants

If CEF_SCHEME_OPTION_FETCH_ENABLED is set the scheme can perform Fetch API requests.

CEF_SCHEME_OPTION_LOCAL uCEFConstants

If CEF_SCHEME_OPTION_LOCAL is set the scheme will be treated with the same security rules as those applied to "file" URLs. Normal pages cannot link to or access local URLs. Also, by default, local URLs can only perform XMLHttpRequest calls to the same URL (origin + path) that originated the request. To allow XMLHttpRequest calls from a local URL to other URLs with the same origin set the CefSettings.file_access_from_file_urls_allowed value to true (1). To allow XMLHttpRequest calls from a local URL to all origins set the CefSettings.universal_access_from_file_urls_allowed value to true (1).

CEF_SCHEME_OPTION_NONE uCEFConstants

No options.

CEF_SCHEME_OPTION_SECURE uCEFConstants

If CEF_SCHEME_OPTION_SECURE is set the scheme will be treated with the same security rules as those applied to "https" URLs. For example, loading this scheme from other secure schemes will not trigger mixed content warnings.

CEF_SCHEME_OPTION_STANDARD uCEFConstants

If CEF_SCHEME_OPTION_STANDARD is set the scheme will be treated as a standard scheme. Standard schemes are subject to URL canonicalization and parsing rules as defined in the Common Internet Scheme Syntax RFC 1738 Section 3.1 available at http://www.ietf.org/rfc/rfc1738.txt

In particular, the syntax for standard scheme URLs must be of the form: <pre> [scheme]://[username]:[password]@[host]:[port]/[url-path] </pre> Standard scheme URLs must have a host component that is a fully qualified domain name as defined in Section 3.5 of RFC 1034 [13] and Section 2.1 of RFC 1123. These URLs will be canonicalized to "scheme://host/path" in the simplest case and "scheme://username:password@host:port/path" in the most explicit case. For example, "scheme:host/path" and "scheme:///host/path" will both be canonicalized to "scheme://host/path". The origin of a standard scheme URL is the combination of scheme, host and port (i.e., "scheme://host:port" in the most explicit case).

For non-standard scheme URLs only the "scheme:" component is parsed and canonicalized. The remainder of the URL will be passed to the handler as- is. For example, "scheme:///some%20text" will remain the same. Non-standard scheme URLs cannot be used as a target for form submission.

cef_scroll_view_create uCEFLibFunctions

/include/capi/views/cef_scroll_view_capi.h
CEF_SENTINEL_DOCLOSE uCEFConstants

CEF_SENTINEL_START uCEFConstants

cef_server_create uCEFLibFunctions

/include/capi/cef_server_capi.h
CEF_SETTINGS_URL uCEFConstants

cef_set_crash_key_value uCEFLibFunctions

cef_set_osmodal_loop uCEFLibFunctions

********************************* *********** INTERNAL ************ ********************************* /include/internal/cef_app_win.h
cef_shared_process_message_builder_create uCEFLibFunctions

/include/capi/cef_shared_process_message_builder_capi.h
CEF_SHOW_STATE_FULLSCREEN uCEFConstants

Show the window as fullscreen.

CEF_SHOW_STATE_HIDDEN uCEFConstants

Show the window as hidden (no dock thumbnail). Only supported on MacOS..

CEF_SHOW_STATE_MAXIMIZED uCEFConstants

Show the window as maximized.

CEF_SHOW_STATE_MINIMIZED uCEFConstants

Show the window as minimized.

CEF_SHOW_STATE_NORMAL uCEFConstants

Show the window as normal.

CEF_SHOW_STATE_NUM_VALUES uCEFConstants

Number of TCefShowState values

cef_shutdown uCEFLibFunctions

CEF_STARTDRAGGING uCEFConstants

cef_stream_reader_create_for_data uCEFLibFunctions

cef_stream_reader_create_for_file uCEFLibFunctions

/include/capi/cef_stream_capi.h
cef_stream_reader_create_for_handler uCEFLibFunctions

cef_stream_writer_create_for_file uCEFLibFunctions

cef_stream_writer_create_for_handler uCEFLibFunctions

cef_string_ascii_to_utf16 uCEFLibFunctions

cef_string_ascii_to_wide uCEFLibFunctions

cef_string_copy uCEFMiscFunctions

cef_string_list_alloc uCEFLibFunctions

/include/internal/cef_string_list.h
cef_string_list_append uCEFLibFunctions

cef_string_list_clear uCEFLibFunctions

cef_string_list_copy uCEFLibFunctions

cef_string_list_free uCEFLibFunctions

cef_string_list_size uCEFLibFunctions

cef_string_list_value uCEFLibFunctions

cef_string_map_alloc uCEFLibFunctions

/include/internal/cef_string_map.h
cef_string_map_append uCEFLibFunctions

cef_string_map_clear uCEFLibFunctions

cef_string_map_find uCEFLibFunctions

cef_string_map_free uCEFLibFunctions

cef_string_map_key uCEFLibFunctions

cef_string_map_size uCEFLibFunctions

cef_string_map_value uCEFLibFunctions

cef_string_multimap_alloc uCEFLibFunctions

/include/internal/cef_string_multimap.h
cef_string_multimap_append uCEFLibFunctions

cef_string_multimap_clear uCEFLibFunctions

cef_string_multimap_enumerate uCEFLibFunctions

cef_string_multimap_find_count uCEFLibFunctions

cef_string_multimap_free uCEFLibFunctions

cef_string_multimap_key uCEFLibFunctions

cef_string_multimap_size uCEFLibFunctions

cef_string_multimap_value uCEFLibFunctions

cef_string_userfree_utf16_alloc uCEFLibFunctions

cef_string_userfree_utf16_free uCEFLibFunctions

cef_string_userfree_utf8_alloc uCEFLibFunctions

cef_string_userfree_utf8_free uCEFLibFunctions

cef_string_userfree_wide_alloc uCEFLibFunctions

cef_string_userfree_wide_free uCEFLibFunctions

cef_string_utf16_clear uCEFLibFunctions

cef_string_utf16_cmp uCEFLibFunctions

cef_string_utf16_copy uCEFMiscFunctions

cef_string_utf16_set uCEFLibFunctions

cef_string_utf16_to_lower uCEFLibFunctions

cef_string_utf16_to_upper uCEFLibFunctions

cef_string_utf16_to_utf8 uCEFLibFunctions

cef_string_utf16_to_wide uCEFLibFunctions

cef_string_utf8_clear uCEFLibFunctions

cef_string_utf8_cmp uCEFLibFunctions

cef_string_utf8_copy uCEFMiscFunctions

cef_string_utf8_set uCEFLibFunctions

cef_string_utf8_to_utf16 uCEFLibFunctions

cef_string_utf8_to_wide uCEFLibFunctions

cef_string_wide_clear uCEFLibFunctions

cef_string_wide_cmp uCEFLibFunctions

cef_string_wide_copy uCEFMiscFunctions

cef_string_wide_set uCEFLibFunctions

/include/internal/cef_string_types.h
cef_string_wide_to_utf16 uCEFLibFunctions

cef_string_wide_to_utf8 uCEFLibFunctions

CEF_SUPPORTED_VERSION_BUILD uCEFApplication

CEF_SUPPORTED_VERSION_BUILD uCEFApplicationCore

CEF_SUPPORTED_VERSION_MAJOR uCEFApplication

CEF_SUPPORTED_VERSION_MAJOR uCEFApplicationCore

CEF_SUPPORTED_VERSION_MINOR uCEFApplication

CEF_SUPPORTED_VERSION_MINOR uCEFApplicationCore

CEF_SUPPORTED_VERSION_RELEASE uCEFApplication

CEF_SUPPORTED_VERSION_RELEASE uCEFApplicationCore

cef_task_manager_get uCEFLibFunctions

/include/capi/cef_task_manager_capi.h
cef_task_runner_get_for_current_thread uCEFLibFunctions

/include/capi/cef_task_capi.h
cef_task_runner_get_for_thread uCEFLibFunctions

cef_textfield_create uCEFLibFunctions

/include/capi/views/cef_textfield_capi.h
CEF_TFC_COPY uCEFConstants

CEF_TFC_CUT uCEFConstants

CEF_TFC_DELETE uCEFConstants

CEF_TFC_NUM_VALUES uCEFConstants

CEF_TFC_PASTE uCEFConstants

CEF_TFC_SELECT_ALL uCEFConstants

CEF_TFC_SELECT_WORD uCEFConstants

CEF_TFC_UNDO uCEFConstants

CEF_TFC_UNKNOWN uCEFConstants

Represents commands available to TextField. Should be kept in sync with Chromium's views::TextField::MenuCommands type.

cef_thread_create uCEFLibFunctions

/include/capi/cef_thread_capi.h
CEF_THS_FLAG_ALPHA uCEFConstants

CEF_THS_FLAG_ENABLED uCEFConstants

CEF_THS_FLAG_NONE uCEFConstants

Values indicating what state of the touch handle is set.

CEF_THS_FLAG_ORIENTATION uCEFConstants

CEF_THS_FLAG_ORIGIN uCEFConstants

CEF_TIMER_DEPLETEWORK_CYCLES uCEFConstants

CEF_TIMER_DEPLETEWORK_DELAY uCEFConstants

CEF_TIMER_MAXDELAY uCEFConstants

CEF_TIMER_MAXIMUM uCEFConstants

CEF_TIMER_MINIMUM uCEFConstants

Used when the shared textures are enabled.
cef_time_delta uCEFLibFunctions

cef_time_from_basetime uCEFLibFunctions

cef_time_from_doublet uCEFLibFunctions

cef_time_from_timet uCEFLibFunctions

cef_time_now uCEFLibFunctions

cef_time_to_basetime uCEFLibFunctions

cef_time_to_doublet uCEFLibFunctions

cef_time_to_timet uCEFLibFunctions

/include/internal/cef_time.h
cef_trace_counter uCEFLibFunctions

cef_trace_counter_id uCEFLibFunctions

cef_trace_event_async_begin uCEFLibFunctions

cef_trace_event_async_end uCEFLibFunctions

cef_trace_event_async_step_into uCEFLibFunctions

cef_trace_event_async_step_past uCEFLibFunctions

cef_trace_event_begin uCEFLibFunctions

cef_trace_event_end uCEFLibFunctions

cef_trace_event_instant uCEFLibFunctions

/include/internal/cef_trace_event_internal.h
cef_uridecode uCEFLibFunctions

cef_uriencode uCEFLibFunctions

cef_urlrequest_create uCEFLibFunctions

/include/capi/cef_urlrequest_capi.h
CEF_URLS_URL uCEFConstants

cef_v8_context_get_current_context uCEFLibFunctions

/include/capi/cef_v8_capi.h
cef_v8_context_get_entered_context uCEFLibFunctions

cef_v8_context_in_context uCEFLibFunctions

cef_v8_stack_trace_get_current uCEFLibFunctions

cef_v8_value_create_array uCEFLibFunctions

cef_v8_value_create_array_buffer uCEFLibFunctions

cef_v8_value_create_array_buffer_with_copy uCEFLibFunctions

cef_v8_value_create_bool uCEFLibFunctions

cef_v8_value_create_date uCEFLibFunctions

cef_v8_value_create_double uCEFLibFunctions

cef_v8_value_create_function uCEFLibFunctions

cef_v8_value_create_int uCEFLibFunctions

cef_v8_value_create_null uCEFLibFunctions

cef_v8_value_create_object uCEFLibFunctions

cef_v8_value_create_promise uCEFLibFunctions

cef_v8_value_create_string uCEFLibFunctions

cef_v8_value_create_uint uCEFLibFunctions

cef_v8_value_create_undefined uCEFLibFunctions

cef_value_create uCEFLibFunctions

/include/capi/cef_values_capi.h
cef_version_info uCEFLibFunctions

/include/cef_version_info.h
cef_version_info_all uCEFLibFunctions

CEF_VERSION_URL uCEFConstants

cef_waitable_event_create uCEFLibFunctions

/include/capi/cef_waitable_event_capi.h
cef_window_create_top_level uCEFLibFunctions

/include/capi/views/cef_window_capi.h
cef_write_json uCEFLibFunctions

cef_xml_reader_create uCEFLibFunctions

/include/capi/cef_xml_reader_capi.h
cef_zip_directory uCEFLibFunctions

cef_zip_reader_create uCEFLibFunctions

/include/capi/cef_zip_reader_capi.h
CERT_STATUS_AUTHORITY_INVALID uCEFConstants

CERT_STATUS_COMMON_NAME_INVALID uCEFConstants

CERT_STATUS_CT_COMPLIANCE_FAILED uCEFConstants

CERT_STATUS_DATE_INVALID uCEFConstants

CERT_STATUS_FIRST_ERROR uCEFConstants

CERT_STATUS_INVALID uCEFConstants

CERT_STATUS_IS_EV uCEFConstants

CERT_STATUS_LAST_ERROR uCEFConstants

CERT_STATUS_NAME_CONSTRAINT_VIOLATION uCEFConstants

CERT_STATUS_NONE uCEFConstants

Supported certificate status code values. See net\cert\cert_status_flags.h for more information. CERT_STATUS_NONE is new in CEF because we use an enum while cert_status_flags.h uses a typedef and static const variables.

CERT_STATUS_NON_UNIQUE_NAME uCEFConstants

CERT_STATUS_NO_REVOCATION_MECHANISM uCEFConstants

CERT_STATUS_PINNED_KEY_MISSING uCEFConstants

CERT_STATUS_REVOKED uCEFConstants

CERT_STATUS_REV_CHECKING_ENABLED uCEFConstants

CERT_STATUS_SHA1_SIGNATURE_PRESENT uCEFConstants

CERT_STATUS_UNABLE_TO_CHECK_REVOCATION uCEFConstants

CERT_STATUS_VALIDITY_TOO_LONG uCEFConstants

CERT_STATUS_WEAK_KEY uCEFConstants

CERT_STATUS_WEAK_SIGNATURE_ALGORITHM uCEFConstants

CetTimeFromCefBaseTime uCEFMiscFunctions

Converts TCefBaseTime to TCefTime.

CetTimeToCefBaseTime uCEFMiscFunctions

Converts TCefTime to TCefBaseTime.

Char16 uCEFTypes

CheckDLLs uCEFMiscFunctions

CheckDLLVersion uCEFMiscFunctions

CheckFilesExist uCEFMiscFunctions

CheckLocales uCEFMiscFunctions

CheckRealWindowsVersion uCEFMiscFunctions

CheckResources uCEFMiscFunctions

CheckSubprocessPath uCEFMiscFunctions

CHROMEELF_DLL uCEFApplication

CHROMEELF_DLL uCEFApplicationCore

CHROMIUM_NONBROWSERSHUTDOWNPRIORITY uCEFConstants

This constant is defined by Chromium in chrome/app/main_dll_loader_win.cc It's used with SetProcessShutdownParameters to set a shutdown priority for the subprocesses. $280 is the default value for applications.
CM_EDITFLAG_CAN_COPY uCEFConstants

CM_EDITFLAG_CAN_CUT uCEFConstants

CM_EDITFLAG_CAN_DELETE uCEFConstants

CM_EDITFLAG_CAN_EDIT_RICHLY uCEFConstants

CM_EDITFLAG_CAN_PASTE uCEFConstants

CM_EDITFLAG_CAN_REDO uCEFConstants

CM_EDITFLAG_CAN_SELECT_ALL uCEFConstants

CM_EDITFLAG_CAN_TRANSLATE uCEFConstants

CM_EDITFLAG_CAN_UNDO uCEFConstants

CM_EDITFLAG_NONE uCEFConstants

Supported context menu edit state bit flags. These constants match their equivalents in Chromium's ContextMenuDataEditFlags and should not be renumbered.

CM_MEDIAFLAG_CAN_LOOP uCEFConstants

CM_MEDIAFLAG_CAN_PICTURE_IN_PICTURE uCEFConstants

CM_MEDIAFLAG_CAN_PRINT uCEFConstants

CM_MEDIAFLAG_CAN_ROTATE uCEFConstants

CM_MEDIAFLAG_CAN_SAVE uCEFConstants

CM_MEDIAFLAG_CAN_TOGGLE_CONTROLS uCEFConstants

CM_MEDIAFLAG_CONTROLS uCEFConstants

CM_MEDIAFLAG_HAS_AUDIO uCEFConstants

CM_MEDIAFLAG_IN_ERROR uCEFConstants

CM_MEDIAFLAG_LOOP uCEFConstants

CM_MEDIAFLAG_MUTED uCEFConstants

CM_MEDIAFLAG_NONE uCEFConstants

Supported context menu media state bit flags. These constants match their equivalents in Chromium's ContextMenuData::MediaFlags and should not be renumbered.

CM_MEDIAFLAG_PAUSED uCEFConstants

CM_MEDIAFLAG_PICTURE_IN_PICTURE uCEFConstants

CM_TYPEFLAG_EDITABLE uCEFConstants

An editable element is selected.

CM_TYPEFLAG_FRAME uCEFConstants

A subframe page is selected.

CM_TYPEFLAG_LINK uCEFConstants

A link is selected.

CM_TYPEFLAG_MEDIA uCEFConstants

A media node is selected.

CM_TYPEFLAG_NONE uCEFConstants

No node is selected.

CM_TYPEFLAG_PAGE uCEFConstants

The top page is selected.

CM_TYPEFLAG_SELECTION uCEFConstants

There is a textual or mixed selection that is selected.

COMMAND_ID_FIRST_UNBOUNDED uCEFConstants

command_id constants declared in cef_command_ids.h and used by some callbacks in ICefCommandHandler cef_command_ids.h is generated in /include/cef_command_ids.h

CRLF uCEFConstants

CustomAbsolutePath uCEFMiscFunctions

Returns the absolute path version of aPath.

CustomExceptionHandler uCEFMiscFunctions

CustomPathCanonicalize uCEFMiscFunctions

Simplifies a path by removing navigation elements such as "." and ".." to produce a direct, well-formed path.

CustomPathIsRelative uCEFMiscFunctions

Returns true if aPath is a relative path.

CustomPathIsUNC uCEFMiscFunctions

Determines if aPath is a valid Universal Naming Convention (UNC) path, as opposed to a path based on a drive letter.

CustomPathIsURL uCEFMiscFunctions

Tests aPath to determine if it conforms to a valid URL format.

CUSTOM_ARRAY_LENGTH uCEFOLEDragAndDrop

DateTimeToCefBaseTime uCEFMiscFunctions

Converts a TDateTime value to TCefBaseTime.

DateTimeToCefTime uCEFMiscFunctions

Converts a TDateTime value to TCefTime.

DEFAULT_BLINK_BACKGROUND_COLOR uCEFOSRIMEHandler

Black SkColor
DEFAULT_BLINK_UNDERLINE_COLOR uCEFOSRIMEHandler

DEFAULT_BLINK_UNDERLINE_STYLE uCEFOSRIMEHandler

White SkColor
DEFAULT_CEFSERVER_ADDRESS uCEFServerComponent

DEFAULT_CEFSERVER_BACKLOG uCEFServerComponent

DEFAULT_CEFSERVER_PORT uCEFServerComponent

DEFAULT_REDIRECT_IPV4_HOST uCEFOAuth2Helper

REFERENCES : ============ https://tools.ietf.org/html/rfc6749 https://tools.ietf.org/html/rfc6750 https://tools.ietf.org/html/rfc8252 https://tools.ietf.org/html/rfc6819 https://tools.ietf.org/html/rfc7636 https://tools.ietf.org/html/draft-ietf-oauth-native-apps-12 https://tools.ietf.org/html/draft-ietf-oauth-security-topics-13 https://developers.google.com/identity/protocols/OAuth2 https://developers.google.com/identity/protocols/OAuth2InstalledApp https://developers.google.com/identity/protocols/googlescopes https://developers.google.com/identity/protocols/OpenIDConnect https://aaronparecki.com/oauth-2-simplified/ https://example-app.com/pkce
DEFAULT_REDIRECT_IPV6_HOST uCEFOAuth2Helper

DEFAULT_REDIRECT_PORT uCEFOAuth2Helper

DeleteDirContents uCEFMiscFunctions

DeleteFileList uCEFMiscFunctions

DestroyGlobalCEFApp uCEFApplication

DestroyGlobalCEFApp uCEFApplicationCore

DestroyGlobalCEFTimerWorkScheduler uCEFTimerWorkScheduler

DestroyGlobalCEFWorkScheduler uCEFWorkScheduler

DestroyGlobalFMXWorkScheduler uCEFFMXWorkScheduler

DeviceToLogical uCEFMiscFunctions

DeviceToLogical uCEFMiscFunctions

DeviceToLogical uCEFMiscFunctions

DeviceToLogical uCEFMiscFunctions

DeviceToLogical uCEFMiscFunctions

DEVTOOLS_WINDOWNAME uCEFConstants

DOM_EVENT_CATEGORY_BEFORE_TEXT_INSERTED uCEFConstants

DOM event category flag.

DOM_EVENT_CATEGORY_CLIPBOARD uCEFConstants

DOM event category flag.

DOM_EVENT_CATEGORY_COMPOSITION uCEFConstants

DOM event category flag.

DOM_EVENT_CATEGORY_DRAG uCEFConstants

DOM event category flag.

DOM_EVENT_CATEGORY_KEYBOARD uCEFConstants

DOM event category flag.

DOM_EVENT_CATEGORY_MESSAGE uCEFConstants

DOM event category flag.

DOM_EVENT_CATEGORY_MOUSE uCEFConstants

DOM event category flag.

DOM_EVENT_CATEGORY_MUTATION uCEFConstants

DOM event category flag.

DOM_EVENT_CATEGORY_OVERFLOW uCEFConstants

DOM event category flag.

DOM_EVENT_CATEGORY_PAGE_TRANSITION uCEFConstants

DOM event category flag.

DOM_EVENT_CATEGORY_POPSTATE uCEFConstants

DOM event category flag.

DOM_EVENT_CATEGORY_PROGRESS uCEFConstants

DOM event category flag.

DOM_EVENT_CATEGORY_TEXT uCEFConstants

DOM event category flag.

DOM_EVENT_CATEGORY_UI uCEFConstants

DOM event category flag.

DOM_EVENT_CATEGORY_UNKNOWN uCEFConstants

DOM event category flag.

DOM_EVENT_CATEGORY_WHEEL uCEFConstants

DOM event category flag.

DOM_EVENT_CATEGORY_XMLHTTPREQUEST_PROGRESS uCEFConstants

DOM event category flag.

DoubleTimeNow uCEFMiscFunctions

Retrieve the current system time in a double type.

DoubleToCefTime uCEFMiscFunctions

Converts TCefTime from a double which is the number of seconds since epoch (Jan 1, 1970). Webkit uses this format to represent time. A value of 0 means "not initialized".

DragOperationToDropEffect uCEFMiscFunctions

DRAG_OPERATION_COPY uCEFConstants

"Verb" of a drag-and-drop operation as negotiated between the source and destination.

DRAG_OPERATION_DELETE uCEFConstants

"Verb" of a drag-and-drop operation as negotiated between the source and destination.

DRAG_OPERATION_EVERY uCEFConstants

"Verb" of a drag-and-drop operation as negotiated between the source and destination.

DRAG_OPERATION_GENERIC uCEFConstants

"Verb" of a drag-and-drop operation as negotiated between the source and destination.

DRAG_OPERATION_LINK uCEFConstants

"Verb" of a drag-and-drop operation as negotiated between the source and destination.

DRAG_OPERATION_MOVE uCEFConstants

"Verb" of a drag-and-drop operation as negotiated between the source and destination.

DRAG_OPERATION_NONE uCEFConstants

"Verb" of a drag-and-drop operation as negotiated between the source and destination.

DRAG_OPERATION_PRIVATE uCEFConstants

"Verb" of a drag-and-drop operation as negotiated between the source and destination.

DropEffectToDragOperation uCEFMiscFunctions

DUPLEX_MODE_LONG_EDGE uCEFConstants

DUPLEX_MODE_NUM_VALUES uCEFConstants

DUPLEX_MODE_SHORT_EDGE uCEFConstants

DUPLEX_MODE_SIMPLEX uCEFConstants

DUPLEX_MODE_UNKNOWN uCEFConstants

Print job duplex mode values.

EditingCommandToString uCEFMiscFunctions

Convert an editting command to string.

ERR_ABORTED uCEFConstants

An operation was aborted (due to user action).

ERR_ACCESS_DENIED uCEFConstants

Permission to access a resource, other than the network, was denied.

ERR_ADDRESS_INVALID uCEFConstants

The IP address or port number is invalid (e.g., cannot connect to the IP address 0 or the port 0).

ERR_ADDRESS_IN_USE uCEFConstants

Returned when attempting to bind an address that is already in use.

ERR_ADDRESS_UNREACHABLE uCEFConstants

The IP address is unreachable. This usually means that there is no route to the specified host or network.

ERR_ADD_USER_CERT_FAILED uCEFConstants

An error adding a certificate to the OS certificate database.

ERR_ALPN_NEGOTIATION_FAILED uCEFConstants

The request to negotiate an alternate protocol failed.

ERR_BAD_SSL_CLIENT_AUTH_CERT uCEFConstants

The SSL handshake failed because of a bad or missing client certificate.

ERR_BLOB_DEREFERENCED_WHILE_BUILDING uCEFConstants

The renderer destructed the blob before it was done transferring, and there were no outstanding references (no one is waiting to read) to keep the blob alive.

ERR_BLOB_FILE_WRITE_FAILED uCEFConstants

We couldn't create or write to a file. File system error, like a full disk.

ERR_BLOB_INVALID_CONSTRUCTION_ARGUMENTS uCEFConstants

The following errors are for mapped from a subset of invalid storage::BlobStatus. The construction arguments are invalid. This is considered a bad IPC.

ERR_BLOB_OUT_OF_MEMORY uCEFConstants

We don't have enough memory for the blob.

ERR_BLOB_REFERENCED_BLOB_BROKEN uCEFConstants

A blob that we referenced during construction is broken, or a browser-side builder tries to build a blob with a blob reference that isn't finished constructing.

ERR_BLOB_REFERENCED_FILE_UNAVAILABLE uCEFConstants

A file that we referenced during construction is not accessible to the renderer trying to create the blob.

ERR_BLOB_SOURCE_DIED_IN_TRANSIT uCEFConstants

The renderer was destroyed while data was in transit.

ERR_BLOCKED_BY_ADMINISTRATOR uCEFConstants

The request was blocked by the URL block list configured by the domain administrator.

ERR_BLOCKED_BY_CLIENT uCEFConstants

The client chose to block the request.

ERR_BLOCKED_BY_CSP uCEFConstants

The request was blocked by a Content Security Policy

ERR_BLOCKED_BY_FINGERPRINTING_PROTECTION uCEFConstants

The request was blocked by fingerprinting protections.

ERR_BLOCKED_BY_ORB uCEFConstants

The request was blocked by CORB or ORB.

ERR_BLOCKED_BY_PRIVATE_NETWORK_ACCESS_CHECKS uCEFConstants

The connection is blocked by private network access checks.

ERR_BLOCKED_BY_RESPONSE uCEFConstants

The request failed because the response was delivered along with requirements which are not met ('X-Frame-Options' and 'Content-Security-Policy' ancestor checks and 'Cross-Origin-Resource-Policy' for instance).

ERR_CACHED_IP_ADDRESS_SPACE_BLOCKED_BY_PRIVATE_NETWORK_ACCESS_POLICY uCEFConstants

The IP address space of the cached remote endpoint is blocked by private network access check.

ERR_CACHE_AUTH_FAILURE_AFTER_READ uCEFConstants

Received a challenge after the transaction has read some data, and the credentials aren't available. There isn't a way to get them at that point.

ERR_CACHE_CHECKSUM_MISMATCH uCEFConstants

The cache found an entry with an invalid checksum. This can be returned from attempts to read from the cache. It is an internal error, returned by the SimpleCache backend, but not by any URLRequest methods or members.

ERR_CACHE_CHECKSUM_READ_FAILURE uCEFConstants

The cache was unable to read a checksum record on an entry. This can be returned from attempts to read from the cache. It is an internal error, returned by the SimpleCache backend, but not by any URLRequest methods or members.

ERR_CACHE_CREATE_FAILURE uCEFConstants

The disk cache is unable to create this entry.

ERR_CACHE_DOOM_FAILURE uCEFConstants

The disk cache is unable to doom this entry.

ERR_CACHE_ENTRY_NOT_SUITABLE uCEFConstants

Internal not-quite error code for the HTTP cache. In-memory hints suggest that the cache entry would not have been usable with the transaction's current configuration (e.g. load flags, mode, etc.)

ERR_CACHE_LOCK_TIMEOUT uCEFConstants

Internal error code for the HTTP cache. The cache lock timeout has fired.

ERR_CACHE_MISS uCEFConstants

The cache does not have the requested entry.

ERR_CACHE_OPEN_FAILURE uCEFConstants

The disk cache is unable to open this entry.

ERR_CACHE_OPEN_OR_CREATE_FAILURE uCEFConstants

The disk cache is unable to open or create this entry.

ERR_CACHE_OPERATION_NOT_SUPPORTED uCEFConstants

The operation is not supported for this entry.

ERR_CACHE_RACE uCEFConstants

Multiple transactions are racing to create disk cache entries. This is an internal error returned from the HttpCache to the HttpCacheTransaction that tells the transaction to restart the entry-creation logic because the state of the cache has changed.

ERR_CACHE_READ_FAILURE uCEFConstants

Unable to read from the disk cache.

ERR_CACHE_WRITE_FAILURE uCEFConstants

Unable to write to the disk cache.

ERR_CERTIFICATE_TRANSPARENCY_REQUIRED uCEFConstants

Certificate Transparency was required for this connection, but the server did not provide CT information that complied with the policy.

ERR_CERT_AUTHORITY_INVALID uCEFConstants

The server responded with a certificate that is signed by an authority we don't trust. The could mean:

1. An attacker has substituted the real certificate for a cert that contains their public key and is signed by their cousin.

2. The server operator has a legitimate certificate from a CA we don't know about, but should trust.

3. The server is presenting a self-signed certificate, providing no defense against active attackers (but foiling passive attackers).

ERR_CERT_COMMON_NAME_INVALID uCEFConstants

The server responded with a certificate whose common name did not match the host name. This could mean:

1. An attacker has redirected our traffic to their server and is presenting a certificate for which they know the private key.

2. The server is misconfigured and responding with the wrong cert.

3. The user is on a wireless network and is being redirected to the network's login page.

4. The OS has used a DNS search suffix and the server doesn't have a certificate for the abbreviated name in the address bar.

ERR_CERT_CONTAINS_ERRORS uCEFConstants

The server responded with a certificate that contains errors. This error is not recoverable.

MSDN describes this error as follows: "The SSL certificate contains errors." NOTE: It's unclear how this differs from ERR_CERT_INVALID. For consistency, use that code instead of this one from now on.

ERR_CERT_DATABASE_CHANGED uCEFConstants

The certificate database changed in some way.

ERR_CERT_DATE_INVALID uCEFConstants

The server responded with a certificate that, by our clock, appears to either not yet be valid or to have expired. This could mean:

1. An attacker is presenting an old certificate for which they have managed to obtain the private key.

2. The server is misconfigured and is not presenting a valid cert.

3. Our clock is wrong.

ERR_CERT_END uCEFConstants

The value immediately past the last certificate error code.

ERR_CERT_INVALID uCEFConstants

The server responded with a certificate that is invalid. This error is not recoverable.

MSDN describes this error as follows: "The SSL certificate is invalid."

ERR_CERT_KNOWN_INTERCEPTION_BLOCKED uCEFConstants

The certificate is known to be used for interception by an entity other the device owner.

ERR_CERT_NAME_CONSTRAINT_VIOLATION uCEFConstants

The certificate claimed DNS names that are in violation of name constraints.

ERR_CERT_NON_UNIQUE_NAME uCEFConstants

The host name specified in the certificate is not unique.

ERR_CERT_NO_REVOCATION_MECHANISM uCEFConstants

The certificate has no mechanism for determining if it is revoked. In effect, this certificate cannot be revoked.

ERR_CERT_REVOKED uCEFConstants

The server responded with a certificate has been revoked. We have the capability to ignore this error, but it is probably not the thing to do.

ERR_CERT_SELF_SIGNED_LOCAL_NETWORK uCEFConstants

-218 was SSL_OBSOLETE_VERSION which is not longer used. TLS 1.0/1.1 instead cause SSL_VERSION_OR_CIPHER_MISMATCH now. The certificate is self signed and it's being used for either an RFC1918 IP literal URL, or a url ending in .local.

ERR_CERT_UNABLE_TO_CHECK_REVOCATION uCEFConstants

Revocation information for the security certificate for this site is not available. This could mean:

1. An attacker has compromised the private key in the certificate and is blocking our attempt to find out that the cert was revoked.

2. The certificate is unrevoked, but the revocation server is busy or unavailable.

ERR_CERT_VALIDITY_TOO_LONG uCEFConstants

The certificate's validity period is too long.

ERR_CERT_VERIFIER_CHANGED uCEFConstants

The certificate verifier configuration changed in some way.

ERR_CERT_WEAK_KEY uCEFConstants

The server responded with a certificate that contains a weak key (e.g. a too-small RSA key).

ERR_CERT_WEAK_SIGNATURE_ALGORITHM uCEFConstants

The server responded with a certificate that is signed using a weak signature algorithm.

ERR_CLEARTEXT_NOT_PERMITTED uCEFConstants

The request was blocked by system policy disallowing some or all cleartext requests. Used for NetworkSecurityPolicy on Android.

ERR_CLIENT_AUTH_CERT_TYPE_UNSUPPORTED uCEFConstants

Server request for client certificate did not contain any types we support.

ERR_CONNECTION_ABORTED uCEFConstants

A connection timed out as a result of not receiving an ACK for data sent. This can include a FIN packet that did not get ACK'd.

ERR_CONNECTION_CLOSED uCEFConstants

A connection was closed (corresponding to a TCP FIN).

ERR_CONNECTION_FAILED uCEFConstants

A connection attempt failed.

ERR_CONNECTION_REFUSED uCEFConstants

A connection attempt was refused.

ERR_CONNECTION_RESET uCEFConstants

A connection was reset (corresponding to a TCP RST).

ERR_CONNECTION_TIMED_OUT uCEFConstants

A connection attempt timed out.

ERR_CONTENT_DECODING_FAILED uCEFConstants

Content decoding of the response body failed.

ERR_CONTENT_DECODING_INIT_FAILED uCEFConstants

Initializing content decoding failed.

ERR_CONTENT_LENGTH_MISMATCH uCEFConstants

The HTTP response body transferred fewer bytes than were advertised by the Content-Length header when the connection is closed.

ERR_CONTEXT_SHUT_DOWN uCEFConstants

The request failed because the URLRequestContext is shutting down, or has been shut down.

ERR_CT_CONSISTENCY_PROOF_PARSING_FAILED uCEFConstants

Certificate Transparency: Failed to parse the received consistency proof.

ERR_CT_STH_INCOMPLETE uCEFConstants

Certificate Transparency: Received a signed tree head whose JSON parsing was OK but was missing some of the fields.

ERR_CT_STH_PARSING_FAILED uCEFConstants

Certificate Transparency: Received a signed tree head that failed to parse.

ERR_DICTIONARY_LOAD_FAILED uCEFConstants

The compression dictionary cannot be loaded.

ERR_DISALLOWED_URL_SCHEME uCEFConstants

The scheme of the URL is disallowed.

ERR_DNS_MALFORMED_RESPONSE uCEFConstants

DNS resolver received a malformed response.

ERR_DNS_NAME_HTTPS_ONLY uCEFConstants

DNS identified the request as disallowed for insecure connection (http/ws). Error should be handled as if an HTTP redirect was received to redirect to https or wss.

ERR_DNS_NO_MATCHING_SUPPORTED_ALPN uCEFConstants

The hostname resolution of HTTPS record was expected to be resolved with alpn values of supported protocols, but did not.

ERR_DNS_REQUEST_CANCELLED uCEFConstants

All DNS requests associated with this job have been cancelled.

ERR_DNS_SEARCH_EMPTY uCEFConstants

Suffix search list rules prevent resolution of the given host name.

ERR_DNS_SECURE_PROBE_RECORD_INVALID uCEFConstants

When checking whether secure DNS can be used, the response returned for the requested probe record either had no answer or was invalid.

ERR_DNS_SECURE_RESOLVER_HOSTNAME_RESOLUTION_FAILED uCEFConstants

Failed to resolve the hostname of a DNS-over-HTTPS server.

ERR_DNS_SERVER_FAILED uCEFConstants

DNS server failed. This error is returned for all of the following error conditions: 1 - Format error - The name server was unable to interpret the query. 2 - Server failure - The name server was unable to process this query due to a problem with the name server. 4 - Not Implemented - The name server does not support the requested kind of query. 5 - Refused - The name server refuses to perform the specified operation for policy reasons.

ERR_DNS_SERVER_REQUIRES_TCP uCEFConstants

DNS server requires TCP

ERR_DNS_SORT_ERROR uCEFConstants

Failed to sort addresses according to RFC3484.

ERR_DNS_TIMED_OUT uCEFConstants

DNS transaction timed out.

ERR_EARLY_DATA_REJECTED uCEFConstants

TLS 1.3 early data was rejected by the server. This will be received before any data is returned from the socket. The request should be retried with early data disabled.

ERR_ECH_FALLBACK_CERTIFICATE_INVALID uCEFConstants

ECH was enabled, the server was unable to decrypt the encrypted ClientHello, and additionally did not present a certificate valid for the public name.

ERR_ECH_NOT_NEGOTIATED uCEFConstants

ECH was enabled, but the server was unable to decrypt the encrypted ClientHello.

ERR_EMPTY_RESPONSE uCEFConstants

The server closed the connection without sending any data.

ERR_ENCODING_CONVERSION_FAILED uCEFConstants

Converting the response to target encoding failed.

ERR_ENCODING_DETECTION_FAILED uCEFConstants

Detecting the encoding of the response failed.

ERR_FAILED uCEFConstants

A generic failure occurred.

ERR_FILE_EXISTS uCEFConstants

The file already exists.

ERR_FILE_NOT_FOUND uCEFConstants

The file or directory cannot be found.

ERR_FILE_NO_SPACE uCEFConstants

Not enough room left on the disk.

ERR_FILE_PATH_TOO_LONG uCEFConstants

The path or file name is too long.

ERR_FILE_TOO_BIG uCEFConstants

The file is too large.

ERR_FILE_VIRUS_INFECTED uCEFConstants

The file has a virus.

ERR_HOST_RESOLVER_QUEUE_TOO_LARGE uCEFConstants

There are too many pending DNS resolves, so a request in the queue was aborted.

ERR_HTTPS_PROXY_TUNNEL_RESPONSE_REDIRECT uCEFConstants

A request to create an SSL tunnel connection through the HTTPS proxy received a 302 (temporary redirect) response. The response body might include a description of why the request failed.

TODO(crbug.com/40093955): This is deprecated and should not be used by new code.

ERR_HTTP_1_1_REQUIRED uCEFConstants

HTTP_1_1_REQUIRED error code received on HTTP/2 session.

ERR_HTTP_RESPONSE_CODE_FAILURE uCEFConstants

The server returned a non-2xx HTTP response code.

Note that this error is only used by certain APIs that interpret the HTTP response itself. URLRequest for instance just passes most non-2xx response back as success.

ERR_ICANN_NAME_COLLISION uCEFConstants

Resolving a hostname to an IP address list included the IPv4 address "127.0.53.53". This is a special IP address which ICANN has recommended to indicate there was a name collision, and alert admins to a potential problem.

ERR_IMPORT_CA_CERT_FAILED uCEFConstants

CA import failed due to some other error.

ERR_IMPORT_CA_CERT_NOT_CA uCEFConstants

CA import failed - not a CA cert.

ERR_IMPORT_CERT_ALREADY_EXISTS uCEFConstants

Import failed - certificate already exists in database. Note it's a little weird this is an error but reimporting a PKCS12 is ok (no-op). That's how Mozilla does it, though.

ERR_IMPORT_SERVER_CERT_FAILED uCEFConstants

Server certificate import failed due to some internal error.

ERR_INCOMPLETE_CHUNKED_ENCODING uCEFConstants

The HTTP response body is transferred with Chunked-Encoding, but the terminating zero-length chunk was never sent when the connection is closed.

ERR_INCOMPLETE_SPDY_HEADERS uCEFConstants

HTTP/2 headers have been received, but not all of them - status or version headers are missing, so we're expecting additional frames to complete them.

ERR_INCONSISTENT_IP_ADDRESS_SPACE uCEFConstants

The IP address space of the remote endpoint differed from the previous observed value during the same request. Any cache entry for the affected request should be invalidated.

ERR_INSECURE_RESPONSE uCEFConstants

The server's response was insecure (e.g. there was a cert error).

ERR_INSUFFICIENT_RESOURCES uCEFConstants

There were not enough resources to complete the operation.

ERR_INTERNET_DISCONNECTED uCEFConstants

The Internet connection has been lost.

ERR_INVALID_ARGUMENT uCEFConstants

An argument to the function is incorrect.

ERR_INVALID_AUTH_CREDENTIALS uCEFConstants

Credentials could not be established during HTTP Authentication.

ERR_INVALID_CHUNKED_ENCODING uCEFConstants

Error in chunked transfer encoding.

ERR_INVALID_ECH_CONFIG_LIST uCEFConstants

The ECHConfigList fetched over DNS cannot be parsed.

ERR_INVALID_HANDLE uCEFConstants

The handle or file descriptor is invalid.

ERR_INVALID_HTTP_RESPONSE uCEFConstants

The server was expected to return an HTTP/1.x response, but did not. Rather than treat it as HTTP/0.9, this error is returned.

ERR_INVALID_REDIRECT uCEFConstants

Attempting to load an URL resulted in a redirect to an invalid URL.

ERR_INVALID_RESPONSE uCEFConstants

The server's response was invalid.

ERR_INVALID_SIGNED_EXCHANGE uCEFConstants

An error occurred while handling a signed exchange.

ERR_INVALID_URL uCEFConstants

The URL is invalid.

ERR_INVALID_WEB_BUNDLE uCEFConstants

An error occurred while handling a Web Bundle source.

ERR_IO_PENDING uCEFConstants

An asynchronous IO operation is not yet complete. This usually does not indicate a fatal error. Typically this error will be generated as a notification to wait for some external notification that the IO operation finally completed.

ERR_KEY_GENERATION_FAILED uCEFConstants

Key generation failed.

ERR_MALFORMED_IDENTITY uCEFConstants

The identity used for authentication is invalid.

ERR_MANDATORY_PROXY_CONFIGURATION_FAILED uCEFConstants

A mandatory proxy configuration could not be used. Currently this means that a mandatory PAC script could not be fetched, parsed or executed.

ERR_METHOD_NOT_SUPPORTED uCEFConstants

The server did not support the request method.

ERR_MISCONFIGURED_AUTH_ENVIRONMENT uCEFConstants

The environment was not set up correctly for authentication. For example, no KDC could be found or the principal is unknown.

ERR_MISSING_AUTH_CREDENTIALS uCEFConstants

(GSSAPI) No Kerberos credentials were available during HTTP Authentication.

ERR_MSG_TOO_BIG uCEFConstants

The message was too large for the transport. (for example a UDP message which exceeds size threshold).

ERR_NAME_NOT_RESOLVED uCEFConstants

The host name could not be resolved.

ERR_NAME_RESOLUTION_FAILED uCEFConstants

An error occurred when trying to do a name resolution (DNS).

ERR_NETWORK_ACCESS_DENIED uCEFConstants

Permission to access the network was denied. This is used to distinguish errors that were most likely caused by a firewall from other access denied errors. See also ERR_ACCESS_DENIED.

ERR_NETWORK_ACCESS_REVOKED uCEFConstants

The request was blocked because it originated from a frame that has disabled network access.

ERR_NETWORK_CHANGED uCEFConstants

The network changed.

ERR_NETWORK_IO_SUSPENDED uCEFConstants

An operation could not be completed because all network IO is suspended.

ERR_NONE uCEFConstants

No error.

ERR_NOT_IMPLEMENTED uCEFConstants

The operation failed because of unimplemented functionality.

ERR_NO_BUFFER_SPACE uCEFConstants

No socket buffer space is available.

ERR_NO_PRIVATE_KEY_FOR_CERT uCEFConstants

An attempt to import a client certificate failed, as the user's key database lacked a corresponding private key.

ERR_NO_SSL_VERSIONS_ENABLED uCEFConstants

No SSL protocol versions are enabled.

ERR_NO_SUPPORTED_PROXIES uCEFConstants

There are no supported proxies in the provided list.

ERR_NS_CACHE_MISS uCEFConstants

The entry was not found in cache or other local sources, for lookups where only local sources were queried. TODO(ericorth): Consider renaming to DNS_LOCAL_MISS or something like that as the cache is not necessarily queried either.

ERR_OUT_OF_MEMORY uCEFConstants

Memory allocation failed.

ERR_PAC_NOT_IN_DHCP uCEFConstants

No PAC URL configuration could be retrieved from DHCP. This can indicate either a failure to retrieve the DHCP configuration, or that there was no PAC URL configured in DHCP.

ERR_PAC_SCRIPT_FAILED uCEFConstants

The evaluation of the PAC script failed.

ERR_PAC_SCRIPT_TERMINATED uCEFConstants

The PAC script terminated fatally and must be reloaded.

ERR_PKCS12_IMPORT_BAD_PASSWORD uCEFConstants

PKCS #12 import failed due to incorrect password.

ERR_PKCS12_IMPORT_FAILED uCEFConstants

PKCS #12 import failed due to other error.

ERR_PKCS12_IMPORT_INVALID_FILE uCEFConstants

PKCS #12 import failed due to invalid/corrupt file.

ERR_PKCS12_IMPORT_INVALID_MAC uCEFConstants

PKCS #12 import failed due to invalid MAC.

ERR_PKCS12_IMPORT_UNSUPPORTED uCEFConstants

PKCS #12 import failed due to unsupported features.

ERR_PRECONNECT_MAX_SOCKET_LIMIT uCEFConstants

We've hit the max socket limit for the socket pool while preconnecting. We don't bother trying to preconnect more sockets.

ERR_PRIVATE_KEY_EXPORT_FAILED uCEFConstants

Failure to export private key.

ERR_PROXY_AUTH_REQUESTED uCEFConstants

The proxy requested authentication (for tunnel establishment).

ERR_PROXY_AUTH_REQUESTED_WITH_NO_CONNECTION uCEFConstants

Proxy Auth Requested without a valid Client Socket Handle.

ERR_PROXY_AUTH_UNSUPPORTED uCEFConstants

The proxy requested authentication (for tunnel establishment) with an unsupported method.

ERR_PROXY_CERTIFICATE_INVALID uCEFConstants

The certificate presented by the HTTPS Proxy was invalid.

ERR_PROXY_CONNECTION_FAILED uCEFConstants

Could not create a connection to the proxy server. An error occurred either in resolving its name, or in connecting a socket to it. Note that this does NOT include failures during the actual "CONNECT" method of an HTTP proxy.

ERR_PROXY_HTTP_1_1_REQUIRED uCEFConstants

HTTP_1_1_REQUIRED error code received on HTTP/2 session to proxy.

ERR_PROXY_REQUIRED uCEFConstants

Signals that the request requires the IPP proxy.

ERR_QUIC_CERT_ROOT_NOT_KNOWN uCEFConstants

The certificate presented on a QUIC connection does not chain to a known root and the origin connected to is not on a list of domains where unknown roots are allowed.

ERR_QUIC_GOAWAY_REQUEST_CAN_BE_RETRIED uCEFConstants

A GOAWAY frame has been received indicating that the request has not been processed and is therefore safe to retry on a different connection.

ERR_QUIC_HANDSHAKE_FAILED uCEFConstants

The QUIC crypto handshake failed. This means that the server was unable to read any requests sent, so they may be resent.

ERR_QUIC_PROTOCOL_ERROR uCEFConstants

There is a QUIC protocol error.

ERR_READ_IF_READY_NOT_IMPLEMENTED uCEFConstants

Socket ReadIfReady support is not implemented. This error should not be user visible, because the normal Read() method is used as a fallback.

ERR_REQUEST_RANGE_NOT_SATISFIABLE uCEFConstants

The response was 416 (Requested range not satisfiable) and the server cannot satisfy the range requested.

ERR_RESPONSE_BODY_TOO_BIG_TO_DRAIN uCEFConstants

The HTTP response was too big to drain.

ERR_RESPONSE_HEADERS_MULTIPLE_CONTENT_DISPOSITION uCEFConstants

The HTTP response contained multiple Content-Disposition headers.

ERR_RESPONSE_HEADERS_MULTIPLE_CONTENT_LENGTH uCEFConstants

The HTTP response contained multiple distinct Content-Length headers.

ERR_RESPONSE_HEADERS_MULTIPLE_LOCATION uCEFConstants

The HTTP response contained multiple Location headers.

ERR_RESPONSE_HEADERS_TOO_BIG uCEFConstants

The headers section of the response is too large.

ERR_RESPONSE_HEADERS_TRUNCATED uCEFConstants

The HTTP headers were truncated by an EOF.

ERR_SELF_SIGNED_CERT_GENERATION_FAILED uCEFConstants

Self-signed certificate generation failed.

ERR_SOCKET_IS_CONNECTED uCEFConstants

The socket is already connected.

ERR_SOCKET_NOT_CONNECTED uCEFConstants

The socket is not connected.

ERR_SOCKET_RECEIVE_BUFFER_SIZE_UNCHANGEABLE uCEFConstants

Failed to set the socket's receive buffer size as requested, despite success return code from setsockopt.

ERR_SOCKET_SEND_BUFFER_SIZE_UNCHANGEABLE uCEFConstants

Failed to set the socket's send buffer size as requested, despite success return code from setsockopt.

ERR_SOCKET_SET_RECEIVE_BUFFER_SIZE_ERROR uCEFConstants

Failed to set the socket's receive buffer size as requested.

ERR_SOCKET_SET_SEND_BUFFER_SIZE_ERROR uCEFConstants

Failed to set the socket's send buffer size as requested.

ERR_SOCKS_CONNECTION_FAILED uCEFConstants

Failed establishing a connection to the SOCKS proxy server for a target host.

ERR_SOCKS_CONNECTION_HOST_UNREACHABLE uCEFConstants

The SOCKS proxy server failed establishing connection to the target host because that host is unreachable.

ERR_SPDY_COMPRESSION_ERROR uCEFConstants

Decoding or encoding of compressed HTTP/2 headers failed.

ERR_SPDY_FLOW_CONTROL_ERROR uCEFConstants

The peer violated HTTP/2 flow control.

ERR_SPDY_FRAME_SIZE_ERROR uCEFConstants

The peer sent an improperly sized HTTP/2 frame.

ERR_SPDY_INADEQUATE_TRANSPORT_SECURITY uCEFConstants

Transport security is inadequate for the HTTP/2 version.

ERR_SPDY_PING_FAILED uCEFConstants

HTTP/2 server didn't respond to the PING message.

ERR_SPDY_PROTOCOL_ERROR uCEFConstants

There is an HTTP/2 protocol error.

ERR_SPDY_RST_STREAM_NO_ERROR_RECEIVED uCEFConstants

Received HTTP/2 RST_STREAM frame with NO_ERROR error code. This error should be handled internally by HTTP/2 code, and should not make it above the SpdyStream layer.

ERR_SPDY_SERVER_REFUSED_STREAM uCEFConstants

HTTP/2 server refused the request without processing, and sent either a GOAWAY frame with error code NO_ERROR and Last-Stream-ID lower than the stream id corresponding to the request indicating that this request has not been processed yet, or a RST_STREAM frame with error code REFUSED_STREAM. Client MAY retry (on a different connection). See RFC7540 Section 8.1.4.

ERR_SPDY_STREAM_CLOSED uCEFConstants

Received an HTTP/2 frame on a closed stream.

ERR_SSL_BAD_PEER_PUBLIC_KEY uCEFConstants

SSL peer's public key is invalid.

ERR_SSL_BAD_RECORD_MAC_ALERT uCEFConstants

An SSL peer sent us a fatal bad_record_mac alert. This has been observed from servers with buggy DEFLATE support.

ERR_SSL_CLIENT_AUTH_CERT_BAD_FORMAT uCEFConstants

Failed to import a client certificate from the platform store into the SSL library.

ERR_SSL_CLIENT_AUTH_CERT_NEEDED uCEFConstants

The server requested a client certificate for SSL client authentication.

ERR_SSL_CLIENT_AUTH_CERT_NO_PRIVATE_KEY uCEFConstants

The SSL client certificate has no private key.

ERR_SSL_CLIENT_AUTH_NO_COMMON_ALGORITHMS uCEFConstants

There were no common signature algorithms between our client certificate private key and the server's preferences.

ERR_SSL_CLIENT_AUTH_PRIVATE_KEY_ACCESS_DENIED uCEFConstants

The permission to use the SSL client certificate's private key was denied.

ERR_SSL_CLIENT_AUTH_SIGNATURE_FAILED uCEFConstants

We were unable to sign the CertificateVerify data of an SSL client auth handshake with the client certificate's private key.

Possible causes for this include the user implicitly or explicitly denying access to the private key, the private key may not be valid for signing, the key may be relying on a cached handle which is no longer valid, or the CSP won't allow arbitrary data to be signed.

ERR_SSL_DECOMPRESSION_FAILURE_ALERT uCEFConstants

An SSL peer sent us a fatal decompression_failure alert. This typically occurs when a peer selects DEFLATE compression in the mistaken belief that it supports it.

ERR_SSL_DECRYPT_ERROR_ALERT uCEFConstants

An SSL peer sent us a fatal decrypt_error alert. This typically occurs when a peer could not correctly verify a signature (in CertificateVerify or ServerKeyExchange) or validate a Finished message.

ERR_SSL_HANDSHAKE_NOT_COMPLETED uCEFConstants

An operation failed because the SSL handshake has not completed.

ERR_SSL_KEY_USAGE_INCOMPATIBLE uCEFConstants

The server's certificate has a keyUsage extension incompatible with the negotiated TLS key exchange method.

ERR_SSL_NO_RENEGOTIATION uCEFConstants

The peer sent an SSL no_renegotiation alert message.

ERR_SSL_OBSOLETE_CIPHER uCEFConstants

The SSL server required an unsupported cipher suite that has since been removed. This error will temporarily be signaled on a fallback for one or two releases immediately following a cipher suite's removal, after which the fallback will be removed.

ERR_SSL_PINNED_KEY_NOT_IN_CERT_CHAIN uCEFConstants

The certificate didn't match the built-in public key pins for the host name. The pins are set in net/http/transport_security_state.cc and require that one of a set of public keys exist on the path from the leaf to the root.

ERR_SSL_PROTOCOL_ERROR uCEFConstants

An SSL protocol error occurred.

ERR_SSL_RENEGOTIATION_REQUESTED uCEFConstants

The server requested a renegotiation (rehandshake).

ERR_SSL_SERVER_CERT_BAD_FORMAT uCEFConstants

The SSL server presented a certificate which could not be decoded. This is not a certificate error code as no X509Certificate object is available. This error is fatal.

ERR_SSL_SERVER_CERT_CHANGED uCEFConstants

The SSL server certificate changed in a renegotiation.

ERR_SSL_UNRECOGNIZED_NAME_ALERT uCEFConstants

The SSL server sent us a fatal unrecognized_name alert.

ERR_SSL_VERSION_OR_CIPHER_MISMATCH uCEFConstants

The client and server don't support a common SSL protocol version or cipher suite.

ERR_SYN_REPLY_NOT_RECEIVED uCEFConstants

FLIP data received without receiving a SYN_REPLY on the stream.

ERR_TEMPORARILY_THROTTLED uCEFConstants

The request throttler module cancelled this request to avoid DDOS.

ERR_TIMED_OUT uCEFConstants

An operation timed out.

ERR_TLS13_DOWNGRADE_DETECTED uCEFConstants

TLS 1.3 was enabled, but a lower version was negotiated and the server returned a value indicating it supported TLS 1.3. This is part of a security check in TLS 1.3, but it may also indicate the user is behind a buggy TLS-terminating proxy which implemented TLS 1.2 incorrectly. (See https://crbug.com/boringssl/226.)

ERR_TOO_MANY_ACCEPT_CH_RESTARTS uCEFConstants

The ACCEPT_CH restart has been triggered too many times

ERR_TOO_MANY_REDIRECTS uCEFConstants

Attempting to load an URL resulted in too many redirects.

ERR_TOO_MANY_RETRIES uCEFConstants

An HTTP transaction was retried too many times due for authentication or invalid certificates. This may be due to a bug in the net stack that would otherwise infinite loop, or if the server or proxy continually requests fresh credentials or presents a fresh invalid certificate.

ERR_TRUST_TOKEN_OPERATION_FAILED uCEFConstants

A Trust Tokens protocol operation-executing request failed for one of a number of reasons (precondition failure, internal error, bad response).

ERR_TRUST_TOKEN_OPERATION_SUCCESS_WITHOUT_SENDING_REQUEST uCEFConstants

When handling a Trust Tokens protocol operation-executing request, the system was able to execute the request's Trust Tokens operation without sending the request to its destination: for instance, the results could have been present in a local cache (for redemption) or the operation could have been diverted to a local provider (for "platform-provided" issuance).

ERR_TUNNEL_CONNECTION_FAILED uCEFConstants

A tunnel connection through the proxy could not be established.

ERR_UNABLE_TO_REUSE_CONNECTION_FOR_PROXY_AUTH uCEFConstants

The attempt to reuse a connection to send proxy auth credentials failed before the AuthController was used to generate credentials. The caller should reuse the controller with a new connection. This error is only used internally by the network stack.

ERR_UNDOCUMENTED_SECURITY_LIBRARY_STATUS uCEFConstants

An undocumented SSPI or GSSAPI status code was returned.

ERR_UNEXPECTED uCEFConstants

An unexpected error. This may be caused by a programming mistake or an invalid assumption.

ERR_UNEXPECTED_CONTENT_DICTIONARY_HEADER uCEFConstants

The header of dictionary compressed stream does not match the expected value.

ERR_UNEXPECTED_PROXY_AUTH uCEFConstants

The response was 407 (Proxy Authentication Required), yet we did not send the request to a proxy.

ERR_UNEXPECTED_SECURITY_LIBRARY_STATUS uCEFConstants

An unexpected, but documented, SSPI or GSSAPI status code was returned.

ERR_UNKNOWN_URL_SCHEME uCEFConstants

The scheme of the URL is unknown.

ERR_UNRECOGNIZED_FTP_DIRECTORY_LISTING_FORMAT uCEFConstants

The server sent an FTP directory listing in a format we do not understand.

ERR_UNSAFE_PORT uCEFConstants

Attempting to load an URL with an unsafe port number. These are port numbers that correspond to services, which are not robust to spurious input that may be constructed as a result of an allowed web construct (e.g., HTTP looks a lot like SMTP, so form submission to port 25 is denied).

ERR_UNSAFE_REDIRECT uCEFConstants

Attempting to load an URL resulted in an unsafe redirect (e.g., a redirect to file:// is considered unsafe).

ERR_UNSUPPORTED_AUTH_SCHEME uCEFConstants

An HTTP Authentication scheme was tried which is not supported on this machine.

ERR_UPLOAD_FILE_CHANGED uCEFConstants

The file upload failed because the file's modification time was different from the expectation.

ERR_UPLOAD_STREAM_REWIND_NOT_SUPPORTED uCEFConstants

The upload failed because the upload stream needed to be re-read, due to a retry or a redirect, but the upload stream doesn't support that operation.

ERR_WINSOCK_UNEXPECTED_WRITTEN_BYTES uCEFConstants

Winsock sometimes reports more data written than passed. This is probably due to a broken LSP.

ERR_WRONG_VERSION_ON_EARLY_DATA uCEFConstants

TLS 1.3 early data was offered, but the server responded with TLS 1.2 or earlier. This is an internal error code to account for a backwards-compatibility issue with early data and TLS 1.2. It will be received before any data is returned from the socket. The request should be retried with early data disabled.

See https://tools.ietf.org/html/rfc8446#appendix-D.3 for details.

ERR_WS_PROTOCOL_ERROR uCEFConstants

Websocket protocol error. Indicates that we are terminating the connection due to a malformed frame or other protocol violation.

ERR_WS_THROTTLE_QUEUE_TOO_LARGE uCEFConstants

There are too many pending WebSocketJob instances, so the new job was not pushed to the queue.

ERR_WS_UPGRADE uCEFConstants

When a WebSocket handshake is done successfully and the connection has been upgraded, the URLRequest is cancelled with this error code.

ERR_ZSTD_WINDOW_SIZE_TOO_BIG uCEFConstants

Content decoding failed due to the zstd window size being too big (over 8MB).

EVENTFLAG_ALTGR_DOWN uCEFConstants

Supported event bit flag.

EVENTFLAG_ALT_DOWN uCEFConstants

Supported event bit flag.

EVENTFLAG_CAPS_LOCK_ON uCEFConstants

Supported event bit flag.

EVENTFLAG_COMMAND_DOWN uCEFConstants

Supported event bit flag. Mac OS-X command key.

EVENTFLAG_CONTROL_DOWN uCEFConstants

Supported event bit flag.

EVENTFLAG_IS_KEY_PAD uCEFConstants

Supported event bit flag.

EVENTFLAG_IS_LEFT uCEFConstants

Supported event bit flag.

EVENTFLAG_IS_REPEAT uCEFConstants

Supported event bit flag.

EVENTFLAG_IS_RIGHT uCEFConstants

Supported event bit flag.

EVENTFLAG_LEFT_MOUSE_BUTTON uCEFConstants

Supported event bit flag.

EVENTFLAG_MIDDLE_MOUSE_BUTTON uCEFConstants

Supported event bit flag.

EVENTFLAG_NONE uCEFConstants

Supported event bit flag.

EVENTFLAG_NUM_LOCK_ON uCEFConstants

Supported event bit flag.

EVENTFLAG_PRECISION_SCROLLING_DELTA uCEFConstants

Supported event bit flag.

EVENTFLAG_RIGHT_MOUSE_BUTTON uCEFConstants

Supported event bit flag.

EVENTFLAG_SCROLL_BY_PAGE uCEFConstants

Supported event bit flag.

EVENTFLAG_SHIFT_DOWN uCEFConstants

Supported event bit flag.

FileVersionInfoToString uCEFMiscFunctions

FILE_DIALOG_NUM_VALUES uCEFConstants

Number of TCefFileDialogMode values

FILE_DIALOG_OPEN uCEFConstants

Requires that the file exists before allowing the user to pick it.

FILE_DIALOG_OPEN_FOLDER uCEFConstants

Like Open, but selects a folder to open.

FILE_DIALOG_OPEN_MULTIPLE uCEFConstants

Like Open, but allows picking multiple files to open.

FILE_DIALOG_SAVE uCEFConstants

Allows picking a nonexistent file, and prompts to overwrite if the file already exists.

FixCefTime uCEFMiscFunctions

Returns a new TCefTime with a valid time in case the original has errors.

GetAbsoluteDirPath uCEFMiscFunctions

GetCefKeyboardModifiers uCEFMiscFunctions

GetCefMouseModifiers uCEFMiscFunctions

GetCefMouseModifiers uCEFMiscFunctions

GetCommandLineSwitchValue uCEFMiscFunctions

Returns a command line switch value if it exists.

GetDefaultCEFUserAgent uCEFMiscFunctions

Return a user-agent string.

This function tries to replicate the BuildUserAgentFromOSAndProduct function in Chromium but it's safer to call the 'Browser.getVersion' DevTools method.

GetDeviceScaleFactor uCEFMiscFunctions

GetDLLHeaderMachine uCEFMiscFunctions

GetDLLVersion uCEFMiscFunctions

GetDPIForHandle uCEFMiscFunctions

GetExtendedFileVersion uCEFMiscFunctions

GetFileTypeDescription uCEFMiscFunctions

GetGlobalMemoryStatusEx uCEFMiscFunctions

GetIsWow64Process2 uCEFMiscFunctions

GetModulePath uCEFMiscFunctions

Retrieves the fully qualified path for the current module.

GetRealWindowsVersion uCEFMiscFunctions

GetRegistryWindowsVersion uCEFMiscFunctions

GetScreenDPI uCEFMiscFunctions

GetTimeIntervalMilliseconds uCEFMiscFunctions

Returns the time interval between now and from_ in milliseconds. This funcion should only be used by TCEFTimerWorkScheduler.

GetWindowsMajorMinorVersion uCEFMiscFunctions

GlobalCEFApp uCEFApplication

GlobalCEFApp uCEFApplicationCore

GlobalCEFTimerWorkScheduler uCEFTimerWorkScheduler

GlobalCEFWorkScheduler uCEFWorkScheduler

GlobalFMXWorkScheduler uCEFFMXWorkScheduler

GOOGLE_DISCOVERY_DOCUMENT uCEFOAuth2Helper

GWLP_HWNDPARENT uCEFMiscFunctions

GWLP_WNDPROC uCEFMiscFunctions

IApplicationCoreEvents uCEFInterfaces

Custom interface used to handle all the TCefApplicationCore events.

ICefAccessibilityHandler uCEFInterfaces

Implement this interface to receive accessibility notification when accessibility events have been registered. The functions of this interface will be called on the UI thread.

ICefApp uCEFInterfaces

Implement this interface to provide handler implementations. Methods will be called by the process and/or thread indicated.

ICefAudioHandler uCEFInterfaces

Implement this interface to handle audio events.

ICefAuthCallback uCEFInterfaces

Callback interface used for asynchronous continuation of authentication requests.

ICefBaseRefCounted uCEFInterfaces

All ref-counted framework interfaces must inherit from this interface.

ICefBeforeDownloadCallback uCEFInterfaces

Callback interface used to asynchronously continue a download.

ICefBinaryValue uCEFInterfaces

Interface representing a binary value. Can be used on any process and thread.

ICefBoxLayout uCEFInterfaces

A Layout manager that arranges child views vertically or horizontally in a side-by-side fashion with spacing around and between the child views. The child views are always sized according to their preferred size. If the host's bounds provide insufficient space, child views will be clamped. Excess space will not be distributed. Methods must be called on the browser process UI thread unless otherwise indicated.

ICefBrowser uCEFInterfaces

Interface used to represent a browser. When used in the browser process the functions of this interface may be called on any thread unless otherwise indicated in the comments. When used in the render process the functions of this interface may only be called on the main thread.

ICefBrowserHost uCEFInterfaces

Interface used to represent the browser process aspects of a browser. The functions of this interface can only be called in the browser process. They may be called on any thread in that process unless otherwise indicated in the comments.

ICefBrowserProcessHandler uCEFInterfaces

Interface used to implement browser process callbacks. The functions of this interface will be called on the browser process main thread unless otherwise indicated.

ICefBrowserView uCEFInterfaces

A View hosting a ICefBrowser instance. Methods must be called on the browser process UI thread unless otherwise indicated.

ICefBrowserViewDelegate uCEFInterfaces

Implement this interface to handle BrowserView events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

ICefBrowserViewDelegateEvents uCEFInterfaces

Custom interface used to handle all the ICefBrowserViewDelegate events.

ICefButton uCEFInterfaces

A View representing a button. Depending on the specific type, the button could be implemented by a native control or custom rendered. Methods must be called on the browser process UI thread unless otherwise indicated.

ICefButtonDelegate uCEFInterfaces

Implement this interface to handle Button events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

ICefButtonDelegateEvents uCEFInterfaces

Custom interface used to handle all the ICefButtonDelegate events.

ICefCallback uCEFInterfaces

Generic callback interface used for asynchronous continuation.

ICefClient uCEFInterfaces

Implement this interface to provide handler implementations.

ICefCommandHandler uCEFInterfaces

Implement this interface to handle events related to commands. The functions of this interface will be called on the UI thread.

ICefCommandLine uCEFInterfaces

Interface used to create and/or parse command line arguments. Arguments with "–", "-" and, on Windows, "/" prefixes are considered switches. Switches will always precede any arguments without switch prefixes. Switches can optionally have a value specified using the "=" delimiter (e.g. "-switch=value"). An argument of "–" will terminate switch parsing with all subsequent tokens, regardless of prefix, being interpreted as non-switch arguments. Switch names should be lowercase ASCII and will be converted to such if necessary. Switch values will retain the original case and UTF8 encoding. This interface can be used before cef_initialize() is called.

ICefCompletionCallback uCEFInterfaces

Generic callback interface used for asynchronous completion.

ICefContextMenuHandler uCEFInterfaces

Implement this interface to handle context menu events. The functions of this interface will be called on the UI thread.

ICefContextMenuParams uCEFInterfaces

Provides information about the context menu state. The functions of this interface can only be accessed on browser process the UI thread.

ICefCookieAccessFilter uCEFInterfaces

Implement this interface to filter cookies that may be sent or received from resource requests. The functions of this interface will be called on the IO thread unless otherwise indicated.

ICefCookieManager uCEFInterfaces

Interface used for managing cookies. The functions of this interface may be called on any thread unless otherwise indicated.

ICefCookieVisitor uCEFInterfaces

Interface to implement for visiting cookie values. The functions of this interface will always be called on the UI thread.

ICefCustomStreamReader uCEFInterfaces

Interface used to read data from a stream. The functions of this interface may be called on any thread.

ICefCustomUserData uCEFInterfaces

ICefDeleteCookiesCallback uCEFInterfaces

Interface to implement to be notified of asynchronous completion via ICefCookieManager.DeleteCookies.

ICefDevToolsMessageObserver uCEFInterfaces

Callback interface for ICefBrowserHost.AddDevToolsMessageObserver. The functions of this interface will be called on the browser process UI thread.

ICefDialogHandler uCEFInterfaces

Implement this interface to handle dialog events. The functions of this interface will be called on the browser process UI thread.

ICefDictionaryValue uCEFInterfaces

Interface representing a dictionary value. Can be used on any process and thread.

ICefDisplay uCEFInterfaces

This interface typically, but not always, corresponds to a physical display connected to the system. A fake Display may exist on a headless system, or a Display may correspond to a remote, virtual display. All size and position values are in density independent pixel (DIP) coordinates unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

For details on coordinate systems and usage see https://bitbucket.org/chromiumembedded/cef/wiki/GeneralUsage#markdown- header-coordinate-systems

ICefDisplayHandler uCEFInterfaces

Implement this interface to handle events related to browser display state. The functions of this interface will be called on the UI thread.

ICefDomDocument uCEFInterfaces

Interface used to represent a DOM document. The functions of this interface should only be called on the render process main thread thread.

ICefDomNode uCEFInterfaces

Interface used to represent a DOM node. The functions of this interface should only be called on the render process main thread.

ICefDomVisitor uCEFInterfaces

Interface to implement for visiting the DOM. The functions of this interface will be called on the render process main thread.

ICefDownloadHandler uCEFInterfaces

Interface used to handle file downloads. The functions of this interface will called on the browser process UI thread.

ICefDownloadImageCallback uCEFInterfaces

Callback interface for ICefBrowserHost.DownloadImage. The functions of this interface will be called on the browser process UI thread.

ICefDownloadItem uCEFInterfaces

Interface used to represent a download item.

ICefDownloadItemCallback uCEFInterfaces

Callback interface used to asynchronously cancel a download.

ICefDragData uCEFInterfaces

Interface used to represent drag data. The functions of this interface may be called on any thread.

ICefDragHandler uCEFInterfaces

Implement this interface to handle events related to dragging. The functions of this interface will be called on the UI thread.

ICefEndTracingCallback uCEFInterfaces

Implement this interface to receive notification when tracing has completed. The functions of this interface will be called on the browser process UI thread.

ICefFileDialogCallback uCEFInterfaces

Callback interface for asynchronous continuation of file dialog requests.

ICefFillLayout uCEFInterfaces

A simple Layout that causes the associated Panel's one child to be sized to match the bounds of its parent. Methods must be called on the browser process UI thread unless otherwise indicated.

ICefFindHandler uCEFInterfaces

Implement this interface to handle events related to find results. The functions of this interface will be called on the UI thread.

ICefFocusHandler uCEFInterfaces

Implement this interface to handle events related to focus. The functions of this interface will be called on the UI thread.

ICefFrame uCEFInterfaces

Interface used to represent a frame in the browser window. When used in the browser process the functions of this interface may be called on any thread unless otherwise indicated in the comments. When used in the render process the functions of this interface may only be called on the main thread.

ICefFrameHandler uCEFInterfaces

Implement this structure to handle events related to cef_frame_t life span. The order of callbacks is:

(1) During initial cef_browser_host_t creation and navigation of the main frame:

- cef_frame_handler_t::OnFrameCreated => The initial main frame object has
  been created. Any commands will be queued until the frame is attached.
- cef_frame_handler_t::OnMainFrameChanged => The initial main frame object
  has been assigned to the browser.
- cef_life_span_handler_t::OnAfterCreated => The browser is now valid and
  can be used.
- cef_frame_handler_t::OnFrameAttached => The initial main frame object is
  now connected to its peer in the renderer process. Commands can be routed.

(2) During further cef_browser_host_t navigation/loading of the main frame and/or sub-frames:

- cef_frame_handler_t::OnFrameCreated => A new main frame or sub-frame
  object has been created. Any commands will be queued until the frame is
  attached.
- cef_frame_handler_t::OnFrameAttached => A new main frame or sub-frame
  object is now connected to its peer in the renderer process. Commands can
  be routed.
- cef_frame_handler_t::OnFrameDetached => An existing main frame or sub-
  frame object has lost its connection to the renderer process. If multiple
  objects are detached at the same time then notifications will be sent for
  any sub-frame objects before the main frame object. Commands can no longer
  be routed and will be discarded.
- CefFremeHadler::OnFrameDestroyed => An existing main frame or sub-frame
  object has been destroyed.
- cef_frame_handler_t::OnMainFrameChanged => A new main frame object has
  been assigned to the browser. This will only occur with cross-origin
  navigation or re-navigation after renderer process termination (due to
  crashes, etc).

(3) During final cef_browser_host_t destruction of the main frame:

- cef_frame_handler_t::OnFrameDetached => Any sub-frame objects have lost
  their connection to the renderer process. Commands can no longer be routed
  and will be discarded.
- CefFreameHandler::OnFrameDestroyed => Any sub-frame objects have been
  destroyed.
- cef_life_span_handler_t::OnBeforeClose => The browser has been destroyed.
- cef_frame_handler_t::OnFrameDetached => The main frame object have lost
  its connection to the renderer process. Notifications will be sent for any
  sub-frame objects before the main frame object. Commands can no longer be
  routed and will be discarded.
- CefFreameHandler::OnFrameDestroyed => The main frame object has been
  destroyed.
- cef_frame_handler_t::OnMainFrameChanged => The final main frame object has
  been removed from the browser.

Special handling applies for cross-origin loading on creation/navigation of sub-frames, and cross-origin loading on creation of new popup browsers. A temporary frame will first be created in the parent frame's renderer process. This temporary frame will never attach and will be discarded after the real cross-origin frame is created in the new/target renderer process. The client will receive creation callbacks for the temporary frame, followed by cross-origin navigation callbacks (2) for the transition from the temporary frame to the real frame. The temporary frame will not receive or execute commands during this transitional period (any sent commands will be discarded).

When the main frame navigates to a different origin the OnMainFrameChanged callback (2) will be executed with the old and new main frame objects.

Callbacks will not be executed for placeholders that may be created during pre-commit navigation for sub-frames that do not yet exist in the renderer process. Placeholders will have cef_frame_t::get_identifier() == -4.

The functions of this structure will be called on the UI thread unless otherwise indicated.

ICefImage uCEFInterfaces

Container for a single image represented at different scale factors. All image representations should be the same size in density independent pixel (DIP) units. For example, if the image at scale factor 1.0 is 100x100 pixels then the image at scale factor 2.0 should be 200x200 pixels – both images will display with a DIP size of 100x100 units. The functions of this interface can be called on any browser process thread.

ICefJsDialogCallback uCEFInterfaces

Callback interface used for asynchronous continuation of JavaScript dialog requests.

ICefJsDialogHandler uCEFInterfaces

Implement this interface to handle events related to JavaScript dialogs. The functions of this interface will be called on the UI thread.

ICefKeyboardHandler uCEFInterfaces

Implement this interface to handle events related to keyboard input. The functions of this interface will be called on the UI thread.

ICefLabelButton uCEFInterfaces

LabelButton is a button with optional text and/or icon. Methods must be called on the browser process UI thread unless otherwise indicated.

ICefLayout uCEFInterfaces

A Layout handles the sizing of the children of a Panel according to implementation-specific heuristics. Methods must be called on the browser process UI thread unless otherwise indicated.

ICefLifeSpanHandler uCEFInterfaces

Implement this interface to handle events related to browser life span. The functions of this interface will be called on the UI thread unless otherwise indicated.

ICefListValue uCEFInterfaces

Interface representing a list value. Can be used on any process and thread.

ICefLoadHandler uCEFInterfaces

Implement this interface to handle events related to browser load status. The functions of this interface will be called on the browser process UI thread or render process main thread (TID_RENDERER).

ICefMediaAccessCallback uCEFInterfaces

Callback interface used for asynchronous continuation of media access permission requests.

ICefMediaObserver uCEFInterfaces

Implemented by the client to observe MediaRouter events and registered via ICefMediaRouter.AddObserver. The functions of this interface will be called on the browser process UI thread.

ICefMediaRoute uCEFInterfaces

Represents the route between a media source and sink. Instances of this object are created via ICefMediaRouter.CreateRoute and retrieved via ICefMediaObserver.OnRoutes. Contains the status and metadata of a routing operation. The functions of this interface may be called on any browser process thread unless otherwise indicated.

ICefMediaRouteCreateCallback uCEFInterfaces

Callback interface for ICefMediaRouter.CreateRoute. The functions of this interface will be called on the browser process UI thread.

ICefMediaRouter uCEFInterfaces

Supports discovery of and communication with media devices on the local network via the Cast and DIAL protocols. The functions of this interface may be called on any browser process thread unless otherwise indicated.

ICefMediaSink uCEFInterfaces

Represents a sink to which media can be routed. Instances of this object are retrieved via ICefMediaObserver.OnSinks. The functions of this interface may be called on any browser process thread unless otherwise indicated.

ICefMediaSinkDeviceInfoCallback uCEFInterfaces

Callback interface for ICefMediaSink.GetDeviceInfo. The functions of this interface will be called on the browser process UI thread.

ICefMediaSource uCEFInterfaces

Represents a source from which media can be routed. Instances of this object are retrieved via ICefMediaRouter.GetSource. The functions of this interface may be called on any browser process thread unless otherwise indicated.

ICefMenuButton uCEFInterfaces

MenuButton is a button with optional text, icon and/or menu marker that shows a menu when clicked with the left mouse button. All size and position values are in density independent pixels (DIP) unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

ICefMenuButtonDelegate uCEFInterfaces

Implement this interface to handle MenuButton events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

ICefMenuButtonDelegateEvents uCEFInterfaces

Custom interface used to handle all the ICefMenuButtonDelegate events.

ICefMenuButtonPressedLock uCEFInterfaces

MenuButton pressed lock is released when this object is destroyed.

ICefMenuModel uCEFInterfaces

Supports creation and modification of menus. See TCefMenuId for the command ids that have default implementations. All user-defined command ids should be between MENU_ID_USER_FIRST and MENU_ID_USER_LAST. The functions of this interface can only be accessed on the browser process the UI thread.

ICefMenuModelDelegate uCEFInterfaces

Implement this interface to handle menu model events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

ICefNavigationEntry uCEFInterfaces

Interface used to represent an entry in navigation history.

ICefNavigationEntryVisitor uCEFInterfaces

Callback interface for ICefBrowserHost.GetNavigationEntries. The functions of this interface will be called on the browser process UI thread.

ICefOverlayController uCEFInterfaces

Controller for an overlay that contains a contents View added via ICefWindow.AddOverlayView. Methods exposed by this controller should be called in preference to functions of the same name exposed by the contents View unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

ICefPanel uCEFInterfaces

A Panel is a container in the views hierarchy that can contain other Views as children. Methods must be called on the browser process UI thread unless otherwise indicated.

ICefPanelDelegate uCEFInterfaces

Implement this interface to handle Panel events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

ICefPanelDelegateEvents uCEFInterfaces

Custom interface used to handle all the ICefPanelDelegate events.

ICefPdfPrintCallback uCEFInterfaces

Callback interface for ICefBrowserHost.PrintToPDF. The functions of this interface will be called on the browser process UI thread.

ICefPermissionHandler uCEFInterfaces

Implement this interface to handle events related to permission requests. The functions of this interface will be called on the browser process UI thread.

ICefPermissionPromptCallback uCEFInterfaces

Callback interface used for asynchronous continuation of permission prompts.

ICefPostData uCEFInterfaces

Interface used to represent post data for a web request. The functions of this interface may be called on any thread.

ICefPostDataElement uCEFInterfaces

Interface used to represent a single element in the request post data. The functions of this interface may be called on any thread.

ICefPreferenceManager uCEFInterfaces

Manage access to preferences. Many built-in preferences are registered by Chromium. Custom preferences can be registered in ICefBrowserProcessHandler.OnRegisterCustomPreferences.

ICefPreferenceObserver uCEFInterfaces

Implemented by the client to observe preference changes and registered via ICefPreferenceManager.AddPreferenceObserver. The functions of this structure will be called on the browser process UI thread.

ICefPrintDialogCallback uCEFInterfaces

Callback interface for asynchronous continuation of print dialog requests.

ICefPrintHandler uCEFInterfaces

Implement this interface to handle printing on Linux. Each browser will have only one print job in progress at a time. The functions of this interface will be called on the browser process UI thread.

ICefPrintJobCallback uCEFInterfaces

Callback interface for asynchronous continuation of print job requests.

ICefPrintSettings uCEFInterfaces

Interface representing print settings.

ICefProcessMessage uCEFInterfaces

Interface representing a message. Can be used on any process and thread.

ICefReadHandler uCEFInterfaces

Structure the client can implement to provide a custom stream reader. The functions of this structure may be called on any thread.

ICefRegistration uCEFInterfaces

Generic callback interface used for managing the lifespan of a registration.

ICefRenderHandler uCEFInterfaces

Implement this interface to handle events when window rendering is disabled. The functions of this interface will be called on the UI thread.

ICefRenderProcessHandler uCEFInterfaces

Interface used to implement render process callbacks. The functions of this interface will be called on the render process main thread (TID_RENDERER) unless otherwise indicated.

ICefRequest uCEFInterfaces

Interface used to represent a web request. The functions of this interface may be called on any thread.

ICefRequestContext uCEFInterfaces

A request context provides request handling for a set of related browser or URL request objects. A request context can be specified when creating a new browser via the ICefBrowserHost static factory functions or when creating a new URL request via the ICefUrlRequest static factory functions. Browser objects with different request contexts will never be hosted in the same render process. Browser objects with the same request context may or may not be hosted in the same render process depending on the process model. Browser objects created indirectly via the JavaScript window.open function or targeted links will share the same render process and the same request context as the source browser. When running in single-process mode there is only a single render process (the main process) and so all browsers created in single-process mode will share the same request context. This will be the first request context passed into a ICefBrowserHost static factory function and all other request context objects will be ignored.

ICefRequestContextHandler uCEFInterfaces

Implement this interface to provide handler implementations. The handler instance will not be released until all objects related to the context have been destroyed.

ICefRequestHandler uCEFInterfaces

Implement this interface to handle events related to browser requests. The functions of this interface will be called on the thread indicated.

ICefResolveCallback uCEFInterfaces

Callback interface for ICefRequestContext.ResolveHost.

ICefResourceBundle uCEFInterfaces

Interface used for retrieving resources from the resource bundle (*.pak) files loaded by CEF during startup or via the ICefResourceBundleHandler returned from ICefApp.GetResourceBundleHandler. See TCefSettings for additional options related to resource bundle loading. The functions of this interface may be called on any thread unless otherwise indicated.

ICefResourceBundleHandler uCEFInterfaces

Interface used to implement a custom resource bundle interface. See TCefSettings for additional options related to resource bundle loading. The functions of this interface may be called on multiple threads.

ICefResourceHandler uCEFInterfaces

Interface used to implement a custom request handler interface. The functions of this interface will be called on the IO thread unless otherwise indicated.

ICefResourceReadCallback uCEFInterfaces

Callback for asynchronous continuation of ICefResourceHandler.read.

ICefResourceRequestHandler uCEFInterfaces

Implement this interface to handle events related to browser requests. The functions of this interface will be called on the IO thread unless otherwise indicated.

ICefResourceSkipCallback uCEFInterfaces

Callback for asynchronous continuation of ICefResourceHandler.skip.

ICefResponse uCEFInterfaces

Interface used to represent a web response. The functions of this interface may be called on any thread.

ICefResponseFilter uCEFInterfaces

Implement this interface to filter resource response content. The functions of this interface will be called on the browser process IO thread.

ICefRunContextMenuCallback uCEFInterfaces

Callback interface used for continuation of custom context menu display.

ICefRunFileDialogCallback uCEFInterfaces

Callback interface for ICefBrowserHost.RunFileDialog. The functions of this interface will be called on the browser process UI thread.

ICefRunQuickMenuCallback uCEFInterfaces

Callback interface used for continuation of custom quick menu display.

ICefSchemeHandlerFactory uCEFInterfaces

Interface that creates ICefResourceHandler instances for handling scheme requests. The functions of this interface will always be called on the IO thread.

ICefScrollView uCEFInterfaces

A ScrollView will show horizontal and/or vertical scrollbars when necessary based on the size of the attached content view. Methods must be called on the browser process UI thread unless otherwise indicated.

ICefSelectClientCertificateCallback uCEFInterfaces

Callback interface used to select a client certificate for authentication.

ICefServer uCEFInterfaces

Interface representing a server that supports HTTP and WebSocket requests. Server capacity is limited and is intended to handle only a small number of simultaneous connections (e.g. for communicating between applications on localhost). The functions of this interface are safe to call from any thread in the brower process unless otherwise indicated.

ICefServerHandler uCEFInterfaces

Implement this interface to handle HTTP server requests. A new thread will be created for each ICefServer.CreateServer call (the "dedicated server thread"), and the functions of this interface will be called on that thread. It is therefore recommended to use a different ICefServerHandler instance for each ICefServer.CreateServer call to avoid thread safety issues in the ICefServerHandler implementation.

ICefSetCookieCallback uCEFInterfaces

Interface to implement to be notified of asynchronous completion via ICefCookieManager.SetCookie.

ICefSettingObserver uCEFInterfaces

Implemented by the client to observe content and website setting changes and registered via ICefRequestContext.AddSettingObserver. The functions of this structure will be called on the browser process UI thread.

ICefSharedMemoryRegion uCEFInterfaces

Interface that wraps platform-dependent share memory region mapping.

ICefSharedProcessMessageBuilder uCEFInterfaces

Interface that builds a ICefProcessMessage containing a shared memory region. This interface is not thread-safe but may be used exclusively on a different thread from the one which constructed it.

ICefSslInfo uCEFInterfaces

Interface representing SSL information.

ICefSSLStatus uCEFInterfaces

Interface representing the SSL information for a navigation entry.

ICefStreamReader uCEFInterfaces

Interface used to read data from a stream. The functions of this interface may be called on any thread.

ICefStreamWriter uCEFInterfaces

Interface used to write data to a stream. The functions of this interface may be called on any thread.

ICefStringList uCEFInterfaces

Custom interface used to handle all the CEF functions related to CefStringList.

ICefStringMap uCEFInterfaces

Custom interface used to handle all the CEF functions related to CefStringMap.

ICefStringMultimap uCEFInterfaces

Custom interface used to handle all the CEF functions related to CefStringMultimap.

ICefStringVisitor uCEFInterfaces

Implement this interface to receive string values asynchronously.

ICefTask uCEFInterfaces

Implement this interface for asynchronous task execution. If the task is posted successfully and if the associated message loop is still running then the execute() function will be called on the target thread. If the task fails to post then the task object may be destroyed on the source thread instead of the target thread. For this reason be cautious when performing work in the task object destructor.

ICefTaskManager uCEFInterfaces

Interface that facilitates managing the browser-related tasks. The functions of this structure may only be called on the UI thread.

ICefTaskRunner uCEFInterfaces

Interface that asynchronously executes tasks on the associated thread. It is safe to call the functions of this interface on any thread.

CEF maintains multiple internal threads that are used for handling different types of tasks in different processes. The TCefThreadId definitions in cef_types.h list the common CEF threads. Task runners are also available for other CEF threads as appropriate (for example, V8 WebWorker threads).

ICefTextfield uCEFInterfaces

A Textfield supports editing of text. This control is custom rendered with no platform-specific code. Methods must be called on the browser process UI thread unless otherwise indicated.

ICefTextfieldDelegate uCEFInterfaces

Implement this interface to handle Textfield events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

ICefTextfieldDelegateEvents uCEFInterfaces

Custom interface used to handle all the ICefTextfieldDelegate events.

ICefThread uCEFInterfaces

A simple thread abstraction that establishes a message loop on a new thread. The consumer uses ICefTaskRunner to execute code on the thread's message loop. The thread is terminated when the ICefThread object is destroyed or stop() is called. All pending tasks queued on the thread's message loop will run to completion before the thread is terminated. cef_thread_create() can be called on any valid CEF thread in either the browser or render process. This interface should only be used for tasks that require a dedicated thread. In most cases you can post tasks to an existing CEF thread instead of creating a new one; see cef_task.h for details.

ICefUnresponsiveProcessCallback uCEFInterfaces

Callback structure for asynchronous handling of an unresponsive process.

ICefUrlRequest uCEFInterfaces

Interface used to make a URL request. URL requests are not associated with a browser instance so no ICefClient callbacks will be executed. URL requests can be created on any valid CEF thread in either the browser or render process. Once created the functions of the URL request object must be accessed on the same thread that created it.

ICefUrlrequestClient uCEFInterfaces

Interface that should be implemented by the ICefUrlRequest client. The functions of this interface will be called on the same thread that created the request unless otherwise documented.

ICEFUrlRequestClientEvents uCEFInterfaces

Custom interface used to handle all the TCEFUrlRequestClientComponent events.

ICefV8Accessor uCEFInterfaces

Interface that should be implemented to handle V8 accessor calls. Accessor identifiers are registered by calling ICefV8value.SetValue(). The functions of this interface will be called on the thread associated with the V8 accessor.

ICefv8ArrayBufferReleaseCallback uCEFInterfaces

Callback interface that is passed to ICefV8value.CreateArrayBuffer.

ICefv8Context uCEFInterfaces

Interface representing a V8 context handle. V8 handles can only be accessed from the thread on which they are created. Valid threads for creating a V8 handle include the render process main thread (TID_RENDERER) and WebWorker threads. A task runner for posting tasks on the associated thread can be retrieved via the ICefV8context.GetTaskRunner() function.

ICefV8Exception uCEFInterfaces

Interface representing a V8 exception. The functions of this interface may be called on any render process thread.

ICefv8Handler uCEFInterfaces

Interface that should be implemented to handle V8 function calls. The functions of this interface will be called on the thread associated with the V8 function.

ICefV8Interceptor uCEFInterfaces

Interface that should be implemented to handle V8 interceptor calls. The functions of this interface will be called on the thread associated with the V8 interceptor. Interceptor's named property handlers (with first argument of type CefString) are called when object is indexed by string. Indexed property handlers (with first argument of type int) are called when object is indexed by integer.

ICefV8StackFrame uCEFInterfaces

Interface representing a V8 stack frame handle. V8 handles can only be accessed from the thread on which they are created. Valid threads for creating a V8 handle include the render process main thread (TID_RENDERER) and WebWorker threads. A task runner for posting tasks on the associated thread can be retrieved via the ICefv8context.GetTaskRunner() function.

ICefV8StackTrace uCEFInterfaces

Interface representing a V8 stack trace handle. V8 handles can only be accessed from the thread on which they are created. Valid threads for creating a V8 handle include the render process main thread (TID_RENDERER) and WebWorker threads. A task runner for posting tasks on the associated thread can be retrieved via the ICefv8context.GetTaskRunner() function.

ICefv8Value uCEFInterfaces

Interface representing a V8 value handle. V8 handles can only be accessed from the thread on which they are created. Valid threads for creating a V8 handle include the render process main thread (TID_RENDERER) and WebWorker threads. A task runner for posting tasks on the associated thread can be retrieved via the ICefv8context.GetTaskRunner() function.

ICefValue uCEFInterfaces

Interface that wraps other data value types. Complex types (binary, dictionary and list) will be referenced but not owned by this object. Can be used on any process and thread.

ICefView uCEFInterfaces

A View is a rectangle within the views View hierarchy. It is the base interface for all Views. All size and position values are in density independent pixels (DIP) unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

ICefViewDelegate uCEFInterfaces

Implement this interface to handle view events. All size and position values are in density independent pixels (DIP) unless otherwise indicated. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

ICefViewDelegateEvents uCEFInterfaces

Custom interface used to handle the ICefViewDelegate events.

ICefWaitableEvent uCEFInterfaces

WaitableEvent is a thread synchronization tool that allows one thread to wait for another thread to finish some work. This is equivalent to using a Lock+ConditionVariable to protect a simple boolean value. However, using WaitableEvent in conjunction with a Lock to wait for a more complex state change (e.g., for an item to be added to a queue) is not recommended. In that case consider using a ConditionVariable instead of a WaitableEvent. It is safe to create and/or signal a WaitableEvent from any thread. Blocking on a WaitableEvent by calling the *wait() functions is not allowed on the browser process UI or IO threads.

ICefWindow uCEFInterfaces

A Window is a top-level Window/widget in the Views hierarchy. By default it will have a non-client area with title bar, icon and buttons that supports moving and resizing. All size and position values are in density independent pixels (DIP) unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

ICefWindowDelegate uCEFInterfaces

Implement this interface to handle window events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

ICefWindowDelegateEvents uCEFInterfaces

Custom interface used to handle all the ICefWindowDelegate events.

ICefWriteHandler uCEFInterfaces

Interface the client can implement to provide a custom stream writer. The functions of this interface may be called on any thread.

ICefX509Certificate uCEFInterfaces

Interface representing a X.509 certificate.

ICefX509CertPrincipal uCEFInterfaces

Interface representing the issuer or subject field of an X.509 certificate.

ICefXmlReader uCEFInterfaces

Interface that supports the reading of XML data via the libxml streaming API. The functions of this interface should only be called on the thread that creates the object.

ICefZipReader uCEFInterfaces

Interface that supports the reading of zip archives via the zlib unzip API. The functions of this interface should only be called on the thread that creates the object.

IChromiumEvents uCEFInterfaces

Custom interface used to handle all the TChromiumCore events.

IDC_ABOUT uCEFConstants

IDC_ADD_NEW_PROFILE uCEFConstants

IDC_ADD_NEW_TAB_TO_GROUP uCEFConstants

IDC_ADD_TO_COMPARISON_TABLE_MENU uCEFConstants

IDC_ALL_WINDOWS_FRONT uCEFConstants

IDC_ALWAYS_ON_TOP uCEFConstants

IDC_AUTOFILL_MANDATORY_REAUTH uCEFConstants

IDC_BACK uCEFConstants

IDC_BASIC_PRINT uCEFConstants

IDC_BOOKMARKS_MENU uCEFConstants

IDC_BOOKMARK_ALL_TABS uCEFConstants

IDC_BOOKMARK_BAR_ADD_NEW_BOOKMARK uCEFConstants

IDC_BOOKMARK_BAR_ADD_TO_BOOKMARKS_BAR uCEFConstants

IDC_BOOKMARK_BAR_ALWAYS_SHOW uCEFConstants

IDC_BOOKMARK_BAR_EDIT uCEFConstants

IDC_BOOKMARK_BAR_MOVE uCEFConstants

IDC_BOOKMARK_BAR_NEW_FOLDER uCEFConstants

IDC_BOOKMARK_BAR_OPEN_ALL uCEFConstants

IDC_BOOKMARK_BAR_OPEN_ALL_INCOGNITO uCEFConstants

IDC_BOOKMARK_BAR_OPEN_ALL_NEW_TAB_GROUP uCEFConstants

IDC_BOOKMARK_BAR_OPEN_ALL_NEW_WINDOW uCEFConstants

IDC_BOOKMARK_BAR_OPEN_INCOGNITO uCEFConstants

IDC_BOOKMARK_BAR_OPEN_SPLIT_VIEW uCEFConstants

IDC_BOOKMARK_BAR_REDO uCEFConstants

IDC_BOOKMARK_BAR_REMOVE uCEFConstants

IDC_BOOKMARK_BAR_REMOVE_FROM_BOOKMARKS_BAR uCEFConstants

IDC_BOOKMARK_BAR_RENAME_FOLDER uCEFConstants

IDC_BOOKMARK_BAR_SHOW_APPS_SHORTCUT uCEFConstants

IDC_BOOKMARK_BAR_SHOW_MANAGED_BOOKMARKS uCEFConstants

IDC_BOOKMARK_BAR_SHOW_READING_LIST uCEFConstants

IDC_BOOKMARK_BAR_TOGGLE_SHOW_TAB_GROUPS uCEFConstants

IDC_BOOKMARK_BAR_TRACK_PRICE_FOR_SHOPPING_BOOKMARK uCEFConstants

IDC_BOOKMARK_BAR_UNDO uCEFConstants

IDC_BOOKMARK_BAR_UNTRACK_PRICE_FOR_SHOPPING_BOOKMARK uCEFConstants

IDC_BOOKMARK_MANAGER uCEFConstants

IDC_BOOKMARK_THIS_TAB uCEFConstants

IDC_CARET_BROWSING_TOGGLE uCEFConstants

IDC_CHECK_SPELLING_WHILE_TYPING uCEFConstants

IDC_CHROME_MENU uCEFConstants

IDC_CHROME_TIPS uCEFConstants

IDC_CHROME_WHATS_NEW uCEFConstants

IDC_CLEAR_BROWSING_DATA uCEFConstants

IDC_CLOSE_FIND_OR_STOP uCEFConstants

IDC_CLOSE_PROFILE uCEFConstants

IDC_CLOSE_SIGN_IN_PROMO uCEFConstants

IDC_CLOSE_TAB uCEFConstants

IDC_CLOSE_TAB_GROUP uCEFConstants

IDC_CLOSE_WINDOW uCEFConstants

IDC_COMPARE_MENU uCEFConstants

IDC_CONTENT_CONTEXT_ACCESSIBILITY_LABELS uCEFConstants

IDC_CONTENT_CONTEXT_ACCESSIBILITY_LABELS_TOGGLE uCEFConstants

IDC_CONTENT_CONTEXT_ACCESSIBILITY_LABELS_TOGGLE_ONCE uCEFConstants

IDC_CONTENT_CONTEXT_ADD_A_NOTE uCEFConstants

IDC_CONTENT_CONTEXT_AUTOFILL_FALLBACK_PASSWORDS_IMPORT_PASSWORDS uCEFConstants

IDC_CONTENT_CONTEXT_AUTOFILL_FALLBACK_PASSWORDS_SELECT_PASSWORD uCEFConstants

IDC_CONTENT_CONTEXT_AUTOFILL_FALLBACK_PASSWORDS_SUGGEST_PASSWORD uCEFConstants

IDC_CONTENT_CONTEXT_AUTOFILL_FALLBACK_PASSWORDS_USE_PASSKEY_FROM_ANOTHER_DEVICE uCEFConstants

IDC_CONTENT_CONTEXT_AUTOFILL_FALLBACK_PLUS_ADDRESS uCEFConstants

IDC_CONTENT_CONTEXT_AUTOFILL_FEEDBACK uCEFConstants

IDC_CONTENT_CONTEXT_CLOSE_GLIC uCEFConstants

IDC_CONTENT_CONTEXT_CONTROLS uCEFConstants

IDC_CONTENT_CONTEXT_COPY uCEFConstants

IDC_CONTENT_CONTEXT_COPYAVLOCATION uCEFConstants

IDC_CONTENT_CONTEXT_COPYEMAILADDRESS uCEFConstants

IDC_CONTENT_CONTEXT_COPYIMAGE uCEFConstants

IDC_CONTENT_CONTEXT_COPYIMAGELOCATION uCEFConstants

IDC_CONTENT_CONTEXT_COPYLINKLOCATION uCEFConstants

IDC_CONTENT_CONTEXT_COPYLINKTEXT uCEFConstants

IDC_CONTENT_CONTEXT_COPYLINKTOTEXT uCEFConstants

IDC_CONTENT_CONTEXT_COPYVIDEOFRAME uCEFConstants

IDC_CONTENT_CONTEXT_CUSTOM_FIRST uCEFConstants

IDC_CONTENT_CONTEXT_CUSTOM_LAST uCEFConstants

IDC_CONTENT_CONTEXT_CUT uCEFConstants

IDC_CONTENT_CONTEXT_DELETE uCEFConstants

IDC_CONTENT_CONTEXT_EMOJI uCEFConstants

IDC_CONTENT_CONTEXT_EXIT_FULLSCREEN uCEFConstants

IDC_CONTENT_CONTEXT_GENERATEPASSWORD uCEFConstants

IDC_CONTENT_CONTEXT_GENERATE_QR_CODE uCEFConstants

IDC_CONTENT_CONTEXT_GOTOURL uCEFConstants

IDC_CONTENT_CONTEXT_INSPECTBACKGROUNDPAGE uCEFConstants

IDC_CONTENT_CONTEXT_INSPECTELEMENT uCEFConstants

IDC_CONTENT_CONTEXT_LANGUAGE_SETTINGS uCEFConstants

IDC_CONTENT_CONTEXT_LENS_OVERLAY uCEFConstants

IDC_CONTENT_CONTEXT_LENS_REGION_SEARCH uCEFConstants

IDC_CONTENT_CONTEXT_LOAD_IMAGE uCEFConstants

IDC_CONTENT_CONTEXT_LOOK_UP uCEFConstants

IDC_CONTENT_CONTEXT_LOOP uCEFConstants

IDC_CONTENT_CONTEXT_NO_SPELLING_SUGGESTIONS uCEFConstants

IDC_CONTENT_CONTEXT_OPENAVNEWTAB uCEFConstants

IDC_CONTENT_CONTEXT_OPENIMAGENEWTAB uCEFConstants

IDC_CONTENT_CONTEXT_OPENLINKBOOKMARKAPP uCEFConstants

IDC_CONTENT_CONTEXT_OPENLINKINPROFILE uCEFConstants

IDC_CONTENT_CONTEXT_OPENLINKNEWTAB uCEFConstants

IDC_CONTENT_CONTEXT_OPENLINKNEWWINDOW uCEFConstants

IDC_CONTENT_CONTEXT_OPENLINKOFFTHERECORD uCEFConstants

IDC_CONTENT_CONTEXT_OPENLINKPREVIEW uCEFConstants

IDC_CONTENT_CONTEXT_OPENLINKSPLITVIEW uCEFConstants

IDC_CONTENT_CONTEXT_OPENLINKWITH uCEFConstants

IDC_CONTENT_CONTEXT_OPEN_IN_READING_MODE uCEFConstants

IDC_CONTENT_CONTEXT_OPEN_ORIGINAL_IMAGE_NEW_TAB uCEFConstants

IDC_CONTENT_CONTEXT_OPEN_WITH1 uCEFConstants

IDC_CONTENT_CONTEXT_OPEN_WITH10 uCEFConstants

IDC_CONTENT_CONTEXT_OPEN_WITH11 uCEFConstants

IDC_CONTENT_CONTEXT_OPEN_WITH12 uCEFConstants

IDC_CONTENT_CONTEXT_OPEN_WITH13 uCEFConstants

IDC_CONTENT_CONTEXT_OPEN_WITH14 uCEFConstants

IDC_CONTENT_CONTEXT_OPEN_WITH2 uCEFConstants

IDC_CONTENT_CONTEXT_OPEN_WITH3 uCEFConstants

IDC_CONTENT_CONTEXT_OPEN_WITH4 uCEFConstants

IDC_CONTENT_CONTEXT_OPEN_WITH5 uCEFConstants

IDC_CONTENT_CONTEXT_OPEN_WITH6 uCEFConstants

IDC_CONTENT_CONTEXT_OPEN_WITH7 uCEFConstants

IDC_CONTENT_CONTEXT_OPEN_WITH8 uCEFConstants

IDC_CONTENT_CONTEXT_OPEN_WITH9 uCEFConstants

IDC_CONTENT_CONTEXT_PARTIAL_TRANSLATE uCEFConstants

IDC_CONTENT_CONTEXT_PASTE uCEFConstants

IDC_CONTENT_CONTEXT_PASTE_AND_MATCH_STYLE uCEFConstants

IDC_CONTENT_CONTEXT_PICTUREINPICTURE uCEFConstants

IDC_CONTENT_CONTEXT_PROTOCOL_HANDLER_FIRST uCEFConstants

IDC_CONTENT_CONTEXT_PROTOCOL_HANDLER_LAST uCEFConstants

IDC_CONTENT_CONTEXT_PROTOCOL_HANDLER_SETTINGS uCEFConstants

IDC_CONTENT_CONTEXT_QUICK_ANSWERS_INLINE_ANSWER uCEFConstants

IDC_CONTENT_CONTEXT_QUICK_ANSWERS_INLINE_QUERY uCEFConstants

IDC_CONTENT_CONTEXT_REDO uCEFConstants

IDC_CONTENT_CONTEXT_RELOADFRAME uCEFConstants

IDC_CONTENT_CONTEXT_RELOAD_GLIC uCEFConstants

IDC_CONTENT_CONTEXT_RELOAD_PACKAGED_APP uCEFConstants

IDC_CONTENT_CONTEXT_REMOVELINKTOTEXT uCEFConstants

IDC_CONTENT_CONTEXT_RESHARELINKTOTEXT uCEFConstants

IDC_CONTENT_CONTEXT_RESTART_PACKAGED_APP uCEFConstants

IDC_CONTENT_CONTEXT_ROTATECCW uCEFConstants

IDC_CONTENT_CONTEXT_ROTATECW uCEFConstants

IDC_CONTENT_CONTEXT_SAVEAVAS uCEFConstants

IDC_CONTENT_CONTEXT_SAVEIMAGEAS uCEFConstants

IDC_CONTENT_CONTEXT_SAVELINKAS uCEFConstants

IDC_CONTENT_CONTEXT_SAVEPLUGINAS uCEFConstants

IDC_CONTENT_CONTEXT_SAVEVIDEOFRAMEAS uCEFConstants

IDC_CONTENT_CONTEXT_SEARCHLENSFORIMAGE uCEFConstants

IDC_CONTENT_CONTEXT_SEARCHLENSFORVIDEOFRAME uCEFConstants

IDC_CONTENT_CONTEXT_SEARCHWEBFOR uCEFConstants

IDC_CONTENT_CONTEXT_SEARCHWEBFORIMAGE uCEFConstants

IDC_CONTENT_CONTEXT_SEARCHWEBFORNEWTAB uCEFConstants

IDC_CONTENT_CONTEXT_SEARCHWEBFORVIDEOFRAME uCEFConstants

IDC_CONTENT_CONTEXT_SELECTALL uCEFConstants

IDC_CONTENT_CONTEXT_SHARING_CLICK_TO_CALL_MULTIPLE_DEVICES uCEFConstants

IDC_CONTENT_CONTEXT_SHARING_CLICK_TO_CALL_SINGLE_DEVICE uCEFConstants

IDC_CONTENT_CONTEXT_SHARING_SHARED_CLIPBOARD_MULTIPLE_DEVICES uCEFConstants

IDC_CONTENT_CONTEXT_SHARING_SHARED_CLIPBOARD_SINGLE_DEVICE uCEFConstants

IDC_CONTENT_CONTEXT_SHARING_SUBMENU uCEFConstants

IDC_CONTENT_CONTEXT_SHOWALLSAVEDPASSWORDS uCEFConstants

IDC_CONTENT_CONTEXT_SPELLING_SUGGESTION uCEFConstants

IDC_CONTENT_CONTEXT_SPELLING_TOGGLE uCEFConstants

IDC_CONTENT_CONTEXT_START_SMART_SELECTION_ACTION1 uCEFConstants

IDC_CONTENT_CONTEXT_START_SMART_SELECTION_ACTION2 uCEFConstants

IDC_CONTENT_CONTEXT_START_SMART_SELECTION_ACTION3 uCEFConstants

IDC_CONTENT_CONTEXT_START_SMART_SELECTION_ACTION4 uCEFConstants

IDC_CONTENT_CONTEXT_START_SMART_SELECTION_ACTION5 uCEFConstants

IDC_CONTENT_CONTEXT_TRANSLATE uCEFConstants

IDC_CONTENT_CONTEXT_UNDO uCEFConstants

IDC_CONTENT_CONTEXT_USE_PASSKEY_FROM_ANOTHER_DEVICE uCEFConstants

IDC_CONTENT_CONTEXT_VIEWFRAMEINFO uCEFConstants

IDC_CONTENT_CONTEXT_VIEWFRAMESOURCE uCEFConstants

IDC_CONTENT_CONTEXT_VIEWPAGEINFO uCEFConstants

IDC_CONTENT_CONTEXT_WEB_REGION_SEARCH uCEFConstants

IDC_CONTENT_PASTE_FROM_CLIPBOARD uCEFConstants

IDC_CONTEXT_COMPOSE uCEFConstants

IDC_COPY uCEFConstants

IDC_COPY_URL uCEFConstants

IDC_CREATE_NEW_COMPARISON_TABLE_WITH_TAB uCEFConstants

IDC_CREATE_NEW_TAB_GROUP uCEFConstants

IDC_CREATE_SHORTCUT uCEFConstants

IDC_CUSTOMIZE_CHROME uCEFConstants

IDC_CUSTOMIZE_TOUCH_BAR uCEFConstants

IDC_CUT uCEFConstants

IDC_DEBUG_PRINT_VIEW_TREE uCEFConstants

IDC_DEBUG_PRINT_VIEW_TREE_DETAILS uCEFConstants

IDC_DEBUG_TOGGLE_TABLET_MODE uCEFConstants

IDC_DECLUTTER_TABS uCEFConstants

IDC_DEVELOPER_MENU uCEFConstants

IDC_DEVICE_SYSTEM_TRAY_ICON_FIRST uCEFConstants

IDC_DEVICE_SYSTEM_TRAY_ICON_LAST uCEFConstants

IDC_DEV_TOOLS uCEFConstants

IDC_DEV_TOOLS_CONSOLE uCEFConstants

IDC_DEV_TOOLS_DEVICES uCEFConstants

IDC_DEV_TOOLS_INSPECT uCEFConstants

IDC_DEV_TOOLS_TOGGLE uCEFConstants

IDC_DISTILL_PAGE uCEFConstants

IDC_DUPLICATE_TAB uCEFConstants

IDC_DUPLICATE_TARGET_TAB uCEFConstants

IDC_EDIT_MENU uCEFConstants

IDC_EDIT_SEARCH_ENGINES uCEFConstants

IDC_ELEVATED_RECOVERY_DIALOG uCEFConstants

IDC_EMAIL_PAGE_LOCATION uCEFConstants

IDC_EXIT uCEFConstants

IDC_EXTENSIONS_CONTEXT_CUSTOM_FIRST uCEFConstants

IDC_EXTENSIONS_CONTEXT_CUSTOM_LAST uCEFConstants

IDC_EXTENSIONS_SUBMENU uCEFConstants

IDC_EXTENSIONS_SUBMENU_MANAGE_EXTENSIONS uCEFConstants

IDC_EXTENSIONS_SUBMENU_VISIT_CHROME_WEB_STORE uCEFConstants

IDC_EXTENSION_ERRORS uCEFConstants

IDC_EXTENSION_INSTALL_ERROR_FIRST uCEFConstants

IDC_EXTENSION_INSTALL_ERROR_LAST uCEFConstants

IDC_FEEDBACK uCEFConstants

IDC_FILE_MENU uCEFConstants

IDC_FILLED_CARD_INFORMATION uCEFConstants

IDC_FIND uCEFConstants

IDC_FIND_AND_EDIT_MENU uCEFConstants

IDC_FIND_EXTENSIONS uCEFConstants

IDC_FIND_MENU uCEFConstants

IDC_FIND_NEXT uCEFConstants

IDC_FIND_PREVIOUS uCEFConstants

IDC_FOCUS_BOOKMARKS uCEFConstants

IDC_FOCUS_INACTIVE_POPUP_FOR_ACCESSIBILITY uCEFConstants

IDC_FOCUS_LOCATION uCEFConstants

IDC_FOCUS_MENU_BAR uCEFConstants

IDC_FOCUS_NEXT_PANE uCEFConstants

IDC_FOCUS_NEXT_TAB_GROUP uCEFConstants

IDC_FOCUS_PREVIOUS_PANE uCEFConstants

IDC_FOCUS_PREV_TAB_GROUP uCEFConstants

IDC_FOCUS_SEARCH uCEFConstants

IDC_FOCUS_THIS_TAB uCEFConstants

IDC_FOCUS_TOOLBAR uCEFConstants

IDC_FOCUS_WEB_CONTENTS_PANE uCEFConstants

IDC_FORWARD uCEFConstants

IDC_FULLSCREEN uCEFConstants

IDC_GLIC_STATUS_ICON_MENU_CLOSE uCEFConstants

IDC_GLIC_STATUS_ICON_MENU_CUSTOMIZE_KEYBOARD_SHORTCUT uCEFConstants

IDC_GLIC_STATUS_ICON_MENU_EXIT uCEFConstants

IDC_GLIC_STATUS_ICON_MENU_REMOVE_ICON uCEFConstants

IDC_GLIC_STATUS_ICON_MENU_SETTINGS uCEFConstants

IDC_GLIC_STATUS_ICON_MENU_SHOW uCEFConstants

IDC_GLIC_TOGGLE_PIN uCEFConstants

IDC_GROUP_TARGET_TAB uCEFConstants

IDC_HELP_MENU uCEFConstants

IDC_HELP_PAGE_VIA_KEYBOARD uCEFConstants

IDC_HELP_PAGE_VIA_MENU uCEFConstants

IDC_HIDE_APP uCEFConstants

IDC_HISTORY_MENU uCEFConstants

IDC_HOME uCEFConstants

IDC_IMPORT_SETTINGS uCEFConstants

IDC_INPUT_METHODS_MENU uCEFConstants

IDC_INSTALL_PWA uCEFConstants

IDC_LIVE_CAPTION uCEFConstants

IDC_MANAGE_CHROME_PROFILES uCEFConstants

IDC_MANAGE_EXTENSIONS uCEFConstants

IDC_MANAGE_GOOGLE_ACCOUNT uCEFConstants

IDC_MANAGE_PASSWORDS_FOR_PAGE uCEFConstants

IDC_MAXIMIZE_WINDOW uCEFConstants

IDC_MEDIA_CONTEXT_MEDIA_STREAM_CAPTURE_LIST_FIRST uCEFConstants

IDC_MEDIA_CONTEXT_MEDIA_STREAM_CAPTURE_LIST_LAST uCEFConstants

IDC_MEDIA_ROUTER_ABOUT uCEFConstants

IDC_MEDIA_ROUTER_ALWAYS_SHOW_TOOLBAR_ACTION uCEFConstants

IDC_MEDIA_ROUTER_HELP uCEFConstants

IDC_MEDIA_ROUTER_LEARN_MORE uCEFConstants

IDC_MEDIA_ROUTER_SHOWN_BY_POLICY uCEFConstants

IDC_MEDIA_ROUTER_SHOW_IN_TOOLBAR uCEFConstants

IDC_MEDIA_ROUTER_TOGGLE_MEDIA_REMOTING uCEFConstants

IDC_MEDIA_STREAM_DEVICE_ALWAYS_ALLOW uCEFConstants

IDC_MEDIA_STREAM_DEVICE_STATUS_TRAY uCEFConstants

IDC_MEDIA_TOOLBAR_CONTEXT_REPORT_CAST_ISSUE uCEFConstants

IDC_MEDIA_TOOLBAR_CONTEXT_SHOW_OTHER_SESSIONS uCEFConstants

IDC_MIGRATE_LOCAL_CREDIT_CARD_FOR_PAGE uCEFConstants

IDC_MINIMIZE_WINDOW uCEFConstants

IDC_MinimumLabelValue uCEFConstants

IDC_MORE_TOOLS_MENU uCEFConstants

IDC_MOVE_TAB_NEXT uCEFConstants

IDC_MOVE_TAB_PREVIOUS uCEFConstants

IDC_MOVE_TAB_TO_NEW_WINDOW uCEFConstants

IDC_MUTE_TARGET_SITE uCEFConstants

IDC_NAME_WINDOW uCEFConstants

IDC_NEW_INCOGNITO_WINDOW uCEFConstants

IDC_NEW_SPLIT_TAB uCEFConstants

IDC_NEW_TAB uCEFConstants

IDC_NEW_TAB_TO_RIGHT uCEFConstants

IDC_NEW_WINDOW uCEFConstants

IDC_OFFERS_AND_REWARDS_FOR_PAGE uCEFConstants

IDC_OPEN_CURRENT_URL uCEFConstants

IDC_OPEN_FILE uCEFConstants

IDC_OPEN_GLIC uCEFConstants

IDC_OPEN_GUEST_PROFILE uCEFConstants

IDC_OPEN_IN_CHROME uCEFConstants

IDC_OPEN_IN_PWA_WINDOW uCEFConstants

IDC_OPEN_LINK_IN_PROFILE_FIRST uCEFConstants

IDC_OPEN_LINK_IN_PROFILE_LAST uCEFConstants

IDC_OPEN_RECENT_TAB uCEFConstants

IDC_OPEN_SAFETY_HUB uCEFConstants

IDC_OPTIONS uCEFConstants

IDC_ORGANIZE_TABS uCEFConstants

IDC_PASSWORDS_AND_AUTOFILL_MENU uCEFConstants

IDC_PASTE uCEFConstants

IDC_PASTE_AND_GO uCEFConstants

IDC_PERFORMANCE uCEFConstants

IDC_PIN_TARGET_TAB uCEFConstants

IDC_PRINT uCEFConstants

IDC_PROFILE_MAIN_MENU uCEFConstants

IDC_PROFILE_MENU_IN_APP_MENU uCEFConstants

IDC_PROFILING_ENABLED uCEFConstants

IDC_QRCODE_GENERATOR uCEFConstants

IDC_READING_LIST_MENU uCEFConstants

IDC_READING_LIST_MENU_ADD_TAB uCEFConstants

IDC_READING_LIST_MENU_SHOW_UI uCEFConstants

IDC_RECENT_TABS_LOGIN_FOR_DEVICE_TABS uCEFConstants

IDC_RECENT_TABS_MENU uCEFConstants

IDC_RECENT_TABS_NO_DEVICE_TABS uCEFConstants

IDC_RELOAD uCEFConstants

IDC_RELOAD_BYPASSING_CACHE uCEFConstants

IDC_RELOAD_CLEARING_CACHE uCEFConstants

IDC_RESTORE_TAB uCEFConstants

IDC_RESTORE_WINDOW uCEFConstants

IDC_ROUTE_MEDIA uCEFConstants

IDC_SAFETY_HUB_MANAGE_EXTENSIONS uCEFConstants

IDC_SAFETY_HUB_SHOW_PASSWORD_CHECKUP uCEFConstants

IDC_SAVED_TAB_GROUPS_MENU uCEFConstants

IDC_SAVE_AND_SHARE_MENU uCEFConstants

IDC_SAVE_AUTOFILL_ADDRESS uCEFConstants

IDC_SAVE_CREDIT_CARD_FOR_PAGE uCEFConstants

IDC_SAVE_IBAN_FOR_PAGE uCEFConstants

IDC_SAVE_PAGE uCEFConstants

IDC_SEARCH uCEFConstants

IDC_SELECT_LAST_TAB uCEFConstants

IDC_SELECT_NEXT_TAB uCEFConstants

IDC_SELECT_PREVIOUS_TAB uCEFConstants

IDC_SELECT_TAB_0 uCEFConstants

IDC_SELECT_TAB_1 uCEFConstants

IDC_SELECT_TAB_2 uCEFConstants

IDC_SELECT_TAB_3 uCEFConstants

IDC_SELECT_TAB_4 uCEFConstants

IDC_SELECT_TAB_5 uCEFConstants

IDC_SELECT_TAB_6 uCEFConstants

IDC_SELECT_TAB_7 uCEFConstants

IDC_SEND_SHARED_TAB_GROUP_FEEDBACK uCEFConstants

IDC_SEND_TAB_TO_SELF uCEFConstants

IDC_SET_BROWSER_AS_DEFAULT uCEFConstants

IDC_SHARING_HUB uCEFConstants

IDC_SHARING_HUB_MENU uCEFConstants

IDC_SHARING_HUB_SCREENSHOT uCEFConstants

IDC_SHOW_ADDRESSES uCEFConstants

IDC_SHOW_ALL_COMPARISON_TABLES uCEFConstants

IDC_SHOW_APP_MENU uCEFConstants

IDC_SHOW_AS_TAB uCEFConstants

IDC_SHOW_AVATAR_MENU uCEFConstants

IDC_SHOW_BETA_FORUM uCEFConstants

IDC_SHOW_BOOKMARK_BAR uCEFConstants

IDC_SHOW_BOOKMARK_MANAGER uCEFConstants

IDC_SHOW_BOOKMARK_SIDE_PANEL uCEFConstants

IDC_SHOW_CHROME_LABS uCEFConstants

IDC_SHOW_CUSTOMIZE_CHROME_SIDE_PANEL uCEFConstants

IDC_SHOW_CUSTOMIZE_CHROME_TOOLBAR uCEFConstants

IDC_SHOW_DOWNLOADS uCEFConstants

IDC_SHOW_FULL_URLS uCEFConstants

IDC_SHOW_GOOGLE_LENS_SHORTCUT uCEFConstants

IDC_SHOW_HISTORY uCEFConstants

IDC_SHOW_HISTORY_CLUSTERS_SIDE_PANEL uCEFConstants

IDC_SHOW_HISTORY_SIDE_PANEL uCEFConstants

IDC_SHOW_MANAGEMENT_PAGE uCEFConstants

IDC_SHOW_PASSWORD_MANAGER uCEFConstants

IDC_SHOW_PAYMENT_METHODS uCEFConstants

IDC_SHOW_READING_MODE_SIDE_PANEL uCEFConstants

IDC_SHOW_SAVE_LOCAL_CARD_SIGN_IN_PROMO_IF_APPLICABLE uCEFConstants

IDC_SHOW_SEARCH_TOOLS uCEFConstants

IDC_SHOW_SETTINGS_CHANGE_FIRST uCEFConstants

IDC_SHOW_SETTINGS_CHANGE_LAST uCEFConstants

IDC_SHOW_SETTINGS_RESET_BUBBLE uCEFConstants

IDC_SHOW_SIGNIN_WHEN_PAUSED uCEFConstants

IDC_SHOW_SRT_BUBBLE uCEFConstants

IDC_SHOW_SYNC_SETTINGS uCEFConstants

IDC_SHOW_TRANSLATE uCEFConstants

IDC_SPELLCHECK_ADD_TO_DICTIONARY uCEFConstants

IDC_SPELLCHECK_LANGUAGES_FIRST uCEFConstants

IDC_SPELLCHECK_LANGUAGES_LAST uCEFConstants

IDC_SPELLCHECK_MENU uCEFConstants

IDC_SPELLCHECK_MULTI_LINGUAL uCEFConstants

IDC_SPELLCHECK_SUGGESTION_0 uCEFConstants

IDC_SPELLCHECK_SUGGESTION_1 uCEFConstants

IDC_SPELLCHECK_SUGGESTION_2 uCEFConstants

IDC_SPELLCHECK_SUGGESTION_3 uCEFConstants

IDC_SPELLCHECK_SUGGESTION_4 uCEFConstants

IDC_SPELLPANEL_TOGGLE uCEFConstants

IDC_STATUS_TRAY_KEEP_CHROME_RUNNING_IN_BACKGROUND uCEFConstants

IDC_STATUS_TRAY_KEEP_CHROME_RUNNING_IN_BACKGROUND_SETTING uCEFConstants

IDC_STOP uCEFConstants

IDC_TAB_MENU uCEFConstants

IDC_TAB_SEARCH uCEFConstants

IDC_TAB_SEARCH_CLOSE uCEFConstants

IDC_TAKE_SCREENSHOT uCEFConstants

IDC_TASK_MANAGER uCEFConstants

IDC_TASK_MANAGER_APP_MENU uCEFConstants

IDC_TASK_MANAGER_CONTEXT_MENU uCEFConstants

IDC_TASK_MANAGER_MAIN_MENU uCEFConstants

IDC_TASK_MANAGER_SHORTCUT uCEFConstants

IDC_TOGGLE_FULLSCREEN_TOOLBAR uCEFConstants

IDC_TOGGLE_JAVASCRIPT_APPLE_EVENTS uCEFConstants

IDC_TOGGLE_MULTITASK_MENU uCEFConstants

IDC_TOGGLE_REQUEST_TABLET_SITE uCEFConstants

IDC_TRANSLATE_ORIGINAL_LANGUAGE_BASE uCEFConstants

IDC_TRANSLATE_TARGET_LANGUAGE_BASE uCEFConstants

IDC_TURN_ON_SYNC uCEFConstants

IDC_UPDATE_SIDE_PANEL_PIN_STATE uCEFConstants

IDC_UPGRADE_DIALOG uCEFConstants

IDC_USE_SYSTEM_TITLE_BAR uCEFConstants

IDC_VIEW_MENU uCEFConstants

IDC_VIEW_PASSWORDS uCEFConstants

IDC_VIEW_SOURCE uCEFConstants

IDC_VIRTUAL_CARD_ENROLL uCEFConstants

IDC_VISIT_DESKTOP_OF_LRU_USER_2 uCEFConstants

IDC_VISIT_DESKTOP_OF_LRU_USER_3 uCEFConstants

IDC_VISIT_DESKTOP_OF_LRU_USER_4 uCEFConstants

IDC_VISIT_DESKTOP_OF_LRU_USER_5 uCEFConstants

IDC_WEBAUTHN uCEFConstants

IDC_WEB_APP_MENU_APP_INFO uCEFConstants

IDC_WEB_APP_SETTINGS uCEFConstants

IDC_WINDOW_CLOSE_OTHER_TABS uCEFConstants

IDC_WINDOW_CLOSE_TABS_TO_RIGHT uCEFConstants

IDC_WINDOW_GROUP_TAB uCEFConstants

IDC_WINDOW_MENU uCEFConstants

IDC_WINDOW_MUTE_SITE uCEFConstants

IDC_WINDOW_PIN_TAB uCEFConstants

IDC_WRITING_DIRECTION_DEFAULT uCEFConstants

IDC_WRITING_DIRECTION_LTR uCEFConstants

IDC_WRITING_DIRECTION_MENU uCEFConstants

IDC_WRITING_DIRECTION_RTL uCEFConstants

IDC_ZOOM_MENU uCEFConstants

IDC_ZOOM_MINUS uCEFConstants

IDC_ZOOM_NORMAL uCEFConstants

IDC_ZOOM_PLUS uCEFConstants

INFINITE uCEFConstants

InitializeCefTime uCEFMiscFunctions

Initialize a TCefTime variable.

InitializeWindowHandle uCEFMiscFunctions

Is32BitProcess uCEFMiscFunctions

IsCEFSubprocess uCEFMiscFunctions

Returns true if the command line switch has a "type" value.

IServerEvents uCEFInterfaces

Custom interface used to handle all the TCEFServerComponent events.

IsWowProcess uCEFMiscFunctions

JSON_WRITER_DEFAULT uCEFConstants

Default behavior.

JSON_WRITER_OMIT_BINARY_VALUES uCEFConstants

This option instructs the writer that if a Binary value is encountered, the value (and key if within a dictionary) will be omitted from the output, and success will be returned. Otherwise, if a binary value is encountered, failure will be returned.

JSON_WRITER_OMIT_DOUBLE_TYPE_PRESERVATION uCEFConstants

This option instructs the writer to write doubles that have no fractional part as a normal integer (i.e., without using exponential notation or appending a '.0') as long as the value is within the range of a 64-bit int.

JSON_WRITER_PRETTY_PRINT uCEFConstants

Return a slightly nicer formatted json string (pads with whitespace to help with readability).

Kernel32DLL uCEFMiscFunctions

KEYBOARD_LAYOUT_EN_US uCEFOSRIMEHandler

LIBCEF_DLL uCEFApplication

LIBCEF_DLL uCEFApplicationCore

LIBCEF_LOCALE_DIR uCEFApplicationCore

LIBCEF_LOCALE_ENUS uCEFApplicationCore

LIBCEF_PAK uCEFApplicationCore

for InitLibLocationFromArgs
LogicalToDevice uCEFMiscFunctions

LogicalToDevice uCEFMiscFunctions

LOGSEVERITY_DEBUG uCEFConstants

DEBUG logging.

LOGSEVERITY_DEFAULT uCEFConstants

Default logging (currently INFO logging).

LOGSEVERITY_DISABLE uCEFConstants

Disable logging to file for all messages, and to stderr for messages with severity less than FATAL.

LOGSEVERITY_ERROR uCEFConstants

ERROR logging.

LOGSEVERITY_FATAL uCEFConstants

FATAL logging.

LOGSEVERITY_INFO uCEFConstants

INFO logging.

LOGSEVERITY_VERBOSE uCEFConstants

Verbose logging.

LOGSEVERITY_WARNING uCEFConstants

WARNING logging.

LOG_ITEMS_DEFAULT uCEFConstants

Prepend the default list of items.

LOG_ITEMS_FLAG_PROCESS_ID uCEFConstants

Prepend the process ID.

LOG_ITEMS_FLAG_THREAD_ID uCEFConstants

Prepend the thread ID.

LOG_ITEMS_FLAG_TICK_COUNT uCEFConstants

Prepend the tickcount.

LOG_ITEMS_FLAG_TIME_STAMP uCEFConstants

Prepend the timestamp.

LOG_ITEMS_NONE uCEFConstants

Prepend no items.

LPMEMORYSTATUSEX uCEFTypes

MENU_ID_ADD_TO_DICTIONARY uCEFConstants

MENU_ID_BACK uCEFConstants

Navigation.
MENU_ID_COPY uCEFConstants

MENU_ID_CUSTOM_FIRST uCEFConstants

Custom menu items originating from the renderer process.
MENU_ID_CUSTOM_LAST uCEFConstants

MENU_ID_CUT uCEFConstants

MENU_ID_DELETE uCEFConstants

MENU_ID_FIND uCEFConstants

Miscellaneous.
MENU_ID_FORWARD uCEFConstants

MENU_ID_NO_SPELLING_SUGGESTIONS uCEFConstants

MENU_ID_PASTE uCEFConstants

MENU_ID_PASTE_MATCH_STYLE uCEFConstants

MENU_ID_PRINT uCEFConstants

MENU_ID_REDO uCEFConstants

MENU_ID_RELOAD uCEFConstants

MENU_ID_RELOAD_NOCACHE uCEFConstants

MENU_ID_SELECT_ALL uCEFConstants

MENU_ID_SPELLCHECK_SUGGESTION_0 uCEFConstants

Spell checking word correction suggestions.
MENU_ID_SPELLCHECK_SUGGESTION_1 uCEFConstants

MENU_ID_SPELLCHECK_SUGGESTION_2 uCEFConstants

MENU_ID_SPELLCHECK_SUGGESTION_3 uCEFConstants

MENU_ID_SPELLCHECK_SUGGESTION_4 uCEFConstants

MENU_ID_SPELLCHECK_SUGGESTION_LAST uCEFConstants

MENU_ID_STOPLOAD uCEFConstants

MENU_ID_UNDO uCEFConstants

Editing.
MENU_ID_USER_FIRST uCEFConstants

All user-defined menu IDs should come between MENU_ID_USER_FIRST and MENU_ID_USER_LAST to avoid overlapping the Chromium and CEF ID ranges defined in the tools/gritsettings/resource_ids file.

MENU_ID_USER_LAST uCEFConstants

MENU_ID_VIEW_SOURCE uCEFConstants

MoveFileList uCEFMiscFunctions

NativeInt uCEFTypes

NativeUInt uCEFTypes

Netapi32DLL uCEFMiscFunctions

NetApiBufferFree uCEFMiscFunctions

NetServerGetInfo uCEFMiscFunctions

NTDLL uCEFMiscFunctions

OutputDebugMessage uCEFMiscFunctions

OutputLastErrorMessage uCEFMiscFunctions

PathCanonicalizeAnsi uCEFMiscFunctions

PathCanonicalizeUnicode uCEFMiscFunctions

PathIsRelativeAnsi uCEFMiscFunctions

PathIsRelativeUnicode uCEFMiscFunctions

PathIsUNCAnsi uCEFMiscFunctions

PathIsUNCUnicode uCEFMiscFunctions

PathIsURLAnsi uCEFMiscFunctions

PathIsURLUnicode uCEFMiscFunctions

PCefAcceleratedPaintInfo uCEFTypes

PCefAccessibilityHandler uCEFTypes

PCefApp uCEFTypes

PCefAudioHandler uCEFTypes

PCefAudioParameters uCEFTypes

PCefAuthCallback uCEFTypes

PCefBaseRefCounted uCEFTypes

PCefBaseScoped uCEFTypes

PCefBaseTime uCEFTypes

PCefBeforeDownloadCallback uCEFTypes

PCefBinaryValue uCEFTypes

PCefBoxLayout uCEFTypes

PCefBoxLayoutSettings uCEFTypes

PCefBrowser uCEFTypes

PCefBrowserHost uCEFTypes

PCefBrowserProcessHandler uCEFTypes

PCefBrowserSettings uCEFTypes

PCefBrowserView uCEFTypes

PCefBrowserViewDelegate uCEFTypes

PCefButton uCEFTypes

PCefButtonDelegate uCEFTypes

PCefCallback uCEFTypes

PCefChar uCEFTypes

PCefClient uCEFTypes

PCefColor uCEFTypes

PCefCommandHandler uCEFTypes

PCefCommandLine uCEFTypes

PCefCompletionCallback uCEFTypes

PCefCompositionUnderline uCEFTypes

PCefContextMenuHandler uCEFTypes

PCefContextMenuParams uCEFTypes

PCefCookie uCEFTypes

PCefCookieAccessFilter uCEFTypes

PCefCookieManager uCEFTypes

PCefCookieVisitor uCEFTypes

PCefCursorInfo uCEFTypes

PCefDeleteCookiesCallback uCEFTypes

PCefDevToolsMessageObserver uCEFTypes

PCefDialogHandler uCEFTypes

PCefDictionaryValue uCEFTypes

PCefDisplay uCEFTypes

PCefDisplayHandler uCEFTypes

PCefDomDocument uCEFTypes

PCefDomNode uCEFTypes

PCefDomVisitor uCEFTypes

PCefDownloadHandler uCEFTypes

PCefDownloadImageCallback uCEFTypes

PCefDownloadItem uCEFTypes

PCefDownloadItemCallback uCEFTypes

PCefDragData uCEFTypes

PCefDraggableRegion uCEFTypes

PCefDraggableRegionArray uCEFTypes

PCefDragHandler uCEFTypes

PCefEndTracingCallback uCEFTypes

PCefFileDialogCallback uCEFTypes

PCefFillLayout uCEFTypes

PCefFindHandler uCEFTypes

PCefFocusHandler uCEFTypes

PCefFrame uCEFTypes

PCefFrameHandler uCEFTypes

PCefImage uCEFTypes

PCefInsets uCEFTypes

PCefJsDialogCallback uCEFTypes

PCefJsDialogHandler uCEFTypes

PCefKeyboardHandler uCEFTypes

PCefKeyEvent uCEFTypes

PCefLabelButton uCEFTypes

PCefLayout uCEFTypes

PCefLifeSpanHandler uCEFTypes

PCefLinuxWindowProperties uCEFTypes

PCefListValue uCEFTypes

PCefLoadHandler uCEFTypes

PCefMainArgs uCEFTypes

PCefMediaAccessCallback uCEFTypes

PCefMediaObserver uCEFTypes

PCefMediaRoute uCEFTypes

PCefMediaRouteCreateCallback uCEFTypes

PCefMediaRouter uCEFTypes

PCefMediaSink uCEFTypes

PCefMediaSinkDeviceInfo uCEFTypes

PCefMediaSinkDeviceInfoCallback uCEFTypes

PCefMediaSource uCEFTypes

PCefMenuButton uCEFTypes

PCefMenuButtonDelegate uCEFTypes

PCefMenuButtonPressedLock uCEFTypes

PCefMenuModel uCEFTypes

PCefMenuModelDelegate uCEFTypes

PCefMouseEvent uCEFTypes

PCefNavigationEntry uCEFTypes

PCefNavigationEntryVisitor uCEFTypes

PCefOverlayController uCEFTypes

PCefPanel uCEFTypes

PCefPanelDelegate uCEFTypes

PCefPdfPrintCallback uCEFTypes

PCefPdfPrintSettings uCEFTypes

PCefPermissionHandler uCEFTypes

PCefPermissionPromptCallback uCEFTypes

PCefPoint uCEFTypes

PCefPopupFeatures uCEFTypes

PCefPostData uCEFTypes

PCefPostDataElement uCEFTypes

PCefPreferenceManager uCEFTypes

PCefPreferenceObserver uCEFTypes

PCefPreferenceRegistrar uCEFTypes

PCefPrintDialogCallback uCEFTypes

PCefPrintHandler uCEFTypes

PCefPrintJobCallback uCEFTypes

PCefPrintSettings uCEFTypes

PCefProcessMessage uCEFTypes

PCefRange uCEFTypes

PCefReadHandler uCEFTypes

PCefRect uCEFTypes

PCefRectArray uCEFTypes

PCefRegistration uCEFTypes

PCefRenderHandler uCEFTypes

PCefRenderProcessHandler uCEFTypes

PCefRequest uCEFTypes

PCefRequestContext uCEFTypes

PCefRequestContextHandler uCEFTypes

PCefRequestContextSettings uCEFTypes

PCefRequestHandler uCEFTypes

PCefResolveCallback uCEFTypes

PCefResourceBundle uCEFTypes

PCefResourceBundleHandler uCEFTypes

PCefResourceHandler uCEFTypes

PCefResourceReadCallback uCEFTypes

PCefResourceRequestHandler uCEFTypes

PCefResourceSkipCallback uCEFTypes

PCefResponse uCEFTypes

PCefResponseFilter uCEFTypes

PCefRunContextMenuCallback uCEFTypes

PCefRunFileDialogCallback uCEFTypes

PCefRunQuickMenuCallback uCEFTypes

PCefSchemeHandlerFactory uCEFTypes

PCefSchemeRegistrar uCEFTypes

PCefScreenInfo uCEFTypes

PCefScrollView uCEFTypes

PCefSelectClientCertificateCallback uCEFTypes

PCefServer uCEFTypes

PCefServerHandler uCEFTypes

PCefSetCookieCallback uCEFTypes

PCefSettingObserver uCEFTypes

PCefSettings uCEFTypes

PCefSharedMemoryRegion uCEFTypes

PCefSharedProcessMessageBuilder uCEFTypes

PCefSize uCEFTypes

PCefSslInfo uCEFTypes

PCefSSLStatus uCEFTypes

PCefStreamReader uCEFTypes

PCefStreamWriter uCEFTypes

PCefString uCEFTypes

PCefStringUserFree uCEFTypes

PCefStringUserFreeUtf16 uCEFTypes

PCefStringUserFreeUtf8 uCEFTypes

PCefStringUserFreeWide uCEFTypes

PCefStringUtf16 uCEFTypes

PCefStringUtf8 uCEFTypes

PCefStringVisitor uCEFTypes

PCefStringWide uCEFTypes

PCefTask uCEFTypes

PCefTaskInfo uCEFTypes

PCefTaskManager uCEFTypes

PCefTaskRunner uCEFTypes

PCefTextfield uCEFTypes

PCefTextfieldDelegate uCEFTypes

PCefThread uCEFTypes

PCefTime uCEFTypes

PCefTouchEvent uCEFTypes

PCefTouchHandleState uCEFTypes

PCefUnresponsiveProcessCallback uCEFTypes

PCefUrlParts uCEFTypes

PCefUrlRequest uCEFTypes

PCefUrlRequestClient uCEFTypes

PCefV8Accessor uCEFTypes

PCefv8ArrayBufferReleaseCallback uCEFTypes

PCefv8Context uCEFTypes

PCefV8Exception uCEFTypes

PCefv8Handler uCEFTypes

PCefV8Interceptor uCEFTypes

PCefV8StackFrame uCEFTypes

PCefV8StackTrace uCEFTypes

PCefv8Value uCEFTypes

PCefV8ValueArray uCEFTypes

PCefValue uCEFTypes

PCefVersionInfoEx uCEFTypes

PCefView uCEFTypes

PCefViewDelegate uCEFTypes

PCefWaitableEvent uCEFTypes

PCefWindow uCEFTypes

PCefWindowDelegate uCEFTypes

PCefWindowInfo uCEFTypes

PCefWriteHandler uCEFTypes

PCefX509Certificate uCEFTypes

PCefX509CertPrincipal uCEFTypes

PCefXmlReader uCEFTypes

PCefZipReader uCEFTypes

PChar16 uCEFTypes

pfidLinux uCEFConstants

pfidOSX uCEFConstants

pfidWindows uCEFConstants

pidLinux64 uCEFConstants

pidOSX32 uCEFConstants

pidOSX64 uCEFConstants

pidOSXArm64 uCEFConstants

pidWin32 uCEFConstants

If any of the platform IDs are not defined then we set them as 0 to avoid build errors on older Delphi versions.
pidWin64 uCEFConstants

PNativeInt uCEFTypes

PNativeUInt uCEFTypes

PPCefDisplay uCEFTypes

PPCefMediaRoute uCEFTypes

PPCefMediaSink uCEFTypes

PPCefPostDataElement uCEFTypes

PPCefV8Value uCEFTypes

PPCefX509Certificate uCEFTypes

PPSingle uCEFTypes

ProcessUnderWow64 uCEFMiscFunctions

QM_EDITFLAG_CAN_COPY uCEFConstants

QM_EDITFLAG_CAN_CUT uCEFConstants

QM_EDITFLAG_CAN_ELLIPSIS uCEFConstants

QM_EDITFLAG_CAN_PASTE uCEFConstants

QM_EDITFLAG_NONE uCEFConstants

Supported quick menu state bit flags.

rbstring uCEFTypes

Register uCEFBrowserViewComponent

Register uCEFBrowserWindow

Register uCEFBufferPanel

Register uCEFChromium

Register uCEFChromiumWindow

Register uCEFLabelButtonComponent

Register uCEFLinkedWindowParent

Register uCEFMenuButtonComponent

Register uCEFOsrBrowserWindow

Register uCEFPanelComponent

Register uCEFScrollViewComponent

Register uCEFSentinel

Register uCEFServerComponent

Register uCEFTextfieldComponent

Register uCEFUrlRequestClientComponent

Register uCEFWindowComponent

Register uCEFWindowParent

Register uCEFWorkScheduler

RunningWindows10OrNewer uCEFMiscFunctions

SetWindowLongPtr uCEFMiscFunctions

SHLWAPIDLL uCEFMiscFunctions

ShutdownBlockReasonCreate uCEFMiscFunctions

ShutdownBlockReasonDestroy uCEFMiscFunctions

SplitLongString uCEFMiscFunctions

SSL_CONNECTION_VERSION_NUM_VALUES uCEFConstants

SSL_CONNECTION_VERSION_QUIC uCEFConstants

SSL_CONNECTION_VERSION_SSL2 uCEFConstants

SSL_CONNECTION_VERSION_SSL3 uCEFConstants

SSL_CONNECTION_VERSION_TLS1 uCEFConstants

SSL_CONNECTION_VERSION_TLS1_1 uCEFConstants

SSL_CONNECTION_VERSION_TLS1_2 uCEFConstants

SSL_CONNECTION_VERSION_TLS1_3 uCEFConstants

SSL_CONNECTION_VERSION_UNKNOWN uCEFConstants

Supported SSL version values.

SSL_CONTENT_DISPLAYED_INSECURE_CONTENT uCEFConstants

SSL_CONTENT_NORMAL_CONTENT uCEFConstants

Supported SSL content status flags. See content/public/common/ssl_status.h for more information.

SSL_CONTENT_RAN_INSECURE_CONTENT uCEFConstants

SystemTimeToCefTime uCEFMiscFunctions

Converts a TSystemTime value to TCefTime.

TBrowserInfo uCEFChromiumCore

TBrowserInfoList uCEFChromiumCore

TBrowserKeyEvent uCEFOsrBrowserWindow

TBrowserMouseEvent uCEFOsrBrowserWindow

TBrowserMouseMoveEvent uCEFOsrBrowserWindow

TBrowserMouseWheelEvent uCEFOsrBrowserWindow

TBrowserUTF8KeyPressEvent uCEFOsrBrowserWindow

TBrowserKeyPressEvent = procedure(Sender: TObject; var Key: char; var AHandled: Boolean) of Object;
TBrowserWindow uCEFBrowserWindow

TBrowserWindow

A simple "drop on the Form" component for an full embedded browser.

The component handles most events required by CEF. The only additions needed to be made by the User in their code are:

* Implement TForm.OnCloseQuery CEF must be able to destroy the browser, before the main form is closed. (That is while the Form still has a Handle, and the event loop is still running) It is adviced to do the same for any other form (other than the main form).

TForm.OnCloseQuery should call (for each TBrowserWindow) TBrowserWindow.CloseBrowser(True); The Form can be allowed to close by setting (checking for all BrowserWindows) CanClose := BrowserWindow.IsClosed;

On Windows and Linux it is also possible to Destroy the TBrowserWindow. This will wait for the browser to close, and after that the form can be closed. - However, this must be done in OnCloseQuery (or before). - Once TForm.Destroy is called, it is to late. By that time the event loop no longer runs.

*** IMPORTANT: (MacOS) *** On MacOs CloseBrowser() must be called, and the *event* must be awaited. Neither destroying the component, nor waiting with App.ProcessMessages will work. On MacOS, CEF will not finish until the OnCloseQuery event returned to the main event loop. (Hence ProcessMessage does not work). The same is true for any action taken in OnClick or other event. CEF always waits for any event to return to the main event loop. See also the BrowserWindowEX example how that affect modal forms.

* Implement TBrowserWindow.OnBrowserClosed If TForm.OnCloseQuery called CloseBrowser, this callback can be used to call Form.Close again (the callback should check if the browser was closed by OnCloseQuery.

* On Windows: handle the WM_ENTERMENULOOP and WM_EXITMENULOOP, as shown in examples

* Optional prevent pop-up windows by implementing Chromium.BeforePopup Chromium.OpenUrlFromTab
TBufferPanel uCEFBufferPanel

TBufferPanel is used by VCL and LCL applications with browsers in OSR mode to draw the browser contents. See the SimpleOSRBrowser demo for more details.

TCefAcceleratedPaintInfo uCEFTypes

Structure containing shared texture information for the OnAcceleratedPaint callback. Resources will be released to the underlying pool for reuse when the callback returns from client code.

TCefAcceleratedPaintInfoCommon uCEFTypes

Structure containing shared texture common metadata. For documentation on each field, please refer to src/media/base/video_frame_metadata.h for actual details.

TCefAccessibilityHandler uCEFTypes

Implement this structure to receive accessibility notification when accessibility events have been registered. The functions of this structure will be called on the UI thread.

NOTE: This struct is allocated client-side.

TCEFAccessibilityHandlerOwn uCEFAccessibilityHandler

TCefAddPreferenceObserverTask uCEFTask

TCefAlphaType uCEFTypes

Describes how to interpret the alpha component of a pixel.

TCefAplicationStatus uCEFTypes

Status of TCefAplicationCore.

TCefApp uCEFTypes

Implement this structure to provide handler implementations. Methods will be called by the process and/or thread indicated.

NOTE: This struct is allocated client-side.

TCefApplication uCEFApplication

Main class used to simplify the CEF initialization and destruction.

TCefApplicationCore uCEFApplicationCore

Parent class of TCefApplication used to simplify the CEF initialization and destruction.

TCefAppOwn uCEFApp

Implement this interface to provide handler implementations. Methods will be called by the process and/or thread indicated.

TCEFArgCopy uCEFArgCopy

TCefAudioHandler uCEFTypes

Implement this structure to handle audio events.

NOTE: This struct is allocated client-side.

TCefAudioHandlerOwn uCEFAudioHandler

TCefAudioParameters uCEFTypes

Structure representing the audio parameters for setting up the audio handler.

TCefAuthCallback uCEFTypes

Callback structure used for asynchronous continuation of authentication requests.

NOTE: This struct is allocated DLL-side.

TCefAuthCallbackRef uCEFAuthCallback

TCefAutoplayPolicy uCEFTypes

Autoplay policy types used by TCefApplicationCore.AutoplayPolicy. See the –autoplay-policy switch.

TCefAxisAlignment uCEFTypes

Specifies where along the axis the CefBoxLayout child views should be laid out. Should be kept in sync with Chromium's views::LayoutAlignment type.

TCefBaseRefCounted uCEFTypes

All ref-counted framework structures must include this structure first.

TCefBaseRefCountedOwn uCEFBaseRefCounted

TCefBaseRefCountedRef uCEFBaseRefCounted

TCefBaseScoped uCEFTypes

All scoped framework structures must include this structure first.

TCEFBaseScopedWrapperRef uCEFBaseScopedWrapper

The complete list of compiler versions is here : https://docwiki.embarcadero.com/RADStudio/Athens/en/Compiler_Versions Delphi 5 Delphi 6 Delphi 7 Delphi 8 Delphi 2005 Delphi 2009 Delphi 2010 Delphi XE Delphi XE2 (First FireMonkey and 64bit compiler) Delphi XE3 Delphi XE4 Delphi XE5 Delphi XE6 Delphi XE7 Delphi XE8 Rad Studio 10 - Delphi Seattle Rad Studio 10.1 - Delphi Berlin Rad Studio 10.2 - Delphi Tokyo Rad Studio 10.3 - Delphi Rio Rad Studio 10.4 - Delphi Sydney Rad Studio 11.0 - Delphi Alexandria Rad Studio 12.0 - Delphi Athens Rad Studio 13.0 - Delphi Florence Delphi uses MACOS for the new MacOSX and DARWIN is not defined FPC uses DARWIN for the new MacOSX and MACOS is defined for the classic Macintosh OS (System 7) We define MACOSX to avoid conflicts in both situations OS_POSIX is defined for AIX, ANDROID, ASMJS, CHROMEOS, FREEBSD, IOS, LINUX, MAC, NACL, NETBSD, OPENBSD, QNX and SOLARIS in /include/base/cef_build.h
TCefBaseTime uCEFTypes

Represents a wall clock time in UTC. Values are not guaranteed to be monotonically non-decreasing and are subject to large amounts of skew. Time is stored internally as microseconds since the Windows epoch (1601).

This is equivalent of Chromium `base::Time` (see base/time/time.h).

TCefBatterySaverModeState uCEFTypes

Values used by the battery saver mode state preference.

TCefBeforeDownloadCallback uCEFTypes

Callback structure used to asynchronously continue a download.

NOTE: This struct is allocated DLL-side.

TCefBeforeDownloadCallbackRef uCEFBeforeDownloadCallback

TCefBinaryValue uCEFTypes

Structure representing a binary value. Can be used on any process and thread.

NOTE: This struct is allocated DLL-side.

TCefBinaryValueArray uCEFInterfaces

TCefBinaryValueOwn uCEFBinaryValue

TCefBinaryValueRef uCEFBinaryValue

TCEFBitmapBitBuffer uCEFBitmapBitBuffer

Class that stores a copy of the raw bitmap buffer sent by CEF in the TChromiumCore.OnPaint event.

TCefBoxLayout uCEFTypes

A Layout manager that arranges child views vertically or horizontally in a side-by-side fashion with spacing around and between the child views. The child views are always sized according to their preferred size. If the host's bounds provide insufficient space, child views will be clamped. Excess space will not be distributed. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

TCefBoxLayoutRef uCEFBoxLayout

A Layout manager that arranges child views vertically or horizontally in a side-by-side fashion with spacing around and between the child views. The child views are always sized according to their preferred size. If the host's bounds provide insufficient space, child views will be clamped. Excess space will not be distributed. Methods must be called on the browser process UI thread unless otherwise indicated.

TCefBoxLayoutSettings uCEFTypes

Initialization settings. Specify NULL or 0 to get the recommended default values. Many of these and other settings can also configured using command- line switches.

TCefBrowser uCEFTypes

Structure used to represent a browser. When used in the browser process the functions of this structure may be called on any thread unless otherwise indicated in the comments. When used in the render process the functions of this structure may only be called on the main thread.

NOTE: This struct is allocated DLL-side.

TCEFBrowserBitmap uCEFBrowserBitmap

TCefBrowserHost uCEFTypes

Structure used to represent the browser process aspects of a browser. The functions of this structure can only be called in the browser process. They may be called on any thread in that process unless otherwise indicated in the comments.

NOTE: This struct is allocated DLL-side.

TCefBrowserHostRef uCEFBrowser

TCefBrowserNavigation uCEFTypes

Used by TCefBrowserNavigationTask to navigate in the right CEF thread.

TCefBrowserNavigationTask uCEFTask

TCefBrowserProcessHandler uCEFTypes

Structure used to implement browser process callbacks. The functions of this structure will be called on the browser process main thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

TCefBrowserProcessHandlerOwn uCEFBrowserProcessHandler

TCefBrowserRef uCEFBrowser

TCefBrowserSettings uCEFTypes

Browser initialization settings. Specify NULL or 0 to get the recommended default values. The consequences of using custom values may not be well tested. Many of these and other settings can also configured using command- line switches.

TCefBrowserView uCEFTypes

A View hosting a ICefBrowser instance. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

TCEFBrowserViewComponent uCEFBrowserViewComponent

Component hosting a ICefBrowserView instance.

TCefBrowserViewDelegate uCEFTypes

Implement this structure to handle BrowserView events. The functions of this structure will be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

TCefBrowserViewDelegateOwn uCEFBrowserViewDelegate

Implement this interface to handle BrowserView events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

TCefBrowserViewDelegateRef uCEFBrowserViewDelegate

TCefBrowserViewRef uCEFBrowserView

A View hosting a ICefBrowser instance. Methods must be called on the browser process UI thread unless otherwise indicated.

TCefButton uCEFTypes

A View representing a button. Depending on the specific type, the button could be implemented by a native control or custom rendered. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

TCEFButtonComponent uCEFButtonComponent

TCefButtonDelegate uCEFTypes

Implement this structure to handle Button events. The functions of this structure will be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

TCefButtonDelegateOwn uCEFButtonDelegate

Implement this interface to handle Button events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

TCefButtonDelegateRef uCEFButtonDelegate

TCefButtonRef uCEFButton

A View representing a button. Depending on the specific type, the button could be implemented by a native control or custom rendered. Methods must be called on the browser process UI thread unless otherwise indicated.

TCefButtonState uCEFTypes

Specifies the button display state.

TCefBytesWriteHandler uCEFWriteHandler

TCefCallback uCEFTypes

Generic callback structure used for asynchronous continuation.

NOTE: This struct is allocated DLL-side.

TCefCallbackRef uCEFCallback

TCefCertStatus uCEFTypes

Supported certificate status code values. See net\cert\cert_status_flags.h for more information. CERT_STATUS_NONE is new in CEF because we use an enum while cert_status_flags.h uses a typedef and static const variables.

TCefChannelLayout uCEFTypes

Enumerates the various representations of the ordering of audio channels. Must be kept synchronized with media::ChannelLayout from Chromium. See media\base\channel_layout.h

TCefChar uCEFTypes

TCefChromePageActionIconType uCEFTypes

Chrome page action icon types. Should be kept in sync with Chromium's PageActionIconType type.

TCefChromeToolbarButtonType uCEFTypes

Chrome toolbar button types. Should be kept in sync with CEF's internal ToolbarButtonType type.

TCefChromeToolbarType uCEFTypes

Chrome toolbar types.

TCefChromiumTask uCEFTask

Custom class used to execute CEF tasks with a TChromiumCore component.

TCefClearCertificateExceptionsCompletionCallback uCEFRequestContext

TCefClearDataStorageTypes uCEFTypes

Storage types used by the Storage.clearDataForOrigin DevTools method in TChromiumCore.ClearDataForOrigin.

TCefClearHttpAuthCredentialsCompletionCallback uCEFRequestContext

TCefClient uCEFTypes

Implement this structure to provide handler implementations.

NOTE: This struct is allocated client-side.

TCefClientOwn uCEFClient

TCefClientRef uCEFClient

TCefCloseAllConnectionsCompletionCallback uCEFRequestContext

TCefCloseBrowserAction uCEFTypes

Action taken after the TChromium.Onclose event.

cbaCancel : stop closing the browser.

cbaClose : continue closing the browser.

cbaDelay : stop closing the browser momentarily. Used when the application needs to execute some custom processes before closing the browser. This is usually needed to destroy a TCEFWindowParent in the main thread before closing the browser.

TCefColor uCEFTypes

32-bit ARGB color value, not premultiplied. The color components are always in a known order. Equivalent to the SkColor type.

TCefColorModel uCEFTypes

Print job color mode values.

TCefColorType uCEFTypes

Describes how to interpret the components of a pixel.

TCefColorVariant uCEFTypes

Specifies the color variants supported by ICefRequestContext.SetChromeThemeColor.

TCefCOMInitMode uCEFTypes

Flags used to customize the behavior of CefURLRequest.

TCefCommandHandler uCEFTypes

Implement this structure to handle events related to commands. The functions of this structure will be called on the UI thread.

NOTE: This struct is allocated client-side.

TCefCommandHandlerOwn uCEFCommandHandler

TCefCommandLine uCEFTypes

Structure used to create and/or parse command line arguments. Arguments with "–", "-" and, on Windows, "/" prefixes are considered switches. Switches will always precede any arguments without switch prefixes. Switches can optionally have a value specified using the "=" delimiter (e.g. "-switch=value"). An argument of "–" will terminate switch parsing with all subsequent tokens, regardless of prefix, being interpreted as non-switch arguments. Switch names should be lowercase ASCII and will be converted to such if necessary. Switch values will retain the original case and UTF8 encoding. This structure can be used before cef_initialize() is called.

NOTE: This struct is allocated DLL-side.

TCefCommandLineRef uCEFCommandLine

TCefCompletionCallback uCEFTypes

Generic callback structure used for asynchronous completion.

NOTE: This struct is allocated client-side.

TCefCompletionCallbackOwn uCEFCompletionCallback

TCefCompletionCallbackProc uCEFInterfaces

TCEFComponentIdList uCEFComponentIdList

Class used to keep a list of valid custom component IDs for any component that handles a CEF Task event.

TCefCompositionUnderline uCEFTypes

Structure representing IME composition underline information. This is a thin wrapper around Blink's WebCompositionUnderline class and should be kept in sync with that.

TCefCompositionUnderlineDynArray uCEFTypes

TCefCompositionUnderlineStyle uCEFTypes

Composition underline style.

TCefContentSettingTypes uCEFTypes

Supported content setting types. Some types are platform-specific or only supported with Chrome style. Should be kept in sync with Chromium's ContentSettingsType type.

TCefContentSettingValues uCEFTypes

Supported content setting values. Should be kept in sync with Chromium's ContentSetting type.

TCefContextMenuEditStateFlags uCEFTypes

Supported context menu edit state bit flags. These constants match their equivalents in Chromium's ContextMenuDataEditFlags and should not be renumbered.

TCefContextMenuHandler uCEFTypes

Implement this structure to handle context menu events. The functions of this structure will be called on the UI thread.

NOTE: This struct is allocated client-side.

TCefContextMenuHandlerOwn uCEFContextMenuHandler

TCefContextMenuMediaStateFlags uCEFTypes

Supported context menu media state bit flags. These constants match their equivalents in Chromium's ContextMenuData::MediaFlags and should not be renumbered.

TCefContextMenuMediaType uCEFTypes

Supported context menu media types. These constants match their equivalents in Chromium's ContextMenuDataMediaType and should not be renumbered.

TCefContextMenuParams uCEFTypes

Provides information about the context menu state. The functions of this structure can only be accessed on browser process the UI thread.

NOTE: This struct is allocated DLL-side.

TCefContextMenuParamsRef uCEFContextMenuParams

TCefContextMenuTypeFlags uCEFTypes

Supported context menu type flags.

TCefCookie uCEFTypes

Cookie information.

TCefCookieAccessFilter uCEFTypes

Implement this structure to filter cookies that may be sent or received from resource requests. The functions of this structure will be called on the IO thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

TCefCookieAccessFilterOwn uCEFCookieAccessFilter

TCefCookieAccessFilterRef uCEFCookieAccessFilter

TCefCookieManager uCEFTypes

Structure used for managing cookies. The functions of this structure may be called on any thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

TCefCookieManagerRef uCEFCookieManager

TCefCookiePref uCEFTypes

Used in TChromium preferences to allow or block cookies.

TCefCookiePriority uCEFTypes

Cookie priority values.

TCefCookieSameSite uCEFTypes

Cookie same site values.

TCefCookieVisitor uCEFTypes

Structure to implement for visiting cookie values. The functions of this structure will always be called on the UI thread.

NOTE: This struct is allocated client-side.

TCefCookieVisitorOwn uCEFCookieVisitor

TCefCookieVisitorProc uCEFInterfaces

TCefCreateCustomViewTask uCEFTask

TCefCursorHandle uCEFTypes

Native Cursor handle.

TCefCursorInfo uCEFTypes

Structure representing cursor information. |buffer| will be |size.width|*|size.height|*4 bytes in size and represents a BGRA image with an upper-left origin.

TCefCursorType uCEFTypes

Cursor type values.

TCefCustomBrowserProcessHandler uCEFBrowserProcessHandler

TCefCustomByteArray uCEFTypes

Array of byte. Needed only for backwards compatibility with old Delphi versions.

TCefCustomCompletionCallback uCEFCompletionCallback

TCefCustomCookieVisitor uCEFCookieVisitor

TCefCustomDeleteCookiesCallback uCEFDeleteCookiesCallback

TCefCustomDownloadImageCallback uCEFDownloadImageCallBack

TCefCustomInt64Array uCEFTypes

Custom array of int64.

TCefCustomMediaRouteCreateCallback uCEFMediaRouteCreateCallback

TCefCustomMediaSinkDeviceInfoCallback uCEFMediaSinkDeviceInfoCallback

TCefCustomPDFPrintCallBack uCEFPDFPrintCallback

TCefCustomRenderProcessHandler uCEFRenderProcessHandler

TCefCustomResolveCallback uCEFResolveCallback

TCefCustomResourceBundleHandler uCEFResourceBundleHandler

TCefCustomSetCookieCallback uCEFSetCookieCallback

TCefCustomStreamReader uCEFCustomStreamReader

TCefCustomStringList uCEFStringList

CEF string maps are a set of key/value string pairs.

TCefCustomStringMap uCEFStringMap

CEF string maps are a set of key/value string pairs.

TCefCustomStringMultimap uCEFStringMultimap

CEF string multimaps are a set of key/value string pairs. More than one value can be assigned to a single key.

TCefCustomUserData uCEFv8Handler

TCefDeleteCookiesCallback uCEFTypes

Structure to implement to be notified of asynchronous completion via ICefCookieManager.DeleteCookies().

NOTE: This struct is allocated client-side.

TCefDeleteCookiesCallbackOwn uCEFDeleteCookiesCallback

TCefDeleteCookiesCallbackProc uCEFInterfaces

TCefDevToolsMessageObserver uCEFTypes

Callback structure for ICefBrowserHost.AddDevToolsMessageObserver. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

TCEFDevToolsMessageObserverOwn uCEFDevToolsMessageObserver

TCefDialogHandler uCEFTypes

Implement this structure to handle dialog events. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

TCefDialogHandlerOwn uCEFDialogHandler

TCEFDialogType uCEFTypes

Used by TCEFFileDialogInfo.

TCefDictionaryValue uCEFTypes

Structure representing a dictionary value. Can be used on any process and thread.

NOTE: This struct is allocated DLL-side.

TCefDictionaryValueRef uCEFDictionaryValue

TCEFDirectoryDeleterThread uCEFApplication

TCEFDirectoryDeleterThread uCEFApplicationCore

TCefDisplay uCEFTypes

This structure typically, but not always, corresponds to a physical display connected to the system. A fake Display may exist on a headless system, or a Display may correspond to a remote, virtual display. All size and position values are in density independent pixel (DIP) coordinates unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

TCefDisplayArray uCEFInterfaces

TCefDisplayHandler uCEFTypes

Implement this structure to handle events related to browser display state. The functions of this structure will be called on the UI thread.

NOTE: This struct is allocated client-side.

TCefDisplayHandlerOwn uCEFDisplayHandler

Event handler related to browser display state. The functions of this interface will be called on the UI thread.

TCefDisplayRef uCEFDisplay

This interface typically, but not always, corresponds to a physical display connected to the system. A fake Display may exist on a headless system, or a Display may correspond to a remote, virtual display. All size and position values are in density independent pixel (DIP) coordinates unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

For details on coordinate systems and usage see https://bitbucket.org/chromiumembedded/cef/wiki/GeneralUsage#markdown- header-coordinate-systems

TCefDockingMode uCEFTypes

Docking modes supported by ICefWindow.AddOverlay.

TCefDomDocument uCEFTypes

Structure used to represent a DOM document. The functions of this structure should only be called on the render process main thread thread.

NOTE: This struct is allocated DLL-side.

TCefDomDocumentRef uCEFDomDocument

TCefDomDocumentType uCEFTypes

DOM document types.

TCefDomEventCategory uCEFTypes

DOM event category flags.

TCefDomEventPhase uCEFTypes

DOM event processing phases.

TCefDomFormControlType uCEFTypes

DOM form control types. Should be kept in sync with Chromium's blink::mojom::FormControlType type.

TCefDomNode uCEFTypes

Structure used to represent a DOM node. The functions of this structure should only be called on the render process main thread.

NOTE: This struct is allocated DLL-side.

TCefDomNodeRef uCEFDomNode

TCefDomNodeType uCEFTypes

DOM node types.

TCefDomVisitor uCEFTypes

Structure to implement for visiting the DOM. The functions of this structure will be called on the render process main thread.

NOTE: This struct is allocated client-side.

TCefDomVisitorOwn uCEFDomVisitor

TCefDomVisitorProc uCEFInterfaces

TCefDomVisitorProc2 uCEFInterfaces

TCefDomVisitorProc3 uCEFInterfaces

TCefDownloadHandler uCEFTypes

Structure used to handle file downloads. The functions of this structure will called on the browser process UI thread.

NOTE: This struct is allocated client-side.

TCefDownloadHandlerOwn uCEFDownloadHandler

TCefDownloadImageCallback uCEFTypes

Callback structure for ICefBrowserHost.DownloadImage. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

TCefDownloadImageCallbackOwn uCEFDownloadImageCallBack

TCefDownloadInterruptReason uCEFTypes

Download interrupt reasons. Should be kept in sync with Chromium's download::DownloadInterruptReason type.

TCefDownloadItem uCEFTypes

Structure used to represent a download item.

NOTE: This struct is allocated DLL-side.

TCefDownloadItemCallback uCEFTypes

Callback structure used to asynchronously cancel a download.

NOTE: This struct is allocated DLL-side.

TCefDownloadItemCallbackRef uCEFDownloadItemCallback

TCefDownloadItemRef uCEFDownloadItem

TCEFDragAndDropMgr uCEFDragAndDropMgr

TCefDragData uCEFTypes

Structure used to represent drag data. The functions of this structure may be called on any thread.

NOTE: This struct is allocated DLL-side.

TCefDragDataRef uCEFDragData

TCefDraggableRegion uCEFTypes

Structure representing a draggable region.

TCefDraggableRegionArray uCEFTypes

TCefDragHandler uCEFTypes

Implement this structure to handle events related to dragging. The functions of this structure will be called on the UI thread.

NOTE: This struct is allocated client-side.

TCefDragHandlerOwn uCEFDragHandler

TCefDragOperation uCEFTypes

TCefDragOperations uCEFTypes

"Verb" of a drag-and-drop operation as negotiated between the source and destination. These constants match their equivalents in WebCore's DragActions.h and should not be renumbered.

TCefDuplexMode uCEFTypes

Print job duplex mode values.

TCefEditingCommand uCEFTypes

Blink editing commands used by the "Input.dispatchKeyEvent" DevTools method.

TCefEnableFocusTask uCEFTask

TCefEndTracingCallback uCEFTypes

Implement this structure to receive notification when tracing has completed. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

TCefEndTracingCallbackOwn uCEFEndTracingCallback

TCefEndTracingCallbackProc uCEFInterfaces

* ******************************************* **** Callback procedures and functions **** ******************************************* *
TCefErrorCode uCEFTypes

Supported error code values.

Ranges:
    0- 99 System related errors
  100-199 Connection related errors
  200-299 Certificate errors
  300-399 HTTP errors
  400-499 Cache errors
  500-599 ?
  600-699 <Obsolete: FTP errors>
  700-799 Certificate manager errors
  800-899 DNS resolver errors
  900-999 Blob errors
TCefEventCompletionCallback uCEFCompletionCallback

TCefEventFlags uCEFTypes

Supported event bit flags.

TCefEventHandle uCEFTypes

Native event handle.

TCefFastCompletionCallback uCEFCompletionCallback

TCefFastCookieVisitor uCEFCookieVisitor

TCefFastDeleteCookiesCallback uCEFDeleteCookiesCallback

TCefFastDomVisitor uCEFDomVisitor

TCefFastDomVisitor2 uCEFDomVisitor

TCefFastDomVisitor3 uCEFDomVisitor

TCefFastDownloadImageCallback uCEFDownloadImageCallBack

TCefFastEndTracingCallback uCEFEndTracingCallback

TCefFastMediaRouteCreateCallback uCEFMediaRouteCreateCallback

TCefFastMediaSinkDeviceInfoCallback uCEFMediaSinkDeviceInfoCallback

TCefFastNavigationEntryVisitor uCEFNavigationEntryVisitor

TCefFastPdfPrintCallback uCEFPDFPrintCallback

TCefFastRunFileDialogCallback uCEFRunFileDialogCallback

TCefFastSetCookieCallback uCEFSetCookieCallback

TCefFastStringVisitor uCEFStringVisitor

TCefFastTask uCEFTask

TCefFastTaskProc uCEFInterfaces

TCefFastV8Accessor uCEFv8Accessor

TCefFastv8ArrayBufferReleaseCallback uCEFv8ArrayBufferReleaseCallback

TCefFastV8Interceptor uCEFv8Interceptor

TCefFileDialogCallback uCEFTypes

Callback structure for asynchronous continuation of file dialog requests.

NOTE: This struct is allocated DLL-side.

TCefFileDialogCallbackRef uCEFFileDialogCallback

TCEFFileDialogInfo uCEFFileDialogInfo

TCefFileDialogMode uCEFTypes

Supported file dialog modes.

TCefFillLayout uCEFTypes

A simple Layout that causes the associated Panel's one child to be sized to match the bounds of its parent. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

TCefFillLayoutRef uCEFFillLayout

A simple Layout that causes the associated Panel's one child to be sized to match the bounds of its parent. Methods must be called on the browser process UI thread unless otherwise indicated.

TCefFindHandler uCEFTypes

Implement this structure to handle events related to find results. The functions of this structure will be called on the UI thread.

NOTE: This struct is allocated client-side.

TCefFindHandlerOwn uCEFFindHandler

TCefFlushStoreCompletionCallback uCEFCookieManager

TCefFocusHandler uCEFTypes

Implement this structure to handle events related to focus. The functions of this structure will be called on the UI thread.

NOTE: This struct is allocated client-side.

TCefFocusHandlerOwn uCEFFocusHandler

TCefFocusSource uCEFTypes

Focus sources.

TCefFrame uCEFTypes

Structure used to represent a frame in the browser window. When used in the browser process the functions of this structure may be called on any thread unless otherwise indicated in the comments. When used in the render process the functions of this structure may only be called on the main thread.

NOTE: This struct is allocated DLL-side.

TCefFrameHandler uCEFTypes

Implement this STRUCTURE to handle events related to ICefFrame life span. The order of callbacks is:

(1) During initial ICefBrowserHost creation and navigation of the main frame: - ICefFrameHandler.OnFrameCreated => The initial main frame object has been created. Any commands will be queued until the frame is attached. - ICefFrameHandler.OnMainFrameChanged => The initial main frame object has been assigned to the browser. - ICefLifeSpanHandler.OnAfterCreated => The browser is now valid and can be used. - ICefFrameHandler.OnFrameAttached => The initial main frame object is now connected to its peer in the renderer process. Commands can be routed.

(2) During further ICefBrowserHost navigation/loading of the main frame and/or sub-frames: - ICefFrameHandler.OnFrameCreated => A new main frame or sub-frame object has been created. Any commands will be queued until the frame is attached. - ICefFrameHandler.OnFrameAttached => A new main frame or sub-frame object is now connected to its peer in the renderer process. Commands can be routed. - ICefFrameHandler.OnFrameDetached => An existing main frame or sub- frame object has lost its connection to the renderer process. If multiple objects are detached at the same time then notifications will be sent for any sub-frame objects before the main frame object. Commands can no longer be routed and will be discarded. - ICefFrameHandler.OnMainFrameChanged => A new main frame object has been assigned to the browser. This will only occur with cross-origin navigation or re-navigation after renderer process termination (due to crashes, etc).

(3) During final ICefBrowserHost destruction of the main frame: - ICefFrameHandler.OnFrameDetached => Any sub-frame objects have lost their connection to the renderer process. Commands can no longer be routed and will be discarded. - ICefLifeSpanHandler.OnBeforeClose => The browser has been destroyed. - ICefFrameHandler.OnFrameDetached => The main frame object have lost its connection to the renderer process. Notifications will be sent for any sub-frame objects before the main frame object. Commands can no longer be routed and will be discarded. - ICefFrameHandler.OnMainFrameChanged => The final main frame object has been removed from the browser.

Cross-origin navigation and/or loading receives special handling.

When the main frame navigates to a different origin the OnMainFrameChanged callback (2) will be executed with the old and new main frame objects.

When a new sub-frame is loaded in, or an existing sub-frame is navigated to, a different origin from the parent frame, a temporary sub-frame object will first be created in the parent's renderer process. That temporary sub-frame will then be discarded after the real cross-origin sub-frame is created in the new/target renderer process. The client will receive cross-origin navigation callbacks (2) for the transition from the temporary sub-frame to the real sub-frame. The temporary sub-frame will not recieve or execute commands during this transitional period (any sent commands will be discarded).

When a new popup browser is created in a different origin from the parent browser, a temporary main frame object for the popup will first be created in the parent's renderer process. That temporary main frame will then be discarded after the real cross-origin main frame is created in the new/target renderer process. The client will recieve creation and initial navigation callbacks (1) for the temporary main frame, followed by cross- origin navigation callbacks (2) for the transition from the temporary main frame to the real main frame. The temporary main frame may receive and execute commands during this transitional period (any sent commands may be executed, but the behavior is potentially undesirable since they execute in the parent browser's renderer process and not the new/target renderer process).

Callbacks will not be executed for placeholders that may be created during pre-commit navigation for sub-frames that do not yet exist in the renderer process. Placeholders will have ICefFrame.GetIdentifier() == -4.

The functions of this interface will be called on the UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

TCefFrameHandlerOwn uCEFFrameHandler

TCefFrameRef uCEFFrame

TCefGenericTask uCEFTask

TCefGestureCommand uCEFTypes

Specifies the gesture commands.

TCefHighEfficiencyModeState uCEFTypes

Values used by the high efficiency mode state preference.

TCefHorizontalAlignment uCEFTypes

Specifies the horizontal text alignment mode.

TCefImage uCEFTypes

Container for a single image represented at different scale factors. All image representations should be the same size in density independent pixel (DIP) units. For example, if the image at scale factor 1.0 is 100x100 pixels then the image at scale factor 2.0 should be 200x200 pixels – both images will display with a DIP size of 100x100 units. The functions of this structure can be called on any browser process thread.

NOTE: This struct is allocated DLL-side.

TCefImageRef uCEFImage

TCefInsets uCEFTypes

Structure representing insets.

TCefJsDialogCallback uCEFTypes

Callback structure used for asynchronous continuation of JavaScript dialog requests.

NOTE: This struct is allocated DLL-side.

TCefJsDialogCallbackRef uCEFJsDialogCallback

TCefJsDialogHandler uCEFTypes

Implement this structure to handle events related to JavaScript dialogs. The functions of this structure will be called on the UI thread.

NOTE: This struct is allocated client-side.

TCefJsDialogHandlerOwn uCEFJsDialogHandler

TCefJsDialogType uCEFTypes

Supported JavaScript dialog types.

TCEFJson uCEFJson

TCefJsonParserOptions uCEFTypes

Options that can be passed to CefParseJSON.

TCefJsonWriterOptions uCEFTypes

Options that can be passed to CefWriteJSON.

TCefKeyboardHandler uCEFTypes

Implement this structure to handle events related to keyboard input. The functions of this structure will be called on the UI thread.

NOTE: This struct is allocated client-side.

TCefKeyboardHandlerOwn uCEFKeyboardHandler

TCefKeyEvent uCEFTypes

Structure representing keyboard event information.

TCefKeyEventType uCEFTypes

Notification that a character was typed. Use this for text input. Key down events may generate 0, 1, or more than one character event depending on the key, locale, and operating system.

TCefKeyLocation uCEFTypes

Key location value used in the TChromiumCore.dispatchKeyEvent DevTools method.

TCefLabelButton uCEFTypes

LabelButton is a button with optional text and/or icon. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

TCEFLabelButtonComponent uCEFLabelButtonComponent

TCefLabelButtonRef uCEFLabelButton

LabelButton is a button with optional text and/or icon. Methods must be called on the browser process UI thread unless otherwise indicated.

TCefLayout uCEFTypes

A Layout handles the sizing of the children of a Panel according to implementation-specific heuristics. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

TCefLayoutRef uCEFLayout

A Layout handles the sizing of the children of a Panel according to implementation-specific heuristics. Methods must be called on the browser process UI thread unless otherwise indicated.

TCefLifeSpanHandler uCEFTypes

Implement this structure to handle events related to browser life span. The functions of this structure will be called on the UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

TCefLifeSpanHandlerOwn uCEFLifeSpanHandler

TCEFLinkedWinControlBase uCEFLinkedWinControlBase

TCEFLinkedWinControlBase is a custom TWinControl to host the child controls created by the web browser to show the web contents and it's linked to the TChromium instance that handles that web browser. TCEFLinkedWinControlBase is the parent class of TChromiumWindow, TBrowserWindow and TCEFLinkedWindowParent.

TCEFLinkedWindowParent uCEFLinkedWindowParent

This component can be used by VCL and LCL applications. It has the same purpose as TCEFWindowParent but it has a Chromium property to link it directly to a TChromium component. TCEFLinkedWindowParent resizes the child controls created by CEF for browsers in normal mode and sets the browser focus using the linked TChromium component. TCEFWindowParent and TCEFLinkedWindowParent work fine in Windows and you can used any of them but you can't use TCEFWindowParent in Linux or MacOS.

TCefLinuxWindowProperties uCEFTypes

Linux window properties, such as X11's WM_CLASS or Wayland's app_id. Those are passed to CefWindowDelegate, so the client can set them for the CefWindow's top-level. Thus, allowing window managers to correctly display the application's information (e.g., icons).

TCefListValue uCEFTypes

Structure representing a list value. Can be used on any process and thread.

NOTE: This struct is allocated DLL-side.

TCefListValueRef uCEFListValue

TCefLoadHandler uCEFTypes

Implement this structure to handle events related to browser load status. The functions of this structure will be called on the browser process UI thread or render process main thread (TID_RENDERER).

NOTE: This struct is allocated client-side.

TCefLoadHandlerOwn uCEFLoadHandler

TCefLogItems uCEFTypes

Log items prepended to each log line.

TCefLogSeverity uCEFTypes

Log severity levels.

TCefMainArgs uCEFTypes

Structure representing CefExecuteProcess arguments.

TCefManagedTask uCEFTask

Custom class used to execute CEF tasks with CEF4Delphi components.

TCefMediaAccessCallback uCEFTypes

Callback structure used for asynchronous continuation of media access permission requests.

NOTE: This struct is allocated DLL-side.

TCefMediaAccessCallbackRef uCEFMediaAccessCallback

TCefMediaAccessPermissionTypes uCEFTypes

Media access permissions used by OnRequestMediaAccessPermission.

TCefMediaObserver uCEFTypes

Implemented by the client to observe MediaRouter events and registered via ICefMediaRouter.AddObserver. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

TCefMediaObserverOwn uCEFMediaObserver

TCefMediaRoute uCEFTypes

Represents the route between a media source and sink. Instances of this object are created via ICefMediaRouter.CreateRoute and retrieved via ICefMediaObserver.OnRoutes. Contains the status and metadata of a routing operation. The functions of this structure may be called on any browser process thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

TCefMediaRouteArray uCEFInterfaces

TCefMediaRouteConnectionState uCEFTypes

Connection state for a MediaRoute object. Should be kept in sync with Chromium's blink::mojom::PresentationConnectionState type.

TCefMediaRouteCreateCallback uCEFTypes

Callback structure for ICefMediaRouter.CreateRoute. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

TCefMediaRouteCreateCallbackOwn uCEFMediaRouteCreateCallback

TCefMediaRouteCreateCallbackProc uCEFInterfaces

TCefMediaRouteInfo uCEFInterfaces

Custom record with media route information.

TCefMediaRouteInfoArray uCEFInterfaces

TCefMediaRouter uCEFTypes

Supports discovery of and communication with media devices on the local network via the Cast and DIAL protocols. The functions of this structure may be called on any browser process thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

TCefMediaRouterCreateResult uCEFTypes

Result codes for ICefMediaRouter.CreateRoute. Should be kept in sync with Chromium's media_router::mojom::RouteRequestResultCode type.

TCefMediaRouteRef uCEFMediaRoute

TCefMediaRouterRef uCEFMediaRouter

TCefMediaSink uCEFTypes

Represents a sink to which media can be routed. Instances of this object are retrieved via ICefMediaObserver.OnSinks. The functions of this structure may be called on any browser process thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

TCefMediaSinkArray uCEFInterfaces

TCefMediaSinkDeviceInfo uCEFTypes

Device information for a MediaSink object. handler.

TCefMediaSinkDeviceInfoCallback uCEFTypes

Callback structure for ICefMediaSink.GetDeviceInfo. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

TCefMediaSinkDeviceInfoCallbackOwn uCEFMediaSinkDeviceInfoCallback

TCefMediaSinkDeviceInfoCallbackProc uCEFInterfaces

TCefMediaSinkIconType uCEFTypes

Icon types for a MediaSink object. Should be kept in sync with Chromium's media_router::SinkIconType type.

TCefMediaSinkInfo uCEFInterfaces

Custom record with media sink information.

TCefMediaSinkInfoArray uCEFInterfaces

TCefMediaSinkRef uCEFMediaSink

TCefMediaSource uCEFTypes

Represents a source from which media can be routed. Instances of this object are retrieved via ICefMediaRouter.GetSource. The functions of this structure may be called on any browser process thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

TCefMediaSourceInfo uCEFInterfaces

Custom record with media source information.

TCefMediaSourceInfoArray uCEFInterfaces

TCefMediaSourceRef uCEFMediaSource

TCefMediaType uCEFTypes

Used by TCefMediaSinkInfo and TCefMediaSourceInfo.

TCefMenuAnchorPosition uCEFTypes

Specifies how a menu will be anchored for non-RTL languages. The opposite position will be used for RTL languages.

TCefMenuButton uCEFTypes

MenuButton is a button with optional text, icon and/or menu marker that shows a menu when clicked with the left mouse button. All size and position values are in density independent pixels (DIP) unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

TCEFMenuButtonComponent uCEFMenuButtonComponent

TCefMenuButtonDelegate uCEFTypes

Implement this structure to handle MenuButton events. The functions of this structure will be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

TCefMenuButtonDelegateOwn uCEFMenuButtonDelegate

Implement this interface to handle MenuButton events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

TCefMenuButtonDelegateRef uCEFMenuButtonDelegate

TCefMenuButtonPressedLock uCEFTypes

MenuButton pressed lock is released when this object is destroyed.

NOTE: This struct is allocated DLL-side.

TCefMenuButtonPressedLockRef uCEFMenuButtonPressedLock

MenuButton pressed lock is released when this object is destroyed.

TCefMenuButtonRef uCEFMenuButton

MenuButton is a button with optional text, icon and/or menu marker that shows a menu when clicked with the left mouse button. All size and position values are in density independent pixels (DIP) unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

TCefMenuColorType uCEFTypes

Supported color types for menu items.

TCefMenuId uCEFTypes

Supported menu IDs. Non-English translations can be provided for the IDS_MENU_* strings in ICefResourceBundleHandler.GetLocalizedString().

TCefMenuItemType uCEFTypes

Supported menu item types.

TCefMenuModel uCEFTypes

Supports creation and modification of menus. See TCefMenuId (cef_menu_id_t) for the command ids that have default implementations. All user-defined command ids should be between MENU_ID_USER_FIRST and MENU_ID_USER_LAST. The functions of this structure can only be accessed on the browser process the UI thread.

NOTE: This struct is allocated DLL-side.

TCefMenuModelDelegate uCEFTypes

Implement this structure to handle menu model events. The functions of this structure will be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

TCefMenuModelDelegateOwn uCEFMenuModelDelegate

TCefMenuModelRef uCEFMenuModel

TCefMessageLoopType uCEFTypes

Flags used to customize the behavior of CefURLRequest.

TCefMouseButtonType uCEFTypes

Mouse button types.

TCefMouseEvent uCEFTypes

Structure representing mouse event information.

TCefNavigationEntry uCEFTypes

Structure used to represent an entry in navigation history.

NOTE: This struct is allocated DLL-side.

TCefNavigationEntryRef uCEFNavigationEntry

TCefNavigationEntryVisitor uCEFTypes

Callback structure for ICefBrowserHost.GetNavigationEntries. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

TCefNavigationEntryVisitorOwn uCEFNavigationEntryVisitor

TCefNavigationEntryVisitorProc uCEFInterfaces

TCefNavigationType uCEFTypes

Navigation types.

TCefNetLogCaptureMode uCEFTypes

Values used by the –net-log-capture-mode command line switch. Sets the granularity of events to capture in the network log.

TCEFOAuth2Helper uCEFOAuth2Helper

TCEFOSRIMEHandler uCEFOSRIMEHandler

Class used to handle the IME window.

TCefOverlayController uCEFTypes

Controller for an overlay that contains a contents View added via ICefWindow.AddOverlayView. Methods exposed by this controller should be called in preference to functions of the same name exposed by the contents View unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

TCefOverlayControllerRef uCEFOverlayController

Controller for an overlay that contains a contents View added via ICefWindow.AddOverlayView. Methods exposed by this controller should be called in preference to functions of the same name exposed by the contents View unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

TCefPaintElementType uCEFTypes

Paint element types.

TCefPanel uCEFTypes

A Panel is a container in the views hierarchy that can contain other Views as children. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

TCEFPanelComponent uCEFPanelComponent

TCefPanelDelegate uCEFTypes

Implement this structure to handle Panel events. The functions of this structure will be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

TCefPanelDelegateOwn uCEFPanelDelegate

Implement this interface to handle Panel events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

TCefPanelDelegateRef uCEFPanelDelegate

TCefPanelRef uCEFPanel

A Panel is a container in the views hierarchy that can contain other Views as children. Methods must be called on the browser process UI thread unless otherwise indicated.

TCefPathKey uCEFTypes

Process termination status values.

TCefPdfPrintCallback uCEFTypes

Callback structure for ICefBrowserHost.PrintToPDF. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

TCefPdfPrintCallbackOwn uCEFPDFPrintCallback

TCefPdfPrintMarginType uCEFTypes

Margin type for PDF printing.

TCefPdfPrintSettings uCEFTypes

Structure representing PDF print settings. These values match the parameters supported by the DevTools Page.printToPDF function. See https://chromedevtools.github.io/devtools-protocol/tot/Page/#method-printToPDF

TCefPermissionHandler uCEFTypes

Implement this structure to handle events related to permission requests. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

TCefPermissionHandlerOwn uCEFPermissionHandler

TCefPermissionPromptCallback uCEFTypes

Callback structure used for asynchronous continuation of permission prompts.

NOTE: This struct is allocated DLL-side.

TCefPermissionPromptCallbackRef uCEFPermissionPromptCallback

TCefPermissionRequestResult uCEFTypes

Permission request results.

TCefPermissionRequestTypes uCEFTypes

Permission types used with OnShowPermissionPrompt. Some types are platform-specific or only supported with Chrome style. Should be kept in sync with Chromium's permissions::RequestType type.

TCefPlatformThreadHandle uCEFTypes

Platform thread handle.

TCefPlatformThreadId uCEFTypes

Platform thread ID.

TCefPoint uCEFTypes

Structure representing a point.

TCefPointerType uCEFTypes

The device type that caused the event.

TCefPopupFeatures uCEFTypes

Popup window features.

TCefPostData uCEFTypes

Structure used to represent post data for a web request. The functions of this structure may be called on any thread.

NOTE: This struct is allocated DLL-side.

TCefPostDataElement uCEFTypes

Structure used to represent a single element in the request post data. The functions of this structure may be called on any thread.

NOTE: This struct is allocated DLL-side.

TCefPostDataElementArray uCEFInterfaces

TCefPostDataElementOwn uCEFPostDataElement

TCefPostDataElementRef uCEFPostDataElement

TCefPostDataElementType uCEFTypes

Post data elements may represent either bytes or files.

TCefPostDataRef uCEFPostData

TCefPreferenceManager uCEFTypes

Manage access to preferences. Many built-in preferences are registered by Chromium. Custom preferences can be registered in ICefBrowserProcessHandler.OnRegisterCustomPreferences.

NOTE: This struct is allocated DLL-side.

TCefPreferenceManagerRef uCEFPreferenceManager

Manage access to preferences. Many built-in preferences are registered by Chromium. Custom preferences can be registered in ICefBrowserProcessHandler.OnRegisterCustomPreferences.

TCefPreferenceObserver uCEFTypes

* CEF_API_ADDED(13401) *
TCefPreferenceRegistrar uCEFTypes

Structure that manages custom preference registrations.

NOTE: This struct is allocated DLL-side.

TCefPreferenceRegistrarRef uCEFPreferenceRegistrar

Class that manages custom preference registrations.

TCefPreferencesType uCEFTypes

Preferences type passed to ICefBrowserProcessHandler.OnRegisterCustomPreferences.

TCefPrintDialogCallback uCEFTypes

Callback structure for asynchronous continuation of print dialog requests.

NOTE: This struct is allocated DLL-side.

TCefPrintDialogCallbackRef uCEFPrintDialogCallback

TCefPrintHandler uCEFTypes

Implement this structure to handle printing on Linux. Each browser will have only one print job in progress at a time. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

TCefPrintHandlerOwn uCEFPrintHandler

TCefPrintJobCallback uCEFTypes

Callback structure for asynchronous continuation of print job requests.

NOTE: This struct is allocated DLL-side.

TCefPrintJobCallbackRef uCEFPrintJobCallback

TCefPrintSettings uCEFTypes

Structure representing print settings.

NOTE: This struct is allocated DLL-side.

TCefPrintSettingsRef uCEFPrintSettings

TCefProcessId uCEFTypes

Existing process IDs.

TCefProcessMessage uCEFTypes

Structure representing a message. Can be used on any process and thread.

NOTE: This struct is allocated DLL-side.

TCefProcessMessageRef uCEFProcessMessage

TCefProcessType uCEFTypes

Sub-process types of Chromium.

TCefProxyScheme uCEFTypes

Supported proxy schemes in Chromium.

TCEFProxySettings uCEFApplicationCore

Class used by the TWVLoader.ProxySettigns property to configure a custom proxy server using the following command line switches: –no-proxy-server, –proxy-auto-detect, –proxy-bypass-list, –proxy-pac-url and –proxy-server.

TCefQuickMenuEditStateFlags uCEFTypes

Supported quick menu state bit flags.

TCefRange uCEFTypes

Structure representing a range.

TCefRangeArray uCEFTypes

TCefReadHandler uCEFTypes

Structure the client can implement to provide a custom stream reader. The functions of this structure may be called on any thread.

NOTE: This struct is allocated client-side.

TCefReadZoomTask uCEFTask

TCefRect uCEFTypes

Structure representing a rectangle.

TCefRectArray uCEFTypes

TCefRectDynArray uCEFTypes

TCefReferrerPolicy uCEFTypes

Policy for how the Referrer HTTP header value will be sent during navigation. If the `–no-referrers` command-line flag is specified then the policy value will be ignored and the Referrer value will never be sent. Must be kept synchronized with net::URLRequest::ReferrerPolicy from Chromium.

TCefRegistration uCEFTypes

Generic callback structure used for managing the lifespan of a registration.

NOTE: This struct is allocated DLL-side.

TCefRegistrationRef uCEFRegistration

TCefRenderHandler uCEFTypes

Implement this structure to handle events when window rendering is disabled. The functions of this structure will be called on the UI thread.

NOTE: This struct is allocated client-side.

TCefRenderHandlerOwn uCEFRenderHandler

TCefRenderProcessHandler uCEFTypes

Structure used to implement render process callbacks. The functions of this structure will be called on the render process main thread (TID_RENDERER) unless otherwise indicated.

NOTE: This struct is allocated client-side.

TCefRenderProcessHandlerOwn uCEFRenderProcessHandler

TCefRequest uCEFTypes

Structure used to represent a web request. The functions of this structure may be called on any thread.

NOTE: This struct is allocated DLL-side.

TCefRequestContext uCEFTypes

A request context provides request handling for a set of related browser or URL request objects. A request context can be specified when creating a new browser via the ICefBrowserHost static factory functions or when creating a new URL request via the ICefUrlRequest static factory functions. Browser objects with different request contexts will never be hosted in the same render process. Browser objects with the same request context may or may not be hosted in the same render process depending on the process model. Browser objects created indirectly via the JavaScript window.open function or targeted links will share the same render process and the same request context as the source browser. When running in single-process mode there is only a single render process (the main process) and so all browsers created in single-process mode will share the same request context. This will be the first request context passed into a ICefBrowserHost static factory function and all other request context objects will be ignored.

NOTE: This struct is allocated DLL-side.

TCefRequestContextHandler uCEFTypes

Implement this structure to provide handler implementations. The handler instance will not be released until all objects related to the context have been destroyed.

NOTE: This struct is allocated client-side.

TCefRequestContextHandlerOwn uCEFRequestContextHandler

TCefRequestContextHandlerRef uCEFRequestContextHandler

TCefRequestContextRef uCEFRequestContext

A request context provides request handling for a set of related browser or URL request objects. A request context can be specified when creating a new browser via the cef_browser_host_t static factory functions or when creating a new URL request via the cef_urlrequest_t static factory functions. Browser objects with different request contexts will never be hosted in the same render process. Browser objects with the same request context may or may not be hosted in the same render process depending on the process model. Browser objects created indirectly via the JavaScript window.open function or targeted links will share the same render process and the same request context as the source browser. When running in single-process mode there is only a single render process (the main process) and so all browsers created in single-process mode will share the same request context. This will be the first request context passed into a cef_browser_host_t static factory function and all other request context objects will be ignored.

TCefRequestContextSettings uCEFTypes

Request context initialization settings. Specify NULL or 0 to get the recommended default values.

TCefRequestHandler uCEFTypes

Implement this structure to handle events related to browser requests. The functions of this structure will be called on the thread indicated.

NOTE: This struct is allocated client-side.

TCefRequestHandlerOwn uCEFRequestHandler

TCefRequestRef uCEFRequest

TCefResolveCallback uCEFTypes

Callback structure for ICefRequestContext.ResolveHost.

NOTE: This struct is allocated client-side.

TCefResolveCallbackOwn uCEFResolveCallback

TCefResourceBundle uCEFTypes

Structure used for retrieving resources from the resource bundle (*.pak) files loaded by CEF during startup or via the ICefResourceBundleHandler returned from ICefApp.GetResourceBundleHandler. See TCefSettings for additional options related to resource bundle loading. The functions of this structure may be called on any thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

TCefResourceBundleHandler uCEFTypes

Structure used to implement a custom resource bundle structure. See TCefSettings for additional options related to resource bundle loading. The functions of this structure may be called on multiple threads.

NOTE: This struct is allocated client-side.

TCefResourceBundleHandlerOwn uCEFResourceBundleHandler

TCefResourceBundleRef uCEFResourceBundle

TCefResourceHandler uCEFTypes

Structure used to implement a custom request handler structure. The functions of this structure will be called on the IO thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

TCefResourceHandlerClass uCEFResourceHandler

TCefResourceHandlerOwn uCEFResourceHandler

TCefResourceHandlerRef uCEFResourceHandler

TCefResourceReadCallback uCEFTypes

Callback for asynchronous continuation of ICefResourceHandler.read().

NOTE: This struct is allocated DLL-side.

TCefResourceReadCallbackRef uCEFResourceReadCallback

TCefResourceRequestHandler uCEFTypes

Implement this structure to handle events related to browser requests. The functions of this structure will be called on the IO thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

TCefResourceRequestHandlerOwn uCEFResourceRequestHandler

TCefResourceRequestHandlerRef uCEFResourceRequestHandler

TCefResourceSkipCallback uCEFTypes

Callback for asynchronous continuation of ICefResourceHandler.skip().

NOTE: This struct is allocated DLL-side.

TCefResourceSkipCallbackRef uCEFResourceSkipCallback

TCefResourceType uCEFTypes

Resource type for a request. These constants match their equivalents in Chromium's ResourceType and should not be renumbered.

TCefResponse uCEFTypes

Structure used to represent a web response. The functions of this structure may be called on any thread.

NOTE: This struct is allocated DLL-side.

TCefResponseFilter uCEFTypes

Implement this structure to filter resource response content. The functions of this structure will be called on the browser process IO thread.

NOTE: This struct is allocated client-side.

TCefResponseFilterOwn uCEFResponseFilter

Owned class implementing a resource filter.

TCefResponseFilterRef uCEFResponseFilter

Reference class implementing a resource filter.

TCefResponseFilterStatus uCEFTypes

Return values for ICefResponseFilter.Filter().

TCefResponseRef uCEFResponse

TCefResultCode uCEFTypes

Process result codes. This is not a comprehensive list, as result codes might also include platform-specific crash values (Posix signal or Windows hardware exception), or internal-only implementation values.

TCefReturnValue uCEFTypes

Return value types.

TCefRunContextMenuCallback uCEFTypes

Callback structure used for continuation of custom context menu display.

NOTE: This struct is allocated DLL-side.

TCefRunContextMenuCallbackRef uCEFRunContextMenuCallback

TCefRunFileDialogCallback uCEFTypes

Callback structure for ICefBrowserHost.RunFileDialog. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

TCefRunFileDialogCallbackOwn uCEFRunFileDialogCallback

TCefRunFileDialogCallbackProc uCEFInterfaces

TCefRunQuickMenuCallback uCEFTypes

Callback structure used for continuation of custom quick menu display.

NOTE: This struct is allocated DLL-side.

TCefRunQuickMenuCallbackRef uCEFRunQuickMenuCallback

TCefRuntimeStyle uCEFTypes

CEF supports both a Chrome runtime style (based on the Chrome UI layer) and an Alloy runtime style (based on the Chromium content layer). Chrome style provides the full Chrome UI and browser functionality whereas Alloy style provides less default browser functionality but adds additional client callbacks and support for windowless (off-screen) rendering. The style type is individually configured for each window/browser at creation time and different styles can be mixed during runtime. For additional comparative details on runtime styles see https://bitbucket.org/chromiumembedded/cef/wiki/Architecture.md#markdown-header-cef3

Windowless rendering will always use Alloy style. Windowed rendering with a default window or client-provided parent window can configure the style via TCefWindowInfo.runtime_style. Windowed rendering with the Views framework can configure the style via ICefWindowDelegate.GetWindowRuntimeStyle and ICefBrowserViewDelegate.GetBrowserRuntimeStyle. Alloy style Windows with the Views framework can host only Alloy style BrowserViews but Chrome style Windows can host both style BrowserViews. Additionally, a Chrome style Window can host at most one Chrome style BrowserView but potentially multiple Alloy style BrowserViews. See TCefWindowInfo.runtime_style documentation for any additional platform-specific limitations.

TCefSavePrefsTask uCEFTask

TCefScaleFactor uCEFTypes

Supported UI scale factors for the platform. SCALE_FACTOR_NONE is used for density independent resources such as string, html/js files or an image that can be used for any scale factors (such as wallpapers).

TCefSchemeHandlerFactory uCEFTypes

Structure that creates ICefResourceHandler instances for handling scheme requests. The functions of this structure will always be called on the IO thread.

NOTE: This struct is allocated client-side.

TCefSchemeHandlerFactoryOwn uCEFSchemeHandlerFactory

Class that creates ICefResourceHandler instances for handling scheme requests.

TCefSchemeOptions uCEFTypes

Configuration options for registering a custom scheme. These values are used when calling AddCustomScheme.

TCefSchemeRegistrar uCEFTypes

Structure that manages custom scheme registrations.

NOTE: This struct is allocated DLL-side.

TCefSchemeRegistrarRef uCEFSchemeRegistrar

Class that manages custom scheme registrations.

TCefScreenInfo uCEFTypes

Screen information used when window rendering is disabled. This structure is passed as a parameter to ICefRenderHandler.GetScreenInfo and should be filled in by the client.

TCefScrollView uCEFTypes

A ScrollView will show horizontal and/or vertical scrollbars when necessary based on the size of the attached content view. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

TCEFScrollViewComponent uCEFScrollViewComponent

TCefScrollViewRef uCEFScrollView

A ScrollView will show horizontal and/or vertical scrollbars when necessary based on the size of the attached content view. Methods must be called on the browser process UI thread unless otherwise indicated.

TCefSelectClientCertificateCallback uCEFTypes

Callback structure used to select a client certificate for authentication.

NOTE: This struct is allocated DLL-side.

TCefSelectClientCertificateCallbackRef uCEFSelectClientCertificateCallback

TCEFSentinel uCEFSentinel

TCEFSentinel is used as a timer that checks the number of running CEF processes when you close all browsers before shutdown. This component is only used as a last resort when there's an unresolved shutdown issue in CEF or CEF4Delphi that generates exceptions when the application is closed.

TCefServer uCEFTypes

Structure representing a server that supports HTTP and WebSocket requests. Server capacity is limited and is intended to handle only a small number of simultaneous connections (e.g. for communicating between applications on localhost). The functions of this structure are safe to call from any thread in the brower process unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

TCEFServerComponent uCEFServerComponent

The TCEFServerComponent class puts together all CEF server procedures, functions, properties and events in one place.

TCefServerHandler uCEFTypes

Implement this structure to handle HTTP server requests. A new thread will be created for each ICefServer.CreateServer call (the "dedicated server thread"), and the functions of this structure will be called on that thread. It is therefore recommended to use a different ICefServerHandler instance for each ICefServer.CreateServer call to avoid thread safety issues in the ICefServerHandler implementation.

NOTE: This struct is allocated client-side.

TCEFServerHandlerOwn uCEFServerHandler

TCEFServerRef uCEFServer

TCefSetAudioMutedTask uCEFTask

TCefSetCookieCallback uCEFTypes

Structure to implement to be notified of asynchronous completion via ICefCookieManager.SetCookie().

NOTE: This struct is allocated client-side.

TCefSetCookieCallbackOwn uCEFSetCookieCallback

TCefSetCookieCallbackProc uCEFInterfaces

TCefSettingObserver uCEFTypes

* CEF_API_ADDED(13401) *
TCefSettings uCEFTypes

Initialization settings. Specify NULL or 0 to get the recommended default values. Many of these and other settings can also configured using command- line switches.

TCefSetZoomLevelTask uCEFTask

TCefSetZoomPctTask uCEFTask

TCefSetZoomStepTask uCEFTask

TCefSharedMemoryRegion uCEFTypes

Structure that wraps platform-dependent share memory region mapping.

NOTE: This struct is allocated DLL-side.

TCefSharedMemoryRegionRef uCEFSharedMemoryRegion

TCefSharedProcessMessageBuilder uCEFTypes

Structure that builds a ICefProcessMessage containing a shared memory region. This structure is not thread-safe but may be used exclusively on a different thread from the one which constructed it.

NOTE: This struct is allocated DLL-side.

TCefSharedProcessMessageBuilderRef uCEFSharedProcessMessageBuilder

TCefSharedTextureHandle uCEFTypes

Native texture handle.

TCefShowState uCEFTypes

Show states supported by ICefWindowDelegate.GetInitialShowState.

TCefSimulatedMouseButton uCEFTypes

Mouse button in the TChromiumCore.SimulateMouseEvent function.

TCefSimulatedMouseEventType uCEFTypes

Type of mouse event in the TChromiumCore.SimulateMouseEvent function.

TCefSimulatedPointerType uCEFTypes

Pointer type in the TChromiumCore.SimulateMouseEvent function.

TCefSimulatedTouchEventType uCEFTypes

Type of touch event in the TChromiumCore.SimulateTouchEvent function.

TCefSimulatedTouchPoint uCEFTypes

Structure representing a simulated touch point.

TCefSimulatedTouchPointArray uCEFTypes

TCefSize uCEFTypes

Structure representing a size.

TCefSSLContentStatus uCEFTypes

Supported SSL content status flags. See content/public/common/ssl_status.h for more information.

TCefSslInfo uCEFTypes

Structure representing SSL information.

NOTE: This struct is allocated DLL-side.

TCefSslInfoRef uCEFSslInfo

TCefSSLStatus uCEFTypes

Structure representing the SSL information for a navigation entry.

NOTE: This struct is allocated DLL-side.

TCefSSLStatusRef uCEFSSLStatus

TCefSSLVersion uCEFTypes

Supported SSL version values.

TCefState uCEFTypes

Represents the state of a setting.

TCefStorageType uCEFTypes

Storage types.

TCefStreamReader uCEFTypes

Structure used to read data from a stream. The functions of this structure may be called on any thread.

NOTE: This struct is allocated DLL-side.

TCefStreamReaderRef uCEFStreamReader

TCefStreamWriter uCEFTypes

Structure used to write data to a stream. The functions of this structure may be called on any thread.

NOTE: This struct is allocated DLL-side.

TCefStreamWriterRef uCEFStreamWriter

TCefString uCEFTypes

String record used by the CEF C API. The CEF interface is built with the UTF16 string type as the default.

TCefStringList uCEFTypes

CEF string maps are a set of key/value string pairs.

TCefStringListOwn uCEFStringList

TCefStringListRef uCEFStringList

TCefStringMap uCEFTypes

CEF string maps are a set of key/value string pairs.

TCefStringMapOwn uCEFStringMap

TCefStringMapRef uCEFStringMap

TCefStringMultimap uCEFTypes

CEF string multimaps are a set of key/value string pairs. More than one value can be assigned to a single key.

TCefStringMultimapOwn uCEFStringMultimap

TCefStringMultimapRef uCEFStringMultimap

TCefStringUserFree uCEFTypes

TCefStringUserFreeUtf16 uCEFTypes

TCefStringUserFreeUtf8 uCEFTypes

TCefStringUserFreeWide uCEFTypes

TCefStringUtf16 uCEFTypes

CEF utf16 string type definition. Whomever allocates |str| is responsible for providing an appropriate |dtor| implementation that will free the string in the same memory space. When reusing an existing string structure make sure to call |dtor| for the old value before assigning new |str| and |dtor| values. Static strings will have a NULL |dtor| value. Using the below functions if you want this managed for you.

TCefStringUtf8 uCEFTypes

CEF utf8 string type definition. Whomever allocates |str| is responsible for providing an appropriate |dtor| implementation that will free the string in the same memory space. When reusing an existing string structure make sure to call |dtor| for the old value before assigning new |str| and |dtor| values. Static strings will have a NULL |dtor| value. Using the below functions if you want this managed for you.

TCefStringVisitor uCEFTypes

Implement this structure to receive string values asynchronously.

NOTE: This struct is allocated client-side.

TCefStringVisitorOwn uCEFStringVisitor

TCefStringVisitorProc uCEFInterfaces

TCefStringWide uCEFTypes

CEF wide string type definition. Whomever allocates |str| is responsible for providing an appropriate |dtor| implementation that will free the string in the same memory space. When reusing an existing string structure make sure to call |dtor| for the old value before assigning new |str| and |dtor| values. Static strings will have a NULL |dtor| value. Using the below functions if you want this managed for you.

TCefTask uCEFTypes

Implement this structure for asynchronous task execution. If the task is posted successfully and if the associated message loop is still running then the execute() function will be called on the target thread. If the task fails to post then the task object may be destroyed on the source thread instead of the target thread. For this reason be cautious when performing work in the task object destructor.

NOTE: This struct is allocated client-side.

TCefTaskInfo uCEFTypes

Structure representing task information provided by ICefTaskManager.

TCefTaskManager uCEFTypes

Structure that facilitates managing the browser-related tasks. The functions of this structure may only be called on the UI thread.

NOTE: This struct is allocated DLL-side.

TCefTaskManagerRef uCEFTaskManager

Class that facilitates managing the browser-related tasks.

TCefTaskOwn uCEFTask

TCefTaskRef uCEFTask

TCefTaskRunner uCEFTypes

Structure that asynchronously executes tasks on the associated thread. It is safe to call the functions of this structure on any thread.

CEF maintains multiple internal threads that are used for handling different types of tasks in different processes. The TCefThreadId definitions in cef_types.h list the common CEF threads. Task runners are also available for other CEF threads as appropriate (for example, V8 WebWorker threads).

NOTE: This struct is allocated DLL-side.

TCefTaskRunnerRef uCEFTaskRunner

TCefTaskType uCEFTypes

Specifies the task type variants supported by CefTaskManager. Should be kept in sync with Chromium's task_manager::Task::Type type.

TCefTerminationStatus uCEFTypes

Process termination status values.

TCefTestCertType uCEFTypes

Specifies the gesture commands.

TCefTextfield uCEFTypes

A Textfield supports editing of text. This control is custom rendered with no platform-specific code. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

TCefTextFieldCommands uCEFTypes

Represents commands available to TextField. Should be kept in sync with Chromium's views::TextField::MenuCommands type.

TCEFTextfieldComponent uCEFTextfieldComponent

TCefTextfieldDelegate uCEFTypes

Implement this structure to handle Textfield events. The functions of this structure will be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

TCefTextfieldDelegateOwn uCEFTextfieldDelegate

Implement this interface to handle Textfield events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

TCefTextfieldDelegateRef uCEFTextfieldDelegate

TCefTextfieldRef uCEFTextfield

A Textfield supports editing of text. This control is custom rendered with no platform-specific code. Methods must be called on the browser process UI thread unless otherwise indicated.

TCefTextInpuMode uCEFTypes

Input mode of a virtual keyboard. These constants match their equivalents in Chromium's text_input_mode.h and should not be renumbered. See https://html.spec.whatwg.org/#input-modalities:-the-inputmode-attribute

TCefTextStyle uCEFTypes

Text style types. Should be kepy in sync with gfx::TextStyle.

TCefThread uCEFTypes

A simple thread abstraction that establishes a message loop on a new thread. The consumer uses ICefTaskRunner to execute code on the thread's message loop. The thread is terminated when the ICefThread object is destroyed or stop() is called. All pending tasks queued on the thread's message loop will run to completion before the thread is terminated. cef_thread_create() can be called on any valid CEF thread in either the browser or render process. This structure should only be used for tasks that require a dedicated thread. In most cases you can post tasks to an existing CEF thread instead of creating a new one; see cef_task.h for details.

NOTE: This struct is allocated DLL-side.

TCefThreadId uCEFTypes

Existing thread IDs.

TCefThreadPriority uCEFTypes

Thread priority values listed in increasing order of importance.

TCefThreadRef uCEFThread

TCefTime uCEFTypes

Time information. Values should always be in UTC.

TCEFTimerWorkScheduler uCEFTimerWorkScheduler

TCefToggleAudioMutedTask uCEFTask

TCefTouchEeventType uCEFTypes

Touch points states types.

TCefTouchEvent uCEFTypes

Structure representing touch event information.

TCefTouchHandleState uCEFTypes

Touch handle state.

TCefTouchHandleStateFlags uCEFTypes

Values indicating what state of the touch handle is set.

TCefTransitionType uCEFTypes

Transition type for a request. Made up of one source value and 0 or more qualifiers.

TCefTryCloseBrowserTask uCEFTask

TCefUIColorMode uCEFTypes

Color mode in UI for platforms that support it.

TCefUnresponsiveProcessCallback uCEFTypes

Callback structure for asynchronous handling of an unresponsive process.

NOTE: This struct is allocated DLL-side.

TCefUnresponsiveProcessCallbackRef uCEFUnresponsiveProcessCallback

TCefUpdatePrefsTask uCEFTask

TCefUpdateZoomPctTask uCEFTask

TCefUpdateZoomStepTask uCEFTask

TCefUriUnescapeRule uCEFTypes

URI unescape rules passed to CefURIDecode().

TCefUrlParts uCEFTypes

URL component parts.

TCefUrlRequest uCEFTypes

Structure used to make a URL request. URL requests are not associated with a browser instance so no ICefClient callbacks will be executed. URL requests can be created on any valid CEF thread in either the browser or render process. Once created the functions of the URL request object must be accessed on the same thread that created it.

NOTE: This struct is allocated DLL-side.

TCefUrlrequestClient uCEFTypes

Structure that should be implemented by the ICefUrlRequest client. The functions of this structure will be called on the same thread that created the request unless otherwise documented.

NOTE: This struct is allocated client-side.

TCEFUrlRequestClientComponent uCEFUrlRequestClientComponent

The TCEFUrlRequestClientComponent class puts together all CEF URL request procedures, functions, properties and events in one place.

TCefUrlrequestClientOwn uCEFUrlrequestClient

TCefUrlrequestClientRef uCEFUrlrequestClient

TCefURLRequestClientTask uCEFTask

Custom class used to execute CEF tasks with a TCEFUrlRequestClientComponent component.

TCefUrlRequestFlags uCEFTypes

Flags used to customize the behavior of CefURLRequest.

TCefUrlRequestRef uCEFUrlRequest

TCefUrlRequestStatus uCEFTypes

Flags that represent CefURLRequest status.

TCefURLRequestTask uCEFTask

TCefV8Accessor uCEFTypes

Structure that should be implemented to handle V8 accessor calls. Accessor identifiers are registered by calling ICefv8value.SetValue(). The functions of this structure will be called on the thread associated with the V8 accessor.

NOTE: This struct is allocated client-side.

TCefV8AccessorGetterProc uCEFInterfaces

TCefV8AccessorOwn uCEFv8Accessor

TCefV8AccessorSetterProc uCEFInterfaces

TCefv8ArrayBufferReleaseCallback uCEFTypes

Callback structure that is passed to ICefv8value.CreateArrayBuffer.

NOTE: This struct is allocated client-side.

TCefv8ArrayBufferReleaseCallbackOwn uCEFv8ArrayBufferReleaseCallback

TCefv8ArrayBufferReleaseCallbackProc uCEFInterfaces

TCefv8ArrayBufferReleaseCallbackRef uCEFv8ArrayBufferReleaseCallback

TCefV8Context uCEFTypes

Structure representing a V8 context handle. V8 handles can only be accessed from the thread on which they are created. Valid threads for creating a V8 handle include the render process main thread (TID_RENDERER) and WebWorker threads. A task runner for posting tasks on the associated thread can be retrieved via the ICefv8context.GetTaskRunner() function.

NOTE: This struct is allocated DLL-side.

TCefv8ContextRef uCEFv8Context

TCefV8Exception uCEFTypes

Structure representing a V8 exception. The functions of this structure may be called on any render process thread.

NOTE: This struct is allocated DLL-side.

TCefV8ExceptionRef uCEFv8Exception

TCefv8Handler uCEFTypes

Structure that should be implemented to handle V8 function calls. The functions of this structure will be called on the thread associated with the V8 function.

NOTE: This struct is allocated client-side.

TCefv8HandlerOwn uCEFv8Handler

TCefv8HandlerRef uCEFv8Handler

TCefV8Interceptor uCEFTypes

Structure that should be implemented to handle V8 interceptor calls. The functions of this structure will be called on the thread associated with the V8 interceptor. Interceptor's named property handlers (with first argument of type CefString) are called when object is indexed by string. Indexed property handlers (with first argument of type int) are called when object is indexed by integer.

NOTE: This struct is allocated client-side.

TCefV8InterceptorGetterByIndexProc uCEFInterfaces

TCefV8InterceptorGetterByNameProc uCEFInterfaces

TCefV8InterceptorOwn uCEFv8Interceptor

TCefV8InterceptorSetterByIndexProc uCEFInterfaces

TCefV8InterceptorSetterByNameProc uCEFInterfaces

TCefV8PropertyAttributes uCEFTypes

V8 property attribute values.

TCefV8StackFrame uCEFTypes

Structure representing a V8 stack frame handle. V8 handles can only be accessed from the thread on which they are created. Valid threads for creating a V8 handle include the render process main thread (TID_RENDERER) and WebWorker threads. A task runner for posting tasks on the associated thread can be retrieved via the ICefv8context.GetTaskRunner() function.

NOTE: This struct is allocated DLL-side.

TCefV8StackFrameRef uCEFv8StackFrame

TCefV8StackTrace uCEFTypes

Structure representing a V8 stack trace handle. V8 handles can only be accessed from the thread on which they are created. Valid threads for creating a V8 handle include the render process main thread (TID_RENDERER) and WebWorker threads. A task runner for posting tasks on the associated thread can be retrieved via the ICefv8context.GetTaskRunner() function.

NOTE: This struct is allocated DLL-side.

TCefV8StackTraceRef uCEFv8StackTrace

TCefv8Value uCEFTypes

Structure representing a V8 value handle. V8 handles can only be accessed from the thread on which they are created. Valid threads for creating a V8 handle include the render process main thread (TID_RENDERER) and WebWorker threads. A task runner for posting tasks on the associated thread can be retrieved via the ICefv8context.GetTaskRunner() function.

NOTE: This struct is allocated DLL-side.

TCefv8ValueArray uCEFInterfaces

TCefv8ValueRef uCEFv8Value

TCefValue uCEFTypes

Structure that wraps other data value types. Complex types (binary, dictionary and list) will be referenced but not owned by this object. Can be used on any process and thread.

NOTE: This struct is allocated DLL-side.

TCefValueRef uCEFValue

TCefValueType uCEFTypes

Supported value types.

TCefVersionInfo uCEFTypes

Record used by cef_version_info to get the CEF version information

TCefVersionInfoEx uCEFTypes

Structure representing all CEF version information.

TCefView uCEFTypes

A View is a rectangle within the views View hierarchy. It is the base structure for all Views. All size and position values are in density independent pixels (DIP) unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

TCEFViewComponent uCEFViewComponent

TCefViewDelegate uCEFTypes

Implement this structure to handle view events. All size and position values are in density independent pixels (DIP) unless otherwise indicated. The functions of this structure will be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

TCefViewDelegateOwn uCEFViewDelegate

Implement this interface to handle view events. All size and position values are in density independent pixels (DIP) unless otherwise indicated. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

TCefViewDelegateRef uCEFViewDelegate

TCefViewDelegateTask uCEFTask

Custom class used to execute CEF tasks with a TCEFViewComponent component.

TCefViewRef uCEFView

A View is a rectangle within the views View hierarchy. It is the base interface for all Views. All size and position values are in density independent pixels (DIP) unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

TCefWaitableEvent uCEFTypes

WaitableEvent is a thread synchronization tool that allows one thread to wait for another thread to finish some work. This is equivalent to using a Lock+ConditionVariable to protect a simple boolean value. However, using WaitableEvent in conjunction with a Lock to wait for a more complex state change (e.g., for an item to be added to a queue) is not recommended. In that case consider using a ConditionVariable instead of a WaitableEvent. It is safe to create and/or signal a WaitableEvent from any thread. Blocking on a WaitableEvent by calling the *wait() functions is not allowed on the browser process UI or IO threads.

NOTE: This struct is allocated DLL-side.

TCefWaitableEventRef uCEFWaitableEvent

TCefWebPluginIsUnstableProc uCEFInterfaces

TCefWebRTCHandlingPolicy uCEFTypes

WebRTC handling policy types used by TChromiumCore.WebRTCIPHandlingPolicy.

TCEFWinControl uCEFWinControl

Custom TWinControl used by CEF browsers.

TCefWindow uCEFTypes

A Window is a top-level Window/widget in the Views hierarchy. By default it will have a non-client area with title bar, icon and buttons that supports moving and resizing. All size and position values are in density independent pixels (DIP) unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

TCEFWindowComponent uCEFWindowComponent

TCefWindowDelegate uCEFTypes

Implement this structure to handle window events. The functions of this structure will be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

TCefWindowDelegateOwn uCEFWindowDelegate

Implement this interface to handle window events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

TCefWindowDelegateRef uCEFWindowDelegate

TCefWindowHandle uCEFTypes

Native Window handle.

TCefWindowInfo uCEFTypes

Structure representing window information.

TCEFWindowInfoWrapper uCEFWindowInfoWrapper

Wrapper class used to initialize a TCEFWindowInfo record.

TCefWindowOpenDisposition uCEFTypes

The manner in which a link click should be opened. These constants match their equivalents in Chromium's window_open_disposition.h and should not be renumbered.

TCEFWindowParent uCEFWindowParent

TCefWindowRef uCEFWindow

A Window is a top-level Window/widget in the Views hierarchy. By default it will have a non-client area with title bar, icon and buttons that supports moving and resizing. All size and position values are in density independent pixels (DIP) unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

TCEFWorkScheduler uCEFWorkScheduler

Implementation of an external message pump for VCL and LCL.

Read the GlobalCEFApp.OnScheduleMessagePumpWork documentation for all the details.

TCEFWorkSchedulerQueueThread uCEFWorkSchedulerQueueThread

TCEFWorkSchedulerThread uCEFWorkSchedulerThread

TCefWriteHandler uCEFTypes

Structure the client can implement to provide a custom stream writer. The functions of this structure may be called on any thread.

NOTE: This struct is allocated client-side.

TCefWriteHandlerOwn uCEFWriteHandler

TCefX509Certificate uCEFTypes

Structure representing a X.509 certificate.

NOTE: This struct is allocated DLL-side.

TCefX509CertificateArray uCEFInterfaces

TCEFX509CertificateRef uCEFX509Certificate

TCefX509CertPrincipal uCEFTypes

Structure representing the issuer or subject field of an X.509 certificate.

NOTE: This struct is allocated DLL-side.

TCefX509CertPrincipalRef uCEFX509CertPrincipal

TCefXmlEncodingType uCEFTypes

Supported XML encoding types. The parser supports ASCII, ISO-8859-1, and UTF16 (LE and BE) by default. All other types must be translated to UTF8 before being passed to the parser. If a BOM is detected and the correct decoder is available then that decoder will be used automatically.

TCefXmlNodeType uCEFTypes

XML node types.

TCefXmlReader uCEFTypes

Structure that supports the reading of XML data via the libxml streaming API. The functions of this structure should only be called on the thread that creates the object.

NOTE: This struct is allocated DLL-side.

TCefXmlReaderRef uCEFXmlReader

TCefZipReader uCEFTypes

Structure that supports the reading of zip archives via the zlib unzip API. The functions of this structure should only be called on the thread that creates the object.

NOTE: This struct is allocated DLL-side.

TCefZipReaderRef uCEFZipReader

Class that supports the reading of zip archives via the zlib unzip API. The functions of this interface should only be called on the thread that creates the object.

TCefZoomCommand uCEFTypes

Specifies the zoom commands supported by ICefBrowserHost.Zoom.

TChromium uCEFChromium

VCL and LCL version of TChromiumCore that puts together all browser procedures, functions, properties and events in one place. It has all you need to create, modify and destroy a web browser.

TChromiumCore uCEFChromiumCore

Parent class of TChromium and TFMXChromium that puts together all browser procedures, functions, properties and events in one place. It has all you need to create, modify and destroy a web browser.

TChromiumFontOptions uCEFChromiumFontOptions

The TChromiumFontOptions properties are used to fill the TCefBrowserSettings record which is used during the browser creation.

TChromiumOptions uCEFChromiumOptions

The TChromiumOptions properties used to fill the TCefBrowserSettings record which is used during the browser creation.

TChromiumVersionInfo uCEFTypes

Record used by cef_version_info to get the Chromium version information

TChromiumWindow uCEFChromiumWindow

This component puts together a TChromium and a TCEFWindowParent to embbed a web browser with only one component.

This component should only be used in extremely simple applications with simple browsers. In other cases it's recomended using a TChromium with a TCEFWindowParent as shown in the SimpleBrowser2 demo.

TChromiumWrapper uCEFBrowserWindow

TChromiumWrapper
TCookie uCEFTypes

Cookie information.

TCustomAccessibilityHandler uCEFAccessibilityHandler

TCustomAudioHandler uCEFAudioHandler

TCustomBrowserViewDelegate uCEFBrowserViewDelegate

This class handles all the ICefBrowserViewDelegate methods which call the ICefBrowserViewDelegateEvents methods. ICefBrowserViewDelegateEvents will be implemented by the control receiving the ICefBrowserViewDelegate events.

TCustomButtonDelegate uCEFButtonDelegate

This class handles all the ICefButtonDelegate methods which call the ICefButtonDelegateEvents methods. ICefButtonDelegateEvents will be implemented by the control receiving the ICefButtonDelegate events.

TCustomCefApp uCEFApp

TCustomCefNavigationEntryVisitor uCEFNavigationEntryVisitor

TCustomCefStringVisitor uCEFStringVisitor

TCustomCefUrlrequestClient uCEFUrlrequestClient

TCustomClientHandler uCEFClient

TCustomCommandHandler uCEFCommandHandler

TCustomContextMenuHandler uCEFContextMenuHandler

TCustomCookieAccessFilter uCEFCookieAccessFilter

TCustomDevToolsMessageObserver uCEFDevToolsMessageObserver

TCustomDialogHandler uCEFDialogHandler

TCustomDisplayHandler uCEFDisplayHandler

TCustomDownloadHandler uCEFDownloadHandler

TCustomDragHandler uCEFDragHandler

TCustomFindHandler uCEFFindHandler

TCustomFocusHandler uCEFFocusHandler

TCustomFrameHandler uCEFFrameHandler

TCustomJsDialogHandler uCEFJsDialogHandler

TCustomKeyboardHandler uCEFKeyboardHandler

TCustomLifeSpanHandler uCEFLifeSpanHandler

TCustomLoadHandler uCEFLoadHandler

TCustomMediaObserver uCEFMediaObserver

TCustomMenuButtonDelegate uCEFMenuButtonDelegate

This class handles all the ICefMenuButtonDelegate methods which call the ICefMenuButtonDelegateEvents methods. ICefMenuButtonDelegateEvents will be implemented by the control receiving the ICefMenuButtonDelegate events.

TCustomPanelDelegate uCEFPanelDelegate

This class handles all the ICefPanelDelegate methods which call the ICefPanelDelegateEvents methods. ICefPanelDelegateEvents will be implemented by the control receiving the ICefPanelDelegate events.

TCustomPermissionHandler uCEFPermissionHandler

TCustomPrintHandler uCEFPrintHandler

TCustomRenderHandler uCEFRenderHandler

TCustomRenderLoadHandler uCEFLoadHandler

TCustomRequestContextHandler uCEFRequestContextHandler

TCustomRequestHandler uCEFRequestHandler

TCustomResourceRequestHandler uCEFResourceRequestHandler

TCustomResponseFilter uCEFResponseFilter

Custom class implementing a resource filter with events.

TCustomServerHandler uCEFServerHandler

TCustomTaskInfo uCEFTypes

Pascal version of TCefTaskInfo.

TCustomTextfieldDelegate uCEFTextfieldDelegate

This class handles all the ICefTextfieldDelegate and ICefViewDelegate methods which call the ICefTextfieldDelegateEvents methods. ICefTextfieldDelegateEvents will be implemented by the control receiving the ICefTextfieldDelegate events.

TCustomViewDelegate uCEFViewDelegate

This class handles all the ICefViewDelegate methods which call the ICefViewDelegateEvents methods. ICefViewDelegateEvents will be implemented by the control receiving the ICefViewDelegate events.

TCustomWindowDelegate uCEFWindowDelegate

This class handles all the TCustomWindowDelegate methods which call the ICefWindowDelegateEvents methods. ICefWindowDelegateEvents will be implemented by the control receiving the TCustomWindowDelegate events.

TDialogKeyEvent uCEFFMXBufferPanel

TDragEnterEvent uCEFDragAndDropMgr

TDragOverEvent uCEFDragAndDropMgr

TDropEvent uCEFDragAndDropMgr

TEmbeddedChromium uCEFBrowserWindow

TEmbeddedChromium

1) TEmbeddedChromium keeps track of the browser while it is created. This allows for CloseBrowser to function, even if the Browser object is not yet known. Also calls to "LoadUrl" are cached until the browser object is created.

2) TEmbeddedChromium adds InternalEvents that can be hooked by the component that owns the TEmbeddedChromium. This means the default published events are available to the end user. Published events that should not be available are hidden via THiddenPropertyEditor * Hidden event properties must not be assigned by any end user code. *
TEmbeddedOsrChromium uCEFOsrBrowserWindow

TEmbeddedOsrChromium

Hides (THiddenPropertyEditor) any published event that is used by TOsrBrowserWindow * Hidden events must also not be used by user code *
TFileVersionInfo uCEFTypes

Record used by GetDLLVersion to get the DLL version information

TFMXBufferPanel uCEFFMXBufferPanel

TBufferPanel is used by FMX applications with browsers in OSR mode to draw the browser contents. See the FMXExternalPumpBrowser demo for more details.

TFMXChromium uCEFFMXChromium

FMX version of TChromiumCore that puts together all browser procedures, functions, properties and events in one place. It has all you need to create, modify and destroy a web browser.

TFMXWindowParent uCEFFMXWindowParent

TFMXWorkScheduler uCEFFMXWorkScheduler

Implementation of an external message pump for FMX.

Read the GlobalCEFApp.OnScheduleMessagePumpWork documentation for all the details.

TLinuxWindowProperties uCEFTypes

String version of TCefLinuxWindowProperties

TLoggingInterfacedObject uCEFBaseRefCounted

TMyMemoryStatusEx uCEFTypes

Record used with GetGlobalMemoryStatusEx to get the memory status.

TOAuthChallengeMethod uCEFOAuth2Helper

TOLEDataObject uCEFOLEDragAndDrop

TOLEDragAndDropMgr uCEFOLEDragAndDrop

TOLEDropSource uCEFOLEDragAndDrop

TOLEDropTarget uCEFOLEDragAndDrop

TOLEEnumFormatEtc uCEFOLEDragAndDrop

TOLEFormatArray uCEFOLEDragAndDrop

TOLEMediumArray uCEFOLEDragAndDrop

TOnAcceleratedPaint uCEFChromiumEvents

TOnAcceleratorEvent uCEFViewsFrameworkEvents

TOnAcceptsFirstMouseEvent uCEFViewsFrameworkEvents

TOnAccessibilityEvent uCEFAccessibilityHandler

TOnAddressChange uCEFChromiumEvents

ICefDisplayHandler
TOnAfterCreated uCEFChromiumEvents

TOnAfterUserActionEvent uCEFViewsFrameworkEvents

TOnAllowEvent uCEFTimerWorkScheduler

TOnAllowMoveForPictureInPictureEvent uCEFViewsFrameworkEvents

TOnAlreadyRunningAppRelaunchEvent uCEFApplicationEvents

TOnAudioStreamErrorEvent uCEFChromiumEvents

TOnAudioStreamPacketEvent uCEFChromiumEvents

TOnAudioStreamStartedEvent uCEFChromiumEvents

TOnAudioStreamStoppedEvent uCEFChromiumEvents

TOnAutoResize uCEFChromiumEvents

TOnBeforeBrowse uCEFChromiumEvents

ICefRequestHandler
TOnBeforeChildProcessLaunchEvent uCEFApplicationEvents

TOnBeforeClose uCEFChromiumEvents

TOnBeforeContextMenu uCEFChromiumEvents

ICefContextMenuHandler
TOnBeforeDevToolsPopup uCEFChromiumEvents

TOnBeforeDownload uCEFChromiumEvents

TOnBeforePopup uCEFChromiumEvents

ICefLifeSpanHandler
TOnBeforePopupAborted uCEFChromiumEvents

TOnBeforeResourceLoad uCEFChromiumEvents

ICefResourceRequestHandler
TOnBeforeUnloadDialog uCEFChromiumEvents

TOnBlurEvent uCEFViewsFrameworkEvents

TOnBrowserCreatedEvent uCEFApplicationEvents

TOnBrowserCreatedEvent uCEFViewsFrameworkEvents

ICefPanelDelegate ICefBrowserViewDelegate
TOnBrowserDestroyedEvent uCEFApplicationEvents

TOnBrowserDestroyedEvent uCEFViewsFrameworkEvents

TOnButtonPressedEvent uCEFViewsFrameworkEvents

ICefButtonDelegate
TOnButtonStateChangedEvent uCEFViewsFrameworkEvents

TOnCanCloseEvent uCEFViewsFrameworkEvents

TOnCanDownloadEvent uCEFChromiumEvents

ICefDownloadHandler
TOnCanMaximizeEvent uCEFViewsFrameworkEvents

TOnCanMinimizeEvent uCEFViewsFrameworkEvents

TOnCanResizeEvent uCEFViewsFrameworkEvents

TOnCanSaveCookie uCEFChromiumEvents

TOnCanSendCookie uCEFChromiumEvents

ICefCookieAccessFilter
TOnCertificateError uCEFChromiumEvents

TOnChildViewChangedEvent uCEFViewsFrameworkEvents

TOnChromeCommandEvent uCEFChromiumEvents

ICefCommandHandler
TOnClientConnected uCEFServerEvents

TOnClientDisconnected uCEFServerEvents

TOnClose uCEFChromiumEvents

TOnCompMsgEvent uCEFChromiumEvents

TOnConsoleMessage uCEFChromiumEvents

TOnContentsBoundsChange uCEFChromiumEvents

TOnContextCreatedEvent uCEFApplicationEvents

TOnContextInitializedEvent uCEFApplicationEvents

TOnContextMenuCommand uCEFChromiumEvents

TOnContextMenuDismissed uCEFChromiumEvents

TOnContextReleasedEvent uCEFApplicationEvents

TOnCookiesDeletedEvent uCEFChromiumEvents

TOnCookieSet uCEFChromiumEvents

TOnCookiesVisited uCEFChromiumEvents

TOnCookieVisitorDestroyed uCEFChromiumEvents

TOnCursorChange uCEFChromiumEvents

TOnDevToolsAgentAttachedEvent uCEFChromiumEvents

TOnDevToolsAgentDetachedEvent uCEFChromiumEvents

TOnDevToolsEventEvent uCEFChromiumEvents

TOnDevToolsEventRawEvent uCEFChromiumEvents

TOnDevToolsMessageEvent uCEFChromiumEvents

ICefDevToolsMessageObserver
TOnDevToolsMethodRawResultEvent uCEFChromiumEvents

TOnDevToolsMethodResultEvent uCEFChromiumEvents

TOnDevToolsRawMessageEvent uCEFChromiumEvents

TOnDialogClosed uCEFChromiumEvents

TOnDismissPermissionPromptEvent uCEFChromiumEvents

TOnDocumentAvailableInMainFrame uCEFChromiumEvents

TOnDownloadData uCEFUrlRequestClientEvents

TOnDownloadImageFinishedEvent uCEFChromiumEvents

TOnDownloadImageFinishedProc uCEFInterfaces

TOnDownloadProgress uCEFUrlRequestClientEvents

TOnDownloadUpdated uCEFChromiumEvents

TOnDragEnter uCEFChromiumEvents

ICefDragHandler
TOnDraggableRegionsChanged uCEFChromiumEvents

TOnExecuteTaskOnCefThread uCEFChromiumEvents

TOnFavIconUrlChange uCEFChromiumEvents

TOnFileDialog uCEFChromiumEvents

ICefDialogHandler
TOnFilterEvent uCEFResponseFilter

TOnFindResult uCEFChromiumEvents

ICefFindHandler
TOnFocusedNodeChangedEvent uCEFApplicationEvents

TOnFocusEvent uCEFViewsFrameworkEvents

TOnFrameAttached uCEFChromiumEvents

TOnFrameCreated uCEFChromiumEvents

ICefFrameHandler
TOnFrameDestroyed uCEFChromiumEvents

TOnFrameDetached uCEFChromiumEvents

TOnFullScreenModeChange uCEFChromiumEvents

TOnGestureCommandEvent uCEFViewsFrameworkEvents

TOnGetAccessibilityHandler uCEFChromiumEvents

ICefRenderHandler
TOnGetAudioParametersEvent uCEFChromiumEvents

ICefAudioHandler
TOnGetAuthCredentials uCEFChromiumEvents

TOnGetAuthCredentials uCEFUrlRequestClientEvents

TOnGetBrowserRuntimeStyleEvent uCEFViewsFrameworkEvents

TOnGetChromeToolbarTypeEvent uCEFViewsFrameworkEvents

TOnGetDataResourceEvent uCEFApplicationEvents

TOnGetDataResourceForScaleEvent uCEFApplicationEvents

TOnGetDefaultClientEvent uCEFApplicationEvents

TOnGetDefaultRequestContextHandlerEvent uCEFApplicationEvents

TOnGetDelegateForPopupBrowserViewEvent uCEFViewsFrameworkEvents

TOnGetHeightForWidthEvent uCEFViewsFrameworkEvents

TOnGetInitialBoundsEvent uCEFViewsFrameworkEvents

TOnGetInitialShowStateEvent uCEFViewsFrameworkEvents

TOnGetLinuxWindowPropertiesEvent uCEFViewsFrameworkEvents

TOnGetLocalizedStringEvent uCEFApplicationEvents

ICefResourceBundleHandler
TOnGetMaximumSizeEvent uCEFViewsFrameworkEvents

TOnGetMinimumSizeEvent uCEFViewsFrameworkEvents

TOnGetParentWindowEvent uCEFViewsFrameworkEvents

TOnGetPDFPaperSizeEvent uCEFChromiumEvents

TOnGetPreferredSizeEvent uCEFViewsFrameworkEvents

ICefViewDelegate
TOnGetResourceHandler uCEFChromiumEvents

TOnGetResourceRequestHandler uCEFChromiumEvents

TOnGetResourceResponseFilter uCEFChromiumEvents

TOnGetRootScreenRect uCEFChromiumEvents

TOnGetRootWindowScreenRect uCEFChromiumEvents

TOnGetScreenInfo uCEFChromiumEvents

TOnGetScreenPoint uCEFChromiumEvents

TOnGetTitlebarHeightEvent uCEFViewsFrameworkEvents

TOnGetTouchHandleSize uCEFChromiumEvents

TOnGetViewRect uCEFChromiumEvents

TOnGetWindowRuntimeStyleEvent uCEFViewsFrameworkEvents

TOnGotFocus uCEFChromiumEvents

TOnHandledMessageEvent uCEFBufferPanel

TOnHttpRequest uCEFServerEvents

TOnIMECommitTextEvent uCEFBufferPanel

TOnIMECompositionRangeChanged uCEFChromiumEvents

TOnIMESetCompositionEvent uCEFBufferPanel

TOnInitFilterEvent uCEFResponseFilter

TOnIsChromeAppMenuItemEnabledEvent uCEFChromiumEvents

TOnIsChromeAppMenuItemVisibleEvent uCEFChromiumEvents

TOnIsChromePageActionIconVisibleEvent uCEFChromiumEvents

TOnIsChromeToolbarButtonVisibleEvent uCEFChromiumEvents

TOnIsFramelessEvent uCEFViewsFrameworkEvents

TOnIsWindowModalDialogEvent uCEFViewsFrameworkEvents

TOnJsdialog uCEFChromiumEvents

ICefJsDialogHandler
TOnKeyEvent uCEFChromiumEvents

TOnLayoutChangedEvent uCEFViewsFrameworkEvents

TOnLoadEnd uCEFChromiumEvents

TOnLoadError uCEFChromiumEvents

TOnLoadingProgressChange uCEFChromiumEvents

TOnLoadingStateChange uCEFChromiumEvents

TOnLoadStart uCEFChromiumEvents

ICefLoadHandler
TOnMainFrameChanged uCEFChromiumEvents

TOnMediaAccessChange uCEFChromiumEvents

TOnMediaRouteCreateFinishedEvent uCEFChromiumEvents

TOnMediaSinkDeviceInfoEvent uCEFChromiumEvents

TOnMenuButtonPressedEvent uCEFViewsFrameworkEvents

ICefMenuButtonDelegate
TOnNavigationVisitorResultAvailableEvent uCEFChromiumEvents

TOnOpenUrlFromTab uCEFChromiumEvents

TOnPaint uCEFChromiumEvents

TOnParentViewChangedEvent uCEFViewsFrameworkEvents

TOnPdfPrintFinishedEvent uCEFChromiumEvents

TOnPdfPrintFinishedProc uCEFInterfaces

TOnPopupBrowserViewCreatedEvent uCEFViewsFrameworkEvents

TOnPopupShow uCEFChromiumEvents

TOnPopupSize uCEFChromiumEvents

TOnPreferenceChangedEvent uCEFChromiumEvents

ICefPreferenceObserver
TOnPrefsAvailableEvent uCEFChromiumEvents

TOnPreKeyEvent uCEFChromiumEvents

ICefKeyboardHandler
TOnPrintDialogEvent uCEFChromiumEvents

TOnPrintJobEvent uCEFChromiumEvents

TOnPrintResetEvent uCEFChromiumEvents

TOnPrintSettingsEvent uCEFChromiumEvents

TOnPrintStartEvent uCEFChromiumEvents

ICefPrintHandler
TOnProcessMessageReceived uCEFChromiumEvents

ICefClient
TOnProcessMessageReceivedEvent uCEFApplicationEvents

TOnProtocolExecution uCEFChromiumEvents

TOnPulseEvent uCEFWorkSchedulerQueueThread

TOnQuickMenuCommandEvent uCEFChromiumEvents

TOnQuickMenuDismissedEvent uCEFChromiumEvents

TOnRegisterCustomPreferencesEvent uCEFApplicationEvents

ICefBrowserProcessHandler
TOnRegisterCustomSchemesEvent uCEFApplicationEvents

ICefApp
TOnRenderLoadEnd uCEFApplicationEvents

TOnRenderLoadError uCEFApplicationEvents

TOnRenderLoadingStateChange uCEFApplicationEvents

ICefLoadHandler
TOnRenderLoadStart uCEFApplicationEvents

TOnRenderProcessResponsive uCEFChromiumEvents

TOnRenderProcessTerminated uCEFChromiumEvents

TOnRenderProcessUnresponsive uCEFChromiumEvents

TOnRenderViewReady uCEFChromiumEvents

TOnRequestComplete uCEFUrlRequestClientEvents

TOnRequestContextInitialized uCEFChromiumEvents

ICefRequestContextHandler
TOnRequestMediaAccessPermissionEvent uCEFChromiumEvents

ICefPermissionHandler
TOnResetDialogState uCEFChromiumEvents

TOnResolvedIPsAvailableEvent uCEFChromiumEvents

TOnResourceLoadComplete uCEFChromiumEvents

TOnResourceRedirect uCEFChromiumEvents

TOnResourceResponse uCEFChromiumEvents

TOnRouteMessageReceivedEvent uCEFChromiumEvents

TOnRoutesEvent uCEFChromiumEvents

TOnRouteStateChangedEvent uCEFChromiumEvents

TOnRunContextMenu uCEFChromiumEvents

TOnRunQuickMenuEvent uCEFChromiumEvents

TOnScheduleMessagePumpWorkEvent uCEFApplicationEvents

TOnScrollOffsetChanged uCEFChromiumEvents

TOnSelectClientCertificate uCEFChromiumEvents

TOnServerCreated uCEFServerEvents

TOnServerDestroyed uCEFServerEvents

TOnSetFocus uCEFChromiumEvents

TOnSettingChangedEvent uCEFChromiumEvents

ICefSettingObserver
TOnShowPermissionPromptEvent uCEFChromiumEvents

TOnSinksEvent uCEFChromiumEvents

ICefRequestContextHandler uses the same TOnGetResourceRequestHandler event type defined for ICefRequestHandler ICefMediaObserver
TOnStartDragging uCEFChromiumEvents

TOnStatusMessage uCEFChromiumEvents

TOnTakeFocus uCEFChromiumEvents

ICefFocusHandler
TOnTextfieldKeyEventEvent uCEFViewsFrameworkEvents

ICefTextfieldDelegate
TOnTextResultAvailableEvent uCEFChromiumEvents

Custom
TOnTextSelectionChanged uCEFChromiumEvents

TOnThemeChangedEvent uCEFViewsFrameworkEvents

TOnThemeColorsChangedEvent uCEFViewsFrameworkEvents

TOnTitleChange uCEFChromiumEvents

TOnTooltip uCEFChromiumEvents

TOnTouchHandleStateChanged uCEFChromiumEvents

TOnUncaughtExceptionEvent uCEFApplicationEvents

TOnUpdateDragCursor uCEFChromiumEvents

TOnUploadProgress uCEFUrlRequestClientEvents

TOnUseFramelessWindowForPictureInPicture uCEFViewsFrameworkEvents

TOnVirtualKeyboardRequested uCEFChromiumEvents

TOnWebKitInitializedEvent uCEFApplicationEvents

ICefRenderProcessHandler
TOnWebSocketConnected uCEFServerEvents

TOnWebSocketMessage uCEFServerEvents

TOnWebSocketRequest uCEFServerEvents

TOnWindowActivationChangedEvent uCEFViewsFrameworkEvents

TOnWindowBoundsChangedEvent uCEFViewsFrameworkEvents

TOnWindowChangedEvent uCEFViewsFrameworkEvents

TOnWindowClosingEvent uCEFViewsFrameworkEvents

TOnWindowCreatedEvent uCEFViewsFrameworkEvents

ICefWindowDelegate
TOnWindowDestroyedEvent uCEFViewsFrameworkEvents

TOnWindowFullscreenTransitionEvent uCEFViewsFrameworkEvents

TOnWindowKeyEventEvent uCEFViewsFrameworkEvents

TOnWithStandardWindowButtonsEvent uCEFViewsFrameworkEvents

TOnZoomPctAvailable uCEFChromiumEvents

TOsrBrowserWindow uCEFOsrBrowserWindow

TOsrBrowserWindow - Off-Screen-Rendering

A simple "drop on the Form" component for an full embedded browser.

See notes an TBrowserWindow for requirements in user code. Further: - Some keystrokes may not be sent to KeyDown/KeyPress by the LCL. They may be available as WM_SYSKEYDOWN/UP message on the containing Form.

This component is still experimental. - On MacOS Keyboard support is not complete
TOSVersionInfoEx uCEFTypes

Record used with RtlGetVersion to get the Windows version information.

TPDFPrintOptions uCEFPDFPrintOptions

The TPDFPrintOptions properties are used to fill the TCefPdfPrintSettings record which is used in the TChromiumCore.PrintToPDF call.

TSentinelStatus uCEFSentinel

TSimulatedCefKeyEventType uCEFTypes

Event type used by TChromiumCore.SimulateKeyEvent

TT_AUTO_BOOKMARK uCEFConstants

User got to this page through a suggestion in the UI (for example, via the destinations page). Chrome style only.

TT_AUTO_SUBFRAME uCEFConstants

Source is a subframe navigation. This is any content that is automatically loaded in a non-toplevel frame. For example, if a page consists of several frames containing ads, those ad URLs will have this transition type. The user may not even realize the content in these pages is a separate frame, so may not care about the URL.

TT_AUTO_TOPLEVEL uCEFConstants

This is a toplevel navigation. This is any content that is automatically loaded in a toplevel frame. For example, opening a tab to show the ASH screen saver, opening the devtools window, opening the NTP after the safe browsing warning, opening web-based dialog boxes are examples of AUTO_TOPLEVEL navigations. Chrome style only.

TT_BLOCKED_FLAG uCEFConstants

Attempted to visit a URL but was blocked.

TT_CHAIN_END_FLAG uCEFConstants

The last transition in a redirect chain.

TT_CHAIN_START_FLAG uCEFConstants

The beginning of a navigation chain.

TT_CLIENT_REDIRECT_FLAG uCEFConstants

Redirects caused by JavaScript or a meta refresh tag on the page.

TT_DIRECT_LOAD_FLAG uCEFConstants

Loaded a URL directly via CreateBrowser, LoadURL or LoadRequest.

TT_EXPLICIT uCEFConstants

Source is some other "explicit" navigation. This is the default value for navigations where the actual type is unknown. See also TT_DIRECT_LOAD_FLAG.

TT_FORM_SUBMIT uCEFConstants

Source is a form submission by the user. NOTE: In some situations submitting a form does not result in this transition type. This can happen if the form uses a script to submit the contents.

TT_FORWARD_BACK_FLAG uCEFConstants

Used the Forward or Back function to navigate among browsing history. Will be ORed to the transition type for the original load.

TT_FROM_API_FLAG uCEFConstants

The transition originated from an external application; the exact definition of this is embedder dependent. Chrome style only.

TT_GENERATED uCEFConstants

User got to this page by typing in the URL bar and selecting an entry that did not look like a URL. For example, a match might have the URL of a Google search result page, but appear like "Search Google for ...". These are not quite the same as EXPLICIT navigations because the user didn't type or see the destination URL. Chrome style only. See also TT_KEYWORD.

TT_HOME_PAGE_FLAG uCEFConstants

User is navigating to the home page. Chrome style only.

TT_IS_REDIRECT_MASK uCEFConstants

Used to test whether a transition involves a redirect.

TT_KEYWORD uCEFConstants

The url was generated from a replaceable keyword other than the default search provider. If the user types a keyword (which also applies to tab-to-search) in the omnibox this qualifier is applied to the transition type of the generated url. TemplateURLModel then may generate an additional visit with a transition type of TT_KEYWORD_GENERATED against the url 'http://' + keyword. For example, if you do a tab-to-search against wikipedia the generated url has a transition qualifer of TT_KEYWORD, and TemplateURLModel generates a visit for 'wikipedia.org' with a transition type of TT_KEYWORD_GENERATED. Chrome style only.

TT_KEYWORD_GENERATED uCEFConstants

Corresponds to a visit generated for a keyword. See description of TT_KEYWORD for more details. Chrome style only.

TT_LINK uCEFConstants

Source is a link click or the JavaScript window.open function. This is also the default value for requests like sub-resource loads that are not navigations.

TT_MANUAL_SUBFRAME uCEFConstants

Source is a subframe navigation explicitly requested by the user that will generate new navigation entries in the back/forward list. These are probably more important than frames that were automatically loaded in the background because the user probably cares about the fact that this link was loaded.

TT_NUM_VALUES uCEFConstants

Number of TCefTransitionType values.

TT_QUALIFIER_MASK uCEFConstants

General mask defining the bits used for the qualifiers.

TT_RELOAD uCEFConstants

Source is a "reload" of the page via the Reload function or by re-visiting the same URL. NOTE: This is distinct from the concept of whether a particular load uses "reload semantics" (i.e. bypasses cached data).

TT_SERVER_REDIRECT_FLAG uCEFConstants

Redirects sent from the server by HTTP headers.

TT_SOURCE_MASK uCEFConstants

General mask defining the bits used for the source values.

TUrlParts uCEFTypes

String version of TCefUrlParts

TValuesArray uCEFWorkSchedulerQueueThread

UInt64ToFileVersionInfo uCEFMiscFunctions

UnixTimeToCefTime uCEFMiscFunctions

Converts cef_time_t from time_t. time_t is almost always an integral value holding the number of seconds (not counting leap seconds) since 00:00, Jan 1 1970 UTC, corresponding to POSIX time.

UR_FLAG_ALLOW_STORED_CREDENTIALS uCEFConstants

If set user name, password, and cookies may be sent with the request, and cookies may be saved from the response.

UR_FLAG_DISABLE_CACHE uCEFConstants

If set the cache will not be used at all. Setting this value is equivalent to specifying the "Cache-Control: no-store" request header. Setting this value in combination with UR_FLAG_ONLY_FROM_CACHE will cause the request to fail.

UR_FLAG_NONE uCEFConstants

Default behavior.

UR_FLAG_NO_DOWNLOAD_DATA uCEFConstants

If set the ICefURLRequestClient.OnDownloadData method will not be called.

UR_FLAG_NO_RETRY_ON_5XX uCEFConstants

If set 5XX redirect errors will be propagated to the observer instead of automatically re-tried. This currently only applies for requests originated in the browser process.

UR_FLAG_ONLY_FROM_CACHE uCEFConstants

If set the request will fail if it cannot be served from the cache (or some equivalent local store). Setting this value is equivalent to specifying the "Cache-Control: only-if-cached" request header. Setting this value in combination with UR_FLAG_SKIP_CACHE or UR_FLAG_DISABLE_CACHE will cause the request to fail.

UR_FLAG_REPORT_UPLOAD_PROGRESS uCEFConstants

If set upload progress events will be generated when a request has a body.

UR_FLAG_SKIP_CACHE uCEFConstants

If set the cache will be skipped when handling the request. Setting this value is equivalent to specifying the "Cache-Control: no-cache" request header. Setting this value in combination with UR_FLAG_ONLY_FROM_CACHE will cause the request to fail.

UR_FLAG_STOP_ON_REDIRECT uCEFConstants

If set 3XX responses will cause the fetch to halt immediately rather than continue through the redirect.

User32DLL uCEFMiscFunctions

USER_DEFAULT_SCREEN_DPI uCEFConstants

ustring uCEFTypes

String type used by CEF. ustring was created to use the same type in Delphi and Lazarus.

UU_NONE uCEFConstants

Don't unescape anything at all.

UU_NORMAL uCEFConstants

Don't unescape anything special, but all normal unescaping will happen. This is a placeholder and can't be combined with other flags (since it's just the absence of them). All other unescape rules imply "normal" in addition to their special meaning. Things like escaped letters, digits, and most symbols will get unescaped with this mode.

UU_PATH_SEPARATORS uCEFConstants

Unescapes '/' and '\\'. If these characters were unescaped, the resulting URL won't be the same as the source one. Moreover, they are dangerous to unescape in strings that will be used as file paths or names. This value should only be used when slashes don't have special meaning, like data URLs.

UU_REPLACE_PLUS_WITH_SPACE uCEFConstants

URL queries use "+" for space. This flag controls that replacement.

UU_SPACES uCEFConstants

Convert %20 to spaces. In some places where we're showing URLs, we may want this. In places where the URL may be copied and pasted out, then you wouldn't want this since it might not be interpreted in one piece by other applications.

UU_URL_SPECIAL_CHARS_EXCEPT_PATH_SEPARATORS uCEFConstants

Unescapes various characters that will change the meaning of URLs, including '%', '+', '&', '#'. Does not unescape path separators. If these characters were unescaped, the resulting URL won't be the same as the source one. This flag is used when generating final output like filenames for URLs where we won't be interpreting as a URL and want to do as much unescaping as possible.

V8_PROPERTY_ATTRIBUTE_DONTDELETE uCEFConstants

Not configurable
V8_PROPERTY_ATTRIBUTE_DONTENUM uCEFConstants

Not enumerable
V8_PROPERTY_ATTRIBUTE_NONE uCEFConstants

Writeable, Enumerable, Configurable
V8_PROPERTY_ATTRIBUTE_READONLY uCEFConstants

Not writeable
ValidCefWindowHandle uCEFMiscFunctions

WindowInfoAsChild uCEFMiscFunctions

WindowInfoAsPopUp uCEFMiscFunctions

WindowInfoAsWindowless uCEFMiscFunctions

WM_POINTERDOWN uCEFConstants

WM_POINTERUP uCEFConstants

WM_POINTERUPDATE uCEFConstants

WM_TOUCH uCEFConstants

Lazarus and some old Delphi versions don't have these message contants
YOUTUBE_RESTRICT_MODERATE uCEFConstants

YOUTUBE_RESTRICT_OFF uCEFConstants

delay in ms to enable the browser focus <summary> YouTube restrict mode. </summary> <remarks> <para><see href="https://chromium.googlesource.com/chromium/src/+/refs/tags/77.0.3865.90/chrome/common/net/safe_search_util.h">Chromium source file: /chrome/common/net/safe_search_util.h (YouTubeRestrictMode)</see></para> <para><see href="https://www.chromium.org/administrators/policy-list-3#ForceYouTubeRestrict">Chromium policy list: https://www.chromium.org/administrators/policy-list-3#ForceYouTubeRestrict</see></para> </remarks>
YOUTUBE_RESTRICT_STRICT uCEFConstants

ZoomStepValues uCEFConstants

ZOOM_PCT_DELTA uCEFConstants

ZOOM_STEP_100 uCEFConstants

ZOOM_STEP_110 uCEFConstants

ZOOM_STEP_125 uCEFConstants

ZOOM_STEP_150 uCEFConstants

ZOOM_STEP_175 uCEFConstants

ZOOM_STEP_200 uCEFConstants

ZOOM_STEP_25 uCEFConstants

ZOOM_STEP_250 uCEFConstants

ZOOM_STEP_300 uCEFConstants

ZOOM_STEP_33 uCEFConstants

ZOOM_STEP_400 uCEFConstants

ZOOM_STEP_50 uCEFConstants

ZOOM_STEP_500 uCEFConstants

ZOOM_STEP_67 uCEFConstants

ZOOM_STEP_75 uCEFConstants

ZOOM_STEP_90 uCEFConstants

ZOOM_STEP_DEF uCEFConstants

ZOOM_STEP_MAX uCEFConstants

ZOOM_STEP_MIN uCEFConstants

ZOOM_STEP_UNK uCEFConstants


cef4delphi: Legend

Legend

Marker | Visibility
Strict Private | Strict Private
Private | Private
Strict Protected | Strict Protected
Protected | Protected
Public | Public
Published | Published
Automated | Automated
Implicit | Implicit